#
# spec file for package openstack-nova
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define component nova
%define groupname %{component}
%define username %{component}

%define version_unconverted 19.1.0.dev59

Name:           openstack-%{component}
Version:        19.1.0~dev59
Release:        1.1
Summary:        OpenStack Compute (Nova)
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/nova
Source:         http://tarballs.openstack.org/nova/nova-master.tar.gz
Source1:        %{name}.logrotate
Source2:        openstack-nova-manage.sh
Source3:        org.openstack.nova.compute.pkla
Source4:        %name.conf
Source5:        nova-sudoers
Source6:        openstack-nova-polkit.rules
Source7:        openstack-nova.modules
Source8:        openstack-nova.modprobe
# systemd service files
Source20:       openstack-nova-api-metadata.service
Source21:       openstack-nova-api-os-compute.service
Source22:       openstack-nova-api.service
Source23:       openstack-nova-cells.service
Source25:       openstack-nova-compute.service
Source26:       openstack-nova-conductor.service
Source27:       openstack-nova-consoleauth.service
Source28:       openstack-nova-console.service
Source29:       openstack-nova-network.service
Source30:       openstack-nova-novncproxy.service
Source32:       openstack-nova-scheduler.service
Source33:       openstack-nova-serialproxy.service
Source34:       openstack-nova-spicehtml5proxy.service
Source35:       openstack-nova-vncproxy.service
# WSGI sample configs for Apache2
Source36:       nova-placement-api.conf.sample
Source50:       README.config
Source99:       rpmlintrc
# https://bugs.launchpad.net/nova/+bug/1202199
# https://review.openstack.org/#/c/37477/
Patch7:         0001-Always-set-model-netfront-for-xen-over-libvirt.patch
Patch8:         0001-Handle-alternative-UEFI-boot-loader-locations-on-SLE.patch
# https://review.openstack.org/#/c/548572/
BuildRequires:  crudini
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-Paste
BuildRequires:  python-PasteDeploy
BuildRequires:  python-Routes
BuildRequires:  python-barbicanclient
BuildRequires:  python-base
BuildRequires:  python-castellan
BuildRequires:  python-cinderclient
BuildRequires:  python-cryptography >= 1.0
BuildRequires:  python-cursive
BuildRequires:  python-glanceclient
BuildRequires:  python-keystoneauth1
BuildRequires:  python-keystoneclient
BuildRequires:  python-keystonemiddleware
BuildRequires:  python-microversion_parse
BuildRequires:  python-neutronclient
BuildRequires:  python-os-brick
BuildRequires:  python-os-resource-classes
BuildRequires:  python-os-service-types
BuildRequires:  python2-os-win
BuildRequires:  python2-oslo.cache
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.config >= 1.2.0
BuildRequires:  python2-oslo.db
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python2-oslo.messaging
BuildRequires:  python-oslo.policy >= 0.5.0
BuildRequires:  python-oslo.reports
BuildRequires:  python2-oslo.versionedobjects
BuildRequires:  python-oslo.vmware
BuildRequires:  python-paramiko
BuildRequires:  python-pbr >= 0.6
BuildRequires:  python-rfc3986
BuildRequires:  python-sphinxcontrib-actdiag
BuildRequires:  python-sphinxcontrib-apidoc
BuildRequires:  python-websockify
# Documentation requirements:
BuildRequires:  python-Babel >= 1.3
BuildRequires:  python-Sphinx >= 1.1.2
BuildRequires:  python-WebOb
BuildRequires:  python-eventlet
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-sphinx-feature-classification
BuildRequires:  python-sphinxcontrib-seqdiag
# to make orphaned-file-tests happy
BuildRequires:  polkit-default-privs
BuildRequires:  systemd-rpm-macros
Requires:       /usr/bin/truncate
Requires:       logrotate
Requires:       openstack-suse-sudo
Requires:       polkit-default-privs
Requires:       python >= 2.7
Requires:       python-nova = %{version}
Requires:       python-oslo.config >= 6.1.0
%{?systemd_requires}
Requires(post): sysconfig
Requires(pre):  pwdutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(pre):  %insserv_prereq %fillup_prereq

%description
OpenStack Nova provides a cloud computing fabric controller,
supporting a wide variety of virtualization technologies,
including KVM, Xen, LXC, VMware, and more. In addition to
its native API, it includes compatibility with the commonly
encountered Amazon EC2 and S3 APIs.

%package -n python-nova
Summary:        OpenStack Compute (Nova) - Python module
Group:          Development/Languages/Python
Conflicts:      pyxml < 0.8.5
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-Jinja2 >= 2.10
Requires:       python-Paste >= 2.0.2
Requires:       python-PasteDeploy >= 1.5.0
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-Routes >= 2.3.1
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-WebOb >= 1.8.2
Requires:       python-barbicanclient >= 4.5.2
Requires:       python-castellan >= 0.16.0
Requires:       python-cinderclient >= 3.3.0
Requires:       python-cryptography >= 2.1
Requires:       python-cursive >= 0.2.1
Requires:       python-decorator >= 3.4.0
Requires:       python-enum34 >= 1.0.4
Requires:       python-eventlet >= 0.18.2
Requires:       python-futurist >= 1.8.0
Requires:       python-glanceclient >= 2.8.0
Requires:       python-greenlet >= 0.4.10
Requires:       python-iso8601 >= 0.1.11
Requires:       python-jsonschema >= 2.6.0
Requires:       python-keystoneauth1 >= 3.9.0
Requires:       python-keystonemiddleware >= 4.17.0
Requires:       python-lxml >= 3.4.1
Requires:       python-microversion_parse >= 0.1.2
Requires:       python-netaddr >= 0.7.18
Requires:       python-netifaces >= 0.10.4
Requires:       python-neutronclient >= 6.7.0
Requires:       python-os-brick >= 2.6.1
Requires:       python-os-resource-classes >= 0.1.0
Requires:       python-os-service-types >= 1.2.0
Requires:       python-os-traits >= 0.8.0
Requires:       python-os-vif >= 1.14.0
Requires:       python2-os-win
Requires:       python-os-xenapi >= 0.3.3
Requires:       python2-oslo.cache
Requires:       python-oslo.concurrency >= 3.26.0
Requires:       python-oslo.context >= 2.19.2
Requires:       python2-oslo.db
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python2-oslo.messaging
Requires:       python2-oslo.middleware
Requires:       python-oslo.policy >= 1.35.0
Requires:       python-oslo.privsep >= 1.32.0
Requires:       python-oslo.reports >= 1.18.0
Requires:       python-oslo.rootwrap >= 5.8.0
Requires:       python-oslo.serialization >= 2.21.1
Requires:       python2-oslo.service
Requires:       python-oslo.upgradecheck >= 0.1.1
Requires:       python-oslo.utils >= 3.37.0
Requires:       python2-oslo.versionedobjects
Requires:       python-oslo.vmware >= 2.17.0
Requires:       python-osprofiler >= 1.4.0
Requires:       python-paramiko >= 2.0.0
Requires:       python-pbr >= 2.0.0
Requires:       python-psutil >= 3.2.2
Requires:       python-python-dateutil >= 2.5.3
Requires:       python-retrying >= 1.3.3
Requires:       python-rfc3986 >= 1.1.0
Requires:       python-six >= 1.10.0
Requires:       python-sqlalchemy-migrate >= 0.11.0
Requires:       python-stevedore >= 1.20.0
Requires:       python-taskflow >= 2.16.0
Requires:       python-tooz >= 1.58.0
Requires:       python-websockify >= 0.8.0
Requires:       python-wsgi_intercept

%description -n python-nova
This package contains the core Python module of OpenStack Nova.

%package api
Summary:        OpenStack Compute (Nova) - API
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}
Requires:       openstack-neutron-server
Requires:       openstack-nova-conductor = %{version}

%description api
This package contains the OpenStack Nova API.

%package placement-api
Summary:        OpenStack Compute (Nova) - Placement API
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}
Requires:       apache2
Requires:       apache2-mod_wsgi

%description placement-api
This package contains the OpenStack Nova Placement API.

%package conductor
Summary:        OpenStack Compute (Nova) - Conductor
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}

%description conductor
This package contains the conductor of OpenStack Nova

%package cells
Summary:        OpenStack Compute (Nova) - Cells
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}

%description cells
This package contains the Cells support of OpenStack Nova

%package console
Summary:        Openstack Compute (Nova) - Console Access
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}

%description console
This package contains the console access service for OpenStack Nova.

%package consoleauth
Summary:        Openstack Compute (Nova) - Console Authentification Service
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}

%description consoleauth
This package contains the console authentification service for OpenStack Nova.

%package compute
Summary:        OpenStack Compute (Nova) - Compute
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}
Requires:       bridge-utils
Requires:       dosfstools
Requires:       genisoimage
Requires:       libvirt-python >= 1.2.5
Requires:       openssh
Requires:       rsync
Requires:       tunctl
# ironicclient for the virt/ironic driver
Requires:       python-ironicclient >= 2.7.0

%description compute
This package contains the compute part of OpenStack.

%package network
Summary:        OpenStack Compute (Nova) - Network
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}
Requires:       dnsmasq
Requires:       dnsmasq-utils
Requires:       iptables

%description network
This package contains the network services for OpenStack.

%package novncproxy
Summary:        OpenStack Compute (Nova) - Websocket Proxy
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}
Requires:       novnc

%description novncproxy
This package contains the novnc-proxy service for OpenStack.

%package serialproxy
Summary:        OpenStack Compute (Nova) - Serial Proxy
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}
Requires:       novnc

%description serialproxy
This package contains the serialproxy service for OpenStack.

%package scheduler
Summary:        OpenStack Compute (Nova) - Scheduler
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}

%description scheduler
This package contains the scheduler for OpenStack.

%package vncproxy
Summary:        OpenStack Compute (Nova) - VNC Proxy
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}

%description vncproxy
This package contains the vnc-proxy service for OpenStack.

%package test
Summary:        OpenStack Compute (Nova) - Testsuite
# prereq for creating the right openstack-nova user/group
Group:          System/Management
PreReq:         %{name} = %{version}
Requires:       curl
Requires:       libvirt-python >= 1.2.5
Requires:       python-cinderclient >= 3.3.0
Requires:       python-fixtures >= 3.0.0
Requires:       python-ironicclient >= 2.7.0
Requires:       python-mock >= 2.0.0
Requires:       python-mox3 >= 0.20.0
Requires:       python-oslotest >= 3.2.0
Requires:       python-psycopg2 >= 2.6.2
Requires:       python-requests-mock >= 1.2.0
Requires:       python-testresources >= 2.0.0
Requires:       python-testtools >= 2.2.0

%description test
The OpenStack Nova testsuite. It is used to verify the functionality of
OpenStack Nova and its components.

%prep
%setup -q -n %{component}-%{version_unconverted}
%patch7 -p1
%patch8 -p1
%openstack_cleanup_prep

%build
python setup.py build
# doc
PYTHONPATH=. PBR_VERSION=%{version_unconverted} sphinx-build -b man doc/source doc/build/man
# sample config
PYTHONPATH=. oslo-config-generator --config-file=etc/nova/nova-config-generator.conf

%install
python setup.py install --root %{buildroot} --prefix %{_prefix}

### directories
install -d -m 755 %{buildroot}%{_localstatedir}/lib/nova
install -d -m 755 %{buildroot}%{_localstatedir}/lib/nova/images
install -d -m 755 %{buildroot}%{_localstatedir}/lib/nova/instances
install -d -m 755 %{buildroot}%{_localstatedir}/lib/nova/keys
install -d -m 755 %{buildroot}%{_localstatedir}/lib/nova/networks
install -d -m 755 %{buildroot}%{_localstatedir}/lib/nova/tmp
install -d -m 750 %{buildroot}%{_localstatedir}/log/nova
install -d -m 700 %{buildroot}%{_rundir}/nova
install -d -m 700 %{buildroot}%{_localstatedir}/cache/nova
install -D -m 644 %{SOURCE4} %{buildroot}/%_tmpfilesdir/%name.conf
install -d -m 755 %{buildroot}/srv/www/%{component}-placement-api
install -d %{buildroot}%{_sysconfdir}/apache2/vhosts.d

# apache vhost sample configs
install -p -D -m 644 %{SOURCE36} %{buildroot}%{_sysconfdir}/apache2/vhosts.d/

# WSGI
install -p -D -m 644 %{buildroot}/%{_bindir}/nova-placement-api %{buildroot}/srv/www/%{component}-placement-api/app.wsgi

### configuration files
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/
mv %{buildroot}/usr/etc/nova/* %{buildroot}%{_sysconfdir}/%{component}/
PYTHONPATH=. oslopolicy-sample-generator --config-file=etc/nova/nova-policy-generator.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d
install -p -D -m 640 %{SOURCE50} %{buildroot}%{_sysconfdir}/%{component}/README.config
install -p -D -m 640 etc/nova/nova.conf.sample %{buildroot}%{_sysconfdir}/nova/nova.conf
install -p -D -m 640 etc/nova/api-paste.ini %{buildroot}%{_sysconfdir}/nova/
install -p -D -m 640 etc/nova/policy.yaml.sample %{buildroot}%{_sysconfdir}/nova/policy.yaml
install -p -D -m 644 etc/nova/rootwrap.conf %{buildroot}%{_sysconfdir}/nova/
install -p -D -m 644 etc/nova/release.sample %{buildroot}%{_sysconfdir}/nova/release
sed -i -e "s,vendor = .*,vendor = %{distribution}," \
       -e "s,product = .*,product = OpenStack Nova," \
       -e "s,package = .*,package = %{version}," %{buildroot}%{_sysconfdir}/nova/release

cp -a etc/nova/rootwrap.d/ %{buildroot}%{_sysconfdir}/nova/
# bash-completion/logrotate/etc.
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/bash_completion.d/openstack-nova-manage.sh
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

### Install systemd unit services
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}
install -p -D -m 444 %{SOURCE20} %{buildroot}%{_unitdir}/%{name}-api-metadata.service
install -p -D -m 444 %{SOURCE21} %{buildroot}%{_unitdir}/%{name}-api-os-compute.service
install -p -D -m 444 %{SOURCE22} %{buildroot}%{_unitdir}/%{name}-api.service
install -p -D -m 444 %{SOURCE23} %{buildroot}%{_unitdir}/%{name}-cells.service
install -p -D -m 444 %{SOURCE25} %{buildroot}%{_unitdir}/%{name}-compute.service
install -p -D -m 444 %{SOURCE26} %{buildroot}%{_unitdir}/%{name}-conductor.service
install -p -D -m 444 %{SOURCE27} %{buildroot}%{_unitdir}/%{name}-consoleauth.service
install -p -D -m 444 %{SOURCE28} %{buildroot}%{_unitdir}/%{name}-console.service
install -p -D -m 444 %{SOURCE29} %{buildroot}%{_unitdir}/%{name}-network.service
install -p -D -m 444 %{SOURCE30} %{buildroot}%{_unitdir}/%{name}-novncproxy.service
install -p -D -m 444 %{SOURCE32} %{buildroot}%{_unitdir}/%{name}-scheduler.service
install -p -D -m 444 %{SOURCE33} %{buildroot}%{_unitdir}/%{name}-serialproxy.service
install -p -D -m 444 %{SOURCE34} %{buildroot}%{_unitdir}/%{name}-spicehtml5proxy.service
install -p -D -m 444 %{SOURCE35} %{buildroot}%{_unitdir}/%{name}-vncproxy.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api-metadata
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api-os-compute
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-cells
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-compute
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-conductor
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-consoleauth
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-console
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-network
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-novncproxy
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-scheduler
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-serialproxy
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-spicehtml5proxy
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-vncproxy

### sudoers configuration for nova-rootwrap:
install -D -m 440 %{SOURCE5} %{buildroot}%{_sysconfdir}/sudoers.d/openstack-nova

### documentation
install -d %{buildroot}%{_mandir}/man1
install -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1

### test subpackage
%openstack_test_package_install
# needed by api_samples test
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}-test/doc
%fdupes %{buildroot}%{_localstatedir}/lib/%{name}-test

### misc
%fdupes %{buildroot}%{python_sitelib}/%{component}

%if 0%{?suse_version} > 1110 && 0%{?suse_version} < 1230
  mkdir -p %{buildroot}%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/
  cp -a %{SOURCE3} %{buildroot}%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/
%endif
%if 0%{?suse_version} >= 1230
  install -D -m 644 %{SOURCE6} %{buildroot}%{_datadir}/polkit-1/rules.d/10-openstack-nova-compute.rules
  install -D -m 644 %{SOURCE7} %{buildroot}%{_libexecdir}/modules-load.d/openstack-nova-compute.conf
%endif
install -D -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/modprobe.d/openstack-nova-compute

### set default configuration
%define nova_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
crudini --set %{nova_conf} DEFAULT log_dir /var/log/nova
crudini --set %{nova_conf} DEFAULT bindir %{_bindir}
crudini --set %{nova_conf} DEFAULT state_path /var/lib/nova
crudini --set %{nova_conf} oslo_concurrency lock_path %{_rundir}/nova

%pre
# need a fixed uid/gid for being able to use shared storage over NFS
%openstack_pre_user_group_create -u 96 -g 96 -s /bin/bash %{username} %{groupname}

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%pre api
%service_add_pre openstack-nova-api.service

%post api
%service_add_post openstack-nova-api.service

%preun api
%service_del_preun openstack-nova-api.service

%postun api
%restart_on_update openstack-nova-api.service
%service_del_postun openstack-nova-api.service

%pre conductor
%service_add_pre openstack-nova-conductor.service

%post conductor
%service_add_post openstack-nova-conductor.service

%preun conductor
%service_del_preun openstack-nova-conductor.service

%postun conductor
%restart_on_update openstack-nova-conductor.service
%service_del_postun openstack-nova-conductor.service

%pre console
%service_add_pre openstack-nova-console.service

%post console
%service_add_post openstack-nova-console.service

%preun console
%service_del_preun openstack-nova-console.service

%postun console
%restart_on_update openstack-nova-console.service
%restart_on_update openstack-nova-spicehtml5proxy
%service_del_postun openstack-nova-console.service

%pre consoleauth
%service_add_pre openstack-nova-consoleauth.service

%post consoleauth
%service_add_post openstack-nova-consoleauth.service

%preun consoleauth
%service_del_preun openstack-nova-consoleauth.service

%postun consoleauth
%restart_on_update openstack-nova-consoleauth.service
%service_del_postun openstack-nova-consoleauth.service

%pre cells
%service_add_pre openstack-nova-cells.service

%post cells
%service_add_post openstack-nova-cells.service

%preun cells
%service_del_preun openstack-nova-cells.service

%postun cells
%restart_on_update openstack-nova-cells.service
%service_del_postun openstack-nova-cells.service

%pre compute
%service_add_pre openstack-nova-compute.service

%post compute
%service_add_post openstack-nova-compute.service
polkit-auth --grant org.libvirt.unix.manage --user %{username} 2>/dev/null || true

%preun compute
%service_del_preun openstack-nova-compute.service

%postun compute
%restart_on_update openstack-nova-compute.service
%service_del_postun openstack-nova-compute.service

%pre network
%service_add_pre openstack-nova-network.service

%post network
%service_add_post openstack-nova-network.service

%preun network
%service_del_preun openstack-nova-network.service

%postun network
%restart_on_update openstack-nova-network.service
%service_del_postun openstack-nova-network.service

%pre vncproxy
%service_add_pre openstack-nova-vncproxy.service

%post vncproxy
%service_add_post openstack-nova-vncproxy.service

%preun vncproxy
%service_del_preun openstack-nova-vncproxy.service

%postun vncproxy
%restart_on_update openstack-nova-vncproxy.service
%service_del_postun openstack-nova-vncproxy.service

%pre novncproxy
%service_add_pre openstack-nova-novncproxy.service

%post novncproxy
%service_add_post openstack-nova-novncproxy.service

%preun novncproxy
%service_del_preun openstack-nova-novncproxy.service

%postun novncproxy
%restart_on_update openstack-nova-novncproxy.service
%service_del_postun openstack-nova-novncproxy.service

%pre serialproxy
%service_add_pre openstack-nova-serialproxy.service

%post serialproxy
%service_add_post openstack-nova-serialproxy.service

%preun serialproxy
%service_del_preun openstack-nova-serialproxy.service

%postun serialproxy
%restart_on_update openstack-nova-serialproxy.service
%service_del_postun openstack-nova-serialproxy.service

%pre scheduler
%service_add_pre openstack-nova-scheduler.service

%post scheduler
%service_add_post openstack-nova-scheduler.service

%preun scheduler
%service_del_preun openstack-nova-scheduler.service

%postun scheduler
%restart_on_update openstack-nova-scheduler.service
%service_del_postun openstack-nova-scheduler.service

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.rst
%{_sysconfdir}/bash_completion.d/openstack-nova-manage.sh
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/sudoers.d/openstack-nova
%dir %{_sysconfdir}/nova
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/cache/nova
%{_sysconfdir}/%{component}/README.config
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/nova/api-paste.ini
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/nova/nova.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%config %attr(0640, root, %{groupname}) %{_sysconfdir}/nova/policy.yaml
%config %{_sysconfdir}/nova/rootwrap.conf
%config %attr(0640, root, %{groupname}) %{_sysconfdir}/nova/release
%dir %{_sysconfdir}/nova/rootwrap.d
%dir %attr(0755, %{username}, %{groupname}) %{_localstatedir}/lib/nova
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/nova
%_tmpfilesdir/%name.conf
%{_bindir}/nova-manage
%{_bindir}/nova-rootwrap
%{_bindir}/nova-rootwrap-daemon
%{_bindir}/nova-policy
%{_bindir}/nova-status
%{_mandir}/man1/nova-manage.1%{?ext_man}
%{_mandir}/man1/nova-rootwrap.1%{?ext_man}
%dir %attr(0755, root, root) %{_localstatedir}/lib/nova/images
%dir %attr(0755, %{username}, root) %{_localstatedir}/lib/nova/instances
%dir %attr(0755, root, root) %{_localstatedir}/lib/nova/keys
%dir %attr(0755, root, root) %{_localstatedir}/lib/nova/networks
%dir %attr(0755, root, root) %{_localstatedir}/lib/nova/tmp

%files -n python-nova
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info
# Part of test subpackage
%exclude %{python_sitelib}/%{component}/tests/

%files api
%defattr(-,root,root,-)
%license LICENSE
%config %{_sysconfdir}/nova/rootwrap.d/api-metadata.filters
%{_unitdir}/%{name}-api.service
%{_sbindir}/rc%{name}-api
%{_unitdir}/%{name}-api-metadata.service
%{_sbindir}/rc%{name}-api-metadata
%{_unitdir}/%{name}-api-os-compute.service
%{_sbindir}/rc%{name}-api-os-compute
%{_bindir}/nova-api
%{_bindir}/nova-api-wsgi
%{_bindir}/nova-metadata-wsgi
%{_bindir}/nova-api-metadata
%{_bindir}/nova-api-os-compute
%{_mandir}/man1/nova-api.1%{?ext_man}
%{_mandir}/man1/nova-api-metadata.1%{?ext_man}
%{_mandir}/man1/nova-api-os-compute.1%{?ext_man}

%files placement-api
%defattr(-,root,root,-)
%license LICENSE
%{_bindir}/nova-placement-api
%{_sysconfdir}/apache2/
%{_sysconfdir}/apache2/vhosts.d/
%{_sysconfdir}/apache2/vhosts.d/nova-placement-api.conf.sample
/srv/www/
/srv/www/%{component}-placement-api/
/srv/www/%{component}-placement-api/app.wsgi

%files conductor
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-conductor.service
%{_bindir}/nova-conductor
%{_mandir}/man1/nova-conductor.1%{?ext_man}
%{_sbindir}/rc%{name}-conductor

%files cells
%defattr(-,root,root,-)
%license LICENSE
%{_bindir}/nova-cells
%{_unitdir}/%{name}-cells.service
%{_sbindir}/rc%{name}-cells

%files compute
%defattr(-,root,root,-)
%license LICENSE
%config %{_sysconfdir}/nova/rootwrap.d/compute.filters
%{_unitdir}/%{name}-compute.service
%{_sbindir}/rc%{name}-compute
%{_bindir}/nova-compute
%{_mandir}/man1/nova-compute.1%{?ext_man}
%if 0%{?suse_version} > 1110 && 0%{?suse_version} < 1230
%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/org.openstack.nova.compute.pkla
%endif
%if 0%{?suse_version} >= 1230
%{_datadir}/polkit-1/rules.d/10-openstack-nova-compute.rules
%{_libexecdir}/modules-load.d/openstack-nova-compute.conf
%endif
%{_sysconfdir}/modprobe.d/openstack-nova-compute

%files console
%defattr(-,root,root,-)
%{_bindir}/nova-console
%{_unitdir}/%{name}-console.service
%{_sbindir}/rc%{name}-console
%{_unitdir}/%{name}-spicehtml5proxy.service
%{_sbindir}/rc%{name}-spicehtml5proxy
%{_mandir}/man1/nova-console.1%{?ext_man}
%{_bindir}/nova-spicehtml5proxy
%{_mandir}/man1/nova-spicehtml5proxy.1%{?ext_man}

%files consoleauth
%defattr(-,root,root,-)
%{_bindir}/nova-consoleauth
%{_unitdir}/%{name}-consoleauth.service
%{_sbindir}/rc%{name}-consoleauth
%{_mandir}/man1/nova-consoleauth.1%{?ext_man}

%files network
%defattr(-,root,root,-)
%license LICENSE
%config %{_sysconfdir}/nova/rootwrap.d/network.filters
%{_unitdir}/%{name}-network.service
%{_sbindir}/rc%{name}-network
%{_bindir}/nova-dhcpbridge
%{_bindir}/nova-network
%{_mandir}/man1/nova-dhcpbridge.1%{?ext_man}
%{_mandir}/man1/nova-network.1%{?ext_man}

%files novncproxy
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-novncproxy.service
%{_sbindir}/rc%{name}-novncproxy
%{_bindir}/nova-novncproxy
%{_mandir}/man1/nova-novncproxy.1%{?ext_man}

%files serialproxy
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-serialproxy.service
%{_sbindir}/rc%{name}-serialproxy
%{_bindir}/nova-serialproxy
%{_mandir}/man1/nova-serialproxy.1%{?ext_man}

%files scheduler
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-scheduler.service
%{_sbindir}/rc%{name}-scheduler
%{_bindir}/nova-scheduler
%{_mandir}/man1/nova-scheduler.1%{?ext_man}

%files vncproxy
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-vncproxy.service
%{_sbindir}/rc%{name}-vncproxy
%{_bindir}/nova-xvpvncproxy
%{_mandir}/man1/nova-xvpvncproxy.1%{?ext_man}

%files test
%defattr(-,root,root)
%{python_sitelib}/%{component}/tests/
%{_localstatedir}/lib/%{name}-test/

%changelog
* Fri Mar 29 2019 cloud-devel@suse.de
- Update to version nova-19.1.0.dev59:
  * Explain why disk\_available\_least can be negative
  * doc: Fix openstack CLI command
  * Change the TODO to NOTE about instance multi-create
  * Reproduce bug #1819460 in functional test
  * s,git://github.com/,https://git.openstack.org/,
  * Speed up test\_report
  * Update instance.availability\_zone on revertResize
  * Add retry\_on\_deadlock to migration\_update DB API
  * Use errors\_out\_migration decorator on finish\_resize
  * Delete the obj\_as\_admin context manager
  * De-cruftify the finish\_resize methods
  * Temporarily mutate migration object in finish\_revert\_resize
  * Exec systemd-run without --user flag in Quobyte driver
* Thu Mar 28 2019 cloud-devel@suse.de
- Update to version nova-19.1.0.dev41:
  * Add doc on VGPU allocs and inventories for nrp
* Wed Mar 27 2019 cloud-devel@suse.de
- Update to version nova-19.1.0.dev39:
  * Add a reference PTL guide to the contributor docs
  * Document a warning about using the JsonFilter
  * Fix JsonFilter query hint examples in docs
  * Fix incomplete instance data returned after build failure
  * Add functional regression test for bug 1669054
  * Re-enable testing of console with TLS in nova-next job
  * Remove last use of rc\_fields
  * Add description about sort order in API ref guideline
  * Override the 'get' method in DriverBlockDevice class
  * Add functional recreate test for bug 1819963
  * Use Selection object to fill request group mapping
* Tue Mar 26 2019 cloud-devel@suse.de
- Update to version nova-19.1.0.dev21:
  * Remove expiremental note in the VGPU docs
  * Replace openstack.org git:// URLs with https://
  * Update contributor guide for Train
  * Set min=0 for block\_device\_allocate\_retries option
  * Clean up block\_device\_allocate\_retries config option help
* Mon Mar 25 2019 dmueller@suse.com
- fix tmpdir
* Mon Mar 25 2019 dmueller@suse.com
- update requires
* Sat Mar 23 2019 cloud-devel@suse.de
- Update to version nova-19.1.0.dev13:
  * Fix return param docstring in check\_can\_live\_migrate\* methods
  * Eventlet monkey patching should be as early as possible
  * Imported Translations from Zanata
  * Update master for stable/stein
  * Stop running tempest-multinode-full
  19.0.0.0rc1
  * Trivial: remove unused var from policies.base.py
  * Address old TODO in claim\_resources\_on\_destination
  * Cleanup comments around claim\_resources method
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1660:
  * Fix links to neutron QoS minimum bandwidth doc
  * Don't register placement opts mutiple times in a test
  * Add known issue for minimum bandwidth resource leak
  * Add a prelude release note for the 19.0.0 Stein GA
  * docs: Misc cleanups
  * Move libvirt calculation of machine type to utils.py
  * Documentation for bandwidth support
  * Move slight bonkers IP management to privsep
  * Require python-ironicclient>=2.7.0
* Wed Mar 20 2019 opensuse-packaging@opensuse.org
- Rebased patches:
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (manually)
  + 0001-Handle-alternative-UEFI-boot-loader-locations-on-SLE.patch (manually)
* Wed Mar 20 2019 opensuse-packaging@opensuse.org
- Update to version nova-18.1.0.dev1643:
  * Add docs for compute capabilities as traits
  * Clarify policy shortcomings in policy enforcement doc
  * Remove additional policy configuration details from policy doc
  * Remove unnecessary default provider\_tree when getting traits
  * qemu: Make disk image conversion dramatically faster
  * Remove obsolete policy configuration details from docs
  * Remove "Fixing the Scheduler DB model" from schedule evolution doc
  * Remove stale aggregates notes from scheduler evolution doc
  * Trivial typo fix for REST API in policy enforcement docs
  * Remove resize caveat from conductor docs
  * docs: cleanup driver parity scope section
  * Pass kwargs to exception to get better format of error message
  * Avoid crashing while getting libvirt capabilities with unknown arch names
  * Re-enable Ceph in live migration testing
  * Customize irrelevant-files for nova-live-migration job
  * Migrate legacy jobs to Ubuntu Bionic
  * Disable the tls-proxy in nova-next & fix nova-tox-functional-py35 parent
  * Trivial: fix typo in reno
  * Skip the ceph based live migration testing
  * api-ref: Add description for BDM volume\_size
  * add python 3.7 unit test job
  * Trivialfix for help description of images\_type
  * Add functional test to delete a server while in VERIFY\_RESIZE
  * pass endpoint interface to Ironic client
  * Allow utime call to fail on qcow2 image base file
  * Update compute rpc version alias for stein
  * fix race in test\_interface\_detach\_with\_port\_with\_bandwidth\_request
  * doc: Fix a typo
  * Remove fake\_libvirt\_utils from the cache concurrency tests
  * Add descriptions of numbered resource classes and traits
  * Add online data migration for populating user\_id
  * Populate InstanceMapping.user\_id during migrations and schedules
  * Add user\_id field to InstanceMapping
  * update gate test for removal of force evacuate
  * Use assertXmlEqual() helper for all XML comparison tests
  * doc: mark the max microversion for stein
  * Remove duplicate cleanup in functional tests
  * Add user\_id column to the instance\_mappings table
  * docs: Fix nits in remote console guide
  * Add get\_instance\_pci\_request\_from\_vif
  * Allow per-port modification of vnic\_type and profile
  * Separate methods to free claimed and allocated devs
  * Add missing libvirt exception during device detach
  * FUP for test\_reshape
  * Test proper allocation of devices during reshape
  * Cleanup the exec\_ebtables code a little
  * Move killing processes to privsep
  * Move cleaning conntrack to privsep
  * Move arping to privsep
  * doc: cleanup pci.alias references
  * Extend volume for libvirt network volumes (RBD)
  * Do not run tempest.scenario.test\_network\* tests in nova-next
  * Warn if group\_policy is missing from flavor
  * tests: Create PCI tests for NUMA'y tests
  * fakelibvirt: Add ability to generate fake PCI devices
  * objects: Store InstancePCIRequest.numa\_policy in DB
  * Update --max-rows parameter description for archive\_deleted\_rows
  * Validate PCI aliases early in resize
  * Move additional IP address management to privsep
  * Move route management to privsep
  * Convert additional IP management calls to privsep
  * Move DHCP releasing to privsep
  * Move set\_vf\_interface\_vlan to be with its only caller
  * Fix WeighedHost logging regression
  * Improve libvirt image and snapshot handling
  * Flavor extra spec and image properties validation from API
  * Handle missing exception in instance creation code
  * Support server create with ports having resource request
  * Ensure that bandwidth and VF are from the same PF
  * Revert "Fixes race condition with privsep utime"
  * Handle templated cell mappings in nova-status
  * Parse <emulator> elements from virConnectGetCapabilities()
  * api-ref: typo service.disable\_reason
  * Use a placement conf when testing report client
  * Improve existing flavor and image metadata validation
  * Correct instance port binding for rebuilds
  * Add nits from Id2beaa7c4e5780199298f8e58fb6c7005e420a69
  * Fix wrong consumer type in logging
  * Fix an error when generating a host ID
  * Remove mox in unit/network/test\_neutronv2.py (3)
  * Remove wrong description for auto resize confirm
  * Fixes race condition with privsep utime
  * fix bug with XML matcher handling missing children
  * api-ref: explain aggregate set\_metadata semantics
  * Check hosts have no instances for AZ rename
  * Remove TypeError handling for get\_info
  * ironic: check fresh data when sync\_power\_state doesn't line up
  * Add oslo.privsep to config-generator list
  * Stop using "nova" in API samples when creating a server
  * Add "links" in the response of "nova show" for a down-cell instance
  * Make nova-grenade-live-migration voting and gating
  * Move legacy-grenade-dsvm-neutron-multinode-live-migration in-tree
  * Convert driver supported capabilities to compute node provider traits
  * Adds the server group info into show server detail API
  * Ironic: bump minimum API version to 1.38
  * Record requester in the InstancePCIRequest
  * Remove port allocation during detach
  * fix up numa-topology live migration hypervisor check
  * Add remove\_resources\_from\_instance\_allocation to report client
  * Test live migration with config drive
  * conf: Call out where pci.alias should be set
  * conf: Deprecate 'disable\_libvirt\_livesnapshot' option
  * FUP: docs nit
  * Add functional test for libvirt vgpu reshape
  * Optimize populate\_queued\_for\_delete online data migration
  * ironic: partition compute services by conductor group
  * Fix the api sample docs for microversion 2.68
  * Fup for the bandwidth series
  * Change LibvirtDriver.capabilities to an instance variable
  * [Doc] Best practices for effectively tolerating down cells
  * libvirt: implement reshaper for vgpu
  * Use the correct mdev allocated from the pGPU
  * remove deprecated os\_brick import from ScaleIO driver
  * Fix resetting non-persistent fields when saving obj
  * Add unit tests for missing VirtualInterface in 2.70 os-interface
  * conf: Deprecated 'defer\_iptables\_apply'
  * Refactor "networks" processing in ServersController.create
  * Remove \_legacy\_dict methods
  * Remove misleading code from \_move\_operation\_alloc\_request()
  * Log why rescheduling is disabled
  * Dump config options on wsgi startup earlier
  * Follow up for I0c764e441993e32aafef0b18049a425c3c832a50
  * Remove deprecated 'flavors' policy
  * Remove deprecated 'os-server-groups' policy
  * Fix a typo in configuration description
  * Add microversion to expose virtual device tags
  * FUP for Id7827fe8dc27112e342dc25c902c8dbc25f63b94
  * Test boot with more ports with bandwidth request
  * Send RP uuid in the port binding
  * Recalculate request group - RP mapping during re-schedule
  * Pass resource provider mapping to neutronv2 api
  * Fill the RequestGroup mapping during schedule
  * Calculate RequestGroup resource provider mapping
  * Replace ansible --sudo with --become in live\_migration/hooks scripts
  * Fix typo in initial\_disk\_allocation\_ratio release note
  * API microversion 2.69: Handles Down Cells Documentation
  * Move create\_tap\_dev into privsep
  * Create specialist set\_macaddr\_and\_vlan helper
  * Fix fake DELETE in PlacementFixture
  * libvirt: Omit needless check on 'CONF.serial\_console'
  * libvirt: Drop MIN\_LIBVIRT\_PARALLELS\_SET\_ADMIN\_PASSWD
  * libvirt: Rewrite \_create\_pty\_device() to be clearer
  * libvirt: Bump MIN\_{LIBVIRT,QEMU}\_VERSION for "Stein"
  * API microversion 2.69: Handles Down Cells
  * Add context.target\_cell() stub to DownCellFixture
  * Plumbing required in servers ViewBuilder to construct partial results
  * Trim fake\_deserialize\_context in test\_conductor
  * Cleanup inflight rpc messages between test cases
  * Fix irrelevant-files for legacy-grenade-dsvm-neutron-multinode-live-migration
  * Stub out port binding create/delete in NeutronFixture
  * Make VolumeAttachmentsSampleV249 test other methods
  * Fix deps for api-samples tox env
  * Fix a missing policy in test policy data
  * Remove deprecated 'os-flavor-manage' policy
  * Drop the integrated-gate (py27) template
  * Address nits from I9e30a24a4c0640f282f507d0a96640d3cdefe43c
  * api-ref: Add descriptions for vol-backed snapshots
  * Change sqlalchemy warnings filter to an error
  * Libvirt: do not set MAC when unplugging macvtap VF
  * Lock detach\_volume
  * docs: ComputeDriver.update\_provider\_tree in nova
  * Remove cells v1 (for the most part) from the docs
  * api-ref: mark os-cells as deprecated
  * Further de-dupe os-vif VIF tests
  * Validate bandwidth configuration for other VIF types
  * Remove get\_config\_vhostuser
  * Use math.gcd starting with python 3.5
  * Change nova-next tempest test regex
  * Ensure config regexes match the entire string
  * Make move\_allocations handle empty source allocations
  * RT: improve logging in \_update\_usage\_from\_migration
  * Make Claim.\_claim\_test handle SchedulerLimits object
  * Move finish\_resize.(start|end) notifications to helper method
  * Don't set bandwidth limits for vhostuser, hostdev interfaces
  * Use placement.inventory.inuse in report client
  * Provide a useful error message when trying to update non-compute services
  * Avoid BadRequest error log on volume attachment
  * Fix race in test\_volume\_swap\_server\_with\_error
  * Ignore VolumeAttachmentNotFound exception in compute.manager
  * Cleanup return\_reservation\_id in ServersController.create
  * Refactor bdm handling in ServersController.create method
  * Share snapshot image membership with instance owner
  * create\_veth\_pair is unused, remove it
  * Change live\_migration\_wait\_for\_vif\_plug=True by default
  * doc: specify --os-compute-api-version when setting flavor description
  * Switch to using os-resource-classes
  * Remove placement from contributor doc
  * Remove link to placement configuration from nova config docs
  * Remove placement from nova install docs
  * Update nova docs front page for placement removal
  * Use :oslo-config: role in hypervisor-kvm doc
  * api-ref: mention policy defaults for aggregates
  * api-ref: warn about changing/unsetting AZ name with instances
  * Replace glance command with openstack command
  * Remove PLACEMENT\_DB\_ENABLED from nova-next job config
  * vmware:add support for the hw\_video\_ram image property
  * Update instance.availability\_zone during live migration
  * Default zero disk flavor to RULE\_ADMIN\_API in Stein
  * quota: remove defaults kwarg in get\_project\_quotas
  * quota: remove QuotaEngine.register\_resources()
  * conf: Deprecated 'config\_drive\_format'
  * doc: fix and clarify --block-device usage in user docs
  * Mention SR-IOV cold migration limitation in admin docs
* Thu Feb 14 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1242:
  * Document how to make tests log at DEBUG level
  * Drop specific versions of openSUSE-based distributions
  * Adding cross refs for config options in scheduler filter guide
  * Avoid redundant initialize\_connection on source post live migration
  * Use tox 3.1.1 fixes
  * tox: Don't write byte code (maybe)
  * Move binding ips to privsep
  * Update help messages for weight multipliers
  * Change nova-next job to run with python3
* Wed Feb 13 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1224:
  * Trivial: reorder hashes according to object\_hashes.txt
  * Follow up (#2) for the bw resource provider series
  * Fix legacy-grenade-dsvm-neutron-multinode-live-migration
  * doc: update the security groups admin doc
  * doc: link admin/configuration from admin home page
* Tue Feb 12 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1214:
  * Plumbing for allowing the all-tenants filter with down cells
  * Fup for the bandwidth resource provider series
* Sun Feb 10 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1210:
  * API: Remove evacuate/live-migrate 'force' parameter
  * Plumbing for ignoring list\_records\_by\_skipping\_down\_cells
  * Modify InstanceMappingList.get\_not\_deleted\_by\_cell\_and\_project()
  * Convert CPU\_TRAITS\_MAPPING to use os\_traits
  * Extend RequestGroup object for mapping
  * Add minimum value in maximum\_instance\_delete\_attempts
  * doc: mention description field in user flavors docs
  * Drop nova-multiattach job
* Sat Feb  9 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1196:
  * Transfer port.resource\_request to the scheduler
  * Fix deprecation warning for threadgroup.add\_timer
* Fri Feb  8 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1192:
  * Ignore sqla-migrate inspect.getargspec deprecation warnings
  * api-ref: fix link to flavor extra specs docs
  * Fix InstanceMapping to always default queued\_for\_delete=False
  * Extract compute API \_create\_image to compute.utils
  * Move resize.(start|end) notification sending to helper method
  * Move resize.prep.start/end notifications to helper method
  * Isolate cell-targeting code in MigrationTask
  * Don't force evacuate/live migrate in notification sample tests
  * Collect duplicate codepaths in os\_vif\_util
* Thu Feb  7 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1174:
  * cleanup \*.pyc files in docs tox envs
  * update flavor admin docs
  * Ignore some PendingDeprecationWarnings for os-vif
  * Switch tempest-slow to be run on python 3
* Wed Feb  6 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1166:
  * Follow up for per-instance serial number change
  * PCI: do not force remove allocated devices
  * Move retry from \_update to \_update\_to\_placement
  * Duplicate os-vif datapath offload metadata
  * Move interface disabling to privsep
  * Move setting mac addresses for network devices to privsep
  * Reject unshelve with port having resource request
* Tue Feb  5 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1152:
  * doc: Add solution to live migration ssh issues
  * doc: link Kashyap's cpu model talk to the libvirt driver config docs
  * Per-instance serial number
  * Add support for vrouter HW datapath offloads
  * FUPs: ReportClient traffic series
  * Reject evacuate with port having resource request
  * Reject migrate with port having resource request
  * Use a static resource tracker in compute manager
  * Rip out the SchedulerClient
  * Rip the report client out of SchedulerClient
  * doc: Switch header styles in support doc
* Sun Feb  3 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1130:
  * Reject resize with port having resource request
  * Reject server create with port having resource request
  * Read port resource request from Neutron
  * Include requested\_resources to allocation candidate query
  * Create RequestGroup from neutron port
  * Reject networks with QoS policy
* Sat Feb  2 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1118:
  * Ignore SAWarnings for "Evaluating non-mapped column expression"
  * Turn off rp association refresh in nova-next
  * Commonize \_update code path
* Fri Feb  1 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1113:
  * Fix config docs for handle\_virt\_lifecycle\_events
  * Add configuration of maximum disk devices to attach
  * Force refresh instance info\_cache during heal
  * Add fill\_virtual\_interface\_list online\_data\_migration script
  * Make 'plugin' a required argument for '\_get\_vif\_instance'
  * unused images are always deleted (add to in-tree hper-v code)
  * Fix using template cell urls with nova-manage
* Thu Jan 31 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1099:
  * Fix string interpolations in logging calls
  * Convert vrouter legacy plugging to os-vif
  * Reject interface attach with QoS aware port
  * Don't call begin\_detaching when detaching volume from shelved vm
  * Consolidate inventory refresh
* Wed Jan 30 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1089:
  * Fix port dns\_name reset
  * Raise 403 instead of 500 error from attach volume API
  * docs: Update references to "QEMU-native TLS" document
  * libvirt: A few miscellaneous items related to "native TLS"
* Tue Jan 29 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1081:
  * Skip checking of target\_dev for vhostuser
* Sun Jan 27 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1079:
  * Add a warning for max\_concurrent\_live\_migrations
  * Fix ComputeNode ovo compatibility code
  * Cleanup vendordata docs
* Sat Jan 26 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1073:
  * Remove unused quota options
  * Add missing ws seperator between words
  * Move interface enabling to privsep
  * Kill @safe\_connect in \_get\_provider\_traits
* Fri Jan 25 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1065:
  * Per aggregate scheduling weight
* Wed Jan 23 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1063:
  * Convert port to str when validate console port
  * Cleanup soft (anti)affinity weight multiplier options
  * Fix ovo compatibility code unit tests
  * Use X-Forwarded-Proto as origin protocol if present
  * Extend NeutronFixture to return port with resource request
  * Move simple execute call to processutils
* Mon Jan 21 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1051:
  * Reduce calls to placement from \_ensure
  * Fix overcommit for NUMA-based instances
  * Remove args(os=False) in monkey\_patch
* Fri Jan 18 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1045:
  * Fix incompatible version handling in BuildRequest
  * api-ref: Body verification for the lock action
  * Send context.global\_id on neutron calls
* Thu Jan 17 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1039:
  * docs: Secure live migration with QEMU-native TLS
  * The field instance\_name was added to InstanceCreatePayload
  * Make functional-py37 job work like others
  * Enhance exception raised when invalid power state
  * Rename Ironic jobs
  * Follow up for "Add API ref guideline for body text"
  * Pass request\_spec from compute to cell conductor on reschedule
* Wed Jan 16 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1025:
  * Add method to generate device names universally
* Tue Jan 15 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1024:
  * Allow run metadata api per cell
  * Doc: rebuild can result in SHUTOFF VM state
  * libvirt: Support native TLS for migration and disks over NBD
  * Move some linux network helpers to use privsep
* Wed Jan  9 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1016:
  * Change to debug repetitive info messages
* Tue Jan  8 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1014:
  * Run nova-lvm job on nova/privsep/\* changes
  * Fix circular import in nova.privsep.utils
* Sat Jan  5 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1010:
  * libvirt: Add workaround to cleanup instance dir when using rbd
* Fri Jan  4 2019 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1008:
  * Add functional regression recreate test for bug 1790204
* Sat Dec 29 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1006:
  * Move bridge creation to privsep
* Fri Dec 28 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev1004:
  * Remove useless test samples for v2.66
  * Fix rfc3986.is\_valid\_uri deprecation warnings
  * Fix up force live migration completion docs
* Wed Dec 26 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev998:
  * Use oslo\_db.sqlalchemy.test\_fixtures
  * libvirt: generalize rbd volume fallback removal statement
  * Ensure rbd auth fallback uses matching credentials
  * Redirect user/placement to placement docs
  * Fix jsonutils.to\_primitive UserWarning
  * Properly log request headers in metadata API
* Tue Dec 25 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev986:
  * Drop old service version check compat from \_delete\_while\_booting
  * Remove "API Service Version" upgrade check
  * Remove "Resource Providers" upgrade check
  * Remove mox in libvirt/test\_driver.py (8)
  * Remove mox in libvirt/test\_driver.py (7)
  * Add descriptions about microversions
  * Final release note for versioned notification transformation
  * Clean up header encoding handling in compute API
  * Remove NovaException logging from scatter\_gather\_cells
  * Convert exception messages to strings
* Sun Dec 23 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev966:
  * Use renamed template 'integrated-gate-py3'
  * Fix the link to the Placement API Version History
* Sat Dec 22 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev962:
  * Add links to summit videos in user/cells.rst
  * nit: Add space to feature support docs
  * Fix a broken link
  * Fix best\_match() deprecation warning
  * Fix destination\_type attribute in the bdm\_v2 documentation
  * Add irrelevant-files for grenade-py3 jobs
* Fri Dec 21 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev950:
  * Fix an inaccurate link in nova doc
  * Exclude build request marker from server listing
  * Document using service user tokens for long running operations
  * Remove legacy RequestSpec compat from conductor rebuild\_instance
  * Remove legacy RequestSpec compat from conductor unshelve\_instance
  * doc: Rework 'resize' user doc
  * conf: Convert 'live\_migration\_inbound\_addr' to HostAddressOpt
* Thu Dec 20 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev936:
  * Handle unbound vif plug errors on compute restart
  * Fix a broken-link in nova doc
  * Fix a broken-link in nova doc
  * Remove legacy RequestSpec compat code from live migrate task
  * Remove legacy request spec compat code from API
  * Address nits on I1f1fa1d0f79bec5a4101e03bc2d43ba581dd35a0
  * Address nits on I08991796aaced2abc824f608108c0c786181eb65
  * Move a generic bridge helper to a linux\_net privsep file
  * Make [cinder]/catalog\_info no longer require a service\_name
  * Update port device\_owner when unshelving
* Wed Dec 19 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev917:
  * Migrate "reboot an instance" user guide docs
  * Drop request spec migration code
  * Migrate upgrade checks to oslo.upgradecheck
  * Fail to live migration if instance has a NUMA topology
  * Add py36/py37 functional jobs to the experimental queue
  * Add python 3.7 unit and functional tox jobs
  * Replace ThreadPoolExecutor with GreenThreadPoolExecutor
  * allow tcp-based consoles in get\_console\_output
  * Remove utils.execute() from virt.disk.api
  * Remove utils.execute() from the hyperv driver
  * Remove the final user of utils.execute() from virt.images
  * Mention size limit on user data in docs
  * Restore nova-consoleauth to install docs
  * api-ref: sort parameters for limits, quotas and quota classes
* Sun Dec 16 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev890:
  * libvirt: remove live\_migration\_progress\_timeout config
  * libvirt: add live migration timeout action
  * Remove final users of utils.execute() in libvirt
  * Imagebackend should call processutils.execute directly
  * Add API ref guideline for body text
* Sat Dec 15 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev880:
  * Add DownCellFixture
  * Remove GROUP BY clause from CellMapping.get\_by\_project\_id
  * Remove lock on SchedulerReportClient.\_create\_client
* Fri Dec 14 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev875:
  * Use external placement in functional tests
  * DRY up SchedulerReportClient init
  * Only construct SchedulerReportClient on first access from API
* Thu Dec 13 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev869:
  * Handle tags in \_bury\_in\_cell0
  * Make compute rpcapi version calculation check all cells
  * Only warn about not having computes nodes once in rpcapi
  * refactor get\_console\_output() for console logfiles
  * Remove allocations before setting vm\_status to SHELVED\_OFFLOADED
  * Drop pre-cellsv2 compat in compute API.get()
* Wed Dec 12 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev857:
  * Fix typo
  * Move nova.libvirt.utils away from using nova.utils.execute()
  * Remove utils.execute() from quobyte libvirt storage driver
* Tue Dec 11 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev851:
  * Move nova-cells-v1 to experimental queue
  * Add docs for (initial) allocation ratio configuration
  * Note the aggregate allocation ratio restriction in scheduler docs
  * Add compute\_node ratio online data migration script
  * Add ratio online data migration when load compute node
  * Transform scheduler.select\_destinations notification
* Mon Dec 10 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev839:
  * Remove Placement API reference
  * Transform compute\_task notifications
* Sun Dec  9 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev835:
  * Ignore MoxStubout deprecation warnings
  * Fixed concurrent access to direct io test file
  * Remove utils.execute() from libvirt remotefs calls
  * Create BDMs/tags in cell with instance when over-quota
  * Add secret=true to fixed\_key configuration parameter
  * Use new \`\`initial\_xxx\_allocation\_ratio\`\` CONF
  * Remove placement perf check
  * Drop cruft code for all\_tenants behaviour
  * Use links to placement docs in nova docs
* Sat Dec  8 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev817:
  * Use tempest [compute]/build\_timeout in evacuate tests
  * Add functional regression test for bug 1806064
  * libvirt: Refactor handling of PCIe root ports
  * Update compute API.get() stubs in test\_access\_ips
  * Update compute API.get() stubs for test\_disk\_config
  * Update compute API.get() stubs for test\_\*security\_groups
* Fri Dec  7 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev805:
  * Update mailinglist from dev to discuss
  * Change the default values of XXX\_allocation\_ratio
  * Remove ironic/pike note from \*\_allocation\_ratio help
  * modify the avaliable link
  * Delete NeutronLinuxBridgeInterfaceDriver
  * Clean up cpu\_shared\_set config docs
* Thu Dec  6 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev793:
  * Always read-deleted=yes on lazy-load
  * Add a bug tag for nova doc
  * Deprecate the nova-xvpvncproxy service
  * Deprecate the nova-console service
* Wed Dec  5 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev785:
  * Remove utils.execute() calls from xenapi
  * Refactor TestEvacuateDeleteServerRestartOriginalCompute
* Tue Dec  4 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev781:
  * Fix sloppy initialization of the new disk ops semaphore
  * SIGHUP n-cpu to clear provider tree cache
  * Fix InstanceNotFound during \_destroy\_evacuated\_instances
* Sun Dec  2 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev776:
  * Revert "Add regression test for bug 1550919"
  * Fix misuse of assertTrue
* Fri Nov 30 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev772:
  * Remove get\_node\_uuid
  * Add I/O Semaphore to limit concurrent disk ops
* Thu Nov 29 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev769:
  * Give drop\_move\_claim() correct docstring
* Wed Nov 28 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev767:
  * Add missing ws seperator between words
  * Add regression test for bug 1550919
* Tue Nov 27 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev764:
  * Add debug logs when doubling-up allocations during scheduling
* Sun Nov 25 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev762:
  * Add HPET timer support for x86 guests
* Thu Nov 22 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev760:
  * Remove v1 check in Cinder client version lookup
  * Use long\_rpc\_timeout in select\_destinations RPC call
  * Make supports\_direct\_io work on 4096b sector size
  * Default embedded instance.flavor.is\_public attribute
* Wed Nov 21 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev752:
  * Consider root id is None in the database case
  * Add CellsV2 FAQ about API design decisions
  * Fix server query examples
  * Nix refs to ResourceProvider obj from libvirt UT
  * Skip double word hacking test
  * Add description of custom resource classes
  * doc: Add minimal documentation for MKS consoles
  * doc: Add minimal documentation for RDP consoles
  * doc: Rewrite the console doc
* Mon Nov 19 2018 sjamgade@suse.com
- change service depedancy from mysql.service to mariadb.service
* Mon Nov 19 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev735:
  * Fix regression in glance client call
* Wed Nov 14 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev734:
  * Make \_instances\_cores\_ram\_count() be smart about cells
  * Fix a help string in nova-manage
  * Update compute API.get() stubs in test\_server\_actions
  * Update compute API.get() stubs in test\_serversV21
  * Update compute API.get() mocks in test\_server\_metadata
* Tue Nov 13 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev724:
  * api-ref: Add a description about sort order
* Sat Nov 10 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev722:
  * Mention meta key suffix in tenant isolation with placement docs
  * libvirt: change "Ignoring supplied device name" warning to info
  * Fix version details API does not return 200 OK
  * Add a link to the doc contrib guide
  * Update the description to make it more accuracy
  * Add recreate test for bug 1799892
* Fri Nov  9 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev710:
  * Use SleepFixture instead of mocking \_ThreadingEvent.wait
  * remove mocks of oslo.service private members
  * Harden placement init under wsgi
  * Fix support matrix for VMware UEFI support
* Thu Nov  8 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev703:
  * Improve formats of the Compute API guide
  * Remove LazyLoad of Scheduler Clients
  * Allow resource\_provider\_association\_refresh=0
  * [Trivial Fix] Correct spelling error of "should" and "resource"
* Wed Nov  7 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev695:
  * prevent common kwargs from glance client failure
  * Add bandwidth related standard resource classes
  * Add requested\_resources field to RequestSpec
  * Add request\_spec.RequestGroup versioned object
  * Trivial: add reminder to update Tempest's scheduler\_enabled\_filters
* Tue Nov  6 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev688:
  * Minimal construct plumbing for nova service-list when a cell is down
  * Minimal construct plumbing for nova show when a cell is down
* Sat Nov  3 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev684:
  * Pass disk\_info dict to libvirt\_info
  * Fix libvirt volume tests passing invalid disk\_info
  * Refactor scatter-gather utility to return exception objects
* Fri Nov  2 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev678:
  * PowerVM upt parity for reshaper, DISK\_GB reserved
  * Minimal construct plumbing for nova list when a cell is down
  * Modify get\_by\_cell\_and\_project() to get\_not\_deleted\_by\_cell\_and\_project()
  * Make ResourceTracker.tracked\_instances a set
* Thu Nov  1 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev670:
  * Explain cpu\_model\_extra\_flags and nested guest support
  * Run negative server moving tests with nested RPs
  * No longer call \_normalize\_inventory\_from\_cn\_obj from upt flow
  * Provide allocation\_ratio/reserved amounts from update\_provider\_tree()
  * Fix nits in I7cbd5d9fb875ebf72995362e0b6693492ce32051
  * Fix min config value for shutdown\_timeout option
  * quota: remove default kwarg on get\_class\_quotas()
  * quota: remove QuotaDriver.destroy\_all\_by\_project()
  * Use tempfile for powervm config drive
  * Properly track local root disk usage during moves
  * Add regression test for bug 1796737
* Wed Oct 31 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev648:
  * libvirt: Avoid setting MTU during live migration if unset
  * Add tests for bug #1800511
  * tox: Stop build \*all\* docs in 'docs'
  * Add nova-status upgrade check for consoles
  * PowerVM: update\_provider\_tree() (compatible)
  * Cleanups for the scheduler code
  * Remove restart\_scheduler\_service() method
  * Fix ironic client ironic\_url deprecation warning
  * quota: remove unused Quota driver methods
  * quota: remove unused code
  * Fix test bug when host doesn't have /etc/machine-id
  * Fix resource tracker updates during instance evacuation
  * Simplify logic in get\_enforcer
* Tue Oct 30 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev623:
  * Add functional regression test for bug 1794996
  * Add volume-backed evacuate test
  * Add post-test hook for testing evacuate
  * Drop legacy live migrate allocation compat code
* Mon Oct 29 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev615:
  * Add restrictions on updated\_at when getting instance action records
* Sun Oct 28 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev613:
  * Fix os-simple-tenant-usage result order
  * Use RequestSpec.user\_id in scheduler.utils.claim\_resources
* Sat Oct 27 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev609:
  * Reject forced move with nested source allocation
  * Add API ref guideline for examples
  * api-ref: Remove unnecessary minimum microversion
  * Add a hacking rule for deprecated assertion methods
  * Add more documentation for online\_data\_migrations CLI
  * Add restrictions on updated\_at when getting migrations
  * Bump os-brick version to 2.6.1
* Fri Oct 26 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev595:
  * api-ref: Add descriptions of error cases
  * Make CellDatabases fixture reentrant
  * Add functional recreate test for bug 1799727
  * Consider allocations invovling child providers during allocation cleanup
  * Drop legacy cold migrate allocation compat code
  * Remove the CachingScheduler
* Thu Oct 25 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev583:
  * Add debug logs for when provider inventory changes
  * libvirt: fix disk\_bus handling for root disk
* Wed Oct 24 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev579:
  * Fix up compute rpcapi version for pike release
  * Rename tempest-nova job to follow conventions
  * Convert legacy-tempest-dsvm-neutron-src-oslo.versionedobjects job
  * Use assertRegex instead of assertRegexpMatches
* Tue Oct 23 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev571:
  * conductor: Recreate volume attachments during a reschedule
  * Add regression test for bug#1784353
  * fixtures: Track volume attachments within CinderFixtureNewAttachFlow
  * Log the operation when updating generation in ProviderTree
  * Ensure attachment cleanup on failure in driver.pre\_live\_migration
  * Remove the extensions framework from wsgi.py
  * Remove more code related to extensions and testing
  * Remove duplicate legacy-tempest-dsvm-multinode-full job
  * Move live\_migration.pre.start to the start of the method
  * Zuul: Update barbican experimental job
* Sat Oct 20 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev551:
  * Document each libvirt.sysinfo\_serial choice
  * Remove the caching the resource on Request object
  * Don't persist RequestSpec.requested\_destination
  * Migrate nova v2.0 legacy job to zuulv3
  * Fix deprecated base64.decodestring warning
  * Add regression test for bug 1797580
* Fri Oct 19 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev539:
  * Fix block\_device\_mapping\_v2 mention in server create API reference
  * Fix typo in libvirt.hw\_machine\_type help
* Thu Oct 18 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev534:
  * Ignore uuid if already set in ComputeNode.update\_from\_virt\_driver
  * Fix formatting non-templated cell URLs with no config
  * Use unique consumer\_id when doing online data migration
  * Add recreate test for bug 1798163
  * Handle online\_data\_migrations exceptions
  * Fix NoneType error in \_notify\_volume\_usage\_detach
* Wed Oct 17 2018 cloud-devel@suse.de
- Update to version nova-18.1.0.dev520:
  * Handle volume API failure in \_post\_live\_migration
  * doc: update metadata service doc
  * Increment versioning with pbr instruction
  * Use tempest-pg-full
  * Transform volume.usage notification
* Tue Oct 16 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev510:
  * Add some more docs for upgrade checkers
  * Add microversion 2.67 to rest api version history
  * Use nova-consoleauth only if workaround enabled
* Sun Oct 14 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev504:
  * Add microversion 2.67 to support volume\_type
* Sat Oct 13 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev502:
  * Add compute API validation for when a volume\_type is requested
  * Add compute version 36 to support \`\`volume\_type\`\`
  * Skip \_remove\_deleted\_instances\_allocations if compute is new
  * Replace openSUSE experimental check with newer version
  * Add volume\_type field to BlockDeviceMapping object
* Fri Oct 12 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev492:
  * fix "you" typo
  * Remove useless TODO section
  * Add scatter-gather-single-cell utility
  * Handle IndexError in \_populate\_neutron\_binding\_profile
  * remove commented-out code
* Thu Oct 11 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev482:
  * api-ref: Remove a description in servers-actions.inc
* Wed Oct 10 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev480:
  * api-ref: Replace non UUID string with UUID
  * Move test.nested to utils.nested\_contexts
  * conf: Gather 'live\_migration\_scheme', 'live\_migration\_inbound\_addr'
  * Remove redundant irrelevant-files from neutron-tempest-linuxbridge
* Tue Oct  9 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev472:
  * Fix missing import in test\_compute\_mgr
  * Fix nits in choices documentation
  * api-ref: Move the evacuate action to admin action
  * VMware: Live migration of instances
  * Update doc
  * Set defult value of num\_nvme\_discover\_tries=5
  * libvirt: remove unused attribute driver for LibvirtConfigNodeDevice
* Sat Oct  6 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev459:
  * Remove an unnecessary duplicate flag
  * De-dupe subnet IDs when calling neutron /subnets API
  * Handle missing marker during online data migration
  * Run ServerMovingTests with nested resources
  * Refactor allocation checking in functional tests
  * Placement: Remove usage of get\_legacy\_facade()
  * conf: Use new-style choice values
* Fri Oct  5 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev445:
  * Not set instance to ERROR if set\_admin\_password failed
  * Use provider tree in virt FakeDriver
  * Enable nested allocation candidates in scheduler
  * consumer gen: support claim\_resources
  * Fix logging parameter in \_populate\_pci\_mac\_address
  * Skip test\_parallel\_evacuate\_with\_server\_group until fixed
  * Don't emit warning when ironic properties are zero
  * Add attach kwarg to base/nova-net allocate\_for\_instance methods
* Wed Oct  3 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev430:
  * Add hide server address tests in test\_serversV21.py
  * Fix neutron-tempest-linuxbridge irrelevant-files
  * Raise error on timeout in wait\_for\_versioned\_notifications
  * Replace usage of get\_legacy\_facade() with get\_engine()
  * Remove unnecessary redirect
  * Follow up for Ib6f95c22ffd3ea235b60db4da32094d49c2efa2a
* Mon Oct  1 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev418:
  * Use INFO for logging no allocation candidates
* Sun Sep 30 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev416:
  * Fix stacktraces with redis caching backend
  * Null out instance.availability\_zone on shelve offload
  * Follow up for Ie991d4b53e9bb5e7ec26da99219178ab7695abf6
  * Follow up for Iba230201803ef3d33bccaaf83eb10453eea43f20
  * nova-manage - fix online\_data\_migrations counts
  * consumer gen: more tests for delete allocation cases
  * Pick next minimum libvirt / QEMU versions for "T" release
  * Enforce case-sensitive hostnames in aggregate host add
  * Revert "Make host\_aggregate\_map dictionary case-insensitive"
  * api-ref: add 'migrations' param to GET /os-migrations
  * Option "scheduler\_default\_filters" is deprecated
  * consumer gen: move\_allocations
  * doc:update virtual gpu doc
  * Consumer gen: remove\_provider\_from\_instance\_allocation
  * Consumer gen support for put allocations
  * Consumer gen support for delete instance allocations
  * api-ref: Fix wrong bold decoration
  * placement: Always reset conf.CONF when starting the wsgi app
  * Rename "polling\_changes-since\_parameter.rst"
  * Imported Translations from Zanata
  * Ignore VirtDriverNotReady in \_sync\_power\_states periodic task
  * cells: Be explicit in docs about service restarts
  * Transform libvirt.error notification
  * Time how long select\_destinations() takes in conductor
  * Send soft\_delete from context manager
  * Transform missing delete notifications
  * Wait for network-vif-plugged on resize revert
  * Validate transport\_url in nova-manage cell\_v2 commands
* Sat Sep 29 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev361:
  * nova-status - don't count deleted compute\_nodes
* Sun Sep 23 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev359:
  * Allow ability for non admin users to use all filters on server list
* Sat Sep 22 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev357:
  * Remove deprecated nova-consoleauth reference from doc
  * Imported Translations from Zanata
  * Add get\_by\_cell\_and\_project() method to InstanceMappingList
  * Making instance/migration listing skipping down cells configurable
  * ironic: stop hammering ironic API in power sync loop
  * Nix update\_instance\_allocation, \_allocate\_for\_instance
  * Filter deleted computes from get\_all\_by\_uuids()
  * Fix missing specifying doctrees directory
  * libvirt: Drop MIN\_LIBVIRT\_PF\_WITH\_NO\_VFS\_CAP\_VERSION
  * Remove an unnecessary comment
  * Remove deprecated hide\_server\_address\_states option
  * Resource retrieving: add changes-before filter
  * Remove mox in test\_compute\_api.py (4)
  * Remove mox in libvirt/test\_driver.py (6)
  * remove virt driver requires\_allocation\_refresh
  * Delete instance\_id\_mappings record in instance\_destroy
  * Optimize AZ lookup during schedule\_and\_build\_instances
* Fri Sep 21 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev324:
  * Add contributor guide for upgrade status checks
  * libvirt: mdevs returning parent and vendor PCI info
  * doc trivial: additional info to admin-password-injection
  * Fix some typos in nova api ref doc
  * Refactor NeutronFixture
  * libvirt: Use 'virt' as the default machine type for ARMv7
  * Fix evacuate logging
  * libvirt: Drop MIN\_LIBVIRT\_VHOSTUSER\_MQ
  * XenAPI/Stops the migration of volume backed VHDS
* Wed Sep 19 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev306:
  * Add missing backticks in nova-manage docs
  * Add functional test for live migrate with anti-affinity group
  * Revert "libvirt: add method to configure migration speed"
  * Explicitly fail if trying to attach SR-IOV port
  * libvirt: Use os.stat and os.path.getsize for RAW disk inspection
* Tue Sep 18 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev293:
  * Fix docs and add functional test for AggregateMultiTenancyIsolation
  * Fail heal\_allocations if placement is borked
* Mon Sep 17 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev289:
  * add caching to \_build\_regex\_range
  * Rename changes-since test sample file
* Sat Sep 15 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev286:
  * Fix mock.patch usage in unit tests
  * Follow devstack-plugin-ceph job rename
  * Update docs for live\_migration\_progress\_timeout option
  * hyperv: Cleans up live migration Planned VM
  * Update RequestSpec.flavor on resize\_revert
  * Use check\_string\_length from oslo\_utils
* Wed Sep 12 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev276:
  * Cleanup zuul.yaml
  * add python 3.6 unit test job
  * switch documentation job to new PTI
  * import zuul job settings from project-config
  * Add an example to add more pci devices in nova.conf
* Tue Sep 11 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev266:
  * Remove redundant image GET call in \_do\_rebuild\_instance
  * Document differences and similaries between extra specs and hints
* Mon Sep 10 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev262:
  * Do not dump all instances in the scheduler
* Sun Sep  9 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev260:
  * fix a spelling error
  * Use six.string\_types to improve python2/3 compatibility
  * Use uuidsentinel from oslo.utils
* Sat Sep  8 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev254:
  * Fix formatting in changes-since guide
  * doc: update info for hypervisors
  * fup: Fix import order and test nit
  * Configure placement DB context manager for nova-manage/status
  * Fix TypeError in nova-manage cell\_v2 list\_cells
  * Docs: update link for remote debugging
  * Fix nits: Compute: Handle reshaped provider trees
  * Add encrypted volume support to feature matrix docs
  * Update volume-attachment API url in policies
* Fri Sep  7 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev236:
  * Doc: PowerVM does support shelve
* Thu Sep  6 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev234:
  * Fix DB archiver AttributeError due to wrong table name attribute used
  * Fix nova-status "\_check\_resource\_providers" check
  * Document unset/reset wrinkle for \*\_allocation\_ratio options
  * Fix a failure to format config sample
  * Don't persist zero allocation ratios in ResourceTracker
  * Move str to six.string\_types
* Wed Sep  5 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev222:
  * Removing pip-missing-reqs from default tox jobs
  * Other host allocs may appear in gafpt during evac
  * Combine error handling blocks in \_do\_build\_and\_run\_instance
* Tue Sep  4 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev216:
  * hardware: fix memory check usage for small/large pages
  * libvirt: skip setting rx/tx queue sizes for not virto interfaces
  * libvirt: guest: introduce blockStats instead of domain.blockStats
* Sat Sep  1 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev211:
  * Move conductor wait\_until\_ready() delay before manager init
  * Fix reshaper report client functonal test nits
  * Remove old check\_attach version check in API
  * Delete instance\_group\_member records from API DB during archive
  * Do test\_reshape with an actual startup
  * Compute: Handle reshaped provider trees
  * api-ref: add a warning about calling swap volume directly
  * Report client: update\_from\_provider\_tree w/reshape
  * Fix image-defined numa claims during evacuate
* Fri Aug 31 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev194:
  * (Re)start caching scheduler after starting computes in tests
  * Restart scheduler in TestNovaManagePlacementHealAllocations
  * [placement] Make \_ensure\_aggregate context not independent
  * reshaper gabbit: Nix comments re doubled max\_unit
  * Fix race condition in reshaper handler
  * api-ref: fix volume attachment update policy note
  * Report client: \_reshape helper, placement min bump
  * Report client: get\_allocations\_for\_provider\_tree
  * Report client: Real get\_allocs\_for\_consumer
  * Make get\_allocations\_for\_resource\_provider raise
  * reshaper: Look up provider if not in inventories
  * Fix soft deleting vm fails after "nova resize" vm
  * Add trait query to placement perf check
  * Add explanatory prefix to post\_test\_perf output
* Thu Aug 30 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev166:
  * doc: add info how to troubleshoot vmware specific problems
  * Fix a broken conf file description in networking doc
  * Mention (unused) RP generation in POST /allocs/{c}
  * Document no content on POST /reshaper 204
  * [placement] Add /reshaper handler for POST
  * Refix disk size during live migration with disk over-commit
* Wed Aug 29 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev155:
  * Revert "Don't use '\_TransactionContextManager.\_async'"
  * Don't use '\_TransactionContextManager.\_async'
  * Make monkey patch work in uWSGI mode
  * Optimize global marker re-lookup in multi\_cell\_list
  * Record cell success/failure/timeout in CrossCellLister
  * Make instance\_list perform per-cell batching
  * Make scheduler.utils.setup\_instance\_group query all cells
  * Deprecate Core/Ram/DiskFilter
* Tue Aug 28 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev139:
  * privsep: Handle ENOENT when checking for direct IO support
  * [placement] split gigantor SQL query, add logging
  * List instances from all cells explicitly
  * api: Remove unnecessary default parameter
  * Fix create\_resource\_provider docstring
* Sun Aug 26 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev129:
  * Batch results per cell when doing cross-cell listing
  * Clarify which context is used by do\_query()
  * Make RecordWrapper record RequestContext and expose cell\_uuid
* Sat Aug 25 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev123:
  * doc: Note NUMA topology requirements for numa-aware-vswitches
  * Correct the release notes related to nova-consoleauth
  * tests: Create functional libvirt test base class
  * tests: Move mocking to setUp
  * Remove noisy DEBUG log
  * Stash the cell uuid on the context when targeting
  * Make CELL\_TIMEOUT a constant
* Fri Aug 24 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev105:
  * [placement] Add functional test to verify presence of policy
  * Normalize dashless 'resource provider create' uuid
  * [placement] Regex consts for placement schema
  * libvirt: Don't react to VIR\_DOMAIN\_EVENT\_SUSPENDED\_MIGRATED events
  * Update contributor guide for Stein
  * placement: use single-shot INSERT/DELETE agg
  * Add functional test for affinity with multiple cells
  * Fix nits in resource\_provider.py
* Thu Aug 23 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev88:
  * libvirt: Always escape IPv6 addresses when used in migration URI
  * Filter out instances without a host when populating AZ
  * Remove ChanceScheduler
  * Making consistent used of GiB and MiB in API ref
  * Handle binding\_failed vif plug errors on compute restart
  * Use CONF.long\_rpc\_timeout in post\_live\_migration\_at\_destination
* Wed Aug 22 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev76:
  * Set policy\_opt defaults in placement deploy unit test
  * Set policy\_opt defaults in placement gabbi fixture
  * Update resources once in update\_available\_resource
* Tue Aug 21 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0rc2.dev71:
  * Use placement microversion 1.26 in update\_from\_provider\_tree
  * Remove mox in libvirt/test\_driver.py (5)
* Mon Aug 20 2018 comurphy@suse.com
- Fix license linter errors
* Mon Aug 20 2018 comurphy@suse.com
- Update to version nova-18.0.0.0rc2.dev65:
  * comment correction for libvirt multiattach
  * Remove the deprecated API extensions policies
  * Add zvm CI information
  * Add zvm admin intro and hypervisor information
  * Update api-guide and api-ref to be clear about forced-down
  * Py3 fix in fake image service
  * use static pages for mitaka and newton release notes
  * Revisons on notifications doc
  * VMware: add missing os types in vSphere sdk 6.5
  * Ironic: report 0 for vcpus/memory\_mb/disk\_gb resources
  * Remove blacklisted py3 xen tests
  * Add placement perf info gathering hook to end of nova-next
  * Fix service list for disabled compute using MC driver
  * [placement] api-ref: Add missing aggregates example
  * add zvm into support matrix
  * Trivial fix to remove extra 'will' on microversion doc
  * Imported Translations from Zanata
  * Handle unicode characters in migration params
  * placement: use simple code paths when possible
  * Test case for multiple forbidden traits
  * Adds a test for \_get\_provider\_ids\_matching()
  * Make Xen code py3-compatible
  * Revert "libvirt: slow live-migration to ensure network is ready"
  * improve migration script
  * placement: ignore policy scope check failures if not enforcing scope
  * api-ref: fix GET /flavors?is\_public description
  * Update reno for stable/rocky
  * Remove patching the mock lib
  * block\_device: Rollback volumes to in-use on DeviceDetachFailed
  * Quota details for key\_pair "in\_use" is 0
  * Add additional info to resource provider aggregates update API
  18.0.0.0rc1
  * Add a prelude release note for the 18.0.0 Rocky GA
  * Nix 'new in 1.19' from 1.19 sections for rp aggs
  * Trivial fix on migration doc
  * [placement] api-ref: add description for 1.29
  * Update the parameter explain when updating a volume attachment
  * Update ssh configuration doc
  * Update nova network info when doing rebuild for evacuate operation
  * Docs: Add guide to migrate instance with snapshot
  * Update compute rpc version alias for rocky
  * Add the guideline to write API reference
  * get provider IDs once when building summaries
  * Remove Neutron MetaAPIProxy from cellsv2-layout
  * [placement] Avoid rp.get\_by\_uuid in allocation\_candidates
  * Fix host validity check for live-migration
  * libvirt: Reduce calls to qemu-img during update\_available\_resource
  * Refactor cell\_type in compute/api.py
  * Add explicit functional-py36 tox target
  * xx\_instance\_type\_id in list\_migrations should be integer
  * Fix bad links for admin-guide
  * api-ref: Add descriptions for rebuild
  * Add microversion info in the os-server-groups API samples
  * Update really old comments about vmware hosts managing multiple nodes
  * doc: mark the max microversion for rocky
  * Fix resize revert to use non-legacy alloc handling
  * api-ref: fix min\_version for parent\_provider\_uuid in responses
  * [placement] Add version directives in the history doc
  * Use common functions in granular fixture
  * Fix none-ascii char in doc
  * Define irrelevant-files for tempest-full-py3 job
  * Add tempest-slow job to run the tempest slow tests
  * Not use project table for user table
  * Adds a test for getting allocations API
  * [placement] ensure\_rc\_cache only at start of process
  * Remove unused flavor\_delete\_info() method
  * Reno for notification-transformation-rocky
  * Deprecate upgrade\_levels options for deprecated/removed services
  * [placement] Move resource\_class\_cache into placement hierarchy
  * [placement] Debug log per granular request group
  * Remove unused request API sample template
  * Grease some more tests hitting RetryDecorator
  * Scrub hw:cpu\_model from API samples
  * Grease test\_try\_deallocate\_network\_retry\_direct
  * Improve NeutronFixture and remove unncessary stubbing
  * Remove unused stubbing function from test
  * doc: fix resize user guide link
  * tox: Ensure reused envdirs share the same deps
  * Fix a typo in comment in resource\_provider.py
  * Refactor AllocationFixture in placement test
  * Increase max\_unit in placement test fixture
  * Use common functions in NonSharedStorageFixture
  * Hook resource\_tracker to remove stale node information
  * Make ResourceTracker.stats node-specific
  * Add recreate test for RT.stats bug 1784705
  * Reload oslo\_context after calling monkey\_patch()
  * Fix comments in \_anchors\_for\_sharing\_providers and related test
  * Ensure the order of AllocationRequestResources
  * libvirt: Remove usage of migrateToURI{2} APIs
  * Remove unnecessary PlacementFixture setups
  * Don't poison Host.\_init\_events if it's already mocked
  * Remove redundant join in \_anchors\_for\_sharing\_providers
  * [placement] Retry allocation writes server side
  * [placement] api-ref: add traits parameter
  * Retry decorator fix for instances which go into ERROR state during bulk delete
  * Fix formatting for vcpu\_pin\_set and reserved\_huge\_pages
  * Updated AggregateImagePropertiesIsolation filter illustration
  * [placement] Use a simplified WarningsFixture
  * [placement] Use a non-nova log capture fixture
  * [placement] Use oslotest CaptureOutput fixture
  * [placement] Use own set\_middleware\_defaults
  * Extract \_update\_to\_placement method in resource tracker
  * Set default of oslo.privsep.daemon logging to INFO level
  * Remove superfluous network stubbing in func test
  * Add additional functional tests for NUMA networks
  * Add description for placement 1.26
  18.0.0.0b3
  * Add functional test for forced live migration rollback allocs
  * Assorted cleanups from numa-aware-vswitches series
  * libvirt: Revert non-reporting DISK\_GB if sharing
  * Pass source vifs to driver.cleanup in \_post\_live\_migration
  * Fix create\_all() to replace\_all() in comments
  * compute node local\_gb\_used include swap disks
  * Use source vifs when unplugging on source during post live migrate
  * Fix all invalid obj\_make\_compatible test case
  * Change deprecated policies to policy
  * api-ref: document user\_data length restriction
  * Fix accumulated nits from port binding for live migration series
  * [placement] Use base test in placement functional tests
  * Fix signature of \_FakeImageService.download
  * [placement] Extract base functional test case from test\_direct
  * Use vif.vif\_name in \_set\_config\_VIFGeneric
  * doc: add missing permission for the vCenter service account
  * Hyper-V + OVS: plug vifs before starting VMs
  * Use placement context in placement functional tests
  * ironic: Report resources as reserved when needed
  * doc: remove rocky-specific nova-scheduler min placement version
  * scheduler: Start utilizing RequestSpec.network\_metadata
  * Consider network NUMA affinity for move operations
  * Add nova-manage placement sync\_aggregates
  * Add functional tests for numa-aware-vswitches
  * libvirt: Start populating NUMACell.network\_metadata field
  * conf: Add '[neutron] physnets' and related options
  * tox: Silence psycopg2 warnings
  * FakeLibvirtFixture: mock get\_fs\_info
  * Add method to get cpu traits
  * Blacklist greenlet 0.4.14
  * Enhance doc to guide user to use nova user
  * doc: link to AZ talk from the Rocky summit
  * doc: link to CERN summit video about upgrading from cells v1 to v2
  * Update queued-for-delete from the ComputeAPI during deletion/restoration
  * Online data migration for queued\_for\_delete flag
  * ironic: add instance\_uuid before any other spawn activity
  * Use consumer generation in \_heal\_allocations\_for\_instance
  * Cache is\_bfv check in ResourceTracker
  * Add shelve/unshelve wrinkle to volume-backed disk func test
  * Fix wonky reqspec handling in conductor.unshelve\_instance
  * Heal RequestSpec.is\_bfv for legacy instances during moves
  * Report 0 root\_gb in resource tracker if instance is bfv
  * Docs: Add Placement to Nova system architecture
  * libvirt: Remove reference to transient domain when detaching devices
  * Add queued\_for\_delete field to InstanceMapping object
  * Rename auth\_uri to www\_authenticate\_uri
  * Func test for improper cn local DISK\_GB reporting
  * perform reshaper operations in single transaction
  * docs: add nova host-evacuate command to evacuate documentation
  * compute: Ensure pre-migrating instances are destroyed during init\_host
  * In Python3.7 async is a keyword [1]
  * Check provider generation and retry on conflict
  * Fix missing print format error
  * Remove stevedore extensions server\_create method
  * Update RequestSpec.instance\_uuid during scheduling
  * Add regression test for bug 1781710
  * Skip test\_resize\_server\_revert\_with\_volume\_attached in nova-lvm
  * Disable limits if force\_hosts or force\_nodes is set
  * conductor: use port binding extended API in during live migrate
  * Port binding based on events during live migration
  * Annotate flows and handle PortBindingDeletionFailed in ComputeManager
  * Implement migrate\_instance\_start method for neutron
  * libvirt: use dest host vif migrate details for live migration
  * libvirt: use dest host port bindings during pre\_live\_migration
  * libvirt: factor out pre\_live\_migration plug\_vifs call
  * Add VIFMigrateData.get\_dest\_vif
  * Add VIFMigrateData object for live migration
  * [placement] disallow additional fields in allocations
  * Fix ServerMigrationSampleJsonTests to use sample files from version dir
  * Remove "DEPRECATED" tag from Obsolete APIs
  * Remove support for /os-floating-ip-dns REST API
  * Remove support for /os-floating-ips-bulk REST API
  * Avoid requesting DISK\_GB allocation for root\_gb on BFV instances
  * [placement] cover bad content-length header
  * [placement] Add gabbi coverage for inv of missing rp
  * [placement] Add gabbi coverage for an inventory change
  * clarify usage of upgrade\_levels group
  * Fix confusing log message in scheduler
  * Fix the incorrect description and sample
  * Transform metrics.update notification
  * update tox venv env to install all requirements
  * Fix "XLibvirt KVM (ppc64)" typo in feature support matrix docs
  * Call generate\_image\_url only for legacy notification
  * Add unshelve instance error info to fault table
  * Address nit in 79dac41fee178dabb547f4d7bc10609630767131
  * Escalate UUID validation warning to error in test
  * Fix a newly introduced UUID warning in the unit test
  * Move legacy-tempest-dsvm-nova-os-vif in repo
  * API: add support to abort queued live migration in microversion 2.65
  * Fix ServerMigrationSampleJsonTestsV2\_24 to use its own sample file
  * Compute: add support to abort queued live migration
  * Use ThreadPoolExecutor for max\_concurrent\_live\_migrations
  * Replace support matrix ext with common library
  * Address nits in server group policy series
  * Add note about reschedules and num\_attempts in filter\_properties
  * Add another up-call to the cells v2 caveats list
  * Stop using HostAPI.service\_delete
  * Handle HostMappingNotFound when deleting a compute service
  * Refactor \_heal\_instances\_in\_cell
  * Complete the api-ref of security group rule
  * Add nova-status upgrade check for request spec migrations
  * Add placement.concurrent\_udpate to generation pre-checks
  * Delete orphan compute nodes before updating resources
  * Use hard coded values in schema than reference
  * Address nits from consumer generation
  * objects: Add RequestSpec.network\_metadata
  * hardware: Start accounting for networks in NUMA fitting
  * objects: Add NUMATopologyLimits.network\_metadata
  * Avoid joins in \_server\_group\_count\_members\_by\_user
  * Add documentation for emulator threads policy
  * Update install guide for placement database configuration
  * objects: Add NUMACell.network\_metadata
  * Stop setting glance\_api\_version in cinder.conf in nova-live-migration
  * Wait for vif plugging during live migration job
  * Convert 'placement\_api\_docs' into a Sphinx extension
  * Define common variables for irrelevant-files
  * tox: Reuse envdirs
  * Add regression test for bug #1764883
  * Delete port bindings in setup\_networks\_on\_host if teardown=True
  * Add "activate\_port\_binding" neutron API method
  * Add "delete\_port\_binding" network API method
  * Add "bind\_ports\_to\_host" neutron API method
  * conf: Deprecate 'network\_manager'
  * Nix unused raise\_if\_custom\_resource\_class\_pre\_v1\_1
  * Make host\_aggregate\_map dictionary case-insensitive
  * Trim the fat on HostState.instances
  * Fix being able to hard reboot a pausing instance
  * Rename recreate to evacuate in driver signatures
  * Delete checking a bool opt of None condition
* Tue Jul 17 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev484:
  * Update HostState.instances during \_consume\_selected\_host
  * Add UUID validation for consumer\_uuid
  * Adjust log style and remove ocata support
  * z/VM Driver: add get console output
  * z/VM Driver: add power actions
  * z/VM Driver: add snapshot function
  * z/VM Driver: Spawn and destroy function of z/VM driver
  * z/VM Driver: Initial change set of z/VM driver
  * Transform instance.live\_migration\_force\_complete notification
  * Transform aggregate.update\_prop notification
  * fix cellv2 delete\_host
  * Microversion 2.64 - Use new format policy in server group
  * do not assume 1 consumer in AllocList.delete\_all()
  * Resource\_provider API handler does not return specific error codes
  * network: Retrieve tunneled status in '\_get\_physnet\_info'
  * network: Always retrieve network information if available
* Mon Jul 16 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev452:
  * Skip more rebuild tests for cells v1 job
  * ironic: Log an error when API version is not available
  * virt/ironic: Implement rescue and unrescue
  * Transform instance.live\_migration\_post notification
  * Transform instance.live\_migration\_rollback\_dest notification
* Sun Jul 15 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev442:
  * ironic: provide facilities to gracefully navigate versions
  * Transform instance.rebuild\_scheduled notification
* Sat Jul 14 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev438:
  * Heal allocations with incomplete consumer information
  * Imported Translations from Zanata
  * Adapt \_validate\_instance\_group\_policy to new policy model
* Fri Jul 13 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev433:
  * Update process doc to be more generic about point of contact
  * Follow up for Ie49d605c66062d2548241d7e04f5a2a6b98c011e
  * Mention osc-placement for managing traits in docs
  * Handle rebuild of instances with image traits
  * Change the ServerGroupAntiAffinityFilter to adapt to new policy
  * Add policy field to ServerGroup notification object
  * Add policy to InstanceGroup object
  * Revert "docs: Disable smartquotes"
* Thu Jul 12 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev417:
  * Test for unsanitized consumer UUID
  * [placement] add error.code on a ConcurrentUpdateDetected
  * Fix TypeError in prep\_resize allocation cleanup
  * Update some placement docs to reflect modern times
  * Add queued for delete to instance\_mappings table
  * Remove irrelevant comment
  * Fix server\_group\_members quota check
  * Add functional regressions tests for server\_group\_members OverQuota
* Wed Jul 11 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev401:
  * Remove unused variable in migration
  * update project/user for consumer in allocation
  * Use nova.db.api directly
  * Update root providers in same tree
  * hardware: fix hugepages memory usage per intances
  * Remove duplicate parameter in API sample documents
  * placement: delete auto-created consumers on fail
  * delete consumers which no longer have allocations
  * make incomplete\_consumer\_project\_id a valid UUID
  * Refactor policies to policy in InstanceGroup DB model
  * Add rules column to instance\_group\_policy table
  * api-ref: Example verification for servers.inc
  * Handle compare in test\_pre\_live\_migration\_volume\_backed\* directly
  * Remove mox in unit/network/test\_neutronv2.py (2)
  * Regression test for bug 1779818
  * Allow templated cell\_mapping URLs
  * unquiesce instance after quiesce failure
* Tue Jul 10 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev367:
  * move lookup of provider from \_new\_allocations()
* Sat Jul  7 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev361:
  * Fix whitespace damage
* Fri Jul  6 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev359:
  * Use valid UUID in the placement gabbits
  * Time how long pre\_live\_migration() takes
  * Default embedded instance.flavor.disabled attribute
  * cover migration cases with functional tests
  * Remove remaining legacy DB API instance\_group\* methods
  * VMware: save VC reads for information that is static
* Thu Jul  5 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev345:
  * Add action initiator attribute to the instance payload
  * Fix unbound local when saving an unchanged RequestSpec
  * Prevent updating an RP's parent to form a loop
  * libvirt: add qemu version check when configuring mtu for network
  * conf: Resolve Sphinx errors
  * [doc] enhance admin/configuration/api.rst
  * Update xenapi\_disable\_agent config option usage in docs
  * conf: Correct documentation for '[pci] passthrough\_whitelist'
  * Remove mox in sec group test and functional tests
  * Remove unused DB API instance\_group\_member\* methods
* Wed Jul  4 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev319:
  * Handle nested serialized json entries in assertJsonEqual
  * Remove unnecessary execute permissions of a file
  * Regression test for bug 1779635
  * Update admin/flavors document
  * Fix missing versioned notification examples
  * Use 'version2' when syncing placement db
  * More config drive docs updates
  * Remove mox in unit/network/test\_neutronv2.py (1)
  * Fix regression when listing build\_requests with marker and ip filter
  * Resource tracker: improve resource tracker periodic task
  * Simplify instance name generation
  * Request only instance\_uuid in ironic node list
  * Clarify log in RT.\_update\_usage\_from\_migration
* Mon Jul  2 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev293:
  * manage: Remove dead code
* Sat Jun 30 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev291:
  * [placement] fix allocation handler docstring typo
  * Fix placement incompatible with webob 1.7
  * Fix nits in placement-return-all-resources series
  * Add microversion for nested allocation candidate
  * libvirt: Fix the rescue race for vGPU instances
  * Remove file injection from config drive sample docs
  * Use ironic-tempest-dsvm-ipa-wholedisk-bios-agent\_ipmitool-tinyipa in tree
  * Mention PowerVM support of config drive
  * tox: Document and dedupe mostly everything
  * trivial: Remove 'tools/releasenotes\_tox.sh'
  * Use nova.test.TestingException
  * libvirt: Add missing encryption\_secret\_uuid tests for pre\_live\_migration
  * Remove unused DB API instance\_group\_delete method
  * [placement] Fix capacity tracking in POST /allocations
  * Update scheduler to use image-traits
  * conf: libvirt: Make \`/dev/urandom\` the default for 'rng\_dev\_path'
  * Fix CLI docs for nova-manage api\_db commands
  * Test alloc\_cands with indirectly sharing RPs
  * [placement] Extract create\_allocation\_list
  * Remove mox in nova/tests/unit/virt/xenapi/stubs.py
  * placement: s/None/null/ in consumer conflict msg
  * Mention nova-status upgrade check CLI in upgrade doc
  * Powervm configuration cleanup
  * VMware: remove reading resourcePool data
  * sync\_guest\_time: use the proper errno
  * Downgrade overquota warning
  * Match ComputeNode.uuid to ironic node uuid in RT
  * update the description of hypervisor statistics response
* Fri Jun 29 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev233:
  * Mention server status in api-ref when rebuild
  * Make nova-lvm run in check on libvirt changes and compute API tests
  * Remove compatibility code for instance groups
  * Skip ServerShowV247Test.test\_update\_rebuild\_list\_server in nova-cells-v1 job
  * Fix the duplicated config options of api\_database and placement\_database
* Thu Jun 28 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev223:
  * [placement] demonstrate part of bug 1778591 with a gabbi test
  * Handle CannotDeleteParentResourceProvider to 409 Conflict
  * Fix unit test modifying global state
  * [placement] Add test demonstrating bug 1778743
  * Update API reference for os-floating-ip-pools
  * Fix API reference for os-floating-ip-dns
  * Fix API reference for os-floating-ips-bulk
  * [placement] Demonstrate bug in consumer generation handling
  * Remove mox in test\_conductor.py (2)
  * Add information of deprecation nova-network in system-admin.rst
  * ironic: bugfix: ensure a host is set for volume connectors
  * placement: Make API history doc more consistent
  * Consider hostdev devices when building metadata
  * Refactor \_build\_device\_metadata
  * Drop API compat handling for old compute error cases
  * libvirt: remove old rbd snapshot removal error handling
  * Handle network-changed event for a specific port
* Wed Jun 27 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev194:
  * Remove support for /os-fixed-ips REST API
  * network: Rename 'create\_pci\_requests\_for\_sriov\_ports'
  * network: Rename '\_get\_phynet\_info'
  * Make nova list and migration-list ignore down cells
  * Adapter raise\_exc=False by default
  * Bump keystoneauth1 minimum to 3.9.0
  * Remove mox in test\_conductor.py (1)
  * api-ref: Fix parameters about trusted certificate IDs
  * fix PowerVM get\_bootdisk\_path docstring
  * Ironic update\_provider\_tree: restore traits override
  * Update links in README
  * xenapi: drop deprecated vif\_driver config option
* Tue Jun 26 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev170:
  * Add instance.unlock notification
  * Switch to oslo\_messaging.ConfFixture.transport\_url
  * network: Unchain '\_get\_phynet\_info' from '\_get\_port\_vnic\_info'
  * objects: Remove legacy '\_to\_dict' functions
  * Add instance.lock notification
* Sun Jun 24 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev161:
  * Fix bug to filter\_scheduler
* Sat Jun 23 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev159:
  * Fix bug to api-ref
  * libvirt: Log breadcrumb for known encryption bug
  * Fix nits from change Ia7cf4414feb335b3c2e863b4c8b4ff559b275c34
  * Implement discard for file backed memory
  * Fix nits from change I676291ec0faa1dea0bd5050ef8e3426d171de4c6
  * objects: Remove NUMATopologyLimits.obj\_from\_db\_obj
  * Cleanup nits in placement database changes
  * Remove network info stubbing in functional test
* Fri Jun 22 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev144:
  * Add check if neutron "binding-extended" extension is available
  * Clarify placement DB schema migration
* Thu Jun 21 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev140:
  * Implement file backed memory for instances in libvirt
  * Comment proposed ironic fix for removal of ironic driver workaround
  * Fix nits from change Id609789ef6b4a4c745550cde80dd49cabe03869a
  * Add a microversion for consumer generation support
  * Be graceful about vif plugging in early ironic driver startup
  * Wait for network-vif-plugged before starting live migration
  * Don't heal allocations for deleted servers
  * Convert ironic virt driver to update\_provider\_tree
  * Ensure that os-traits sync is attempted only at start of process
  * Optimize member\_of check for nested providers
* Wed Jun 20 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev120:
  * Isolate placement database config
  * Add full traceback to ExceptionPayload in versioned notifications
  * Fix MigrateData object tests for compat routines
  * Return all nested providers in tree
  * Add policy rule to block image-backed servers with 0 root disk flavor
  * libvirt: remove unused get\_ovs\_interfaceid()
  * Only run placement request filters when Placement will be called
  * Set scope for remaining placement policy rules
* Tue Jun 19 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev106:
  * Skip ServerShowV263Test.test\_show\_update\_rebuild\_list\_server for cellsv1
  * Revert "Re-using the code of os brick cinder"
  * Add trusted certs to feature support matrix docs
  * Remove unnecessary parameters from create volume API
* Sun Jun 17 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev99:
  * Add osprofiler config options to generated reference
  * Fix retrying lower bound in requirements.txt
  * Fix nits in nested provider allocation candidates(2)
* Sat Jun 16 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev96:
  * Enforce placement minimum in nova.cmd.status
  * Update the disk\_cachemodes to mention an rbd detail
  * Fix nits from trusted certs notification change
  * Remove max\_size parameter from fake\_libvirt\_utils.fetch\_\*image methods
  * Add PLACEMENT\_DB\_ENABLED=True to the nova-next job
  * Optional separate database for placement API
  * Add supplementary info for simple\_cell\_setup cmd
  * Add certificate validation docs
  * Add troubleshooting item about ignored microversions
  * Make check\_can\_live\_migrate\_destination use long\_rpc\_timeout
  * [placement] Add status and links fields to version document at /
  * Add notification support for trusted\_certs
  * Fix execute mock for test\_convert\_image\_with\_errors
  * rework allocation handler \_allocations\_dict()
  * placement: Allocation.consumer field
  * Ignore UserWarning for scope checks during test runs
  * [placement] replace deprecated accept.best\_match
  * Update nova-status & docs: require placement 1.25
  * XenAPI: update the document related to vdi streaming
  * XenAPI: define a new image handler to use vdi streaming
  * Add enhanced KVM storage QoS quotas
  * Provide a direct interface to placement
  * Use oslo.messaging per-call monitoring
  * Re-using the code of os brick cinder
* Fri Jun 15 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev49:
  * Add trusted\_image\_certificates to REST API
* Thu Jun 14 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev47:
  * api-ref: expand on various bdm parameters
  * Do not use nova.test in placement.test\_deploy
* Wed Jun 13 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev44:
  * Plumb trusted\_certs through the compute service
  * add consumers generation field
  * Implement certificate\_utils
  * libvirt: Don't report DISK\_GB if sharing
  * Remove nova dependencies from test\_resource\_provider
  * Adjust db using allocation unit tests
  * Move db using provider unit tests to functional
  * Refactor libvirt get\_memory\_used\_mb()
  * doc follow https://review.openstack.org/#/c/572195
  * Extract part of PlacementFixture to placement
  * fix tox python3 overrides
  * Do not use nova.test in placement.test\_microversion
  * Do not use nova.test in placement.test\_handler
  * Do not use nova.test in placement.test\_fault\_wrap
  * Do not use nova.test in placement.test\_requestlog
  * Do not use nova.test in placement.handlers.test\_aggregate
  * Do not use nova.test in placement.test\_util
  * Transform instance.exists notification
  * Skip ServerShowV254Test.test\_rebuild\_server in cells v1 job
  * Use instance project/user when creating RequestSpec during resize reschedule
  * placement: Use INNER JOIN for requied traits
* Tue Jun 12 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev12:
  * placement: always create consumer records
  * Document the internal online\_migrations function behaviors
  * Fix typo in enable\_certificate\_validation config option help
  * Remove unused \_disk\_qcow2\_to\_raw
  * Mention running rootwrap in daemon mode if hitting vif plug timeouts
  * Pushing image traits to ironic node
* Mon Jun 11 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b3.dev5:
  * Remove mox in libvirt/test\_driver.py (4)
  * Remove mox in test\_compute\_api.py (3)
  18.0.0.0b2
  * Remove support for /os-virtual-interfaces REST API
  * Return all resources in provider\_summaries
* Fri Jun  8 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev461:
  * Fix bug to doc:nova-status
  * Fix the file name of development-environment.rst
  * Fix issues in nova-show-usage-statistics-for-hosts-instances.rst
  * add mtu to libvirt xml for ethernet and bridge types
  * Enhance api-guide general info some updates
  * Delete duplicate functions in placement test
  * Use list instead of set for duplicate check
  * Support nested alloc cands with sharing providers
  * Follow up changes to granular placement policy reviews
* Thu Jun  7 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev443:
  * Change consecutive build failure limit to a weigher
  * Fix doc nit
  * Ensure resource class cache when listing usages
  * api-ref: mention that you can't re-parent a resource provider
  * Trivial: let internal use only func has \_ prefix
  * Re-base placement object unit tests on NoDBTestCase
  * Fix some inconsistencies in doc
  * Add nova-manage placement heal\_allocations CLI
  * Fix nits in nested provider allocation candidates
  * Add granular policy rules for allocation candidates
  * Add granular policy rules for placement allocations
  * Add granular policy rules for traits in placement
  * Add granular placement policy rules for aggregates
  * Add traits check in nested provider candidates
  * Return nested providers in get\_by\_request
  * Add contributor docs on deprecating and removing compute REST APIs
  * Remove support for /os-fping REST API
* Wed Jun  6 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev409:
  * Fix some wrong urls in doc
  * Fix bug to doc
  * [placement] Do not import oslo\_service for log\_options
  * Fix bug for hypervisors
  * Restrict CONF.quota.driver to DB and noop quota drivers
  * Fix invalid raise in test\_compute\_mgr
  * network: update pci request spec to handle trusted tags
  * metadata: add vf\_trusted field to device metadata
  * libvirt:  add vf\_trusted field for network metadata
  * libvirt: configure trust mode for vfs
  * Add granular policy rules for usages
  * libvirt: place emulator threads on CONF.compute.cpu\_shared\_set
  * PowerVM snapshot cleanup
  * Add granular policy rules for resource providers inventories
  * Add granular policy rules for /resource\_classes\*
  * Implement granular policy rules for placement
  * [placement] default to accept of application/json when \*/\*
* Fri Jun  1 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev377:
  * Update overriden to overridden
  * pci: don't consider case when match tags specs
  * Remove mox in libvirt/test\_driver.py (3)
  * PowerVM Driver: vSCSI Fibre Channel volume adapter
  * libvirt: Skip fetching the virtual size of block devices
* Thu May 31 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev367:
  * mirror nova host aggregate members to placement
  * add parameter docstring for 'params' to libvirt.guest.Guest.migrate()
  * Remove mox in tests/unit/api/openstack/compute
  * Expand tests for multiple shared resources case
  * Metadata-API fails to retrieve avz for instances created before Pike
  * Make nova service-list use scatter-gather routine
  * doc: Start using openstackdoctheme's extlink extension
  * doc: Don't use single backticks in man pages
  * doc: cleanup API guide about instance faults
* Wed May 30 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev350:
  * Adding NVMEoF for libvirt driver
  * Fix doc mistakes
  * Remove unused function
* Sun May 27 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev345:
  * Change exception type while deattaching root device
* Sat May 26 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev343:
  * libvirt: get\_inventory => update\_provider\_tree
* Fri May 25 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev341:
  * libvirt: Deprecate support for monitoring Intel CMT \`perf\` events
  * Normalize inventory from update\_provider\_tree
* Thu May 24 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev337:
  * Honor availability\_zone hint via placement
  * Convert libvirt's RBD storage to using processutils.execute()
  * Remove mox in libvirt/test\_driver.py (2)
* Wed May 23 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev331:
  * Remove the remaining of the removed option
* Tue May 22 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev329:
  * api-ref: Fix parameters for os-volume-attachments.inc
* Mon May 21 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev327:
  * Fix interpretation of max\_attempts for scheduling alternates
* Sat May 19 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev325:
  * Update placement upgrade docs for nova-api dependency on placement
  * Avoid unnecessary joins in HostManager.\_get\_instances\_by\_host
  * Placement: allow to set reserved value equal to total for inventory
  * Update PowerVM hypervisor docs
  * Update nova-status and docs for required placement 1.24
  * Granular requests to get\_allocation\_candidates
  * ProviderTree.has\_inventory\_changed for new fields
  * PowerVM Driver: Localdisk
  * Expose instance\_get\_all\_uuids\_by\_host() from DB API and use it
  * Make instance.refresh() avoid recursion better
  * Make instance able to lazy-load almost everything
  * Update the deprecate os\_region\_name option
  * Fix inconsistency in docs
  * Add tests for \_get\_trees\_matching\_all() function
  * Fix typo in NUMATopologyFilter docs
* Fri May 18 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev301:
  * Fakelibvirt migrateToURI3 should provide args according to libvirt doc
  * Deduplicate config/policy reference docs from main index
  * Fix auth\_url example in hypervisor-hyper-v.rst
  * PowerVM Driver: DiskAdapter parent class
  * Cleanup ugly stub in TestLocalDeleteAllocations
  * Deprecate running API services under eventlet
  * Remove unnecessary 'to\_primitive' call
  * Remove mox in test\_xenapi.py (3)
  * Remove mox in test\_live\_migrate.py
  * Remove mox in libvirt/test\_driver.py (1)
  * Skip ServerActionsTestJSON.test\_rebuild\_server for cells v1 job
  * Simplify BDM boot index checking
  * Expand member\_of functional test cases
* Thu May 17 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev276:
  * Remove deprecated monkey\_patch config options
  * Debug logs for allocation\_candidates filters
  * We don't need utils.trycmd any more
  * Move image conversion to privsep
  * PowerVM Driver: Snapshot
  * Fix member\_of with sharing providers
  * Add tests for alloc\_cands with member\_of
* Wed May 16 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev264:
  * Add retrying to requirements.txt
  * Update auth\_url in install docs
  * Add INVENTORY\_INUSE to DELETE /rp/{u}/inventories
  * placement: Fix HTTP error generation
  * Remove mox in tests/unit/api/\*/test\_volumes.py
  * \_\_str\_\_ methods for RequestGroup, ResourceRequest
  * Fix HTTP500 error of changes-since on v2.0 API
  * libvirt: Report the virtual size of RAW disks
  * trivial: Explain how the marker works for instance-cell mapping
* Tue May 15 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev246:
  * Added ability to configure default architecture for ImagePropertiesFilter
  * add lower-constraints job
  * XenAPI: Pass expected return codes to resize2fs
  * Make scheduler client allow multiple member\_of query parameters
  * Suppress UUID warning in map\_instance unit tests
  * Remove '\_apply\_instance\_name\_template'
* Sun May 13 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev234:
  * Remove mox in test\_compute\_api.py (2)
  * Add test\_set\_device\_mtu\_default back in
  * Move set\_vf\_interface\_vlan to the new utility module
  * Add random sleep between retry calls to placement
* Sat May 12 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev226:
  * Don't reschedule on RequestedVRamTooHigh errors
  * Flexibly test keystonmiddleware in placement stack
  * Fix irrelevant-files in nova-dsvm-multinode-base
  * Add connection\_parameters to list of items copied from database
  * XenAPI: deprecate the config for image handler class path
  * update scheduler to use image-traits
  * Address feedback from instance\_list smart-cell behavior
  * Remove remaning log translation in scheduler
  * Remove mox in test\_xenapi.py (2)
  * [doc] Add soft\_deleted flag
  * libvirt: always pass emulator threads policy
  * compute: introduce cpu\_shared\_set option
  * Remove mox in unit/virt/xenapi/test\_vmops.py
* Fri May 11 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev200:
  * Avoid warning log when image not exist
  * Move create\_tap\_dev to the new utility module
  * Make get\_instance\_objects\_sorted() be smart about cells
  * Add CellMapping.get\_by\_project\_id() query method
  * remove IVS plug/unplug as they're moved to separate plugin
  * [Doc]Link policies file into api
  * libvirt: check image type before removing snapshots in \_cleanup\_resize
  * Remove mox in test\_compute\_api.py (1)
  * Fix shelving a paused instance
* Thu May 10 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev182:
  * Expose driver\_block\_device fields consistently
  * Fix detach\_volume calls when rolling back a failed attach
  * Followup for multiple member\_of qparams support
  * Add tests for alloc cands with poor local disk
  * Remove unused methods in nova/compute/utils.py
  * Remove mox in test\_xenapi.py (1)
  * Migrate tempest-dsvm-multinode-live-migration job in-tree
  * Remove [scheduler]/host\_manager config option
  * Remove IronicHostManager and baremetal scheduling options
  * Convert configdrive to use processutils
  * Convert certificate generation to processutils
  * Convert xenapi's xvp console to processutils
* Wed May  9 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev158:
  * Add docs for hw\_video:ram\_max\_mb flavor extra spec
  * Use .. deprecated:: theme for deprecations
  * doc: Don't confuse CPU pinning/NUMA as Hyper-V only
  * placement: Granular GET /allocation\_candidates
  * Changing scheduler sync event from INFO to DEBUG
  * placement: Object changes for granular
  * Convert fping API to processutils.execute()
  * Remove stale pip-missing-reqs tox test
  * libvirt: Fix misleading debug msg "Instance is running"
  * Handle PortNotFoundClient exception when getting ports
  * log stale allocations as WARNING instead of DEBUG
  * Bump pypowervm minimum to 1.1.15
* Tue May  8 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev134:
  * Fix typos in Host aggregates documentation
  * Deprecate the nova-consoleauth service
  * [doc]remove nova-cert leftover in doc
  * Replace Chinese punctuation with English punctuation
  * Proxy is\_volume through DriverBlockDevice
  * doc: add note about xenapi aggregate upcall being resolved
  * Give volume DriverBlockDevice classes a common prefix
* Sun May  6 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev122:
  * Use helpers in test\_resource\_provider (func)
  * Use test\_base symbols directly
  * Base test module/class for functional placement db
  * Update layout docs for running console proxies
  * Convert websocketproxy to use db for token validation
  * Add multi-cell negative test for cold migration with target host
  * libvirt: Drop MIN\_LIBVIRT\_REALTIME\_VERSION
  * libvirt: Drop MIN\_QEMU\_POSTCOPY\_VERSION
  * libvirt: Drop BAD\_LIBVIRT\_CPU\_POLICY\_VERSIONS
* Fri May  4 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev104:
  * Handle @safe\_connect returns None side effect in \_ensure\_resource\_provider
  * support multiple member\_of qparams
  * trivial: Fix file permissions
  * Fix the request context in ServiceFixture
  * Get anchors for sharing providers
  * Make association\_refresh configurable
  * Cleanup patch for the cell-disable series
  * Include only required fields in ironic node cache
* Thu May  3 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev90:
  * Remove ExactCoreFilter ExactDiskFilter ExactRamFilter
* Wed May  2 2018 snica@suse.com
- Set TasksMax to infinity for openstack-nova-compute (bsc#1070603)
* Wed May  2 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev88:
  * libvirt: fix setting tx\_queue\_size when rx\_queue\_size is not set
  * libvirt: Lift the restriction of choices for \`cpu\_model\_extra\_flags\`
  * libvirt: Make \`cpu\_model\_extra\_flags\` case-insensitive for real
  * Add user\_id to RequestSpec
  * Use os.rename, not mv
* Tue May  1 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev78:
  * libvirt: Drop BAD\_LIBVIRT\_NUMA\_VERSIONS
  * libvirt: Drop MIN\_LIBVIRT\_NUMA\_VERSION\_PPC
  * libvirt: Drop MIN\_LIBVIRT\_BLOCK\_LM\_WITH\_VOLUMES\_VERSION
  * Make host\_manager use scatter-gather and ignore down cells
  * Make service all-cells min version helper use scatter-gather
  * Use ConsoleAuthToken object to generate authorizations
* Sat Apr 28 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev66:
  * Fix tox -e docs
  * placement: resource requests for nested providers
  * Remove explicit instance.info\_cache.delete()
* Fri Apr 27 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev60:
  * Add host/hostId to instance action events API
  * Handle deprecation of inspect.getargspec
  * ServerActionsSampleJsonTest refactor
  * libvirt: fix hard reboot issue with mdevs
* Thu Apr 26 2018 cloud-devel@suse.de
- Update to version nova-18.0.0.0b2.dev52:
  * Fix dropped check for boot\_index 0 in \_validate\_bdm
  * Make accept-language tests work with webob 1.8.x
  * Fix invalid UUIDs in test
  * Functional test: cold migrate to compute down
  * Address issues raised in adding member\_of to GET /a-c
  * api-ref: mark block\_device\_mapping\_v2.boot\_index as required
  * xenapi: handle InstanceNotFound in detach\_interface()
  * Update docs for [keystone\_authtoken] changes since Queens
  * doc: Adds Hyper-V PCI passthrough details
* Wed Apr 25 2018 tbechtold@suse.com
- Update to version nova-18.0.0.0b2.dev38:
  * docs: link to volume multi-attach demo recording
  * Remove vestigial system\_metadata param from info\_from\_instance()
  * Drop MIN\_LIBVIRT\_SET\_ADMIN\_PASSWD
  * libvirt: Bump MIN\_{LIBVIRT,QEMU}\_VERSION for "Rocky"
  * libvirt: add support for virtio-net rx/tx queue sizes
  * libvirt: fix wrong driver name for vhostuser interface
  * libvirt: Add a debug log entry before / after invoking migrate()
  * xenapi: Documents update for XAPI pool shared SR migration
  * Remove deprecated [placement] opts
  * Fix link in placement contributor doc
  18.0.0.0b1
  * Add \`hide\_hypervisor\_id\` flavor extra\_spec
  * Mention that users need noVNC >= 0.6
  * fix a typo
  * Move some tests into nova.tests.unit.notifications.objects.test\_instance
  * Leave a hint when populate\_schema fails
  * Add request\_id to instance action notifications
  * Add root and parent provider uuid to group by clause
  * Improve check capacity sql
  * Deduplicate notification samples Rocky - 7
  * Add periodic task to clean expired console tokens
  * xenapi: Use XAPI pool instead of aggregate pool for shared SR migration
  * Remove mox in unit/api/openstack/compute/test\_hosts.py
  * Cleanup RP and HM records while deleting a compute service
  * Delete allocations from API if nova-compute is down
  * Block deleting compute services which are hosting instances
  * Add functional test for deleting a compute service
  * mock utils.execute() in qemu-img unit test
  * Add CPUWeigher
  * Fix docs for confirmResize action
  * Remove placement config check
  * Parse forbidden in extra\_specs
  * Deduplicate notification samples Rocky - 6
  * Deduplicate notification samples Rocky - 5
  * Deduplicate notification samples Rocky - 4
  * doc: BFV instances and IsolatedHostsFilter
  * Remove redundant \_do\_check\_can\_live\_migrate\_destination
  * Improve performance when list instances with IP filter
  * Remove mox in test\_serversV21.py (2)
  * Remove mox in test\_serversV21.py (1)
  * libvirt: Report the allocated size of preallocated file based disks
  * Document how to disable notifications
  * tests for alloc candidates with nested and traits
  * Add config drive link to api-guide
  * Move update\_task\_state out of try/except
  * Fix doc link for api
  * Address nits in I00d29e9fd80e6b8f7ba3bbd8e82dde9d4cb1522f
  * Extract generate\_hostid method into utils.py
  * Record the host info in EventReporter
  * Deduplicate notification samples Rocky - 3
  * Deduplicate notification samples Rocky - 2
  * Deduplicate notification samples Rocky - 1
  * Provide framework for setting placement error codes
  * Update os\_compute\_api:os-flavor-extra-specs:index docs for 2.61
  * Update os\_compute\_api:os-flavor-extra-specs:index docs for 2.47
  * [placement] Support forbidden traits in API
  * [placement] Filter allocation candidates by forbidden traits in db
  * [placement] Filter resource providers by forbidden traits in db
  * [placement] Parse forbidden traits in query strings
  * Address nits in Idf57fb5fbc611abb83943bd7e36d3cebf03b3977
  * tests: Fix how context managers are mocked
  * libvirt: refactor get\_base\_config to accept host arg
  * libvirt: move version to string in utils
  * Update link of metadata
  * Move xenapi partition copies to privsep
  * Sync xenapi and libvirt on what flags to pass e2fsck
  * Move xenapi disk resizing to privsep
  * Use Queens UCA for nova-multiattach job
  * Skip placement on rebuild in same host
  * Remove the branch specifier from the nova-multiattach job
  * Make the nova-multiattach job non-voting temporarily
  * remove ec2 in service and cmd
  * Remove mox in test\_neutron\_security\_groups.py
  * Remove RequestContext.instance\_lock\_checked
  * Fix race fail in test\_resize\_with\_reschedule\_then\_live\_migrate
  * Remove :return from update\_provider\_tree docstring
  * uncap eventlet in nova
  * xenapi: Support live migration in pooled multi-nodes environment
  * trivial: fix a comment typo
  * Add microversion to support extra\_specs in flavor API
  * Imported Translations from Zanata
  * Remove mox in tests/unit/test\_utils.py
  * api-ref: Fix parameter order in rebuild
  * api-ref: Parameter verification for servers.inc (3/3)
  * api-ref: Parameter verification for servers.inc (2/3)
  * Remove mox in test\_virt\_drivers.py
  * Make ResourceClass.normalize\_name handle sharp S
  * Test case: ResourceClass.normalize\_name with ß
  * PowerVM: Add proc\_units\_factor conf option
  * Update wording in @safe\_connect placement warnings
  * Expose shutdown retry interval as config setting
  * Pick next minimum libvirt / QEMU versions for "Stein"
  * Remove mox in unit/virt/xenapi/test\_vm\_utils.py (3)
  * Remove mox in unit/virt/xenapi/test\_vm\_utils.py (2)
  * Remove mox in unit/virt/xenapi/test\_vm\_utils.py (1)
  * make metadata doc up to date
  * Log a warning and add nova-status check for old API service versions
  * Avoid dumping stack on BuildAbortException
  * Fix comments at the 'save' method of objects.Instance
  * libvirt: Block swapping to an encrypted volume when using QEMU to decrypt
  * Remove mox in unit/api/\*/test\_server\_metadata.py
  * Remove mox in unit/api/\*/test\_server\_password.py
  * Replace mox stubs with stub\_out in test\_extended\_volumes.py
  * Remove mox in unit/api/\*/test\_instance\_actions.py
  * Remove mox in test\_user\_data.py
  * Don't persist RequestSpec.retry
  * Add regression test for persisted RequestSpec.retry from failed resize
  * Move test\_report\_client out of placement namespace
  * Log a more useful error when cinder auth isn't configured
  * doc: add a link in the install guides about configuring neutron
  * Cleanup \_get\_request\_spec\_for\_select\_destinations for live migrate
  * Clarify/correct the ordering of API and Cell database schema updates
  * Rename network.utils to network.linux\_utils
  * Update ImageMetaProp object to expose traits
  * Use a pythonic delete, with a retry
  * [placement] Fix incorrect exception import
  * Update the cells FAQs and scheduler maintenance docs
  * Log a more useful error when neutron isn't configured
  * Update the Cell filters section of the scheduler docs
  * update\_provider\_tree devref and docstring updates
  * libvirt: Allow to specify granular CPU feature flags
  * Support extending attached ScaleIO volumes
  * Transform aggregate.update\_metadata notification
  * Add nova-status check for ironic flavor migration
  * Add \_\_repr\_\_ for NovaException
  * Add --enable and --disable options to  nova-manage update\_cell
  * Noauth should also use request\_id from compute\_req\_id.py
  * Avoid unnecessary port update during live migration
  * DRY up test\_rollback\_live\_migration\_set\_migration\_status
  * Default to py3 for the pep8 tox env because it's stricter
  * Avoid showing password in log
  * Remove a outdated warning
  * Move xenapi xenstore\_read's to privsep
  * Move configurable mkfs to privsep
  * network: add command to configure trusted mode for VFs
  * [placement] api-ref: Fix parameters
  * [Trivial]Add missing blank space in conf description
  * Fix cancel\_all\_events event name parsing
  * Get rid of 406 paths in report client
  * Move pypowervm requirement to 1.1.12
  * Use an independent transaction for \_trait\_sync
  * Test case: traits don't sync if first access fails
  * Fix a missing white space in exception message
  * Make generation optional in ProviderTree
  * Fix nits in update\_provider\_tree series
  * Use update\_provider\_tree from resource tracker
  * SchedulerReportClient.update\_from\_provider\_tree
  * Complement tests in allocation candidates
  * trivial: Fix nits in code comments
  * [placement] Add test for provider summaries
  * Fix unit tests to work with new oslo.config
  * Allow scheduling only to enabled cells (Filter Scheduler)
  * Teardown networking when rolling back live migration even if shared disk
  * Remove unnecessary code encoding specification
  * [placement] Add to contributor docs about handler testing
  * Add trusted\_certs object
  * Add trusted\_certs to instance\_extra
  * Move get\_stashed\_volume\_connector to compute.utils
  * Documentation for tenant isolation with placement
  * [placement] Fix bad management of \_TRAITS\_SYNCED flag
  * Fix N332 api\_version decorator hacking check
  * Use ksa session for cinder microversion check
  * vmware: Fixes \_detach\_instance\_volumes method
  * PowerVM Driver: Network interface attach/detach
  * Fix issue for pep8 on py3
  * Add require\_tenant\_aggregate request filter
  * Add AggregateList.get\_by\_metadata() query method
  * Add an index on aggregate\_metadata.value
  * Make get\_allocation\_candidates() honor aggregate restrictions
  * Move two more generic network utilities to a move obvious place
  * Start untangling network utilities
  * Add aggregates list to Destination object
  * Add request filter functionality to scheduler
  * tox: Make everything work with Python 3
  * VMware: add log message for VIF info details
  * Fix spelling mistake of HTTPNotFound exception
  * tests: fixes mock autospec usage
  * Use a pythonic delete
  * Remove duplicative implementation of temporary directories
  * api-ref: add a note about volume-backed rescue not being supported
  * Scheduling Optimization: Remove cell0 from the list of candidates
  * api-ref: Parameter verification for servers.inc (1/3)
  * Add host to API and Conductor
  * doc: Upgrade placement first
  * Fix allocation\_candidates not to ignore shared RPs
  * remove unnecessary short cut in placement
  * Fix comments in get\_all\_with\_shared()
  * Unit test framework: common FakeResponse
  * tox: Remove unnecessary configuration
  * tox: Fix indentation
  * Standardize '\_get\_XXX\_constraint' functions
  * Updated from global requirements
  * Fix api-ref: nova image-meta is deprecated from 2.39
  * Docs: modernise links
  * Updated from global requirements
  * Modify nova-manage cell\_v2 list\_cells to display "disabled" column
  * Add disabled option to create\_cell command
  * Move \_make\_instance\_list call outside of DB transaction context
  * Stop using mox in virt/xenapi/image/test\_vdi\_through\_dev.py
  * Use microversion parse 0.2.1
  * Add the version description for InstanceActionEventList
  * Updated from global requirements
  * Add host field to InstanceActionEvent
  * remove a comment about ec2
  * Add functional regression test for bug 1746509
  * Always deallocate networking before reschedule if using Neutron
  * Change compute mgr placement check to region\_name
  * make PowerVM capabilities explicit
  * Move placement test cases from db to placement
  * List instances performace optimization
  * Add CellMappingList.get\_by\_disabled() query method
  * libvirt: move vpu\_realtime\_scheduler in designer
  * libvirt: move get\_numa\_memnode in designer module
  * Remove translate and a TODO
  * Add more functional test for placement.usage
  * deprecate fping\_path config option
  * Remove useless run\_periodic\_tasks call in ClientRouter
  * Handle EndpointNotFound when building image\_ref\_url in notifications
  * Don't log a warning for InstanceNotFound with deleted VIFs
  * Preserve multiattach flag when refreshing connection\_info
  * ironic: stop lying to the RT when ironic is down
  * Add disabled field to CellMapping object
  * libvirt: handle DiskNotFound during update\_available\_resource
  * only increment disk address unit for scsi devices
  * Fix message for unexpected external event
  * Fix typos in release notes
  * libvirt: slow live-migration to ensure network is ready
  * Remove version/date from CLI documentation
  * Move placement exceptions into the placement package
  * Report client: Remove version discovery comment
  * add check before adding cpus to cpuset\_reserved
  * trivial: omit condition evaluations
  * remove \_cleanup\_running\_deleted\_instances repeat detach volume
  * [libvirt] Add \_get\_XXXpin\_cpuset()
  * [libvirt] Add \_get\_numa\_memnode()
  * Add disabled column to cell\_mappings table
  * Add placeholder migrations for Queens backports
  * Updated from global requirements
  * Add --by-service to discover\_hosts
  * api-ref: add a note in DELETE /os-services about deleting computes
  * conf: Remove 'db\_driver' config opt
  * Add 'member\_of' param to GET /allocation\_candidates
  * Follow the new PTI for document build
  * docs: Disable smartquotes
  * Updated from global requirements
  * Stop assuming initial provider generation is 0
  * ProviderTree.{add|remove}\_{traits|aggregates}
  * Unmap compute nodes when deleting host mappings in delete cell operation
  * Cleanup tempest-dsvm-cells-rc blacklist
  * Make nova-cells-v1 run with neutron
  * ironic: Get correct inventory for deployed node
  * Marker reset option for nova-manage map\_instances
  * placement: Return new provider from POST /rps
  * placement: generation in provider aggregate APIs
  * Change TestNewtonCellsCheck to not rely on objects
  * Revert "Refine waiting for vif plug events during \_hard\_reboot"
  * Make archive\_deleted\_rows handle a missing CONF.api\_database.connection
  * New-style \_set\_inventory\_for\_provider
  * conf: Remove deprecated 'multi\_instance\_display\_name\_template' opt
  * Rename '\_numa\_get\_constraints\_XXX' functions
  * Migrate tempest-dsvm-cells job to an in-tree job definition
  * Removed unnecessary parantheses in yield statements
  * Update contributor guide for Rocky
  * VMware: fix TypeError while get console log
  * Scheduler multiple workers support
  * Remove old flavor\_create db api method
  * Remove old flavor\_get\_all db api method
  * Remove old flavor\_get db api method
  * Remove old flavor\_get\_by\_name db api method
  * Remove old flavor\_get\_by\_flavor\_id db api method
  * Remove old flavor\_destroy db api method
  * Remove old flavor\_access\_get\_by\_flavor\_id db api method
  * Not use thread alloc policy for emulator thread
  * Remove old flavor\_access\_add db api methods
  * Remove old flavor\_access\_remove db api method
  * Remove old flavor\_extra\_specs\_get db api method
  * Remove old flavor\_extra\_specs\_delete db api method
  * trivialfix: cleanup \_pack\_instance\_onto\_cores()
  * Always pass 'NUMACell.siblings' to \_pack\_instance\_onto\_cores'
  * Ensure emulator threads are always calculated
  * tests: refactors and cleans up test\_rbd.py
  * Don't filter out sibling sets with one core
  * Add unit tests for EmulatorThreadsTestCase
  * [libvirt] Filter hypervisor\_type by virt\_type
  * trivial: Resolve 'oslo.context' deprecation warnings
* Fri Mar 16 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev302:
  * Update deprecated log-config option in docs
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev300:
  * Revert "Make the InstanceMapping marker UUID-like"
  * Update contributor/placement.rst to contemporary reality
  * Updated from global requirements
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev295:
  * Transform live\_migration.post.dest notifications
  * Reparent placement objects to oslo\_versionedobjects
  * Move resource provider objects into placement hierarchy
  * Move resource class fields
  * Updated from global requirements
  * Fix N358 hacking check
  * conf: Fix indentation of database options
  * conf: Remove deprecated 'allow\_instance\_snapshots' opt
  * conf: Remove '[conductor] topic' opt
  * remove unnecessary conf imports
  * Re-work the metadata service docs
  * conf: Remove 'nova.crypto' opts
  * ca: Remove 'nova/CA' directory
  * crypto: Remove unused functions
  * Transform servergroup.addmember notification
  * Make the InstanceMapping marker UUID-like
  * Remove old flavor\_access\_get\_by\_flavor\_id db api method
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev263:
  * Make nova build reproducible
  * Raise a proper exception in unit test
  * XenAPI: XCP2.1+ Swallow VDI\_NOT\_IN\_MAP Exception
  * conf: Deprecate 'keymap' options
  * Make the nova-next job voting and gating
  * setup.cfg: Explicitly set [build\_sphinx] builder
  * Check the return code when forcing TCG mode with libguestfs
  * Remove vestigial extra\_info update in PciDevice.save()
* Mon Mar 12 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev250:
  * Updated from global requirements
* Sat Mar 10 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev249:
  * Fix indentation in doc/source/cli/\*
  * hardware: Rework get\_number\_of\_serial\_ports
  * hardware: Rework '\_get\_cpu\_topology\_constraints'
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev244:
  * Make nova-manage db purge take --all-cells
  * Add --purge helper flag to archive\_deleted\_rows
  * Allow to configure amount of PCIe ports
  * ironic: Clean up resources after unprovision fails
  * Update the nova-manage db archive\_deleted\_rows description
  * Deprecate sparse LVs
  * Rename the 'recreate' param in rebuild\_instance to 'evacuate'
  * Add simple db purge command
  * Handle IpAddressAlreadyAllocated exception
  * Refactor WSGI apps and utils to limit imports
  * [placement] use simple FaultWrapper
  * install-guide: Wrap long console command
* Thu Mar  8 2018 cloud-devel@suse.de
- Rebased patches:
  + 0001-Allow-network-in-RequestContext-service_catalog.patch dropped (merged upstream)
* Thu Mar  8 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev221:
  * Run post-test archive against cell1
  * Handle not found error on taking snapshot
  * Fix version cap when no nova-compute started
  * Move db MAX constants to own file
  * Allow 'network' in RequestContext service\_catalog
  * Only attempt a rebuild claim for an evacuation to a new host
  * Return 400 when compute host is not found
  * Add a nova-caching-scheduler job to the experimental queue
  * hyper-v: Logs tips on PortBindingFailed
* Wed Mar  7 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev204:
  * Save admin password to sysmeta in libvirt driver
  * Add more functional test for placement.aggregates
  * Check for multiattach before removing connections
  * Fix the notification devref location in exception
  * Pass user context to virt driver when detaching volume
  * Updated from global requirements
  * Remove MigrationPreCheckClientException
* Tue Mar  6 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev192:
  * Updated from global requirements
* Mon Mar  5 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev191:
  * Updated from global requirements
* Sat Mar  3 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev190:
  * Updated from global requirements
  * Remove compute nodes arg from ProviderTree init
* Fri Mar  2 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev187:
  * Move makefs to privsep
  * Convert users of tune2fs to privsep
  * Remove unused LOG variables
  * Add check for redundant import aliases
  * Check for leaked server resource allocations in post\_test\_hook
  * [placement] api-ref: Fix a missing response code
  * Enable native mode for ScaleIO volumes
  * Remove warning in feature support matrix page
  * Use dict.get() when accessing capabilities dict
  * Address nits in change I7e01f95d7173d9217f76e838b3ea71555151ef56
* Thu Mar  1 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev168:
  * Stop using mox in api/openstack/fakes.py
  * libvirt: mask InjectionInfo.admin\_pass
  * Remove the deprecated scheduler\_driver\_task\_period option
  * Clarify the help text for [scheduler]periodic\_task\_interval
* Wed Feb 28 2018 tbechtold@suse.com
- Add 0001-Allow-network-in-RequestContext-service_catalog.patch
* Wed Feb 28 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev160:
  * Make \_get\_sharing\_providers more efficient
  * compute: Cleans up allocations after failed resize
  * Handle spawning error on unshelving
* Tue Feb 27 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev154:
  * Clarify wording in listing instance actions for deleted instances
  * Update noVNC deployment docs to mention non-US keymap fix in 1.0.0
  * rp: GET /resource\_providers?required=<traits>
  * [placement] Add functional tests for traits API
  * Clarify update\_provider\_tree docstring
  * Drop compute RPC 4.x compatibility
* Sun Feb 25 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev142:
  * [Placement] Invalid query parameter could lead to HTTP 500
* Fri Feb 23 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev141:
  * Clarify \`resources\` query param for /r\_p and /a\_c
  * Functional test: evacuate with no compute
  * Extending delete\_cell --force to delete instance\_mappings
* Thu Feb 22 2018 tbechtold@suse.com
- Add python-ironicclient Requires to openstack-nova-compute (bsc#1082360)
* Thu Feb 22 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev135:
  * Ensure attachment\_id always exists for block device mapping
  * Avoid exploding if guest refuses to detach a volume
  * Add functional test for deleting BFV server with old attach flow
  * Detach volumes when deleting a BFV server pre-scheduling
  * Add functional recreate test of deleting a BFV server pre-scheduling
  * libvirt: disconnect volume from host during detach
  * Only pull associated \*sharing\* providers
  * Fix error handling in compute API for multiattach errors
  * Update plugs Contrail methods to work with privsep
  2011.1
  2010.1
* Wed Feb 21 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev118:
  * Clean up ports and volumes when deleting ERROR instance
  * Test websocketproxy with TLS in the nova-next job
  * Check quota before creating volume snapshots
* Tue Feb 20 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev113:
  * Fix PatternPropertiesTestCase for py 3.6
  * Imported Translations from Zanata
  * Add functional tests to ensure BDM removal on delete
  * Store block device mappings in cell0
  * Drop extra loop which modifies Cinder volume status
  * Remove deprecated aggregate DB compatibility
  * libvirt: add Linux distribution guest only description for inject\_xxx options
  * Lazy-load instance attributes with read\_deleted=yes
  * Add the ability to get absolute limits from Cinder
  * unquiesce instance on volume snapshot failure
  * Remove unused method \_parse\_node\_instance\_info
  * Add resource\_class to fields in ironic node cache
  * Update docstring for get\_traits virt driver method
  * Don't modify objects directly
  * trivial: Resolve "X is renamed to Y" warnings
  * trivial: Don't use 'Test' prefix for non-TestCase classes
  * Do not multiply megabytes with 1024 to get gigabytes
* Sun Feb 18 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev89:
  * Updated from global requirements
  * Remove single quotes from posargs on stestr run commands
* Sat Feb 17 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev85:
  * Trivial: Update help of enabled\_filters
  * api-ref: Further clarify placement aggregates
  * trivial: Move \_\_init\_\_ function
  * Fix and update compute schedulers config guide
  * Fix warn api\_class is deprecated, use backend
  * Only log during pop retry phase
  * api-ref: provide more detail on what a provider aggregate is
* Fri Feb 16 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev73:
  * Add admin guide doc on volume multiattach support
  * Detach volumes when VM creation fails
  * Python 3 fix for sphinx doc
  * doc: Clarify how to create your own filter
  * libvirt: remove TODO on validation of scsi model
  * Avoid inventory DELETE API (no conflict detection)
  * Cleanup the manage-volumes admin doc
  * Don't JSON encode instance\_info.traits for ironic
  * [libvirt] Add \_get\_vcpu\_realtime\_scheduler()
  * Fix nits in allocation candidate limit handling
* Thu Feb 15 2018 tbechtold@suse.com
- Do not Require python-tempest-lib
* Thu Feb 15 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev55:
  * Updated from global requirements
  * Bindep does not catch missing libpcre3-dev on Ubuntu
* Wed Feb 14 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev53:
  * install-guide: Make formatting of console consistent
  * Use correct arguments in task inits
  * Move the nova-next job in-tree and update it
  * [placement] annotate loadapp as public interface
  * Replace Chinese quotes to English quotes
  * doc: merge numa.rst to cpu-topologies.rst
  * Ensure resource classes correctly
  * Invalid query parameter could lead to HTTP 500
* Tue Feb 13 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev38:
  * Fix docs for IsolatedHostsFilter
  * Handle volume-backed instances in IsolatedHostsFilter
  * Add regression test for BFV+IsolatedHostsFilter failure
  * Provide basic data for AArch64 support matrix/functionality
  * Update reno for stable/queens
  * doc: mention that --on-shared-storage is not needed with nova evacuate
  * Remove unused tempest-dsvm-lxc-rc
* Sun Feb 11 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev26:
  * [placement] Add sending global request ID in get
  * [placement] Add sending global request ID in put (3)
  * Add log for snapshot an instance
* Sat Feb 10 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0rc2.dev21:
  * TrivialFix: Add a space between messages
  * Fix grammar error
  * Refine waiting for vif plug events during \_hard\_reboot
  17.0.0.0rc1
  * doc: fix the link for the evacuate cli
  * VGPU: Modify the example of vgpu white\_list set
  * [placement] Move body examples to an isolated directory
  * Clean up reservations in migrate\_task call path
  * Use with method to consistent oslo timeutils usage
  * trivial: Fix microversion number in test comment
  * Remove unnecessary arguments in notification methods
  * Remove unnecessary variables
  * fix link
  * Make bdms querying in multi-cell use scatter-gather and ignore down cell
  * update docstring param description
  * Remove microversion fallback code from report client
  * Ensure the JSON-Schema covers the legacy v2 API
  * test\_compute\_mgr: fix couple of unit tests
  * Allow force-delete even if task\_state is not None
  * Remove redundant call to add\_instance\_fault\_from\_exc in rebuild\_instance
* Fri Feb  9 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev215:
  * Encode libvirt domain XML in UTF-8
  * Compute RPC client bump to 5.0
  * Bump compute RPC API to version 5.0
  * Fixed auto-convergence option name in doc
  * Workaround glanceclient bug when CONF.glance.api\_servers not set
  * Remove a duplicate colon
  * TrivialFix: Add a blankline
  * Add a prelude release note for the 17.0.0 Queens GA
  * Add release note for Aggregate[Core|Ram|Disk]Filter change
  * Fix the wrong description
  * Add index(instance\_uuid, updated\_at) on instance\_actions table
  * Fix 500 in test\_resize\_server\_negative\_invalid\_state
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev194:
  * fix misspelling of 'projectUser'
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev192:
  * XenAPI: Provide support matrix and doc for VGPU
  * Address comments from I51adbbdf13711e463b4d25c2ffd4a3123cd65675
  * Add late server group policy check to rebuild
  * Add regression test for bug 1735407
  * Fix wrong link for "Manage Flavors" in CPU topologies doc
  * Make sure that we have usable input for graphical console
  * Test case: new standard resource class unusable
  * Clarify CONF.scheduler.max\_attempts
  * placement doc: Conflict caveat for DELETE APIs
  * [placement] Add sending global request ID in put (2)
  * [placement] Add sending global request ID in put (1)
  * docs: Add booting from an encrypted volume
  * libvirt: fix native luks encryption failure to find volume\_id
  * Reset the \_RC\_CACHE between tests
  * doc: mark the max microversions for queens
  * Add PowerVM to feature-classification
  * Update links in documents
  * Fix the format file name
  * Remove instance.keypairs migration code
* Wed Feb  7 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev158:
  * Trivial fix a missleading comment
  * [placement] Add sending global request ID in post
* Tue Feb  6 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev154:
  * Provide support matrix and doc for VGPU
  * doc: update the GPU passthrough HPC feature entry
  * Update cells v2 layout doc caveats for Queens
  * Zuul: Remove project name
  * Doc: Nix os-traits link from POST resource\_classes
  * Fix invalid UUIDs in test\_compute.py
  * Query all cells for service version in \_validate\_bdm
  * Fix SUSE Install Guide: Placement port
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev139:
  * Don't wait for vif plug events during \_hard\_reboot
  * Don't rely on parse.urlencode in url comparisons
  * doc: placement upgrade notes for queens
  * Add functional tests for traits-based scheduling
  * Cleanup launch instance and manage IPs docs
  * Pass limit to /allocation\_requests
  * Add the nova-multiattach job
  * Remove deprecated policy items from fake\_policy
  * Reduce policy deprecation warnings in test runs
  * Log the events we timed out waiting for while plugging vifs
* Fri Feb  2 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev120:
  * Migrate "launch instance" user guide docs
  * Updated from global requirements
  * trivial: Fix few policy doc
  * add "--until-complete" option for nova-manage db archive\_deleted\_rows
  * Mention required traits in the flavors user docs
  * Fix nits in support traits changes
  * Log options at debug when starting API services under wsgi
  * set\_{aggregates|traits}\_for\_provider: tolerate set
  * ProviderTree.get\_provider\_uuids: Top-down ordering
  * SchedulerReportClient.\_delete\_provider
  * ComputeDriver.update\_provider\_tree()
  * report client: get\_provider\_tree\_and\_ensure\_root
  * trivial: Fix typos in release notes
  * Use util.validate\_query\_params in list\_traits
  * Add functional tests for virt driver get\_traits() method
  * Implement get\_traits() for the ironic virt driver
  * [placement] Separate API schemas (resource\_provider)
  * Fix invalid UUIDs in remaining tests
  * Add server filters whitelist in server api-ref
  * reno for notification-transformation-queens
  * Fix bug case by none token context
  * placement: enable required traits from the flavor extra specs
  * Deduplicate service status notification samples
  * Deduplicate aggregate notification samples
  * Remove the inherits parameter for the Resource object
  * conf: Validate '[api] vendordata\_providers' options
  * De-duplicate \_numa\_get\_flavor\_XXX\_map\_list
* Thu Feb  1 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev73:
  * Add get\_traits() method to ComputeDriver
  * ProviderTree.new\_child: parent is either uuid or name
  * Updated from global requirements
  * SchedulerReportClient.set\_aggregates\_for\_provider
  * Add release note for QEMU native LUKS decryption
  * Fix missing 'if\_notifications\_enabled' decorator
  * Fix the order of target host checks
  * libvirt: QEMU native LUKS decryption for encrypted volumes
  * Add taskflow to requirements
  * libvirt: add tests to check multipath in iscsi/fc volume connectors
  * libvirt: test to make sure volume\_use\_multipath is properly used
  * Fix documentation nits in set\_and\_clear\_allocations
  * Don't log a warning for InstanceNotFound in detach\_interface
  * trivial: use cn instead of rp
  * Don't launch guestfs in a thread pool if guestfs.debug is enabled
* Wed Jan 31 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev54:
  * Collapse duplicate error handling in rebuild\_instance
  * Rollback instance.image\_ref on failed rebuild
  * Fix a comment in a notification functional test
  * Bumping functional test job timeouts
  * Avoid suspending guest with attached vGPUs
  * Handle TZ change in iso8601 >=0.1.12
  * api-ref: Fix parameter type in server-migrations.inc
  * [placement] Add sending global request ID in delete (3)
  * Cleanup redundant want\_version assignment
  * [placement] Add functional tests for resource class API
  * Add debug output for selected page size
* Tue Jan 30 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev37:
  * libvirt: don't attempt to live snapshot paused instances
* Mon Jan 29 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev36:
  * placement: using the dict format for the allocation in claim\_resources
  * Send traits to ironic on server boot
  * Track tree-associated providers in report client
  * log test: use fixtures.StandardLogging in setUp
* Sun Jan 28 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev32:
  * Fix the incorrect RST convention
  * Reduce complexity of \_from\_db\_object
  * Ironic: Get IP address for volume connector
  * Fix missing marker functions
  * Move remaining uses of parted to privsep
  * Updated from global requirements
  * Expand on when you might want to set --max-count for map\_instances
  * libvirt: pass the mdevs when rebooting the guest
  * Fix 'all\_tenants' & 'all\_projects' type in api-ref
  * Change compute RPC to use alternates for resize
  * Report Client: PUT empty (not None) JSON data
  * correct referenced url in comments
  * Make sure that functional test triggered on sample changes
  * Stop globally caching host states in scheduler HostManager
  * Add exception to no-upcall note of cells doc
  * Fix functional tests for USE\_NEUTRON
  * Handle images with no data
  * Initialize osprofiler in WSGI application
  * Extract instance allocation removal code
* Sat Jan 27 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b4.dev10:
  17.0.0.0b3
  * Transform instance.resize\_prep notification
  * Add the Nova libvirt StorPool attachment driver
  * Use neutron port\_list when filtering instance by ip
  * PowerVM Driver: SEA
  * placement: support traits in allocation candidates API
  * Transform instance-evacuate notification
  * Modify the test case of get\_disk\_mapping\_rescue\_with\_config
  * Only call numa\_fit\_instance\_to\_host if necessary
  * tests: Use correct response type in tests
  * Deprecate allowed\_direct\_url\_schemes and nova.image.download.modules
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev479:
  * Update VMWare vSphere link address
  * add whereto for testing redirect rules
* Thu Jan 25 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev476:
  * Set server status to ERROR if rebuild failed
  * Transform instance.resize\_confirm notification
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev472:
  * Replace curly quotes with straight quotes
  * ProviderTree.populate\_from\_iterable
  * Raise on API errors getting aggregates/traits
  * Add reference to policy sample
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev464:
  * Start moving users of parted to privsep
  * Fix update\_cell to ignore existing identical cells
  * Recreate mediated devices on reboot
  * [api] Allow multi-attach in compute api
  * doc: Document TLS security setup for noVNC proxy
  * Generalize DB conf group copying
  * Remove redundant swap\_volume tests
  * libvirt: Introduce disk encryption config classes
  * libvirt: Collocate encryptor and volume driver calls
  * Fix instance evacuation with PCI devices
* Sun Jan 21 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev445:
  * Updated from global requirements
  * Track associated sharing RPs in report client
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev441:
  * SchedulerReportClient.set\_traits\_for\_provider
  * ProviderTree.data => ProviderData
  * Fix format in flavors.rst
  * libvirt: create vGPU for instance
  * Pass multiattach flag to reserve\_block\_device\_name
  * Updated from global requirements
  * conf: Remove 'vendordata\_driver' opt
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev428:
  * Handle swapping to a multiattach volume
  * [libvirt] Allow multiple volume attachments
  * trivial: Remove crud from 'conf.py'
  * Fix openstackdocstheme options for api-ref
  * placement: \_get\_trees\_matching\_all\_resources()
  * Account for deprecation of personality files
  * add \_has\_provider\_trees() utility function
  * make unit tests compatible with os-vif 1.8.0
  * [placement] Fix resource provider delete
  * Fix fake libvirt XML generation for disks
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev408:
  * PowerVM driver: ovs vif
  * func tests for nested providers in alloc candidate
  * Fix accumulated nits
  * Updated from global requirements
  * Remove unnecessary execute permissions in files
  * [placement] Add sending global request ID in delete (2)
  * hyper-v: Deprecates support for Windows / Hyper-V Server 2012
  * Address nits in I46d483f9de6776db1b025f925890624e5e682ada
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev392:
  * Enable py36 unit tests in tox
  * conf: Do not inherit image signature props with snapshots
  * Fix missing rps in allocation candidates
  * Rename block\_device\_info\_get\_root
  * Increase notification wait timeout in functional tests
  * update\_cell allows more than once cell to have the same db/transport url
  * archive\_deleted\_instances is not atomic for insert/delete
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev379:
  * Transform rescue/unrescue instance notifications
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version nova-17.0.0.0b3.dev377:
  * Add aggregates check in allocation candidates
  * Do not attempt volume swap when guest is stopped/suspended
* Mon Jan 15 2018 tbechtold@suse.com
- Update to version nova-17.0.0.0b3.dev374:
  * Track provider traits in report client
  * Fix accumulated nits in refactor series
  * Test helper: validate provider summaries
  * Revert "Deduplicate service status notification samples"
  * console: Provide an RFB security proxy implementation
  * console: introduce the VeNCrypt RFB authentication scheme
  * console: introduce framework for RFB authentication
  * console: Send bytes to sockets
  * Add a warning in 'nova-manage cell\_v2 delete\_cell'
  * Fix comment in MigrationSortContext
  * Add index(updated\_at) on migrations table
  * Add pagination and Changes-since filter support for os-migrations
  * Deduplicate service status notification samples
  * Fix typo in release note
  * Add cross cell sort support for get\_migrations
  * libvirt: use 'host-passthrough' as default on AArch64
  * Add an additional description for 'token\_ttl'
  * Updated from global requirements
  * Qualify the Placement 1.15 release note
  * Add migration db and object pagination support
  * Add regression test for resize failing during retries
  * Fix race condition in retrying migrations
  * libvirt: Provide VGPU inventory for a single GPU type
  * Fix OpenStack capitalization
  * Update FAQs about listing hosts in cellv2
  * Add ConsoleAuthToken object
  * Optionalize instance\_uuid in console\_auth\_token\_get\_valid()
  * Add index on token\_hash and instance\_uuid for console\_auth\_tokens
  * Add access\_url\_base to console\_auth\_tokens table
  * Use method validate\_integer from oslo.utils
  * conf: hyperv: fix a comment typo
  * Remove a duplicate line in a unit test
  * Use volume shared\_targets to lock during attach/detach
  * Handle no allocations during migrate
  * Add regression test for resizing failing when using CachingScheduler
  * zuul: Move legacy jobs to project
  * Imported Translations from Zanata
  * Fix up formatting for deprecate-api-extensions-policies release note
  * Document lack of side-effects in AllocationList.create\_all()
  * VMware: add support for different firmwares
  * Use UEFI as the default boot for AArch64
  * manager: more detailed info of unsupported compute driver
  * Add test for assignment of uuid to a deleted BDM
  * Handle glance exception during rotating instance backup
  * Move aggregates from report client to ProviderTree
  * Expose BDM uuid to drivers
  * DriverBlockDevice: make subclasses inherit \_proxy\_as\_attr
  * Add an online migration for BDM.uuid
  * Add support for getting volume details with a specified microversion
  * XenAPI: Unit tests must mock os\_xenapi calls
  * Revert "Modify \_poll\_shelved\_instances periodic task call \_shelve\_offload\_instance()"
  * Remove 'nova-manage host' and 'nova-manage agent'
  * Remove 'nova-manage logs' command
  * conf: Remove deprecated 'remap\_vbd\_dev' option
  * api-ref: Fix incorrect parameter name
  * [placement] Add sending global request ID in delete
  * trivial: conf: libvirt: remove a redundant space
  * Fix the formatting for 2.58 in the compute REST API history doc
  * trivial: Modify signature of \_filter\_non\_requested\_pfs
  * Add PCI NUMA policies
  * Document testing guide for new API contributions
  * Updated from global requirements
  * Test allocation candidates: multiple aggregates
  * Make conductor pass and use host\_lists
  * Don't try to delete build request during a reschedule
  * libvirt: don't log snapshot success unless it actually happens
  * Add retry\_on\_deadlock decorator to action\_event\_start
  * conf: libvirt: Cleanup CPU modelling related options
  * Remove dead parameter from '\_create\_domain\_and\_network'
  * Remove the LoadedExtensionInfo object
  * doc: update supported drivers for cpu topology
  * Do not set allocation.id in AllocationList.create\_all()
  * [placement] Fix getting placement request ID
  * [placement] Enable limiting GET /allocation\_candidates
  * Pass RequestSpec to ConductorTaskAPI.build\_instances
  * Fix an error in \_get\_host\_states when deleting a compute node
  * Provide example for placement last-modified header of now
  * objects: Add PCI NUMA policy fields
  * Workaround missing RequestSpec.project\_id when moving an instance
  * Use instance.project\_id when creating request specs for old instances
  * Fix duplicate allocation candidates
  * trivial: conf: libvirt: fix a typo
  * Remove extensions module
  * Fix 4 doc typos
  * Fix false positive server group functional tests
  * Updated from global requirements
  * XenAPI: create vGPU for instance
  * [placement] Add x-openstack-request-id in API ref
  * [placement] Separate API schemas (allocation\_candidate)
  * [placement] Separate API schemas (allocation)
  * Implement set\_and\_clear\_allocations in report client
  * Make BlockDeviceMapping object support uuid
  * Add uuid column to BlockDeviceMapping
  * Remove unused argument from LibvirtDriver.\_disconnect\_volume
  * Removed unused argument from LibvirtDriver.\_connect\_volume
  * Fix unit test failures when direct IO not supported
  * [placement] Separate API schemas (resource\_class)
  * Updated from global requirements
  * Deduplicate functional test code
  * Aggregate ops on ProviderTree
  * Implement query param schema for migration index
  * Make request\_spec.spec MediumText
  * Fix the formatting for 2.56 in the compute REST API history doc
  * Delete the TypeAffinityFilter
  * live-mig: keep disk device address same
  * Traits ops on ProviderTree
  * SchedulerReportClient.\_get\_providers\_in\_aggregates
  * [placement] Separate API schemas (inventory)
  * [placement] Separate API schemas (aggregate)
  * [placement] Separate API schemas (trait)
  * [placement] Separate API schemas (usage)
  * Fix the bug report link of API Guide
  * Test alloc\_cands with one RP shared between two RPs
  * Test alloc\_cands with non overlapping sharing RPs
  * handle traits with sharing providers
  * Fix possible TypeError in VIF.fixed\_ips
  * Add pagination and changes-since for instance-actions
  * Updated common create server sample request because of microversion 2.57
  * Fix some typos in nova doc
  * Retry \_trait\_sync on deadlock
  * Remove unnecessary connector stash in attachment\_update
  * Pass mountpoint to volume attachment\_create with connector
  * Pass bdms to versioned notifications during finish\_revert\_resize
  * Update and complete volume attachments during resize
  * Pass mountpoint to volume attachment\_update
  * Don't persist could-be-stale InstanceGroup fields in RequestSpec
  * Update nova-status and docs for nova-compute requiring placement 1.14
  * Wait for live\_migration\_rollback.end notification
  * Some nit fix in multi\_cell\_list
  * Raise MarkerNotFound if BuildRequestList.get\_by\_filters doesn't find marker
  * Move flushing block devices to privsep
  * Convert ext filesystem resizes to privsep
  * [placement] Add info about last-modified to contrib docs
  * [placement] Add cache headers to placement api requests
  * Stabilize test\_live\_migration\_abort func test
  * doc: add note about fixing admin-only APIs without a microversion
  * Deprecate file injection
  * VMware: implement get\_inventory() driver method
  * VMware: expose max vCPUs and max memory per ESX host
  * VMware: fix memory stats
  * api-ref: Fix a description for 'guest\_format'
  * Move the claim\_resources method to scheduler utils
  * Change RPC for select\_destinations()
  * Re-use existing ComputeNode on ironic rebalance
  * placement: skip authentication on root URI
  * Add instance action db and obj pagination support
  * Update Instance action's updated\_at when action event updated
  * Make live migration hold resources with a migration allocation
  * Add instance action record for snapshot instances
  * Add quiesce and unquiesce in support matrix
  * libvirt: throw NotImplementedError if qga is not responsive when setting password
  * [placement] Fix API reference for microversion 1.14
  * Unmap compute nodes when deleting host mapping
  * Follow up on removing old-style quotas code
  * Add API and nova-manage tests that use the NoopQuotaDriver
  * Add instance action record for backup instances
  * Remove confusing comment in compute\_node\_get API method
  * [placement] add name to resource provider create error
  * Improve error message on invalid BDM fields
  * doc: link in some Sydney summit content
  * trivial: more suitable log in set\_admin\_password
  * Add support for listing hosts in cellv2
  * [placement] Add 'Location' parameters in API ref
  * [placement] Object changes to support last-modified headers
  17.0.0.0b2
  * Implement new attach Cinder flow
  * Add new style volume attachment support to block\_device.py
  * SchedulerReportClient.\_get\_providers\_in\_tree
  * Modify select\_destinations() to return objects and alts
  * Move the to\_dict() method to the Selection object
  * Return Selection objects from the scheduler driver
  * Refactor the code to check for sufficient hosts
  * Fix 'force' parameter in os-quota-sets PUT schema
  * Reformat \_get\_all\_with\_shared
  * Updated from global requirements
  * Deprecate configurable Hide Server Address Feature
  * XenAPI: update the picture in Xen hypervisor document
  * Deprecate API extensions policies
  * Avoid stashed connector lookup for new style detach
  * placement: update client to set parent provider
  * Scheduler set\_inventory\_for\_provider does nested
  * placement: adds REST API for nested providers
  * placement: allow filter providers in tree
  * XenAPI: Don't use nicira-iface-id for XenServer VIF
  * Remove the unused request\_id filter from api-paste.ini
  * Add a new check to volume attach
  * Add instance action record for shelve\_offload instances
  * Modify \_poll\_shelved\_instances periodic task call \_shelve\_offload\_instance()
  * Add Selection objects
  * Fix doubling allocations on rebuild
  * Add PowerVM to compute\_driver options
  * Updated from global requirements
  * Fix wrong argument order in functional test
  * [placement] Fix an error message in API validation
  * Transform instance.resize\_revert notification
  * Mention API behavior change when over quota limit
  * [placement] Fix foreign key constraint error
  * [placement] Add aggregate link note in API ref
  * Fail fast if changing image on a volume-backed server rebuild
  * Get original image\_id from volume for volume-backed instance rebuild
  * Add regression test for rebuilding a volume-backed server
  * ProviderTree.get\_provider\_uuids()
  * Fix cellsv1 messaging test
  * Make \_Provider really private
  * Split instance\_list into instance and multi\_cell
  * Genericify the instance\_list stuff
  * Remove 'nova-manage account' and 'nova-manage project'
  * Remove 'nova-manage shell' command
  * Updated from global requirements
  * Fixes 'Not enough available memory' log message
  * Only log not correcting allocation once per period
  * Add description for resource class creation
  * Trivial: Nix duplicate PlacementFixture() in test
  * [placement] re-use existing conf with auth token middleware
  * Fix disk size during live migration with disk over-commit
  * Use ksa adapter for keystone conf & requests
  * Downgrade log for keystone verify client fail
  * [placement]Enhance doc for placement allocation list
  * Update description of Rebuild in server\_concepts.rst
  * Use oslo\_db Session in resource\_provider.py
  * VMware: Handle concurrent registrations of the VC extension
  * Proper error handling by \_ensure\_resource\_provider
  * Refactor placement version check
  * Nix log translations from scheduler.client.report
  * Remove old-style quotas code
  * Remove direct usage of glance.generate\_image\_url
  * remove glance usage inside compute
  * Assert that we restrict cold migrations to the same cell
  * [placement] Fix format in placement API ref
  * Enable cold migration with target host(2/2)
  * qemu-img do not use cache=none if no O\_DIRECT support
  * remove reserve\_quota\_delta
  * Raise specific exception when swapping migration allocations fails
  * Fix ValueError when loading old pci device record
  * Updated from global requirements
  * Remove the objects for describing the extension for v2.1 API
  * Remove the objects which related to the old v2 API implementation
  * Updated from global requirements
  * Save updated libvirt domain XML after swapping volume
  * placement: add nested resource providers
  * Deprecate the IronicHostManager
  * Fix some incorrect option references for scheduler filters
  * Remove deprecated TrustedFilter
  * Fix NoneType error when [service\_user] is misconfigured
  * check query param for server groups function
  * Deduplicate instance.create notification samples
  * Nits from Ic3ab7d60e4ac12b767fe70bef97b327545a86e74
  * [placement] Fix GET PUT /allocations nits
  * [placement] POST /allocations to set allocations for >1 consumers
  * Add instance action record for lock/unlock instances
  * XenAPI: provide vGPU inventory in compute node
  * XenAPI: get vGPU stats from hypervisor
  * Add 'all\_tenants' for GET sec group api ref
  * Update the documentation links
  * Add instance action record for attach/detach/swap volumes
  * Add regression test for rebuild with new image doubling allocations
  * Refined fix for validating image on rebuild
  * Address nits from service create/destroy notification review
  * Versioned notifications for service create and delete
  * Remove unnecessary self.flags and ConfPatcher
  * Implement query param schema for delete assisted vol
  * Add ProviderSummary.resource\_class\_names @property
  * required traits for no sharing providers
  * Fix invalid minRam error message
  * finish refactor AllocCandidates.\_get\_by\_filters()
  * PowerVM support matrix update
  * Simplify BDM boot index checking
  * Remove unused global variables
  * Updated from global requirements
  * Implement query param schema for flavor index
  * Implement query param schema for fping index
  * Implement query param schema for sec group APIs
  * Finish stestr migration
  * Fix incorrect known vcpuset when CPUPinningUnknown raised
  * Enable cold migration with target host(1/2)
  * Update server query section in the API concept doc
  * [placement] Add 'CUSTOM\_' prefix description in API ref
  * [placement] Fix parameter order in placement API ref
  * Remove 'nova-manage quota refresh' command
  * Api-guide: Address TODOs in user\_concepts section
  * Update server status api guide
  * Api guide:add Server Consoles
  * Update Metadata api section of api guide
  * Implement query param schema for simple\_tenant\_usage
  * Transform instance-live\_migration\_pre notification
  * Use FakeLiveMigrateDriver in notification test
  * Change live\_migrate tests to use fakedriver
  * Test resource allocation during soft delete
  * factor out compute service start in ServerMovingTest
  * Moving more utils to ProviderUsageBaseTestCase
  * Don't overwrite binding-profile
  * Fix TypeError of \_get\_project\_id when project\_id is None
  * Regenerate and pass configdrive when rebuild Ironic nodes
  * Update bindep.txt for doc builds
  * [placement] Symmetric GET and PUT /allocations/{consumer\_uuid}
  * Service token is not experimental
  * Use ksa adapter for neutron client
- Drop /usr/bin/nova-idmapshift . No longer provided upstream
* Thu Sep 14 2017 snica@suse.com
- Fix PYTHONPATH for oslopolicy-sample-generator
* Sun Aug 27 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev117:
  * VMware: use WithRetrieval in ds\_util module
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev116:
  * Fix bug on vmware driver attach volume failed
  * fix a typo in format\_cpu\_spec doc
  * Remove the section about extensions from the API concept doc
  * [placement] Disambiguate resource provider conflict message
  * VMware: use WithRetrieval in get\_network\_with\_the\_name
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev108:
  * Cleanup allocations in failed prep\_resize
  * Add functional test for rescheduling during a migration
  * Remove allocation when booting instance rescheduled or aborted
  * Fix sample configuration generation for compute-related options
  * Updated from global requirements
  * Delete instance allocations when the instance is deleted
  * How about not logging errors every time we shelve offload?
  * api-ref: fix key\_name note formatting
  * Move common definition into common layer
  * Remove RamFilter and DiskFilter in default filter
  * Remove VMware driver \_get\_vm\_ref\_from\_uuid method
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev89:
  * nova-manage: Deprecate 'cell' commands
  * Assume neutron port\_binding extensions enabled
  * Restrict live migration to same cell
  * Remove source node allocation after live migration completes
  * Allocate resources on forced dest host during live migration
  * Clarifying node\_uuid usage in ironic driver
  * Pull out code that builds VIF in \_build\_network\_info\_model
* Wed Aug 23 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0rc2.dev77:
  * Add language for compute node configuration
  * Fix quobyte test\_validate\_volume\_no\_mtab\_entry
  * update comment for dropping support
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev71:
  * Add functional live migrate test
  * Add functional force live migrate test
  * trivial: Remove dead function, variable
  * Fix a wrong link
  * Reset client session when placement endpoint not found
  * Skip test\_rebuild\_server\_in\_error\_state for cells v1
  * doc: code review considerations for online data migrations
  * Add track\_instance\_changes note in disable\_group\_policy\_check\_upcall
  * Add description on maximum placement API version
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev56:
  * doc: Address review comments for main index
  * Correct statement in api-ref
  * replace chance with filter scheduler in func tests
  * Clarify that vlan feature means nova-network support
  * doc: Address review comments for contributor index
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev48:
  * Updated from global requirements
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev47:
  * Remove host filter for \_cleanup\_running\_deleted\_instances periodic task
  * Fix contributor documentation
  * Clean up resources at shelve offload
  * test shelve and shelve offload with placement
  * delete allocation of evacuated instance
  * Make scheduler.utils.merge\_resources ignore zero values
  * Show quota detail when inject file quota exceeds
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev34:
  * Fix reporting inventory for provisioned nodes in the Ironic driver
  * Clean up \*most\* ec2 / euca2ools references
  * Add documentation for documentation contributions
  * remove extension param and usage
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev29:
  * Avoid race in test\_evacuate
  * Update api doc with latest updates in api framework
  * Fix messages in functional tests
  * placement: avoid returning duplicated alloc\_reqs when no sharing rp
  * Remove translation of log messages
  * Enhancement comments on CountableResource
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev20:
  * doc: Extend nfv feature matrix with pinning/NUMA
  * Always use application/json accept header in report client
  * Handle addition of new nodes/instances in ironic flavor migration
  * doc: address review comments in stable-api guide updates
  * [placement] Make placement\_api\_docs.py failing
* Sun Aug 13 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev12:
  * test server evacuation with placement
  * doc: add superconductor up-call caveat for cross\_az\_attach=False
  * [placement] Add api-ref for allocation\_candidates
  * [placement] Add api-ref for RP usages
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev6:
  * doc: add another up-call caveat for cells v2 for xenapi aggregates
  * Update reno for stable/pike
  * Deprecate bare metal filters
  16.0.0.0rc1
  * Resource tracker compatibility with Ocata and Pike
  * Remove provider allocs in confirm/revert resize
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev197:
  * Imported Translations from Zanata
  * Remove ram/disk sched filters from default list
  * placement: refactor healing of allocations in RT
  * remove log message with potential stale info
  * Require Placement 1.10 in nova-status upgrade check
  * Mark Chance and Caching schedulers as deprecated
  * [placement] Add api-ref for usages
  * Structure cli page
  * doc: Import configuration reference
  * Improve stable-api doc with current API state
  * update policy UT fixtures
  * Bulk import all config reference figures
  * rework index intro to describe nova
  * Add For Operators section to front page
  * Add format\_dom for PCI device addresses
  * Raise NoValidHost if no allocation candidates
  * Test resize with too big flavor
  * nova-manage: Deprecate '--version' parameters
  * imagebackend: cleanup constructor args to Rbd
  * [placement] Avoid error log on 405 response
  * Keep the code consistent
  * api-ref: requested security groups are not applied to pre-existing ports
  * api-ref: fix security\_groups response parameter in os-security-groups
  * add description about key\_name
  * Add policy granularity to the Flavors API
  * Remove translation of log messages
  * remove mox from unit/virt/vmwareapi/test\_driver\_api.py
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev147:
  * Add release note for shared storage known issue
  * Mark max microversion for Pike in history doc
  * Add a prelude section for Pike
  * doc: provide more details on scheduling with placement
  * Add functional test for local delete allocations
  * Document service layout for consoles with cells
  * Create For End Users index section
  * Cleanup release note about ignoring allow\_same\_net\_traffic
  * no instance info cache update if instance deleted
  * doc: Add additional content to admin guide
  * Fix migrate single instance when it was created concurrently
  * add cli to support matrix
  * Fix the log information argument mistake
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev123:
  * Create reference subpage
  * Fix all >= 2 hit 404s
  * Handle ironicclient failures in Ironic driver
  * [placement] Add api-ref for RP allocations
  * placement: filtering the resource provider id when delete trait association
  * Updated from global requirements
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev111:
  * tools/xenserver: Remove 'cleanup\_sm\_locks'
  * Add resource utilities to scheduler utils
  * Add Contributor Guide section page
  * Split Compute.errors\_out\_migration into a separate contextmanager
  * Detach device from live domain even if not found on persistent
  * Use wsgi-intercept in OSAPIFixture
  * Stop using mox stubs in cast\_as\_call.py
* Sun Aug  6 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev99:
  * Fix getting instance bdms in multiple cells
  * Update install guide to clearly define between package installs
  * doc: Import administration guide
  * doc: Import installation guide
  * doc: Start using oslo\_policy.sphinxext
  * policies: Fix Sphinx issues
  * [placement] Require at least one allocation when PUT
  * Fix 409 handling in report client when deleting inventory
  * [placement] Add api-ref for allocations
* Fri Aug  4 2017 snica@suse.com
- Removed unused nova-cert service file
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev84:
  * Add a caveat section about cellsv2 upcalls
  * doc: Start using oslo\_config.sphinxext
  * doc: Rework README to reflect new doc URLs
  * doc: Remove dead files
  * Sum allocations in the scheduler when resizing to the same host
  * doc: Make use of definition lists, literals
  * hardware offload support for openvswitch
  * reflow rpc doc to 80 columns
  * fix list rendering in policy-enforcement
  * fix list rendering in cells
  * fix list rendering in aggregates
  * Fix list rendering in bdm doc
  * fix list rendering in rpc doc
  * Fix list rendering in code-review.rst
  * Fix whitespace in rest\_api\_version\_history
  * Fix lists in process doc
  * Test resize to same host with placement api
  * fix rpc broken rst comment
  * sort redirectmatch lines
  * add top 404 redirect
  * Update SSL cert used in testing
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev52:
  * Add redirect for api-microversion-history doc
  * placement: remove existing allocs when set allocs
  * Additional assertions to resize tests
  * Accept any scheduler driver entrypoint
  * add redirects for existing broken docs urls
  * Add some more cellsv2 doc goodness
  * Deprecate cells v1
  * Add release note for PUT /os-services/\* for non-compute services
  * always show urls in list\_cells
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev34:
  * Test resize with placement api
  * Updated from global requirements
  * do not pass proxy env variables by tox
  * rootwrap.d cleanup mislabeled files
  * fix test\_rebuild\_server\_exc instability
  * add a redirect for the old cells landing page
  * doc: add FAQ entry for cells v1 config options
  * Fix example in \_serialize\_allocations\_for\_consumer
  * Instance remains in migrating state forever
  * provide interface-scoped nameserver information
  * [placement] Add api-ref for RP traits
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev17:
  * Add cinder keystone client opts to config reference
  * Updated from global requirements
  * Remove unnecessary code
  * Add oslo\_concurrency=INFO to default log levels for nova-manage
  * Remove redundant free\_vcpus logging in \_report\_hypervisor\_resource\_view
  * Stop using mox stubs in test\_console\_auth\_tokens.py
  * Increase cpu time for image conversion
  * hyperv: stop serial console workers while deleting vm files
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev6:
  * Updated from global requirements
  * [placement] quash unicode warning with shared provider
  16.0.0.0b3
  * claim resources in placement API during schedule()
  * placement: account for move operations in claim
  * libvirt: Post-migration, set cache value for Cinder volume(s)
  * Provide original fault message when BFV fails
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev601:
  * stabilize test\_create\_delete\_server functional test
  * Ensure we unshelve in the cell the instance is mapped
  * deprecate \`\`wsgi\_log\_format\`\` config variable
  * Move the note about '/os-volume\_boot' to the correct place
  * add a retry on DBDeadlock to \_set\_allocations()
  * Move the last\_bytes util method to libvirt
  * Add 'updated\_at' field to InstancePayload in notifications
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev587:
  * Remove the useless fake ExtensionManager from API unittests
  * Netronome SmartNIC Enablement
  * Updated from global requirements
  * docstring and unused code removal
  * use os\_traits.MISC\_SHARES\_VIA\_AGGREGATE
  * style-only: s/context/ctx/
  * Add helper method for waiting migrations in functional tests
  * Translate the return value of attachment\_create and \_update
  * Do not import nova.conf into nova/exception.py
  * Set IronicNodeState.uuid in \_update\_from\_compute\_node
  * Remove the useless extension block\_device\_mapping\_v1 object
  * Remove the useless FakeExt
  * Remove the code related to extension loading from APIRouterV21
  * Suppress some test warnings
  * Using plain routes for the microversions test
  * Use \_error\_out\_instance\_on\_exception in finish\_resize
  * Skip boot from encrypted volume on Xen+libvirt
  * Adjust error msg for ImageNUMATopologyAsymmetric
* Wed Jul 26 2017 snica@suse.com
- Remove deprecated keystone_authtoken/signing_dir
  The keystone_authtoken/signing_dir configuration
  option is deprecated and can be removed (PKI token
  support has been deprecated in the Ocata release and
  will be removed in the Pike release).
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev552:
  * Add VIFHostDevice support to libvirt driver
  * API ref: associate floating IP requires Active status
  * [placement] Use wsgi\_intercept in PlacementFixture
  * Ironic: Support boot from Cinder volume
  * [placement] Flush RC\_CACHE after each gabbit sequence
  * request\_log addition for running under uwsgi
  * Remove check\_detach
  * Make notification publisher\_id consistent
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev536:
  * Add online migration to move quotas to API database
  * Migrate Ironic Flavors
  * Add tags to instance.create Notification
  * Remove an unnecessary argument in \_prep\_resize
  * Updated from global requirements
  * placement: add retry tight loop claim\_resources()
  * Dump versioned notifications when test\_create\_delete\_server
  * Update policy description for 'instance\_actions'
  * Update ironic feature matrix
  * Make Quotas object favor the API database
  * Allow wrapping of closures
  * doc: Populate the 'user' section
  * doc: Populate the 'reference' section
  * doc: Populate the 'contributor' section
  * doc: Populate the 'configuration' section
* Mon Jul 24 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev506:
  * Updated from global requirements
  * Implement interface attach/detach in ironic virt driver
  * Deprecate useless quota\_usage\_refresh from nova-manage
  * [placement] cover deleting a custom resource class in use
* Sun Jul 23 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev498:
  * Updated from global requirements
  * Remove 'reserved' count from used limits
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev495:
  * retry on authentication failure in api\_client
  * Change default policy to view quota details
  * Updated from global requirements
  * doc: Switch to openstackdocstheme
  * Don't cast cinderclient microversions to float
  * Remove the unittest for plugin framework
  * Use plain routes list for versions instead of stevedore
  * Removed unused 'wrap' property
  * Remove improper LOG.exception() calls in placement
  * placement: proper JOIN order for shared resources
  * Make security\_group\_rules use check\_deltas() for quota
  * Use plain routes list for extension\_info instead of stevedore
  * Use plain routes list for os-snapshots instead of stevedore
  * Use plain routes list for os-volume-attachments instead of stevedore
  * [placement] Add api-ref for traits
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev466:
  * placement: alloc candidates only shared resources
  * Updated from global requirements
  * Only setup iptables for metadata if using nova-net
  * Fix and optimize external\_events for multiple cells
  * add dict of allocation requests to select\_dests()
  * Handle None returned from get\_allocation\_candidates due to connect failure
  * api-ref: Fix an expand button in os-quota-sets
  * Handle uuids in os-hypervisors API
  * Use uuid for id in os-services API
  * Make key\_pairs use check\_deltas() for quota
  * Count instances to check quota
  * Add log info in scheduler to mark start of scheduling
  * Fix indentation in policy doc
  * Use URIOpt
  * Log compute node uuid when the record is created
  * Remove key\_manager.api\_class hack
  * [placement] cover deleting standard trait
  * Remove reverts\_task\_state decorator from swap\_volume
  * remove the very old unmaintained wsgi scripts
  * VStorage: changed default log path
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev426:
  * Updated from global requirements
  * Update URL home-page in documents according to document migration
  * Correct the description of 'disable-log-reason' api-ref
  * Consider instance flavor resource overrides in allocations
  * Do not mention that tags are case sensitive in docs
  * api-ref: fix max\_version for deprecated os-quota-class-sets parameters
  * conf: remove \*\_topic config opts
  * Stop using mox stubs in test\_remote\_consoles.py
  * api-ref: Verify parameters in os-migrations.inc
  * Convert HostState.limits['numa\_topology'] to primitive
  * XenAPI: Fix ValueError in test\_slave\_asks\_master\_to\_add\_slave\_to\_pool
  * Avoid false positives of Jinja2 in Bandit scan
  * Use plain routes list for os-volumes instead of stevedore
  * Use plain routes list for os-baremetal-nodes endpoint instead of stevedore
  * Use plain routes list for os-security-group-default-rules instead of stevedore
  * Use plain routes list for os-security-group-rules instead of stevedore
  * Modify some comments for virt driver
  * Fix incorrect docstrings in neutron network API
  * Removes getfattr from Quobyte Nova driver
  * Remove mox from nova.tests.unit.api.openstack.compute.test\_limits
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev387:
  * Update policy descriptions for base
  * Consistent policies
  * Support tag instances when boot(4/4)
  * [placement] fix 500 error when allocating to bad class
  * api-ref: mention disk size limitations in resize flavor
  * scheduler: isolate \_get\_sorted\_hosts()
  * Set wsgi.keep\_alive=False globally for tests
  * doc: Populate the 'cli' section
  * Use plain routes list for server-security-groups instead of stevedore
  * Use plain routes list for os-security-groups instead of stevedore
  * Use plain routes list for image-metadata instead of stevedore
  * Use plain routes list for images instead of stevedore
  * Remove the test for the route '/resources.:(format)'
  * Use plain routes list for os-networks instead of stevedore
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev359:
  * [placement] Update allocation-candidates.yaml for gabbi 1.35
  * fix test\_volume\_swap\_server instability
  * fix unshelve notification test instability
  * trivial: Remove unnecessary function
  * Fix the releasenote and api-ref for quota-class API
  * Handle Cinder 3.27 style attachments in swap\_volume
  * conf: fix netconf, my\_ip and host are unclear
* Mon Jul 17 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev345:
  * placement: add claim\_resources() to report client
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev343:
  * Updated from global requirements
  * Dump tracked version notifications when swap volume tests fail
  * Remove 'create\_rule\_default'
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev338:
  * Default reservations=None in Cells v1 and conductor APIs
  * Updated from global requirements
  * Use oslo.polcy DocumentedRuleDefault
  * Fix typo
  * Stop counting hw\_video:ram\_max\_mb against quota
  * Use plain routes list for os-cells endpoint instead of stevedore
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev326:
  * Add ability to signal and perform online volume size change
  * Add BDM to InstancePayload
  * doc: Enable pep8 on doc generation code
  * Fix wrong log parm
  * Query deleted instance records during \_destroy\_evacuated\_instances
  * improve notification short-circuit
  * Use PCIAddressField in oslo.versionedobjects
  * api-ref: Add X-Openstack-Request-Id description
  * Fix a missing classifier
  * api-ref: Add missing parameters in limits.inc
  * api-ref: Fix parameters in server-security-groups
  * Stop using deprecated 'message' attribute in Exception
  * Trivial: Remove unnecessary format specifier
  * Fix parameters and description for os-volume\_attachments
  * Remove nova.api.extensions.server.extensions usage
  * Remove mox from nova.tests.unit.virt.xenapi.test\_vm\_utils.py
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev294:
  * api-ref: mark instance action events parameter as optional
  * doc: Remove dead plugin
  * doc: Use consistent author, section for man pages
  * doc: Remove cruft from conf.py
* Wed Jul 12 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b3.dev289:
  * Fix quota class set APIs
  * placement: scheduler uses allocation candidates
  * Pre-load instance.device\_metadata in InstanceMetadata
  * xenapi: avoid unnecessary BDM query when building device metadata
  * Add release note for xenapi virt device tagging support
  * Fix error message when support matrix entry is missing a driver
  * hyperv: Fixes log message in livemigrationops
* Tue Jul 11 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b3.dev276:
  * Support tag instances when boot(3/4)
  * Updated from global requirements
  * [placement] Improve allocation\_candidates coverage
  * Fix comment for API binary name in WSGIService
  * Fix arguments in calling \_delete\_nic\_metadata
  * Add 'networks' quota in quota sample files
  * Add api-ref for os-quota-class-set APIs
  * placement: filter usage records by resource provider id
  * Delete all inventory has its own method DELETE
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev260:
  * Reset the traits sync flag in the placement fixtures
  * add missing notification samples to dev ref
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev256:
  * trivial: Use valid UUIDs in test\_admin\_password
  * Fix 'project-id' 'user-id' as required in server group
  * Don't delete neutron port when attach failed
  * libvirt: update the logic to configure volume with scsi controller
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev249:
  * placement: support GET /allocation\_candidates
  * libvirt: update logic to configure device for scsi controller
  * placement: adds ProviderTree for nested resources
  * pci: add uuid field to PciDevice object
* Mon Jul  3 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b3.dev241:
  * Updated from global requirements
  * Remove wsdl\_location configuration option
  * hyperv: Fixes Generation 2 VMs volume boot order
  * Ensure the JSON-Schema covers the legacy v2 API
  * API support for tagged device attachment
  * Delete disk metadata when detaching volume
  * Add scatter gather utilities for cells
  * Sanitize instance in InstanceMetadata to avoid un-pickleable context
  * Extract custom resource classes from flavors
  * Handle version for PUT and POST in PlacementFixture
  * Add a reset for traits DB sync
  * Strengthen the warning on the old broken WSGI script
  * Add key\_name field to InstancePayload
  * Add keypairs field to InstanceCreatePayload
  * api-ref: Fix missing parameters in API Versions
  * placement: refactor driver select\_destinations()
  * Updated from global requirements
  * Add python 3.5 in classifier
  * Delete nic metadata when detaching interface
  * Add get\_count\_by\_vm\_state() to InstanceList object
  * move resources\_from\_request\_spec() to utils
  * return 400 Bad Request when empty string resources
  * Add missing microversion documentation
  * Remove mox in test\_availability\_zone.py
  * Stop using mox stubs in test\_keypairs.py
  * Plumbing for tagged nic attachment
  * Remove code that produces warning in modern Python
  * Plumbing for tagged volume attachment
  * Fix misuse of assertIsNone
  * Simplify a condition
  * Support paging over compute nodes with a uuid marker
  * Update api-ref to indicate swap param
  * \_schedule\_instances() supporting a RequestSpec object
  * Removes potentially bad exit value from accepted list in Quobyte volume driver
  * Switch Nova Quobyte volume driver to mount via systemd-run
  * Clean up volumes on boot failure
  * Explain why API services are filtered out of GET /os-services
  * Fix redundant BDM lookups during rebuild
  * hypervisor\_hostname must match get\_available\_nodes
  * Fix using targeted cell context when finding services in cells
  * [doc] Updated sqlalchemy URL in migrate readme
  * placement: separate normalize\_resources\_qs\_param
  * Updated from global requirements
  * Use more specific asserts in tests
  * Transform instance.soft\_delete notifications
  * Fix the note at the end of allocate\_for\_instance
  * Count floating ips to check quota
  * Add FloatingIPList.get\_count\_by\_project()
  * Count fixed ips to check quota
  * Add FixedIPList.get\_count\_by\_project()
  * Count security groups to check quota
  * Add SecurityGroupList.get\_counts()
  * Count networks to check quota
  * Provide a hint when \_verify\_response fails
  * Provide error message in MismatchError for api-samples tests
  * Reduce code duplication
  * Use plain routes list for os-remote-consoles instead of stevedore
  * Consolidate index and detail methods in HypervisorsController
  * placement: Add GET /usages to placement API
  * placement project\_id, user\_id in PUT /allocations
  * api-ref: fix hypervisor\_hostname description for Ironic
  * remove null\_safe\_int from module scope
  * Only auto-disable new nova-compute services
  * Cleanup the plethora of libvirt live migration options
  * [placement] Update placement devref to modern features
  * XenAPI: device tagging
  * XenAPI: Create linux bridge in dest host during live migration
  * Remove translation of log messages
  * Transform instance.live\_migration\_rollback notification
  * libvirt: Extract method \_guest\_add\_spice\_channel
  * libvirt: Extract method \_guest\_add\_memory\_balloon
  * libvirt: Extract method \_guest\_add\_watchdog\_action
  * libvirt: Extract method \_guest\_add\_pci\_devices
  * libvirt: Extract method \_guest\_add\_video\_device
  * Avoid unnecessary lazy-loads in mutated\_migration\_context
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev101:
  * placement: produce set of allocation candidates
  * Remove multiple create from stevedore
  * Use plain routes list for os-tenant-networks instead of stevedore
  * Use plain routes list for os-cloudpipe endpoint instead of stevedore
  * Use plain routes list for os-quota-classes endpoint instead of stevedore
  * Handle uuid in HostAPI.compute\_node\_get
  * api-ref: fix unshelve asynchronous postconditions typo
  * Add separate instance.create payload type
  * Fix a wrong comment
  * api-ref: cleanup PUT /os-hypervisors/statistics docs
  * [placement] Increase test coverage
  * Amend api-ref for multiple networks request
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev77:
  * Fix regression preventing reporting negative resources for overcommit
  * Transform keypair.create notification
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev73:
  * Updated from global requirements
  * Add PowerVM to nova support matrix
  * Stop caching compute nodes in the request
  * Centralize compute\_node\_search\_by\_hypervisor in os-hypervisors
  * Make all timestamps formats equal
  * Use CONF.host for powervm nodename
  * [placement] Use util.extract\_json in allocations handler
  * conf: remove console\_driver opt
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev59:
  * Make compute\_node\_statistics() work across cells
  * api-ref: fix misleading description in PUT /os-services/disable
  * Remove service control from feature support matrix
  * Indicate Hyper-v supports fibre channel in support matrix
  * Use plain routes list for os-server-groups endpoint instead of stevedore
  * Use plain routes list for user\_data instead of stevedore
  * remove get\_nw\_info\_for\_instance from compute.utils
  * Count server group members to check quota
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev43:
  * Updated from global requirements
  * remove ugly local import
  * Add missing query filter params for GET /os-services API
  * Add bool\_from\_string for force-down action
  * Remove old service version check for mitaka
  * libvirt: dump debug info when interface detach times out
  * Fix the race condition with novnc
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev31:
  * Use plain routes list for block\_device\_mapping instead of stevedore
  * Use plain routes list for os-consoles, os-console-auth-tokens endpoint instead of stevedore
  * Remove unused variable
  * Remove translation of log messages
  * libvirt: fix alternative\_device\_name for detaching interfaces
  * [placement] Add api-ref for aggregates
  * libvirt: handle missing rbd\_secret\_uuid from old connection info
  * raise exception if create Virtuozzo container with swap disk
  * Convert additional disassociate tests to mock
  * XenAPI: Remove bittorrent.py which is already deprecated
  * nfs fix for xenial images
  * xen: pass Xen console in cmdline
  * Add service\_token for nova-glance interaction
  * Adopts keystoneauth with glance client
  * libvirt: log vm and task state when vif plugging times out
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev12:
  * Calculate stopped instance's disk sizes for disk\_available\_least
  * Fix lookup of instance mapping in metadata set-password
  * Log a warning if there is only one cell when listing instances
  * Prefer non-PCI host nodes for non-PCI instances
  * Add earliest-version tags for stable branch renos
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev6:
  * Add InstanceGroup.\_remove\_members\_in\_db
  16.0.0.0b2
  * Add docstring for test\_limit\_check\_project\_and\_user\_zero\_values
  * Skip microversion discovery check for update/delete volume attachments
  * Use 3.27 microversion when creating new style volume attachments
  * Use microversions for new style volume attachments
  * Remove useless API tests
  * Remove \*\*kwargs passing in payload \_\_init\_\_
  * Add PCIWeigher
  * Count server groups to check quota
  * Default to 0 when merging values in limit check
  * api-ref: fix type for hypervisor\_marker
  * Fix html\_last\_updated\_fmt for Python3
  * Move rebuild notification tests into separate method
  * Fix device metadata service version check for multiple cells
  * Add get\_minimum\_version\_all\_cells() helper for service
  * code comments incorrectness
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev741:
  * Remove unused CONF import from placement/auth.py
  * placement: use separate tables for projects/users
  * contrail: add vrouter VIF plugin type support
  * Fix cell0 naming when QS params on the connection
  * libvirt: Check if domain is persistent before detaching devices
  * Remove cells topic configuration option
  * libvirt: rearange how scsi controller is defined
  * libvirt: set full description of the controller used by disk
  * libvirt: update LibvirtConfigGuestDeviceAddress to provide XML
  * Use plain routes list for os-services endpoint instead of stevedore
  * use plain routes list for os-virtual-interfaces
  * use plain routes list for hypervisor endpoint instead of stevedore
  * Use plain routes list for hosts endpoint instead of stevedore
  * Use plain routes list for os-fping endpoint
  * Use plain routes list for instance actions endpoint
  * Use plain routes list for server ips endpoint
  * XenAPI: use os-xenapi 0.2.0 in nova
  * Add InstanceGroupList.get\_counts()
  * Revert "Remove Babel from requirements.txt"
  * Send out notifications when instance tags changed
  * Move notifications/objects/test\_base.py
  * Fix live migration devstack hook for multicell environment
  * Fix default\_availability\_zone docs
  * Send request\_id on neutron calls
  * Completely remove mox from unit/network/test\_linux\_net.py
  * Get BDMs when we need to in \_handle\_cell\_delete
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev693:
  * Reset the \_TRAITS\_SYNCED global in Traits tests
  * Catch neutronclient.NotFound on floating deletion
  * Fixed some nits for microversion 2.48
  * Remove Babel from requirements.txt
  * Sync os-traits to Traits database table
  * Support tag instances when boot(2/4)
  * ComputeDriver.get\_info not limited to inst name
  * Replace messaging.get\_transport with get\_rpc\_transport
  * Send request\_id on glance calls
  * [placement] Add api-ref for resource classes
  * Refactor a test method including 7 test cases
  * Use VIR\_DOMAIN\_BLOCK\_REBASE\_COPY\_DEV when rebasing
  * Update server create networks API reference description for tags
  * Pass a list of instance UUIDs to scheduler
  * Remove usage of parameter enforce\_type
  * Target cell on local delete
  * Remove oslo.config deprecated parameter enforce\_type
  * [placement] adjust resource provider links by microversion
  * Remove mox from nova/tests/unit/virt/xenapi/test\_xenapi.py[1]
  * XenAPI: Deprecate nicira-iface-id for XenServer VIF
  * Check instance existing before check in mapping
  * Remove mox from unit/cells/test\_cells\_messaging.py
  * Modify incorrect comment on return\_reservation\_id
  * Remove incorrect comments in multiple\_create
  * make route and controller in alpha sequence
  * Remove mox from cells/test\_cells\_rpc\_driver.py
  * Remove DeviceIsBusy exception
  * Stop using mox int unit/virt/xenapi/image/test\_utils.py
  * Remove legacy v2.0 code from test\_flavor\_access
  * libvirt: Use config types to parse XML for root disk
  * Remove mox from nova/tests/unit/consoleauth/test\_consoleauth.py
  * Remove mox from nova.tests.unit.objects.test\_instance.py
  * Ensure image conversion flushes output data to disk
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev630:
  * Be more tolerant of keystone catalog configuration
  * Updated from global requirements
  * Standardization of VM diagnostics info API
  * Remove unused exceptions
  * Fix missing marker functions
  * Completed implementation of instance diagnostics for Xen
* Mon Jun  5 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev620:
  * Updated from global requirements
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev619:
  * show flavor info in server details
  * placement: Specific error for inventory in use
  * Add database migration and model for consumers
  * add new test fixture flavor with extra\_specs
  * Updated from global requirements
  * Connecting Nova to DRBD storage nodes directly
  * libvirt: fix call args to destroy() during live migration rollback
  * Fix call to driver\_detach in remove\_volume\_connection
  * Use plain routes list for server diagnostics endpoint
  * Use plain routes list for os-server-external-events endpoint
  * Use plain routes list for server-migrations endpoint instead of stevedore
  * Use plain routes list for server-tags instead of stevedore
  * Use plain routes list for os-interface endpoint instead of stevedore
  * [placement] Add api-ref for DELETE resource provider
  * [placement] Add api-ref for PUT resource provider
  * [placement] Add api-ref for GET resource provider
  * [placement] Add api-ref for POST resource provider
  * [placement] Add api-ref for DELETE RP inventory
  * [placement] Add api-ref for PUT RP inventory
  * [placement] Add api-ref for GET RP inventory
  * [placement] Add api-ref for DELETE RP inventories
  * [placement] Add api-ref for PUT RP inventories
  * Handle new hosts for updating instance info in scheduler
  * Don't lazy-load flavor.projects during destroy()
  * Add test ensure all the microversions are sequential in placement API
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev570:
  * placement: test for agg association not sharing
  * placement: test non-shared out of inventory
  * placement: tests for non-shared with shared
  * placement: shared resources when finding providers
  * Updated from global requirements
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev561:
  * Updated from global requirements
  * Update policy description for os-volumes
  * Fix doc job with correct ref link
  * Add configuration options for certificate validation
  * Do not rely on dogpile internals for mocks
  * XenAPI: nova-compute cannot restart after manually delete VM
  * Add policy description for os-networks
  * Changing deleting stale allocations warning to debug
  * Replace diagnostics objects with Nova diagnostics objects
  * Added nova objects for intance diagnostics
  * Ensure the value of filter parameter is unicode
  * PowerVM Driver: SSP emphemeral disk support
  * Avoid lazy-load error when getting instance AZ
  * Handle conflict from neutron when addFloatingIP fails
  * Use plain routes list for limits endpoint instead of stevedore
  * libvirt: expand checks for SubclassSignatureTestCase
  * Remove mox from nova/tests/unit/api/openstack/compute/test\_virtual\_interfaces.py
  * libvirt: wait for interface detach from the guest
* Wed May 31 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev528:
  * Add \`img\_hide\_hypervisor\_id\` image property
  * Add check\_deltas() and limit\_check\_project\_and\_user() to Quotas
  * Fix MarkerNotFound when paging and marker was found in cell0
  * Add recreate functional test for regression bug 1689692
  * cinder: add attachment\_update method
  * cinder: add attachment\_create method
  * Remove unused migrate\_data kwarg from virt driver destroy() method
  * libvirt: mark some Image backend methods as abstract
* Tue May 30 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev513:
  * Deprecate TypeAffinityFilter
  * Correct \_ensure\_console\_log\_for\_instance implementation
* Mon May 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev509:
  * Catch InstanceNotFound when deleting allocations
* Mon May 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev507:
  * service: use restart\_method='mutate' for all services
* Mon May 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev505:
  * Ensure sample policy help text correctly wrapped
* Mon May 29 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b2.dev503:
  * [placement] Add api-ref for GET RP inventories
  * Optimize creating security\_group
  * Limit the min length of string for integer JSON-Schema
  * Avoid lazy-loading instance.id when cross\_az\_attach=False
  * Use plain routes list for os-migrations endpoint instead of stevedore
  * Updated from global requirements
  * Migrate to oslo request\_id middleware - mv 2.46
  * Don't run ssh validation in cells v1 job
  * Use targeted context when burying instances in cell0
  * Send request\_id on cinder calls
  * Fix the display of updated\_at time when using memcache driver
  * make sure to rebuild claim on recreate
  * Nix redundant dict in set\_inventory\_for\_provider
  * re-Allow adding computes with no ComputeNodes to aggregates
  * Libvirt volume driver for Veritas HyperScale
  * Make the method to put allocations public
  * Don't delete allocation if instance being scheduled
  * Exclude deleted service records when calling hypervisor statistics
  * Have nova.context use super from\_context
  * [Trivial] Hyper-V: accept Glance vhdx images
  * Add strict option to discover\_hosts
  * [placement] Fix placement-api-ref check tool
  * Updated from global requirements
  * Handle uuid in HostAPI.\_find\_service
  * doc: add cells v2 FAQ on mapping instances
  * doc: add cells v2 FAQ on refreshing global cells cache
  * doc: start a FAQs section for cells v2
  * De-complicate some of the instance delete path
  * doc: add links to summit videos on cells v2
  * Make target\_cell() yield a new context
  * Move to proper target\_cell calling convention
  * Updated from global requirements
  * Repair links in Nova documentation
  * api-ref: Fix parameter order in os-services.inc
  * fix typo
  * Deprecate unused policy from policy doc
  * trivial: Remove dead code
  * convert unicode to string before we connect to rados
  * Use plain routes list for os-quota-sets endpoint instead of stevedore
  * Use plain routes list for os-certificates endpoint instead of stevedore
  * api-ref: Example verification for servers-actions.inc
  * Updated from global requirements
  * nova-manage: Deprecate 'log' commands
  * nova-manage: Deprecate 'host' commands
  * nova-manage: Deprecate 'project', 'account' commands
  * libvirt: remove glusterfs volume driver
  * libvirt: remove scality volume driver
  * Deprecate scheduler trusted filter
  * XenAPI: remove hardcode dom0 plugin version in unit test
  * Change log level from ERROR to DEBUG for NotImplemented
  * Skip policy rules on attach\_network for none network allocation
  * Skip ceph in grenade live migration job due to restart failures
  * Cache database and message queue connection objects
  * Correct the error message for query parameter validation
  * correctly log port id in neutron api
  * Fix uuid replacement in aggregate notification test
  * Catch exception.OverQuota when create image for volume backed instance
  * Add policy description for os-host
  * Libvirt support for tagged volume attachment
  * Libvirt support for tagged nic attachment
  * Updated from global requirements
  * Add policy description for 'os-hide-server-addresses'
  * Add policy description for os-fixed-ips
  * Add policy description for networks\_associate
  * Add policy description for server\_usage
  * Modify the description of flat\_injected in nova.conf
  * Add policy description for multinic
  * Add policy description for 'limits'
  * Use plain routes list for server-password endpoint instead of stevedore
  * fix InvalidSharedStorage exception message
  * Fix decoding of encryption key passed to dmcrypt
  * Make compute auto-disable itself if builds are failing
  * Make discover\_hosts only query for unmapped ComputeNode records
  * api-ref: Fix examples for add/removeFixedIp action
  * Fix a typo in code comment
  * Updated from global requirements
  * [BugFix] Change the parameter of the exception error message
  * Handle special characters in database connection URL netloc
  * fix typo in parameter type definition
  * Move null\_safe funcs to module level
  * do not log error for missing \_save\_tags
  * Add more description to policies in the keypairs.py
  * Add description to policies in extended\_status and extended\_volumes
  * Address comments when moving volume detach to block\_device.py
  * Updated from global requirements
  * Add a functional test for 'removeFloatingIp' action
  * Correct the wording about filter options
  * libvirt: Fix races with nfs volume mount/umount
  * libvirt: Pass instance to connect\_volume and disconnect\_volume
  * Remove the can\_host column
  * Totally freeze the extension\_info API
  * Trivial fix typo in document
  * Add missing rootwrap filter for cryptsetup
  * Add Cinder v3 detach to shutdown\_instance
  * Make NovaException format errors fatal for tests
  * Fix unit test exception KeyErrors
  * [BugFix] Release the memory quota for video ram when deleting an instance
  * Remove the rebuild extension help methods
  * Verify project id for flavor access calls
  * Add a convenience attribute for reportclient
  * Add uuid to service.update notification payload
  * objects: add ComputeNode.get\_by\_uuid method
  * objects: add Service.get\_by\_uuid method
  * db api: add service\_get\_by\_uuid
  * Add online data migration for populating services.uuid
  * placement: get providers sharing capacity
  * Remove cloudpipe APIs
  * Replace newton to release\_name in upgrade.rst
  * Fix a typo
  * neutron: retrieve physical network name from a multi-provider network
  * Use six.text\_type() when logging Instance object
  * Fix typo in wsgi applications release note
  * Catching OverQuota Exception
  * Add description to policies in extended\_az and extend\_ser\_attrs
  * Add policy description for os-quota-classes
  * Add policy description for instance actions
  * Add policy description for fping
  * Updated from global requirements
  * Add policy description for extensions
  * Use plain routes list for server-metadata endpoint instead of stevedore
  * Transform instance.volume\_detach notification
  * Transform instance.volume\_attach.error notification
  * Transform instance.volume\_attach notification
  * Fix units for description of "flavor\_swap" parameter
  * devref and reno for nova-{api,metadata}-wsgi scripts
  * Add pbr-installed wsgi application for metadata api
  * Update devref with vendordata changes
  * remove unused functions
  * Use systemctl to restart services
  * Remove nova-cert leftovers
  * Add policy description for image size
  * Add policy description for instance-usage-audit-log
  * Add policy description for Servers IPs
  * Add policy description for config\_drive
  * XenAPI: update support matrix to support detach interface
  * Remove unnecessary execute permissions
  * Use plain routes list for os-fixed-ips endpoint instead of stevedore
  * Use plain routes list for os-availability-zone endpoint instead of stevedore
  * Use plain routes list for os-assisted-volume-snapshots endpoint
  * Use plain routes list for os-agents endpoint instead of stevedore
  * Use plain routes list for os-floating-ip-dns endpoint instead of stevedore
  * Add compute\_nodes\_uuid\_idx unique index
  * Use plain routes list for os-floating-ips-bulk endpoint instead of stevedore
  * Use plain routes list for os-floating-ip-pools endpoint instead of stevedore
  * Use plain routes list for os-floating-ips endpoint instead of stevedore
  * api-ref: Fix unnecessary description in servers-admin-action
  * api-ref: Fix parameters in servers-action-console-output
  * api-ref: Use 'note' directive
  * use plain routes list for os-simple-tenant-usage
  * Use plain routes list for os-instance-usage-audit-log  endpoint instead of stevedore
  * Support tag instances when boot(1)
  * Add Cinder v3 detach call to \_terminate\_volume\_connections
  * placement: implement get\_inventory() for libvirt
  * nova-manage: Deprecate 'agent' commands
  * Add reserved\_host\_cpus option
  * Update description to policies in remaining flavor APIs
  * Add description to policies in migrations.py
  * Trivial fix: fix broken links
  * Remove nova-cert
  * Fixed a broken link in API Plugins document
  * Add ability to query for ComputeNodes by their mapped value
  * Add ComputeNode.mapped field
  * Updated from global requirements
  * Add a note to \*\_allocation\_ratio options about Ironic hardcode
  * Do not log live migration success when it actually failed
  * Expose StandardLogging fixture for use
  * Add Cinder v3 detach to local\_cleanup
  * Don't check for file type in \_find\_base\_file
  * Rename \_handle\_base\_image to \_mark\_in\_use
  * Add context comments to \_handle\_base\_image
  * Add mock check and fix uuid's use in test
  * Revert "Prevent delete cell0 in nova-manage command"
  * Improve comment for PCI port binding update
  * Parse algorithm from cipher for ephemeral disk encryption
  * Add description to policies in floating\_ip files
  * Add description to policies in migrate\_server.py
  * Remove all discoverable policy rules
  * PowerVM Driver: console
  * Update doc/source/process.rst
  * 2.45: Remove Location header from createImage and createBackup responses
  * Clean up ClientRouter debt
  * api-ref: move createBackup to server-actions
  * Deprecate Multinic, floatingip action and os-virtual-interface API
  * Register osapi\_compute when nova-api is wsgi
  * disable keepalive for functional tests
  * Use plain routes list for '/os-aggregates' endpoint instead of stevedore
  * Use plain routes list for '/os-keypairs' endpoint instead of stevedore
  * Use plain routes list for flavors-access endpoint instead of stevedore
  * Use plain routes list for flavors-extraspecs endpoint instead of stevedore
  * Use plain routes list for flavor endpoint instead of stevedore[1]
  * Use plain routes list for '/servers' endpoint instead of stevedore
  * encryptors: Switch to os-brick encryptor classes
  * Fix unnecessary code block in a release note
  * Remove redundant code
  * api-ref: Fix a parameter description in servers.inc
  * api-ref: Parameter verification for servers-actions (4/4)
  * api-ref: Parameter verification for servers-actions (3/4)
  * Refactor a test method including 3 test cases
  * Sort CellMappingList.get\_all() for safety
  * Add workaround to disable group policy check upcall
  * Make server groups api aware of multiple cells for membership
  * libvirt: remove redundant and broken iscsi volume test
  * Remove BuildRequest.block\_device\_mapping clone workaround
  * libvirt: Always disconnect\_volume after rebase failures
  * Rework descriptions in os-hypervisors
  * Trivial Fix a typo
  * api-ref: Parameter verification for servers-actions (2/4)
  * Updated from global requirements
  * PowerVM Driver: spawn/destroy #4: full flavor
  * Remove archaic reference to QEMU errors during post live migration
  * Tell people that the nova-cells man page is for cells v1
  * Add release note and update cell install guide for multi-cell limitations
  * PowerVM Driver: spawn/destroy #3: TaskFlow
  * Allow CONTENT\_LENGTH to be present but empty
  * libvirt: Remove is\_job\_complete polling after pivot
  * Adding auto\_disk\_config field to InstancePayload
  * add tags field to instance.update notification
  * Add description to policies in hypervisors.py
  * Explicitly define enum type as string in schema
  * PowerVM Driver: power\_on/off and reboot
  * Using max api version in notification sample test
  * PowerVM Driver: spawn/destroy #2: functional
  * Warn the user about orphaned extra records during keypair migration
  * Deprecate os-hosts API
  * Update resource tracker to PUT custom resource classes
  * [placement] Idempotent PUT /resource\_classes/{name}
  * Update detach to use V3 Cinder API
  * conf: Move 'floating\_ips' opts into 'network'
  * conf: Deprecate 'default\_floating\_pool'
  * conf: Add neutron.default\_floating\_pool
  * libvirt: Add missing tests for utils.find\_disk
  * libvirt: Use config types to parse XML for instance disks
  * Updated from global requirements
  * Mock timeout in test\_\_get\_node\_console\_with\_reset\_wait\_timeout
  * fix overridden error
  * fix typos
  * Add interfaces functional negative tests
  * Remove unused os-pci API
  * Fix mitaka online migration for PCI devices
  * Fix port update exception when unshelving an instance with PCI devices
  * Fix docstring in \_validate\_requested\_port\_ids
  * Fix the evacuate API without json-schema validation in 2.13
  * api-ref: Fix response code and parameters in evacuate
  * Remove json-schema extension variable for resize
  * Update etherpad url
  * Use deepcopy when process filters in db api
  * Add regression test for server filtering by tags bug 1682693
  * remove unused parameter in rpc call
  * Remove usage of parameter enforce\_type
  * Remove test\_init\_nonexist\_schedulerdriver
  * Spelling error "paramenter"
  * api-ref: Parameter verification for servers-actions (1/4)
  * Revert "Make server\_groups determine deleted-ness from InstanceMappingList"
  16.0.0.0b1
  * Fix hypervisors api missing HostMappingNotFound handlers
  * Updated from global requirements
  * Fix HTTP 500 raised for getConsoleLog for stopped instance
  * Remove backend dependency for key types
  * Fix libvirt group selection in live migration test
  * Update network metadata type field for IPv6
  * Add description to policies in servers.py
  * Add description to policies in security\_groups.py
  * api-ref: Nova Update Compute services Link
  * api-ref: Fix parameters in os-hosts.inc
  * Add uuid to Service model
  * Modify PciPassthroughFilter to accept lists
  * Deprecate CONF.api.allow\_instance\_snapshots
  * Read NIC features in libvirt
  * Fix api-ref for create servers response
  * placement: Add Traits API to placement service
  * Remove aggregate uuid generation on load from DB
  * Document and provide useful error message for volume-backed backup
  * PowerVM Driver: spawn/delete #1: no-ops
  * Refactor: Move post method to APIValidationTestCase base class
  * remove log translation tags from nova.cells
  * Remove dead db api code
  * Add description to policies in server\_password.py
  * remove flake8-import-order
  * Expand help text for [libvirt]/disk\_cachemodes
  * Updated from global requirements
  * Add description to policies in remote\_consoles.py
  * api-ref: fix os-extended-volumes:volumes\_attached in servers responses
  * Image meta min\_disk should be int in fake\_request\_spec
  * Optimize the link address
  * Add description to policies in quota\_sets.py
  * Fix joins in instance\_get\_all\_by\_host
  * Fix test\_instance\_get\_all\_by\_host
  * Remove the stevedore extension point for server create
  * Remove the json-schema extension point of server create
  * Remove the extension check for os-networks in servers API
  * Make server\_groups determine deleted-ness from InstanceMappingList
  * Add get\_by\_instance\_uuids() to InstanceMappingList
  * Remove Mitaka-era service version check
  * Teach HostAPI about cells
  * Make scheduler target cells to get compute node instance info
  * Deprecate the Cinder API v2 support
  * Limit exposure of network device types to the guest
- Remove openstack-nova-cert package. nova-cert is no longer provided by
  upstream.
- Adjust Requires and BuildRequires
* Mon Apr 10 2017 comurphy@suse.com
- Add /placement path for nova placement API vhost
* Thu Mar  2 2017 aplanas@suse.com
- Remove PrivTmp from openstack-nova-compute service (bsc#1024328)
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev145:
  * Make CellDatabases fixture work over RPC
  * Use the keystone session loader in the placement reporting
  * Verify project_id when quotas are checked
  * Fix some typo errors
  * api-ref: fix instance action 'message' description
  * Remove references to Python 3.4
  * Add revert resized server functional negative tests
  * docs: sort the Architecture Concepts index
  * tools: Remove 'colorizer'
  * tools: Remove 'with_venv'
  * tools: Remove 'install_venv', 'install_venv_common'
  * tools: Remove 'clean-vlans'
  * tools: Remove 'enable-pre-commit-hook'
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev127:
  * Make server_external_events cells-aware
  * conf/compute: remove invalid TODOs
  * conf: add min parameter to scheduler opts
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev121:
  * Remove service version check for Ocata/Newton placement decisions
  * Fix novncproxy for python3
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev117:
  * Raise correct error instead of class exist in Placement API
  * Tests: improve assertJsonEqual diagnostic message
* Sun Feb 19 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev114:
  * Skip soft-deleted records in 330_enforce_mitaka_online_migrations
  * Fix improper prompt when update RC with existed one's name
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev111:
  * Deprecate xenserver.vif_driver config option and change default
  * Fix live migrate with XenServer
  * Enable defaults for cell_v2 update_cell command
  * api-ref: note that boot ignores bdm:device_name
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev103:
  * Updated from global requirements
  * Tolerate jsonschema==2.6.0
  * api-ref: Fix deprecated proxy API parameters
  * Cleanup some issues with CONF.placement.os_interface
  * Fix suggested database migration command
  * Fix incorrect example for querying resource for RP
  * Use ListOfIntegersField in oslo.versionedobjects
  * Enable global hacking checks and removed local checks
  * Update hacking version
  * Fix the spelling mistake in host.py
  * tests: fix vlan test type from int to str
  * allocations.consumer_id is not used in query
  * Add nodename to _claim_test log messages
  * Update reno for stable/ocata
  * Remove unused exceptions from nova.exception
  * Fixed indentation in virt/libvirt/driver.py
* Thu Feb 16 2017 tbechtold@suse.com
- Update openstack-nova-placement-api handling
  * remove the systemd .service file. the placement-api should run
    in a real WSGI container
  * add a apache vhost sample config
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev74:
  * Skip test_stamp_pattern in cells v1 job
  * Fix misuse of assertTrue
  * api-ref: Fix network_label parameter type
  * api-ref: mark id as optional in POST /flavors
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev67:
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (end)
* Mon Feb 13 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev66:
  * Add Cells V1 -> Cells V2 step-by-step example
  * Allow placement endpoint interface to be set
* Mon Feb 13 2017 tbechtold@suse.com
- Update to version nova-15.0.0.0rc2.dev63:
  * Remove straggling use of main db flavors in cellsv1 code
  * Use min parameter to restrict live-migration config options
  * Remove unused validation code from block_device
  * Prepare for using standard python tests
  * Placement api: set custom json_error_formatter in allocations
  * [3/3]Replace six.iteritems() with .items()
  * libvirt: set vlan tag for macvtap on SR-IOV VFs
  * Removed unnecessary parantheses and fixed formation
  * Allow None for block_device_mapping_v2.boot_index
  * Edits for Cells V2 step-by-step examples
  * Default live_migration_progress_timeout to off
  * libvirt: Remove redundant bdm serial mangling and saving during swap_volume
  * Consider startup scenario in _get_compute_nodes_in_db
  * Add an update_cell command to nova-manage
  * api-ref: document the 'tenant_id' query parameter
  * TrivialFix: replace list comprehension with 'for'
  * Reserve migration placeholders for Ocata backports
  * Update the upgrades part of devref
  * vomiting
  * Clarify the deployment of placement for cellsv1 users
  * conf: remove deprecated image url options
  * Add step-by-step examples for Cells V2 setup
  15.0.0.0rc1
  * Add placement request id to log when GET or POST rps
  * Add placement request id to log when GET aggregates
  * Add more debug logging on RP inventory delete failures
  * Add more debug logging on RP inventory update failures
  * Delete a compute node's resource provider when node is deleted
  * Mark compute/placement REST API max microversions for Ocata
  * Add release note for filter/sort whitelist
  * Clarify the language in the apache wsgi sample
  * Stop swap allocations being wrong due to MB vs GB
  * Clarify the [cells] config option help
  * Add offset & limit docs & tests
  * Report reserved_host_disk_mb in GB not KB
  * Fix access_ip_v4/6 filters params for servers filter
  * Fix typo in cells v2 ocata reno
  * doc: add upgrade notes to the placement devref
  * Simplify uses of assert_has_calls
  * Fix typo in help for discover_hosts_in_cells_interval
  * Handle NotImplementedError in _process_instance_vif_deleted_event
  * Fix the terminated_at field in the server query params schema
  * Add release note for nova-status upgrade check CLI
  * Add prelude section for Ocata
  * Collected release notes for Ocata CellsV2
  * reno for notification-transformation-ocata
  * Allow scheduler to run cell host discovery periodically
  * doc: update the man page entry for nova-manage db sync
  * doc: refer to the cell_v2 man pages from the cells v2 doc
  * doc: add some detail to the map_cell0 man page
  * Remove pre-cellsv2 short circuit in instance get
  * Continue processing build requests even if one is gone already
  * Ensure build request exists before creating instance
  * placement-api: fix ResourceProviderList query
  * tests: Remove duplicate NumaHostInfo
  * tests: Combine multiple NUMA-generation functions
  * tests: Don't reinvent __init__
  * nova-status: relax the resource providers check
  * Read instances from API cell for cells v1
  * Fix map_cell_and_hosts help
  * Fresh resource provider in RT must have generation 0
  * libvirt: Limit destroying disks during cleanup to spawn
  * Ignore IOError when creating 'console.log'
  * Fix unspecified bahavior on GET /servers/detail?tenant_id=X as admin
  * nova-manage docs: cell_v2 delete_cell
  * nova-manage docs: cell_v2 list_cells
  * nova-manage docs: cell_v2 discover_hosts
  * nova-manage docs: cell_v2 create_cell
  * nova-manage docs: cell_v2 verify_instance
  * nova-manage docs: cell_v2 map_cell_and_hosts
  * Fix tag attribute disappearing in 2.33 and 2.37
  * Scheduler calling the Placement API
  * Block starting compute unless placement conf is provided
  * Added instance.reboot.error to the legacy notifications
  * Avoid redundant call to update_resource_stats from RT
  * api-ref: Fix path parameters in os-hypervisors.inc
  * libvirt: fix vCPU usage reporing for LXC/QEMU guests
  * Adding vlans field to Device tagging metadata
  * libvirt: expose virtual interfaces with vlans to metadata
  * objects: vlan field to NetworkInterfaceMetadata object
  * Move instance creation to conductor
  * Updated from global requirements
  * Fix server group functional test by using all filters
  * Hyper-V PCI Passthrough
  * Change exponential function to linear
  * Cache boot time roles for vendordata
  * Optionally make dynamic vendordata failures fatal
  * Use a service account to make vendordata requests
  * libvirt: ephemeral disk support for virtuozzo containers
  15.0.0.0b3
  * ironic: Add trigger crash dump support to ironic driver
  * Only warn about hostmappings during ocata upgrade
  * nova-manage docs: cell_v2 map_instances
  * nova-manage docs: cell_v2 map_cell0
  * nova-manage docs: cell_v2 simple_cell_setup
  * Add new configuration option live_migration_scheme
  * Fix race condition in instance.update sample test
  * libvirt: Use the mirror element to detect job completion
  * libvirt: Mock is_job_complete in test_driver
  * adding debug info for pinning calculation
  * PCI: Check pci_requests object is empty before passing to support_requests
  * Ironic: Add soft power off support to Ironic driver
  * Add sort_key white list for server list/detail
  * Trivial-fix: replace "json" with "yaml" in policy README
  * Release PCI devices on drop_move_claim()
  * objects: add new field cpuset_reserved in NUMACell
  * Make api_samples tests use simple cell environment
  * Assign mac address to vf netdevice when using macvtap port
  * conf: Deprecate 'console_driver'
  * libvirt: avoid generating script with empty path
  * placement: minor refactor _allocate_for_instance()
  * placement: report client handle InventoryInUse
  * Multicell support for instance listing
  * scheduler: Don't modify RequestSpec.numa_topology
  * Fix and add some notes to the cells v2 first time setup doc
  * Add deleting log when config drive was imported to rbd
  * Updated from global requirements
  * Amend the PlacementFixture
  * Prevent compute crash on discovery failure
  * Ironic: Add soft reboot support to ironic driver
  * os-vif: convert libvirt driver to use os-vif for fast path vhostuser
  * Updated from global requirements
  * Add a PlacementFixture
  * libvirt: make coherent logs when reboot success
  * Add ComputeNodeList.get_all_by_uuids method
  * Fix typo in 216_havana.py
  * placement: create aggregate map in report client
  * Support Ironic interface attach/detach in nova virt
  * Generate necessary network metadata for ironic port groups
  * Ensure we mark baremetal links as phy links
  * os-vif-util: set vif_name for vhostuser ovs os-vif port
  * Move migration_downtime_steps to libvirt/migration
  * libvirt: fix nova can't delete the instance with nvram
  * Remove mox in libvirt destory tests
  * VMWare: Move constant power state strings to the constant.py
  * hyperv: make sure to plug OVS VIFs after resize/migrate
  * Strict pattern match query parameters
  * Raise InvalidInput exception
  * Fix Nova to allow using cinder v3 endpoint
  * [py35] Fixes to get more tempest tests working
  * api-ref: Fix a parameter in os-availability-zone.inc
  * Integrate OSProfiler and Nova
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (5)
  * Enable virt.vmwareapi test cases on Python
  * Enable virt.test_virt_drivers.AbstractDriverTestCase on Python 3
  * Port compute.test_user_data.ServersControllerCreateTest to Python 3
  * XenAPI: Fix vif plug problem during VM rescue/unrescue
  * Handle oslo.serialization type error and binascii error
  * Remove invalid URL in gabbi tests
  * nova-manage cell_v2 map_cell0 exit 0
  * Add query parameters white list for server list/detail
  * nova-manage docs: add cells commands prep
  * Add --verbose option to discover_hosts command
  * Add more details when test_create_delete_server_with_instance_update fails
  * Updated from global requirements
  * Add some cellsv2 setup docs
  * Fix the generated cell0 default database name
  * rt: use a single ResourceTracker object instance
  * Add nova-manage cell_v2 delete_cell command
  * Add InstanceMappingList.get_by_cell_id
  * Create HostMappingList object
  * Add nova-manage cell_v2 list_cells command
  * Add nova-manage cell_v2 create_cell command
  * libvirt: workaround findmnt behaviour change
  * api-ref: Fix parameters whose values are 'null'
  * Fix broken link of Doc
  * api-ref: Fix parameters and response in os-quota-sets.inc
  * Remove nova-manage image from man pages
  * Updated from global requirements
  * Fixes to get all functional tests working on py35
  * [placement] Add a bit about extraction plans to placement_dev
  * [placement] Add an "Adding a Handler" section to placement_dev
  * [placement] placement_dev info for testing and gabbi
  * [placement] placement_dev info for microversion handling
  * Updated from global requirements
  * placement: validate member_of values are uuids
  * Make metadata server know about cell mappings
  * Remove redundant arg check in nova-manage cell_v2 verify_instance
  * Expose a REST API for a specific list of RPs
  * copy pasta error
  * Set sysinfo_serial="none" in LibvirtDriverTestCase
  * [py35] Fixes to get rally scenarios working
  * Fix missing RP generation update
  * Add service_token for nova-neutron interaction
  * rt: explicitly pass compute node to _update()
  * Make unit tests work with os-vif 1.4.0
  * Updated from global requirements
  * libvirt: make live migration possible with Virtuozzo
  * Small improvements to placement.rst
  * Better black list for py35 tests
  * Fix class type error in attach_interface() function
  * Hyper-V: Adds vNUMA implementation
  * Don't bypass cellsv1 replication if cellsv2 maps are in place
  * Adds Hyper-V OVS ViF driver
  * Improve flavor sample in notification sample tests
  * Add service_token for nova-cinder interaction
  * XenAPI Remove useless files when use os-xenapi lib
  * releasenotes: Add missing releasenote for encryption provider constants
  * Stop using mox stubs in test_attach_interfaces.py
  * Remove mox in nova/tests/unit/compute/test_shelve.py (end)
  * Document testing process for zero downtime upgrade
  * Remove mox in nova/tests/unit/compute/test_shelve.py (2)
  * Add debug possibility for nova-manage command
  * conf: Deprecate yet more nova-net options
  * conf: Resolve formatting issues with 'quota'
  * [2/3]Replace six.iteritems() with .items()
  * tests: Replace use of CONF with monkey patching
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (4)
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (3)
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (2)
  * Remove mox from unit/compute/test_compute_api.py (1)
  * Added missing decorator for instance.create.error
  * Remove mox from api/openstack/compute/test_extended_hypervisors.py
  * Remove mox from unit/api/openstack/compute/test_cloudpipe.py
  * Add 'disabled' to WatchdogAction field
  * Enable TestOSAPIFixture.test_responds_to_version on Python 3
  * Handle unicode when dealing with duplicate aggregate errors during migration
  * Handle unicode when dealing with duplicate flavors during online migrations
  * conf: Remove 'virt' file
  * Removes unnecessary utf-8 encoding
  * conf: move few console opts to xenserver group
  * Pre-load info_cache when handling external events and handle NotFound
  * Make simple_cell_setup fully idempotent
  * Raise DeviceNotFound detaching volume from persistent domain
  * remove NetworkDuplicated exception
  * Fix root_device_name for Xen
  * Stop using mox stubs in test_shelve.py
  * Stop using mox from compute/test_used_limits.py
  * Remove mox from tests/unit/conductor/tasks/test_live_migrate.py(3)
  * Remove mox from tests/unit/conductor/tasks/test_live_migrate.py(2)
  * Remove mox from tests/unit/conductor/tasks/test_live_migrate.py(1)
- Remove 0001-Fix-nova-delete-with-EFI-booted-VMs.patch . Applied in a
  different form upstream.
- Update Requires
- Remove subpackage openstack-xen-plugins.
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev330:
  * docs - Connect to placement service & retries
  * xenapi: support the hotplug of a neutron port
  * Update notification for flavor
  * Make allocate_for_instance take consistent args
  * XenAPI Use os-xenapi lib for nova
  * Make placement client keep trying to connect
  * Remove mox from api/openstack/compute/test_floating_ip_dns.py
  * Remove mox in unit/api/openstack/test_wsgi.py
  * Notifications for flavor operations
  * Port xenapi test_vm_utils to Python 3
  * Trivial indentation fix
  * Add missing CLI commands in support-matrix.ini
  * Fix a typo in documents
  * [placement] fix typo in call to create auth middleware
  * move gate hooks to gate/
  * Stop using mox in compute/test_server_actions.py
  * Create schema generation for NetworkModel
  * Move FlavorPayload to a seperate file
  * Remove unused init_only kwarg from wsgi app init
  * Remove unnecessary attrs from TenantNetworksDeprecationTest
  * Add create image functional negative tests
  * Enble network.test_neutronv2.TestNeutronv2 on Python 3
  * libvirt: remove hack for dom.vcpus() returning None
  * cors: update default configuration in config
* Mon Jan  9 2017 slunkad@suse.com
- add /usr/bin/nova-status to spec file
* Mon Jan  9 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev284:
  * Make the SingleCellSimple fixture a little more comprehensive
  * Fix non-parameterized service id in hypervisors sample tests
  * Fix TypeError in _update_from_compute_node race
  * correct misleading wording
  * Don't translate exceptions w/ no message
  * Fix ksa mocking in test_cinderclient_unsupported_v1
  * HTTP interface for resource providers by aggregates
  * Return uuid attribute for aggregates
  * Update docstring of _schema_validation_helper
  * api-ref: use the examples with paging links
  * Port libvirt.test_vif to Python 3
  * Port libvirt.test_firewall to Python 3
  * Move quota options to a config group
  * Handle Unauthorized exception in report client's safe_connect()
  * Do not post allocations that are zero
  * Add aggregate notification related enum values
  * Transform aggregate.delete notification
  * Transform aggregate.create notification
  * Enable Neutron by default
  * Port virt.libvirt.test_imagebackend to Python 3
  * Use JSON-Schema to validate query parameters for keypairs API
  * Adds support for versioned schema validation for query parameters
  * Add support matrix for attach and detach interfaces
  * Make last remaining unit tests work with Neutron by default
  * Make test_metadata pass with CONF.use_neutron=True by default
  * Make test_nova_manage pass with CONF.use_neutron=True by default
  * Stub out os_vif.unplug in libvirt instance destroy tests
  * Make test_attach_interfaces work with use_neutron=True by default
  * Make test_floating_ip* pass with CONF.use_neutron=True by default
  * Make several API unit tests pass with CONF.use_neutron=True by default
  * Make test_server_usage work with CONF.use_neutron=True by default
  * Make test_security_group_default_rules work with use_neutron=True by default
  * Make test_tenant_networks pass with CONF.use_neutron=True by default
  * Make test_security_groups work with CONF.use_neutron=True by default
  * Make test_virtual_interfaces work with CONF.use_neutron=True by default
  * Make test_user_data and test_multiple_create work with use_neutron=True
  * Make test_quota work with CONF.use_neutron=True by default
  * Make test_compute pass with CONF.use_neutron=True by default
  * api-ref: Fix parameters in os-server-groups.inc
  * Remove mox in test_block_device_mapping_v1.py
  * placement: Do not save 0-valued inventory
  * Remove more deprecated nova-manage commands
  * Make servers api view load instance fault from proper cell
  * Add support for setting boot order in Hyper-V
  * conf: added notifications group
  * Missing usage next links in api-ref
  * [placement] start a placement_dev doc
  * pci: Clarify SR-IOV ports vs direct passthrough ports
  * nova-status: check for compute resource providers
  * doc: add recomendation for delete notifications
  * Remove Rules.load_json warning
  * Actually test online flavor migrations
  * api-ref: add notes about POST/DELETE errors for os-tenant-networks
  * api-ref: microversion 2.40 overview
  * Fix assertion in test_instance_fault_get_by_instance
  * Add more field's in InstancePayload
  * objects: add new field cpu_emulator_threads_policy
  * Support filtering resource providers by aggregate membership
  * Resource tracker doesn't free resources on confirm resize
  * Stop using mox stubs in nova/tests/unit/cells
  * Add release note to PCI passthrough whitelist regex support
  * api-ref: Fix parameter type in servers-admin-action.inc
  * Port security group related tests to Python 3
  * Don't apply multi-queue to SRIOV ports
  * placement: correct improper test case inheritance
  * Remove mox in tests/unit/objects/test_instance_info_cache
  * Port compute unit tests to Python 3
  * Fix urllib.urlencode issue in functional tests on Python 3
  * Trival fix typo
  * Enble compute.test_compute_mgr.ComputeManagerUnitTestCase on Python 3
  * Port api.openstack.compute.test_disk_config to Python 3
  * Updated from global requirements
  * Ignore 404s when deleting allocation records
  * nova-status: return 255 for unexpected errors
  * VMware: Update supported OS types for ESX 6.5
  * Replace "Openstack" with "OpenStack"
  * Use bdm destination type allowed values hard coded
  * Fix BDM JSON-Schema validation
  * [TrivialFix] Fix comment and function name typo error
  * [TrivialFix] Fix comment typo error
  * Fix python3 issues with devstack
  * [1/3]Replace six.iteritems() with .items()
  * Fix typo
  * Fix misleading port delete description
  * conf: remove deprecated barbican options
  * Trival fix typos in api-ref
  * make 2.31 microversion wording better
  * Trivial: add ability to define action description
  * Added missed "raises:" docstrings into numa_get_constraints() method
  * Port test_matchers.TestDictMatches.test__str__ to Python 3
  * Skip network.test_manager.LdapDNSTestCase on Python 3
  * Remove mox in tests/unit/objects/test_security_group
  * Remove v2.40 from URL string in usage API docs
  * nova-status: add basic placement status checking
  * nova-status: check for cells v2 upgrade readiness
  * Add nova-status upgrade check command framework
  * rt: remove fluff from test_resource_tracker
  * rt: pass the nodename to public methods
  * conf: make 'default' upper case
  * conf: remove deprecated ironic options
  * conf: refactor conf_fixture.py
  * Refactor the code to add generic schema validation helper
  * Make nova-manage cell_v2 discover_hosts tests use DBs
  * Added PRSM to HVType class for support PR/SM hypervisor
  * libvirt: Stop misusing NovaException
  * libvirt: Flatten 'get_domain' function
  * fakelibvirt: Remove unused functions
  * libvirt: Remove slowpath listing of instances
  * Only return latest instance fault for instances
  * conf: fix formatting in base
  * Add Python 3.5 functional tests in tox.ini
  * Changed NUMACell to InstanceNUMACell in test_stats.py
  * Remove mox from unit/compute/test_compute_api.py(2)
  * Remove support for the Cinder v1 API
  * move rest_api_version_history.rst to compute layer
  * Catch InstanceNotFound exception
  * Provide an online data migration to cleanup orphaned build requests
  * Return 400 when name is more than 255 characters
  * network id is uuid instead of id
  * refactor: move down ``dev_number`` in xenapi
  * Remove mox from nova/tests/unit/compute/test_virtapi.py
  * Remove mox from nova/tests/unit/virt/test_virt.py
  * Show team and repo badges on README
  * Fix typo in image_meta.py & checks.py & flavor.py
  * Remove mox from api/openstack/compute/test_fping.py
  * Improve help text for libvirt options
  * Remove mox in virt/xenapi/image/test_bittorrent.py
  * Rename PCS to Virtuozzo in error message
  * doc: add a note about conditional support for xenserver change password
  * Remove mox from api/openstack/compute/test_rescue.py
  * Remove mox from api/openstack/compute/test_image_size.py
  * Remove mox from unit/api/openstack/compute/test_hide_server_addresses.py
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev54:
  * Add soft delete wrinkle to api-ref
  * Add document update for get console usage
  * conf: Deprecate more nova-net options
  * Add metadata functional negative tests
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev47:
  * Mark sibling CPUs as 'used' for cpu_thread_policy = 'isolated'
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev46:
  * Add unit test for extract_snapshot with compression enabled
  * Updated from global requirements
  * Fix error if free_disk_gb is None in CellStateManager
  * nova-manage: squash oslo_policy debug logging
  * Fix nova-manage cell_v2 discover_hosts RequestContext
  * Failing test (mac osx) - test_cache_ephemeral
  * Catch VolumeEncryptionNotSupported during spawn
  * osapi_max_limit -> max_limit
  * Add more detail to help text for reclaim_instance_interval option
  * Port libvirt.storage.test_rbd to Python 3
  * Remove dead begin/end code from InstanceUsageAuditLogController
  * conf: Detail the 'injected_network_template' opt
  * conf: add warning for vm's max delete attempts
  * config options: improve libvirt utils
  * Catch NUMA related exceptions in create server API method
* Sun Dec 18 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev22:
  * Make nova-manage emit a traceback when things blow up
  * XenAPI: Remove ovs_integration_bridge default value
  * Modify mistake of scsi adapter type class
  * Port virt vmwareapi tests to Python 3
  * Remove mox in nova/tests/unit/api/openstack/compute (1)
  * Remove mox from api/openstack/compute/test_networks.py
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev14:
  * rt: pass nodename to internal methods
  * Updated from global requirements
  * Cleanup Newton Release Notes
  * Add schedule_and_build_instances conductor method
  * Deprecate compute options
* Fri Dec 16 2016 tbechtold@suse.com
- Remove 0001-libvirt-Delete-the-lase_device-of-find_disk_dev_for_.patch
  Applied upstream.
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version nova-15.0.0.0b3.dev7:
  * Fix exception message formatting error in test
  15.0.0.0b2
  * [test]Change fake image info to fit instance xml
  * Fix the file permissions of test_compute_mgr.py
  * Add detail to cellsv2-related release notes
  * Revert "Use liberty-eol tag for liberty release notes"
  * Fix some release notes in preparation for the o-2 beta release
  * libvirt: Detach volumes from a domain before detaching any encryptors
  * Use liberty-eol tag for liberty release notes
  * api-ref: Fix description of os-instance-usage-audit-log
  * Stop allowing tags as empty string
  * Simple tenant usage pagination
  * Added missed "raises:" docstrings into numa_get_constraints() method
  * TrivialFix: changed log message
  * api-ref: Fix 'id' (attachment_id) parameters
  * Move tags validation code to json schema
  * Let nova-manage cell_v2 commands use transport_url from CONF
  * Make test_create_delete_server_with_instance_update deterministic
  * restore locking in notification tests
  * Corrects the type of a base64 encoded string
  * Fix instructions for running simple_cell_setup
  * Quiet unicode warnings in functional test_resource_provider
  * Add more description for rx and tx param
  * Enhance PCI passthrough whitelist to support regex
  * Better wording for micorversion 2.36
  * Port test_servers to py3
  * Remove mox in tests/unit/objects/test_compute_node
  * Refactor REGEX filters to eliminate 500 errors
  * Fix crashing during guest config with pci_devices=None
  * Add SecurityGroup.identifier to prefer uuid over name
  * Setup CellsV2 environment in base test
  * Cleanup after any failed libvirt spawn
  * Guestfs handle no passwd or group in image
  * Check that all JSON files don't have \r\n in line
  * Enable test_bdm.BlockDeviceMappingEc2CloudTestCase on Python 3
  * fix for auth during live-migration
  * Don't trace on ImageNotFound in delete_image_on_error
  * Cascade deletes of RP aggregate associations
  * Make resource provider objects not remotable
  * Bump prlimit cpu time for qemu from 2 to 8
  * test: drop unused config option fake_manager
  * conf: Remove config option compute_ manager
  * Extend get_all_by_filters to support resource criteria
  * Port test_virt_drivers to Python 3
  * Don't use 'updated_at' to check service's status
  * libvirt: Fix initialising of LVM ephemeral disks
  * Remove extra ^M for json file
  * Port virt.disk.mount.test_nbd to Python 3
  * Remove unnecessary comment of BDM validation
  * Update ironic driver get_available_nodes docstring
  * api-ref: note that os-virtual-interfaces is nova-network only
  * Fix up non-cells-aware context managers in test_db_api
  * Add SingleCellSimple fixture
  * [proxy-api] microversion 2.39 deprecates image-metadata proxy API
  * Make RPCFixture support multiple connections
  * tests: avoid starting compute service twice in sriov functional test
  * tests: generate correct pci addresses for fake pci devices
  * Fix nova-serialproxy when registering cli options
  * Updated from global requirements
  * Revert "reduce pep8 requirements to just hacking"
  * conf: Improve help text for network options
  * conf: Deprecate all nova-net related opts
  * libvirt: Mock imagebackend template funcs in ImageBackendFixture
  * libvirt: Combine injection info in InjectionInfo
  * Fix misuse of assertTrue
  * Return 400 when name is more than 200 characters
  * Replace the assertEqual(None,A) with assertIsNone(A)
  * Rename few tests as per new config options
  * Handle MarkerNotFound from cell0 database
  * Removed unused ComputeNode create/update_inventory methods
  * Fix a typo in a comment in microversion history
  * Handle ImageNotFound exception during instance backup
  * Add a CellDatabases test fixture
  * Pass context as kwarg instead of positional arg to get_engine
  * Transform instance.snapshot notifications
  * libvirt: virtlogd: use virtlogd for char devices
  * libvirt: create consoles in an understandable/extensible way
  * Add more log when delete orphan node
  * libvirt: Add comments in _hard_reboot
  * Update cors-to-versions-pipeline release note
  * Unity the comparison of hw_qemu_guest_agent
  * Require cellsv2 setup before migrating to Ocata
  * Improving help text for xenapi_vmops_opts
  * convert libvirt driver to use os-vif for vhost-user with ovs
  * Handle ComputeHostNotFound when listing hypervisors
  * Improve the error message for failed RC deletion
  * Fix placement API version history 1.1 title
  * placement: Perform build list of standard classes once
  * placement: REST API for resource classes
  * Add a retry loop to ResourceClass creation
  * conf: Remove deprecated service manager opts
  * support polling free notification testing
  * conf: Standardize formatting of virt
  * Updated from global requirements
  * Remove invalid tests for config option osapi_compute_workers
  * placement: adds ResourceClass.save()
  * Add CORS filter to versions pipeline
  * Create hyperv fake images under proper directory
  * Some improvement to the process doc
  * libvirt: Improve _is_booted_from_volume implementation
  * libvirt: Delete duplicate check when live-migrating
  * Add block_device_mapping_v2.uuid to api-ref
  * Correct the sorting of datetimes for migrations
  * Fix pci_alias that include white spaces
  * Always use python2.7 for docs target
  * objects: Removes base code that already exists in o.vo
  * libvirt: Don't re-resize disks in finish_migration()
  * libvirt: Never copy a swap disk during cold migration
  * libvirt: Rename Backend snapshot and image
  * libvirt: Cleanup test_create_configdrive
  * libvirt: Test disk creation in test_hard_reboot
  * libvirt: Rewrite _test_finish_migration
  * guestfs: Don't report exception if there's read access to kernel
  * Fix for live-migration job
  * Handle maximum limit in schema for int and float type parameters
  * Port compute.test_extended_ip* to Python 3
  * Remove more tests from tests-py3.txt
  * Support detach interface with same MAC from instance
  * placement: adds ResourceClass.destroy()
  * Make test_shelve work with CONF.use_neutron=True by default
  * Restrict test_compute_cells to nova-network
  * Make test_compute_mgr work with CONF.use_neutron=True by default
  * Make test_compute_api work with CONF.use_neutron=True by default
  * Make nova.tests.unit.virt pass with CONF.use_neutron=True by default
  * Make xenapi tests work with CONF.use_neutron=True by default
  * Make libvirt unit tests work with CONF.use_neutron=True by default
  * Make vmware unit tests work with CONF.use_neutron=True
  * Explicitly use nova-network in nova-network network tests
  * Make test_serversV21 tests work with neutron by default
  * neutron: handle no_allocate in create_pci_requests_for_sriov_ports
  * Add a releasenote for bug#1633518
  * libvirt: prefer cinder rbd auth values over nova.conf
  * libvirt: cleanup network volume driver auth config
  * Fix wait for detach code to handle 'disk not found error'
  * [api-ref] Minor text clean-up, formatting
  * Convert live migration uri back to string
  * conf: improve libvirt lvm
  * conf: Trivial fix of indentation in 'api'
  * Never pass boolean deleted to instance_create()
  * Port xenapi test_xenapi to Python 3
  * Port libvirt test_driver to Python 3
  * conf: Deprecate 'torrent_' options
  * hacking: Use uuidutils or uuidsentinel to generate UUID
  * Replace uuid4() with uuidsentinel
  * Replace uuid4() with uuidsentinel
  * Replace uuid4() with uuidsentinel
  * Add os-start/stop functional negative tests
  * Port ironic unit tests to Python 3
  * Port test_keypairs to Python 3
  * Port test_metadata to Python 3
  * Fix expected_attrs kwarg in server_external_events
  * Check deleted flag in Instance.create()
  * Revert "Revert "Make n-net refuse to start unless using CellsV1""
  * Revert "Log a warning when starting nova-net in non-cellsv1 deployments"
  * Default deleted if the instance from BuildRequest is not having it
  * docs: cleanup wording for 'SOFT_DELETED' in api-guide
  * libvirt: Acquire TCP ports for console during live migration
  * conf: Deprecate 'remap_vbd_dev' option
  * conf: Covert StrOpt -> PortOpt
  * Check Config Options Consistency  for xenserver.py
  * Add description for 2.9 microversion
  * Remove AdminRequired usage in flavor
  * Optional name in Update Server description in api-ref
  * List support for force-completing a live migration in Feature support matrix
  * Catch ImageNotAuthorized during boot instance
  * Remove require_admin_context
  * InstanceGroupPolicyNotFound not used anymore
  * UnsupportedBDMVolumeAuthMethod is not used
  * Port virt.xenapi.client.test_session to Python 3
  * vif: allow for creation of multiqueue taps in vrouter
  * conf: Move api options to a group
  * [scheduler][tests]: Fix incorrect aggr mock values
  * objects: Move 'vm_mode' to 'fields.VMMode'
  * objects: Move 'hv_type' to 'fields.HVType'
  * objects: Move 'cpumodel' to 'fields.CPU*'
  * objects: Move 'arch' to 'fields.Architecture'
  * Remove config option snapshot_name_template
  * Remove deprecated compute_available_monitors option
  * Improve help text for interval_opts
  * config options: improve libvirt remotefs
  * Improve consistency in libvirt
  * Move tag schema to parameter_types.py
  * Remove tests from tests-py3.txt
  * hardware: Flatten functions
  * add host to vif.py set_config_* functions
  * linux_net: allow for creation of multiqueue taps
  * Fix notification doc generator
  * Config options: improve libvirt help text (2)
  * Placement api: Add informative message to 404 response
  * Remove sata bus for virtuozzo hypervisor
  * Fix a typo in nova/api/openstack/compute/volumes.py
  * Fix race in test_volume_swap_server_with_error
  * libvirt: Call host connection callbacks asynchronously
  * conf: remove deprecated cert_topic option
  * Return build_requests instead of instances
  * conf: remove deprecated exception option
  * doc: Add guidline about notification payload
  * Port libvirt test_imagecache to Python 3
  * Port test_serversV21 to Python 3
  * encryptors: Introduce encryption provider constants
  * Add TODO for returning a 202 from the volume attach API
  * Refactor two nearly useless secgroup tests
  * Transform instance.finish_resize notifications
  * Remove redundant VersionedObject Fields
  * Transform instance.create.error notification
  * Transform instance.create notification
  * api-ref: add missing os-server-groups parameters
  * libvirt: prepare domain XML update for serial ports
  * [placement] increase gabbi coverage of handlers.resource_provider
  * [placement] increase gabbi coverage of handlers.inventory
  * [placement] increase gabbi coverage of handlers.allocation
  * libvirt: do not return serial address if disabled on destination
  * Add index on instances table across project_id and updated_at
  * libvirt: handle os-brick InvalidConnectorProtocol on init
  * placement: adds ResourceClass.get_by_name()
  * placement: adds ResourceClass.create()
  * Separate CRUD policy for server_groups
  * Stop using mox stubs in nova/tests/unit/virt/disk
  * Remove the description of compute_api_class option
  * Add context param to confirm_migration virt call
  * Use pick_context_manager throughout DB APIs
  * tests: verify cpu pinning with prefer policy
  * api-ref: Body verification for os-simple-tenant-usage.inc
  * remove additional param
  * Fix typo for 'infomation'
  * Implement get and set aggregates in the placement API
  * Add {get_,set_}aggregates to objects.ResourceProvider
  * INFO level logging should be useful in resource tracker
  * hyper-v: wait for neutron vif plug events
  * Use available port binding constants
  * Introduce PowerVMLiveMigrateData
  * api-ref: body verification for abort live migration
  * Remove mox in tests/unit/objects/test_pci_device
  * Avoid unnecessary db_calls in objects.Instance._from_db_object()
  * placement: genericize on resource providers
  * conf: fix formatting in wsgi
  * conf: fix formatting in availability_zone
  * Create schema generation for AddressBase
  * conf: Improve help text for ldap_dns_opts
  * conf: Fix indentation of network
  * Fix config option types
  * libvirt: refactor console device creation methods
  * Fix qemu-img convert image incompatability in alpine linux
  * conf: Remove deprecated 'compute_stats_class' opt
  * hardware: Split '_add_cpu_pinning_constraint'
  * libvirt: Delete the lase_device of find_disk_dev_for_disk_bus
  * Remove manual handling of old context variables
  * conf: Attempt to resolve TODOs in scheduler.py
  * conf: Remove 'scheduler_json_config_location'
  * Add RPC version aliases for Newton
  * Notification object version test depends on SCHEMA
  * Fix SAWarning in TestResourceProvider
  * conf: Removed TODO note and updated desc
  * Using get() method to prevent KeyError
  * tests: verify pci passthrough with numa
  * Mention API V2 should no longer be used
  * Fix the scope of cm in ServersTestV219
  * Add debug to tox environment
  * Remove redundant req setting
  * Remove deprecated nova-all binary
  * Remove _set_up_controller() from attach tests
  * Stop using mox stubs in test_snapshots.py
  * Stop using mox from compute/test_multiple_create.py
  * conf: Move consoleauth options to a group
  * config options: improve libvirt imagebackend
  * Move get_instance() calls from try-except block
  * libvirt/guest.py: Update docstrings of block device methods
  * Improve consistency in serial_console
  * Hyper-V: fix image handling when shared storage is being used
  * Expand feature classification matrix with gate checks
  * Add is_cell0 helper method
  * Remove mox from nova/tests/unit/virt/xenapi/test_driver.py
* Thu Dec 15 2016 tbechtold@suse.com
- config cleanup
* Fri Dec  9 2016 tbechtold@suse.com
- package conf.d dir
* Wed Dec  7 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Wed Dec  7 2016 dmueller@suse.com
- fix vncproxy/serialproxy permissions
* Wed Nov 30 2016 tbechtold@suse.com
- The proxy services don't use the SD_NOTIFY interface so switch to
  service type "simple"
* Wed Nov 23 2016 tbechtold@suse.com
- Switch to systemd service files
- Fix systemd tempfile generator
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b2.dev40:
  * Remove unused code in nova/api/openstack/wsgi.py
  * Store security groups in RequestSpec
* Tue Nov 22 2016 tbechtold@suse.com
- Update to version nova-15.0.0.0b2.dev36:
  * Complete verification for os-floating-ips
  * Use byte string or utf8 depending on python version for wsgi
  * Database poison note
  * conf: remove deprecated cells driver option
  * Fix detach_interface() call from external event handler
  * Log a warning when starting nova-net in non-cellsv1 deployments
  * Revert "Make n-net refuse to start unless using CellsV1"
  * HyperV: use os-brick for volume related operations
  * [PY3] byte/string conversions and enable PY3 test
  * Fix mock arg list order in test_driver.py
  * Add handle for 2 exceptions in force_delete
  * Typo error about help    libvirt.py
  * Updated from global requirements
  * Make n-net refuse to start unless using CellsV1
  * Fix data error in api samples doc
  15.0.0.0b1
  * Typo error servers.py
  * Typo error allocations.yaml
  * Refactor console checks in live migration process
  * Add microversion cap information
  * No return for flavor destroy
  * neutron: actually populate list in populate_security_groups
  * Clarify the approval process of specless blueprints
  * Add uuid field to SecurityGroup object
  * api-ref: body verification for force_complete server migration
  * api-ref: body verification for show server migration
  * api-ref: body verification for list server migrations
  * api-ref: example verification for server-migrations
  * api-ref: parameter verification for server-migrations
  * api-ref: method verification for server-migrations
  * [placement] Enforce min_unit, max_unit and step_size
  * Remove ceph install/config functions from l-m hook
  * Ceph bits for live-migration job
  * api-ref: fix server_id in metadata docs
  * Add the initial documentation for the placement API
  * API Ref: update server_id params
  * Transform requested secgroup names to uuids
  * libvirt: Cleanup spawn tests
  * Rename security_group parameter in compute.API:create
  * Change database poison warning to an exception
  * Fix database poison warnings, part 25
  * Updated from global requirements
  * Correct wrong max_unit in placement inventory
  * Add flavor extra_spec info link to api_ref
  * Fix database poison warnings in resource providers
  * Placement api: 404 response do not indicate what was not found
  * Instance obj_clone leaves metadata as changed
  * Add a no-op wait method to NetworkInfo
  * Move driver_dict_from_config to libvirt driver
  * libvirt: Fix incorrect libvirt library patching in tests
  * libvirt: read rotated "console.log" files
  * libvirt: change get_console_output as prep work for bp/libvirt-virtlogd
  * Updated from global requirements
  * api-ref: Fix a 'port' parameter in os-consoles.inc
  * Update nova api.auth tests to work with newer oslo.context
  * Remove ironic instance resize from support matrix doc
  * [placement] add a placement_aggregates table to api_db
  * libvirt: remove py26 compat code in "get_console_output"
  * Change RPC post_live_migration_at_destination from cast to call
  * libvirt: add migration flag VIR_MIGRATE_PERSIST_DEST
  * Revert MTU hacks for bug 1623876
  * Pass MTU into os-vif Network object
  * Updated from global requirements
  * api-ref: fix addFloatingIp action docs
  * Fix a TypeError in notification_sample_base.py
  * Add functional api_samples test for addFloatingIp action
  * migration.source_compute should be unchanged after finish_revert_resize
  * Add explicit dependency on testscenarios
  * Updated from global requirements
  * api-ref: remove user_id from keypair list response and fix 2.10
  * Don't parse PCI whitelist every time neutron ports are created
  * conf: Remove extraneous whitespace
  * EventReporterStub
  * Catch all local/catch-all addresses for IPv6
  * placement: add ResourceClass and ResourceClassList
  * placement: raise exc when resource class not found
  * fix connection context manager in rc cache
  * pci: remove pci device from claims and allocations when freeing it
  * PCI: Fix PCI with fully qualified address
  * Log warning when user set improper config option value
  * libvirt: fix incorrect host cpus giving to emulator threads when RT
  * Transform instance.shutdown notifications
  * encryptors: Workaround mangled passphrases
  * Fix cold migration with qcow2 ephemeral disks
  * Updated from global requirements
  * config options: Improve help for SPICE
  * api-ref: cleanup bdm.delete_on_termination field
  * api-ref: document the power_state enum values
  * libvirt: Pass Host instead of Driver to volume drivers
  * Remove unreachable code
  * [api-ref] Fix path parameter console_id
  * Replace admin check with policy check in placement API
  * Fix import statement order
  * Fix database poison warnings, part 24
  * libvirt: sync time on resumed from suspend instances
  * Fix database poison warnings, part 23
  * Transform instance.unpause notifications
  * Updated from global requirements
  * Virt: add context to attach and detach interface
  * Imported Translations from Zanata
  * Transform instance.unshelve notifications
  * TrivialFix: Fixed typo in 'MemoryPageSizeInvalid' exception name in docstrings
  * Make build_requests.instance MediumText
  * Use six.wraps
  * Transform instance.resume notifications
  * Transform instance.shelve_offload notifications
  * api-ref: fix image GET response example
  * Fix exception raised in exception wrapper
  * Add missing compat routine for Usage object
  * Updated from global requirements
  * Transform instance.power_off notifications
  * Set 'last_checked' flag if start to check scheduler file
  * Remove bandit.yaml in favor of defaults
  * Pre-add instance actions to avoid merge conflicts
  * Add swap volume notifications (error)
  * libvirt: add supported vif types for virtuozzo virt_type
  * fix testcase test_check_can_live_migrate_dest_fills_listen_addrs
  * doc: Integrate oslo_policy.sphinxpolicygen
  * tests: Adding functional tests to cover VM creation with sriov
  * [placement] Add support for a version_handler decorator
  * pci: in free_device(), compare by device id and not reference
  * doc: Update libvirt-numa guide
  * Remove deprecated nova-manage vm list command
  * Remove block_migration from LM rollback
  * PCI: Avoid looping over PCI devices twice
  * Update docs for serial console support
  * Remove conductor local api:s and 'use_local' config option
  * Cleanup before removal of conductor local apis
  * compute: fixes python 3 related unit tests
  * XenAPI: Fix VM live-migrate with iSCSI SR volume
  * Explicitly name commands target environments
  * _run_pending_deletes does not need info_cache/security_groups
  * Updated from global requirements
  * hardware: Standarized flavor/image meta extraction
  * api-ref: Fix wrong parameters in os-volumes.inc
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (1)
  * Send events to all relevant hosts if migrating
  * Catch error and log warning when not able to update mtimes
  * Clarify what changed with scheduler_host_manager
  * Add related options to floating ip config options
  * Correct bug in microversion headers in placement
  * Ironic Driver: override get_serial_console()
  * Updated from global requirements
  * Drop deprecated support for hw_watchdog_action flavor extra spec
  * Remove watchdog_actions module
  * Removal of tests with different result depending on testing env
  * Document experimental pipeline in Nova CI
  * Update rolling upgrade steps from upgrades documentation
  * Add migrate_uri for invoking the migration
  * Fix bug in "nova/tests/unit/virt/test_virt_drivers.py" for os-vif
  * Changed the name of the standard resource classes
  * placement: change resource class to a StringField
  * Remove nova/openstack/* from .coveragerc
  * Fix issue with not removing rbd rescue disk
  * Require WebOb>=1.6.0
  * conf: Remove deprecated ``use_glance_v1``
  * Adding hugepage and NUMA support check for aarch64
  * hacking: Use assertIs(Not), assert(True|False)
  * Use more specific asserts in tests
  * Add quota related tables to the api database
  * doc: add dev policy about no new metrics monitors
  * Always use python2.7 for functional tests
  * doc: note the future of out of tree support
  * docs: update the Public Contractual API link
  * Add InvalidInput handling for attach-volume
  * placement: add cache for resource classes
  * placement: add new resource_classes table
  * hardware: Rework docstrings
  * doc: Comment on latin1 vs utf8 charsets
  * Improve help text for libvirt options
  * block_device: Make refresh_conn_infos py3 compatible
  * Add swap volume notifications (start, end)
  * Add a hacking rule for string interpolation at logging
  * Don't attempt to escalate nova-manage privileges
  * Improve help text for upgrade_levels options
  * Remove dead link from notification devref
  * Stop using mox stubs in test_evacuate.py
  * Tests: fix a typo
  * ENOENT error on '/dev/log'
  * conf: Group scheduler options
  * Fix exception due to BDM race in get_available_resource()
  * Add error handling for delete-volume API
  * Fix API doc for os-console-auth-tokens
  * Replace uuid4() with uuidsentinel
  * Fix a typo in driver.py
  * Avoid Forcing the Translation of Translatable Variables
  * Fix database poison warnings, part 21
  * Remove the sample policy file
  * conf: Move PCI options to a PCI group
  * Add Apache 2.0 license to source file
  * Fix typo in comment
  * Fix database poison warnings, part 22
  * config options: improve libvirt smbfs
  * Cleanup some redundant USES_DB_SELF usage
  * Fix database poison warnings, part 20
  * Fix database poison warnings, part 19
  * Renamed parameters name in config.py
  * Config options consistency of ephemeral_storage.py
  * Fix pep8 E501 line too long
  * Fix check_config_option_in_central_place
  * Reduce duplication and complexity in format_dom
  * libvirt: fix serial console not correctly defined after live-migration
  * conf: Reorder scheduler opts
  * libvirt: cleanup never used migratable flag checking
  * Remove unused parameters
  * Fill destination check data with VNC/SPICE listen addresses
  * Stop using mox in virt/libvirt/test_imagecache.py
  * Stop using mox in unit/fake_processutils.py
  * ironic: Rename private methods for instance info
  * Updated from global requirements
  * Not allow overcommit ratios to be negative
  * Move some flavor fakes closer to where they are being used
  * Replace flavors.get_all_flavors_sorted_list() with object call
  * Refactor and objectify flavor fakes used in api tests
  * Remove unnecessary debug logs of normal API ops
  * Replace fake_utils by using Fixture
  * docs: update code-review guide for config options
  * Avoid update resource if compute node not updated
  * Fix invalid import order and remove import *
  * Cleanup instance device metadata object code
  * Remove mox from nova/tests/unit/virt/libvirt/test_utils.py
  * Stop using mox in test_firewall
  * Fix exception when vcpu_pin_set is set to ""
  * VMware: add in context for log messages
- Install policy.yaml file
* Mon Oct 17 2016 dmueller@suse.com
- add 0001-libvirt-Delete-the-lase_device-of-find_disk_dev_for_.patch
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev338:
  * Patch mkisofs calls
  * Delete traces of in-progress snapshot on VM being deleted
  * Catch DevicePathInUse in attach_volume
  * Enable release notes translation
  * Fix drop_move_claim() on revert resize
  * tests: avoid creation of instances dir in the working directory
  * libvirt: fix DiskSmallerThanImage when block migrate ephemerals
  * Remove unnecessary credential sanitation for logging
  * Change log level to debug for migrations pairing
  * Remove the duplicated test function
  * Allow running db archiving continuously
  * Add some extra logging around external event handling
  * libvirt: Fix BlockDevice.wait_for_job when qemu reports no job
  * Updated from global requirements
  * Fix calling super function in setUp method
  * refresh instances_path when shared storage used
  * Prevent us from sleeping during DB retry tests
  * Fix error status code on update-volume API
  * conf: Trivial cleanup of console.py
  * conf: Trivial cleanup of compute.py
  * conf: Trivial cleanup of 'cells'
  * conf: Deprecate all topic options
  * Updated from global requirements
  * Disable 'supports_migrate_to_same_host' HyperV driver capability
  * Fix periodic-nova-py{27,35}-with-oslo-master
  * Make db archival return a meaningful result code
  * Fix small RST markup errors
  * [Trivial] changes tiny RST markup error
  * Add get_context helper method
  * Hyper-V: Fixes os_type image property requirement
  * Make releasenotes reminder detect added and untracked notes
  * [placement] reorder middleware to correct logging context
  * Fixes RST markup error to create a code-box
  * Removing duplicates from columns_to_join list
  * [placement] ensure that allow headers are native strings
  * Fix typo on api-ref parameters
  * Remove mox in nova/tests/unit/compute/test_shelve.py (1)
  * Remove scheduled_at attribute from instances table
  * Unwind circular import issue with api / utils
  * Remove context object in oslo.log method
  * Move notification_format and delete rpc.py
  * [placement] Allow both /placement and /placement/ to work
  * numa: Fixes NUMA topology related unit tests
  * Add destroy method to the RequestSpec object
  * Annotate online db migrations with cycle added
  * Mock.side_effects does not exist, use Mock.side_effect instead
  * Improve help text for xenapi_session_opts
  * Remove unused conf
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev246:
  * Updated from global requirements
  * VMware: Enforce minimum vCenter version of 5.5
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev242:
  * Report actual request_spec when MaxRetriesExceeded raised
  * Use gabbi inner_fixtures for better error capture
  * conf: Cleanup of glance.py
  * Updated from global requirements
  * libvirt: support user password settings in virtuozzo
  * Ignore BuildRequest during an instance reschedule
  * Remove stale pyc files when running the cover job
  * Add a post-test-hook to run the archive command
  * Fix a few typos in API reference
  * Let schema validate image metadata type and key lengths
  * Fix database poison warnings, part 18
  * libvirt: pick future min libvirt/qemu versions
  * conf: Improve consistency in scheduler opts
  * Fix database poison warnings, part 17
  * Fix database poison warnings, part 16
  * Stop overwriting thread local context in ClientRouter
  * use proper context in libvirt driver unit test
  * libvirt: fixes python 3 related unit tests
  * test:Remove unused method _test_get_test_network_info
  * Fix database poison warnings, part 15
  * Fix CONTAINER_FORMATS_ALL to have ova insteadk of vmdk
  * VMware: deprecate wsdl_location conf option
  * Improve help text for glance options
  * libvirt: ignore conflict when defining network filters
  * Fix database poison warnings, part 14
  * libvirt: Use the recreated disk.config.rescue during a rescue
  * Remove deprecated flag in neutron.py
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev189:
  * Archive instance-related rows when the parent instance is deleted
  * Updated from global requirements
  * Hyper-V: Adds Hyper-V UEFI Secure Boot
  * Fix typo in docsting in test_migrations.py
  * Add functional regression test for bug 1595962
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev181:
  * Add Hyper-V storage QoS support
  * Add blocker migration to ensure for newton online migrations
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev177:
  * Clean up stdout/stderr leakage in cmd testing
  * Capture stdout in for test_wsgi:test_debug
  * Remove last sentence
  * Determine disk_format for volume-backed snapshot from schema
  * hacking: Always use 'assertIs(Not)None'
  * properly capture logging during db functional tests
  * Add more description when service delete
  * conf: Make list->dict conversion more specific
  * Enable py3 tests for unit.api.openstack.compute.test_console_output
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev161:
  * docs: Clarify sections & note on filter scheduler
  * Fixes python 3 unit tests
  * [placement] 404 responses do not cause exception logs
  * Replace uuid4() with generate_uuid() from oslo_utils
  * Return instance of Guest from method write_instance_config
  * Skip malformed cookies
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev149:
  * Remove unused code
  * Remove redundant str typecasting
  * Remove nova.image.s3 and configs
  * Remove internal_id attribute from instances table
  * Fix stdout leakage during opportunistic db tests
  * conf: Add 'deprecated_reason' to osapi opts
  * [placement] Adjust the name of the gabbi tests
  * Nova shelve creates duplicated images in cells
  * Update instance node on rebuild only when it is recreate
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev133:
  * Updated from global requirements
  * Add placeholder DB migrations for Ocata
  * Remove PCI parent_addr online migration
  * Make nova-manage online migrations more verbose
  * Standardize output capture for nova-manage tests
  * Work around tests that don't use nova.test as a base
  * Don't print to stdout when executing hacking checks
  * Make test logging setup fixture disable future setup
  * Remove support for deprecated driver import
  * Add hacking checks for xrange()
  * Using assertIsNone() instead of assertEqual(None)
  * move os_vif.initialize() to nova-compute start
  * [placement] Manage log and other output in gabbi fixure
  * trivial: Rewrap guide at 79 characters
  * plugins/xenserver: Add '.py' extension
  * Add missing slash to dir path
  * [placement] Stringify class and provider uuid in error
  * [placement] clean up some nits in the requestlog middleware
  * Fix require thread policy for multi-NUMA computes
  * Fix database poison warnings, part 13
  * Fix database poison warnings, part 11
  * Fix database poison warnings, part 10
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev96:
  * Add deprecated_since parameter
  * Fix invalid exception mock for InvalidNUMANodesNumber
  * conf: Reorder scheduler opts
  * conf: Fix opt indentation for scheduler.py
  * Updated from global requirements
  * Revert "Set 'serial' to new volume ID in swap volumes"
  * placement: refactor instance translate function
  * Improve help text for service options
  * Use to_policy_values for policy credentials
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev81:
  * Move wsgi-intercept to test-requirements.txt
  * [api-ref] Correct parameter type
  * Remove default=None for config options
  * Remove unnecessary setUp and tearDown
  * Remove duplicate key from dictionary
  * Updated from global requirements
  * placement: refactor translate from node to dict
  * stub out instances_path in unit tests
  * Add a new release note
  * XenAPI: add unit test for plugin test_pluginlib_nova.py
  * Add link ref to nova api concept doc
  * Add members in InstanceGroup object members field
  * Updates URL and removes trailing characters
  * Stop ovn networking failing on mtu
  * Update reno for stable/newton
  * Don't pass argument sqlite_db in method set_defaults
  14.0.0.0rc1
  * Override MTU for os_vif attachments
  * Fix object assumption in remove_deleted_instances()
  * Set a bigger TIMEOUT_SCALING_FACTOR value for migration tests
  * Update minimum requirement for netaddr
  * [placement] consolidate json handling in util module
  * Fix unnecessary string interpolation
  * Handle TypeError when disabling host service
  * Fix an error in archiving 'migrations' table
  * Clean up allocation when update available resources
  * [placement] Mark HTTP error responses for translation
  * [placement] prevent a KeyError in webob.dec.wsgify
  * Body Verification of api-ref os-volume-attachments.inc
  * Use tempest tox with regex first
  * Doc fix for Nova API Guide, added missing word
  * Use assertEqual() instead of assertDictEqual()
  * Fixed suspend for PCI passthrough
  * libvirt: Rewrite test_rescue and test_rescue_config_drive
  * Guard against failed cache refresh during inventory
  * Switching expression order within if condition
  * Doc fix for Nova API Guide, fixed wording
  * HyperV: ensure config drives are copied as well during resizes
  * Using assertIsNotNone() instead of assertIsNot(None,)
  * Fix SafeConfigParser DeprecationWarning in Python 3.2
  * Remove RateLimitFault class
  * Rate limit is removed , update doc accordingly
  * Fix a typo from ID to Id
  * context: change the name 'rule' to 'action' in context.can
  * Add description for v2.20 changes in api-ref
  * Add keypairs_links into resp
  * Add hypervisor_links into hypervisor v2.33
  * Add reserved param for v2.4
  * Add more description on v2.9 history
  * Pin maximum API version of microversion
  * XenAPI: resolve the fetch_bandwidth failure
  * [api-ref] Update configuration file
  * fix broken link in api-ref
  * Trivial fix remove not used var in parameters
  * Trival fix a typo
  * [placement] Add some tests ensuring unicode resource provider info
  * Remove mox from api/openstack/compute/test_extended_ips.py
  * Add bigswitch command to compute rootwrap filters
  * Allow linear packing of cores
  * [placement] remove a comment that is no longer a todo
  * Fix a typo in the driver.py file
  * Use cls in class method instead of self _delete_domain is a class method, so cls should be used instead of self
  * TrivialFix: Remove cfg import unused
  * Update link in general purpose feature matrix
  * Add warning if metadata_proxy_shared_secret is not configured
  * TrivialFix: removed useless storing of sample directory
  * Fix link reference in Nova API version
  * doc: fix disk=0 use case in flavor doc
  * [vncproxy] log for closing web is misleading
  * VIF: add in missing translation
  * Clean imports in code
  * modify description of "Inject guest networking config"
  * use the HostPortGroupSpec.vswitchName instead of HostPortGroup.vswitch.split
  * Document update_task_state for ComputeDriver.snapshot
  * Fix database poison warnings, part 12
  * Fix database poison warnings, part 9
  * XenAPI: add unit test for plugin bandwidth
  * Complete verification for os-virtual-interfaces
  * Do not try to backport when db has older object version
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev144:
  * libvirt: add ps2mouse in choice for pointer_model
  * Revert "tox: Don't create '.pyc' files"
  * Correct image.inc for heading
  * Complete verification for os-cloudpipe.inc
  * [placement] functional test for report client
  * Add regression test for immediate server name update
  * More conservative allocation updates
  * [placement] Correct serialization of inventory collections
  * Add note about display_name in _populate_instance_names
  * Fix MonitorMetric obj_make_compatible
  * [api-ref] fix availability_zone for server create
  * [placement] cleanup some incorrect comments
  * Fix api-ref doc for server-rebuild
  * Remove deprecated configuration option network_device_mtu
  * [api-ref]: Correcting server_groups_list parameter's type
  * Fix race condition bug during live_snapshot
  * libvirt: add hugepages support for Power
  * Fixed indentation
  * [api-ref]: Update link reference
  * Doc: Update PCI configuration options
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev107:
  * Fix typo of stevedore
  * Correct sort_key and sort_dir parameter for flavor
  * Correct address, version parameter in ips.inc
  * More conservative inventory updates
  * Fix server group name on api-ref
  * Update BuildRequest if instance currently being scheduled
  * Use recursive obj_reset_changes in BuildRequest
  * Revert "libvirt: move graphic/serial consoles check to pre_live_migration"
  * Config options: Improve help text for console options
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev90:
  * Fix reno for removal of nova-manage service command
  * Extended description for sync_power_state_pool_size option
  * [placement] make PUT inventory consistent with GET
  * Set 'serial' to new volume ID in swap volumes
  * Fix policy tests for project_id enforcement
  * neutron: don't trace on port not found when unbinding ports
  * Add sync_power_state_pool_size option
  * Throw exception if numa_nodes is not set to integer greater than 0
  * libvirt: inject files when config drive is not requested
  * VMware: Refactor the image transfer
  * cleanup: separate the creation of a local root to it's own method
  * Example & Parameter verification of os-security-group-default-rules.inc
  * [placement] Fix misleading comment in wsgi loader
  * fixing block_device_mapping_v2 data_type
  * Remove deprecated cinder options
  * Return 400 error for non-existing snapshot_id
  * Improve consistency in WSGI opts
  * Remove left over conf placeholders
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev60:
  * Compute: ensure that InvalidDiskFormat is handled correctly
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev58:
  * Additional logging for placement API
  * Fix resizing in imagebackend.cache()
  * Updated from global requirements
  * Increase BDM column in build_requests table
  * Pass GENERATE_HASHES to the tox test environment
  * [placement] add two ways to GET allocations
  * Handle ObjectActionError during cells instance delete
  * standardize release note page ordering
  * virt: handle unicode when logging LifecycleEvents
  * Ensure ResourceProvider/Inventory created before add Allocations record
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev38:
  * Remove misleading warning message
  * Add deprecated_reason for use_usb_tablet option
  * db: retry on deadlocks while adding an instance
  * Libvirt: Correct PERF_EVENTS_CPU_FLAG_MAPPING
  * Implement setup_networks_on_host for Neutron networks
  * libvirt: improve logging for shared storage check
  * Refresh info_cache after deleting floating IP
  * Annotate db models that have moved to the nova_api db
  * incorrect description in nova-api.log about quota check
  * Removed enum duplication from nova.compute
  14.0.0.0b3
  * Pull from cell0 and build_requests for instance list
  * Remove hacked test that fails with latest os-brick
  * Delete BuildRequest regardless of service_version
  * Fix service version lookups
  * Remove BuildRequest when scheduling fails
  * Move cell message queue switching and add caching
  * ironic_host_manager: fix population of instances info on start
  * ironic_host_manager: fix population of instances info on schedule
  * Add a TODO and add info to a releasenote
  * Emit warning when use 'user_id' in policy rule
  * devspec: remove unused dev_count in devspec
  * Change api-site to v2.1 format
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 4)
  * Fix inappropriate notification send
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev872:
  * Add tests for safe_connect decorator
  * Cleanup allocation todo items
  * [placement] Allow inventory to violate allocations
  * correctly join the usage to inventory for capacity accounting
  * Ignore generated merged policy files
  * Remove the incomplete wsgi script placement-api.py
  * Adding functional tests for 2.3 microversion
  * Fix spelling mistake in libvirt
  * Body Verification of os-aggregates.inc
  * Move placement api request logging to middleware
  * Updated from global requirements
  14.0.0.0b3
  * Remove deprecated cinder options
  * Pull from cell0 and build_requests for instance list
  * Remove hacked test that fails with latest os-brick
  * Delete BuildRequest regardless of service_version
  * Fix service version lookups
  * Remove BuildRequest when scheduling fails
  * Move cell message queue switching and add caching
  * Return 400 error for non-existing snapshot_id
  * Emit warning when use 'user_id' in policy rule
  * conf: Move cloudpipe options to a group
  * conf: Address nits in I92a03cb
  * Improve consistency in WSGI opts
  * Remove left over conf placeholders
  * Fix corrupt "host_aggregates_map" in host_manager
  * Fix spelling mistake
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev6:
  * Updated from global requirements
* Mon Sep  5 2016 tbechtold@suse.com
- Update to version nova-14.0.0.0b4.dev4:
  14.0.0.0b3
  * Remove deprecated cinder options
  * Simple instance allocations from resource tracker
  * Add support for allocations in placement API
  * Add create_all and delete_all for AllocationList
  * Pull from cell0 and build_requests for instance list
  * Remove hacked test that fails with latest os-brick
  * Report compute node inventories through placement
  * Delete BuildRequest regardless of service_version
  * Fix service version lookups
  * Remove BuildRequest when scheduling fails
  * Run cell0 db migrations during nova-manage simple_cell_setup
  * Move cell message queue switching and add caching
  * Add basic logging to placement api
  * Update placement config reno
  * Register keystone opts for placement sample config
  * Remove deprecated neutron options
  * Eliminate additional DB queries in nova lists
  * rt: ensure resource provider records exist from RT
  * Return 400 error for non-existing snapshot_id
  * create placement API wsgi entry point
  * Fix qemu version check
  * Make api-ref bug link point to nova
  * Emit warning when use 'user_id' in policy rule
  * Adds nova-policy-check cmd
  * Improve consistency in WSGI opts
  * Remove left over conf placeholders
  * Refresh README and its docs links
- Add new openstack-nova-placement-api subpackage
- Install /usr/bin/nova-policy into openstack-nova
* Wed Aug 31 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev829:
  * Add support for vd2 user context to other drivers
* Wed Aug 31 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev827:
  * Documentation for the vendordata reboot
  * Add more vd2 unit tests
  * Api-ref: Improve os-migrateLive input parameters
  * New discover command to add new hosts to a cell
  * Use StableObjectJsonFixture from o.vo
  * test_keypairs_list_for_different_users for v2.10
  * Fix using filter() to meet python2,3
  * Reduce code complexity - api.py
  * Changed exception catching order
  * Tests: use fakes.HTTPRequest in compute tests
  * Hyper-V: properly handle shared storage during migrations
  * TrivialFix: Remove logging import unused
  * List system dependencies for running common tests
  * Provide more duplicate VLAN network error info
  * driver.pre_live_migration migrate_data is always an object
  * Add networks to quota's update json-schema when network quota enabled
  * Add release note to warn about os-brick lock dir
  * config options: improve help netconf
  * Add log for instance without host field set
  * Replace use of eval with ast.literal_eval
* Tue Aug 30 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev789:
  * Clean up instance mappings, build requests on quota failure
  * Updated from global requirements
  * In InventoryList.find() raise NotFound if invalid resource class
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev784:
  * Abort on HostNotCompatibleWithFixedIpsClient
  * Allow empty CPU info of hypervisors in API response
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev780:
  * Add BuildRequestList object
  * Dump json for nova.network.model.Model objects
  * Replace mox with mock in test_validate_bdm
  * Replace mox with mock in test_cinder
* Fri Aug 26 2016 aplanas@suse.com
- Revert generate PID file for systemd (bsc#991985)
* Fri Aug 26 2016 tbechtold@suse.com
- Fix openstack-nova-novncproxy init script PIDFile header
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev772:
  * Revert "Optional separate database for placement API"
  * [api-guide]: Update reference links
  * Correct microversions URL in api_plugins.rst
  * Remove locals() for formatting strings
  * rt: isolate report and query sched client tests
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev762:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Add oslopolicy script runs to the docs tox target
  * Add entry_point for oslo policy scripts
  * Remove conversion from dict to object from xenapi live_migration
  * Hyper-V: properly handle UNC instance paths
  * Get ready for os-api-ref sphinx theme change
  * Create Instance from BuildRequest if not in a cell
  * Manage db sync command for cell0
  * Remove TODO for service version caching
  * rt: remove ComputeNode.create_inventory
  * Don't maintain user_id and project_id in context
  * Add support for usages in the placement API
  * Support Identity v3 when connecting to Ironic
  * Verify os-aggregates.inc on sample files
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev732:
  * Added todo for deletion LiveMigrateData.detect_implementation usage
  * Updated common create server sample request because of microversion 2.37
  * Hyper-V: update live migrate data object
  * Added min_version field to 'host_status' in 'api-ref'
  * Add a Usage and UsageList object
  * Adding details in general purpose feature matrix [1]
  * libvirt: Improve mocking of imagebackend disks
  * Update binding:profile for SR-IOV ports on resize-revert
  * ironic: Cleanup instance information when spawn fails
  * Add comment about how status field changed
  * pci: Deprecate is_new from pci requests
* Wed Aug 24 2016 aplanas@suse.com
- Generate PID file for systemd (bsc#991985)
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev711:
  * removed db_exc.DBDuplicateEntry in bw_usage_update
  * Add online migration to move instance groups to API database
  * rt: rename test_tracker -> test_resource_tracker
  * rt: remove old test_resource_tracker.py
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev703:
  * Config options consistency of notifications.py
  * Updated from global requirements
  * Config options consistency for consoleauth.py
  * Improve placement API 404 and 405 response tests
  * Updated flags for XVP config options
  * virt/image: between two words without a space in output message
  * Config Options: Improve help text for Ipv6 options
  * TrivialFix: Fixed a typo in nova/test.py
  * Remove deprecated manager option in cells.py
* Mon Aug 22 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev685:
  * Remove deprecated security_group_api config option
  * Config options: improve libvirt help text (1)
  * Improve help text for compute manager options
  * Improve help text for XenServer Options
  * Improve help text for xenapi_vm_utils_opts
  * Removed flag "check_opt_group_and_type" from pci.py
  * Removed flag "check_opt_group_and_type"
  * Config options: Consistency check for remote_debug options
  * Check options consistency in hyperv.py
  * Improve help text for floating ips options
  * Improve consistency in virt opts
  * Consistency changes for osapi config options
  * Config options consistency for cell.py
* Sun Aug 21 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev659:
  * Make InstanceGroup object favor the API database
  * Add support for inventories to placement API
  * Return HTTP 400 on list for invalid status
  * placement: add filtering by attrs to resource_providers
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev651:
  * Check capacity and allocations when changing Inventory
  * Copy edit feature classification
  * don't report network limits after 2.35
  * rt: Create multiple resize claim unit test
  * Fix consistency in API conf
  * Improve help text for xenapi_opts
  * Fix opt description for s3.py
  * Improve help text for compute_opts
  * Move JSON linting to pep8
  * HyperV: remove instance snapshot lock
  * Config options consistency of rdp.py
  * Improve consistency in workarounds opts
  * Config options consistency of pci.py
  * Improve help text for cloudpipe
  * Add details to general purpose feature matrix
  * Refactor instance action notification sample test
* Fri Aug 19 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev619:
  * Improve error message for empty cached_nwinfo
  * Fix 'No data to report' error
  * Refuse to run simple_cell_setup on CellsV1
  * In placement API send microversion header when error
  * Remove code duplication in enums
  * Return None in get_instance_id_by_floating_address
  * plugins/xenserver: Resolve PEP8 issues
  * Fix migration list + MigrationList operation
  * rt: Refactor unit test for trackable migrations
  * Fix consistency in crypto conf
  * Properly quote IPv6 address in RsyncDriver
  * Adding details in general purpose feature matrix
  * Expand initial feature classification lists
  * Add prototype feature classification matrix
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev591:
  * [libvirt] Remove live_migration_flag & block_migration_flag
  * Add support for resource_providers urls
  * Remove nova/api/validator.py
  * Updated from global requirements
  * Make simple_cell_setup work when multiple nodes are present
  * Add REST API support for get me a network
  * Fix neutron security group tests for 5.1.0 neutronclient
  * Check opt consistency for neutron.py
  * Add placement API web utility methods
  * Add the ability to configure glanceclient debug logging
  * Assert reservation_id in notification sample test
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev570:
  * Change default value of live_migration_tunnelled to False
  * Allow Nova Quotas to be Disabled
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 3)
  * config options: Improve help for conductor
* Sun Aug 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev562:
  * os-vif: do not set Route.interface if None
  * Make simple_cell_setup idempotent
  * Add cell_v2 verify_instance command
  * Allow authorization by user_id for server evacuate
  * Allow authorization by user_id for server update
  * Allow authorization by user_id for server delete
  * Allow authorization by user_id for server changePassword action
  * Maintain backwards compat for listen opts
  * List instances for secgroup without joining on rules
  * Improve help text for vmwareapi_opts
  * Fix incorrect cellid numbering for NUMA memnode
  * VMware: Enable disk.EnableUUID=True in vmx
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev539:
  * Verified deprecation status for vnc options
  * Add tests for user_id policy enforcement on trigger_crash_dump
  * Allow authorization by user_id for server shelve action
  * Allow authorization by user_id for force_delete server
  * Allow authorization by user_id for server resize action
  * Allow authorization by user_id for server pause action
  * Add tests for user_id policy enforcement on stop
  * network: fix handling of linux-bridge in os-vif conversion
  * Allow authorization by user_id for server rescue action
  * Allow authorization by user_id for server rebuild
  * Allow authorization by user_id for server suspend action
  * Allow authorization by user_id for server lock action
  * Optional separate database for placement API
  * config options: improve help text of database (related) options (2/2)
  * config options: improve help text of database (related) options (1/2)
  * Remove hacking check [N347] for config options
  * Skipping test_volume_backed_live_migration for live_migration job
  * rt: New unit test for rebuild_claim()
  * Fix handling of status in placement API json_error_formatter
  * Ironic: report node.resource_class
  * Refactors nova.cmd utils
* Fri Aug 12 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev498:
  * Updated from global requirements
  * vnc host options need to support hostnames
  * libvirt: convert over to use os-vif for Linux Bridge & OVS
  * libvirt: Rename import of nova.virt.disk.api in driver
  * Fix server operations' policies to admin only
  * api-ref: Example verification for os-simple-tenant-usage.inc
  * Remove unused exception: ImageNotFoundEC2
  * Improve consistency in VNC opts
  * Add separate create/delete policies to attach_interface
  * Use constraints for all tox environments
  * rt: Move monitor unit tests into test_tracker
  * rt: Move unit tests for update usage for instance
  * rt: Move unit tests for update mig usage
  * rt: Remove useless unit test in resource tracker
  * rt: Remove dup tests in test_resource_tracker
  * rt: Remove incorrect unit test of resize revert
  * rt: Refactor test_dupe_filter unit test
  * rt: Remove duplicate unit test for missing mig ctx
  * rt: Refactor resize claim abort unit test
  * rt: Refactor resize_claim unit test
  * Check opt consistency for api.py
  * Allow irrelevant,self-defined specs in ComputeCapacityFilter
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 2)
* Thu Aug 11 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev454:
  * virt/hardware: Check for threads when "required"
  * Set enforce_type=True in method flags
  * Use constraints for releasenotes
  * Add some logging and a comment for shelve/unshelve operations
  * Correct InventoryList model references
  * Ironic: allow multiple compute services
  * network: introduce helper APIs for dealing with os-vif objects
  * Config options consistency of exceptions.py
  * Cleanup: validate option at config read level
* Wed Aug 10 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev437:
  * Run shelve/shelve_offload_instance in a semaphore
  * instance.name should be blank if instance.id is not set
  * Cells: Handle delete with BuildRequest
  * Add NoopConductorFixture
  * Make notification objects use flavor capacity attributes
  * Fix busted release notes
  * Config options: base path configuration
  * PCI: Fix network calls order on finish_revert_resize()
  * Remove deprecated legacy_api config options
  * Update tags for Image file url from filesystems config option
  * config options: Improve help for base
  * Improve consistency in API
  * cleanup: some update xml cases in test_migration
  * Use stashed volume connector in _local_cleanup_bdm_volumes
  * api-ref: Parameter verification for os-simple-tenant-usage.inc
  * update wording around pep8 exceptions
  * Remove backward compatibility with pre-grizzly releases
  * Replace functions 'Dict.get' and 'del' with 'Dict.pop'
  * Updated from global requirements
  * Strict ImageRef validation to UUID only
  * Deprecate cert option
  * Merged barbican and key_manager conf files into one
  * config option: rename libvirt iscsi_use_multipath
  * Allocate PCI devices on migration
  * Updated from global requirements
  * Improve help text of image_file_url
  * Ironic: enable multitenant networking
  * libvirt: Remove some unnecessary mocking in test_driver
  * libvirt: Pass object to _create_images_and_backing in test
  * libvirt: Reset can_fallocate in test setUp()
  * libvirt: Create console.log consistently
  * Fixed invalid UUIDs in unit tests
  * Refactor deallocate_fixed tests to use one mock approach instead of three
  * Updated header flag in SSL opts
  * Updated from global requirements
  * Don't cache RPC pin when service_version is 0
  * Imported Translations from Zanata
  * Remove white space between print and ()
  * Flavor: correct confusing error message about flavorRef
  * Fixed typos in nova: compute, console and conf dir
  * Add objects.ServiceList.get_all_computes_by_hv_type
  * Add InstanceList.get_uuids_by_host() call
  * Conf options: updated flags for novnc
  * Address feedback on cell-aggregate-api-db patches
  * Updated from global requirements
  * Add data migration methods for Aggregate
  * Config options: Consistency check for quota options
  * Add server name verification in instance search
  * Fix typo in DeviceDetachFailed exception message
  * Straddle python-neutronclient 5.0 for testing
  * Initialise oslo.privsep early in main
  * Cells: Simple setup/migration command
  * Aggregate create and destroy work against API db
  * Make Aggregate.save work with the API db
  * Improve help text for vmware
  * Help text for the mks options
  * Trivial option fixes
  * rbd_utils: wrap blocking calls in tpool.Proxy()
  * Resolve PCI devices on the host during Guest boot-up
  * Fix misspellings
  * Mention proxy API deprecation microversion in api-ref
  * xenserver: fix an output format error in cleanup_smp_locks
  * Improve consistency in crypto
  * Improve consistency in flavors
  * Improve the help text for the guestfs options
  * Reminder that release notes are built from commits
  * Use oslo_config new type PortOpt for port options
  * Remove unused imports in api/openstack/fakes.py
  * Remove leftover list_opts entry points
  * Remove nova.cache_utils oslo.config.opts entrypoint
  * Remove nova.network namespace from nova-config-generator.conf
  * Remove neutronv2.api oslo.config.opt entry point
  * Follow up on Update binding:profile for SR-IOV ports
  * Improve consistency in servicegroup opts
  * Update tags for Cache config option
  * Remove unused validation code for quota_sets
  * Default image.size to 0 when extracting v1 image attributes
  * Refuse to have negative console ttls
  * Add a small debug line to show selection location
  * Add the 'min' param to IntOpts where applicable
  * Enable deferred IP on Neutron ports
  * remove config option iqn_prefix
  * Enhance notification doc generation with samples
  * Validate pci_passthrough_whitelist when starting n-cpu
  * Rename compute manager _check_dev_name to _add_missing_dev_names
  * Remove unused context argument to _default_block_device_names()
  * Improve help text for cinder config options
  * Typo fix: remove multiple whitespace
  * Use ovo in test_obj_make_compatible()
  * Added better error messages during (un)pinning CPUs
  * rt: remove unused image_meta parameter
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev263:
  * Fixed typos in nova, nova/api, nova/cells directory
  * Trivial: add 'DEPRECATED' for os-certificates API ref
  * Deprecate barbican options
  * Add initial framing of placement API
  * Add missing ComputeHostNotFound exception in live-migration
  * Free new pci_devices on revert-resize
  * Updated from global requirements
  * Add docs about microversion testing in Tempest
  * Remove the useless version calculation for proxy api deprecated version
  * numa: remove the redundant check for hw_cpu/hw_mem list
  * Add support for oslo.context 2.6.0
  * libvirt: Fix invalid test data
  * libvirt: Fix fake _disk_info data in LibvirtDriverTestCase
  * Option Consistency for availability_zone.py
  * Fix wrong override value of config option vswitch_name
  * Fix wrong override value of config option proxyclient_address
  * Config options consistency for configdrive.py
  * Make Aggregate metadata functions work with API db
  * Deprecate os-certificates
  * Update RequestSpec nested flavor when a resize comes in
  * network: handle forbidden exception from neutron
  * Fixed typos in api-ref and releasenotes directory
  * libvirt: fix missed test in migration
  * Enable python34 tests for nova.tests.unit.pci.test_manager and test_stats
  * Fixes compute API unit tests for python3
  * Fix spelling mistake
  * VMware: remove dead code in test_get_vm_create_spec()
* Fri Jul 29 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev215:
  * Revert "Don't assert exact to_dict output"
  * cleanup_live_migration_destination_check spacing
  * compute: Skip driver detach calls for non local instances
  * Update tox.ini: Constraints are possible for api* jobs
  * Check option descriptions and indentations for configdriver.py
* Thu Jul 28 2016 dmueller@suse.com
- allow nova rootwrap daemon mode
* Thu Jul 28 2016 dmueller@suse.com
- fix openstack-nova-serialproxy init script
- add 0001-Handle-alternative-UEFI-boot-loader-locations-on-SLE.patch
- add 0001-Fix-nova-delete-with-EFI-booted-VMs.patch
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev205:
  * Don't set empty kernel_id and ramdisk_id to glance image
  * Call release_dhcp via RPC to ensure correct host
  * Adjust MySQL access with eventlet
  * Improve consistency in cert
  * Updated from global requirements
  * rt: don't log pci_devices twice when updating resources
  * Remove deprecated ironic.api_version config option
  * Improve the help text for compute timeout_opts
  * Deprecate the nova-manage commands that rely on nova-network
  * Improve consistency in xenserver
  * Remove unused config option 'fake_call'
  * Use deprecated_reason for network quota options
  * "nova list-extensions" not showing summary for all
  * Improve help text for XenServer pool opts
  * New style vendordata support
  * Enables Py34 tests for unit.api.openstack.compute.test_server_actions
  * Complete verification of os-instance-actions.inc
  * Check opt group and type for nova.conf.service.py
  * :Add missing %%s in print message
  * Fix opt description and indentation for flavors.py
  * Separate api-ref for list security groups by server
  * Fix opt descripton for cells.py
  * Fix typo in AdminPasswordController
  * Fix the broken links
  * API: catch InstanceNotReady exception
  * Correct reraising of exception
  * Improve help text for service group options
  * Add tests to attach/detach vols for shelved server
  * Remove 400 as expected error
* Wed Jul 27 2016 aspiers@suse.com
- Fix sed bug so that nova-compute has Should-Start: on libvirtd
  (bsc#990448)
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev153:
  * Fix typos in deprecates-proxy-apis release note
  * Add metadata server fixture
  * Improve help text for quota options
  * Improve help text for consoleauth config options
  * Bump Microversion to 2.36 for Proxy API deprecation
  * api: use 'if else' instead of 'try exception' to get password value
  * Add better help to rdp options
  * Filter network related limits from limits API
  * Filter network related quotas out of quotas API
  * Deprecate Baremetal and fping API
  * Deprecate volumes related APIs
  * Deprecate SecurityGroup related proxy API
  * Deprecated floating ip related proxy APIs
  * Fix links to network APIs from api-ref
  * Deprecate network quota configuration
  * api-ref: unify the no response output in delete operation
  * Return 400 when SecurityGroupCannotBeApplied is raised
  * Config Option consistency for crypto.py
  * Don't check cinder volume states during attach
  * Clean up test_check_attach_availability_zone_differs
  * Remove redundant flag value check
  * Improve help context of ironic options
  * Remove unneeded bounds-checking code
  * Improve the help text for the linuxnet options (4)
  * Don't assert exact to_dict output
  * config options: help text for enable_guestfs_debug_opts
  * Improve help text of s3 options
  * Remove deprecated config option volume_api_class
  * libvirt: Fix signature and behaviour of fake get_disk_backing_file
  * libvirt: Pass path to Image base class
  * Remove max_size argument to images.fetch and fetch_to_raw
  * Deprecate FixedIP related proxy APIs
  * Deprecated networks related proxy APIs
  * Make Aggregate host operations work against API db
  * libvirt: open RBD in read-only mode for read-only operations
  * Remove unnecessary code added for ec2 deprecation
  * Depracate Images Proxy APIs
  * Correct the network config option help text
  * config options: improve help for noVNC
  * libvirt: Modify the interface address object assignment
  * Use from_environ when creating a context
  * Fix opt description and check deprecate status for hyperv.py
  * Remove redundant DEPRECATED tag from help messages
  * network: handle unauthorized exception from neutron
  * tox: Use conditional targets
  * tox: Don't create '.pyc' files
  * Fix opt description for scheduler.py
  * Revert "Remove manual creation of console.log"
  * config options: improve help for notifications
  * Improve nova.rpc conf options documentation
  * virt/hardware: Add diagnostic logs for scheduling
  * raise exception ComputeHostNotFound if host is not found
  * Skip instance name templating in API cell
  * Warn when using null cache backend
  * Cleaned up request and response formats page
  * Add test for nova-compute and nova-network main database blocks
  * Remove mox from tests/unit/objects/test_migration.py
  * Don't use locals() and globals(), use a dict instead
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev55:
  * libvirt: update guest time after suspend
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev53:
  * Replace deprecated LOG.warn with LOG.warning
  * Improve the help text for the network options (4)
  * Add async param to local conductor live_migrate_instance
  * Update binding:profile for SR-IOV ports
  * Port nova test_serversV21.Base64ValidationTest to Python 3
  * Config option update tasks for availability_zone
  * [libvirt] Live migration fails when config_drive_format=iso9660
  * Modify docstring of numa_get_reserved_huge_pages method
  * Use constraints for coverage job
  * Remove compute host from all host aggregates when compute service is deleted
  * Fix host mapping saving
  * Example and body verification of os-quota-sets.inc
  * Pass kwargs through to base context
  * Make notifications module use flavor capacity attributes
  * Make ironic driver use flavor fields instead of legacy ones
  * Make xenapi driver use flavor fields instead of legacy ones
  * Make libvirt driver use flavor fields instead of legacy ones
  * Make hyperv driver use flavor fields instead of legacy ones
  * Make vmware driver use flavor fields instead of legacy ones
  * Bump service version for BuildRequest deletion
  * Stop instance build if BuildRequest deleted
  * Add block_device_mappings to BuildRequest
  * Fix up legacy resource fields in simple-tenant-usage
  * Use flavor attributes instead of deprecated instance resources
  * Improve the help text for the network options (3)
  * Improve the help text for the network options (2)
  * Remove duplicate policy test
  * api-ref: os-volumes.inc
  * api-ref: merge multiple create to servers.inc
  * Port test_hacking to Python 3
  * Complete verification for os-floating-ips-bulk
  * Complete verification for api-ref os-flavor-extra-specs
  * Py3: fix serial console output
  * Config: no need to set default=None
  * Fix outdated parameter network_info description in virt/driver
  * Use oslo_log instead of logging
  * Don't raise error when filtering on custom metadata
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev4:
  * Remove deprecated network_api_class option
  * Improve help text of flavors config options
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev1:
  * neutron: destroy VIFs if allocating ports fails
  14.0.0.0b2
  * neutron: delete VIFs when deallocating networking
* Thu Jul 14 2016 dmueller@suse.com
- sync sudoer settings with other projects
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev923:
  * hyper-v: device tagging
  * Add release notes for notification transformation
  * Fix PUT server tag 201 to return empty content
  * Clean up helper methods in ResourceProvider
  * Transform instance.restore notifications
  * Add VirtualInterface.destroy()
  * Fix typo in _update_usage_from_migrations
  * Fix wrong JSON format in API samples
  * Replace unicode with six.text_type
  * Remove unused itype parameter from get migration context
  * XenAPI: UT: Always mock logging configuration
  * trivial: comment about vif object address field
  * Example verification for os-fixed-ips.inc
  * Add namespace oslo.db.concurrency in nova-config-generator.conf
  * Remove virt.block_device._NoLegacy exception
  * rename libvirt has_default_ephemeral
  * Remove comment on v3 API
  * BaseCoreFilter docstring and formating improved
  * Fix stale file handle error in resource tracker
  * fixed log warning in sqlalchemy/api.py
  * Rework 'limited' and 'get_limit_and_marker'
  * VMware: Refactor the formatting instance metadata
  * Remove sizelimit.py in favor of oslo_middleware.sizelimit
  * VMware: Remove VMwareHTTPReadFile
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev883:
  * Microversion 2.35 adds keypairs pagination support
  * 'limit' and 'marker' support for db_api and keypair_obj
  * Improve help text for exceptions
  * Improve help text for compute running_deleted_opts
  * rest api version bumped for async pre live migration checks
  * Add user_id request parameter in os-keypairs list
  * Revert "Detach volume after deleting instance with no host"
  * Don't overwrite MarkerNotFound error message
  * Verify "needs:check_deprecation_status" for serial_console.py
  * Delete reduplicate code in test_compute_mgr.py
  * Remove mox from unit/compute/test_compute.py (end)
  * Remove mox from unit/compute/test_compute.py (11)
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev859:
  * Improve help text for allocation_ratio_opts
  * Release note for vzstorage volume driver
  * Transform instance.resize notifications
  * migration volume failed for invalid type
  * Deprecate nova-manage vm list command
  * Transform instance.pause notifications
  * Added support for new block device format in vmops
  * api-ref: Parameter verification for servers-actions.inc Part 1
  * Parameter verification of os-instance-actions.inc
  * Mapping power_state from integer to string
  * _security_group_get_by_names cleanup
  * Remove mox from unit/compute/test_compute.py (4)
  * Remove mox from unit/compute/test_compute.py (10)
  * Remove mox from unit/compute/test_compute.py (9)
  * Remove mox from unit/compute/test_compute.py (8)
  * Remove mox from unit/compute/test_compute.py (7)
  * Remove mox from unit/compute/test_compute.py (6)
  * Remove mox from unit/compute/test_compute.py (5)
  * Remove mox from unit/compute/test_compute.py (3)
  * Remove mox from unit/compute/test_compute.py (2)
* Mon Jul 11 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev819:
  * Add nova-manage quota_usage_refresh command
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev817:
  * Implement ResourceProvider.destroy()
  * Add Allocation and AllocationList objects
  * Deprecate the quota_driver config option
  * Improve help text for resource tracker options
  * Remove invalid test methods for config option port_range
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev807:
  * Replace DOS line ending with UNIX
  * api-ref: fix wrong description about response example in os-hypervisor
  * api-ref: body verification of os-agents
  * Remove live-migration from nova-manage man page
  * Body verification of os-interface.inc
  * Fix invalid import order
  * Fix invalid import order
  * Fix invalid import order
  * Fix invalid import order
  * Fix invalid import order
  * Remove invalid test for config option scheduler_host_manager
  * Remove mox from unit/compute/test_compute.py (1)
  * Prevent instance disk overcommit against itself
  * test: pass enable_pass as kwarg in test_evacuate
  * test: remove invalid test method in libvirt/test_imagebackend
  * cinder: accommodate v1 cinder client in detach call
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev776:
  * Transform instance.shelve notifications
  * api-ref: unify the delete response infomation
  * Quota changes for the nova-manage quota_usage_refresh command
  * Clean up service version history comments
  * Detach volume after deleting instance with no host
  * Use instance object instead of db record
  * Prevent boot if ephemeral disk size > flavor value
  * Change instance_claim parameter from instance_ref to instance
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev761:
  * Remove DictCompat from SecurityGroup
  * xvp: change the default xvp conf path to CONF.xvp group
  * libvirt:code flow problem in wait_for_job
  * Add a ResourceProviderList object
  * Refactor block_device_mapping handling during boot
  * Remove spaces around keyword argument
  * Transform instance.suspend notifications
  * Hacking check for _ENFORCER.enforce()
  * Remove final use of _ENFORCER.enforce
  * Hacking check for policy registration
  * Fix some typos
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev739:
  * Update mutable-config reno with LM timeout params
  * Improve the help text for configdrive options
  * Extract _update_ports_for_instance
  * Extract port create from allocate_for_instance
  * Transform instance.power_on notifications
  * Add a py35 environment to tox
  * api-ref: add note about os-certificates API
  * Fix api_validation for Python 3
  * api-ref: verify assisted-volume-snapshots.inc
  * Fix comment for version 1.15 ComputeNodeList
  * Microversion 2.33 adds pagination support for hypervisors
  * VMware: create vif with resource limitations
  * policy: clean-up
  * Make VIF.address unique with port id for neutron
  * Device tagging metadata API support
  * trivial: remove unnecessary mock from servers API test
  * Return HTTP 200 on list for invalid status
  * Transform instance.update notification
  * Pre-add instance actions to avoid merge conflicts
  * Transform instance.delete notifications
  * XenAPI:  Add UT for independent compute option
  * Log DB exception if VIF creation fails
  * Reduce complexity in _stub_allocate_for_instance
  * Reorder allocate_for_instance preamble
  * Make _validate_requested_network_ids return a dict
  * Extract _validate_requested_network_ids
  * Create _validate_requested_port_ids
  * Extract _filter_hypervisor_macs
  * Always call port_update in allocate_for_instance
  * Device tagging API support
  * Compute manager device tagging support
  * Revert "Detach volume after deleting instance with no host"
  * policy: Replaces 'authorize' in nova-api (part 5)
  * libvirt: add todo about bdms in _build_device_metadata
  * libvirt: virtuozzo instance rescue mode support
  * api-ref: os-certificates.inc
  * policy: Replaces 'authorize' in nova-api (part 4)
  * Make LM timeout params mutable
  * Help text for the ephemeral storage options
  * Config Options: Improve help text for debugger
  * Make Ironic options definitions consistent
  * Remove mox in tests/unit/objects/test_quotas
  * Remove network information from IOVisor vif
  * Add automatic switching to postcopy mode when migration is not progressing
  * Extend live-migration-force-complete to use postcopy if available
  * Add a test utility for checking mock calls with objects
  * policy: Replaces 'authorize' in nova-api (part 3)
  * libvirt: Add migration support for perf event support
  * Libvirt driver implementation of device tagging
  * Add policy sample generation
  * libvirt: virtuozzo instance resize support
  * Fix test_ipv6 and simplify to_global()
  * Remove russian from unit/image/test_glance.py
  * Add reminder comments for compute rpcapi version bump
  * Update get_instance_diagnostics for instance objects
  * Improve help text for wsgi options
  * Don't immediately null host/node when shelving
  * Evaluate 'task_state' in resource (de)allocation
  * Add new configuration option to turn auto converge on/off
  * Add new configuration option to turn postcopy on/off
  * Add ability to select specific tests for py34
  * UT: cleanup typo in libvirt test_config
  * Improve image signature verification failure notification
  * libvirt: attach configdrive after instance XML
  * libvirt: add nova volume driver for vzstorage
  * Moving test helpers to a common place
  * On port update check port binding worked
  * Refactor to create _ensure_no_port_binding_failure
  * policy: Replaces 'authorize' in nova-api (part 2)
  * XenAPI: Add option for running nova independently from hypervisor
  * XenAPI: Stream config drive to XAPI
  * XenAPI: Perform disk operations in dom0
  * Port test_ipv6 to py3 and simplify to_global()
  * api-ref: Example verification for os-agents.inc
  * Allow monitor plugins to set own metric object
  * api-ref: correct the order of APIs in server-tags
  * Remove unused LOG
  * Remove unnecessary __init__
  * Release notes: fix typos
  * Make print py3 compatible
  * libvirt: fix disk size calculation for VZ container instances
  * Fix error message for VirtualInterfaceUnplugException
  * libvirt: Add boot ordering to individual disks
  * image_meta: Add hw_rescue_device and hw_rescue_bus
  * collapse servers.ViewBuilderV21 into servers.ViewBuilder
  * remove personality extension
  * remove preserve-ephemeral rebuild extension
  * remove access_ips extension
  * Bump the service version for get-me-a-network support
  * neutron: handle 'auto' network request in allocate_for_instance
  * libvirt: split out code for recovering after migration tasks
  * libvirt: split out code for processing migration tasks
  * libvirt: split off code for updating migration stats in the DB
  * libvirt: split off code for updating live migration downtime
  * api-ref: verify images.inc
  * libvirt: split out code for determining if migration should abort
  * libvirt: split out code for detecting live migration job type
  * policy: Replaces 'authorize' in nova-api (part 1)
  * Check if flavor.vcpus is more than MAX_TAP_QUEUES
  * policy: Add defaults in code (part 6)
  * objects: Add devices_metadata to instance object
  * objects: new InstanceDeviceMetadata object
  * db: add a device_metadata column to instance_extra
  * libvirt: add perf event support when create instance
  * Improve help text of crypto.py
  * objects: adding an update method to virtual_interface
  * Rename driver method check_can_live_migrate_destination_cleanup
  * api-ref: added docs for microversion 2.26
  * policy: Add defaults in code (part 5)
  * policy: Add defaults in code (part 4)
  * policy: Add defaults in code (part 3)
  * policy: Add defaults in code (part 2)
  * add ploop support into qemu-img info
  * policy: Add defaults in code (part 1)
  * Handle UnableToAutoAllocateNetwork in _build_and_run_instance
  * Add note about preserve_ephemeral limitations
  * Add console auth tokens db api methods
  * Remove mox from unit/virt/libvirt/volume/*.py
  * Port cinder unit tests to Python 3
  * Port test_pipelib and test_policy to Python 3
  * Adding missing log translation hints
  * Add instance groups tables to the API database
  * Make live migration checks async
  * Check for None max_count for Python 3 compat
  * Updated from global requirements
  * fix developer docs on API
  * libvirt: virtlogd: use "log" element in char devices
  * Fix ConsoleAuthTokens to work for all console types
  * remove os-disk-config part 4
  * remove os-disk-config part 3
  * remove load_standard_extensions method
  * Modify "policy.conf" to "policy.json"
  * Ensures that progress_watermark and progress_time are updated
  * Add a note for policy enforcement by user_id
  * XenAPI: Support neutron security group
  * Added instance actions for conductor
  * Stop using mox stubs in nova/tests/unit/test_metadata.py
  * remove support for legacy v2 generator extensions
  * Remove duplicate unit test resource tracker
  * api-ref: parameter verification os-agents
  * make failures on api_samples more clear
  * api-ref, os-services.inc
  * api-ref: docs for microversion v2.28
  * Update dhcp_opts on both create and update
  * api-ref: Improve os-instance_usage_audit_log samples
  * Add ironic mac address when updating and creating
  * Enhance notification sample test base
  * Handle multiple samples per versioned notification
  * Transform wrap_exception notification to versioned format
  * XenAPI: OVS agent updates the wrong port with Neutron
  * Stop using mox from unit/fake_server_actions.py
  * objects: you want'em
  * libvirt: enhance method to return pointer_model from image prop
  * Updated from global requirements
  * Skip network allocation if 'none' is requested
  * Separete notification object version test
  * [typo] replaced comupte to compute in test
  * api-ref, os-availability-zone.inc
  * Add delete_, update_ and add_ inventory to ResourceProvider
  * libvirt: fix typos in comments
  * Remove the nova.compute.resources entrypoint
  * Re-deprecate use_usb_tablet config option
  * Log the network when neutron won't apply security groups
  * api-ref: parameter verification os-fixed-ips
  * Add CellMappingList object
  * Add console auth tokens table and model
  * live migration check source failed caused bdm.device_path lost
  * Use is_valid_ipv4 from oslo.utils
  * Include exception in _try_deallocate_network error log
  * Remove mox from tests/unit/virt/test_imagecache.py
  * Fix docstring nits from ResourceProvider.set_inventory() review
  * fix errors in revert resize api docs
  * Improve the help text for cells options (8)
  * VMware: Fix bug of TypeError when getting reference of VCenter cluster is None
  * XenAPI: Integers returned from XAPI are actually strings
  * Remove ec2_code from exception
  * Add specific lazy-load method for instance.tags
  * Don't attempt to lazy-load tags on a deleted instance
  * Policy-in-code servers rules
  * Extract update_port call into method
  * Refactor to create _populate_mac_address
  * Rename _populate_mac_address adding pci
  * Rename created_port to created_port_id
  * Flip allocate_for_instance create or update if
  * Tear down of os-disk-config part 2
  * Make instance as second arg in compute api calls
  * api-ref: console types
  * Remove extra expected error code (413) from image metadata
  * Publish proxy APIs deprecation in api ref doc
  * Remove DictCompat from instance_info_cache
  * Remove redundant test in test_resource_tracker
  * Modify the disk bus and device name for Aarch64
  * Remove mox in tests/unit/objects/test_instance_faults
  * Trivial-Fix: Fix typos
  * Fix some typos
  * Make host as second arg in compute api calls
  * Detach volume after deleting instance with no host
  * Added support for new block device format in Hyper-V
  * add "needs:*" tags to the config option modules
  * Fix multipath iSCSI encrypted volume attach failure
  * Remove DictCompat from NetworkRequest
  * Remove rate_limit param in builder
  * Not talking about V2 API code in review doc guide
  * update servers policy in code to use formats
  * Update stable API doc to indicate code removal
  * Fix NoMoreNetworks functional test traces
* Mon Jun 27 2016 jsuchome@suse.com
- Add systemd service macros (bnc#986415)
  systemd v228 has a separate generator for generating the service
  files from the init scripts, and daemon-reload is needed during
  package installation
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev338:
  * Add set_inventory() method on ResourceProvider
  * Pre-load tags when showing server details
  * Fix image meta which is sent to glance v2
  * libvirt: cleanup baselineCPU return value checking
  * Skip network validation if explicitly requesting no networks
  * nova-net: handle 'auto' network request in allocate_for_instance
  * neutron: validate auto-allocate is available
  * Add helpers to NetworkRequest(List) objects for auto/none cases
  * Tear down os-disk-config part 1
  * api-ref: Fix parameters in os-instance-usage-audit-log
  * nova shared storage: rbd is always shared storage
  * Remove mox from unit/compute/test_compute_mgr.py (end)
  * Remove mox from unit/compute/test_compute_mgr.py (6)
  * Remove mox from unit/compute/test_compute_mgr.py (8)
  * Remove mox from unit/compute/test_compute_mgr.py (7)
  * Remove mox from unit/compute/test_compute_mgr.py (5)
  * Remove mox from unit/compute/test_compute_mgr.py (4)
  * Remove mox from unit/compute/test_compute_mgr.py (3)
  * Remove mox from unit/compute/test_compute_mgr.py (2)
  * Improve help text for neutron_opts
  * Yield the thread when verifying image's signature
  * Trivial: remove none existing py3 test from tests-py3.txt
  * Remove mox from unit/compute/test_compute_mgr.py (1)
  * Improve the help text for cells options (7)
  * Remove mox from api/openstack/compute/test_pci.py
  * Stop using mox from openstack/compute/test_cells.py
  * Stop using mox stubs in stub_out_key_pair_funcs
  * Remove duplicate test of DELETED instances
  * Handle SetAdminPasswdNotSupported raised by libvirt driver
  * Fix invalid uuid warnings in virt testcases
  * Remove mox from compute/test_scheduler_hints.py
  * Remove mox from compute/test_extended_ips_mac.py
  * Correct some misspell words in nova
  * Remove 413 expect in servers.py
  * Remove core extension list
* Thu Jun 16 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev273:
  * Remove api_rate_limit config option
  * Disallow instance tag set for invalid instance states
  * Added missed response to test_server_tags
  * Remove python code validation specific to legacy_v2
  * api-ref: parameter  verification for os-aggregates
* Wed Jun 15 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev263:
  * Remove mox from tests/unit/objects/test_aggregate.py
  * Handle keypair not found from metadata server
  * TrivialFix: Remove extra comma from json
  * Skip NFS and Ceph in live migration job test run
  * api-ref: add version 2.3 parameters to servers
  * Updated from global requirements
  * Make Aggregate.get_by_uuid use the API db
* Tue Jun 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev251:
  * Updated from global requirements
  * Remove invalid test of config option default_notification_level
  * Remove config option config_drive_format's invalid value test
  * Remove mox from api/openstack/compute/test_config_drive.py
* Mon Jun 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev244:
  * Stop using mox stubs in tests/unit/fake_notifier
  * Raise exception if BuildRequest deleted twice
  * Replace mox with mock for xenapi vm_utils.lookup
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 1)
  * live-migration ceph: fix typo in ruleset parsing
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev235:
  * remove processing of blacklist/whitelist/corelist extensions
  * fix OS-SCH-HNT:scheduler_hints location in sample
  * Fix reno from hyper-v-remotefx
  * libvirt: Prevent block live migration with tunnelled flag
  * Remove unused _get_flags method from integrated_helpers
  * Enable all extension for all remaining sample tests
  * tox.ini: Remove unnecessary comments in api-ref target
  * Stop using mox stubs in nova/tests/unit
  * Updated from global requirements
  * pci: Allow updating pci_requests in instance_extra
  * Change default fake_ server status to ACTIVE
  * Fix update inventory for multiple providers
  * Default to using glance v2
  * Enable all extension for remaining server API tests
  * Enable all extension for server API tests part-1
  * Fixes py3 unit tests for nova.tests.unit.test_block_device.*
  * Reno for mutable-config
  * xenapi: Remove invalid values for config option image_compression_level
  * Enable all extension for server actions sample tests
  * Enable all extension for Flavor API sample tests
  * Fix resource tracking for instances with no numa topology
  * Clarified "user" to plural type
  * Revert "Optimize _cleanup_incomplete_migrations periodic task"
  * Remove unused authorizer methods
  * Remove legacy v2 policy rules
  * Make create_inventory() handle name change
  * Add ResourceProvider.save()
  * Remove the skip_policy_check flags
  * api-ref: verify keypairs
  * Make Xenplugin to work with glance v2 api
  * Trival: version history 2.30 is not indented as others
  * Do not register notification objects
  * Move notification objects to a separate package
  * Move notification related code to separate package
  * Adjust field types and defaults on Inventory
  * Add InventoryList.find() method
  * Add a get_by_uuid for aggregates
  * Imported Translations from Zanata
  * get rid of the old _vhd methods
  * Make Hyper-V to work with glance v2 api
  * Remove v2 extension setting from functional tests
  * Add name and generation to ResourceProvider object
  * Enable mutable config in Nova
  * Improve help text for availability zones options
  * tests: make XMLMatches work with Python3
  * Catch PciRequestAliasNotDefined exception
  * api-ref: parameter verification for os-hypervisors
  * xen: skip two more racey mox py34 test classes
  * libvirt: handle reserved pages size
  * Fix nova-compute start failed when reserved_huge_pages has value
  * Make the base options definitions consistent
  * virt: set address space & CPU time limits when running qemu-img
  * Remove manual creation of console.log
  * Fix imagecache.get_cache_fname() to work in python3
  * Remove policy checkpoints for SecurityGroupAPI and NetworkAPI
  * Remove policy checkpoints from ComputeAPI
  * Stop using mox from objects/test_instance.py (3)
  * Stop using mox from objects/test_instance.py (2)
  * Stop using mox from objects/test_instance.py (1)
  * Fix wrong patch of unittest in unit/test_metadata.py
  * Remove code referencing inventory table in cell DB
  * [libvirt] Incorrect parameters passed to migrateToURI3
  * Revert inventory/allocation child DB linkage
  * Only chown console log in rescue
  * Don't chown a config disk which already exists
  * Don't overwrite config disk when using Rbd
  * Add 'update' method to GlanceImageServiceV2
  * Add 'create' method to GlanceImageServiceV2
  * Add 'detail' method to GlanceImageServiceV2
  * Add 'delete' method to GlanceImageServiceV2
  * Add 'download' method to GlanceImageServiceV2
  * Add 'show' method to GlanceImageServiceV2
  * Split the glance API path based on config
  * Remove image_meta
  * api-ref method verification for os-cells
  * API change for verifying the scheduler when live migrating
  * Stop using mox stubs in volume/encryptors/test_base.py
  * Introduce a CONF flag to determine glance client version
  * fix a typo in comment
  * Fix white spaces in api-ref
  * Updated from global requirements
  * Use assertNotIn instead of assertTrue(all(A != B))
  * Use assert(Not)Equal instead of assertTrue(A == X)
  * Use assertLess(Equal) instead of assertTrue(A > X)
  * Use assertGreater(A, X) instead of assertTrue(A > X)
  * Fall back to flat config drive if not found in rbd
  * libvirt: Fix the content of "disk.config" lost after migrate/resize
  * Remove "or 'reserved'" from _create_volume_bdm
  * pci: Move PCI devices and PCI requests into migration context
  * Clarify message for Invalid/Bad Request exception
  * Cancelled live migration are not in progress
  * set wrap_width for config generator to 80
  * API change for verifying the scheduler when evacuating
  * libvirt: add "get_job_info" to Guest's object
  * Modify 'an network' to 'a network'
  * Specify the default cdrom type "scsi" for AARCH64
  * Remove mox from nova/tests/unit/test_iptables_network.py
  * Remove mox from nova/tests/unit/virt/libvirt/test_vif.py
  * Nova UTs broken due to modifying loopingcall global var
  * Remove mox from unit/api/openstack/compute/test_consoles.py
  * Stop using mox from virt/libvirt/storage/test_lvm.py
  * Remove unused _vlan_is_disabled test flag
  * Remove normal API operation logs from API layer
  * Remove unused LOG from v2.1 API code
  * Adds RemoteFX support to the Hyper-V driver
  * Stop using mox stubs in test_server_usage.py
  * Remove mox from compute/test_instance_usage_audit_log.py
  * Remove redundant orphan instances unit test
  * Remove duplicate migration RT unit tests
  * Get transport_url from config in Cells v2 cell map utility
  * Trivial: Fixes serial console minor nits
  * Revert "glance:add helper method to get client version"
  * Update Support Matrix
  * No disable reason defined for new services
  * devspec: remove unused VIRTFN_RE and re
  * Fix use of invalid assert calls
  * Enables Py34 tests for unit.api.openstack.compute.test_server_tags
  * deprecate config option "fatal_exception_format_errors"
  * [Trivial] Fix a grammar error in comments
  * deprecate s3 image service config options
  * Enables Py34 tests for unit.compute.test_compute
  * Network: fix typo
  * pci: Remove unused 'all_devs' method
  * Trivial: No need to exclude TestMoveClaim from py34 tests
  * api-ref: verify os-server-groups.inc
  * Avoid unnessary _get_power_state call
  * api-ref: verfiy limits body
  * api-ref: body verification of ips.inc
  * Change message format of Forbidden
* Sat Jun  4 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev13:
  * remove /v2.1/{tenant_id} from all urls
  * Set migration status to 'error' on live-migration failure
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev10:
  * Updated from global requirements
  * Fixes invalid uuid usages in test_neutronv2
  14.0.0.0b1
  * Remove legacy v2 API code completely
  * Remove the usage of RateLimitingMiddleware
  * Remove unused inner_app_v21 and ext_mgr
  * Remove legacy API code from sample tests
  * Remove InstanceUsageAuditLogTest for legacy API
  * Make AggregateList.get_ return API & cell db items
  * Make Aggregate.get operation favor the API db
  * Add aggregates tables to the API db
  * Microversion 2.28 changes cpu_info string to JSON object
  * libvirt: Skip CPU compatibility check for emulated guests
  * Updated from global requirements
  * pci: Make sure PF is 'available' when last VF is freed
  * pci: related updates are done without DB lookups
  * pci: make sure device relationships are kept in memory
  * verify api-ref os-migrations.inc
  * Update functional tests for fixtures 3
  * libvirt: New configuration classes to parse device address element
  * Fixed clean up process in confirm_resize() after resize/cold migration
  * Updated from global requirements
  * libvirt: fix serial ports lost after hard-reboot
  * Add proxy middleware to application pipeline
  * api-ref: Example verification for os-interface.inc
  * Redundant test of CPU resources in test_tracker
  * Remove duplicate test of RT.stats.current_workload
  * Remove duplicate test of claim context manager
  * Remove pointless "additive claims" unit test
  * Remove oversubscribe test in test_resource_tracker
  * api: Improve the _check_multiple* function names readability
  * Fix the order of expected error codes
  * Verify requested_destination in the scheduler
  * Add requested_destination field to RequestSpec
  * Fixes python 3 urllib quote / unquote usage
  * Remove unused WsgiLimiter
  * Remove unused args from RateLimitingMiddleware
  * Remove unused use_no_auth from wsgi_app_v21()
  * Fix incorrectly named vmwareapi test
  * Rename ImageCacheManager._list_base_images to _scan_base_images
  * Remove all references to image_popularity from image cache
  * Remove image cache image verification
  * Fix test_age_and_verify_swap_images
  * Remomve mox from api/openstack/compute/test_console_output.py
  * objects: added 'os_secure_boot' property to ImageMetaProps object
  * Adds Hyper-V imagecache cleanup
  * Stop using mox stubs in test_pipelib.py
  * use_neutron_default_nets: StrOpt ->BoolOpt
  * fix Quota related error return incorrect problem
  * Move is_volume_backed_instance to compute.utils
  * Config options: remove import_opts from cloudpipe section
  * Config options: move set default opt of db section to centralized place
  * api-ref verify of servers-admin-action.inc
  * Style improvements
* Tue May 31 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1113:
  * api-ref: os-consoles.inc
  * Ironic nodes with instance_uuid are not available
* Mon May 30 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1109:
  * VMware: set service status based on vc connection
  * Return 400 HTTP error for invalid flavor attributes
  * Enable 'null' value for user_data in V2.1 API
* Sat May 28 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1103:
  * api-ref verify servers-action-deferred-delete.inc
  * api-ref: Add a sample test for os-interface
  * Make compute nodes update their own inventory records
  * Make Inventory and ResourceProvider objects use the API DB instead
  * Fix "KeyError: u'instance_id'" in string format operation
  * Improve the help text for the rdp options
  * api-ref: Add fault parameter details
  * [Ironic] Correct check for ready to deploy
  * Fix network mtu in network_metadata
  * verify api-ref os-instance-usage-audit-log.inc
* Fri May 27 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1083:
  * Updated from global requirements
  * api and availablity_zone opt definition consistent
  * Rename Image.check_image_exists to Image.exists()
  * Support for both microversion headers
  * Fix unit test after the replace of key manager
  * Save all instance extras in a single db call
  * Make available to build docs with python3
  * config options: centralize exception options
* Thu May 26 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1067:
  * Remove APIRouter of legacy v2 API code
  * Remove legacy v2 API tests which use wsgi_app()
  * limits.inc example verification
  * Remove duplicate unit test in test_tracker
  * Remove delete stubs in test_resource_tracker
  * Remove service crud from test_resource_tracker
  * Remove conductor from test_resource_tracker
  * Remove StatsDicTestCase from test_resource_tracker
  * rt-unit: Replace hard-coded strings with constants
  * Remove useless test of incorrect stats value
  * Remove RT duplicate unit test for PCI stats
  * Remove more duplicate RT unit tests
  * Removes test_claim_saves_numa_topology()
  * Add length check in comparing object lists
  * Add http_proxy_to_wsgi to api-paste
  * Remove duplicate test of set inst host/node
  * Remove SchedulerClientTrackerTestCase
  * Move unit tests of set_instance_host_and_name()
  * Remove MissingComputeNodeTestCase for res tracker
  * Remove tests for missing get_available_resource()
  * Let setup.py compile_catalog process all language files
  * Hyper-V: Fixes disk overhead claim issue
  * Compute: Adds driver disk_gb instance overhead estimation
  * verify api-ref metadata.inc
* Tue May 24 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1030:
  * api-ref: limits.inc validate parameters
  * Updated from global requirements
  * remove db2 support from tree
  * api-ref: Parameter verification for os-interface.inc
  * api-ref, os-fping.inc
  * Pass OS_DEBUG to the tox test environment
  * Hyper-V: Implement nova rescue
  * Make flavor-manage api call destroy with Flavor object
  * Update link for hypervisor support matrix message
  * Keep BuildRequest db entry around longer
  * Drop fields from BuildRequest object and model
  * Resize API operation passing down original RequestSpec
  * libvirt: Add serial ports to the migration data object
  * api-ref: parameter  verification for os-server-groups
  * libvirt: add method to configure max downtime when migrating
  * libvirt: add "abort_job" to Guest's object
  * libvirt: add method "migrate" to Guest's object
  * Remove mox used in tests/unit/api/openstack/compute/test_server_start_stop
  * verify api-ref os-server-password.inc
  * Fix resize to same host failed using anti-affinity group
  * xenapi: Image cache cannot be disabled
* Mon May 23 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev989:
  * Add resource provider tables to the api database
  * be more explicit that rate limits are gone in v2.1
* Sun May 22 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev985:
  * Completed migrations are not "in progress"
* Sat May 21 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev983:
  * HyperV: Nova serial console access support
  * Updated from global requirements
  * api-ref: verify flavors.inc
  * Fix the versions API for api-ref
  * Only attempt to inject files if the injection disk exists
  * HyperV: Add SerialConsoleOps class
  * HyperV: Add serial console handler class
* Fri May 20 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev969:
  * Add online migration to move keypairs from main to API database
  * Updated from global requirements
  * api-ref: complete verification of baremetal api
  * pci: add safe-guard to __eq__ of PciDevice
  * Add tests for floating_ip private functions
  * Fixes invalid uuid usages in functional tests
  * Make neutronapi get_floating*() methods return objects
  * Remove marker from nova-manage cells_v2 map_instances UI
  * Fix invalid uuid warnings
* Thu May 19 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev951:
  * Augment release note for import_object_ns removal
  * api-ref: Example verification for servers-action-shelve.inc
  * api-ref: Fix parameters in servers-action-shelve.inc
  * api-ref: servers-action-evacuate.inc
  * remove FlavorCreateFailed exception
  * Trivial: remove os-security-groups needs:method_verification line
  * Add RC file for excluding tempest tests for LVM job
  * Move config options from nova/api directory (5)
  * Remove deprecated option libvirt.remove_unused_kernels
  * Rename Raw backend to Flat
  * Cold migrate using the RequestSpec object
  * Make some build_requests columns nullable
  * baseproxy: stop requiring CONF.verbose
  * ironic: fix call to _cleanup_deploy on config drive failure
  * Return HTTP 400 on boot for invalid availability zone
  * pci: create PCI tracker in RT._init_compute_node
  * Remove unused FAKE_UUID variables
  * Remove unused base_options param from _get_image_defined_bdms
  * Split out part of map_cell_and_hosts to return a uuid
  * Remove mox from tests/unit/compute/test_compute_xen.py
  * Remove mox from tests/unit/network/test_rpcapi.py
* Wed May 18 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev909:
  * Add a RequestSpec generation migration script
  * Switch api unit tests to use v2.1 API
  * api-ref: complete verification for os-flavor-access
  * Add message queue switching through RequestContext
  * trivial: remove unused argument from a method
  * Cleanup validation logic in _get_requested_networks
  * api-ref: complete verification of servers-action-crash-dump.inc
  * migrate to os-api-ref
  * api-ref: parameter  verification for os-quota-sets
  * Add a note about egress rules to os-security-group-rules api-ref
  * api-ref: ips.inc example verification
  * deprecate "default_flavor" config option
  * Config options: remove import_opts from completed section
  * Config options: centralize cache options
  * Remove deprecated "memcached_server" in Default section
  * deprecate "file transfer" feature for Glance images
  * api-ref: os-certificates.inc method verification
  * config options: move image_file_url download options
  * docs: link to Laski's cells talk from the Austin summit
* Tue May 17 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev871:
  * api-ref: image.inc - Update method validation
  * config options: centralize section "database" + "api_database"
  * config options: centralize default flavor option
  * api-ref: os-floating-ip-dns.inc method verification
* Mon May 16 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev863:
  * force_live_migration remove redundant check
* Sun May 15 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev861:
  * Follow-up for the API config option patch
* Sat May 14 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev859:
  * api-ref: reorder parameters.yaml
  * Add online migration to store keypairs with instances
  * Make Keypair object favor the API database
  * api-ref: Example verification for os-volume_attachments.inc
  * api-ref: Parameter verification for os-volume_attachments.inc
  * Remove fake_imagebackend.Raw and cleanup dependent tests
  * Remove unused arguments to images.fetch and images.fetch_to_raw
  * api-ref: finish validation for os-server-external-events.inc
  * report info if parameters are out of order
  * Method verification of os-floating-ips-bulk.inc
  * api-ref: os-volumes.inc method verification
  * config options: move s3 related options
  * Fix migration query with unicode status
  * Change 5 space indent to 4 spaces
  * Updated from global requirements
  * api-ref: Method verification for servers-actions
  * virt: reserved number of mempages on compute host
  * api-ref: Method verification for os-volume_attachments.inc
  * Improve the help text for the API options (4)
  * Improve the help text for the API options (3)
  * api-ref: ips.inc parameter verification
  * Method verification for server-action-deferred-delete
  * api-ref: parameter validation for os-security-group-rules
  * Improve the help text for the API options (2)
  * Improve the help text for the API options (1)
  * trivial: removed unused networks var from os-tenant-networks:create
* Fri May 13 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev808:
  * Add a functional test for instance fault message with retry
  * api-ref: complete verification for extensions resource
  * Eager load keypairs in instance metadata
  * Complete method verification of os-networks
  * Method verification of os-security-group-default-rules
  * centralized conf: nova/network/rpcapi.py
  * Config options: centralize remotefs libvirt options (end)
  * Config options: centralize smbfs libvirt options (16)
  * imagebackend: Check that the RBD image exists before trying to cleanup
  * Rewrite _cleanup_resize and finish_migration unit tests to use mock instead of mox
  * Remove mox in test_volume_snapshot_create_outer_success
  * Add Keypairs to the API database
  * Create Instances with keypairs
  * method verification for server-action-remote-consoles
  * method verification of os-server-external-events
  * method verification of os-instance-usage-audit-log
  * Add keypairs to Instance object
  * Complete method verification of os-baremetal-nodes.inc
  * Fixed missing variable
  * api-ref: Method verification for os-floating-ips
  * Fix race condition for live-migration-force-complete
  * Denormalize personality extension
  * method verification of os-assisted-volume-snapshots
  * Fix service version to update the DB
  * Added new exception to handle CinderClientException
  * Drop paramiko < 2 compat code
  * Config options: centralize scality libvirt options (15)
  * Move config options from nova/api directory (4)
  * Instance mapping save, properly load cell mapping
  * Remove mox from tests/unit/network/test_api.py
  * libvirt: introduces module to handle domain xml migration
  * api-ref host verification (os-hosts.inc)
  * api-ref verify os-floating-ip-pools.inc
  * Remove 413 as expected error code
  * Add manage command for cell0
  * Compute API: omit disk/container formats when creating images of snapshots
  * virt/hardware: Fix 'isolate' case on non-SMT hosts
  * db: retry instance_info_cache_update() on deadlock
  * Fixes bug with notify_decorator bad getattr default value
  * Move logging outside of LibvirtConfigObject.to_xml
* Wed May 11 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev730:
  * api-ref: servers-action-shelve.inc
  * Added fault response parameter to Show Server Details API
  * Corrected the typo
  * Complete method verification of os-cloudpipe.inc
  * method verification for servers-action-fixed-ip
  * api-ref: perform all 4 phases of verification for action console output
  * Move config options from nova/api directory (3)
* Tue May 10 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev717:
  * crypto: Add support for Paramiko 2.x
  * Denormalize extensions for clarity
  * Complete method verification of os-fping
  * Complete method verification of os-security-group-rules
  * Remove 404 for list and details actions of servers
  * Complete method verification of os-migrations
  * api-ref: add url parameter to expand all sections
  * api-ref: complete verification for diagnostics.inc
  * api-ref: update parameter validation on servers
  * Complete method verification of os-tenant-networks
  * Complete method verification of os-security-groups
  * Move config options from nova/api directory (2)
  * Move config options from nova/api directory (1)
  * api-ref: method verification and fixes for servers.inc
  * Complete method verification of os-quotas
  * Add api-sample test for showing quota detail
  * Fix TestNeutronv2.test_deallocate_for_instance_2* race failures
  * Config options: centralize quobyte libvirt options (14)
  * Config options: centralize volume nfs libvirt options (13)
  * Centralize vif,xenpool & vol_utils config options
  * Config options: Centralize servicegroup options
  * Add ability to filter migrations by instance uuid
  * Avoid unconditional warnings in nova-consoleauth
  * Complete Verification of server-metadata
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev669:
  * config: remove deprecated ironic.client_log_level
  * Compelete method verification of os-servers-admin
  * Complete method verification of os-shevle
  * Add keypairs to instance_extra
  * Consolidate image_href to image uuid validation code
  * Centralize config option for nova/network/driver.py
  * Config options: centralize volume net libvirt options (12)
  * libvirt: release serial console ports when destroying guests
  * Archive instance_actions and instance_actions_event
  * Updated config description on live snapshot
  * Complete method Verification of os-hypervisors
  * Config options: completing centralize neutron options
  * Unavailable hosts have no resources for use
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev643:
  * Remove legacy v2 tests which use APIRouter
  * pci: eliminate DB lookup PCI requests during claim
  * pci: pass in instance PCI requests to claim
  * Complete method verification of os-agents
  * Complete method verification of os-fixed-ips
  * Config options: centralize iser libvirt options (11)
  * Config options: centralize iscsi libvirt options (10)
  * Config options: centralize glusterfs libvirt options (9)
  * Config options: centralize aoe vol libvirt options (8)
  * Config options: centralize volume libvirt options (7)
  * Config options: centralize vif libvirt options (6)
  * Config options: centralize utils libvirt options (5)
  * Config options: centralize lvm libvirt options (4)
  * Remove legacy v2 unit tests[q-v]
  * Remove legacy v2 unit tests[f-n]
  * Remove Limits dependency of legacy v2 API code
  * Remove mox in unit/virt/xenapi/test_agent.py
  * Add pycrypto explicitly
  * Config options: centralize imagecache libvirt options (3)
  * Config options: centralize imagebackend libvirt options (2)
  * Remove the legacy v2 API entry from api-paste.ini
  * Config options: centralize driver libvirt options (1)
  * UEFI - instance terminates after boot
  * Fix unit tests for v2.1 API
  * Remove legacy v2 unit tests[a-e]
  * Remove legacy v2 API functional tests
  * fix wrong key name in test code
  * Remove the legacy v2 API test scenarios from API sample tests
  * Fail to start nova-api if no APIs were able to be started
  * Test that nova-api ignores paste failures, but continues on
  * Trivial: dead code
  * Fix database poison warnings, part 8
  * compute: Retain instance metadata for 'evacuate' on shared storage
  * Add os-interface functional negative tests
  * Remove mox in test_certificates.py
  * pci: Allow to assign pci devices in pci device list
  * Fix typo in support-matrix.ini: re(set)=>(re)set
  * Fix database poison warnings, part 7
  * [doc] fix 5 typos
  * Make compute rpcapi 'live_migration' backward compatible
  * Replace key manager with Castellan
  * Changed the storage size from GB to GiB
  * Deprecated the concept of extensions in v2.1
  * Fix database poison warnings, part 6
  * Fix database poison warnings, part 5
  * complete Method Verification of aggregates
  * Complete Method Verification of ips
  * Complete method Verification of consoles
  * Config options: Centralize netconf options
  * Complete Verification of os-server-password
  * Complete Verification of os-hosts
  * Complete Method Verification of os-interface
  * Complet Method Verification of flavor-access
  * Complete Verification of os-virtual-interfaces
  * Complet Method Verification of os-instance-actions
  * Complete Verification of os-flavor-extra-specs
  * Fix database poison warnings, part 4
  * Complet Method Verification of flavor
  * Prevent nova-api from dying if enabled_apis is wrong
  * Add instances into dict when handle exception
  * Add validations for volume_size and destination_type
  * libvirt - Add log if libguestfs can't read host kernel
  * Fix doc build if git is absent
  * HyperV: Refactor livemigr, avoiding getting disk paths remotely
  * VMware: create temp parent directory when booting sparse image
  * VMware: Use datastore copy when the image is already in vSphere
  * libvirt: Fix ssh driver to to prevent prompting
  * config options: centralize cinder options
  * Add ppc64le architecture to some libvirt unit tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev514:
  * Updated from global requirements
  * Fix NoSuchOptError when referring to conf.neutron.auth_plugin
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev510:
  * Wrong mocks, wrong mock order
  * Deprecate Nova Network
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev506:
  * Updated from global requirements
  * Declare nova.virt namespace
  * network: Fix nova boot with multiple security-groups
  * Complet Method Verification of server group
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev499:
  * Only reset dns_name when unbinding port if DNS is integrated
  * Complet Method Verification of keypair
  * Complet Method Verification of availability-zone
  * Complet Method Verification of simple tenant usage
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev492:
  * libvirt: remove version checks for hyperv PV features
  * libvirt: remove version checks for libvirt disk discard feature
  * libvirt: remove version checks for block job handling
  * libvirt: remove version checks for PCI device detach
  * libvirt: remove version checks for live snapshot feature
  * libvirt: add explicit check for min required QEMU version
  * libvirt: increase min required libvirt to 1.2.1
  * Add links to API guide to describe links
* Tue Apr 26 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev476:
  * Fix invalid uuid warnings in compute api testcases
  * Fix invalid uuid warnings
  * Trivial: fix mock decorator order
  * remove the use of import_object_ns
  * Fixed typo in word "were"
  * Complet Method Verification of os-services
  * Complet Method Verification of server diag
  * Remove mox in tests/unit/compute/test_host_api.py
  * Complet Method Verification of limits
  * Improve the help text for the compute rpcapi option
  * Move config options from nova/compute/rpcapi.py file
  * Updated from global requirements
  * deprecate nova-all
  * Change BuildRequest to contain a serialized instance
  * Config options: centralize section "ssl"
  * config options: centralize security_group_api opt
  * Imported Translations from Zanata
  * Stop using mox stubs in test_multinic.py
  * libvirt: deprecate use_usb_tablet in favor of pointer_model
  * Config options: Centralize neutron metadata options
  * add tags to files for the content verification phase
  * Config options: Centralize compute options
  * Add 415 to list of exceptions for microversions devref
  * Added validation for rescue image ref
  * Final warnings removals for api-ref
  * Clean port dns_name in case of port detach
  * Fix remaining json reference warnings
  * Remove duplicate api ref for os-networks/actions
  * Fix all remaining sample file path
  * Stop using mox stubs in test_access_ips.py
  * Stop using mox stubs in test_admin_password.py
  * Fix sample file path for 4 files
  * Fix invalid uuid warnings in objects testcases
  * Fix invalid uuid warnings in server-group unit tests
  * Create image for suspended instance booted from volume
  * Fix content and sample file for keypair, migration, networks
  * Fix sample file path for os-i* API
  * Fix the parameters for os-agents API
  * Fix sample file path for fixed, floating ips API
  * Fix sample path for aggregate, certificate, console
  * Add remaining image API ref
  * Fix the schema of assisted_volume_snapshots
  * config options: conductor live migrate options
  * xenapi: Fix xmlrpclib marshalling error
  * Fix reverse_upsize_quota_delta attempt to look up deleted flavors
  * hardware: thread policy default value applied even if specified
  * virt: use more realistic fake network / VIF data
  * Remove unused rotation param from _do_snapshot_instance
  * HyperV: Add serial console proxy
  * Fix database poison warnings, part 2
  * Update get_by_project_id on InstanceMappingList
  * Properly clean up BDMs when _provision_instances fails
  * Initial use of microversion_parse
  * Changed an HTTP exception to return proper code
  * Improve the help text for the linuxnet options (3)
  * Improve the help text for the linuxnet options (2)
  * Config options: Centralize network options
  * Improve the help text for the network options (1)
  * Adds missing discoverable rules in policy.json
  * Fix test for empty policy rules
  * modify duplicate // to / in doc
  * change host to host_migration
  * Update 'os-hypervisors.inc' in api-ref
  * Fix os-server-groups.inc
  * Change adminPass for several server actions
  * Clean up the TestGlanceClientWrapper retry tests
  * Add rebuild action descriptions in support-matrix
  * Add functional test for v2.7
  * Wait for device to be mapped
  * add checking for new image metadata property 'hw_cpu_realtime_mask'
* Wed Apr 20 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev348:
  * fix samples references in security group files
  * fix samples references in os-services
  * Fix api samples references in 3 more files
  * Fix api ref for os-hosts, os-quota-sets and os-fping
  * Fix api ref for os-cells, os-cloudpipe and server-action-shelve
  * Fix api sample references in 2 more files
  * Updated from global requirements
  * Fix api ref for ips, limits, metdata and agent
  * Fix json response example heading in api ref
  * Fix database poison warnings, part 3
  * Remove 40X and 50X from Normal response codes
  * Specify normal status code on os-baremetal-nodes
  * Remove unused filter_class_names kwarg from get_filtered_hosts
  * Remove deprecated ability to load scheduler_host_manager from path
  * Fix "Creates an aggregate" parameters
  * fix samples references for 2 files
  * Update servers.inc to be as accurate as api-site
  * Fix "Creates an agent build" parameters
  * Clean up cell handling in nova-manage cell_v2 map_instances
  * Fix generation of Guru Meditation Report
  * Fix invalid uuid warnings in cell api testcases
  * config options: centralize 'spice' options
  * Config options: centralize base path configuration
  * Remove nova-manage service subcommand
  * Fix os-virtual-interfaces and flavors api-ref
  * Fix flavor-access and flavor-extras api-ref
  * Fix diagnostics, extensions api ref
  * Fix hosts and az api samples
  * Fix os-service related reference missing
  * Add 'binary' and 'disable-reason' into os-service
  * libvirt: serial console ports count upper limit needs to be checked
* Fri Apr 15 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev294:
  * clean up versions.inc reference document
  * Collection of CSS fixes
  * Fixes unexpectedly passing functional test
  * move sphinx h3 to '-' instead of '^'
  * fix blockquote font size
  * Add 'Show All' / 'Hide All' toggle
  * use 'required' instead of 'optional' for parameters
  * Fix css references to the glyphicons font
  * Fix formatting of rst in parameters.yaml
  * Add instance/instance_uuid to build_requests table
  * network: make nova to handle port_security_enabled=False
  * Fix nova opts help info
  * Add checks for driver attach_interfaces capability
  * Improved test coverage
  * Remove mox from tests/unit/network/security_group/test_neutron_driver.py
  * Remove stub_compute config options
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev266:
  * Fix typo in nova release notes
  * Updated from global requirements
  * cleanup some issues in parameters.yaml
  * Import RST files for documentation
  * add combined parameters.yaml file
  * claims: Do not assume image-meta is a dict
  * Add new NeutronFloatingIP object
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev252:
  * Minor updates to the how_to_get_involved docs
  * Put more into compute.api._populate_instance_for_create
  * increase error handling for dirty files
  * libvirt: delete the last file link in _supports_direct_io()
  * Fixed incorrect behavior of xenapi driver
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev243:
  * Updated from global requirements
  * Add AllServicesCurrent fixture
  * Remove unused parameter from _get_requested_instance_group
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev238:
  * Fix signature of copy_image
  * libvirt: remove live migrate workaround for an unsupported ver
  * libvirt: move graphic/serial consoles check to pre_live_migration
  * Fix invalid uuid warnings in api testcases
  * Check API versions intersects
  * DB API changes for the nova-manage quota_usage_refresh command
  * VMware: enable a resize of instance with no root disk
  * config options: Centralise 'virt.images' options
  * nova-manage: Add hooks for running  data-migration scripts
  * objects: Rename PciDevice _migrate_parent_addr  method
  * (lxc) Updated regex to ignore failing tests
  * Rectify spelling mistake in nova
  * Changed logic in _compare_result  api_samples_test_base
  * Scheduler: update  doctring to use oslo_config
  * Performance: leverage  dict comprehension in PEP-0274
  * Doc:  Adds python-tox to Ubuntu dependencies
  * Add CPU pinning data to InstanceNUMACell  object
  * Enhance  V2 disk_config extension Unit Test
  * Ironic:  Fix direct use of flavor and instance module objects
  * Format eph disk with  specified format in libvirt
  * Break out the meat of the object hydration  process
  * Pass rbd_user id and conf path  as part of RBD URI for qemu-img
  * Make v3 API  versions extensions core
  * port Instance_usage_audit_log  API into v3 part1
  * Reassign MAC address for vm  when resize_revert
  * port Simple_tenant_usage  API into v3 part1
  * Make  ComputeTestCase.test_state_revert faster
  * Fix a typo in two comments.  networksa -> networks
  * Cleanup unused import in manager.py
  * Allow for deleting VMs from  down compute nodes
  * Key config_drive off of config-drive extension
  * Move results filtering to  db
  * fixes for nova-manage network list  if network has been deleted
  * Janitorial:  Catch rpc up with a change in common
  * Fixes bug lp:999928
  * Fix devref  docs
  * fixed bug lp:968019 ,fix network manager init floating ip  problem
  * Add  assertRaises check to tools/hacking.py as N202
  * Do not invoke kill dnsmasq  if no pid file was found
  * fix for bug 821252.  Smarter default scheduler
  * nova-network can't deallocate ips from deleted  instances
  * libvirt vif-plugging fixes.  Fixes bug 939252 , bug 939254
  * remove unused nwfilter methods and tests
  * Changes for supporting fast cloning on Xenserver. Implements blueprint fast-cloning-for-xenserver 	1. use_cow_images flag is reused for xenserver to check if copy on write images should be used. 	2. image-id is used to tag an image which has already been streamed from glance. 	3. If cow is true, when an instance of an image is created for the first time on a given xenserver, the image is streamed from glance and copy on write disk is created for the instance. 	4. For subsequent instance creation requests (of the same image), a copy on write disk is created from the base image that is already present on the host. 	5. If cow is false, when an instance of an image is created for the first time on a host, the image is streamed from glance and its copy is made to create a virtual disk for the instance. 	6. For subsequent instance creation requests, a copy of disk is made for creating the disk for the instance. 	7. Snapshot creation code was updated to handle cow=true. Now there can be upto 3 disks in the chain. The base disk needs to be uploaded too. 	8. Also added a cache_images flag. Depending on whether the flag is turned on on not, images will be cached on the host
  * Fixing get_info method implementations in virt drivers to accept instance_name instead of instance_id. The abstract class virt.ComputeDriver defines get_info as:     def get_info(self, instance_name). blueprint: internal-uuids
  * Address Soren's comments:  * clean up temp files if an ImageUnacceptable is going to be raised    Note, a qemu-img execution error will not clean up the image, but I    think thats reasonable.  We leave the image on disk so the user can    easily investigate.  * Change final 2 arguments to fetch_to_raw to not start with an _  * use 'env' utility to change environment variables LC_ALL and LANG so    that qemu-img output parsing is not locale dependent.    Note, I considered the following, but found using 'env' more readable      out, err = utils.execute('sh', '-c', 'export LC_ALL=C LANG=C && exec "$@"',          'qemu-img', 'info', path)
  * Reverted some changes to instance_get_all_by_filters() that was added in rev 1594.  An additional argument for filtering on instance uuids is not needed, as you can add 'uuid: uuid_list' into the filters dictionary.  Just needed to add 'uuid' as an exact_match_filter.  This restores the filtering to do a single DB query
  * Adds an optional flag to force dhcp releases on instance termination.  This allows ips to be reused without having to wait for the lease to timeout
  * Fixes the handling of snapshotting in libvirt driver to actually use the proper image type instead of using raw for everything. Also cleans up an unneeded flag.  Based on doude's initial work
  * Fixes libvirt rescue to use the same strategy as xen.  Use a new copy of the base image as the rescue image.  It leaves the original rescue image flags in, so a hand picked rescue image can still be used if desired
  * fix rescue to use the base image, reset firewall rules,  and accept network_info
  * This patch teaches virt/libvirt how to format filesystem on ephemeral device depending on os_type so that the behaviour matches with EC2's. Such behaviour isn't explicitly described in the documentation, but it is confirmed by checking realy EC2 instances.  This patch introduces options virt_mkfs as multistring. Its format is --virt_mkfs=<os_type>=<mkfs command> When creating ephemeral device, format it according to the option depending on os_type.  This addresses the bugs, https://bugs.launchpad.net/nova/+bug/827598 https://bugs.launchpad.net/nova/+bug/828357
  * Stock zones follows a fill-first methodology—the current zone is filled with instances before other zones are considered.  This adds a flag to nova to select a spread-first methodology.  The implementation is simply adding a random.shuffle() prior to sorting the list of potential compute hosts by weights
  * One more bug fix to make zones work in trunk.  Basic problem is that in novaclient using the 1.0 OSAPI, servers.create() takes an ipgroups argument, but when using the 1.1 OSAPI, it doesn't, which means booting instances in child zones won't work with OSAPI v1.0.  This fix works around that by using keyword arguments for all the arguments after the flavor, and dropping the unused ipgroups argument
  * catch exceptions from novaclient when talking to child zones.  store them and re-raise if no other child zones return any results.  If no exceptions are raised but no results are returned, raise a NotFound exception
  * At present, the os servers.detail api does not return server.user_id or server.tenant_id.  This is problematic, since the servers.detail api defaults to returning all servers for all users of a tenant, which makes it impossible to tell which user is associated with which server
  * Added list of security groups to the newly added extension (Createserverext)  for the Create Server and Get Server detail responses
  * Fixes a small bug which causes filters to not work at all.  Also reworks a bit of exception handling to allow the exception related to the bug to propagate up
  * add specific exceptions for quantum client.  Fix doc-strings in client.py
  * Simple usage extension for nova.  Uses db to calculate tenant_usage for specified time periods
  * Implements lp:798876 which is 'switch carrot to kombu'.  Leaves carrot as the default for now... decision will be made later to switch the default to kombu after further testing.  There's a lot of code duplication between carrot and kombu, but I left it that way in preparation for ripping carrot out later and to keep minimal changes to carrot
  * Disassociated previously associated floating ips when calling network_api.associate_floating_ip.  Also guard against double-association in the network.manager
  * restore old way FLAGS.rpc_backend worked..  no short name support for consistency
  * Fixes lp:813864 by removing the broken assert.  The assert was a check for isinstance of 'int' that should have been 'long'.  But it doesn't appear this assert really belongs, anyway
  * fix for assertIn and assertNotIn use which was added in python 2.7.  this makes things work on 2.6 still
  * restore fixed_ip_associate_pool in nova/db/sqlalchemy.py to its original form before this branch.  Figured out how to make unit tests pass without requiring that this function changes
  * fix issue with setting 'Active' caused by Quantum API changes.  Other misc fixes
  * use 'uuid' field in networks table rather than 'bridge'.  Specify project_id when creating instance in unit test
  * The fix for run_iscsiadm in rev 1489 changed the call to use a tuple because values were being passed as tuples.  Unfortunately a few calls to the method were still passing strings
  * I added notifications  decorator for each API call using monkey_patching. By this merge, users can get API call notification from any modules
  * Simple usage extension for nova.  Uses db to calculate tenant_usage for specified time periods
  * Assorted fixes to os-floating-ips to make it play nicely with an in-progress novaclient implementation, as well as some changes to make it more consistent with other os rest apis.  Changes include:
  * incorporate feedback from brian waldon and brian lamar.  Move associate/disassociate to server actions
  * add tenant_id to api.  without tenant_id, admins can't tell which servers belong to which tenants when retrieving lists
  * Added uuid column in virtual_interfaces table, and an OpenStack extension API for virtual interfaces to expose these IDs.  Also set this UUID as one of the external IDs in the OVS vif driver
  * add user_id and description.  without user_id, there is no way for a tenant to tell which user created the server.  description should be added for ec2 parity
  * Bugfix for lp 828429.  Its still not clear to me exactly how this code path is actually invoked when nova is used, so I'm looking for input on whether we should be adding a test case for this, removing the code as unused, etc.  Thanks
  * Makes all of the binary services launch using the same strategy.  * Removes helper methods from utils for loading flags and logging  * Changes service.serve to use Launcher  * Changes service.wait to actually wait for all the services to exit  * Changes nova-api to explicitly load flags and logging and use service.serve  * Fixes the annoying IOError when /etc/nova/nova.conf doesn't exist
  * Fixed bug in which DescribeInstances was returning deleted instances.  Added tests for pertinent api methods
  * Fixes issue with exceptions getting eaten in image/s3.py if there is a failure during register.  The variables referenced with locals() were actually out of scope
  * We don't have source for open-wrt in the source tree, so we shouldn't use the images.  Since the images are only there for uploading smoketests, They are now replaced with random images
  * Added ability too boot VM from install ISO.  System detects an image of type iso.  Images is streamed to a VDI and mounted to the VM.  Blank disk allocated to VM based on instance type
  * added logic to make the creation of networks (IPv4 only) validation a bit smarter:   - detects if the cidr is already in use   - detects if any existing smaller networks are within the range of requested cidr(s)   - detects if splitting a supernet into # of num_networks && network_size will fit   - detects if requested cidr(s) are within range of already existing supernet (larger cidr)
  * fix InvalidPortRange exception shows up in euca2ools  instead of UnknownError when euca-authorize is specified w/ invalid port #
  * have NetworkManager generate MAC address and pass it to the driver for plugging.  Sets the stage for being able to do duplicate checks on those MACs as well
  * API needs virtual_interfaces.instance joined when pulling instances from the DB.  Updated instance_get_all() to match instance_get_all_by_filters() even though the former is only used by nova-manage now.  (The latter is used by the API)
  * join virtual_interfaces.instance for DB queries for instances.  updates instance_get_all to match instance_get_all_by_filters
  * fix so that the exception shows up in euca2ools  instead of UnknownError
  * zone_aware_scheduler classes couldn't build instances due to a change to compute api's create_db_entry_for_new_instance call.  now passing image argument down to the scheduler and through to the call.  updated a existing test to cover this
  * Fixes broken image_convert.  The context being passed to glance image service was not a real context
  * Trunk contained PEP8 errors.  Fixed
  * Added migration to add uuid to virtual interfaces.  Added uuid column to models
  * For nova-manage network create cmd, added warning when size of subnet(s) being created are larger than FLAG.network_size,  in attempt to alleviate confusion.  For example, currently when 'nova-manage network create foo 192.168.0.0/16', the result is that it creates a 192.168.0.0/24 instead without any indication to why
  * fixed bug , when logic searched for next avail cidr it would return cidrs that were out of range of original requested cidr block.  added test for it
  * re-integrated my changes after merging trunk.  fixed some pep8 issues.  sorting the list of cidrs to create, so that it will create x.x.0.0 with a lower 'id' than x.x.1.0 (as an example).  <- was causing libvirtd test to fail
  * There was a recent change to how we should flip FLAGS in tests, but not all tests were fixed.  This covers the rest of them.  I also added a method to test.UnitTest so that FLAGS.verbose can be set.  This removes the need for flags to be imported from a lot of tests
  * updated to work w/ changes after merged trunk fixing var renaming.  the logic which forces default to FLAGS.network_size if requested cidr was larger, was also applying to requested cidrs smaller than FLAGS.network_size.   Requested cidrs smaller than FLAGS.network_size should be ignored and not overriden
  * Glance has been updated for integration with keystone.  That means that nova needs to forward the user's credentials (the auth token) when it uses the glance API.  This patch, combined with a forth-coming patch for nova_auth_token.py in keystone, establishes that for nova itself and for xenapi; other hypervisors will need to set up the appropriate hooks for their use of glance
  * code was checking for key in sqlalchemy instance and will ignore if value is None, but wasn't working if floating_ip was a non-sqlalchemy dict obj.  Therefore, updated the error checking to work in both caes
  * Adds the auth token to nova's RequestContext.  This will allow for delegation, i.e., use of a nova user's credentials when accessing other services such as glance, or perhaps for zones
  * Round 1 of changes for keystone integration.  * Modified request context to allow it to hold all of the relevant data from the auth component.  * Pulled out access to AuthManager from as many places as possible  * Massive cleanup of unit tests  * Made the openstack api fakes use fake Authentication by default
  * This change creates a minimalist API abstraction for the nova/rpc.py code so that it's possible to use other queue mechanisms besides Rabbit and/or AMQP, and even use other drivers for AMQP rather than Rabbit.  The change is intended to give the least amount of interference with the rest of the code, fixes several bugs in the tests, and works with the current branch.  I also have a small demo driver+server for using 0MQ which I'll submit after this patch is merged
  * this change will require that local urls be input with a properly constructed local url:  http://localhost/v1.1/images/[id].  Such urls are translated to ids at the api layer.  Previously, any url ending with and int was ok
  * Some work on testing.  Two cases related to lp816713 have some coverage already: using an id as an imageRef (test_create_instance_v1_1_local_href), and using a nova href as a url (test_create_instance_v1_1)
  * First pass at converting this stuff--pass context down into vmops.  Still need to fix unit tests and actually use auth_token from the context..
  * added warning when size of subnet(s) being created are larger than FLAG.network_size in attempt to alleviate confusion.  For example, currently when 'nova-manage network create foo 192.168.0.0/16', the result is that it creates a 192.168.0.0/24 instead without any indication to why
  * Moved the VIF network connectivity logic('ensure_bridge' and 'ensure_vlan_bridge') from the network managers to the virt layer.  In addition, VIF driver class is added to allow customized VIF configurations for various types of VIFs and underlying network technologies
  * modified to conform to latest AWS EC2 API spec for authorize & revoke ingress params using the IpPermissions data structure, which nests lists of CIDR blocks (IpRanges) as well as lists of Group data
  * Moved the exception handling of unplugging VIF from virt driver to VIF driver.  Added better comments.  Added OpenStack copyrights to libivrt vifs.py
  * Some code was recently added to glance to allow the is_public filter to be overridden.  This allows us to get all images and filter properly on the nova side until keystone support is in glance. This fixes the issue with private images and snapshots disappearing from the image list
  * Added  call to second coverage invocation
  * Fixed an issue where  was invoked before it was defined in the case of a venv
  * update for ryu's naming changes, fix some bugs.  tested with OVSDriver only so far
  * Fixes bug #807764.  Please disregard previous proposal with incorrect bug #
  * network api release_floating_ip method checks if an instance associated to the floating prior to releasing.  added test
  * renamed priv method arg_to_dict since it's not just used for revoke.  modified to conform to latest AWS EC2 API spec for authorize & revoke ingress params using the IpPermissions data structure, which nests lists of CIDR blocks (IpRanges) as well as lists of Group data
  * Adds greater configuration flexibility to rate limiting via api-paste.ini.  In particular:
  * Adds security groups to metadata server.  Also adds some basic tests for metadata code
  * peer review fix - per vish: 'This method automatically converts unknown formats to ami, which is the same logic used to display unknown images in the ec2 api.  This will allow you to properly deregister raw images, etc.'
  * ec2 api _get_image method logic flaw that strips the hex16 digit off of the image name, and does a search against the db for it and ignores that it may not be the correct image, such as if doing a search for aki-0000009, yet that image name doesn't exist, it strips off aki- and looks for any image_id 0000009 and if there was an image match that happens to be an ami instead of aki, it will go ahead and deregister that.  That behavior is unintended, so added logic to ensure that the original request image_id matches the type of image being returned from database by matching against container_format attr
  * clean up compute_api.get_all filter name remappings.  ditch fixed_ip one-off code.  fixed ec2 api call to this to compensate
  * Refactored OS API code to allow checking of invalid query string paremeters and admin api/context to the index/detail calls.  v1.0 still ignores unknown parameters, but v1.1 will return 400/BadRequest on unknown options.  admin_api only commands are treated as unknown parameters if FLAGS.enable_admin_api is False.   If enable_admin_api is True, non-admin context requests return 403/Forbidden
  * Replace 'like' support with 'regexp' matching done in python.  Since 'like' would result in a full table scan anyway, this is a bit more flexible. Make search options and matching a little more generic Return 404 when --fixed_ip doesn't match any instance, instead of a 500 only when the IP isn't in the FixedIps table
  * Reverses the self.auto_delete = True that was added to TopicPublisher in the bugfix for lp804063.  That bugfix should have only added auto_delete = True to FanoutPublisher to match the previous change to FanoutConsumer
  * Sets 'exclusive=True' on Fanout amqp queues.  We create the queues with uuids, so the consumer should have exclusive access and they should get removed when done (service stop).  exclusive implies auto_delete.  Fixes lp:803165
  * Fanout queues use unique queue names, so the consumer should have exclusive access.  This means that they also get auto deleted when we're done with them, so they're not left around on a service restart.  Fixes lp:803165
  * This speeds up multiple runs of tests to start up much faster because it only runs db migrations if the test db doesn't exist.  It also adds the -r/--recreate-db option to run_tests.sh to delete the tests db so it will be recreated
  * Proposing this because it is a critical fix before milestone.  Suggestions on testing it are welcome
  * Remove the unnecessary insertion of whitespace.  This happens to be enough to make this patch apply on recent versions of XenServer / Xen Cloud Platform
  * LeastCostScheduler wasn't checking for topic cost functions correctly. Added support so that --least_cost_scheduler_cost_functions only needs to have method names specified, instead of the full blown version with module and class name.  Still works the old way, too
  * altho security_group authorize & revoke tests already exist in test_api, adding some direct ec2 api method tests.   added group_id param support to the pertinent security group methods
  * This catches the InstanceNotFound exception on create, and ignores it.  This prevents errors in the compute log, and causes the server to not be built (it should only get InstanceNotFound if the server was deleted right after being created).  This is a temporary fix that should be fixed correctly once no-db-messaging stuff is complete
  * Remove the unnecessary insertion of whitespace.  This happens to be enough to match this patch apply on recent versions of XenServer / Xen Cloud Platform
  * Implements a portion of ec2 ebs boot. What's implemented - block_device_mapping option for run instance with volume   (ephemeral device and no device isn't supported yet) - stop/start instance
  * Fixes two minor bugs (lp795123 and lp795126) in the extension mechanism.  The first bug is that each extension has _check_extension() called twice on it; this is a minor cosmetic problem, but the second is that extensions which flunk _check_extension() are still added.  The proposed fix is to make _check_extensions() return True or False, then make _add_extension() call it from the top and return immediately if _check_extensions() returns False
  * Glance host defaults to  rather than localhost
  * This fixes the server_metadata create and update functions that were returning req.body (as a string) instead of body (deserialized body dictionary object).  It also adds checks where appropriate to make sure that body is not empty (and return 400 if it is).  Tests updated/added where appropriate
  * in XML Serialization of output, the toprettyxml() call would sometimes return a str() and sometimes unicode(), I've forced encoding to utf-8 to ensure that we always get str().  This fixes the related bug
  * This branch allows marker and limit parameters to be used on image listing (index and detail) requests.  It parses the parameters from the request, and passes it along to the glance_client, which can now handle these parameters.  Essentially all of the logic for the pagination is handled in glance, we just pass along the correct parameters and do some error checking
  * This branch removes nwfilter rules when instances are terminated to prevent resource leakage and serious eventual performance degradation.  Without this patch, launching instances and restarting nova-compute eventually become very slow
  * paramiko is not installed into the venv, but is required by smoketests/base.py.  Added paramiko to tools/pip-requires
  * Changes all uses of utcnow to use the version in utils.  This is a simple wrapper for datetime.datetime.utcnow that allows us to use fake values for tests
  * This change set adds the ability to create new servers with an href that points to a server image on any glance server (not only the default one configured).  This means you can create a server with imageRef = http://glance1:9292/images/3  and then also create one with imageRef = http://glance2:9292/images/1.  Using the old way of passing in an image_id still works as well, and will use the default configured glance server (imageRef = 3 for instance)
  * Fixes nova-manage bug.  When a nova-network host has allocated floating ips *AND* some associated, the nova-manage floating list <host> would throw exception because was expecting hash with 'ec2_id' key , however, the obj returned is a sqlalchemy obj and the attr we need is 'hostname'
  * - move osapi-specific wsgi code from nova/wsgi.py to nova/api/openstack/wsgi.py - refactor wsgi modules to use more object-oriented approach to wsgi request handling:     - Resource object steps up to original Controller position     - Resource coordinates deserialization, dispatch to controller, serialization     - serialization and deserialization broken down to be more testable/flexible
  * Adds a few more status messages to error states on image register for the ec2 api.  This will hopefully provide users of the ec2 api with a little more info if their registration fails
  * When encrypting passwords in xenapi's SimpleDH(), we shouldn't send a final newline to openssl, as it'll use that as encryption data.  However, we do need to make sure there's a newline on the end when we write the base64 string for decoding..  Made these changes and updated the test
  * fix calls to openssl properly now.  Only append \n to stdin when decoding.  Updated the test slightly, also
  * fakerabbit's declare_consumer should support more than 1 consumer.  also: make fakerabbit Backend.consume be an iterator like it should be.
  * During the API create call, the API would kick off a build and then loop in a greenthread waiting for the scheduler to pick a host for the instance.  After API would see a host was picked, it would cast to the compute node's set_admin_password method
  * fix test.  instance is not updated in DB with admin password in the API anymore
  * updating admin_pass moved down to compute where the password is actually reset.  only update if it succeeds
  * Make snapshot_id=None a default value in VolumeManager:create_volume().  It is not a regular case to create a volume from a snapshot
  * instead of the API spawning a greenthread to wait for a host to be picked, the instance to boot, etc for setting the admin password...  let's push the admin password down to the scheduler so that compute can just take care of setting the password as a part of the build process
  * Pretty simple.  We call openssl to encrypt the admin password, but the recent changes around this code forgot to strip the newline off the read from stdout
  * Get rid of old virt/images.py functions that are no longer needed.  Checked for any loose calls to these functions and found none.  All tests pass for me
  * This fix ensures that kpartx -d is called in the event that tune2fs fails during key injection, as it does when trying to inject a key into a windows instance.  Bug #760921 is a symptom of this issue, as if kpartx -d is not called then partitions remain mapped that prevent the underlying nbd from being reused
  * Separate out tests for when unfilter is called from iptables vs. nwfilter driver.  Re: lp783705
  * make token use typo that is in database.  Also fix now -> utcnow and stop using . syntax for dealing with tokens
  * I'm assuming that openstack doesnt work with python < 2.6 here (which I read somewhere on the wiki).  This patch will check to make sure python >= 2.6 is installed, and also allow it to work with python 2.7 (and greater in the future)
  * XenAPI was not implemented to allow for multiple simultaneous XenAPI requests.  A single XenAPIConnection (and thus XenAPISession) is used for all queries.  XenAPISession's wait_for_task method would set a self.loop = for looping calls to _poll_task until task completion.  Subsequent (parallel) calls to wait_for_task for another query would overwrite this.  XenAPISession._poll_task was pulled into the XenAPISession.wait_for_task method to avoid having to store self.loop
  * fix for lp760921.  Previously, if tune2fs failed, as it does on windows hosts, kpartx -d also failed to be called which leaves mapped partitions that retain holds on the nbd device.  These holds cause the observed errors
  * Add a test for parallel builds.  verified this test fails before this fix and succeeds after this fix
  * Fixes an issue with conversion of images that was introduced by exception refactoring.  This makes the exceptions when trying to locate an ec2 id clearer and also adds some tests for the conversion methods
  * Add priority based queues to notifications. Remove duplicate json encoding in notifier (rpc.cast does encoding... ) make no_op_notifier  match rabbit one for signature on notify()
  * remove stubbing of XenAPISession.wait_for_task for xenapi tests as it doesn't need to be faked.  Also removed duplicate code that stubbed xenapi_conn._parse_xmlrpc_value
  * Simple fix for this issue.  Tries to raise an exception passing in a variable that doesn't exist, which causes an error
  * Changes to allow a VM to boot from  iso image.  A blank HD is also attached with a size corresponding to the instance type
  * Add a flag to allow the user to specify a dnsmasq configuration file for nova-network to use when starting dnsmasq. Currently the command line option is set to "--config-fil=" with nothing specified.  This branch will leave it as it is if the user does not specify a config file, but will utilize the specific file if they do
  * Added an option to run_tests.sh so you can run just pep8. So now you can:     ./run_tests.sh --just-pep8 or     ./run_tests.sh -p
  * Rework GlanceImageService._translate_base() to not call BaseImageService._translate_base() otherwise the wrong class attributes are used in properties construction..
  * Fixes s3.py to allow looking up images by name.  Smoketests run unmodified again with this change!
  * Added support for listing addresses of a server in the openstack api. Now you can GET  * /servers/1/ips  * /servers/1/ips/public  * /servers/1/ips/private Supports v1.0 json and xml. Added corresponding tests
  * Automatically add the metadata address to the network host.  This allows guests to ARP for the address properly
  * This branch is a patch for fixing below issue. > Bug #746821: live_migration failing due to network filter not found  Link a bug report
  * ApiError code should default to None, and will only display a code if one exists.  Prior was output an 'ApiError: ApiError: error message' string, which is confusing
  * ec2 api run_instances checks for image status must be 'available'.  Overhauled test_run_instances for working set of test assertions
  * Added an option to run_tests.sh so you can run just pep8. So now you can:     ./run_tests.sh --just-pep8 or     ./run_tests.sh -p
  * Add automatic metadata ip to network host on start.  Also fix race where gw is readded twice
  * Added support for listing addresses of a server in the openstack api. Now you can GET  * /servers/1/ips  * /servers/1/ips/public  * /servers/1/ips/private Supports v1.0 json and xml. Added corresponding tests
  * Fixes bug 741246.  Ed Leafe's inject_file method for the agent plugin was mistakenly never committed after having to fix commits under wrong email address.  vmops makes calls to this (previously) missing method
  * Makes the image decryption code use the per-project private key to decrpyt uploaded images if use_project_ca is set.  This allows the decryption code to work properly when we are using a different ca per project
  * TopicAdapterConsumer uses a different callback model than TopicConsumer.  This patch updates the console proxy to use this pattern
  * "Incubator" is no more.  Long live "contrib"
  * Stop nova-manage from reporting an error every time.  Apparently except: catches sys.exit(0)
  * Displays an error message to the user if an exception is raised.  This is vital because if logfile is set, the exception shows up in the log and the user has no idea something went wrong
  * Start up nova-api service on an unused port if 0 is specified.  Fixes bug 744150
  * Updates to the newest version of nova.sh, which includes:  * Installing new python dependencies  * Allows for use of interfaces other than eth0  * Adds a run_detached mode for automated testing
  * Now that it's an extension, it has to be v1.1.  Also fixed up all the things that changed in v1.1
  * Implement metadata resource for Openstack API v1.1. Includes:       -GET /servers/id/meta       -POST /servers/id/meta       -GET /servers/id/meta/key       -PUT /servers/id/meta/key       -DELETE /servers/id/meta/key
  * Implementation of blueprint hypervisor-vmware-vsphere-support.  (Link to blueprint: https://blueprints.launchpad.net/nova/+spec/hypervisor-vmware-vsphere-support)
  * style and spacing  fixed
  * Doh!  Missed two places which were importing the old driver location
  * Earlier versions of the python libvirt binding had getVersion in the libvirt namespace, not on the connection object.  Check both
  * Correctly imports greenthread in libvirt_conn.py.  It is used by live_migrate()
  * Test the login behavior of the OpenStack API.  Uncovered bug732866
  * intermediate progress on vnc-nova integration.  checking in to show vish
  * Implement metadata resource for Openstack API v1.1. Includes:     -GET /servers/id/meta     -POST /servers/id/meta     -GET /servers/id/meta/key     -PUT /servers/id/meta/key     -DELETE /servers/id/meta/key
  * Make the rpc cast/call debug calls show what topic they are sending to.  This aides in debuugging
  * fix for lp712982, and likely a variety of other dashboard error handling issues.  This fix simply causes the default error code for ApiError to be 'ApiError' rather than 'Unknown', which makes dashboard handle the error gracefully, and makes euca error output slightly prettier
  * User ids are strings, and are not necessarily == name.  Also fix so that non-existent user gives a 404, not a 500
  * * Updated document vmware_readme.rst to mention VLAN networking * Corrected docstrings as per pep0257 recommentations. * Stream-lined the comments. * Updated code with locals() where ever applicable. * VIM : It stands for VMware Virtual Infrastructure Methodology. We have used the terminology from VMware.  we have added a question in FAQ inside vmware_readme.rst in doc/source * New fake db: vmwareapi fake module uses a different set of fields and hence the structures required are different. Ex: bridge : 'xenbr0' does not hold good for VMware environment and bridge : 'vmnic0' is used instead. Also return values varies, hence went for implementing separate fake db. * Now using eventlet library instead and removed io_utils.py from branch. * Now using glance.client.Client instead of homegrown code to talk to Glance server to handle images. * Corrected all mis-spelled function names and corresponding calls. Yeah, an auto-complete side-effect!
  * As suggested by Eric Day:  * changed request.environ version key to more descriptive 'api.version'  * removed python3 string formatting  * added licenses to headers on new files
  * Reapplied rename of Openstack -> OpenStack.  Easier to do it by hand than to ask Bazaar to do it
  * Merged with trunk.  Had to hold bazaar's hand as it got lost again
  * Implemented Hyper-V list_instances_detail function.  Needs a cleanup by someone that knows the Hyper-V code
  * So the first of those tests doesn't pass.  Removing as it looks like it was meant to be deleted
  * Re-removed the code that was deleted upstream but somehow didn't get merged in.  Bizarre!
  * Test login.  Uncovered bug732866
  * Modifies S3ImageService to wrap LocalImageService or GlanceImageService.  It now pulls the parts out of s3, decrypts them locally, and sends them to the underlying service.  It includes various fixes for image/glance.py, image/local.py and the tests
  * Fixes nova.sh to run properly the first time.  We have to get the zip file after nova-api is running
  * Fixes a race condition where multiple greenthreads were attempting to resize a file at the same time.  Adds tests to verify that the image caching call will run concurrently for different files, but will block other greenthreads trying to cache the same file
  * removed uneeded  **kw args leftover from removed account-in-url changes
  * * pep8 cleanups in migrations  * a few bugfixes
  * Merged with trunk and fixed conflict.  Sigh
  * Inhibit inclusion of stack traces in the logs UNLESS --verbose has been specified.  This should help keep the logs compact, helping admins find the messages they're interested in (e.g., "Can't connect to MySQL server on '127.0.0.1' (111)") without having to sort through the stack traces, while still allowing developers to see those traces at will
  * * os_type is no longer `not null`
  * Updated with flags for nova-compute, nova-network and nova-console. Added the flags,  --vlan_interface=<Physical ethernet adapter name in VMware ESX host for vlan networking E.g vmnic0>  --network_driver=nova.network.vmwareapi_net [Optional, only for VLAN Networking]  --flat_network_bridge=<ESX Virtual Machine Port Group> [Optional, only for Flat Networking]  --console_manager=nova.console.vmrc_manager.ConsoleVMRCManager  --console_driver=nova.console.vmrc.VMRCSessionConsole [Optional for OTP (One time Passwords) as against host credentials]  --vmwareapi_wsdl_loc=<http://<WEB SERVER>/vimService.wsdl>
  * 1) merge trunk 2) removed preconfigure_xenstore 3) added jkey for broadcast address in inject_network_info 4) added 2 flags: 	4.1) xenapi_inject_image (default True) 	This flag allows for turning off data injection by mounting the image in the VDI 	(agreed with Trey Morris) 	4.2) xenapi_agent_path (default /usr/bin/xe-update-networking) 	This flag specifies the path where the agent should be located. It makes sense only 	if the above flag is True. If the agent is found, data injection is not performed
  * Add some methods to the ec2 admin api to work with VPNs.  Also implements and properly documents the get_hosts method
  * Support HP/LeftHand SANs.  We control the SAN by SSHing and issuing CLIQ commands.  Also improved the way iSCSI volumes are mounted: try to store the iSCSI connection info in the volume entity, in preference to doing discovery.  Also CHAP authentication support
  * Fixes and optimizes filtering for describe_security_groups.  Also adds a unit test
  * The kernel_id and the ramdisk_id are optional, yet the OpenStack API was requiring them.  In addition, with the ObjectStore these properties are not under 'properties' (as they are with Glance)
  * Initial support for per-instance metadata, though the OpenStack API.  Key/value pairs can be specified at instance creation time and are returned in the details view.  Support limits based on quota system
  * Add flags for listen_port to nova-api.  This allows us to listen on one port, but return another port (for a proxy or load balancer) in calls like describe_regions, etc
  * Fixed based on reviewer's comment. 1. DB schema change    vcpu/memory/hdd info were stored into Service table.    but reviewer pointed out to me creating new table is better    since Service table has too much columns
  * The OpenStack API was using the 'secret' as the 'access key'.  There is an 'access key' and there is a 'secret key'.  Access key ~= username.  Secret key ~= password.  This fix is necessary for the OpenStack Python API bindings to log in
  * * Removed VimService_services.py & VimService_services_types.py to reduce the diffs to normal.   These 2 files are auto-generated files containing stubs for VI SDK API end points.   The stub files are generated using ZSI SOAP stub generator module ZSI.commands.wsdl2py over   Vimservice.wsdl distributed as part of VMware Virtual Infrastructure SDK package.   To not include them in the repository we have few options to choose from,   1) Generate the stub files in build time and make them available as packages for distribution.   2) Generate the stub files in installation/configuration time if ESX/ESXi server is detected as compute provider.   Further to this, we can try to reduce the size of stub files by attempting to create stubs only for the API end points required by the module vmwareapi
  * * Removed nova/virt/guest-tools/guest_tool.bat &   nova/virt/guest-tools/guest_tool.sh as guest_tool.py   can be invoked directly during guest startup
  * Fixes ldapdriver so that it works properly with admin client.  It now sanitizes all unicode data to strings before passing it into ldap driver.  This may need to be rethought to work properly for internationalization
  * -from migrate.versioning import exceptions as versioning_exceptions + +try: +    from migrate.versioning import exceptions as versioning_exceptions +except ImportError: +    try: +        # python-migration changed location of exceptions after 1.6.3 +        # See LP Bug #717467 +        from migrate import exceptions as versioning_exceptions +    except ImportError: +        sys.exit(_("python-migrate is not installed. Exiting."))
  * When re-throwing an exception, use "raise", not "raise e".  This way we don't lose the stack trace
  * This fixes a lazy-load issue in describe-instances, which causes a crash.  The solution is to specifically load the network table when retrieving an instance
  * 1. Merged to rev654(?) 2. Fixed bug continuous request.    if user continuouslly send live-migration request to same host,    concurrent request to iptables occurs, and iptables complains.    This version add retry for this issue
  * Added support for 'SAN' style volumes.  A SAN's big difference is that the iSCSI target won't normally run on the same host as the volume service
  * Added test case for 'not enough memory' Successfully ran  unit tests Fixed pep8 errors
  * Use firewall_driver flag as expected with NWFilterFirewall.  This way, either you use NWFilterFirewall directly, or you use IptablesFirewall, which creates its own instance of NWFilterFirewall for the setup_basic_filtering command.  This removes the requirement that LibvirtConnection would always need to know about NWFirewallFilter, and cleans up the area where the flag is used for loading the firewall class
  * Fix regression in s3 image service.  This should be a feature freeze exception
  * Fixing documentation strings.  Second attempt at pep8
  * Removal of image tempdir in test tearDown.  Also, reformatted a couple method comments to match the file's style
  * Add DescribeInstanceTypes to admin api.  This lets the dashboard know what sizes can be launched (using the -t flag in euca-run-instances, for example) and what resources they provide
  * This branch updates docs to reflect the db sync addition.  It additionally adds some useful errors to nova-manage to help people that are using old guides.  It wraps sqlalchemy errors in generic DBError. Finally, it updates nova.sh to use current settings
  * Wraps the NotFound exception at the api layer to print the proper instance id.  Does the same for volume.  Note that euca-describe-volumes doesn't pass in volume ids properly, so you will get no error messages on euca-describe-volumes with improper ids.  We may also need to wrap a few other calls as well
  * No longer hard coding to "/tmp/nova/images/".   Using tempdir so tests run by different people on the same development machine pass
  * Switches from project_get_network to network_get_by_instance, which actually works with all networking modes.  Also removes a couple duplicate lines from a bad merge
  * Fix describe_regions by changing renamed flags.  Also added a test to catch future errors
  * Wrap instance at api layer to print the proper error.  Use same logic for volumes
  * Change default log formats so that:  * they include a timestamp (necessary to correlate logs)  * no longer display version on every line (shorter lines)  * use [-] instead of [N/A] (shorter lines, less scary-looking)  * show level before logger name (better human-readability)
  * Fix metadata using versions other than /later.  Patch via ~ttx
  * merged  to trunk rev572
  * This disables ipv6 by default.  Most use cases will not need it on and it makes dependencies more complex
  * s/cleanup/volume.  volume commands will need their own ns in the long run
  * fixes related to #701749.  Also, added nova-manage commands to recover from certain states:
  * This removes the need for the custom udev rule for iscsi devices.  It instead attaches the device based on /dev/disk/by-path/ which should make the setup of nova-volume a little easier
  * Risk of Regression: This patch don’t modify existing functionlities, but I have added some.     1. nova.db.service.sqlalchemy.model.Serivce (adding a column to database)     2. nova.service ( nova-compute needes to insert information defined by 1 above)
  * Change where paste.deploy factories live and how they are called.  They are now in the nova.wsgi.Application/Middleware classes, and call the __init__ method of their class with kwargs of the local configuration of the paste file
  * Further decouple api routing decisions and move into paste.deploy configuration.  This makes paste back the nova-api binary
  * This branch fixes two outstanding bugs in compute.  It also fixes a bad method signature in network and removes an unused method in cloud
  * Re-removes TrialTestCase.  It was accidentally added in by some merges and causing issues with running tests individually
  * import re, remove extra call in cloud.py.  Move get_console_output to compute_api
  * This modifies libvirt to use CoW images instead of raw images.  This is much more efficient and allows us to use the snapshotting capabilities available for qcow2 images.  It also changes local storage to be a separate drive instead of a separate partition
  * pep8.  Someday I'll remember 2 blank lines between module methods
  * Fixes bug #701055.  Moves code for instance termination inline so that the manager doesn't prematurely mark an instance as deleted.  Prematurely doing so causes find calls to fail, prevents instance data from being deleted, and also causes some other issues
  * Fixes #701055.  Move instance termination code inline to prevent manager from prematurely marking it as destroyed
  * Added unit tests for the xenapi-glance integration.  This adds a glance simulator that can stub in place of glance.client.Client, and enhances the xapi simulator to add the additional calls that the Glance-specific path requires
  * This branch adds web based serial console access.  Here is an overview of how it works (for libvirt):
  * Quick bugfix.  Also make the error message more specific and unique in the equivalent code in the revoke method
  * Fixed a number of issues with the iptables firewall backend:  * Port specifications for firewalls come back from the data store as integers, but were compared as strings.  * --icmp-type was misspelled as --icmp_type (underscore vs dash)  * There weren't any unit tests for these issues
  * Fixed a number of issues with the iptables firewall backend:  * Port specifications for firewalls come back from the data store as integers, but were compared as strings.  * --icmp-type was misspelled as --icmp_type (underscore vs dash)  * There weren't any unit tests for these issues
  * A few more changes to the smoeketests.  Allows smoketests to find the nova package from the checkout.  Adds smoketests for security groups.  Also fixes a couple of typos
  * Checks for existence of volume group using vgs instead of checking to see if /dev/nova-volumes exists.  The dev is created by udev and isn't always there even if the volume group does exist
  * fixed small glitch in _fetch_image_glance  virtual_size = imeta['size']
  * First cut at implementing partition-adding in combination with the Glance streaming.  Untested
  * Fixes format_instances error by passing reservation_id as a kwarg instead of an arg.  Also removes extraneous yields in test_cloud that were causing tests to pass with broken code
  * Remove module-level factory methods in favor of having a factory class-method on wsgi components themselves.  Local options from config are passed to the __init__ method of the component as kwargs
  * Add blank __init__ file for fixing importability.  The stale .pyc masked this error locally
  * Uses paste.deploy to make application running configurable.  This includes the ability to swap out middlewares, define new endpoints, and generally move away from having code to build wsgi routers and middleware chains into a configurable, extensible method for running wsgi servers
  * Adds the pool_recycle option to the sql engine startup call.  This enables connection auto-timeout so that connection pooling will work properly.  The recommended setting (per sqlalchemy FAQ page) has been provided as a default for a new configuration flag.  What this means is that if a db connection sits idle for the configured # of seconds, the engine will automatically close the connection and return it to the available thread pool.  See Bug #690314 for info
  * Add burnin support.  Services are now by default disabled, but can have instances and volumes run on them using availability_zone = nova:HOSTNAME.  This lets the hardware be put through its paces without being put in the generally available pool of hardware.  There is a 'service' subcommand for nova-manage where you can enable, disable, and list statuses of services
  * merge recent revision(version of 2010/12/28) Change:    1. Use greenthread instead of defer at nova.virt.libvirt_conn.live_migration.    2. Move nova.scheduler.manager.live_migration to nova.scheduler.driver    3. Move nova.scheduler.manager.has_enough_resource to nova.scheduler.driver    4. Any check routine in nova-manage.instance.live_migration is moved to       nova.scheduler.driver.schedule_live_migration
  * Add the pool_recycle setting to enable connection pooling features for the sql engine.  The setting is hard-coded to 3600 seconds (one hour) per the recommendation provided on sqlalchemy's site
  * This branch fixes an issue where VM creation fails because of a missing flag definition for 'injected_network_template'.  See Bug #695467 for more info
  * Re-added flag definition for injected_network_template.  Tested & verified fix in the same env as the original bug
  * Make nova work even when user has LANG or LC_ALL configured
  * removing xen/uml specific switches.  If they need special treatment, we can add it
  * merge trunk, fixed unittests, added i18n strings, cleanups etc etc
  * Adds a flag to use the X-Forwarded-For header to find the ip of the remote server.  This is needed when you have multiple api servers with a load balancing proxy in front.  It is a flag that defaults to False because if you don't have a sanitizing proxy in front, users could masquerade as other ips by passing in the header manually
  * Puts the creation of nova iptables chains into the source code and cleans up rule creation.  This makes nova play more nicely with other iptables rules that may be created on the host
  * prototype works with kvm.  now moving call from api to compute
  * Rewrite of vif_rules.py to meet coding standards and be more pythonic in general.  Use absolute paths for iptables/ebtables/arptables in host-rules
  * テストコードをレポジトリに追加 nova.compute.manager.pre_live_migration()について、異常終了しているのに正常終了の戻り値を返すことがあったため変更  - 正常終了の戻り値をTrueに変更  - fixed_ipが見つからないときにはRemoteErrorをraiseする  - それに合わせてnova.compute.manager.live_migrationも変更
  * テストコードをレポジトリに追加 nova.compute.manager.pre_live_migration()について、異常終了しているのに正常終了の戻り値を返すことがあったため変更  - 正常終了の戻り値をTrueに変更  - fixed_ipが見つからないときにはRemoteErrorをraiseする  - それに合わせてnova.compute.manager.live_migrationも変更
  * Make nova work even when user has LANG or LC_ALL configured
  * The ppa was moved.  This updates nova.sh to reflect that
  * Initial work on i18n.  This adds the installation of the nova domain in gettext to all the "endpoints", which are all the bin/* files and run_tests.py
  * filter describe volumes by supplied ids.  Includes unittest
  * Don't wrap HTTPAccepted in a fault.  Correctly pass kwargs to update_instance
  * Decreased the maximum value for instance-id generation from uint32 to int32 to avoid truncation when being entered into the instance table.  Reverted fix to make internal_id column a uint
  * Oops, update 'display_name', not 'name'.  And un-extract-method
  * Guarantee that the OpenStack API's Server-related responses will always contain a "name" value.  And get rid of a redundant field in models.py
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev225:
  * Migrate compute node resource information to Inventory objects
  * Drop compute node uuid online migration code
  * Fix max concurrent builds's unlimited semaphore
  * XenAPI: specify block size for writing config drive
  * Make swap-volume an admin-only API by default
  * Stop using mox in test_security_groups
  * avoid microversion header in functional test
* Mon Apr 11 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev213:
  * Fix database poison warnings
  * Add link to the latest nova.conf example
  * Rewrite 'test_filter_schedule_skipping' method using Mock
  * Fixes hex decoding related unit tests
* Sun Apr 10 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev207:
  * Improve the help text for the linuxnet options (1)
  * Add "__repr__" method to class "Service"
  * Add api-ref/build/* to .gitignore
  * Check if a exception has a code on it before read the code
  * Fix typo in comments of affinity and anti-affinity
  * Return 400 on boot for invalid image metadata
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev196:
  * Updated from global requirements
  * remove alembic from requirements.txt
  * Config options: centralize section "xvp"
  * Imported Translations from Zanata
  * Updated from global requirements
  * allow samples testing for PUT to not have a body
  * Fix typo in compute node mega join comments
  * Improve help text for the network object options
  * Add metadata objects for device tagging
  * Add tag column to vifs and bdm
  * libvirt: Allow use of live snapshots with RBD snapshot/clone
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev176:
  * Moved tags filtering tests to TestInstanceTagsFiltering test case
  * Move config options from nova/network/linux_net.py
  * config options: centralize quota options
  * Config options: Centralize console options
  * Config options: Centralize notification options
  * Added server tags support in nova-api
  * Added server tags controller
  * Added db API layer to add instance tag-list filtering support
  * Config options: Centralize ipv6 options
  * Improve 'monkey_patch' conf options documentation
  * config options: Move crypto options into a group
  * Remove extensible resource tracking
  13.0.0
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Fix detach SR-IOV when using LibvirtConfigGuestHostdevPCI
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update cells blacklist regex for test_server_basic_ops
  * Stop providing force_hosts to the scheduler for move ops
  * Fix typos in document
  13.0.0.0rc2
  * Imported Translations from Zanata
  * Try to repopulate instance_group if it is None
  * Fix typo 'mappgins' to 'mappings'
  * Imported Translations from Zanata
  * stop setting mtu when plugging vhost-user ports
  * Imported Translations from Zanata
  * Fix conversion of config disks to qcow2 during resize/migration
  * xenapi: Fix when auto block_migration in the API
  * xenapi: Fix up passing of sr_uuid_map
  * xenapi: Fix the live-migrate aggregate check
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update .gitreview for stable/mitaka
  * Add functional test for OverQuota
  * Translate OverLimit exceptions in Cinder calls
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev308:
  * Improve 'workarounds' conf options documentation
  * Config options: centralize "configdrive" options
  * config options: centralize baseproxy cli options
  * Fix import statement order in nova/rpc.py
  * Document our policy on fixing v2.0 API bugs
  * Config options: Centralize neutron options
  * Fix up online_data_migrations manage command to be consistent
  * config options: centralize xenserver vmops opts
  * Config options: Centralize xenapi driver options
  * config options: centralize xenserver vm_utils opts
  * Remove flavor seeding from the base migration
  * Rely on devstack to skip rescue tests for cells v1
  * Replace topic with topics for messaging.Notifier
  * Fix flavor migration tests and edge case found
  * config options: Centralize vmware section
  * Ironic: Use ironicclient native retries for connection errors
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev279:
  * Updated from global requirements
  * conf: Remove 'destroy_after_evacuate'
  * config options: centralize section: "crypto"
  * config options: Centralise 'monkeypatch' options
  * config options: Centralise 'utils' options
  * doc: clean up oslo-incubator related stuff
  * config option generation doesn't work with a generator
  * Change the nova tempest blacklist to use to idempotent ids
  * Remove DictCompat from mapping objects
  * Enhance value check for option notify_on_state_change
  * config options: Centralize upgrade_levels section
  * config options: Centralize mks options
  * Remove DictCompat from S3 object
  * Define context.roles using base class
  * config options: centralize section "guestfs"
  * config options: Centralize 'nova.rpc' options
  * Fix not supported error message
  * Move resource provider staticmethods to proxies
  * VMware: Always update image size for sparse image
  * Soft delete instance group member when delete instance
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev240:
  * config options: centralize section "service"
  * TrivialFix: removed unnecessary cycle in servicegroup/test_api.py
  * Handle pre-migration flavor creation failures in the crusty old API
  * config options: centralize section "workarounds"
  * Cleanup NovaObjectDictCompat from BandwidthUsage
  * config options: fix the missed cli options of novncproxy
  * Nuke cliutils from oslo-incubator
  * libvirt: pci detach devices should use dev.address
  * Updated from global requirements
  * config options: Centralize xenapi torrent options
  * Move config options from nova/objects/network.py
  * Fix error message of nova baremetal-node-delete
  * Enhanced error handling for rest_parameters parser
  * config options: Centralise 'image_file_url' options
  * Add Service.get_minimum_version_multi() for multiple binaries
  * Make git clean actually remove covhtml
  * Make compute_node_statistics() use new schema
  * Config options: Centralize consoleauth options
  * config options: centralize section "cloudpipe"
  * After migrate in-use volume the BDM information lost
  * VMware: Use Port Group and Key in binding details
  * Remove mox from tests/functional/api_sample_tests/test_cells.py
  * Add NetworkRequestList.from_tuples helper
  * Remove unused argument v3mode
  * Add a hacking check for test method closures
* Sun Apr  3 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev190:
  * Fix: unable to delete instance when cinder is down
  * Block flavor creation until main database is empty
  * Further hack up the n.t.unit.db.fakes module of horribleness
  * libvirt: fix ivs test to use the ivs vif object
  * libvirt: pass a real instance object into vif plug/unplug methods
  * Remove mox from tests/unit/api/openstack/compute/test_baremetal_nodes.py
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev179:
  * Add flavor migration routine
  * Make Flavor create() and destroy() work against API DB
  * neutron: Update the port with a MAC address for PFs
  * The 'record' option of the WebSocketProxy should be string
  * config options: centralize section: "glance"
  * remove the ability to disable v2.1
  * pci: Add utility method for getting the MAC addr
  * Config options: Centralize resource tracker options
  * Remove DictCompat from ComputeNode
  * config options: Centralise 'virt.imagecache' options
  * config options: remove the scheduler import_opt()s
  * Improve the help text for hyperv options (3)
  * Improve the help text for hyperv options (2)
  * Remove a redundant 'that'
  * config options: Centralize xenapi options
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev151:
  * Set 'libvirt.sysinfo_serial' to 'none' in RealTimeServersTest
  * remove glance deprecated config
  * Allow to update resource per single node
  * neutron: pci_request logic considers 'direct-physical' vnic type
  * Add sample API content
  * Create api-ref docs site
  * Config options: Centralize debugger options
  * Removes some redundant words
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev136:
  * Improve the help text for hyperv options (1)
  * Cleanup NovaObjectDictCompat from NumaTopology
  * Cleanup the exception LiveMigrationWithOldNovaNotSafe
  * config options: centralize section: "keymgr"
  * Live migration failure in API leaves VM in MIGRATING state
  * Change "libvirt.xml" back to the original after doing unrescue
  * config options: centralize section "monitors"
  * Fix API Error on hypervisor-uptime API
  * VMware: make the opaque network attachment more robust
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev118:
  * Add a vnic type for PF passthrough and a new libvirt vif driver
  * libvirt: live_migration_flags/block_migration_flags default to 0
  * Populate instance_mappings during boot
  * Fix detach SR-IOV when using LibvirtConfigGuestHostdevPCI
  * Reduce number of db calls during image cache manager periodic task
  * Allow ironic driver to specify cafile
  * Fixup test_connection_switch functional test
  * config options: centralize section: "rdp"
  * Config options: centralize section "hyperv"
  * <VMWare> Allocate free bus for new SCSI controller
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev99:
  * libvirt: exercise vif driver 'plug' method in tests
  * config options: centralize xenserver options
  * Update cells blacklist regex for test_server_basic_ops
  * Config options: Centralize ldapdns options
* Mon Mar 28 2016 tbechtold@suse.com
- Adjust default nova.conf values
* Mon Mar 28 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev93:
  * Enforce migration tests for api database
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev91:
  * Objectify test_flavors and test_flavors_extra_specs
  * trivial: Fix alignment of wsgi options
  * config options: Remove 'wsgi_' prefix from opts
  * Imported Translations from Zanata
  * Stop providing force_hosts to the scheduler for move ops
  * Make flavor extra_specs operations work against the API DB
  * Move config options from nova/network/manager.py
  * config options: Use OptGroup for listing options
  * config options: Move wsgi options into a group
  * config options: Centralise floating ip options
  * Add Newton sanity check migration
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev69:
  * Include CellMapping in InstanceMapping object
  * Make Flavor access routines work against API database
  * Clarify the ``use_neutron`` option upgrade notes
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev64:
  * Try to repopulate instance_group if it is None
  * Make FlavorList.get_all() return results from the API and main DBs
  * Objectify some tests in test_compute and test_flavors
  * Objectify test_instance_type_extra_specs
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev56:
  * Fix SAWarning in _flavor_get_by_flavor_id_from_db
  * Add a DatabasePoisonFixture
  * Removes redundant object fields
  * Add os-brick rootwrap filter for privsep
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev50:
  * Added missing "=" in debug message
  * Fix JSON format of server_concepts
  * Removal of unnecessary `import_opt`s for centralized config options
  * Add backrefs to api db models
  * stop setting mtu when plugging vhost-user ports
  * test_fields: Remove all 'Enum' subclass tests
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev39:
  * Remove /v1.1 endpoint from api-guide
  * Trivial: Use exact docstring for quota module
  * VMware: use datacenter path to fetch image
  * Remove duplicated oslo.log configuration setup
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev34:
  * Fix retry mechanism for generator results
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev33:
  * Update reno for stable/mitaka
  * Blacklist TestOSAPIFixture.test_responds_to_version in python3
  * Fix conversion of config disks to qcow2 during resize/migration
  * Remove auto generated module api documentation
  * Mark 2.25 as Mitaka maxmium API version
  * xenapi: Fix when auto block_migration in the API
  * xenapi: Fix up passing of sr_uuid_map
  * Error on API Guide warnings
  * Support-matrix of vmware for chap is wrong
  * Remove duplicate test case flavor_create
* Fri Mar 18 2016 tbechtold@suse.com
- Remove 0001-Wait-for-neutron-events-when-using-xen-driver.patch
  Abandoned upstream but another patch was merged to solve the bug
* Fri Mar 18 2016 tbechtold@suse.com
- Set sqlite as default nova_api database connection
- sync nova_api database in init script when api service starts
* Fri Mar 18 2016 tbechtold@suse.com
- Update to version nova-13.0.0.0rc2.dev15:
  * Make Flavor.get operations prefer the API database
- Adjust Requires
* Fri Mar 18 2016 tbechtold@suse.com
- Add python-keystonemiddleware as BuildRequires for sample
  config generation
- Set some defaults to skip deprecation warnings
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev13:
  * Update to openSUSE versions
  * xenapi: Fix the live-migrate aggregate check
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev9:
  * Add placeholder migrations for Mitaka backports
  * Replace deprecated LOG.warn with LOG.warning
  * Replace deprecated LOG.warn with LOG.warning
  * pci: avoid parsing whitelist repeatedly
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev4:
  * Set RPC version aliases for Mitaka
  13.0.0.0rc1
  * Fix reno reverts that are still shown
  * Add a prelude section for Mitaka relnotes
  * Fix reno for RC1
  * Imported Translations from Zanata
  * Typo fix in documentation
  * Redundant parentheses removed
  * hyper-v: Copies back files on failed migration
  * Add regression test for Cinder 403 forwarding
  * linux_net: use new exception for ovs-vsctl failures
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0b4.dev213:
  * Add a cell and host mapping utility to nova-manage
  * Add release note for policy sample file update
  * Fix vmware quota extra specs reno formatting
  * Avoid lazy-loads of ec2_ids on Instance
  * pci - Claim devices outside of Claim constructor
  * Add reno for disco driver
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0b4.dev201:
  * register the config generator default hook with the right name
  * Get instance security_groups from already fetched instance
* Mon Mar 14 2016 tbechtold@suse.com
- Update to version nova-13.0.0.0b4.dev197:
  * fixed typo in word "OpenStack"
  * libvirt: Comment non-obvious security implications of migrate code
- Adjust Requires
* Mon Mar 14 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0b4.dev193:
  * Revert "virt: reserved hugepages on compute host"
  * Make tuple actually a tuple
  * Use migrate_data.block_migration instead of block_migration
  * Fix pre_live_migration result processing from legacy computes
  * Insure resource tracker updated for deleted instances
  * virt: reserved hugepages on compute host
* Mon Mar 14 2016 tbechtold@suse.com
- Update to version nova-13.0.0.0b4.dev182:
  * libvirt: check for optional LibvirtLiveMigrateData attrs before loading
  * Change SpawnIsSynchronous fixture return
  * Report instance-actions for live migration force complete API
  * Add release notes for security fixes in 13.0.0 mitaka GA
  * API: Raise up HTTPNotFound when no availabe while get_console_output
  * Update the doc of notification
  * Add include_disabled parameter to service_get_all_by_binary
  * Imported Translations from Zanata
  * Set personality/injected_files to empty list if not specified
  * Fix processing of libvirt disk.info in non-disk-image cases
  * Add Forbidden to caught cinder exceptions
  * Missing info_cache.save() in db sqlalchemy api
  * tests: Add some basic compute_api tests for attaching volumes
  * Clean up networks with SR-IOV binding on reschedule
  * virt: refactor method compute_driver_matches
  * Make force_ and ignore_hosts comparisons case insensitive
  * xenapi: fix when tar exits early during download
  * Address nits in I83a5f06ad
  * Fix config generation for Neutron auth options
  * Remove an unused method in FakeResourceTracker
  * plugins/xenserver: Resolve PEP8 issues
  * Remove unused variable and redundant code path
  * libvirt: make snapshots call suspend() instead of reimplementing it
  * Use generic wrapper for cinder exceptions
  * Add Database fixture to sync to a specific version
  * Drop the use of magic openstack project_id
  * Aggregate object fixups
  * Address nits in Ia2296302
  * libvirt: Always copy or recreate disk.info during a migration
  * nova-manage: Print, not raise, exceptions
  * XenAPI:Resolve Nova/Neutron race condition
  * update the deprecated ``security_group_api`` and ``network_api_class``
  * [Ironic]Match vif-pif mac address before setting 'vif_port_id'
  * Correct the wrong usage of 'format' jsonschema keyword in servers API
  * Add ComputeNode and Aggregate UUID operations to nova-manage online migrations
  * Extend FakeCryptoCertificate.cert_not_valid_after to 2 hours
  * Revert "functional: Grab the service version from the module"
  * libvirt: Fix resize of instance with deleted glance image
  * Reno for libvirt libosinfo with OS
  * Fix hyperv use of deprecated network_api_class
  * Fix v2.12 microversion REST API history doc
  * Add docstrings for nova.network.base_api.get_vifs_by_instance
  * Reno for Ironic api_version opt deprecation
  * Release notes: online_data_migrations nova-manage command
  * nova-manage: Declare a PciDevice online migration script
  * Make test cases test_crypto.py from NoDBTestCase
  * Ironic: remove backwards compatibility code
  * RT: aborting claims clears instance host and NUMA info
  * Provide correct connector for evacuate terminate
  * Reset instance progress when LM finishes
  * Forbid new legacy notification event_type
  * API: Mapping ConsoleTypeInvalid exception to HTTPBadRequest
  * VMware: remove deprecation warnings from oslo_versionedobjects
  * Reject empty-named AZ in aggregate metadata
  * Remove unused methods in nova/utils.py
  * Fix string interpolations at logging calls
  * Generate better validation error message when using name regexes
  * Return 400 for os-virtual-interfaces when using Neutron
  * Dump metric exception text to logs
  * Updated from global requirements
  * Use SensitiveStringField for BlockDeviceMapping.connection_info
  * Add index on instances table across deleted/created_at columns
  * Tweak the resize_confirm_window help text
  * Enable rebuild tests in cellsv1 job
  * libvirt: clean up help text for live_migration_inbound_addr option
  * Add release note for nova using neutron mtu value for vif plugging
  * deprecate security_group_api config option
  * update tests for use_neutron=True; fix exposed bugs
  * deprecate ``volume_api_class`` and ``network_api_class``
  * deprecate ``compute_stats_class`` config option
  * Deprecate the ``vendordata_driver`` config option
  * Deprecate db_driver config option
  * deprecate manager class options
  * remove default=None for config options
  * Check 'destination_type' instead of 'source_type' in _check_and_transform_bdm
  * Documentation fix regarding triggering crash dump
  * Use db connection from RequestContext during queries
  * Ironic: Clean up if configdrive build fails
  * Revert "Generate better validation error message when using name regexes"
  * Add unit tests for live_migration_cleanup_flags
  * Replaced unittest and unittest2 to testtools
  * Sample nova.conf file has missing/duplicated config options
  13.0.0.0b3
  * Fix missing of unit in HostState.__repr__()
  * Make InstanceMappings.cell_id nullable
  * Create BuildRequest object during boot process
  * Add BuildRequest object
  * Api_version_request.matches does not accept a string or None
  * Added Keystone and RequestID headers to CORS middleware
  * Generate better validation error message when using name regexes
  * XenAPI: introduce unit test for XenAPI plugins
  * Abstract a driver API for triggering crash dump
  * Fix evacuate support with Nova cells v1
  * libvirt: don't attempt to get baseline cpu features if host cpu model is None
  * Ensure there are no unreferenced closures in tests
  * libvirt: set libvirt.sysinfo_serial='none' for virt driver tests
  * libvirt: Add ppc to supported arch for NUMA
  * Use new inventory schema in all compute_node gets
  * Remove unused libvirt _get_all_block_devices and _get_interfaces
  * Use new inventory schema in compute_node_get_all()
  * Deprecate nova.hooks
  * Adjust resource-providers models for resource-pools
  * Fix Cells RPC API by accepting a RequestSpec arg
  * API: Improve os-migrateLive input parameters
  * Allow block_migration and disk_over_commit to be None
  * Update time is not updated when metadata of aggregate is updated
  * complete the removal of api_version from rest client parameters
  * objects: add HyperVLiveMigrateData stub
  * functional: Grab the service version from the module
  * Added missed '-' to the rest api history doc
  * Gracefully handle cancelling all events more than once
  * Cleanup service.kill calls in functional tests
  * Do not use constraints for venv
  * VMware: Use actual VM state instead of using the instance vm_state
  * Do not pass call_xenapi unmarshallable type
  * check max_net_count against min_count when booting
  * objects: Allow instance to reset the NUMA topology
  * Mark 'network_device_mtu' as deprecated
  * Add service binary/host to service is down log for context
  * Abort an ongoing live migration
  * Add new APIs and deprecate old API for migrations
  * Deprecate conductor manager option
  * Xen: Calculate block_migration if it's None
  * Libvirt: Calculate block_migration if it's None
  * NUMATopologyFilter raise exception and not continue filter next node
  * Updated from global requirements
  * Add specific method to lazy-load instance.pci_devices
  * Update the help for deprecated glance host/port/protocol options
  * Added missing execution of the test
  * Add build_requests database table and model
  * Make db.aggregate_get a reader not a writer
  * Remove an unnecessary variable in a unit test
  * Don't lazy-load instance.services if the instance is deleted
  * Add functional regression test for list deleted instances on v2.16
  * Use constant_time_compare from oslo.utils
  * Remove APIRouterV3
  * reduce pep8 requirements to just hacking
  * fix usage of opportunistic test cases with enginefacade
  * add regression test for bug #1541691
  * Creates flavor* tables in API database
  * Add test for unshelve in the conductor API
  * add a place for functional test to block specific regressions
  * make microversion a client level construct for tests
  * Allocate uuids for aggregates as they are created or loaded
  * bug and tests in 'instance_info_cache'
  * fix typo in comment
  * Fix conductor to *really* pass the Spec obj
  * Updated from global requirements
  * Catch iscsi VolumeDeviceNotFound when detaching
  * Add note about using OS-EXT-* prefix for attribute naming
  * Remove use of `list` as variable name
  * resource-provider versioned objects
  * Fix networking exceptions in ComputeTestCase
  * Fix online_data_migrations() not passing context
  * Fix two bugs in online_data_migrations()
  * Make online_data_migrations do smaller batches in unlimited case
  * Use MTU value from Neutron in OVS/LB VIF wiring
  * tox: Remove 'oslo.versionedobjects' dependency
  * Fix API Guide doc
  * Add functional regression test for bug 1552888
  * Fix an unnecessary interpolation
  * Change wording of microversion bump about 503
  * Validate subs in api samples base class to improve error handling
  * Add a column for uuid to aggregate_hosts
  * Hyper-V: Removes pointless check in livemigrationops
  * XenAPI: Fix VIF plug and unplug problem
  * Update ComputeNode values with disk allocation ratios in the RT
  * Update HostManager and DiskFilter to use ComputeNode disk ratio
  * Add disk_allocation_ratio to ComputeNode
  * config options: Centralise 'virt.disk' options
  * config options: Centralise 'virt.netutils' options
  * Improve 'virt.firewall' conf options documentation
  * config options: Centralise 'virt.firewall' options
  * Improve 'virt.images' conf options documentation
  * config options: Centralise 'virt.images' options
  * Update wrong comment
  * Fix misuse of assertTrue in console and virt tests
  * Failed migration shoudn't be reported as in progress
  * Fix missing of unit in debug info
  * always use python2.7 for pep8
  * servicegroup: remove the zookeeper driver
  * Hacking: check for deprecated os.popen()
  * Log successful reverts_task_state calls
  * Hyper-V: os_win related updates
  * Partial revert of ec2 removal patch
  * Fixed leaked UnexpectedMethodCallErrors in test_compute
  * Unshelve using the RequestSpec object
  * Provide ReqSpec to live-migrate conductor task
  * Fix cell capacity when compute nodes are down
  * Fix misleading test name
  * Default "discoverable" policies to "@"
  * build smaller name regexes for validation
  * Add reno for block live migraton with cinder volumes
  * Remove support for integer ids in compute_api.get
  * Add annotation to the kill() method
  * Add missing os types: suseGuest64/suseGuest
  * Hypervisor support matrix: add feature "trigger crash dump"
  * Update example policy.json to remove "" policies
  * Fixed arguement order in remove_volume_connection
  * Add better help text to scheduler options (7)
  * Add better help text to scheduler options (6)
  * RT: Decrese usage for offloaded instances
  * Allow saving empty pci_device_pools in ComputeNode object
  * Add StableObjectJsonFixture and use it in our base test class
  * nova-manage: Add hooks for running data-migration scripts
  * always use pip constraints
  * Update instance host in post live migration even when exception occurs
  * Use imageutils from oslo.utils
  * Remove duplicate key from dictionary
  * reset task_state after select_destinations failed
  * Pass bdm info to _get_instance_disk_info method
  * Fix create snapshot failure on VMs with SRIOV
  * Reorder name normalization for DNS
  * Allocate UUID for compute node
  * rpc.init() is being called twice per test
  * Use instance hostname for Neutron DNS unit tests
  * objects: Rename PciDevice _migrate_parent_addr method
  * Use assertRaises() to check specific exception
  * libvirt: make live_migration_uri flag dependent on virt_type
  * Remove unused CONF imports
  * Add /usr/local/{sbin,bin} to rootwrap exec_dirs
  * write live migration progress detail to DB in migration monitor
  * Add migration progress detail in DB
  * Tolerate installation of pycryptodome
  * neutron: handle attach interface case with no networks
  * Move Disk allocation ratio to ResourceTracker
  * Updated from global requirements
  * HyperV: Fix vm disk path issue
  * Removal of unnecessary `import_opt`s for cells config options
  * Fix 500 error for showing deleted flavor details
  * Fix _compare_result type handling comparison
  * neutron: remove redundant request.network_id assignment
  * Fix reported ppc64le bug on video selection
  * Improve 'virt.driver' conf options documentation
  * Improve unit tests for instance multiple create
  * Change populate_security_groups to return a SecurityGroupList
  * Fix error message in imagebackend
  * config options: Centralise 'virt.driver' options
  * Avoid lazy-loading flavor during usage audit
  * resource_providers, allocations and inventories models
  * Revert "Add new test_rebuild_instance_with_volume to cells exclude list"
  * Update the CONF import path for VNC
  * Improve 'vnc' conf options documentation
  * Remove discoverable policy from server:migrations resource
  * Improve the help text for cells options (6)
  * Improve the help text for cells options (5)
  * Improve the help text for cells options (4)
  * Improve the help text for cells options (3)
  * Improve the help text for cells options (2)
  * Allow block live migration of an instance with attached volumes
  * Implement an indexed ResourceClass Enum object
  * Add check to limit maximum value of max_rows
  * Fix spelling mistake
  * Add methods for RequestContext to switch db connection
  * virt: osinfo will report once if libosinfo is not loaded
  * Replace eventlet-based raw socket client with requests
  * Add a tool for reserving migration placeholders during release time
  * libvirt: check for interface when detach_interface fails
  * libvirt: implement LibvirtConfigGuestInterface.parse_dom
  * Filter APIs out from services list
  * Config options: centralize options in conductor api
  * Improve the help text for cells options (1)
  * VMware: add release notes for the limits
  * Get a ReqSpec in evacuate API and pass it to scheduler
  * Fixes cells py3 unit tests
  * Fixes network py3 unit tests
  * Fixes Python 3 unit tests for nova.compute
  * Add new test_rebuild_instance_with_volume to cells exclude list
  * Add some obvious detail to nw_info warning log
  * Fix fallocate test on newer util-linux
  * Remove _create_local function
  * Trivial logic cleanup in libvirt pre_live_migration
  * Return HTTP 400 for invalid server-group uuid
  * Properly inject network_data.json in configdrive
  * enginefacade: remove 'get_session' and 'get_api_session'
  * enginefacade: 'request_spec' object
  * Add new API to force live migration to complete
  * Add new DB API method to retrieve migration for instance
  * Imported Translations from Zanata
  * Updated from global requirements
  * Sync L3Driver, NullL3 interface with LinuxNetL3
  * Top 100 slow tests: api.openstack.compute.test_api
  * Top 100 slow tests: api.openstack.compute.test_versions
  * Top 100 slow tests: legacy_v2.test_servers
  * Top 100 slow tests: api.openstack.compute.test_flavor*
  * Top 100 slow tests: api.openstack.compute.test_image_size
  * Top 100 slow tests: api.openstack.compute.test_volumes
  * Confusing typo fixed
  * doc: all_tenants query option incorrectly identified as non-admin
  * Update driver support matrix for Ironic
  * parametrize max_api_version in tests
  * libvirt: Race condition leads to instance in error
  * Avoid lazy-loads in metadata requests
  * Join flavor when re-querying instance for floating ip association
  * Allow all api_samples tests to be run individually
  * Make os-instance-action read deleted instances
  * enginefacade: 'flavor'
  * Updated from global requirements
  * Use instance hostname for Neutron DNS
  * libvirt: Make behavior of os_require_quiesce consistent
  * Split-network-plane-for-live-migration
  * Database not needed for most cells messaging tests
  * libvirt: use osinfo when configuring the disk bus
  * libvirt: use osinfo when configuring network model
  * Database not needed for test class: ConsoleAPITestCase
  * Database not needed for test class: ConductorImportTest
  * virt: adjusting the osinfo tests to use fakelibosinfo
  * Database not needed for RPC serializer tests
  * Database not needed for most crypto tests
  * Database not needed for most nova manage tests
  * ebtables/libvirt workaround
  * Test that new tables don't use soft deletes
  * Use instance in setup_networks_on_host
  * enginefacade: test_db_api cleanup, missed decorators
  * Database not needed for test class: PciGetInstanceDevs
  * Add test coverage to functional api tests _compare_result method
  * Remove and deprecate conductor provider_fw_rule_get_all()
  * Remove prelude from disk-weight-sch reno
  * Enable volume operations for shelved instances
  * Gracefully handle a deleting instance during rebuild
  * remove the unnecessary parem of set_vm_state_and_notify
  * tests: adding fake libosinfo module
  * config options: Centralise 'vnc' options
  * config options: Make noVNC proxy into vnc group
  * Improve 'pci' conf options documentation
  * config options: centralize section "wsgi"
  * libvirt: deprecate live/block_migration_flag opts
  * Tidy up scheduler_evolution.rst
  * config options: add hacking check for help text length
  * xrange() is renamed to range() in Python 3
  * Do not use "file" builtin, but "open" instead
  * Fix some word spellings in messages
  * No need to have ironicclient parameter in methods
  * Add a TODO to make ComputeNode.cpu_info non-nullable
  * Fix missing marker functions in nova/pci
  * Adding volume operations for shelved instances
  * Optimize Instance.create() for optional extra fields
  * Optimize servers path by pre-joining numa_topology
  * Trivial: Remove a duplicated word
  * Update the home-page
  * Add better help text to scheduler options (5)
  * Switch to oslo.cache lib
  * Remove all remaining references to Quantum
  * doc: remove detail about extensions
  * Add description for trigger crash dump
  * Object: Give more helpful error message in TestServiceVersion
  * Spread allocations of fixed ips
  * Updated from global requirements
  * Stop using mox (scheduler)
  * Fix xvpvncproxy config path when running n-xvnc
  * Optimize the instance fetched by floating_ips API
  * Improve efficiency of Migration.instance property
  * Prevent _heal_instance_info_cache() periodic lazy-loads
  * Revert "Added new scheduler filter: AggregateTypeExtraSpecsAffinityFilter"
  * Remove unused provider firewall rules functionality in nova
  * enginefacade: 'instance_tags'
  * Apply scheduler limits to Exact* filters
  * Fix typos in nova/scheduler and nova/virt
  * Replace exit() by sys.exit()
  * Trivial: Fix a typo in test_policy.py
  * neutronv2: Allow Neutron to specify OVS/LB bridge
  * HyperV: do not log twice with different level
  * Replace stubs.Set with stub_out (db)
  * Add a disk space weight-based scheduler
  * Fix up live-migration method docstrings
  * Libvirt: Support ovs fp plug in vhostuser vif
  * xenapi: simplify swap_xapi_host()
  * Allow sending the migrate data objects over the wire
  * Added new scheduler filter: AggregateTypeExtraSpecsAffinityFilter
  * Replace "all_mappings" variable by "block_device_mappings"
  * Add better help text to scheduler options (4)
  * Migrate from keystoneclient to keystoneauth
  * fast exit dhcpbridge on 'old'
  * Ironic: Lightweight fetching of nodes
  * Fix RequestSpec _from_db_object
  * doc:Ask reviews to reject new legacy notifications
  * Generate doc for versioned notifications
  * doc: add devref about versioned notifications
  * Adds json sample for the versioned notifications
  * relocate os_compute_api:servers:discoverable
  * libvirt: convert to use instance.image_meta property
  * Updated from global requirements
  * doc: fix malformed api sample
  * Persist the request spec during an instance boot
  * Revise the compute_upgrade_levels_auto release note
  * Adding guard on None value for some helpers method
  * Return HTTP 400 if volume size is not defined
  * API: Rearrange HTTPBadRequest raising in _resize
  * remove the wrong param of fake_db_migration initiation
  * Enable all extension for server PUT API sample tests
  * Config options: centralize options in availability_zones
  * We now require gettext for dev environments
  * Revert "Pass host when call attach to Cinder"
  * update feature support matrix documentation
  * Config options: centralize section "cells"
  * Use uuidsentinel in host_status test
  * remove not used tpl
- Adjust Requires
- Remove nova-api-ec2 binary. No longer shipped upstream. It's an
  extra project now
- Remove objectstore subpackage. No longer shipped upstream
- Adjust descritpion
* Mon Feb 29 2016 johannes.grassler@suse.com
- Ensure nova services are started after openstack-keystone (bsc#955786)
* Tue Feb  9 2016 rsblendido@suse.com
- add 0001-Wait-for-neutron-events-when-using-xen-driver.patch
* Thu Jan 28 2016 aplanas@suse.com
- nova-compute requires genisoimage for SLE12_SP1
* Thu Dec  3 2015 tbechtold@suse.com
- Remove euca2ools Requires. It's no longer needed.
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.0b2.dev18:
  * Optimize "open" method with context manager
  * Cleanup of compute api reboot method
  * api-guide: add note about users
  * Updated from global requirements
  13.0.0.0b1
  * Add note for automatic determination of compute_rpc version by service
  * libvirt: remove todo note not useful anymore
  * add hacking check for config options location
  * use graduated oslo.policy
  * api-guide: fix up navigation bar
  * Cleanup unused test code in test_scheduler.py
  * Hyper-V: refines the exceptions raised in the driver
  * use NoDBTestCase for KeypairPolicyTest
  * Change test function name to make more sense
  * Remove flavors.get_flavor() only used in tests
  * Remove two unneeded db lookups during delete of a resizing instance
  * VMware: add in vif resource limitations
  * Enable all extension for image API sample tests
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev407:
  * Add note for Virtuozzo supporting snapshots
  * Add note for HyperV 2008 drop of support
  * Imported Translations from Zanata
  * Add note for removing conductor RPC API v2
  * Add note for dropping InstanceV1 objects
  * Add note for force_config_drive opt change
  * Add note for deprecating local conductor
  * Revert "Detach volume after deleting instance with no host"
  * XenAPI: Workaround for 6.5 iSCSI bug
  * VMware: fix docstring for cluster management
  * Corrected few grammatical nitpics
  * Remove skips for resize tests from tempest-dsvm-cells-rc
  * Remove "Can't resolve label reference" warnings
* Tue Dec  1 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev381:
  * force releasenotes warnings to be treated as errors
  * Fix reno warning for API DB relnote
  * servicegroup: stop zombie service due to exception
  * Updated from global requirements
  * Correct some nits for moving servers in concept doc
* Mon Nov 30 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev371:
  * Make server concept guide use 'server' consistently
  * docs: reorder move servers text
  * NFS setup for live-migration job
  * Simplified boolean variable check
  * scheduler: fix incorrect log message
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev361:
  * Use version convert methods from oslo_utils.versionutils
  * Modify Aggregate filters for RequestSpec
  * Fix ebtables-version release note
  * Enable options for oslo.reports
  * Detach volume after deleting instance with no host
  * Return empty PciDevicePoolList obj instead of None
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev351:
  * docs: add clarifications to move servers
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev349:
  * Use o.vo FlexibleBooleanField
  * Remove the TestRemoteObject class
  * SR-IOV: Improve the vnic type check in the neutron api
  * cells: skip 5 networking scenario tests that use floating IPs
* Wed Nov 25 2015 tbechtold@suse.com
- Fix sample config generation
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev341:
  * Add code-review devref for release notes
  * docs: describe migration and other movement concepts
  * Unify on _schedule_instances
  * docs: update the concept guide shelve actions
  * Fixed incorrect name of 'tag' and 'tag-any' filters
  * Fix resource tracker VCPU counting
  * Neutron: add logging context
  * Fix a typo in api-guide doc
  * Make some classes inherit from NoDBTestCase
  * Replaced deprecated timeutils methods
  * Use o.vo VersionPredicateField
  * Xenapi: Handle missing aggregate metadata on startup
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev318:
  * Add relnote for change in default setting
  * config options: enhance help text of section "serial_console"
  * Reverse sort tables before archiving
  * Clean up legacy multi-version test constructs
  * Modify Affinity filter for RequestSpec
  * Check prefix with startswith() instead of slicing
  * Mark set-admin-password as complete for libvirt in support matrix
  * Change warn to debug logs when migration context is missing
  * libvirt: Log warning for wrong migration flag config options
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev302:
  * Prevent redundant instance.update notifications
  * config options: centralize section "serial_console"
  * Updated from global requirements
  * Use ServiceList object rather than direct db call
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev295:
  * xen: mask passwords in volume connection_data dict
  * Use --concurrent with ebtables
  * Change Invalid exception to a specified exception
  * Add 'lxd' to the list of recognized hypervisors
  * Add microversions schema unit test for None
  * Prepare filters for using RequestSpec object
  * Add relnote for ERT deprecation
  * docs: update the API faults concept guide
  * Fix a spelling mistake in the log
  * virt: add constraint to handle realtime policy
  * Fix booting fail when unlimited project quota
  * Add some tests for map_dev
  * docs: add the scheduler evolution plans
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev269:
  * Add release note for API DB migration requirements
  * Use flavor instead of flavour
  * Drop outdated sqlite downgrade script
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev264:
  * Updated from global requirements
  * Multinode job for live-migration
  * Add more 'actions' for server concepts doc
  * libvirt: mlnx_direct vif type removal
  * Updated from global requirements
  * Removed extra spaces from double line strings
  * Remove IN-predicate warnings
  * Deprecate nova-manage service subcommand
  * Fix is_volume_backed_instance() for unset image_ref
  * Add _LE to LOG.error statement in nova/service
  * Add service records for nova-api services
  * Removes support for Hyper-V Server 2008 R2
  * libvirt: add cpu schedular priority config
  * Reuse method to convert key to passphrase
  * Compute: update finish_revert_resize log to have some context
  * Fixed incorrect keys in cpu_pinning
  * VMware: adds support for rescue image
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev235:
  * Fix Nova's indirection fixture override
  * Aggregate Extra Specs Filter should return if extra_specs is empty
  * Omit RescheduledException in instance_fault.message
  * Fixes Python 3 str issue in ConfigDrive creation
  * Remove 'Retry-After' in server create and resize
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev227:
  * Use JSON format instead of json format
  * Network: add in missing translation
  * VMware: expand support for Opaque networks
  * Added method is_supported to check API microversions
  * Claims: fix log message
  * VMware: Raise DiskNotFound for missing disk device
  * Fix pci_stats logging in resource tracker
  * Remove duplicate server.kill on test shutdown
  * make the driver.Scheduler as abstract class
  * objects: remove remote_object_calls from _BaseTestCase
  * Repair and rename test_is_volume_backed_instance_no_bdms()
  * Use ObjectVersionChecker fixture from oslo.versionedobjects
  * ScalityVolume:fix how remote FS mount is detected
  * glance:add helper method to get client version
  * enginefacade: 'certificate' and 'pci_device'
  * libvirt: rework membacking config to support future features
  * Add ppcle architectures to libvirt blockinfo
  * Hypervisor support matrix: define pause & unpause
  * libvirt: support snapshots with parallels virt_type
  * Use oslo.config choices kwarg with StrOpt for servicegroup_driver
  * libvirt: Don't attempt to convert initrd images
  * xenapi_device_id integer, expected string
  * libvirt: remove unnecessary else in blockinfo.get_root_info
  * Correct memory validation for live migration
  * libvirt: add unit tests for the designer utility methods
* Sun Nov 15 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev181:
  * cells is a sad panda about scheduler hints
  * Add "unreleased" release notes page
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev178:
  * Fix paths for api-guide build
  * Replace N block_device_mapping queries with 1
  * Add reno for release notes management
  * Deprecate Extensible Resource Tracker
  * Remove vcpu resource from extensible resource tracker
* Fri Nov 13 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev169:
  * Rearranges to create new Compute API Guide
  * Added CORS support to Nova
  * Add test coverage for both types of not-found-ness in neutronclient for floating
  * Split up test_is_volume_backed_instance() into five functions
  * enginefacade: 'instance_mapping'
  * enginefacade: 'cell_mapping'
  * enginefacade: 'instance_info' and 'instance_extra'
  * VMware: use oslo_config new type PortOpt
  * Remove useless get_instance_faults()
  * Remove get_all method from servicegroup API
  * Revert "Store correct VirtCPUTopology"
  * Add tags to .gitignore
  * Print number of rows archived per table in db archive_deleted_rows
  * Compute: remove unused parameter
  * Fix a typo
  * Fix the help text of monkey_patch config param
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev139:
  * force_config_drive: StrOpt -> BoolOpt
  * Updated from global requirements
  * Fix impotent _poll_shelved_instances tests
  * Fix race in _poll_shelved_instances task
  * Handle a NeutronClientException 404 Error for floating ips
  * Handle DB failures in servicegroup DB driver
  * Hook for live-migration job
  * Untie subobject versions
  * Block oslo.messaging 2.8.0
  * clean up regex in tempest-dsvm-cells-rc
  * skip lock_unlock_server test for cells
  * Remove duplicate keys in policy.json
  * Add missing policy rules
  * Config drive: make use of an instance object
  * Fix attibute error when cloning raw images in Ceph
  * Properly log BlockDeviceMappingList in _create_block_device_mapping
  * enginefacade: 'key_pair' and 'cell'
  * Remove flavors.get_all_flavors() only used in tests
  * Add logging to snapshot_volume_backed method
  * Remove unnecessary destroy call from Ironic virt driver
  * Do not mask original spawn failure if shutdown_instance fails
  * Deprecated: failIf
  * Fix missing obj_make_compatible() for ImageMetaProps object
  * devref: update the nova architecture doc
* Mon Nov  9 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev92:
  * Change image to instance in comment
* Sun Nov  8 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev90:
  * Use EngineFacade from oslo_db.enginefacade
* Sat Nov  7 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev88:
  * Exclude all BDM checks for cells
  * Deprecate local conductor mode
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev84:
  * Remove reservation_id from the logs when a schedule fails
  * Add a nova functional test for the os-server-groups GET API with all_projects parameter
  * hacking check for contextlib.nested for py34 support
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev78:
  * cells: add debug logging to bdm_update_or_create_at_top
  * Use RequestSpec object in HostManager
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev74:
  * Drop Instance v1.x support
  * Add debug logging for when boot sequence is invalid in _validate_bdm
  * Use RequestSpec object in the FilterScheduler
* Sat Oct 31 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev68:
  * Imported Translations from Zanata
  * Remove obj_relationships from objects
  * Add tempest-dsvm-lxc-rc
  * Add -constraints sections for CI jobs
  * Clean up some Instancev1 stuff in the tests
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev59:
  * Delete dead test code
  * Revert "Implement online schema migrations"
  * Remove SoftDeleteMixin from NovaBase
  * xapi-tools: fixes cache cleaner script
  * doc: gmr: Update instructions to generate GMR error reports
  * libvirt: add debug logging for lxc teardown paths
  * Rm openstack/common/versionutils from setup.cfg
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev49:
  * Make test cases in test_test.py use NoDBTest
  * Make ConsoleauthTestCase inherit from NoDBTest
  * Change a test class of consoleauth to no db test
  * Catch 3 InvalidBDM related exc when boot instance
  * libvirt:on snapshot delete, use qemu-img to blockRebase if VM is stopped
* Wed Oct 28 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev44:
  * Imported Translations from Zanata
  * Expands python34 unit tests list
* Tue Oct 27 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev41:
  * Fix more inconsistency between Nova-Net and Neutron
* Sat Oct 24 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev39:
  * Updated from global requirements
  * Clean up tests for dropping obj_relationships
  * Fix up Service object for manifest-based backports
  12.0.0
  * Omnibus stable/liberty fix
  12.0.0.0rc2
  * Revert "[libvirt] Move cleanup of imported files to imagebackend"
  * Imported Translations from Zanata
  * Fix InstanceV1 backports to use context
  * Imported Translations from Zanata
  * Ironic: Fix bad capacity reporting if instance_info is unset
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * libvirt: check if ImageMeta.disk_format is set before accessing it
  * Add Pillow to test-requirements.txt
  * Cleanup of Translations
  * rebuild: Apply migration context before calling the driver
  * Correct Instance type check to work with InstanceV1
  * Fix MetricWeigher to use MonitorMetricList
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev198:
  * Change 'ec2-api' stackforge url to openstack url
* Wed Oct 21 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev196:
  * Image meta: treat legacy vmware adapter type values
  * Attempt rollback live migrate at dest even if network dealloc fails
  * Updated from global requirements
  * Make secgroup rules refresh with refresh_instance_security_rules()
  * Remove unused refresh_security_group_members() call
* Tue Oct 20 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev187:
  * Updated from global requirements
  * Remove redundant deps in tox.ini
  * Fix service_version minimum calculation for compute RPC
  * Revert "virt: Use preexec_fn to ulimit qemu-img info call"
  * Updated from global requirements
  * Ignore errorcode=4 when executing `cryptsetup remove` command
  * Revert "Fixes Python 3 str issue in ConfigDrive creation"
  * Monkey patch nova-ec2 api
  * Updated from global requirements
  * Fix Status-Line in HTTP response
  * Imported Translations from Zanata
  * Default ConvertedException code to 500
  * Updated from global requirements
  * VMware: fix bug for config drive when inventory folder is used
  * code-review guidelines: add checklist for config options
  * Add a code-review guideline document
  * virt: Use preexec_fn to ulimit qemu-img info call
  * Updated from global requirements
  * Replaces contextlib.nested with test.nested
  * Sync cliutils from oslo-incubator
  * Make archive_deleted_rows_for_table private
  * load consoleauth_topic option before using it
  * Add more documentation for RetryFilter
  * Fix InstanceV1 backports to use context
  * Add test of claim context manager abort
  * Log DBReferenceError in archive_deleted_rows_for_table
  * Use DBReferenceError in archive_deleted_rows_for_table
  * Add testresources used by oslo.db fixture
  * Remove unused context parameter from db.archive_deleted_rows* methods
  * Drop unused obj_to_primitive() override
* Fri Oct 16 2015 mmnelemane@suse.com
- add missing BuildRequires for openstack-nova for Master branch
- add missing dependencies python-sphinxcontrib-seqdiag and
  python-barbicanclient
* Tue Oct 13 2015 dmueller@suse.com
- add missing oslo.versionedobjects dependency
- add dependency on genisoimage for novacompute
* Thu Oct  1 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev40:
  * Remove unused read-only cell code
  * Reserve 10 migrations for backports
  * hardware: improve parse_cpu_spec to handle exclusion range
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev35:
  * Identify more py34 tests that already pass
  * Imported Translations from Zanata
  * Correct Instance type check to work with InstanceV1
  * rebuild: Apply migration context before calling the driver
* Mon Sep 28 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev28:
  * Set TrustedFilter as experimental
  * VMware: update log to be warning
  * Add more help text to the cinder.cross_az_attach option
  * Cleanup of Translations
  * Fix logging_sample.conf to use oslo_log formatter
  * VMware: fix typo in comment
  * libvirt: Split out resize_image logic from create_image
* Mon Sep 28 2015 dmueller@suse.com
- install modprobe.d parameters for nbd
* Sat Sep 26 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev16:
  * Revert "Deprecate cinder.cross_az_attach option"
  * Fix NoneType error when calling MetricsWeigher
  * wsgi: removing semicolon
  * Remove unused _check_string_length()
  12.0.0.0rc1
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev302:
  * Deprecate cinder.cross_az_attach option
  * Fix MetricWeigher to use MonitorMetricList
  * Filter leading/trailing spaces for name field in v2.1 compat mode
  * Give instance default hostname if hostname is empty
  * Add some devref for AZs
  * RT: track evacuation migrations
  * rebuild: RPC sends additional args and claims are done
  * Cells: Limit instances pulled in _heal_instances
  * Open Mitaka development
  * Fix order of arguments in assertEqual
  * Imported Translations from Zanata
  * Fix quota update in init_instance on nova-compute restart
  * net: explicitly set mac on linux bridge
  * Fix order of arguments in assertEqual
  * Pep8 didn't check api/openstack/common.py
  * libvirt: Add unit tests for methods
  * Allow filtering using unicode characters
  * Raise exception.Migration earlier in REST API layer
  * Make test_revoke_cert_project_not_found_chdir_fails deterministic
  * Drop scheduler RPC 3.x support
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev265:
  * Imported Translations from Zanata
  * live-migration: Logs exception if operation failed
  * Test both NoAuthMiddleware and NoAuthMiddlewareV3
  * Remove "shelved_image_id" key from instance system metadata
  * User APIRouterV21 instead of APIRouterV3 for v2.1 unittests
  * Hyper-V: Implements attach_interface and detach_interface method
* Tue Sep 22 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev254:
  * Change ignore-errors to ignore_errors
  * libvirt: fix direct OVS plugging
  * claims: move a debug msg to a warn on missing migration
  * Devref: Document why conductor has a task api/manager
  * libvirt: Add NUMA cell count to cpu_info
* Mon Sep 21 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev244:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
  * Add 'OS-EXT-VIF-NET:net_id' for v21 compatible mode
  * Xenapi: Don't access image_meta.id when booting from a volume
  * Remove comment in wrong place
  * Fix string formatting in api/metadata/vendordata_json.py
  * VMware: create method for getting datacenter from datastore
  * libvirt: use guest as parameter for get serial ports
  * Clarify max_local_block_devices config option usage
  * Fix order of arguments in assertEqual
  * Detach and terminate conn if Cinder attach fails
  * Remove duplicate NullHandler test fixture
  * Make query to quota usage table order preserved
  * Change v3 to v21 for devref api_plugins.rst
  * Pass block_device_info when delete an encrypted lvm
  * Fix precedence of image bdms over image mappings
  * libvirt:Remove duplicated check code for config option sysinfo_serial
* Fri Sep 18 2015 jsuchome@suse.com
- python-nova requires memcached module (bsc#942457)
* Thu Sep 17 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev213:
  * Imported Translations from Zanata
  * Fix typo in HACKING.rst
  * Only set access_ip_* when instance goes ACTIVE
  * libvirt:update live_migration_monitor to use Guest
  * Remove TestOpenStackClientV3 from nova functional tests
  * Rename all the ViewBuilderV3 to ViewBuilderV21
  * Fix the usage output of the nova-idmapshift command
  * Check unknown event name when create external server event
  * Hyper-V: Fixes snapshoting inexistent VM issue
  * Expose keystoneclient's session and auth plugin loading parameters
  * Don't "lock" the DB on expand dry run
  * Remove unused root_metadata method of BlockDeviceMappingList
  * Fix cells use of legacy bdms during local instance delete operations
  * Update log's level when backup a volume backend instance
  * libvirt: test capability for supports_migrate_to_same_host
* Wed Sep 16 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev187:
  * RT: Migration resource tracking uses migration context
  * compute: migrate/resize paths properly handle stashed numa_topology
  * Claims: Make sure move claims create a migration context records
  * Remove 'v3' from comments in Nova API code
  * Add API schema for different_cell filter
  * Add microversion bump exception for scheduler-hint
  * Add microversion rule when adding attr to request
  * Fix a few typos
  * Fix abnormal quota usage after restore by admin
  * libvirt-vif: Allow to configure a script on bridge interface
* Tue Sep 15 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev169:
  * Creating instance fail when inject ssh key in cells mode
  * Reduce the number of Instance.get_by_uuid calls
  * xapi: cleanup volume sr on live migration rollback
  * Remove unnecessary 'context' param from quotas reserve method call
  * VMware: Replace get_dynamic_properties with get_object_properties_dict
  * VMware: Replace get_dynamic_property with get_object_property
  * Invalidate AZ cache when the instance AZ information is different
  * Consolidate code to get the correct availability zone of an instance
  * claims: Remove compat code with instance dicts
  * Test cases for better handling of SSH key comments
* Sat Sep 12 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev150:
  * Use six.text_type instead of str in serialize_args
  * Set vif and allocated when associating fixed ip
  * Fix ScaleIO commands in rootwrap filters
  * Add version 3.0 of conductor RPC interface
  * Remove 'v3' from extension code
  * Remove more 'v3' references from the code
  * xenapi: Support extra tgz images that with only a single VHD
  * Hyper-V: Adds RDPConsoleOps unit tests
  * network_request_obj: Clean up outdated code
  * Object: Fix KeyError when loading instance from db
  * VMware: Update to return the correct ESX iqn
  * Remove/deprecate unused parts of the compute node object
  * Create a new dictionary for type_data in VMwareAPIVMTestCase class
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev127:
  * Add missing information to docstring
  * Don't expect meta attributes in object_compat that aren't in the db obj
  * CONF.allow_resize_to_same_host should check only once in controller
  * Updated from global requirements
  * Remove and deprecate conductor object_backport()
  * Fix order of arguments in assertEqual
  * Separate API schemas for v2.0 compatible API
  * API: Handle InstanceUnknownCell exceptions
  * Sorting and pagination params used as filters
  * VMware: ensure that instance is deleted when volume is missing
  * libvirt:Rsync compression removed
  * libvirt: Add a finish log
  * Handle nova-compute failure during a soft reboot
  * Remove duplicate exception
  * Fixes Bug "destroy_vm fails with HyperVException"
  * Fixes Hyper-V boot from volume fails when using ephemeral disk
  * Change docstring in test to comment
* Thu Sep 10 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev98:
  * Fix debug log format in object_backport_versions()
  * Ironic: Call unprovison for nodes in DEPLOYING state
  * api: allow any scheduler hints
  * Add some explanation for the instance AZ field
  * Add os-brick's scsi_id command to rootwrap
  * Remove and deprecate conductor compute_node_create()
  * Drop unused conductor manager vol_usage_update() mock
* Wed Sep  9 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev84:
  * Updated from global requirements
  * Freeze v1 Instance and InstanceList schema hashes
  * Imported Translations from Transifex
  * Remove unused parameter overwrite in elevated
  * Add missing delete policies in the sample file
  * ironic: convert driver to use nova.objects.ImageMeta
  * objects: convert config drive to use ImageMeta object
  * Relax restrictions on server name
  * nova-net: fix missing log variable in deallocate_fixed_ip
  * New sensible network bandwidth quota values in Nova tests
  * Fix order of arguments in assertEqual
  * libvirt: Fix snapshot delete for network disk type for blockRebase op
  * libvirt: cleanup() serial_consoles after instance failure
* Sun Sep  6 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev48:
  * Add Instance and InstanceList v2.0 objects
  * Teach conductor to do manifest-based object_class_action() things
  * Make the conductor fixture use version manifests
  * Update objects test infrastructure for multiple versions
  * Refactor Instance tests to use objects.Instance
  * Fix an issue with NovaObjectRegistry hook
  * Pull out the common bits of InstanceList into _BaseInstanceList
  * Add notes explaining vmware's suds usage
* Sat Sep  5 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev33:
  * Provide working SQLA_VERSION attribute
  * Fix Cells gate test by modifying the regressions regex
  * Hyper-V: Adds HyperVDriver unit tests
  * Pull out the common bits of Instance into _BaseInstance
  * Allow to use autodetection of volume device path
  * Update from global requirements
  * objects: Hook migration object into Instance
  * [libvirt] Move cleanup of imported files to imagebackend
  * Adds instance_uuid index for instance_system_metadata
  * Fix mistake in UT:test_detach_unattached_volume
  * Add JSON-Schema note to api_plugins.rst
  * Fix API directories on the doc
  * Add secgroup param checks for Neutron
  * Add migration policy to upgrades devref
  * filter pre_assigned_dev_names when finding disk dev
  * Fix permission issue of server group API
  * Rename tests so that they are run
  * Adds unit tests to test_common.py
  * Remove doc/source/api and doc/build before building docs
  * Specify current directory using new cwd param in processutils.execute
  * libvirt: enable live migration with serial console
  * Neutron: Check port binding status
* Fri Sep  4 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev3:
  * hyperv: convert driver to use nova.objects.ImageMeta
  12.0.0.0b3
  * Fix RequestSpec.instance_group hydration
  * Revert "Remove references to suds"
  * Implement manifest-based backports
  * api: deprecate the api v2 extension configuration
  * Remove/deprecate conductor instance_update()
  * Make compute manager instance updates use objects
  * Fix exception message mistake in WSGI service
  * Expose VIF net-id attribute in os-virtual-interfaces
  * [Ironic]Not count available resources of deployed ironic node
* Thu Sep  3 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev734:
  * Delete orphaned instance files from compute nodes (bsc#944178, CVE-2015-3280)
  * VMware: pass network info to config drive
  * Catch invalid id input in service_delete
  * Scheduler: enhance debug messages for multitenancy aggregates
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev727:
  * objects: Add MigrationContext object
  * Don't query database with an empty list of tags for creation
  * Fix order of arguments in assertEqual
  * Fix order of arguments in assertEqual
  * Fix order of arguments in assertEqual
  * api: use v2.1 only in api-paste.ini
  * cleanup NovaObjectDictCompat from external_event
  * cleanup NovaObjectDictCompat from agent
  * n-net: add more debug logging to release_fixed_ip
  * Support Network objects in set_network_host
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev708:
  * Remove the v3 word from help message of api_rate_limit option
  * Use the same pci_requests field for all filters and HostManager
  * Add warning log when deprecated v2 and v3 code get used
  * Update ComputeNode values with allocation ratios in the RT
  * Update HostManager and filters to use ComputeNode ratios
  * Don't trace on InstanceInfoCacheNotFound when refreshing network info_cache
  * Cells: Improve block device mapping update/create calls
  * Removed unused dependency: discover
  * Removed duplicated keys in dictionary
  * compute: improve exceptions related to disk size checks
  * Improve error logs for start/stop of locked instance
  * Fix three typos on nova/pci directory
  * VMware: Fixed redeclared CONF = cfg.CONF
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev683:
  * Add cpu_allocation_ratio and ram_allocation_ratio to ComputeNode
  * rt: Rewrite abort and update_usage tests
  * Cleanup RT _instance_in_resize_state()
  * Add a warning in the microversion docs around the usage of 'latest'
  * db: Add the migration_context to the instance_extra table
  * tests: Make test_claims use Instance object
  * Consider that all scheduler calls are IO Ops
  * Add RequestSpec methods for primitiving into dicts
  * api: deprecate the concept of extensions in v2.1
  * compute: Split the rebuild_instance method
  * libvirt: make guest to return power state
  * Allow compute monitors in different namespaces
  * Don't query database with an empty list of tags for IN clause
  * xapi: ensure pv driver info is present prior to live-migration
* Mon Aug 31 2015 tbechtold@suse.com
- Update to version nova-12.0.0.0b3.dev655:
  * Remove v3 references in unit test 'contrib'
  * Handle neutron exception on bad floating ip create request
  * Add a note about the 400 response not requiring a microversion
  * Strip the extra properties out when using legacy v2 compatible middleware
  * Remove unused sample files from /doc dir
  * Add deprecated_for_removal parm for deprecated neutron_ops
  * Use compatibility methods from oslo
  * Allow for migration object to be passed to _move_claim
  * rt: move filtering of migration by type lower in the call stack
  * libvirt: move domain info to guest
  * Xen: import migrated ephemeral disk based on previous size
  * Convert percent metrics back into the [0, 1] range
  * Add a note about the 403 response not requiring a microversion
  * Refactor test cases for live-migrate error case
  * Set task_state=None when booting instance failed
  * Fix scheduler code to use monitor metric objects
  * Consolidate initialization of instance snapshot metadata
  * Fix collection of metadata for a snapshot of a volume-backed instance
  * hyper-v: mock time.sleep in test_rmtree
  * Add api samples impact to microversion devref
  * rootwrap: remove obsolete filters for baremetal
  * Fix IronicHostManager to skip get_by_host() call
  * Improve the ability to resolve capabilities from Ironic
  * use block_dev.get_bdm_swap_list in compute api
  * downgrade log messages for memcache server (dis)connect events
- Remove %%{_sysconfdir}/nova/rootwrap.d/baremetal-compute-ipmi.filters and
  %%{_sysconfdir}/nova/rootwrap.d/baremetal-deploy-helper.filters . Both
  removed upstream
* Fri Aug 28 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev608:
  * libvirt: take account of disks in migration data size
  * rt: generalize claim code to be useful for other move actions
  * Cleanup for merging v2 and v2.1 functional tests
  * Pre-load expected attrs that the view builder needs for server details
  * cleanup NovaObjectDictCompat from quota
* Wed Aug 26 2015 tbechtold@suse.com
- Update to version nova-12.0.0.0b3.dev598:
  * Remove debug log message in SG API constructor
  * Updated from global requirements
  * libvirt: refactor _create_domain_setup_lxc to use Image.get_model
  * Catch OverQuota in volume create function
  * Don't allow instance to overcommit against itself
  * objects: add missing enum values to DiskBus field
  * Move objects registration in tests directory
  * xenapi: convert driver to use nova.objects.ImageMeta
  * libvirt: convert driver to use nova.objects.ImageMeta
  * Updated from global requirements
  * VMware: Delete vmdk UUID during volume detach
  * Move common sample files methods in test base class
  * Share server POST sample file for microversion too
  * Fix remote_consoles microversion 2.8 not to run on /v3
  * Remove merged sample tests and file for v2 tests
  * Move "versions" functional tests in v2.1 tests
  * Nil out inst.host and inst.node when build fails
  * Fix link's href to consider osapi_compute_link_prefix
  * Remove and deprecate unused conductor method vol_usage_update()
  * Replace conductor proxying calls with the new VolumeUsage object
  * Add a VolumeUsage object
  * Updated from global requirements
  * Move CPU and RAM allocation ratios to ResourceTracker
  * Pull the all_tenants search_opts checking code into a common utility
  * Gate on nova.conf.sample generation
  * libvirt: use proper disk_info in _hard_reboot
  * Update obj_reset_changes signatures to match
  * libvirt: only get bdm in _create_domain_setup_lxc if booted from volume
  * libvirt: _create_domain_setup_lxc needs to default disk mapping as a dict
  * libvirt: add docstring for _get_instance_disk_info
- Update 0001-Always-set-model-netfront-for-xen-over-libvirt.patch
- Remove 0001-Fix-instance-filtering.patch . This patch is upstream abandoned
  and introduces an API change.
- Install nova-rootwrap-daemon
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev356:
  * libvirt: move lvm/dmcrypt/rbd_utils modules under storage subdir
  * Updated from global requirements
  * Remove unused decorator on attach/detach volume
  * Only work with ipv4 subnet metadata if one exists
  * Add middleware filterout Microversions http headers
  * objects: Don't import CellMapping from the objects module
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev344:
  * VMware: implement get_mks_console()
  * Add MKS protocol for remote consoles
  * Add MKS console support
  * tox: make it possible to run pep8 on current patch only
  * Remove unused import of the compute_topic option from the DB API
  * Remove unnecessary oslo namespace import checks
  * Hyper-V: restart serial console workers after instance power change
  * Remove db layer hard-code permission checks for instance_get_all_by_host_and_not_type
  * Remove db layer hard-code permission checks for provider_fw_rule_*
  * rootwrap: update ln --symbolic filter for FS and FC type volume drivers
* Mon Jul 27 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev324:
  * remove _rescan_iscsi from disconnect_volume_multipath_iscsi
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev323:
  * Fix serializer supported version reporting in object_backport
  * Updated from global requirements
  * Revert "Add error message to failed block device transform"
  * Add two fields to ImageMetaProps object
  * Check flavor type before add tenant access
  * Switch to the oslo_utils.fileutils
  * Updated from global requirements
  * Fixup uses of mock in hyperv tests
  * libvirt: make unit tests concise by setup guest object
  * libvirt: introduce method to wait for block device job
  * Revert "Remove useless db call instance_get_all_hung_in_rebooting"
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev302:
  * Execute _poll_shelved_instances only if shelved_offload_time is > 0
  * Switch to oslo.reports
  * Cleanup log lines in nova.image.glance
  * Revert "Add config drive support for Virtuozzo containers"
  * Virt: fix debug log messages
  * Virt: use flavor object and not flavor dict
  * Add VersionPredicate type of field
  * Remove unnecessary method in FilterScheduler
  * Use utf8_bin collation on the flavor extra-specs table in MySQL
  * Decouple instance object tests from the api fakes module
  * Deprecate the osapi_v3.enabled option
  * Remove db layer hard-code permission checks for archive_deleted_rows*
  * libvirt: Remove dead code path in method clear_volume
  * Add bandit for security static analysis testing
  * Fix is_image_extendable() thinko
  * Hyper-V: Fix SMBFS volume attach race condition
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev271:
  * Do not import using oslo namespace
  * rebuild: fix rebuild of server with volume attached
  * Fix libguestfs failure in test_can_resize_need_fs_type_specified
  * Update HACKING.rst for running tests and building docs
  * Switch to oslo.service library
  * virt: fix picking CPU topologies based on desired NUMA topology
  * XenAPI: Refactor rotate_xen_guest_logs to avoid races
  * Use flavor object in compute manager
  * Bypass ironic server not available issue
  * Fixes "Hyper-V destroy vm fails on Windows Server 2008R2"
  * Validate int using utils.validate_integer method
  * Hyper-V: Removes old instance dirs after live migration
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev252:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sat Jul 18 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev248:
  * Updated from global requirements
  * Fix the incorrect PciDeviceList version number
  * Remove conductor api from resource tracker
  * Fix test_tracker object mocks
  * Fix Python 3 issues in nova.utils and nova.tests
  * libvirt : remove broken olso_config choices option
  * Revert "Implement compare-and-swap for instance update"
  * Add tool to build a doc latex pdf
  * make test_save_updates_numa_topology stable across python versions
  * Cleanup quota_class unittest with appropriate request context
  * Remove db layer hard-code permission checks for quota_class_create/update
  * Remove db layer hard-code permission checks for quota_class_get_all_by_name
  * Remove db layer hard-code permission checks for reservation_expire
  * Introducing new forced_down field for a Service object
  * Use stevedore for loading monitor extensions
  * Include project_id in instance metadata
  * Convert test_compute_utils to use Instance object
  * Fix for mock-1.1.0
  * Port crypto to Python 3
  * Add HostMapping object
  * Remove useless db call instance_get_all_hung_in_rebooting
  * Cleanup unused method fake_set_snapshot_id
  * Expose Neutron network data in metadata service
  * Build Neutron network data for metadata service
  * Implement compare-and-swap for instance update
  * Add DB2 support
  * Modified testscenario for micro version 2.4
  * libvirt: update volume delete snapshot to use Guest
  * libvirt: update live snapshot to use Guest object
  * libvirt: update swap volume to use Guest
* Thu Jul  9 2015 bwiedemann@suse.de
- Update to version nova-12.0.0.0b2.dev151:
  * Added method exists to the Tag object
  * compute: rename ResizeClaim to MoveClaim
  * Fix the little spelling mistake of the comment
  * Remove db layer hard-code permission checks for quota_create/update
  * Fix the typo from _pre_upgrade_294 to _pre_upgrade_295 for tests/unit/db/test_migration
  * Add some notifications to the evacuate path
  * Make evacuate leave a record for the source compute host to process
  * Fix incorrect enum in Migration object and DB model
  * Refactoring of the os-services module
  * Ignore bridge already exists error when creating bridge
  * libvirt: rename GuestVCPUInfo to VCPUInfo
  * libvirt: save the memory state of guest
  * Remove flavor migration from db_api and nova-manage
  * Rework monitor plugin interface and API
  * Adds MonitorMetric object
  * virt: add get_device_name_for_instance to the base driver class
  * libvirt: return whether a domain is persistent
  * Remove unneeded OS_TEST_DBAPI_ADMIN_CONNECTION
  * devref: virtual machine states and transitions
  * Consolidate the APIs for getting consoles
  * Remove db layer hard-code permission checks for floating_ip_dns
  * Fix typo in model doc string
  * virt: Fix AttributeError for raw image format
  * log meaningful error message on download exception
  * Updated from global requirements
  * Handle unexpected clear events call
  * snapshot: Add device_name to the snapshot bdms
  * compute: Make swap_volume with resize updates BDM size
  * Make Nova better at keeping track of volume sizes in BDM
  * API: make sure a blank volume with no size is rejected
- rebase 0001-Fix-instance-filtering.patch
* Mon Jun 22 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0a1.dev49:
  * Add flag to force experimental run of db contract
  * Make readonly field tests use exception from oslo.versionedobjects
  * Updated from global requirements
  * Imported Translations from Transifex
  * Add explicit alembic dependency
  * network: add more debug logging context for race bug 1249065
  * Add virt resource update to ComputeNode object
  * xenapi: remove bittorrent entry point lookup code
  * Add unit tests for PCI utils
  * libvirt: Don't fetch kernel/ramdisk files if you already have them
  * Remove redundant policy check from security_group_default_rule
  * Hyper-V: Fixes live migration configdrive copy operation
  * VMware: Remove configuration check
  * Add common function for v2 API flavor_get
  * Remove db layer hard-code permission checks for network_create_safe
  * Pass project_id when create networks by os-tenant-networks
  * Disassociate before deleting network in os-tenant-networks delete method
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0a1.dev21:
  * Update version for Liberty
  * neutron: remove deprecated allow_duplicate_networks config option
  * The devref for Nova stable API
  * Added documentation around database upgrades
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev14:
  * Remove usage of WritableLogger from oslo_log
  * Fix wrong check when use image in local
  * Fixes TypeError when libvirt version is BAD_LIBVIRT_CPU_POLICY_VERSIONS
  * Remove hv_type translation shim for powervm
  * cells: remove deprecated mute_weight_value option
  * VMware: remove dead function in vim_util
  * Remove db layer hard-code permission checks for network_associate
  * Compute: use instance object for _deleted_old_enough method
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev2:
  12.0.0a0
  * VMware: detach cinder volume when instance destroyed
  * Add unit tests for the exact filters
  * test: add MatchType helper class as equivalent of mox.IsA
  * Implement online schema migrations
  * Remove openstack/common/versionutils module
  * Adds hostutilsv2 to HyperV
  * make SchedulerV3PassthroughTestCase use NoDBTest
  * Add a finish log
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev659:
  * Updated from global requirements
  * Avoid always saving flavor info in instance
  * Warn when CONF torrent_base_url is missing slash
  * DB downgrades are no longer supported
  * Add Host Mapping table to API Database
  * VMware: verify vCenter server certificate
  * Associating of floating IPs corrected
  * Handle InstanceNotFound when sending instance update notification
  * Remove db layer hard-code permission checks for quota_usage_update
  * Remove db layer hard-code permission checks for quota_get_all_*
  * libvirt: disconnect_volume does not return anything
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev637:
  * Fix TestObjEqualPrims test object registration
  * Remove references to suds
  * Updated from global requirements
  * Fix noVNC console access for an IPv6 setup
  * hypervisor support matrix: add status "unknown"
  * VMware: typo fix in config option help
  * Minor refactor in nova.scheduler.filters.utils
  * Add an index to virtual_interfaces.uuid
  * Add config drive support for Virtuozzo containers
  * Add error handling for creating secgroup
  * Removed explicit return from __init__ method
  * Ensure to store context in thread local after spawn/spawn_n
  * Fix docstrings for assorted methods
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev612:
  * Sync with latest oslo-incubator
  * Cleanup wording for the disable_libvirt_livesnapshot workaround option
  * Consolidates scheduler utils tests into a single file
  * Replace metaclass registry with explicit opt-in registry from oslo
  * VMware: Log should use uuid instead of name
* Sun Jun 14 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev600:
  * libvirt: convert imagebackend to support nova.virt.image.model classes
  * virt: convert disk API over to use nova.virt.image.model
  * Updated from global requirements
  * Send Instance object to cells instance_update_at_top
  * Remove cell policy check
* Fri Jun 12 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev592:
  * Update formatting of microversion 2.4 documentation
  * VMware: use vCenter instead of VC
  * fix "down" nova-compute service spuriously marked as "up"
  * Improve formatting of rest_api_version_history
  * Link to microversion history in docs
  * libvirt: fix live migration handling of disk_info
  * libvirt: introduce method to get domain XML
  * libvirt: introduce method detach_device to Guest object
  * pass environment variables of proxy to tox
  * Fixed some misspellings
  * Clean up Fake_Url for unit test of flavor_access
  * Updated from global requirements
  * Add AggregateTypeAffinityFilter multi values support
  * volume: log which encryptor class is being used
  * VMware: Don't raise exception on resize of 0 disk
  * Hyper-V: sets supports_migrate_to_same_host capability
  * libvirt: remove _get_disk_xml to use get_disk from Guest
  * libvirt: introduce method to attach device
  * libvirt: update tests to use Mock instead of MagicMock
  * libvirt: Remove unnecessary JSON conversions
  * objects: fix parsing of NUMA cpu/mem properties
  * compute: remove get_image_metadata method
  * compute: only use non_inheritable_image_properties if snapshotting
  * objects: add os_require_quiesce image property
  * libvirt: make default_device_names DRY-er
  * virt: Move building the block_device_info dict into a method
  * Objects: update missing adapter types
  * libvirt: handle code=38 + sigkill (ebusy) in destroy()
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev571:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sun Jun  7 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev439:
  * Updated from global requirements
  * Compute: tidy up legacy treatment for vif types
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev435:
  * Refactor show_port() in neutron api
  * libvirt: introduce method to delete domain config
  * libvirt: introduce method to get vcpus info
  * libvirt: introduce method resume to Guest object
  * libvirt: introduce method poweroff to Guest object
  * libvirt: make _create_domain return a Guest object
  * Raise InstanceNotFound when save FK constraint fails
  * libvirt: Disable NUMA for broken libvirt
  * Handle FlavorNotFound when augmenting migrated flavors
  * libvirt: introduce method get_guest to Host object
  * libvirt: introduce a Guest to wrap around virDomain
  * Fixes referenced path in nova/doc/README.rst
  * Updated from global requirements
  * objects: define the ImageMeta & ImageMetaProps objects
  * Remove unit_test doc
  * Make blueprints doc a reference for nova blueprints
  * Remove jenkins, launchpad and gerrit docs
  * Prune development.environment doc
  * Fix some issues in devref for api_microversions
  * Updated from global requirements
  * Remove unused variables from images api
  * Compute: improve logging using {} instead of dict
  * snapshot: Copy some missing attrs to the snapshot bdms
  * bdm: Make sure that delete_on_termination is a boolean
  * Get rid of oslo-incubator copy of middleware
  * Make nova-manage handle completely missing flavor information
  * Use oslo_config choices support
  * Make InstanceExternalEvent use an Enum for status
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev398:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Wed Jun  3 2015 tbechtold@suse.com
- Update to version nova-2015.2.0.dev389:
  * Remove unit_test doc
  * Make blueprints doc a reference for nova blueprints
  * Remove jenkins, launchpad and gerrit docs
  * Prune development.environment doc
  * Updated from global requirements
  * Compute: improve logging using {} instead of dict
  * bdm: Make sure that delete_on_termination is a boolean
  * Make nova-manage handle completely missing flavor information
  * network: fix instance cache refresh for empty list
  * Imported Translations from Transifex
  * Standardize on assertJsonEqual in tests
  * Force the value of LC_ALL to be en_US.UTF-8
  * Remove hash seed comment from tox.ini
  * Create instance_extra entry if it doesn't update
  * Remove use of builtin name
  * Hyper-V: Fixes cold migration / resize issue
  * Fix cells capacity calculation for n:1 virt drivers
  * VMware: fill in instance metadata when resizing instances
  * VMware: fill in instance metadata when launching instances
  * Updated from global requirements
  * Block oslo.vmware 0.13.0 due to a backwards incompatible change
  * hypervisor support matrix: update libvirt KVM (s390x)
  * Hyper-V: ensure only one log writer is spawned per VM
  * Fix version unit test on Python 3
  * Resource tracker: remove invalid conductor call from tests
  * Remove outdated TODO comment
  * Disable oslo.vmware test dependency on Python 3
  * Run tests with PyMySQL on Python 3
- Remove python-suds Requires
* Fri May 22 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev265:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Thu May 21 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev256:
  * Revert "Detach volume after deleting instance with no host"
  * Split instance event/tag correctly
  * libvirt: deprecate libvirt version usage < 0.10.2
  * Fix race between resource audit and cpu pinning
  * Set migration_type for existing cold migrations and resizes
  * Add migration_type to Migration object
  * Add migration_type and hidden to Migration database model
  * libvirt: improve logging
  * Fix pip-missing-reqs
  * objects: convert HVSpec to use named enums
  * objects: convert VirtCPUModel to use named enums
  * Retry a cell delete if host constraint fails
  * objects: introduce BaseEnumField to allow subclassing
  * objects: add a FlexibleBoolean field type
  * Delete shelved_* keys in n-cpu unshelve call
  * Fix loading things in instance_extra for old instances
  * VMware: remove invalid comment
  * Fix raise syntax for Python 3
  * Replace iter.next() with next(iter)
  * libvirt: use instance UUID with exception InstanceNotFound
  * devref: add information to clarify nova scope
  * Refactor an unit test to use urlencode()
  * Drop compute RPC 3.x support
  * libvirt: deprecate the remove_unused_kernels config option
  * Updated from global requirements
  * libvirt: Use 'relative' flag for online snapshot's commit/rebase operations
  * Replace dict.itervalues() with six.itervalues(dict)
  * Use compute_node consistently in ResourceTracker
* Sat May 16 2015 dmueller@suse.com
- add systemd load-modules.d support for loading compute
  related modules
* Sat May 16 2015 dmueller@suse.com
- add dependency on dosfstools for compute
* Fri May 15 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev202:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Thu May 14 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev196:
  * devref: add information to clarify nova scope
  * Fix quota-update of instances stuck in deleting when nova-compute startup finish
* Wed May 13 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev192:
  * Drop compute RPC 3.x support
  * libvirt: deprecate the remove_unused_kernels config option
  * Updated from global requirements
  * Use compute_node consistently in ResourceTracker
  * Move ebrctl to compute.filter
  * Rename _CellProxy.iteritems method to items on py3
  * libvirt: safe_decode xml for i18n logging
  * Fix scheduler issue when multiple-create failed
  * Move our ObjectListBase to subclass from the Oslo one
  * Fix cinder v1 warning with cinder_catalog_info option reference
  * Deprecate nova ironic driver's admin_auth_token
  * Remove db layer hard-code permission checks for network_get_all_by_host
* Tue May 12 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev166:
  * Handle return code 2 from blkid calls
  * Libvirt: Use tpool to invoke guestfs api
  * Minor edits to support-matrix doc
  * hacking: remove unused variable author_tag_re
  * Update kilo version alias
  * Refactor tests that use compute's deprecated run_instance() method
  * Helper scripts for running under Apache2
  * Updated from global requirements
  * Switch to _set_instance_obj_error_state in build_and_run_instance
  * Add SpawnFixture
  * Log the actual instance.info_cache when empty in floating ip associate
  * unify libvirt driver checks for qemu
  * VMware: Allow other nested hypervisors (HyperV)
  * servicegroup: remove get_all method never used as public
  * libvirt: add todo note to avoid call to libvirt from the driver
  * libvirt: add method to compare cpu to Host
  * libvirt: add method to list pci devices to Host
  * libvirt: add method to get device by name to Host
  * libvirt: add method to define instance to host
  * libvirt: add method to get cpu stats to host
  * monitor: remove dependance with libvirt
  * Clean up ComputeManager._get_instance_nw_info
  * Updated from global requirements
  * Cells: Call compute api methods with instance objects
  * Correct docstring info on two parameters
  * Start the conversion to oslo.versionedobjects
  * Cleanup conductor unused methods
  * Revert "Ironic: do not destroy if node is in maintenance"
* Mon May 11 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev156:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sun May 10 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev152:
  * Helper scripts for running under Apache2
  * Updated from global requirements
  * Switch to _set_instance_obj_error_state in build_and_run_instance
  * Add SpawnFixture
  * Log the actual instance.info_cache when empty in floating ip associate
  * unify libvirt driver checks for qemu
  * servicegroup: remove get_all method never used as public
  * libvirt: add todo note to avoid call to libvirt from the driver
  * libvirt: add method to compare cpu to Host
  * libvirt: add method to list pci devices to Host
  * libvirt: add method to get device by name to Host
  * libvirt: add method to define instance to host
  * libvirt: add method to get cpu stats to host
  * monitor: remove dependance with libvirt
  * Clean up ComputeManager._get_instance_nw_info
  * Updated from global requirements
  * Cells: Call compute api methods with instance objects
  * Correct docstring info on two parameters
  * Start the conversion to oslo.versionedobjects
  * Cleanup conductor unused methods
  * Revert "Ironic: do not destroy if node is in maintenance"
  * fix network setup on evacuate
  * Reschedules sometimes do not allocate networks
  * Incorrect argument order passed to swap_volume
  * Mark ironic credential config as secret
  * Fix missing format arg in compute manager
  * objects: remove field ListOfEnumField
  * Cleaning up debug messages from previous change in vmops.py
* Sat May  9 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev148:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Fri May  8 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev128:
  * servicegroup: remove get_all method never used as public
  * libvirt: add todo note to avoid call to libvirt from the driver
  * libvirt: add method to compare cpu to Host
  * libvirt: add method to list pci devices to Host
  * libvirt: add method to get device by name to Host
  * libvirt: add method to define instance to host
  * libvirt: add method to get cpu stats to host
  * monitor: remove dependance with libvirt
  * Updated from global requirements
  * Cells: Call compute api methods with instance objects
  * Cleanup conductor unused methods
  * Revert "Ironic: do not destroy if node is in maintenance"
  * fix network setup on evacuate
  * Reschedules sometimes do not allocate networks
  * Incorrect argument order passed to swap_volume
  * Mark ironic credential config as secret
  * Fix missing format arg in compute manager
  * objects: remove field ListOfEnumField
  * Cleaning up debug messages from previous change in vmops.py
  * Remove orphaned tables - iscsi_targets, volumes
  * console: clean tokens do not happen for all kind of consoles
  * Fix import order
  * Skip only one host weight calculation
  * Fix typo for test cases
  * VMWare: Isolate unit tests from requests
  * Imported Translations from Transifex
  * Cleanup docs landing page
  * Updated from global requirements
* Thu May  7 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev93:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Wed May  6 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev278:
  * VMWare: Isolate unit tests from requests
  * Imported Translations from Transifex
  * Updated from global requirements
  * Add ability to inject routes in interfaces.template
  * Make test_version_string_with_package_is_good work with pbr 0.11
  * Updated from global requirements
  * Fix assert on call count for encodeutils.safe_decode mock
  * Don't wait for an event on a resize-revert
  * minor edit to policy_enforcement.rst
  * Update self with db result in InstanceInfoCache.save
  * Wedge DB migrations if flavor migrations are not complete
  * Removed twice declared variables
  * Removed variables used not in the scope that they are declared
  * Remove unused db.aggregate_metadata_get_by_metadata_key() call
  * Removed 'PYTHONHASHSEED=0' from tox.ini
  * Changed logic in _compare_result api_samples_test_base
  * Add support for forcing migrate_flavor_data
  * Virt: update shared storage log information message
  * Fixed functional in tests_servers, to pass with random PYTHONHASHSEED
  * Adds toctree to v2 section of docs
  * Fixes X509 keypair creation failure
  * libvirt/utils.py: Remove 'encryption' flag from create_cow_image
  * Libvirt: Correct logging information and progress when LM
  * libvirt/utils.py: Remove needless code from create_cow_image
  * libvirt/utils.py: Clarify comment in create_cow_image function
  * libvirt: check qemu version for NUMA & hugepage support
  * Add security group calls missing from latest compute rpc api version bump
  * Make objects serialize_args() handle datetimes in positional args
* Tue May  5 2015 dmueller@suse.com
- fix libvirt related requires
* Sun May  3 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev268:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sat May  2 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev260:
  * Make test_version_string_with_package_is_good work with pbr 0.11
  * Updated from global requirements
  * Fix assert on call count for encodeutils.safe_decode mock
  * Don't wait for an event on a resize-revert
  * minor edit to policy_enforcement.rst
* Fri May  1 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev282:
  * Update self with db result in InstanceInfoCache.save
  * Wedge DB migrations if flavor migrations are not complete
  * Removed twice declared variables
  * Removed variables used not in the scope that they are declared
  * Remove unused db.aggregate_metadata_get_by_metadata_key() call
  * Removed 'PYTHONHASHSEED=0' from tox.ini
  * Changed logic in _compare_result api_samples_test_base
  * Add support for forcing migrate_flavor_data
  * Virt: update shared storage log information message
  * Fixed functional in tests_servers, to pass with random PYTHONHASHSEED
  * Adds toctree to v2 section of docs
  * Fixes X509 keypair creation failure
  * libvirt/utils.py: Remove 'encryption' flag from create_cow_image
  * libvirt/utils.py: Remove needless code from create_cow_image
  * libvirt/utils.py: Clarify comment in create_cow_image function
  * Add security group calls missing from latest compute rpc api version bump
  * Make objects serialize_args() handle datetimes in positional args
  * Imported Translations from Transifex
  * view hypervisor details rest api should be allowed for non-admins
  * n-net: turn down log level when vif isn't found in deallocate_fixed_ip
  * Associate floating IPs with first v4 fixed IP if none specified
  * Correct the help text for the compute option
  * Remove comment inconsistent with code
  * Fixed nova-network dhcp-hostsfile update during live-migration
  * sync oslo: service child process normal SIGTERM exit
  * Remove downgrade support from the cellsv2 api db
  * libvirt: use importutils instead of python built-in
  * Imported Translations from Transifex
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev276:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev218:
  * Add security group calls missing from latest compute rpc api version bump
  * Make objects serialize_args() handle datetimes in positional args
  * Imported Translations from Transifex
  * Associate floating IPs with first v4 fixed IP if none specified
  * Correct the help text for the compute option
  * Remove comment inconsistent with code
  * Fixed nova-network dhcp-hostsfile update during live-migration
  * sync oslo: service child process normal SIGTERM exit
  * Remove downgrade support from the cellsv2 api db
  * libvirt: use importutils instead of python built-in
  * Imported Translations from Transifex
  * libvirt: Allow discrete online pCPUs for pinning
  * Fix migrate_flavor_data() to catch instances with no instance_extra rows
  * libvirt: unused imported option default_ephemeral_format
  * Fix migrate_flavor_data string substitution
  * Fix max_number for migrate_flavor data
  * remove downgrade support from our database migrations
  * Control create/delete flavor api permissions using policy.json
  * VMware: remove unused method
  * VMware: enable configuring of console delay
  * Fixed test in test_tracker to work with random PYTHONHASHSEED
  * Update rpc version aliases for kilo
  * remove the CONF.allow_migrate_to_same_host
  * Add equality operators to PciDeviceStats and PciDevice objects
  * libvirt: Add option to ssh to prevent prompting
  * Validate server group affinity policy
  * VMware: use oslo.vmware methods for handling tokens
  * tests: use numa xml automatic generation in libvirt tests
* Mon Apr 27 2015 tbechtold@suse.com
- Update to version nova-2015.2.dev184:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
- Update Requires and BuildRequires
* Thu Apr 23 2015 mjura@suse.com
- Add 0001-Fix-instance-filtering.patch, bnc#927625
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev140:
  * Fixed test in test_tracker to work with random PYTHONHASHSEED
  * libvirt: Add option to ssh to prevent prompting
  * Validate server group affinity policy
  * VMware: use oslo.vmware methods for handling tokens
  * tests: use numa xml automatic generation in libvirt tests
  * Fixed tests in test_glance to pass with random PYTHONHASHSEED
  * Refactored tests in test_neutron_driver to pass with random PYTHONHASHSEED
  * refactored test in vmware test_read_write_util to pass with random PYTHONHASHSEED
  * fixed tests in test_matchers to pass with random PYTHONHASHSEED
  * fix for vmware test_driver_api to pass with random PYTHONHASHSEED
  * Fix kwargs['migration'] KeyError in @errors_out_migration decorator
  * libvirt: make _get_instance_disk_info conservative
  * refactored tests to pass in test_inject to pass with random PYTHONHASHSEED
  * fixed tests in test_iptables_network to work with random PYTHONHASHSEED
  * refactored tests in test_objects to pass with random PYTHONHASHSEED
  * fixed tests in test_instance to pass with random PYTHONHASHSEED
  * Fix handling of pci_requests in consume_from_instance
  * Use list of requests in InstancePCIRequests.obj_from_db
  * Spelling mistakes in nova/compute/api.py
  * Use kwargs from compute v4 proxy change_instance_metadata
  * Replace BareMetalDriver with IronicDriver in option help string
  * tests: introduce a NUMAServersTest class
  * Fix test_set_admin_password_bad_state()
  * Fix test_attach_interface_failure()
  * Fix test_swap_volume_api_usage()
  * Resource tracker: unable to restart nova compute
  * compute: stop handling virt lifecycle events in cleanup_host()
  * Share multiple create server tests between v2 and v2.1
* Tue Apr 21 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev98:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sun Apr 19 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev94:
  * libvirt: make _get_instance_disk_info conservative
  * refactored tests to pass in test_inject to pass with random PYTHONHASHSEED
  * Fix handling of pci_requests in consume_from_instance
  * Use kwargs from compute v4 proxy change_instance_metadata
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev86:
  * fixed tests in test_iptables_network to work with random PYTHONHASHSEED
  * refactored tests in test_objects to pass with random PYTHONHASHSEED
  * fixed tests in test_instance to pass with random PYTHONHASHSEED
  * Use list of requests in InstancePCIRequests.obj_from_db
  * Refactor some service tests and make them not require db
  * Remove and deprecate unused conductor service calls
  * Convert service and servicegroup to objects
  * libvirt: quit early when mempages requested found
  * Stale rc.local file - vestige from cloudpipe.rst
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev67:
  * Replace BareMetalDriver with IronicDriver in option help string
  * Fix test_set_admin_password_bad_state()
  * Fix test_attach_interface_failure()
  * Fix test_swap_volume_api_usage()
  * compute: stop handling virt lifecycle events in cleanup_host()
  * Share multiple create server tests between v2 and v2.1
  * libvirt: remove unnecesary quotes
  * Fix rebuild of an instance with a volume attached
  * Forbid booting of QCOW2 images with virtual_size > root_gb
* Thu Apr 16 2015 cloud-devel@suse.de
- Rebased patches:
  + 0002-Add-docker-hv_type.patch dropped (merged upstream)
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev42:
  * Add min/max of API microversions to version API
  * Pass migrate_data to pre_live_migration
  * libvirt: add debug logging to pre_live_migration
  * Add numa_node field to PciDevicePool
  * Remove and deprecate conductor get_ec2_ids()
  * Remove unused metadata conductor parameter
  * Replace conductor get_ec2_ids() with new Instance.ec2_ids attribute
  * Add EC2Ids object and link to Instance object as optional attribute
  * Fixed order of arguments during execution live_migrate()
  * Fix check_can_live_migrate_destination() in ComputeV4Proxy
  2015.1.0rc1
  * Add compute RPC API v4.0
  * Reserve 10 migrations for backports
  * Honor uuid parameter passed to nova-network create
  * Update compute version alias for kilo
  * Refactor nova-net cidr validation in prep for bug fix
  * Fix how service objects are looked up for Cells
  * websocketproxy: Make protocol validation use connection_info
  * scheduler: re-calculate NUMA on consume_from_instance
  * Manage compute node that exposes no pci devices
  * consoleauth: Store access_url on token authorization
  * libvirt: Add version check when pinning guest CPUs
  * Open Liberty development
  * VMware: Fix attribute error in resize
  * Imported Translations from Transifex
  * Add 'docker' to the list of known hypervisor types
  * Scheduler: deprecate mute_weight_value option on weigher
* Thu Apr  9 2015 jsuchome@suse.cz
- Added docker hypervisor type: 0002-Add-docker-hv_type.patch
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev299:
  * Prevent scheduling new external events when compute is shutdown
  * Print choices in the config generator
  * libvirt: make fakelibvirt more customizable
  * Use cells.utils.ServiceProxy object within cells_api
  * Fix Enum field, which allows unrestricted values
  * xenapi: pull vm_mode and auto_disk_config from image when rescue
  * Fix multipath device discovery when UFN is enabled
  * Add serialization of context to FakeNotifier
  * libvirt: remove unnecessary flavor parameter
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev281:
  * tests: add a ServersTestBase class
  * tests: enhance functional tests primitives
  * remove unneeded teardown related code
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev275:
  * Allow _exec_ebtables to parse stderr
  * Fix how the Cells API is returning ComputeNode objects
  * Share V2 and V2.1 tenant-networks functional tests
  * Share migrations tests between V2 and V2.1
  * Merging instance_actions tests between V2 and V2.1
  * Share V2 and V2.1 hosts functional tests
  * Expand Origin header check for serial console
  * Add the last of the oslo libraries to hacking check
  * Cancel all waiting events during compute node shutdown
  * libvirt: remove volume_drivers config param
  * neutronv2: only create client once when adding/removing fixed IPs
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev245:
  * libvirt: fix disablement of NUMA & hugepages on unsupported platforms
* Sun Apr  5 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev243:
  * Stacktrace on live migration monitoring
  * Respect CONF.scheduler_use_baremetal_filters
  * No need to create APIVersionRequest every time
  * Remove obsolete TODO in scheduler filters
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev235:
  * Make migration 274 idempotent so it can be backported
  * Ironic: fix log level manipulation
  * Optimize periodic call to get_by_host
  * virt: Make sure block device info is persisted
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev227:
  * Fix serialization for Cells Responses
  * virt: Fix block_device tests
  * Remove old relation in Cells for ComputeNode and Service
  * Add json-schema for v2.1 fixed-ips
  * remove usage of policy.d which isn't cached
  * Update check before migrating flavor
  * libvirt: reuse unfilter_instance pass-through method
  * VMware: add instance to log messages
  * Fix incorrect statement in inline neutronv2 docs
  * Be more forgiving to empty context in notification
  * Avoid load real policy from policy.d when using fake policy fixture
  * Neutron: simplify validate_networks
  * mock out build_instances/rebuild_instance when not used
  * VMware: Consume the oslo.vmware objects
  * Fix PciDeviceDBApiTestCase with referential constraint checking
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev197:
  * instance termination with update_dns_entries set fails
  * Filter fixed IPs from requested_networks in deallocate_for_instance
  * Fixes _cleanup_rbd code to capture ImageBusy exception
  * consoleauth: remove an instance of mutation while iterating
  * Handle nova-network tuple format in legacy RPC calls
  * Add some tests for the error path(s) in RBD cleanup_volumes()
  * Avoid MODULEPATH environment var in config generator
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev184:
  * Libvirt: preallocate_images CONFIG can be arbitrary characters
  * Imported Translations from Transifex
  * Vmware:Find a SCSI adapter type for attaching iSCSI disk
  * Store cells credentials in transport_url properly
  * Fix API links and labels
  * Update hypervisor support matrix for ironic wrt pause/suspend
  * Pass instance object to add_instance_fault_from_exc
  * Removes XML MIME types from v2 API information
  * API: fix typo in unit tests
  * Fix v2.1 list-host to remove 'services' filter
  * Fix incorrect http_conflict error message
  * Remove unused class variables in extended_volumes
  * Fix test cases still use v3 prefix
  * add neutron api NotImplemented test cases for Network V2.1
  * Fix copy configdrive during live-migration on HyperV
  * Better power_state logging in _sync_instance_power_state
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev152:
  * Remove compute/api.py::update()
  * Expand valid server group name character set
  * Workaround for race condition in libvirt
* Mon Mar 30 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev146:
  * Raise exception when backup volume-backed instance
* Sun Mar 29 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev144:
  * Libvirt SMB volume driver: fix volume attach
  * Adds Compute API v2 docs
  * PCI tracker: make O(M * N) clean_usage algo linear
  * Skip socket related unit tests on OSX
  * Refactored test in test_neutron_driver to pass with random PYTHONHASHSEED
  * Move ComputeNode creation at init stage in ResourceTracker
  * Add missing `shows` to the RPC casts documentation
  * Make ComputeAPIIpFilterTestCase a NoDBTestCase
  * libvirt: Resize down an instance booted from a volume
  * libvirt: Remove minidom usage in driver.py
* Sat Mar 28 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev122:
  * Add debug logging to quota_reserve flow
  * Fix _instance_action call for resize_instance in cells
  * Add some logging in the quota.reserve flow
  * Add support for cleaning in Ironic driver
  * Adjust resource tracker for new Ironic states
  * libvirt: Delay only STOPPED event for Xen domain
  * Remove comments on API policy, remove core param
  * Tidy up sentinel comparison in pop_instance_event
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev102:
  * Fix missing the cpu_pinning request
  * fixed tests in test_neutrounv2 to pass with random PYTHONHASHSEED
  * Refactored test in linux_net to pass with random PYTHONHASHSEED
  * refactored tests in test_wsgi to pass with random PYTHONHASHSEED
  * fixed tests in test_simple_tenant_usage to pass with random PYTHONHASHSEED
  * Refactored test_availability_zone to work properly with random PYTHONHASHSEED
  * fixed test in test_disk_config to work with random PYTHONHASHSEED
  * Fixed test to work with random PYTHONHASHSEED
  * Check host cpu_info if no cpu_model for guest
  * Fix PCIDevicePool.to_dict() when the object has no tags
  * Convert pci_device_pools dict to object before passing to scheduler
  * Adds cleanup on v2.2 keypair api and tests
  * Fix AggregateCoreFilter return incorrect value
  * Add policy check for consoles
  * doc: fix a docstext formatting
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev70:
  * Releasing DHCP in nova-network fixed
  * Sync from Oslo-Incubator - reload config files
  * Fix v2.1 hypervisor servers to return empty list
  * Add a fixture for the NovaObject indirection API
* Wed Mar 25 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev64:
  * don't 500 on invalid security group format
  * Use migration object in resource_tracker
  * Move suds into test-requirements.txt
  * Make refresh_instance_security_rules() handle non-object instances
  * Fix for deletes first preexisting port if second was attached to instance
  * VMware: save instance object creation in test_vmops
  * Fix 'nova show' return incorrect mac info
* Tue Mar 24 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev51:
  * Switch to newer cirros image in docs
  * Fix common misspellings
  * Scheduler: update doctring to use oslo_config
  * Skip 'id' attribute to be explicitly deleted in TestCase
  * Typo in oslo.i18n url
  * Fix docs build break
  * Updated from global requirements
  * Remove vol_get_usage_by_time from conductor api/rpcapi
  * default tox cmd should also run 'functional' target
  * Remove invalid hacking recheck for baremetal driver
  * Adds Not Null constraint to KeyPair name
  * Fix orphaned ports on build failure
  * Disable oslo_messaging debug logging
  * don't use oslo.messaging in mock
  * Update some ResizeClaimTestCase tests
  * Fix backporting objects with sub-objects that can look falsey
  * Fix typo in _live_migration_cleanup_flags method
  * Avoid KeyError Exception in extract_flavor()
  * Enable retry when there are multiple force hosts/nodes
  * Delete instance files from dest host in revert-resize
  * Improved performance of db method network_in_use_on_host
  * consoliate set_availability_zones usage
* Sun Mar 22 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev5:
  * Fix typo in nova/tests/unit/test_availability_zones.py
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev4:
  2015.1.0b3
  * Sync from oslo-incubator
  * Rename and move the v2.1 api policy into separated files
  * heal_instance_info_cache_interval help clearer
  * BDM: Avoiding saving if there were no changes
  * Remove duplicate InvalidBDMVolumeNotBootable
  * libvirt: make default value of numa cell memory to 0 when not defined
  * Add the instance update calls from Compute
  * Save bdm.connection_info before calling volume_api.attach_volume
  * Update unique constraint of compute_nodes with deleted column
  * Log exception from deallocate_port_for_instance for triage
  * libvirt: partial fix for live-migration with config drive
  * VMware: Improve reporting of path test failures
  * libvirt: don't allow to resize down the default ephemeral disk
  * Add api microvesion unit test case for wsgi.action
  * VMware: use instance UUID as instance name
  * Move InstanceClaimTestCase.test_claim_and_audit
  * Deprecate Nova in tree EC2 APIs
  * network: Fix another IPv6 test for Mac
  * Remove db layer hard-code permission checks for flavor-manager
  * Use controller method in all admin actions tests
  * Remove db layer hard-code permission checks for migrations_get*
  * libvirt: Cleanup snapshot tests
  * VMware: Fix disk UUID in instance's extra config
  * Remove db layer hard-code permission checks for migration_create/update
  * Add manual version comparison to microversion devref document
  * Remove unused conductor methods
* Fri Mar 20 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev1054:
  * Add InstanceMapping object
  * Add CellMapping object
  * load ram_allocation_ratio when asked
  * Remove pci_device.update_device helper function
  * let fake virt track resources
  * Added assertJsonEqual method to TestCase class
  * libvirt test_cpu_info method fixed random PYTHONHASHSEED compatibility
  * Hyper-V: Adds VMOps unit tests (part 2)
  * Handle RESIZE_PREP status when nova compute do init_instance
  * Remove the elevated context when get network
  * Verify all quotas before updating the db
  * Remove useless get_one() method in SG API
  * Fix up join() and leave() methods of servicegroup
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev1028:
  * Tox: reduce complexity level to 35
  * Remove db layer hard-code permission checks for service_get_all
  * Expand help message on some quota config options
  * Test fixture for the api database
  * remove duplicate calls to cfg.get()
  * Remove context from remotable call signature
  * Actually stop passing context to remotable methods
  * Remove usage of remotable context parameter in service, tag, vif
  * Remove usage of remotable context parameter in security_group*
  * Remove usage of remotable context parameter in pci_device, quotas
  * Objects: use setattr rather than dict syntax in remotable
  * Split out NovaTimestampObject
  * Remove db layer hard-code permission checks for service_get_all_by_*
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev1002:
  * Modify filters to get instance info from HostState
  * Add the RPC calls for instance updates
  * Implement instance update logic in Scheduler
  * Remove usage of remotable context parameter in migration, network
  * Remove usage of remotable context parameter in compute_node, keypair
  * Remove usage of remotable context parameter in instance* objects
  * Remove usage of remotable context parameter in fixed_ip, flavor, floating_ip
  * Remove usage of remotable context parameter in ec2 object
  * Remove usage of remotable context parameter in bandwidth, block_device
  * Remove db layer hard-code permission checks for pci
  * Remove unused oslo logging fixture
  * Change some comments for instance param
  * Use session with neutronclient
  * Remove db layer hard-code permission checks for network_get_by_uuid
  * Remove db layer hard-code permission checks for network_get_by_cidr
* Wed Mar 18 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev973:
  * Remove usage of remotable context parameter in agent, aggregate
  * Stop using exception.message
  * Add get_api_session to db api
  * Use the proper database engine for nova-manage
  * Add support for multiple database engines
  * Virt: update fake driver to use UUID as lookup key
  * Handle exception when doing detach_interface
  * Variable 'name' already declared in 'for' loop
  * Handles exception when unsupported virt-type given
  * Fix confusing log output in nova/nova/network/linux_net.py
  * Fixed archiving of deleted records
  * Fix ComputeNode backport for Service.obj_make_compatible
  * Remove db layer hard-code permission checks for network_count_reserved_ips
  * compute: don't trace on InstanceNotFound in reverts_task_state
  * Move V2 sample files to respective directory
  * V2 tests -Reuse server post req/resp sample file
  * V2.1 tests - Reuse server post req/resp sample file
  * libvirt: Fix live migration failure cleanup on ceph
  * Remove db layer hard-code permission checks for network_delete_safe
  * Remove db layer hard-code permission checks for task_log_get*
  * Remove db layer hard-code permission checks for task_log_begin/end_task
  * Fix wrong log when reschedule is disabled
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev929:
  * VMware: update test_vm_util to use instance object
  * Move policy enforcement into REST API layer for v2.1 api volume_attachment
  * Compute: no longer need to pass flavor to the spawn method
  * Move policy enforcement into REST API layer for v2.1 servers
  * Move policy enforcement into REST API layer for v2.1 security groups
  * Move policy enforcement into REST API layer for v2.1 security_group_default_rules
* Mon Mar 16 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev919:
  * VMware: fix VM rescue problem with VNC console
* Sun Mar 15 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev917:
  * Stop spamming logs when creating context
  * Break out the child version calculation logic from obj_make_compatible()
  * Add shadow table empty verification
  * Add @wrap_exception() for 3 compute functions
  * cells: don't pass context to instance.save in instance_update_from_api
  * libvirt: add in missing translation for exception
  * Move oslo.vmware into test-requirements.txt
  * Remove db layer hard-code permission checks for flavor_access
  * Remove update_store usage
  * Make service-update work in API cells
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev897:
  * Remove FK on service_id and make service_id nullable
  * Using Instance object instead of db call
  * Revert "Removed useless method _get_default_deleted_value."
  * implement user negative testing for flavor manage
  * refactor policy fixtures to allow use of real policy
  * Handle exception when attaching interface failed
  * ensure DatabaseFixture removes db on cleanup
  * objects: introduce numa topology limits objects
  * VMware: Deprecation warning - map one nova-compute to one VC cluster
  * Add InstanceList.get_all method
  * Pass correct context to get_by_compute_node()
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev877:
  * neutron: deprecate 'allow_duplicate_networks' config option
  * Fix Juno nodes checking service.compute_node
  * Move policy enforcement into REST API layer for v2.1 extended_volumes
  * Remove useless policy rules for v2.1 api which removed/disabled
  * Fix infinite recursion caused by unnecessary stub
  * Websocket Proxy should verify Origin header
    to prevent Cross-Site WebSocket hijacking (bnc#917091, CVE-2015-0259)
  * Improve 'attach interface' exception handling
  * Remove unused method _make_stub_method
  * Revert "Allow force-delete irrespective of VM task_state"
  * Fix kwargs['instance'] KeyError in @reverts_task_state decorator
  * Sync with latest oslo-incubator
  * Remove unused method queue_get_for
  * Remove make_ip_dict method which is not used
  * Remove unused method disable_vlan
  * Remove unused method get_request_extensions
  * VMware: remove code invoking deprecation warning
  * Don't add exception instance in LOG.exception
  * Remove db layer hard-code permission checks for service_delete/service_get
  * Remove db layer hard-code permission checks for service_update
  * Move policy enforcement into REST API layer for v2.1 create backup
  * Truncate encoded instance sys meta to 255 or less
  * Fix NotImplementedError handling in interfaces API
  * Fix a typo of devref document for api_plugin
  * Add catch FlavorExtraSpecsNotFound in V2 API
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev830:
  * Remove an unused config import in nova-compute
  * Raise HTTPNotFound for Port/NetworkNotFound
  * Stop stacktracing in _get_filter_uuid
  * Better logging of resources
  * Preserve preexisting ports on server delete
  * Refactor _regex_instance_filter for testing
  * Add instance_mappings table to api database
  * Remove unused method delete_subnet
  * Fix wrong log output in nova/nova/tests/unit/fake_volume.py
  * Add cell_mappings table to api database
  * Ban passing contexts to remotable methods
  * Fix a remaining case of passing context to a remotable in scheduler
  * Fix several cases of passing context to quota-related remotable methods
  * Fix some cases of passing context to remotables with security groups
  * Make unit tests inherit from test.NoDBTestCase
  * Update config generator to use new style list_opts discovery
  * Add developer documentation for writing V2.1 API plugins
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev797:
  * Updated from global requirements
  * Replace RPC topic-based service queries with binary-based in cells
  * Replace RPC topic-based service queries with binary-based in scheduler
  * Fix some straggling uses of passing context to remotable methods in tests
  * Fix typo in nova/scheduler/filters/utils.py
  * Move policy enforcement into REST API layer for v2.1 api attach_interfaces
  * libvirt-numa.rst: trivial spelling fixes
  * Move policy enforcement into REST API layer for v2.1 api assisted_volume_snapshots
* Tue Mar 10 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev782:
  * Remove cases of passing context to remotable methods in Flavor
  * Remove cases of passing context to remotable methods in Instance
  * Use flavor stored with instance in vmware driver
  * Use flavor stored with instance in ironic driver
* Sun Mar  8 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev774:
  * Modify filters so they can look to HostState
  * Replace RPC topic-based service queries in nova/api with binary-based
  * Remove service_get_by_args from the DB API
  * Fixed incorrect behavior of method sqlalchemy.api._check_instance_exists
* Sat Mar  7 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev766:
  * let us specify when samples tests need admin privs
  * Updated from global requirements
  * Fix up PciDevice remotable context usage
  * libvirt: add comment for vifs_already_plugged=True in finish_migration
  * neutron: check for same host in _update_port_binding_for_instance
  * Keep instance state if lvm backend not impl
  * Remove usage of db.service_get_by_args
  * vmware: support both hard and soft reboot
  * xenapi: Fix session tests leaking state
  * Change instance disappeared during destroy from Warning to Info
  * Replace instance flavor delete hacks with proper usage
  * Add delattr support to base object
  * Modify AggregateAPI methods to call the Scheduler client methods
  * Create Scheduler client methods for aggregates
  * Add update and delete _aggregate() method to the Scheduler RPC API
  * Instantiate aggregates information when HostManager is starting
  * Add equivalence operators to NUMACell and NUMAPagesTopology
  * Adds x509 certificate keypair support
  * Better round trip for RequestContext<->Dict conversion
  * Prevent update of ReadOnlyDict
  * neutron: add logging during nw info_cache refresh when port is gone
  * Add info for Standalone EC2 API to cut access to Nova DB
  * Compute: update config drive settings on instance
  * Config driver: update help text for force_config_drive
  * create noauth2
  * enhance flavor manage functional tests
  * Add API Response class for more complex testing
  * Add more log info around 'not found' error
  * Remove want_objects kwarg from nova.api.openstack.common.get_instance
  * Change v3 import to v21 in 2.1 api unit test
* Fri Mar  6 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev700:
  * Make scheduler client reporting use ComputeNode object
  * Copy the default value for field
  * Imported Translations from Transifex
  * Updated from global requirements
  * Adds keypair type in nova-api
  * Switch nova.virt.vmwareapi.* to instance dot notation
  * Allow disabling the evacuate cleanup mechanism in compute manager
  * Change queries for network services to use binary instead of topic
  * Add Service.get_by_host_and_binary and ServiceList.get_by_binary
  * Ensure bridge deleted with brctl delbr
  * Remove extended addresses from V2.1 update & rebuild
  * Switch nova.virt.hyperv.* to instance dot notation
  * Revert instance task_state when compareCPU fails
  * Switch nova.virt.libvirt.* to instance dot notation
  * Add nova-manage commands for the new api database
  * Add second migrate_repo for cells v2 database migrations
  * neutron: consolidate common unbind ports logic
  * Fixed incorrect indent of test_config_read_only_disk
  * Fixed incorrect assertion in test_db_api
  * Make ConsoleAuthTokensExtensionTestV21 inherit from test.NoDBTestCase
  * Api: remove unusefull compute api from cells
  * Remove db layer hard-code permission checks for service_create
  * Switch to uuidutils from oslo_utils library
  * VMware: Accept image and block device mappings
  * Pull singleton config check cruft out of SG API
  * virt: Fix images test interaction
* Thu Mar  5 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev648:
  * Updated from global requirements
  * Force LANGUAGE=en_US in test runs
  * Sync oslo policy change
  * Remove compute_node field from service_get_by_compute_host
  * Switch nova.virt.* to use the object dot notation
  * add string representation for context
  * Add obj_alternate_context() helper
  * remove unused _authorize_context from security_group_default_rules.py
  * PYTHONHASHSEED bug fix in test_utils
  * fixed tests in test_vm_util to work with random PYTHONHASHSEED
  * Fix bad exception logging
  * Allow configuring proxy_host and proxy_port in nova.conf
  * CWD is incorrectly set if exceptions are thrown
  * Keep instance state if ssh failed during migration
  * Adds tests for Hyper-V LiveMigration utils
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev618:
  * Fix how the Service object is loading the compute_node field
  * Remove compute_node from service_get_by_cn Cells API method
  * Disables pci plugin for v2.1 & microversions
  * libvirt: remove libvirt import from tests so we only use fakelibvirt
  * capture stdout and logging for OSAPIfixture test
  * Switch nova.context to actually use oslo.context
  * Remove TranslationFixture
  * Replace fanout to False for CastAsCall fixture
  * Imported Translations from Transifex
  * Support specifing multiple values for aggregate keys
  * Remove attach/detach/swap from V2.1 extended_volumes
  * Add _LW for missing translations
  * Xenapi: Attempt clean shutdown when deleting instance
  * Add note on running single tests to HACKING.rst
* Tue Mar  3 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev590:
  * Make metadata cache time configurable
  * Fix tiny typo in api microversions doc
  * Display host chosen for instance by scheduler
  * linux_net.metadata_accept(): IPv6 support
  * Enforce in REST API layer on v2.1 api remote consoles
  * Move policy enforcement into REST API layer for v2.1 api evacuate
  * No need to re-fetch instance with sysmeta
  * Compute: make use of dot notation for console access
  * Compute: update exception handling for spice console
  * Move v2.1 rescue api policy enforcement into REST API layer
* Sun Mar  1 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev570:
  * Fixes Hyper-V: configdrive is not migrated to destination
  * ensure that ram is >= 1 in random flavor creation
  * Fixes 500 error message and traces when no free ip is left
  * Inherit exceptions correctly
* Sat Feb 28 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev562:
  * db: Add index on fixed_ips updated_at
  * Add microversion allocation on devref
  * Remove OS-EXT-IPS attributes from V2.1 server ips
  * Remove 'locked_by' from V2.1 extended server status
  * Remove 'id' from V2.1 update quota_set resp
  * Remove accessips attribute from V2.1 POST server resp
  * Fix bad interaction between @wsgi.extends and @wsgi.api_version
  * fix 'Empty module name' exception attaching volume
  * API: Change the API cpu_info to be meaning ful
* Fri Feb 27 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev544:
  * Remove en_US translation
  * Enforce in REST API layer on v2.1 shelve api
  * Convert nova.compute.* to use instance dot notation
  * Use instance objects in fping/instance_actions/server_metadata
  * Fix misspellings words in nova
  * Fix KeyErrors from incorrectly formatted NovaExceptions in unit tests
  * Move policy enforcement into REST API layer for v2.1 floating ips
  * Revert : Switch off oslo.* namespace check temporarily
  * Move policy enforcement into REST API layer for v2.1 networks related
  * Remove db layer hard-code permission checks for v2.1 agents
  * Move v2.1 virtual_interfaces api policy enforcement into REST API layer
  * Use flavor stored with instance in libvirt driver
  * Handle 404 in os-baremetal-nodes GET
  * Copy image from source host when ImageNotFound
  * Make notifications use BandwidthUsageList object
  * Adds xend to rootwrap.d/compute.filters
  * Set instance NUMA topology on HostState
  * Move policy enforcement into REST API layer for v2.1 admin actions
  * Drop deprecated namespace for oslo.rootwrap
* Thu Feb 26 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev506:
  * Switch nova.network.* to use instance dot notation
  * Fix the order of base classes in migrations test cases
  * Move policy enforcement into REST API layer for v2.1 server_diagnostics
  * fixed tests to work with random PYTHONHASHSEED
  * Fix "Host Aggregate" section of the Nova Developer Guide
  * Remove useless NotFound exception catching for v2/v2.1 fping
* Wed Feb 25 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev494:
  * Updated from global requirements
  * Make compute unit tests inherit from test.NoDBTestCase
  * Request objects in security_groups api extensions
  * Reuse is_int_like from oslo_utils
  * VMware: fix network connectivity problems
  * Move policy enforcement into REST API layer for v2.1 admin password
  * Libvirt: Allow missing volumes during delete
  * Replace select-for-update in fixed_ip_associate
  * Move policy enforcement into REST API layer for v2.1 fping
  * Consolidate use api request version header
  * VMware: update get_available_datastores to only use clusters
  * Add useful debug logging when policy checks fail
  * Updated from global requirements
  * libvirt: Fix migration when image doesn't exist
  * libvirt: log host capabilities on startup
  * Enforce policy checking in REST API layer for v2.1 server_password
  * Fix 500 when deleting a not existing ec2 security group
  * Remove backwards compat oslo.messaging entries from setup.cfg
  * Change utils.vpn_ping() to return a Boolean
  * tests: remove duplicate keys from dictionary
  * Add blkid rootwrap filter
  * Move policy enforcement into REST API layer for v2.1 floating_ip_pools
  * libvirt: address test comments for zfcp volume driver changes
  * Fix BM nodes extension to deal with missing node properties
  * VMware: update the support matrix for security groups
  * Ignore 'dynamic' addr flag on gateway initialization
  * Create volume in the same availability zone as instance
  * Change microversion header name
  * Move policy enforcement into REST API layer for v2.1 ips
  * Move policy enforcement into REST API layer for v2.1 multinic
* Tue Feb 24 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev416:
  * console: add unit tests for baseproxy
  * Fixes novncproxy logging.setup()
  * Add descriptions to some assertBooleans
  * Add methods that convert any volume BDM to driver format
  * Split scheduler weight test on ram
  * Split scheduler weight test on metrics
  * Split scheduler weight test on ioops
  * Use oslo.log
  * switch LOG.audit to LOG.info
  * Fix idempotency of migration 269
  * nova flavor manage functional test
  * extract API fixture
  * Remove unused touch command filter
  * Add a test for block_device_make_list_from_dicts
  * Wrap IPv6 address in square brackets for scp/rsync
  * Use NoDBTestCase instead of TestCase
  * VMware: ensure that resize treats CPU limits correctly
  * Compute: pass flavor object to migrate_disk_and_power_off
  * api: report progress when instance is migrating
  * libvirt: proper monitoring of live migration progress
  * Adjust object_compat wrapper order
  * Enhance EvacuateHostTestCase test cases
* Sat Feb 21 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev377:
  * objects: fix issue in test cases for instance numa
  * libvirt: Adjust Nova to support FCP on System z systems
  * Added retries in 'network_set_host' function
  * XenAPI: Fix data loss on resize up
  * Replace oslo-incubator with oslo_context
* Fri Feb 20 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev368:
  * fake: fix public API signatures to match virt driver
  * Support live-migrate of instances in PAUSED state
  * Pass the capabilities to ironic node instance_info
  * Switch nova.api.* to use instance dot notation
  * libvirt: cleanup setattr usage in test_host
  * libvirt: add TODOs for removing libvirt attribute stubs
  * Fixes Attribute Error when trying to spawn instance from vhd on HyperV
  * Fix VNC access, when reverse DNS lookups fail
  * Don't assume contents of values after aggregate_update
* Thu Feb 19 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev350:
  * extract method from fc volume discovery
  * Fix DB access by FormatMappingTestCase
  * libvirt: using instance like object
  * libvirt: convert tests from mox to mock
  * Objectify calls to service_get_by_compute_host
  * Refactor how to remove compute nodes when service is deleted
  * Contrail VIF Driver changes for Nova-Compute
  * libvirt : Fix slightly misleading parameter name, validate param
  * Expand try/except for get_machine_ips
  * Switch nova.compute.manager to use instance dot notation
  * libvirt: stub out VIR_SECRET_USAGE_TYPE_ISCSI for older libvirt
  * Add handling for offlined CPUs to the nova libvirt driver
  * Make compute API create() use BDM objects
  * Remove redundant tearDown from ArchiveTestCase
  * Libvirt: Support ovs plug in vhostuser vif
  * Removed duplicate key from dictionary
  * Imported Translations from Transifex
  * Libvirt: Gracefully Handle Destroy Error For LXC
  * VMware: fix resize of ephemeral disks
  * Fixes logic in compute_node_statistics
  * hacking: Got rid of unnecessary TODO
  * Fix detach_sriov_ports to get context to be able to get image metadata
* Wed Feb 18 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev304:
  * libvirt: stub out VIR_CONNECT_LIST_DOMAINS_INACTIVE
  * Change calls to service information for Hypervisors API
  * libvirt: switch LibvirtConnTestCase back to NoDBTestCase
  * Replace usage of LazyPluggable by stevedore driver
  * Don't mock time.sleep with None
  * Remove computenode relationship on service_get
  * Remove nested service from DB API compute_nodes
  * libvirt: Use XPath instead of loop in _get_interfaces
  * Make the method _op_method() public
  * Quiesce boot from volume instances during live snapshot
  * network: Fix another IPv6 test for Mac
  * Pre-load default filters during scheduler initialization
  * Add JSON schema for v2.1 add network API
  * Handle MessagingException in unshelving instance
  * VMware: add in a utility method for detaching devices
  * VMware: address instance resize problems
  * Libvirt: Support for generic vhostuser vif
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev271:
  * libvirt: stub VIR_CONNECT_LIST_DOMAINS_ACTIVE for older libvirts
  * Remove now useless requirements wsgiref
  * Add missing api samples for floating-ips api(v2)
  * Libvirt: add in unit tests for driver capabilities
  * libvirt: fix overly strict CPU model comparison in live migration
  * Libvirt: vcpu_model support
  * Change outer to inner join in fixed IP DB API func
  * Adds infrastructure for microversioned api samples
  * Move policy enforcement into REST API layer for v2.1 api console-output
  * libvirt: add libvirt/parallels to hypervisor support matrix
  * libvirt: fix emulator thread pinning when doing strict CPU pinning
  * libvirt: rewrite NUMA topology generator to be more flexible
  * libvirt: Fix logically inconsistent host NUMA topology
  * Implement api samples test for os-baremetal-nodes Part 2
  * libvirt: Enable serial_console feature for system z
  * Add version specific test cases for microverison
  * Add suggestion to dev docs for debugging odd test failures
  * Improvement in 'network_set_host' function
  * Cells: Record initial database split in devref
  * Do not compute deltas when doing migration
* Sun Feb 15 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev231:
  * Change how the API is getting a list of compute nodes
  * Change how Cells are getting the list of compute nodes
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev227:
  * Cover ListOfObjectField for relationship test
  * Ironic: add in unit tests for driver capabilities
  * Tests: Don't require binding to port 4444
  * IP filtering is not accurate when used with limit
  * Change how HostManager is calling the service information
  * Move scheduler.host_manager to use ComputeNode object
  * patch out nova libvirt driver event thread in tests
  * Small cleanup in pci_device_update
  * Add vcpu_model to instance object
  * Pass instance primitive to instance_update_at_top()
  * Remove unused function in test
  * hardware: fix reported host mempages in numa cell
  * objects: fix numa obj relationships
  * objects: remove default values for numa cell
  * Add API schema for v2.1 tenant networks API
  * Libvirt: cleanup rescue lvm when unrescue
  * libvirt: utils canonicalize now the image architecture property
  * libvirt: remove _destroy_instance_files shim
  * libvirt: memnodes shuold be set to a list instead of None
  * Sync with oslo-incubator
  * Make compute use objects usage 'best practice'
  * Fix network tests response code checking
  * Access migration fields like an object in finish_revert_resize
  * Remove unused migration parameter from _cleanup_stored_instance_types
  * Hyper-V: Adds instance missing metrics enabling
  * Add ipv6 support to fake network models
  * Fixes interfaces template identification issue
* Fri Feb 13 2015 dmueller@suse.com
- update logrotate.conf
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev173:
  * Remove unused function
  * Move policy enforcement into REST API layer for v2.1 deferred_delete
  * Move policy enforcement into REST API layer for v2.1 lock server
  * Sync simple_tenant_usage V2.1 exception with V2 and add test case
  * IP filtering can include duplicate instances
  * Compute: use dot convension for _poll_rescued_instances
  * Compute: update reboot_instance to use dot instance notation
  * Fix incorrect compute api config indentation
  * Compute: use consistant instance dot notation
  * Use dot notation on instance object fields in _delete_instance
  * Implement api samples test for os-baremetal-nodes
  * Fix description of parameters in nova functions
  * Adds keypair type database migration
  * Use controller methods directly in test_rescue
  * Make test re-use HTTPRequest part 5
  * Make obj_set_defaults() more useful
  * Remove unused conductor parameter from get_host_availability_zone()
  * Remove unused network rpcapi calls
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev137:
  * Add recursive flag to obj_reset_changes()
  * Add tests for nova-manage vm list
  * Log warning if CONF.my_ip is not found on system
  * virt: Fix interaction between disk API tests
  * VMware: update get_vm_resize_spec interface
  * Remove compability check for ratelimit_v3
  * Warn about zookeeper service group driver usage
  * Typos fixed
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev119:
  * network: Fix IPv6 tests for Mac
  * Stop making the database migration backend lazy pluggable
  * Updated from global requirements
  * Libvirt: Created Nova driver for Quobyte
  * Move policy enforcement into REST API layer for v2.1 pause server
  * Libvirt: update log message
  * Update usage of exception MigrationError
  * Extract preserve ephemeral on rebuild from servers plugin
  * Raise bad request for missing 'label' in tenant network
  * VMware: add disk device information to VmdkInfo
  * Call controller methods directly in test_multinic
  * Fix incorrect use of mock in scheduler test
  * Add more tests for tenant network API
  * Add notification for suspend
  * Add API schema for v2.1 networks API
  * Adds devref for API Microversions
  * Ensure publisher_id is set correctly in notifications
  * Failed to discovery when iscsi multipath and CHAP both enabled
  * VMware: fix resume_state_on_host_boot
  * libvirt: remove pointless loop after live migration finishes
  * libvirt: Set SCSI as the default cdrom bus on System z
  * libvirt: cleanup warning log formatting in _set_host_enabled
  * Cells: Improve invalid hostname handling
  * Cache empty results in libvirt get_volume_connector
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev72:
  * Make tests use sha256 as openssl default digest algorithm
  * Replace select-for-update in floating_ip_allocate_address
  * VMware: Enable spawn from OVA image
  * Remove wsgi_app usage from test_server_actions
  * Change some v2.1 extension names to v2
  * Add VirtCPUModel nova objects
  * Add enum fieldtype field
  * Convert v2.1 extension_info to show V2 API extension list
  * Cleanup and removal of unused code in scheduler unit tests
  * Refactor test_filter_scheduler use of fakes
  * Fixes Hyper-V configdrive network injection issue
  * Remove temporary power state variables
  * Fix expected error in V2.1 add network API
* Sun Feb  8 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev46:
  * work around for until-failure
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev44:
  * Updated from global requirements
  * Update matrix for kvm on ppc64
  * Switch off oslo.* namespace check temporarily
  * Switch to using oslo_* instead of oslo.*
  * Enable BIOS bootmenu on AMI-based images
  * Fix references to non-existent "pause" section
  * Fix improper use of Stevedore
  * libvirt: Fail when live block migrating instance with volumes
  * Treat LOG.warning and LOG.warn same
  * Add JSON schema for v2.1 'quota_class' API
  * Add api_version parameter for API sample test base class
  * fix typo in rpcapi docstring
  * Fix conductor servicegroup joining when zk driver is used
  * Make EC2 compatible with current AWS CLI
  * Use a workarounds group option to disable live snaphots
  * Fix bdm transformation for volume backed servers
  * Removed useless method _get_default_deleted_value
  * Update network resource when shelve offload instance
  * Add missing policy for nova in policy.json
  * remove detail method from LimitsController
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev4:
  2015.1.0b2
  * libvirt: fix console device for system z for log file
  * libvirt: generate proper config for PCS containers
  * libvirt: add ability to add file and block based filesystem
  * libvirt: add ploop disks format support
  * Remove v1.1 from v2.1 extension description
  * Add missing setup.cfg entry for os-user-data plugin
  * Add max_concurrent_builds limit configuration
  * Update Power State after deleting instance
  * libvirt: Use XPath instead of loop in _get_all_block_devices
  * libvirt: Use XPath instead of loop in get_instance_diagnostics
  * Ironic: Adds config drive support
  * Adds barbican keymgr wrapper
  * Added hacking rule for assertEqual(a in b, True/False)
  * VMware: enable a cache prefix configuration parameter
  * VMware: remove unnecessary brackets
* Thu Feb  5 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev815:
  * PCI NUMA filtering
  * Do not treat empty key_name as None
  * Remove unused error from v2.1 create server
  * Fix corrupting the object repository with test instance objects
  * Change cell_type values in nova-manage
  * Fix bad mocking of methods on Instance
  * Updated from global requirements
  * Fix cells rpc connection leak
  * Remove redundant assert of mock volume save call
  * Don't create block device mappings in the API cell
  * Add formal doc recording hypervisor feature capability matrix
  * libvirt-xen: Fix block device prefix and disk bus
  * libvirt-xen: don't request features ACPI or APIC with PV guest
  * Cells: Fix service_get_by_compute_host
  * Replace select-for-update in fixed_ip_associate_pool
  * GET details REST API next link missing 'details'
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev783:
  * Remove useless argparse requirement
  * add asserts of DriverBlockDevice save call parameters
  * fix call of DriverVolumeBlockDevice save in swap_volume
  * libvirt : Add support for --interface option in iscsiadm
  * Expand instances project_id index to cover deleted as well
  * Fixes Hyper-V instance snapshot
  * Add more status when do _poll_rebooting_instances
  * Make code compatible with v4 auth and workaround webob bug
  * Fix likely undesired use of redirection
  * libvirt: Support iSCSI live migration for different iSCSI target
  * libvirt: always pass image_meta when getting guest XML
  * Make test re-use HTTPRequest part 4
  * libvirt: use XPath in _get_serial_ports_from_instance
  * check the configuration num_vbd_unplug_retries
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev755:
  * libvirt: avoid setting the memnodes where when it's not a supported option
  * Save bdm in swap_volume
  * doc: document manual testing procedure for serial-console
  * nova net-delete network is not informative enough
  * Fix typo in nova/virt/disk/vfs/localfs.py
  * libvirt: fix failure when attaching volume to iso instance
  * Add log message to is_luks function
  * object: serialize set to list
  * Fix leaking exceptions from scheduler utils
  * Adds tests for Hyper-V VHD utils
  * libvirt: add QEMU built-in iSCSI initiator support
  * Add update_or_create flag to BDM objects create()
  * Remove unused method from test_metadata
  * Add JSON schema for "associate_host" API
  * Add migrate_flavor_data to nova-manage
  * Adds logging to ComputeCapabilitiesFilter failures
  * VMware: add in utility methods for copying and deleting disks
  * libvirt: assume image_meta is non-None in blockinfo module
  * Enforce DB model matches results of DB migrations
  * Add missing foreign keys for sqlite
  * Fix an indentation in server group api samples template
  * Allow instances to attach to shared external nets
  * libvirt: add parallels virt_type
  * Adds common policy authorizer helper functions for Nova V2.1 API
  * Adds skip_policy_check flag to Compute/Network/SecurityGroup API
  * Add API schema for v2.1 server reboot actions
  * Add API schema for v2.1 'removeFloatingIp'
  * Add API schema for v2.1 'addFloatingIp'
  * Add parameter_types.ip_address for cleanup
  * Remove N331 hacking rules
* Sun Feb  1 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev653:
  * Remove unused content_type_params()
* Sat Jan 31 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev651:
  * libvirt: fix missing block device mapping parameter
  * Revert "Raise if sec-groups and port id are provided on boot"
  * Calls to superclass' __init__ function is optional
  * Fix error message when no IP addresses available
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev643:
  * Add flavor fields to Instance object
  * Fix up some instance object creation issues in tests
  * Fix misspellings in hardware.py
  * Apply v2.1 API to href of version API
  * libvirt: always pass image meta when getting disk info from bdm
  * Handle ironic_client non-existent case
  * Use a workarounds option to disable rootwrap
  * Convert nova-manage list to use Instance objects
  * Create a 'workarounds' config group
  * Updated from global requirements
  * don't use exec cat when we can use read
  * don't assert_called_once_with with a real time
  * Network: correct VMware DVS port group name lookup
  * Refactor ComputeCapabilitiesFilter as bugfix preparation
  * libvirt: update uri_whitelist in fakelibvirt.Connection
  * Revert "Adds keypair type database migration"
  * Raise NotFound if attach interface with invalid net id or port id
  * Change default value of multi_instance_display_name_template
  * Raise if sec-groups and port id are provided on boot
  * Break base service group driver class out from API
  * libvirt: Use XPath instead of loop in _get_disk_xml
  * Make _get_instance_block_device_info preserve root_device_name
  * Implement a safe copy.copy() operation for Nova models
  * Guard against missing X-Instance-ID-Signature header
  * Update WSGI SSL IPv6 test and SSL certificates
  * Catch more specific exception in _get_power_state
  * Maintain the creation order for vifs
  * Set socket options in correct way
  * Fix conductor processes race trying to join servicegroup (zk driver)
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev587:
  * Support for ext4 as default filesystem for ephemeral disks
  * Objects: add in missing translation
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev583:
  * Check for LUKS device via 'isLuks' subcommand
  * disk: use new vfs method and option to extend
  * libvirt: always pass image meta when getting disk mapping
  * libvirt: always pass image meta when getting disk info
  * objects: fix typo in changelog of compute_node
  * Reply with a meaningful exception when ports are over the quota limit
  * Adds keypair type database migration
  * A minor change of CamelCase parameter
  * Imported Translations from Transifex
  * Add missing indexes in SQLite and PostgreSQL
  * Remove H238 comment from tox.ini
  * libvirt: use image_meta when looking up default device names
  * Fix policy validation in JSONSchema
  * Adds assert_has_no_errors check
  * Begin using ironic's "AVAILABLE" state
  * HACKING.rst: Update the location of unit tests' README.rst
  * Make test re-use HTTPRequest part 1
  * ephemeral file names should reflect fs type and mkfs command
  * Add API schema for v2.1 createImage API
  * Hyper-V: Fixes wrong hypervisor_version
  * Cleanup XML for api samples tests for Nova REST API
  * Move test_extension_info from V3 dir to V2.1
* Tue Jan 27 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev540:
  * Revert temporary hack to monkey patch the fake rpc timeout
  * virt: make tests pass instance object to get_instance_disk_info
  * libvirt: rename conn variable in LibvirtConnTestCase
  * Add method for getting the CPU pinning constraint
  * libvirt: Consider CPU pinning when booting
  * Ignore warnings from contextlib.nested
  * Remove redundant catch for InstanceNotFound
  * libvirt: Create correct BDM object type for conn info update
  * disk/vfs: introduce new option to setup
  * disk/vfs: introduce new method get_image_fs
  * Use controller methods in test_floating_ips
  * Add version as request param for fake HTTPRequest
  * libvirt: not setting membacking when mempages are empty host topology
  * Remove unused methods in nova utils
  * VMware: add in utility method for copying files
* Sun Jan 25 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev510:
  * Avoid bdms db call when cleaning deleted instance
  * Cleanup bad JSON files
  * libvirt: remove use of utils.instance_sys_meta
  * libvirt: remove use of fake_instance.fake_instance_obj
  * Adds "file" disk driver support to Xen libvirt driver
  * Cleanup in test_admin_actions
  * Remove mox dependency
  * Improve api-microversion hacking check
  * fix wrong file path in docstring of hacking.checks
  * Fix nova-manage shell ipython
  * ironic: remove non-standard info in get_available_resource dict
  * hyperv: use standard architecture constants for CPU model
  * xenapi: fix structure of data reported for cpu_info
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev484:
  * Updated from global requirements
  * Remove unused method log_db_contents
  * Switch to oslo.vmware API for reading and writing files
  * libvirt: rename self.conn in LibvirtVolume{Snapshot||Usage}TestCase
  * Fix errors in string formatting operations
  * Fixes undocumented commands
  * Virt: remove unused 'host' parameter from get_host_uptime
  * Fix v2.1 os-tenant-networks/networks API
  * Add unit test for getting project quota remains
  * Cleanups in preparation of flavor attributes on Instance
  * Add flavor column to instance_extra table
  * Fix wrong instructions for rebuilding API samples
  * Use get_my_ipv4 from oslo.utils
  * Corrects link to API Reference on landing page
  * VMware: remove unused method in the fake module
  * include python-novaclient in abandon policy
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev453:
  * Reschedule queries to nova-scheduler after a timeout occurs
  * Add to_dict() method to PciDevicePool object
  * libvirt: rename self.libvirtconnection in LibvirtDriverTestCase
  * libvirt: convert LibvirtConnTestCase to use fakelibvirt fixture
  * Provide compatibliity for db.compute_node_statistics
  * Update network resource when rescheduling instance
  * libvirt: Expanded test libvirt driver
  * Remove unused controller instance in test_config_drive
  * Add checking changePassword None in _action_change_password(v2)
  * Add more exceptions handle when change server password (v2)
  * Share admin_password unit test between V2 & V2.1
  * Fix JSONFilter docs
  * libvirt: move _get_hypervisor_* functions to Host class
  * libvirt: don't turn time.sleep into a no-op in tests
  * Add setup/cleanup_instance_network_on_host api for neutron/nova-network
  * VMware: snapshot as stream-optimized image
  * Get settable user quota maximum correctly
  * Fix typo in nfs_mount_options option description
  * Remove non existent rule N327 from HACKING.rst
  * etc: replace NullHandler by Python one
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev411:
  * Convert tests to NoDBTestCase
  * Don't translate logs in tests
  * Don't translate exceptions in tests
  * Share server_actions unit test between V2 & V2.1
  * Fix server_groups schema on v2.1 API
  * clean up extension loading logging
  * Enable check for H238 rule
  * Honor shared storage on resize revert
  * Stub out instance action events in test_compute_mgr
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev396:
  * libvirt: update get_capabilities to Host class
  * libvirt: add get_connection doc string in Host class
  * Call ComputeNode instead of Service for getting the nodes
  * Adds Hyper-V generation 2 VMs implementation
  * VMware: ensure that correct disk details are returned
  * Fix py27 gate failure - test_create_instance_both_bdm_formats
  * Make get_best_cpu_topology consider NUMA requested CPU topology
  * VMware: refactor utility functions related to VMDK
  * don't use debug logs for object validation
  * tests: fix handling of TIMEOUT_SCALING_FACTOR
  * Make service-list output consistent
  * Make V2.1 servers filtering (--tenant-id) same as V2
  * libvirt: clean instance's directory when block migration fails
  * Catch NUMA related exceptions for create server v2.1 API
  * libvirt: Decomposition plug hybrid methods in vif
  * This patch fixes the check that 'options' object is empty correctly
* Tue Jan 20 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev364:
  * Reduce complexity of the _get_guest_config method
  * Remove useless requirements
  * Make libvirt driver expose sibling info in NUMA topology
  * Fixed incorrect initialization of availability zone tests
  * Sync with latest oslo-incubator
  * initialize objects with context in VirtualInterface object tests
  * initialize objects with context in Tag object tests
  * initialize objects with context in Service object tests
  * Fixes Hyper-V boot from volume live migration
  * Cache ironic-client in ironic driver
  * VMware: driver not handling port other than 443
  * Add API schema for server_groups API
  * Remove lock files when remove libvirt images
  * Make test_consoles to directly call controller methods
  * Add support for clean_shutdown to resize in compute api layer
  * Libvirt: use strutils.bool_from_string
* Sun Jan 18 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev332:
  * increase fake rpc POLL_TIMEOUT to 0.1s
  * Fix inconsistencies in the ComputeNode object about service
  * create some unit of work logging in n-net
  * Remove unused scheduler driver methods
  * Catch expected exceptions in remote console controller
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev322:
  * Revert "initialize objects with context in block device"
  * Performance: leverage dict comprehension in PEP-0274
  * xenapi: don't send terminating chunk on errors
  * Make numa_usage_from_instances consider CPU pinning
  * libvirt: remove/revert pointless logic for getVersion call
  * libvirt: move capabilities helper into host.py
  * libvirt: move domain list helpers into Host class
  * libvirt: move domain lookup helpers into Host class
  * Add numa_node to PCIDevice
  * libvirt: set guest cpu_shares value as a multiple of guest vCPUs
* Fri Jan 16 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev303:
  * Expansion of matching XML strings logic
  * oslo: remove useless modules
  * Do not use deprecated assertRaisesRegexp()
  * Remove unused instance_group_metadata_* DB APIs
  * initialize objects with context in block device
  * Reduce the complexity of the create() method
  * Make service-delete work in API cells
  * Fix OverQuota headroom KeyError in nova-network allocate_fixed_ip
  * Cleanup in admin_actions(v2.1api)
  * Fix failure rebuilding instance after resize_revert
  * initialize objects with context in SecurityGroupRule object tests
  * initialize objects with context in SecurityGroup object tests
  * SQL scripts should not manage transactions
  * Fix EC2 volume attachment state at attaching stage
  * Add ALL-IN operator to extra spec ops
* Thu Jan 15 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev273:
  * speed up tests setting fake rpc polling timeout
  * Fix live migration RPC compatibility with older versions
  * Update docstring for wrap_exception decorator
  * Make LOG exception use format_message
  * make IptablesRule debug calls meaningful
  * Add handling of BadRequest from Neutron
  * VMware: use power_off_instance instead of power_off
  * Remove unnecessary cleanup from ComputeAPITestCase
  * Join instances column before expecting it to exist
  * Hyper-V: Fix volume attach issue caused by wrong constant name
  * initialize objects with context in compute manager
  * libvirt: Handle empty context on _hard_reboot
* Wed Jan 14 2015 tbechtold@suse.com
- Update to version nova-2015.1.dev249:
  * Updated from global requirements
  * Make ec2 auth support v4 signature format
  * Replace Hacking N315 with H105
  * Enable W292
  * Fix and re-gate on H306
  * Move to hacking 0.10
  * Updated from global requirements
  * Move WarningsFixture after DatabaseFixture so emit once
  * libvirt: Use arch.from_host instead of platform.processor
  * Fix obj_to_primitive() expecting the dict interface methods
  * Remove unused XML_WARNING variable in servers API
  * remove pylint source code annotations
  * remove all traces of pylint testing infrastructure
  * initialize objects with context in base object tests
  * initialize objects with context in Migration object tests
  * initialize objects with context in KeyPair object tests
  * initialize objects with context in InstanceNUMATopology object tests
  * initialize objects with context in InstanceGroup object tests
  * initialize objects with context in InstanceFault object tests
  * Add WarningsFixture to only emit DeprecationWarning once in a test run
  * Doc: Adds python-tox to Ubuntu dependencies
  * Added hacking rule for assertTrue/False(A in B)
  * ironic: use instance object in driver.py
  * Add LibvirtGPFSVolumeDriver class
  * Return 500 when unexpected exception raising when live migrate v2
  * Remove no need LOG.exception on attach_interface
  * Switch to tempest-lib's packaged subunit-trace
  * Update eventlet API in libvirt driver
  * initialize objects with context in Instance object tests
  * initialize objects with context in Flavor object tests
- Rebased patches:
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (manually)
- Adjust Requires according to requirements.txt
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1323.gcb3a8b5:
  * Fix cells RPC version 1.30 compatibility with dict-based Flavors
  * objects: introduce numa pages topology as an object
  * fix pep8 errors that apparently slipped in
  * Add cn_get_all_by_host and cn_get_by_host_and_node to ComputeNode
  * Add host field to ComputeNode
  * Add a validation format "cidr"
  * Use a copy of NEW_NETWORK for test_networks
  * Libvirt: SMB volume driver
  * VMware: allow selection of vSAN datastores
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1305.g668c2c9:
  * Libvirt: Fsfreeze during live-snapshot of qemu/kvm instances
  * Updated from global requirements
  * Hyper-V: attach volumes via SMB
  * Update LVM lockfile name identical to RAW and Qcow
  * VMware: support passing flavor object in spawn
  * Libvirt: make use of flavor passed by spawn method
  * Virt: change instance_type to flavor
  * rename oslo.concurrency to oslo_concurrency
  * Support macvtap for vif_type being hw_veb
  * Remove unnecessary timeutils override cleanup
  * Cleanup timeutils override in tests/functional/test_servers
  * Downgrade quota exceeded log messages
  * Remove unused cinder code
  * Libvirt normalize numa cell ids
  * Remove needless workaround in utils module
  * Remove except Exception cases
  * Workflow documentation is now in infra-manual
  * Adds global API version check for microversions
  * Assert order of DB index members
  * Compute Add build_instance hook in compute manager
  * Remove the volume api related useless policy rules
  * Remove old Baremetal Host Manager
  * Rename private functions in db.sqla.api
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1259.g5ef07cc:
  * Fixes multi-line strings with missing spaces
  * Fix incorrectly formatted log message
  * libvirt: check value of need_legacy_block_device_info
  * Fixed typo in testcase and comment
  * Implement microversion support on api methods
  * Fix long hostname in dnsmasq
  * Updated from global requirements
  * object-ify flavors manager side of the RPC
  * Enforce unique instance uuid in data model
  * Replacement `_` on `_LW` in all LOG.warning part 4
  * Replacement `_` on `_LW` in all LOG.warning part 3
  * Convert v3/v2.1 extension info to present v2 API format
  * VMware: ephemeral disk support
  * Fix disconnecting necessary iSCSI sessions issue
  * Network object: add missing translations
  * Only filter once for trusted filters
  * Indicate whether service is down for mc driver
  * make get_by_host use slave in periodic task
  * Fix scheduler_available_filters help
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1223.g0ba66aa:
  * Add CPU pinning data to InstanceNUMACell object
  * Adds NUMA CPU Pinning object modeling
  * objects: Add several complex field types
  * Imported Translations from Transifex
  * libvirt: Fix domain creation for LXC
  * Break V2 XML Support
  * libvirt: Enable console and log for system z guests
  * libvirt: Set guest machine type on system z
  * Drop support for legacy server groups
  * Libvirt: Don't let get_console_output crash on missing console file
  * libvirt: enhance config memory backing to handle hugepages
  * libvirt: video RAM setting should be passed in kb to libvirt
  * Fix type of uniq_security_groups0project_id0name0deleted
  * Add debug log for url not found
  * Scheduler: return a namedtuple from _get_group_details
  * Correct InvalidAggregateAction translation&format
  * Add API validation schema for volume_attachments
  * Share CreateBackup unit test between V2 & V2.1
  * Share suspend_server unit test between V2 & V2.1
  * Share pause_server unit test between V2 & V2.1
  * Share lock_server unit test between V2 & V2.1
  * Use admin only common test case in admin action unit test cases
  * Make aggregate filters use objects
  * tests: update _get_instance_xml to accept custom flavor object
  * libvirt: vif tests should use a flavor object
  * libvirt: use qemu (qdisk) disk driver for Xen >= 4.2.0
  * Revert pause/unpause state when host restart
  * Fixed quotas double decreasing problem
  * VMware: Fix problem transferring files with ipv6 host
  * VMware: pass vm_ref to _set_machine_id
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1155.g3ad52a7:
  * Hyper-V: Adds VMOps unit tests (part 1)
  * VMware: support spawn of stream-optimized image
  * libvirt: reuse defined method to return instance numa topology
  * Don't mock external locks with Semaphore
  * VMware: optimize resource pool usage
  * Added objects Tag and TagList
  * Switch to moxstubout and mockpatch from oslotest
  * Check that volume != root device during boot by image
  * Make a flavorRef validation strict
  * Add missing indexes from 203 migration to model
  * Correct columns covered in migrations_instance_uuid_and_status_idx
  * Optimize 'floating_ip_bulk_create' function
  * Hard reboot doesn't re-create instance folder
  * Remove unused oslo.config import
  * Use real disk size to consider a resize down
  * Clearer default implmentation for dhcp_options..
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1124.g9ccad00:
  * Imported Translations from Transifex
  * factor out _setup_logging in test.py
  * extract _setup_timeouts in test.py
  * Use "is_neutron_security_groups" check
  * Fix function name mismatch in test case
  * VMware: prevent exception with migrate_disk_and_power_off
  * Compute: catch correct exception when host does not exists
  * Code cleanup: quota limit validation
  * Add api validation schema for image_metadata
  * Remove blanks before ':'
  * Port virtual-interfaces plugin to v2.1(v3) API
  * Catch ComputeServiceUnavailable on v2 API
  * GET servers API sorting REST API updates
  * VMware: enable VMware driver to use new BDM format
  * Removing the headroom calculation from db layer
  * Make multiple_create unit tests share between v2 and v2.1
  * remove test.ReplaceModule from test.py
  * Added db API layer to add instance tag-list filtering support
  * Added db API layer for CRUD operations on instance tags
  * Fix API samples/templates of multinic-add-fixed-ip
  * Sync latest from oslo-incubator
  * Fixes Hyper-V agent IDE/SCSI related refactoring
  * Hyper-V: Refactors Hyper-V VMOps unit tests
  * Hyper-V: Adds Hyper-V SnapshotOps tests
  * Remove unused network_api.get_floating_ips_by_fixed_address()
  * add abandon_old_reviews script
  * Eventlet green threads not released back to pool
  * Hyper-V: Adds LiveMigrationOps unit tests
  * Hyper-V: Removes redundant utilsfactory tests from test_hypervapi
  * Hyper-V: Adds HostOps unit tests
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1044.g78d4d7a:
  * Fix URL mapping of image metadata PUT request
  * Fix URL mapping of server metadata PUT request
  * objects: move numa host and cell to objects
  * objects: introduce numa objects
  * Changed testcase 'test_send_on_vm_change' to test vm change
  * VMware: associate instance with storage policy
  * VMware: use storage policy in datastore selection
  * VMWare: get storage policy from flavor
  * Fix v2.1 API os-simple-tenant-usage policy
  * Port floating_ips extension to v2.1
  * Implement 'personality' plugin for V2.1
  * Enable pep8 on ./tools directory
  * VMware: enable backward compatibility with existing clusters
  * Type conflict in trusted_filter.py using attestation_port default value
  * Limit InstanceList join to system_metadata in os-simple-tenant-usage
  * Specify storage IP for iscsi connector
  * Optimize 'fixed_ip_bulk_create' function
* Mon Dec  1 2014 dmueller@suse.com
- openstack-nova-network-init-bnc777488.patch,
  0001-Robustify-determination-of-root-directory.patch,
  nova-network-filter-bnc777488.patch
* Mon Dec  1 2014 dmueller@suse.com
- Update to version nova-2015.1.dev1010.g59acb16:
  * objects: move virt numa instance to objects
  * Change definition of API_EXTENSION_NAMESPACE to method
  * Set API version request information on request objects
  * Adds APIVersionRequest class for API Microversions
  * Updated from global requirements
  * move the integrated tests into the functional tree
  * Fix use of conf_fixture
  * Make network/* use Instance.get_flavor()
  * Make metadata server use Instance.get_flavor()
  * Fix use of extract_flavor() in hyper-v driver
  * Check server group policy on migrate/evacuate
  * VMware: fix exception when multiple compute nodes are running
  * Add API json schema for server_external_event(v2.1)
  * Port v2 quota_classes extension to work in v2.1(v3) framework
  * Share unit test case for server_external_events api
  * Add API schema for v2.1/v3 scheduler_hints extension
  * Make compute/api.py::resize() use Instance.get_flavor()
  * Make get_image_metadata() use Instance.get_flavor()
  * Fix instance_update() passing SQLA objects to send_update()
  * dummy patch to let tox functional pass
  * Remove Python 2.6 classifier
  * hardware: clean test to use well defined fake flavor
  * objects: Add test for instance _save methods
  * Error code for creating duplicate floating_ip_bulk
  * Use HTTPRequest instead of HTTPRequestV3 for v2/v2.1 tests
  * objects: make instance numa topology versioned in db
  * Clean up in test_server_diagnostics unit test case
  * Add "x-compute-request-id" to a response header
  * Prevent admin role leak in context.elevated
  * Introduce a .z version element for backportable objects
* Thu Nov 13 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev697.ga22cece:
  * Updated from global requirements
  * Use six.text_type instead of unicode
  * VMware: trivial fix for comment
  * Hyper-V: Skip logging out in-use targets
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev689.g70ad74c:
  * Drop max-complexity to 47
  * xenapi plugins must target only Python 2.4 features
  * Switch default cinder API to V2
  * Remove deprecated spicehtml5 options
  * XENAPI add duration measure to log message
  * Make scheduler code use object with good practice
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev677.g943f02f:
  * libvirt: add classes for NUMA memory binding configuration
* Sat Nov  8 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev676.ge03525b:
  * Fix xen plugin to retry on upload failure
  * scheduler: Remove assert on the exact number of weighers
* Fri Nov  7 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev673.g0a7f2a8:
  * Quotas: remove deprecated configuration variable
  * Glance: remove deprecated config options
  * Cinder: remove deprecated configuration options
  * Neutron: remove deprecated config options
  * object: update instance numa object to handle pagesize
  * hardware: make cell instance topology to handle memory pages
  * hardware: introduce VirtNUMATopologyCellInstance
  * hardware: fix in doctstring the memory unit used
  * virt: introduce types VirtPageSize and VirtPagesTopology
  * Fix instance_usage_audit_log test to use admin context
  * Return HTTP 400 if use invalid fixed ip to attach interface
* Wed Nov  5 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev651.g051e496:
  * libvirt: safe_decode domain.XMLDesc(0) for i18n logging
  * Compute: catch more specific exception for _get_instance_nw_info
  * Handle exception better in v2.1 attach_interface
* Tue Nov  4 2014 dmueller@suse.com
- fix requires
* Tue Nov  4 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev645.gbfbcf7f:
  * Make test_security_groups nose compatible
  * Make test_quotas compatible with nosetests
  * Move setup_instance_group to conductor
  * Make test_host_filters a NoDBTestCase
* Sat Nov  1 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev637.g2a7f3af:
  * Use sizelimit from oslo.middleware
  * Use oslo.middleware
  * Move group affinity filters tests to own test file
  * Split out metrics filter unit tests
  * Remove param check for backup type on v2.1 API
  * VMware: use instance.uuid instead of instance['uuid']
  * host manager: Log the host generating the warning
  * Remove uncessary instance.save in nova compute
  * Replace custom patching in `setUp` on HypervisorsSampleJsonTests
* Fri Oct 31 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev619.geb9c321:
  * Make resource tracker always use Flavor objects
  * Switch Nova to use oslo.concurrency
  * Splits out retry filter unit tests
  * Split out compute filters unit tests
  * Update hooks from oslo-incubator copy
  * update retryable errors & instance fault on retry
  * VMware: Improve the efficiency of vm_util.get_host_name_for_vm
  * VMware: Add fake.create_vm()
  * Adds tests for Hyper-V Network utils
  * Adds tests for Hyper-V Host utils
  * Clean up iSCSI multipath devices in Post Live Migration
  * Check fixed-cidr is within fixed-range-v4
  * VMware: Improve logging on failure due to invalid guestId
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev593.gdcba0a1:
  * Split out aggregate disk filter unit tests
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev591.gb06f3e7:
  * Change error code of floating_ip_dns api(v2.1)
  * Ignore DiskNotFound error on detaching volumes
  * Split out core filter unit tests
  * Split out IO Ops filter unit tests
  * Read flavor even if it is already deleted
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev581.ga7e1433:
  * Update docstring for check_instance_shared_storage_local
  * remove use of explicit lockutils invocation in tests
  * Delay STOPPED lifecycle event for Xen domains
  * Remove warning & change @periodic_task behaviour
  * Fix nova-compute start issue after evacuate
  * libvirt: introduce config to handle cells memory pages caps
  * Use 404 instead of 400 when security_group is non-existed
  * Port security-group-default-rules extension into v2.1
  * Port SecurityGroupRules controller into v2.1
  * Split out num instances filter unit tests
  * Split and fix the type filters unit tests
  * Split and fix availability zone filter unit tests
  * Split out PCI passthrough filter unit tests
  * Use common get_instance call in API plugins
  * Fix nova evacuate issues for RBD
  * Set error state when unshelve an instance due to not found image
  * Remove unused compute_api in extend_status
  * Use wsgi.response for v2.1 API
  * VMware: fix compute node exception when no hosts in cluster
  * VMware: add tests for spawn with config drive enabled
  * Remove outdated docstring for XenApi driver's options
  * Make separate calls to libvirt volume
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev537.g6c90d81:
  * Small doc fix in compute test
  * Fixes DOS issue in instance list ip filter (bnc#903013, CVE-2014-3708)
  * error if we don't run any tests
  * Revert "Switch Nova to use oslo.concurrency"
  * Updated from global requirements
  * Add API validation schema for disk_config
  * DB API: Pass columns_to_join to instance_get_active_by_window_joined
  * Use py27 version of assertRaisesRegexp
  * xenapi: upload/download params consistency change
  * Use assertRaisesRegexp
  * Drop python26 support for Kilo nova
  * Switch Nova to use oslo.concurrency
  * fix the error log print in encryptor __init__.py
  * Compute: maint: adjust code to use instance object format
  * Network: manage neutron client better in allocate_for_instance
  * Fix the unittest use wrong controller for SecurityGroups V2
  * Add API validation schema for floating_ip_dns
  * Remove LOG outputs from v2.1 API layer
  * Make v2.1 tests use wsgi_app_v21 and remove wsgi_app_v3
  * Fix order of arguments in assertEqual
  * Remove duplicate index from model
  * Ironic: Continue pagination when listing nodes
* Tue Oct 28 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev496.g43094a9:
  * Split out agg multitenancy isolation unit tests
  * Split agg image props isolation filter unit tests
  * Separate isolated hosts filter unit tests
  * Separate NUMA topology filter unit tests
  * resource-tracker: Begin refactor unit tests
  * Use wsgi.response for v2.1 unrescue API
  * libvirt: fully parse PCI vendor/product IDs to integer data type
  * ironic: use instance object for `_add_driver_fields`
  * ironic: use instance object for `_wait_for_active`
  * ironic: use instance object for `get_info`
  * ironic: use instance object for `rebuild`
  * ironic: use instance object for plug_vifs
  * Reduce the complexity of stub_out_db_network_api()
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev470.g7ac26ec:
  * typo in the policy.json "rule_admin_api"
  * Remove `domain` from floating-ip-dns-create-or-update-req body
  * Port floating_ip_dns extention to v2.1
  * Run build_and_run_instance in a separate greenthread
  * Add API schema for v2.1 "resize a server" API
  * Remove use of unicode on exceptions
  * Fix error in comments
  * Make pci_requests a proper field on Instance object
  * api: add serial console API calls v2.1/v3
  * Add API validation schema for cloudpipe api
  * Remove project id in ViewBuilder alternate link
  * Cleanup of tenant network tests
  * Port floating_ips_bulk extention to v2.1
  * Translate 'powervm' hypervisor_type to 'phyp' for scheduling
  * Give a reason why NoValidHost in select_destinations
  * Revert "Replace outdated oslo-incubator middleware"
  * Set logging level for glanceclient to WARN
  * Nova should be in charge of its log defaults
  * Reduce the complexity of _get_guest_config()
  * libvirt: use instance object for detach_volume
  * libvirt: use instance object for attach_volume
  * libvirt: use instance object for resume_state_on_host_boot
  * libvirt: treat suspend instance as an object
  * VMware: Remove redundant fake.reset() in test_vm_util
  * Console: delete code for VMRCConsole and VMRCSessionConsole
  * VMware: delete the driver VMwareESXDriver
  * Replacement `_` on `_LE` in all LOG.error
  * VMware: rename vmware_images to images
  * Remove unuseful parameter in cloudpipe api(v2/v2.1)
  * Moves trusted filter unit tests into own file
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev311.gad84585:
  * Fix instance_extra backref
  * Refactor compute tests to not use _objectify()
  * Refactor compute and conductor tests to use objects
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev305.gdaf278c:
  * Add notification for server group operations
  * Port os-networks-associate plugin to v2.1(v3) infrastructure
  * Port os-tenant-networks plugin to v2.1(v3) infrastructure
  * Fix genconfig - missed one import from oslo cleanup
  * Handle Forbidden error from network_api.show_port in os-interface:show
  * Optimize get_instance_nw_info and remove ipam
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev294.gfe7065f:
  * Fix unit test failure due to tests sharing mocks
  * Remove unused modules copied from oslo-incubator
  * Remove unused code in pci_manager.get_instance_pci_devs()
  * VMware: get_all_cluster_refs_by_name default to {}
  * Add 'zvm' to the list of known hypervisor types
  * Fix image metadata returned for volumes
  * libvirt: Make sure volumes are well detected during block migration
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev280.g45c2205:
  * Fix wrong exception return in fixed_ips v2 extention
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev278.gb16f7e0:
  * Switch to nova's jsonutils in oslo.serialization
  * VMware: mark virtual machines as 'belonging' to OpenStack
  * Rename cli variable in ironic driver
  * Add instance_group_get_by_instance to db.api
  * Updated from global requirements
  * Add supported_hv_specs to ComputeNode object
  * Use 400 instead of 422 for security_groups v2 API
  * Sync with latest oslo-incubator
  * Don't translate unit test logs
  * Remove init for object list in api layer
  * Update README for openstack/common
  * VMware: add support for default pbm policy
  * Remove unused imports from neutron api
  * Cleanup tenant networks plugin config creation
  * Port os-networks plugin to v2.1(v3) infrastructure
  * Extend XML unicode test coverage
  * Remove unnecessary debug/info logs of normal API ops
  * Port disk_config extension for V2.1
  * Refactoring of contrib.test_networks tests
  * Compute: use an instance object in terminate_instance
  * Fix disk_allocation_ratio on filter_scheduler.rst
  * Remove unused method within filter_scheduler test
  * Add test case for vim header check
  * Change test function from snapshot to backup
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev230.g3078558:
  * Port floating_ip_pools extention to v2.1
  * Imported Translations from Transifex
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev226.gdf57d44:
  * Convert migrate reqeusts to use joins
  * Use database joins for fixed ips to other objects
  * Finish objects conversion in the os-interface API
  * Port cloudpipe extension to v2.1
  * VMware: remove unused argument from _delete_datastore_file()
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev216.g829d2ee:
  * Don't log every (friggin) migration version step during unit tests
  * Revise compute API schemas and add tests
  * Fix libvirt watchdog support
  * vfs: guestfs logging integration
  * Allow backup operation in paused and suspend state
  * VMWare: Fix nova-compute crash when instance datastore not available
  * Add @_retry_on_deadlock to _instance_update()
* Fri Oct 10 2014 dmueller@suse.com
- fix configuration defaults
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev202.gebca772:
  * Break out over-quota calculation code from quota_reserve()
* Thu Oct  9 2014 dmueller@suse.com
- Update to version nova-2015.1.dev200.g0c1ce6c:
  * Fix pci_request_id break the upgrade from icehouse to juno
  * Refactor of test case of floating_ips
  * Log quota refresh in_use message at INFO level for logstash
  * Break out over-quota processing from quota_reserve()
  * Fix broken cert revocation
  * Remove baremetal virt driver
  * VMware: Set vmPathName properly in fake driver
  * Update NoMoreFixedIps message description
  * Break out quota usage refresh code from quota_reserve()
  * Support message queue clusters in inter-cell communication
  * neutronv2: translate 401 and 404 neutron client errors in show_port
  * Use image metadata from source volume of a snapshot
  * Remove 'get_host_stats' virt driver API method
  * Suppressed misleading log in unshelve, resize api
  * libvirt: add _get_launch_flags helper method in unit test
  * Make v2.1 API tests use v2 URLs(test_[a-e].*)
  * Port fping extension to work in v2.1/v3 framework
  * Use oslo.utils
  * VMWare: Remove unnecessery method
  * console: make unsupported ws scheme in python < 2.7.4
  * VMware: remove _get_vim() from VMwareAPISession
  * VMware: remove unnecessary deepcopy
  * Enhance V2 disk_config extension Unit Test
  * Add developer policy about contractual APIs
  * VMware: remove unused variable from tests
  * xenapi: deal with reboots while talking to agent
  * consistently set status as REBUILD when rebuilding
  * Update InstanceInvalidState output
  * refactor flavor manage tests in prep for object-ify flavors
  * refactor flavor db fakes in prep for object-ify flavors
* Tue Oct  7 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev124.g11b4fd7:
  * Correct VERSION of NetworkRequest
  * Log id in raise_http_conflict_for_instance_invalid_state()
  * Imported Translations from Transifex
  * Correctly catch InstanceExists in servers create API
  * Avoid using except Exception in unit test
  * nova-net: add more useful logging before raising FixedIpLimitExceeded
  * libvirt: convert conn test case to avoid DB usage
  * libvirt: convert driver test suite to avoid DB usage
  * Mask passwords in exceptions and error messages
    (bnc#899190 CVE-2014-7231 CVE-2014-7230)
  * console: introduce a new exception InvalidConnectionInfo
  * Port extended_ips/extended_ips_mac extension to V2.1
* Mon Oct  6 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev103.g418b1d2:
  * Disable libvirt NUMA topology support if libvirt < 1.0.4
  * Break out quota refresh check code from quota_reserve()
  * Fix the os_networks display to show cidr properly
  * libvirt: convert volume snapshot test case to avoid DB usage
  * libvirt: convert volume usage test case to avoid DB usage
  * libvirt: convert LibvirtNonblockingTestCase to avoid DB usage
  * libvirt: convert firewall tests to avoid DB usage
  * Ironic: Do not try to unplug VIF if not associated
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev88.g2dea666:
  * Update rpc version aliases for juno
  * Remove keystoneclient requirement
  * Fix unsafe SSL connection on TrustedFilter
  * fix usage of obj_reset_changes() call in flavor
  * Fixes potential reliablity issue with missing CONF import
  * Add missing instance action record for start of live migration
  * Making nova.compute.api to return Aggregate Objects
  * Fix KeyError for euca-describe-images
  * Remove libvirt legacy LVM code
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev70.g05a564d:
  * Adds missing exception handling in resize and rebuild servers API
  * Destroy orig VM during resize if triggered by user
  * VMware: Fix deletion of an instance with no files
  * support TRACE_FAILONLY env variable
  * Remove indexes that are prefix subsets of other indexes
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev60.g51f5922:
  * Remove the nova-manage flavor sub-command
  * Ensure files are closed promptly when generating a key pair
  * libvirt: convert HostStateTestCase to avoid DB usage
  * libvirt: split firewall tests out into test_firewall.py
  * libvirt: convert utils test case to avoid DB usage
  * Add VIR_ERR_CONFIG_UNSUPPORTED to fakelibvirt
  * Cleanup _convert_block_devices
  * Remove websocketproxy workaround
  * Remove xmlutils module
  * console: fix bug when invalid connection info
  * console: introduce a new exception InvalidToken
  * Typo in exception name - CellsUpdateProhibited
  * VMware: Remove VMwareImage.file_size_in_gb
  * Adds openSUSE support for developer documentation
  * VMware: Remove class orphaned by ESX driver removal
  * Don't list entire module autoindex on docs index
  * Update ironic states and documentation
  * Remove unused elevated context param from quota helper methods
  * Remove all redundant `setUp` methods
  * ironic: Clean LOG usage
  * Add unit test for add_floating_ip API
  * Clean up LOG import in floating_ips_bulk v2 api
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev16.g05fe0e1:
  * remove scary error message in tox
  * Reserve 10 migrations for backports
  2014.2.rc1
  * Remove local version of generate_request_id
  * Fix Bad except clauses order
  * move integrated api client to requests library
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev593.gc798798:
  * libvirt: Make sure NUMA cell memory is in Kb in XML
  * Open Kilo development
  * Correct missing vcpupin elements for numa case
  * Imported Translations from Transifex
  * Removes unused code from wsgi _to_xml_node
  * Fix XML UnicodeEncode serialization error
  * cmd: update the default behavior of serial console
  * Ironic driver must wait for power state changes
* Tue Sep 30 2014 tbechtold@suse.com
- Update to version nova-2014.2.dev577.gf7032f1:
  * VMWare: Fix VM leak when deletion of VM during resizing
  * console: make websocketproxy handles token from path
  * Fix creating bdm for failed volume attachment
  * Add good path test cases of osapi_compute_workers
  * VMware: prevent race condition with VNC port allocation
    (bnc#901087, CVE-2014-8750)
- Fix libvirt-python dependency.We don't have 1.2.5 in SLE.
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev567.ge7469a8:
  * Remove duplicate entry from .gitignore file
  * VMware: Remove tests for None in fake._db_content['files']
  * libvirt: consider vcpu_pin_set when choosing NUMA cells
  * Fix hook documentation on entry_points config
  * Fallback to legacy live migration if config error
  * libvirt: log exception info when interface detach failed
  * libvirt: support live migration with shared instances dir
  * Clarify virt driver test comments & log statement
  * Fix "revertResize/confirmResize" for V2.1 API
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev549.g30b66a9:
  * Fixes missing ec2 api address disassociate error on failure
* Mon Sep 29 2014 tbechtold@suse.com
- Update to version nova-2014.2.dev547.g2e9b492:
  * Log original error when attaching volume fails
  * Retry on closing of luks encrypted volume in case device is busy
  * Fix Typo in method name - parse_Dom
  * Updated from global requirements
  * Fix SecurityGroupExists error when booting instances
  * Undo changes to obj_make_compatible
  * VMware: Make DatastorePath hashable
  * Remove usage of self.__dict__ for message var replacement
  * VMware: trivial formatting fix in fake driver
  * VMware: Improve logging of DatastorePath in error messages
  * VMware: Use vm_mode constants
  * Imported Translations from Transifex
  * Updated from global requirements
  * do not use unittest.TestCase for tests
  * Neutron: Atomic update of instance info cache
  * Reduce the scope of RT work while holding the big lock
  * libvirt: convert CacheConcurrencyTestCase to avoid DB usage
  * Give context to the warning in _sync_power_states
  * remove test_multiprocess_api
  * add time to logging in unit tests
  * XenAPI: clean up old snapshots before create new
  * Return vcpu pin set as set rather than list
  * Fix start/stop return active/stopped immediately in EC2 API
  * Reduce the log level for the guestfs being missing
  * Sync network_info if instance not found before _build_resources yield
  * Remove the AUDIT log message about loaded ext
  * Fix unset extra_spec for a flavor
  * Add further debug logging for multiprocess test
  * Revert "libvirt: support live migrate of instances with conf drives"
  * Revert "libvirt: Uses correct imagebackend for configdrive"
- Remove patches/debug-iscsi-attach-failure.diff. Applied upstream in a different way.
- New subpackage for serialproxy
- Install nova-idmapshift in openstack-nova
* Mon Sep  1 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev947.g921e01c:
  * Change v3 shelve to v2.1
  * Made unassigned networks visible in flat networking
  * Adds Hyper-V serial console log
  * Instance objects: fix indentation issue
  * Add extension block_device_mapping_v1 for v2.1
  * Catch BDM related InvalidBDM exceptions for server create v2.1
  * Changes block_device_mapping extension into v2.1
  * Plumb NetworkRequest objects through conductor and compute RPC
  * Convert v3 server diagnostics plugin to v2.1
  * Use default quota values in test_quotas
  * Update instance state after compute service died for rebuilded instance
  * Make test_killed_worker_recover faster
  * Change v3 flavor_rxtx to v2.1
  * Change v3 os-user-data extension to v2.1
  * Prepend /dev/ to root_device_name in get_next_device_name
  * Add support for select_destinations in Scheduler client
  * Create a Scheduler client library
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev911.gd91d8a6:
  * Decrease amount of queries while adding aggregate metadata
  * Use instance objects consistently in suspend tests
  * libvirt: Add method for getting host NUMA topology
  * Add instance_extra table and related objects
  * Move and generalize decorator serialize_args to nova.objects.base
  * Convert v3 certificate API to v2.1
  * Fix error in log when log exception in guestfs.py
  * GET servers API sorting enhancements common utilities
  * Work on document structure and doc building
  * xenapi: Attach original local disks during rescue
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev891.g19e868b:
  * Convert compute/api to use NetworkRequest object and list
  * Refactor the servers API to use NetworkRequest
  * libvirt: reworks configdrive creation
  * VMware: Add in support for CPU shares in event of resource contention
  * VMware: add resource limits for CPU
  * Refactor admin_action plugin and test cases
  * Add NetworkRequest object and associated list
  * Remove use of str on exceptions
  * Change v3 keypairs API to v2.1
  * libvirt: add validation of migration hostname
  * Change V3 access_ips extension into v2.1
  * Change v3 agents API to v2.1
  * Change v3 flavors to v2.1
  * Convert deferred_delete v3 plugin to v2.1 API
  * Stop augmenting oslo-incubators default log levels
* Fri Aug 29 2014 dmueller@suse.com
- fix requires
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev861.g2a97e1a:
  * Port simple_tenant_usage into v2.1
  * Backport V3 hypervisor plugin unit tests to V2
  * Port os-server-groups extension to work in v2.1/v3 framework
  * Fix extension parameters in test_multiple_create
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev853.g39a4f9b:
  * Convert create_backup v3 plugin to v2.1 API
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev851.gd818f84:
  * Cleanup of V2 console output tests and add missing tests
  * Return BadRequest instead of UnprocessableEntity for volumes API
* Thu Aug 28 2014 dmueller@suse.com
- Update to version nova-2014.2.dev847.g9618036:
  * Fix the current state name as 'shutting-down'
  * Porting v3 evacuate testcases to v2
  * libvirt: Uses correct imagebackend for configdrive
  * Add v2.1 API router and endpoint
  * Remove duplicated negative factors in keypair test
  * filter: add per-aggregate filter to configure max_instances_per_host
  * Updated from global requirements
  * A minor change to a comments
  * Check vlan parameter is valid
  * filter: add per-aggregate filter to configure disk_allocation_ratio
  * Allow attaching external networks based on configurable policy
  * Fix CellStateManagerFile init to failure
  * Change v3 extended_status to v2.1
  * Add a Set and SetOfIntegers object fields
  * Add numa_topology column to the compute_node table
  * Preserve exception text during schedule retries
  * Change v3 admin-password to v2.1
  * Make Object FieldType from_primitive pass objects
  * Update RESP message when failed to create flavor
  * Convert multinic v3 plugin to v2.1
  * Change 'changes_since'/'changes-since' into v2.1 style for servers
  * Backport v3 multinic tests to v2
  * Change ViewBuilder into v2.1 for servers
  * Change v3 attach_interface to v2.1
  * Backport V3 flavor extraspecs API unit tests to V2
  * Add v3 versions plugin unit test to v2
  * Remove duplicated code in test_versions
  * Change v3 extended_server_attibutes to v2.1
  * fix typo in docstring
  * libvirt: driver used memory tests cleanup
* Mon Aug 25 2014 bwiedemann@suse.com
- use %%_rundir if available, otherwise /var/run
* Tue Aug 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev395.g83327eb:
  * Provide a quick way to run flake8
  * docs - Fix errors,warnings from document generation
  * Standardize logging for v2 api extensions
  * Add API schema for v2.1/v3 config_drive extension
  * Network: interface attach and detach raised confusing exception
  * EC2: fixed AttributeError when metadata is not found
  * Add standard constants for CPU architectures
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev381.g0e4fc86:
  * docs - Fix errors,warnings from document generation
  * docs - Fix exception in docs generation
  * docs - Fix docstring issues in virt tree
  * Enhance PCI whitelist
  * Enable terminate for EC2 InstanceInitiatedShutdownBehavior
  * Convert glance unit tests to not use stubs
  * Return 404 when floating IP pool not found
  * Catch NeutronClientException when showing a network
  * Add API schema for v2.1/v3 security_groups extension
  * makes sure correct PCI device allocation
  * Make nova-api use quotas object for reservations
  * Optimize db.floating_ip_deallocate
  * Fixes wrong usage of mock.assert_not_called()
  * Code change for nova support cinder client v2
  * libvirt: saving the lxc rootfs device in instance metadata
  * Add method for deallocating networks on reschedule
  * DB: use assertIsNotNone for unit test
  * Add expire reservations in backport position
  * Make network/api.py use Network object for associations
  * Migrate test_glance from mox to mock
  * Add instanceset info to StartInstance response
  * Removes unnecessary instructions in test_hypervapi
  * Diagnostics: add validation for types
  * Add missed discoverable policy rules for flavor-manage v3
  * Revert "Deallocate the network if rescheduling for
  * Handle MacAddressInUseClient exception from Neutron when creating port
  * Updated from global requirements
  * Remove instance_info_cache_delete() from conductor
  * Make spawn_n() stub properly ignore errors in the child thread work
  * Update devref out-of-tree policy grammar error
* Tue Jul 29 2014 dmueller@suse.com
- Update to version nova-2014.2.dev124.g18f57e6:
  * Use library instead of CLI to cleanup RBD volumes
  * Move libvirt RBD utilities to a new file
  * Allow dhcp_server to be set from new field
  * Set python hash seed to 0 in tox.ini
  * libvirt: driver tests use non-mocked BDMs
  * Fix doc build errors in models.py
  * Make several ec2 API tests inherit from NoDBTestCase
  * Stub out rpc notifications in ec2 cloud unit tests
  * virt: switch order of args to assertEqual in guestfs test
  * virt: move disk tests into a sub-directory
  * virt: force TCG with libguestfs unless KVM is enabled in libvirt
  * Do not pass instances without host to compute API
  * Pass errors from detach methods back to api proc
  * Increase min required libvirt to 0.9.11
  * libvirt: removing lxc specific disk mapping
  * Method to filter non-root block device mappings
  * Remove unused cell_scheduler_method
  * Fix the i18n for some warnings in compute utils
  * Fix FloatingIP.save() passing FixedIP object to sqlalchemy
  * libvirt: remove VIF driver classes deprecated in Icehouse
  * Fix and Gate on E265
  * Log translation hint for nova.api
  * Add Hyper-V driver in the "compute_driver" option description
  * reduce network down time during live-migration
  * Augment oslo's default log levels with nova specific ones
  * Make the coding style consistent with other Controller in plugins/v3
  * Add i18n log markers in disk api
  * Raise NotImplemented default-security-group-rule api with neutron
  * vmwareapi: remove some unused fake vim methods
  * Correct image_metadata API use of nova.image.glance
* Mon Jul 21 2014 vuntz@suse.com
- Make /etc/nova/release readable by all, including nova.
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev729.g91b68d7:
  * update ignore list for pep8
  * libvirt: speed up _get_disk_over_committed_size_total method
  * VMware: consolidate datastore code
  * VMware: Consolidate fake_session in test_(vm|ds)_util
  * Make BDM dict __init__ behave more like a dict
  * libvirt: Save device_path in connection_info when booting from volume
  * Move rebuild to conductor and add find host logic
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev715.g5eae48a:
  * Deallocate the network if rescheduling for Ironic
  * Make sure that metadata handler uses constant_time_compare()
  * move the cloudpipe_update API v2 extension to use objects
  * Avoid possible timing attack in metadata api
  * Move injected_network_template config to where it's used
  * Defer raising an exception when deleting volumes
  * libvirt: fix recent test changes to work on libvirt < 0.9.13
  * Cleanup and gate on hacking E713 rule
  * libvirt: add version cap tied to gate CI testing
  * Retry db.api.instance_destroy on deadlock
  * change the firewall debugging for clarity
  * Add 'anon' kwarg to FakeDbBlockDeviceDict class
  * VMware: remove duplicate key from test_instance dict
  * Add missing image to instance booted from volume
  * Add API schema for v2.1/v3 create_backup API
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev685.g4040187:
  * shelve doesn't work on nova-cells environment
  * libvirt: add migrateToURI2 method to fakelibvirt
  * Small grammar fix in libvirt/driver.py. fix all occurrences
  * Correct exception for flavor extra spec create/update
  * Improve shared storage checks for live migration
  * Translations: add LC to all LOG.critical messages
  * Remove redundant code in Libvirt driver
  * Virt: fix typo (flavour should be flavor)
  * Fix and gate on H305 and H307
  * Remove unused instance variables from HostState
  * Standardization of nova.image.API.download
  * Catch InvalidAggregateAction when deleting an aggregate
  * Nova-api service throws error when SIGHUP is sent
  * Remove cell api overrides for lock and unlock
  * Use pool/volume_name notation when deleting RBD volumes
  * libvirt: speed up get_memory_mb_used method
  * libvirt: speed up get_vcpus method
  * libvirt: speed up get_all_block_devices method
  * libvirt: speed up list_instances method
  * Refactors VIF configuration logic
  * Add missing test coverage for MultiplePortsNotApplicable compute/api
  * Handle over quota exception from Neutron
  * Add test cases for 2 block_device functions
  * add comment about why snapshot/backup have no lock check
  * VM diagnostics (v3 API only)
  * VM diagnostics: add serializer to Diagnostics object
  * VM diagnostics: add methods to class to update diagnotics
  * Fixes rbd backend image size
  * VMware: virt unrescue method now supports objects
  * VMware: virt rescue method now supports objects
* Mon Jul 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev589.g89ebdfd:
  * libvirt: fix typo in fakelibvirt listAllDomains()
* Sun Jul 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev587.g0da88cd:
  * synchronize 'stop' and power state periodic task
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev585.g7dc2fd7:
  * libvirt: speed up list_instance_uuids method
  * Updated from global requirements
  * Fix interfaces template for two interfaces and IPv6
  * Make the block device mapping retries configurable
  * Catch image and flavor exceptions in _build_and_run_instance
  * Fix more re-definitions and enable F811/F813 in gate
  * Add host_ip to compute node object
  * libvirt: convert cpuset XML handling to use set instead of string
  * Prevent max_count > 1 and specified ip address as input
  * Add aggregates.rst to devref index
  * Remove duplicate python-pip from Fedora devref setup doc
  * libvirt: more efficient method to list domains on host
  * Remove duplicate keys from dictionaries
  * Fix duplicate definitions of variables/methods
  * Resolve import dependency in consoleauth service
  * Improve BlockDeviceMapping object cells awareness
  * Object-ify APIv3 agents extension
  * Object-ify APIv2 agents extension
  * sync periodic_task fix from incubator
  * Use mtu setting from table instead of flag
  * Clean conntrack records when removing floating ip
  * api: remove unused function
  * Replace assertTrue/False with assertEqual/NotEqual
  * Replace assert* with more suitable asserts in tests
  * Run instance root device determination fix
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev535.g797175c:
  * VMware: move fake.py to the test directory
  * virt: add method for formatting CPU sets to strings
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev531.g2429f31:
  * Handle InstanceUserDataTooLarge at api layer
  * VMware: optimize VM spawn by caching the vm_ref after creating VM
  * Forcibly set libvirt uri in baremetal virtual power driver
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev525.g54d0f89:
  * vmwareapi: make method signatures match parent class
  * virt: split CPU spec parsing code out into helper method
  * virt: move get_cpuset_ids into nova.virt.hardware
  * VMware: consolidate common constants into one file
  * Pass instance to _reschedule rather than instance_uuid
  * Add subnet routes to network_info when Neutron is used
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev513.gd876c76:
  * Require posix_ipc for lockutils
  * hyperv: make method signatures match parent class
  * VMware: add in test utility to get correct VM backing
  * Change instance disappeared during destroy from Error to Warning
  * vmwareapi: remove unused fake vim logout method
* Sun Jul  6 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev504.g825c9ea:
  * xenapi: make method signatures match parent class
  * libvirt: make method signatures match parent class
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev500.gd70c0ab:
  * VMware: Fix race in spawn() when resizing cached image
  * VMware: add support for driver method instance_exists
  * Avoid re-adding iptables rules for instances that have disappeared
  * Updated from global requirements
  * Nova api service doesn't handle SIGHUP properly
  * Avoid referencing stale instance/network_info dicts in firewall
  * libvirt: Add configuration of guest VCPU topology
  * virt: add helper module for determining VCPU topology
  * Fix bad log message with glance client timeout
  * sync policy logging fix from incubator
  * Sync process utils from olso
  * Pass instance to _set_instance_error_state
  * VMware: validate that VM exists on backend prior to deletion (bnc#898371)
  * ConfigDriveBuilder refactor for tempdir cleanliness
  * Fix wrong lock name for operating instance external events
  * virt: add test helper for checking public driver API method names
  * virt: fix signature of set_admin_password method
  * virt: use context & instance as param names in migrate APIs
  * virt: add get_instance_disk_info to virt driver API
  * vmwareapi: remove unused update_host_status method
  * Enforce task_state is None in ec2 create_image stop instance wait loop
  * Update compute rpcapi tests to use instance object instead of dict
  * Fix run_instance() rpc method to pass instance object
  * vmware: remove unused delete_disk fake vim method
  * libvirt: introduce separate class for cpu tune XML config
  * libvirt: test setting of CPU tuning data
  * VMware: create utility function for reconfiguring a VM
  * Make remove_volume_connection() use objects
  * Fix cold-migrate missing retry info after scheduling
  * libvirt: virt unrescue method now supports objects
* Thu Jul  3 2014 iartarisi@suse.com
- Make /etc/nova/release readable by the nova user
- Make permissions when install-ing config files consistent with the
  ones set in the %%files section
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev438.gcc3aff8:
  * Move the instance_type_id judgment to the except-block
  * Add __repr__ handler for NovaObjects
  * Pass instance to _error_out_instance_on_exception
  * VM diagnostics: introduce Diagnostics model object
  * libvirt: remove hack from ensure_filtering_rules_for_instance
  * libvirt: remove volume_driver_method API
  * Fix error in rescue rpcapi that prevents sending objects
  * Add assert_called check for "brclt addif" test
  * Replace nova.utils.cpu_count() with processutils.get_worker_count()
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev420.gb16db2b:
  * Fixes internal server error for add/remove tenant flavor access request
  * add repr for event objects
  * Neutronv2 api does not support neutron without port quota
  * Be explicit about objects in _shutdown_instance()
  * Remove a not used function _get_ip_by_id
  * libvirt: add '_' prefix to remaining internal methods
  * Fake driver: remove unused method get_disk_available_least
  * Do not allow resize to zero disk flavor
  * Accurate exception info in api layer for aggregate
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev402.g77f44b5:
  * Sync oslo lockutils to nova
  * Pass instance object into _shutdown_instance()
  * make lifecycle event logs more clear
  * Imported Translations from Transifex
  * Fix rest of API objects usage
  * Fix rest of compute objects usage
  * Add test cases for block_device
  * VMware: Fix fake raising the wrong exception in _remove_file
  * Fix exception raised when a requested console type is disabled
  * vmware: Use exc_info when logging exceptions
  * vmware: Reuse existing StorageError class
  * vmware: Refactor: fold volume_util.py into volumeops.py
  * Add API schema for v2.1/v3 quota_sets API
  * Synced jsonutils and its dependencies
  * Downgrade some exception LOG messages in the ec2 API
  * Adds instance lock check for live migrate
  * Sync oslo lockutils to nova
  * Remove duplicate code in Objects create() function
* Sun Jun 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev366.g0376469:
  * Updated from global requirements
  * Log when nova-conductor connection established
  * api: remove dead code in WSGI XML serializer
  * Handle service creation race by service workers
  * VMware: deprecate ESX driver from virt configuration
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev356.g8669d90:
  * Use dot notation to access instance object fields in ec2 create_image
  * Revert "Sync revert and finish resize on instance.uuid"
  * Fix agent_id with string type in API samples files for os-agents v2
  * Sync log and processutils from oslo
  * libvirt: add '_' prefix to host state information methods
  * Fix EC2 not found errors for volumes and snapshots
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev344.g2e147a5:
  * Xen: Remove extraneous logging of type information
  * Fix update agent return agent_id with string for os-agents v3
  * Make Evacuate API use Instance objects
  * Updated from global requirements
  * Fix object code direct use of other object modules
  * Fix the rest of direct uses of instance module objects
  * Disable rescheduling instance when no retry info
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev330.g9baac47:
  * VMware: refactor get_datastore_ref_and_name
  * effectively disable libvirt live snapshotting
  * Use default rpc_response_timeout in unit tests
  * Use ebtables to isolate dhcp traffic
  * libvirt: add '_' prefix to some get_host_* methods
  * Deprecate and remove agent_build_get_by_triple()
  * Object-ify xenapi driver's use of agent_build_get_by_triple()
  * Add Agent object
  * Add API schema for v2.1/v3 remote_consoles API
  * Sync revert and finish resize on instance.uuid
  * VMware: spawn refactor - Datastore class
  * VMware: remove dsutil.split_datastore_path
  * VMware: spawn refactor - DatastorePath class
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev304.gae0ec1e:
  * Move the error check for "brctl addif"
  * Use _set_instance_obj_error_state in compute manager set_admin_password
  * Add API schema for v2.1/v3 aggregates API
  * Imported Translations from Transifex
  * Add API schema for v2.1/v3 flavor_manage API
  * libvirt: add '_' prefix to all get_guest_*_config methods
  * libvirt: remove unused 'get_disks' method
  * Conductor: remove irrelevant comment
  * Allow evacuate from vm_state=Error
  * Instance and volume cleanup when a build fails
  * Drop support for scheduler 2.x rpc interface
  * Remove traces of now unused host capabilities from scheduler
  * Fix BaremetalHostManager node detection logic
  * Add missing stats info to BaremetalNodeState
  * Catch ProcessExecutionError in revoke_cert
  * libvirt: Use VIR_DOMAIN_AFFECT_LIVE for paused instances
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev272.g03bf127:
  * Standardize logging for nova.virt.libvirt
  * Fix log debug statement in compute manager
  * Object-ify APIv3 availability_zone extension
  * Fix bug in TestObjectVersions
  * Added statement for ... else
  * Avoid traceback logs from simple tenant usage extension
  * Fix detaching pci device failed
  * Don't follow HTTP_PROXY when talking to localhost test server
  * Correct the variable name in trusted filter
  * Target host in evacuate can't be the original one
  * Object-ify APIv3 flavor_extraspecs extension
  * Object-ify APIv2 flavorextraspecs extension
  * Catch permission denied exception when update host
  * Fix resource cleanup in NetworkManager.allocate_fixed_ip
  * libvirt: Support snapshot creation via libgfapi
  * VMware: remove unused code in vm_util.py
  * Don't replace instance object with dict in _allocate_network()
  * Determine shared ip from table instead of flag
  * Set reasonable defaults for new network values
  * Adds network fields to object
  * Add new fields to the networks table
  * Should not delete active snapshot when instance is terminated
  * Don't store duplicate policies for server_group
  * Fix Flavor object extra_specs and projects handling
  * Drop support for conductor 1.x rpc interface
  * XenAPI: disable/enable host will be failed when using XenServer
  * Downgrade log level when create network failed
  * Migrate nvp-qos to generic name qos-queue
  * Ensure changes to api.QUOTA_SYNC_FUNCTIONS are restored
  * Adds IVS unit tests for new VIF firewall logic
  * Properly skip coreutils readlink tests
  * VM in rescue state must have a restricted set of actions
    to avoid leaking rescued images (bnc#899199, CVE-2014-3608)
* Sat Jun 21 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev212.g09a4a6f:
  * xenapi: reorder volume_utils
  * wrap_instance_event() shouldn't swallow return codes
  * Log exception if max scheduling attempts exceeded
  * Create lvm.py module containing helper API for LVM
  * libvirt: Don't pass None for image_meta parameter in tests
  * libvirt: Remove use of db for flavor extra specs in tests
  * libvirt: return the correct instance path while cleanup_resize
  * Allow user to specify image to use during rescue - V3 API changes
  * Improve performance for checking hosts AZs
* Fri Jun 20 2014 dmueller@suse.com
- make log/nova 0750
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev194.g781a85d:
  * Deprecate glance_* configuration settings
  * Log cleanups for nova.virt.libvirt.volume
  * Initialize objects field in ObjectsListBase class
  * Remove bdms from run_instance RPC conductor call
  * Add helper functions for getting local disk
  * Make check_instance_shared_storage() use objects
  * libvirt: Close opened file explicitly
  * Attach/detach interface to paused instance with affect live flag
  * Remove XML namespace from some v3 extensions
  * Correct exception info format of v3 flavor manage
  * minor corrections to devref rpc page
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev172.gc4a44fb:
  * Make exception handling in get_image_metadata more specific
  * live migrate conductor tasks to use nova.image.API
  * Update websocketproxy to work with websockify 0.6
  * Clean nova.compute.api.API:_check_num_instances_quota
  * Fix the duplicated image params in a test
  * Imported Translations from Transifex
  * Fix "fixed_ip" parameters in unit tests
  * Removes the use of mutables as default args
  * Updated from global requirements
  * devref policy: code is canonical source of truth for API
  * Log cleanups for nova.virt.libvirt.imagecache
  * Rename VolumeMapping to EC2VolumeMapping
  * ec2: Convert to use EC2InstanceMapping object
  * Add EC2InstanceMapping object for use in EC2
  * Object-ify server_password APIv3 extension
  * Object-ify server_password APIv2 extension
  * Move the fixed_ips APIv2 extension to use objects
  * Completely object-ify the floating_ips_bulk V2 extension
  * Add bulk create/destroy functionality to FloatingIP
  * Remove the device handling from pci device object
  * Use new pci device handling code in pci_manager
  * Separate the PCI device object handling code
  * Add unit tests for ipv4/ipv6 format validation
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev128.g7d1c3d3:
  * Add hook for network info update
  * Enhance and test exception safety in hooks
  * Cleanup and gate on pep8 rules that are stricter in hacking 0.9
  * VMware: update file permissions and mode
  * Updated from global requirements
  * Sync "Prevent races in opportunistic db test cases"
  * Imported Translations from Transifex
  * Check the network_info obj type before invoke wait function
  * Add test for HypervisorUnavailable on conductor
  * Test force_config_drive as a boolean as last resort
  * Add more logging to nova-network
  * Fix doc for service list
  * Add configurable HTTP timeout to cinder API calls
  * Prevent clean-up of migrating instances on compute init
  * Deprecate neutron_* configuration settings
  * Skip migrations test_walk_versions instead of pass
  * Failure during termination should always leave state as error()
  * Save connection info in libvirt after volume connect
  * Revert "Allow admin user to get all tenant's floating IPs"
  * Network: ensure that ports are 'unset' when instance is deleted
  * Make get_console_output() use objects
  * Add testing for hooks
  * Check the length of aggregate metadata
  * Fix api direct use of instance module objects
  * VMware: remove unused parameters in imagecache
  * Shrink devref.unit_tests, since info is in wiki
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev76.g9c1bfdb:
  * Don't translate debug level logs in nova
  * Add deprecation warning to nova baremetal virt driver
  * Make sure domain exists before referencing it
  * Network: add instance to the debug statement
  * libvirt: convert cpu features attribute from list to a set
  * Add tests to avoid inconsistent extension names
  * Delete image when backup operation failed on snapshot step
* Mon Jun 16 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-libvirt-Make-nwfilter-driver-use-right-filterref.patch dropped (merged upstream)
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev62.gfc03bd4:
  * libvirt: Make nwfilter driver use right filterref
  * Deprecate instance_get_by_uuid() from conductor
  * Remove deprecated config option names: Juno Edition
* Sun Jun 15 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev56.gd5bde44:
  * Fix object change detection
  * Fix object leak in nova.tests.objects.test_fields.TestObject
  * Remove unused code from test_compute_cells
  * maint: Fixes wrong docstring of method get_memory_mb_used
  * Fix infinitely reschedule instance due to miss retry info
  * Fix live_migration method's docstring
  * maint: correct docstring parameter description
  * Make metadata password routines use Instance object
  * Use no_timer_check with soft-qemu
  * Check if volume is bootable when creating an instance
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev36.g1ee6b37:
  * Fix the wrong dest of 'vlan' option and add new 'vlan_start' option
  * Fixes typo error in Nova
  * Block device API missing translations for exceptions
  * Enabled swap disk to be resized when resizing instance
  * xenapi: move find_vbd_by_number into volume utils
  * Fix H401,H402 violations and re-enable gating
  * Bump hacking to 0.9.x series
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev22.g8928743:
  * Remove variability from object change detection unit test
  * Don't translate debug level logs in nova.virt
  * Remove unnecessary else block in compute manager set_admin_password
  * Treat instance objects like objects in set_admin_password flow
  * libvirt: Use os_command_line when kernel_id is set
  * Make SecurityGroupAPI use Object instead of instance_get_by_uuid()
  * Don't return from a finally block
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev8.g7bde55a:
  2014.2.b1
  * Handle string types for InstanceActionEvent exc_tb serialization
  * Revert "Remove broken quota-classes API"
  * Revert "Remove quota-class logic from context and make unit tests pass"
  * fix nova test_enforce_http_true unit test
  * Remove duplicate method
  * websocketproxy: remove leftover debug output
  * Move set_admin_password tests from test_compute.py to api/mgr modules
  * Fix a wrong comment in the code
  * libvirt: Remove dated docstring
  * Cleanup allocating networks when InstanceNotFound is raised
  * Add test to verify ironic api contracts
  * VMware: spawn refactor - phase 1 - test for spawn
  * Revert "Fix migration and instance resize update order"
  * Simplify filter_scheduler.populate_retry()
  * Don't log TRACE info in notify_about_instance_usage
  * xenapi: add tests for find_bad_volumes
  * Revert "Remove traces of now unused host capabilities from scheduler"
  * Add out of tree support dev policy
  * Add development policies section to devref
  * Add read_only field attribute
  * Fix direct use of block_device module objects
  * Fix InstanceActionEvent traceback parameter not serializable
  * Fix state mutation in cells image filter
  * libvirt: split and test finish_migration disk resize
  * Add missing translation support
  * Update HACKING.rst to include N320
* Wed Jun  4 2014 dmueller@suse.com
- Update to version nova-2014.2.dev826.g2c3a026:
  * Updated from global requirements
  * libvirt: merge two utils tests files
  * libvirt: remove redundant 'libvirt_' prefix in test case names
  * xenapi: refactor detach volume
  * Revert "Remove quota_class params from rest of nova.quota"
  * Revert "Remove quota_class db API calls"
  * Revert "Convert address to str in fixed_ip_obj.associate"
  * Add helpers to create per-aggregate filters
  * Remove traces of now unused host capabilities from scheduler
* Sat May 31 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev808.gf12ab68:
  * Don't set CONF options directly in unit tests
  * Fix docstring typo in need_legacy_block_device_info
  * String-convert IPAddr objects for FixedIP.attach()
  * Updated from global requirements
  * Use objects through the run_instance() path
  * Deprecate run_instance and remove unnecessary code
* Thu May 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev796.g4454f3c:
  * xenapi: tidy up volumeops tests
  * Treat instance objects as objects in unrescue API flow
  * Treat instance objects as objects in rescue API flow
  * Refactor test_rescue_unrescue into compute api/manager unit tests
  * Change conductor to cast to build_and_run_instance
  * remove cpu feature duplications in libvirt
  * Add unit test trap for object change detection
  * Sync periodic_task from oslo-incubator
  * Imported Translations from Transifex
  * Fix for multiple misspelled words
  * versions API: ignore request with a body
  * Ensure live-migrate reverts if server not running
* Wed May 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev773.gcf9c6f5:
  * Sync oslo network utils
  * xenapi: refactor volumeops attach
  * xenapi: remove calls to call_xenapi in volumeops
  * xenapi: move StorageError into global exception.py
  * Enable flake8 F841 checking
  * Reverse order of cinder.detach() and bdm.delete()
  * XenAPI: Tolerate multiple coalesces
  * [EC2]Correct the return status of attaching volume
  * Downgrade log when attach interface can't find resources
* Tue May 27 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev756.gfb3a366:
  * Record right action name while migrate
  * Imported Translations from Transifex
  * Refactor test to ensure file is closed
  * xenapi: fix live-migrate with volume attached
  * Add helper methods to convert disk
  * Raise HTTPInternalServerError when boot_from_volume with cinder down
  * Inject expected results for IBM Power when testing bus
  * Fix nova image-show with queued image
  * Mask block_device_info auth_password in virt driver debug logs
* Mon May 26 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev739.g6dedf67:
  * Imported Translations from Transifex
* Sun May 25 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev737.g84d8814:
  * Catch missing Glance image attrs with None
  * Align internal image API with volume and network
* Fri May 23 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev733.g76d6dee:
  * Imported Translations from Transifex
  * Catch InstanceNotFound exception if migration fails
  * Fix InstanceActionTestCase on PostgreSQL/MySQL
  * Fix ReservationTestCase on PostgreSQL
  * Fix CIDR values denoting hosts in PostgreSQL
  * Sync common db and db/sqlalchemy
  * Fix wrong quota calculation when deleting a resizing instance
  * Ignore errors when deleting non-existing vifs
  * Scheduler: remove test scheduling methods that are not used
* Thu May 22 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev715.gd9cb954:
  * VMware: spawn refactor - phase 1 - copy_virtual_disk
  * Add new ec2 instance db API calls
  * Remove two unused db.api methods
  * Fix direct use of aggregate module objects
  * Fix tests/compute direct use of instance module objects
  * share neutron admin auth tokens
  * Do not wait for neutron event if not powering on libvirt domain
  * Remove all mostly untranslated PO files
  * Fix nova/compute direct use of instance module objects
  * Address issues with objects of same name
  * Register objects in more services
  * Add VIF mac address to fixed_ips in notifications
  * Call _validate_instance_group_policy in _build_and_run_instance
  * XenAPI: Add logging information for cache/download duration
  * Remove spaces from SSH public key comment
  * Allow admin user to get all tenant's floating IPs
  * Rename quota_injected_file_path_bytes
  * Nova utils: add in missing translation
  * No longer any need to pass admin context to aggregate DB API methods
* Thu May 22 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev677.gad4e0e5:
  * Payload meta_data is empty when remove metadata
  * Handle situation when key not memcached
  * Imported Translations from Transifex
  * Default dhcp lease time of 120s is too short
  * Add refresh=True to get_available_nodes call in build_and_run_instance
  * remove unneeded call to network_api on detach_interface
  * Cells: Pass instance objects to build_instances
  * Make hacking test more accurate
  * Enforce query order for getting VIFs by instance
  * Network: replace neutron check with decorator
  * Fix a minor comments error
  * Set the volume access mode during volume attach
  * Fix AvailabilityZone check for hosts in multiple aggregates
* Wed May 21 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev651.gead93b7:
  * On rebuild check for null image_ref
  * Defer applying iptable changes when nova-network start
  * Add specific doc build option to tox
* Tue May 20 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev645.g995a7e5:
  * Add a reference to the nova developer documentation
  * VMware: use default values in get_info() when properties are missing
  * VMware: uncaught exception during snapshot deletion
  * Fix typo in comment
  * Add log translation hints
  * Correct pci resources log
* Mon May 19 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev633.g2a5fd12:
  * VMware: spawn refactor - phase 1 - fetch_image
  * libvirt: Refresh volume connection_info after volume snapshot
  * Fix instance cross AZ check when attaching volumes
  * Add UNSHELVING and RESCUING into IoOPSFilter consideration state
* Sun May 18 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev625.g6fef32b:
  * Imported Translations from Transifex
  * Remove quota_class db API calls
  * Remove quota_class params from rest of nova.quota
  * Ignore etc/nova/nova.conf.sample
  * Fix wrong method name assert_called_once
  * Fixes Hyper-V iSCSI target login method
  * vmware:Don't shadow builtin function type
  * Convert address to str in fixed_ip_obj.associate
  * libvirt: Handle unsupported host capabilities
  * Raise more information on V2 API volumes when resource not found
  * Remove comments since it's pointless
* Thu May 15 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev604.g693223e:
  * Partially remove quota-class logic from nova.quotas and test_quotas
  * Fix the duplicated extension summaries
  * Downgrade and fix log message for floating ip already disassociated
  * Fix the explanation of HTTPNotFound for cell showing v2 API
* Wed May 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev596.g2a2178e:
  * Fixes arguments parsing when executing command
* Tue May 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev594.gd41b3d4:
  * Fix wrong method name for test_hacking
  * Imported Translations from Transifex
  * Fix security group list when not defined for an instance
  * libvirt: Handle `listDevices` unsupported exception
  * Add lock on API layer delete floating IP
* Tue May 13 2014 dmueller@suse.com
- remove amqp/amqplib dependency
* Mon May 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev585.g65dce44:
  * Imported Translations from Transifex
  * Add specific regexp for timestamps in v2 xml
  * Change parameters of add_timestamp in ComputeDriverCPUMonitor class
* Sun May 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev581.gb52a63e:
  * VMware: prevent image snapshot if no root disk defined
* Sat May 10 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev579.g33ff9f7:
  * VMWare: spawn refactor - phase 1 - create_virtual_disk
  * VMware: spawn refactor - phase 1 - power_on_vm
  * Move tests into test_volume_utils
  * Tidy up xenapi/volume_utils.py
  * Updated from global requirements
  * XenAPI: Remove unneeded instance argument from image downloading
  * Code Improvement
  * Add a docstring to hacking unit tests
  * Clean up openstack-common.conf
  * Remove quota-class logic from context and make unit tests pass
  * Use strtime() specific timestamp regexp
  * Delete in-process snapshot when deleting instance
  * Support multi-version pydevd
  * libvirt: optimize pause mode support
  * Make sure leases are maintained until release
* Fri May  9 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev551.g29ba1f7:
  * VMware: Fix usage of an alternate ESX/vCenter port
  * VMware: Add check for datacenter with no datastore
  * Remove unused instance_update() method from virtapi
  * Make baremetal driver use Instance object for updates
  * Imported Translations from Transifex
  * Deprecate action_event_*() from conductor
  * Remove conductor usage from compute.utils.EventReporter
  * Unit test case for more than 1 ephemeral disks in BDM
  * Add mailmap entry
  * Add Nova API Sample file & test for get keypair
  * Remove logging in libvirt _connect_auth_cb to avoid eventlet locking
  * Fix v3 API extension names for camelcase
  * Fix wrong used ProcessExecutionError exception
  * Remove unused nova.crypto.compute_md5()
* Thu May  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev523.g45d83d3:
  * Remove explicit dependency on amqplib
  * Update links in README
  * XenAPI: adjust bittorrent settings
  * Make libvirt driver use instance object for updates
  * Make vmwareapi/vmops use Instance object for updates
  * Convert xenapi/vmops uses of instance_update to objects
  * Make xenapi agent code use Instance object for updates
  * Revert "Address the comments of the merged image handler patch"
  * Fix logic for aggregate_metadata_get_by_host_with_key test case
* Wed May  7 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev505.ga63a7ec:
  * Check object's field
  * Use Field in fixed_ip
  * Remove unnecessary cleanup in test
  * Remove and block DB access in dhcpbridge
  * Improve conductor error cases when unshelving
  * Fix broken version responses
  * Add x-openstack-request-id to nova v3 responses
* Tue May  6 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev491.g26f673f:
  * Improve hacking rule to avoid author markers
  * Dedup devref on unit tests
  * Fix calls to mock.assert_not_called()
  * VMware: reduce unit test times
  * Include pending task in log message on skip sync_power_state
  * Make cells use Fault obj for create
  * libvirt: Stub O_DIRECT in test if not supported
  * Updated from global requirements
  * Don't translate debug level logs in nova.spice, storage, tests and vnc
  * Don't translate debug level logs in objectstore, pci, rdp, servicegroup
  * Don't translate debug level logs in cloudpipe, hacking, ipv6, keymgr
  * Make live_migration use instance objects
  * objects: remove unused utils module
  * Update block_device_info to contain swap and ephemeral disks
  * Remove unnecessary passing of task_state to check_instance_state
* Tue May  6 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev461.ga1a9d7b:
  * Raise HTTPForbidden from os-floating-ips API rather than 404
  * Remove duplicated import in unit test
  * Raise descriptive error for over volume quota
  * Don't translate debug level logs in nova.cert, console and consoleauth
  * Don't translate debug level logs in nova.cmd and nova.db
  * Don't translate debug level logs in nova.objects
  * Don't translate debug level logs in nova.compute
  * Add fault wrapper for rescue function
* Mon May  5 2014 mjura@suse.com
- Change dependency on python-amqp instead of python-amqplib
* Sun May  4 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev445.g89fd077:
  * Deprecate instance_fault_create() from conductor
  * Remove conductor usage from add_instance_fault_from_exc()
* Sat May  3 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev441.ge495afb:
  * Add create() method to InstanceFault object
  * Remove use of service_* conductor calls from xenapi host.py
  * Optimize validate_networks to query neutron only when needed
  * VMware: spawn refactor - phase 1 - execute_create_vm
  * objects: restore some datetime field comments
  * Remove unnecessary wrapper for 5 compute APIs
  * ec2utils: Use VolumeMapping object
  * ec2: create volume mapping using nova object
  * Add VolumeMapping object for use in EC2
* Fri May  2 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev423.g2590c5b:
  * xenapi: fixup agent tests
  * Fix bad Mock calls to assert_called_once()
  * VCDriver - No longer returns uptime due to multiple hosts
  * wrap_check_security_groups_policy is already defined
  * Updated from global requirements
  * Use datetime object for fake network timestamps
  * Use datetime object for stub created_at timestamp
  * Verify created_at cloudpipe timestamp is isotime
  * Verify next-available limit timestamps are isotime
  * Verify created/updated timestamps are isotime
  * Use timeutils.isotime() in images view builder
  * Use actual fake timestamp in API templates
  * Normalize API extension updated timestamp format
  * Regenerate API samples for GET /extensions
  * Rename NotAuthorized exception to Forbidden
  * Add warning to periodic_task with interval 0
  * VMware: remove unused variable
  * Make _is_multi_host() use objects
* Thu May  1 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev389.geed6dd1:
  * Don't translate debug level logs in nova.conductor
  * Don't translate debug level logs in nova.cells
  * Don't translate debug level logs in nova.api
  * Don't translate debug level logs in nova.volume
  * libvirt: Make `fakelibvirt.libvirtError` match
  * Add new ec2 volume db API calls
  * Make _is_multi_host(
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev377.g64bfdb6:
  * Create the image mappings BDMs earlier in the boot
  * VMware: remove unneeded code
  * VMware: remove duplicate _fake_create_session code
  * Remove comments and to-do for quota inconsistency
  * Fix a typo in compute/manager::remove_volume_connection()
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev367.g296f2fa:
  * Hacking: add rule number to HACKING.rst
  * Imported Translations from Transifex
  * Fixed many typos
  * Fix typo in unit tests
  * Remove a bogus and unnecessary docstring
  * Remove legacy block device usage in ec2 API
  * Deprecate instance_get_active_by_window_joined() from conductor
  * Deprecate instance_get_all_by_filters() from conductor
  * Don't translate debug level logs in nova.network
  * Fix bad param name in method docstring
  * Nova should pass device_id='' instead of None to neutron.update_port()
  * Set default auth_strategy to keystone
  * replace NovaException with VirtualInterfaceCreate when neutron fails
  * Spice proxy config setting to be read from the spice group in nova.conf
  * xenapi: make auto_config_disk persist boot flag
  * Deprecate compute_unrescue() from conductor
  * Deprecate instance_destroy() from conductor
  * libvirt: fix comment for get_num_instances
  * Fix exception message being changed by nested exception
  * DescribeInstances in ec2 shows wrong image-message
  * Imported Translations from Transifex
  * VMware: spawn refactor - phase 1 - get_vif_info
  * XenAPI: Use local rsync rather than remote if possible
  * Fix migrate_instance_*() using DB for floating addresses
  * Use eventlet.tpool.Proxy for DB API calls
  * Correct the log in conductor unshelve_instance
  * Imported Translations from Transifex
  * Make instance_exists() take an instance, not instance_name
  * Xen: Retry plugin call after connection reset
  * Remove metadata's network-api dependence on the database
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev215.g57c4a7f:
  * Return to using network_api directly for migrations
  * Make _is_multi_host(
  * Instance groups: add method get_by_hint
  * Define constants for the VIF model types
  * Remove duplicate code from nova.db.sqlalchemy.utils
  * Use debug level logging in unit tests, but don't save them
* Wed Apr 16 2014 dmueller@suse.com
- add debug-iscsi-attach-failure.diff
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev204.g2960a5a:
  * Allow -1 as the length of "get console output" API
  * xenapi: Cleanup tar process on glance error
* Mon Apr 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev200.ga6b166f:
  * Don't explode if we fail to unplug VIFs after a failed boot
  * Revert "Fix network-api direct database hits in metadata server"
  * Move _get_locations to module level plus tests
  * Make aggregate host operations use Aggregate object
  * Convert poll_rescued_instances() periodic task to objects
  * Make update_available_resource() use objects
  * Add get_by_service() method to ComputeNodeList object
  * Add with_compute_node to service_get()
  * Make _get_compute_info() use objects
  * Make quota rollback checks more robust in conductor tests
  * Refactor unit tests for image service CRUD
  * ec2: Convert instance_get_by_uuid calls to objects
  * Make compute manager use network api method return values
  * libvirt: remove_logical_volumes should remove each separately
  * xenapi: add a test for _get_partitions
  * Bypass the database if limit=0 for server-list requests
* Sun Apr 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev168.g601b55f:
  * Imported Translations from Transifex
  * Missing catch InstanceNotFound in v3 API
* Sat Apr 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev165.ga03a977:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Finish _delete_instance() object conversion
  * Make detach_volume() use objects
  * VMWare: add power off vm before detach disk during unrescue
  * Change errors_out_migration decorator to work with RPC
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev156.g82b07d0:
  * Fix network-api direct database hits in metadata server
  * Update user_id length to match Keystone schema in volume_usage_cache
  * Avoid the possibility of truncating disk info file
  * compute: using format_message() to convert exception to string
  * Check image exists before calling inject_data
  * Add exception handling in "nova diagnostics"
  * Check for None or timestamp in availability zone api sample
  * VMware: remove double import
  * Add test cases for validate_extra_spec_keys
  * Use instance data instead of flavor in simple_tenant_usage extension
  * attach/detach interface should raise exception when instance is locked
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev134.gd669009:
  * Allow user to specify image to use during rescue
  * Remove redundant tests from Qcow2TestCase
  * Remove unnecessary check for CONF.notify_on_state_change
  * Include proper Content-Type in the HTTP Headers
* Thu Apr 10 2014 dmueller@suse.com
- add init scripts for nova-api-metadata, nova-api-ec2,
  nova-api-os-compute
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev126.g023e6c9:
  * Read deleted instances during lifecycle events
  * Add RBAC policy for ec2 API security groups calls
  * support local debug logging
  * Fix bug detach volume fails with "KeyError" in EC2
  * Fix straggling uses of direct-to-database queries in nova-network
  * Xen: Do not resize root volumes
  * Remove mention of nova-manage.conf from nova-manage.rst
  * XenAPI: Add host information to glance download logs
  * Recover from POWERING-* state on compute manager start-up
  * Adds missing expected_errors for V3 API multinic extension
  * Updated from global requirements
  * Refactor Network API
  * Make example 'entry_points' parameter a dictionary
  * Catch InstanceInLocked exception for rescue and instance metadata APIs
  * Use osapi_glance_link_prefix for image location header
  * Sync oslo imageutils, strutils to Nova
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev94.ge811da4:
  * Correct test boundary for libvirt_driver.get_info
  * Update docs to reflect new default filters
  * Revert "Use debug level logging during unit tests"
  * Fix anti-affinity server-group boot failure
  * Add tests for remaining expected conductor exceptions
  * Fix description of ServerGroupAffinityFilter
  * Add return value to some network API methods
  * Fixes messages logged on Glance plugin retries
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev78.ga5d18f2:
  * Enable ServerGroup scheduler filters by default
  * VMware: Fixes the instance resize problem
  * Revert object-assuming changes to _post_live_migration()
  * Require admin context for interfaces on ext network
  * remove redundant copy of test_cache_base_dir_exists
  * Fix Jenkins translation jobs
  * Reduce config access in scheduler
  * InvalidCPUInfo exception added to except block
  * Remove PciDeviceList usage in pci manager
  * VMware: remove unused code (_delete method in vmops.py)
  * Catch InstanceNotFound exceptions for V2 API instance_actions
  * Fix invalid facilities documented in rootwrap.conf
* Mon Apr  7 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev56.g33fc957:
  * Reduce logging in scheduler
* Sat Apr  5 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev54.gd87b6b2:
  * mark vif_driver as deprecated and log warning
  * Revert object-assuming changes to _post_live_migration()
  * Refactor network_utils to new call_xenapi pattern
  * low hanging fruit oslo-incubator sync
  * Correct the keypairs-get-resp.json API sample file
  * Remove 3 unnecessary variables in scheduler
* Fri Apr  4 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Drop-nova-rpc-zmq-receiver-man-page.patch dropped (merged upstream)
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev42.gda6c417:
  * libvirt: pause mode is not supported by all drivers
  * Drop nova-rpc-zmq-receiver man-page
* Thu Apr  3 2014 dmueller@suse.com
- add 0001-libvirt-Make-nwfilter-driver-use-right-filterref.patch
* Thu Apr  3 2014 opensuse-packaging@opensuse.org
- Rebased patches:
  + 0001-Robustify-determination-of-root-directory.patch (manually)
* Thu Apr  3 2014 dmueller@suse.com
- Update to version nova-2014.2.dev39.g53f52b3:
  * Sync request_id middleware bug fix from oslo
  * Note that XML support *may* be removed
  * Moved the registration of lifecycle event handler in init_host()
  * Change NotFound to InstanceNotFound in server_diagnostics.py
  * Ensure network interfaces are in requested order
  * Reserve 10 migrations for backports
  * Open Juno development
  2014.1.rc1
  * Fix getting instance events on subsequent attempts
  * VMware: clean up VNC console handling
  * Make conductor expect ActionEventNotFound for action methods
  * Remove zmq-receiver from setup.cfg
  * Add a note about deprecated group filters
  * Fix the section name in CONTRIBUTING.rst
  * Add new style instance group scheduler filters
  * Automatically create groups that do not exist
  * Add InstanceGroup.get_by_name()
  * Add nova.conf.sample to gitignore
  * Use binding:vif_details to control firewall
  * Disable volume attach/detach for suspended instances
  * Updated from global requirements
  * Persist image format to a file, to prevent attacks based on changing it
  * Imported Translations from Transifex
  * Make 'VDI too big' more verbose
  * postgres incompatibility in InstanceGroup.get_hosts()
  * Add missing test for None in sqlalchemy query filter
  * Use correct project/user id in conductor.manager
* Wed Mar 26 2014 dmueller@suse.com
- Update to version nova-2014.1.dev427.g609a0dd:
  * fix the extension of README in etc/nova
  * Tell pip to install packages it sees globally
  * Change libvirt close callback to use green thread
  * Imported Translations from Transifex
  * VMware: fix booting from volume
  * Do not add current tenant to private flavor access
  * Disable oslo.messaging debug logs
  * Update vm_mode when rebuilding instance with new image
  * V2 API: remove unused imports
  * Updated from global requirements
* Tue Mar 25 2014 dmueller@suse.com
- Update to version nova-2014.1.dev407.gf5eb59b:
  * VMware: fix list_instances for multi-node driver
  * VMware: Add utility method to retrieve remote objects
  * Revert deprecation warning on Neutron auth
  * Rename _post_live_migration instance_ref arg
  * Add a decorator decorator that checks func args
  * Instance groups: cleanup
  * Remove unnecessary stubbing in test_services
  * VMware: fix exception when no objects are returned
  * Don't allow empty or 0 volume size for images
  * Wait till message handling is done on service stop
  * Fix the rpc module import in the service module
  * Revert "VMware Driver update correct disk usage stat"
  * Fix the explanations of HTTPNotFound for new APIs
  * Remove the nova.config.sample file
  * Catch NotImplementedError on Network Associate
  * Change initial delay for servicegroup api reporting
  * Check if nfs/glusterfs export is already mounted
  * Remove commented out code in test_cinder_cloud
  * Update quantum to neutron in comment
  * Remove unused method from fake_network.py
  * Don't refresh network cache for instances building or deleting
  * GlanceImageService static methods to module scope
  * xenapi: boot from volume without image_ref
  * Use HTTPRequestV3 instead of HTTPRequest in v3 API tests
  * Fix "computeFault" when v3 API "GET /versions/:(id)" is called
  * VMware: ensure that the task completed for resize operation
  * Specify spacing on periodic_tasks in manager.py
  * network_info cache should be cleared before being rescheduled
  * rename ExtensionsResource to ExtensionsController
  * Do not add HPET timer config to non x86 targets
* Mon Mar 24 2014 dmueller@suse.com
- switch over to non-openstack-prefix'ed users
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev327.g2eff38b:
  * Catch HostBinaryNotFound exception in V2 API
  * Raise error on nova-api if missing subnets/fixed_ips on networks/port
  * Refuse to block migrate instances with config drive
  * VMware: add a file to help config the firewall for vnc
  * Fix KeyError if neutron security group is not TCP/UDP/ICMP and no ports
  * Prevent rescheduling on block device failure
  * Make compute API resize methods use Quotas objects
  * Add deleted_at attribute in glance stub on delete()
  * Add API sample files of "unshelve a server" API
  * Remove XenAPI driver deprecation warning log message
  * VMware: bug fix for host operations when using VMwareVCDriver
  * Cells: Send instance object for instance_delete_everywhere
  * Adds test for rebuild in compute api
  * Fixes the Hyper-V agent individual disk metrics
  * Fix raise_http_conflict_for_instance_invalid_state docstring
  * Cells: Pass instance objects to update/delete_instance_metadata
  * Add helper method for injecting data in an image
  * Add helper method for checking if VM is booting from a volume
  * Libvirt: Repair metadata injection into guests
  * Update aggregate should not allow duplicated names
  * Catch FloatingIpNotFoundForHost exception
  * Fix difference between mysql & psql of flavor-show
  * Remove mention of removed dhcp_options_enabled
  * Noted that tox is the preferred unit tester
  * Fixes NoneType vcpu list returned by Libvirt driver
  * Fix invalid vim call in vim_util.get_dynamic_properties()
  * VMware: Add a test helper to mock the suds client
  * VMware: Ensure test VM is running in rescue tests
  * VMware: iscsi target discovery fails while attaching volumes
  * Port libvirt copy_image tests to mock
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev257.g1877486:
  * Cells API calls return 501 when cells disabled
  * Add version 2.0 of conductor rpc interface
  * Don't import library guestfs directly
  * Raise NotImplementedError in NeutronV2 API
  * Raise exception if volume snapshot id not found instead of return
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev247.g208ef61:
  * Added missing raise statement when checking the config driver format
  * Make NovaObject report changed-ness of its children
  * Increase volume creation max waiting time
  * VMware: fix rescue disk location when image is not linked clone
  * Fix comment for block_migration in nova/virt/libvirt/driver.py
  * Correct inheritance of nova.volume.cinder.API
  * VMware: enable booting an ISO with root disk size 0
  * Remove bad log message in get_remote_image_service
  * Make sure instance saves network_info when we go ACTIVE
  * Delete meaningless lines in test_server_metadata.py
  * Fix docstring for shelve_offload_instance in compute manager
  * Reverts change to default state_path
  * Don't detach root device volume
  * Fix broken API os-migrations
  * VMware: delete vm snapshot after nova snapshot
  * Fixup debug log statements in the nova compute manager
  * Add conversion type to LOG.exception's string
  * Rescue API handle NotImplementedError
  * Fix log messages typos in rebuild_instance function
  * Added os-security-groups prefix
  * Fix the explanations of HTTPNotFound response
  * Fix HTTP methods for test_attach_interfaces
  * Fix the calls of webob exception classes
  * Rename Openstack to OpenStack
  * Make sure "volumeId" in req body on volume actions
  * Support building wheels (PEP-427)
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev195.g185c8ae:
  * Remove block_device_mapping_destroy() from conductor API
  * Fix sqlalchemy utils test cases for SA 0.9.x
  * Fix equal_any() DB API helper
  * Remove migration_update() from conductor API
  * Remove instance_get() from conductor API
  * Remove aggregate_get_by_host() from conductor API
  * add support for host driver cleanup during shutdown
  * Remove aggregate_get() from conductor API
  * Imported Translations from Transifex
  * Move log statement to expose actually info_cache value
  * Correct the state for PAUSED instances on reboot
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev173.g740ebab:
  * Add security_group_rule to objects registry
  * Fix input validation for V2 API server group API extension
  * Don't sync [system_]metadata down to cells on instance.save()
  * Block database access in nova-network binary
  * Add version 3.0 of scheduler rpc interface
  * Make libvirt wait for neutron to confirm plugging before boot
  * Volume operations should be blocked for non-null task state
  * VMware ESX: Boot from volume must not relocate vol
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev157.gc7ba391:
  * Make nova-network use conductor for security groups refresh
  * Make nova-network use quotas object
  * Make linux_net use objects for last fixed ip query
  * VMware: raise an exception for unsupported disk formats
  * xenapi: Speed up tests by not waiting on conductor
  * xenapi: Fix test_rescue test to ensure assertions are valid
  * neutron_metadata_proxy_shared_secret should not be written to log file
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev143.g1f4c4ce:
  * Revert "Adding image multiple location support"
  * Revert "Move libvirt RBD utilities to a new file"
  * Revert "enable cloning for rbd-backed ephemeral disks"
  * Add get_by_network() to FixedIPList
  * Recover from REBOOT-* state on compute manager start-up
  * VMware: ensure that deprecation does not appear for VC driver
  * Ensure is_image_available handles V2 Glance API
  * Log Content-Type/Accept API request info
  * Fix compute_node stats
  * Fix: Unshelving an instance uses original image
* Wed Mar 12 2014 speilicke@suse.com
- Update to version nova-2014.1.dev123.g5137045:
  * libvirt: fix blockinfo get_device_name helper
  * Remove the docker driver
  * Updated from global requirements
  * VMware: image cache aging
  * Add py27local tox target
  * Fix get_download_hander() typo
  * Delete ERROR+DELETING VMs during compute startup
  * Task cleanup_running_deleted_instances can now use slave
  * Use instance object instead of _instance_update()
  * Use debug level logging during unit tests
  * Fix debug message formatting in server_external_events
  * xenapi: fix spawn servers with ephemeral disks
  * Unmount the NFS and GlusterFS shares on detach
- Don't package /var/run/nova twice
- Drop /etc/nova/rootwrap.d/docker.filters, the docker driver was removed
* Tue Mar 11 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev98.g1b37f98:
  * Skip sqlite-specific tests if sqlite is not configured
  * Replaces exception re-raising in Hyper-V
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev94.g7611173:
  * Add declaration of 'refresh_instance_security_rules' to virt driver
  * Remove compute virtapi BDM methods
  * enable cloning for rbd-backed ephemeral disks
  * Move libvirt RBD utilities to a new file
  * VMware: VimException __str__ attempts to concatenate string to list
  * Mark ESX driver as deprecated
  * Remove compute API get_instance_bdms method
  * Move run_instance compute to BDM objects
  * Move live migration callbacks to BDM objects
  * Instance groups: validate policy configuration
  * Add REST API for instance group api extension
  * VMware: boot from iso support
  * Store neutron port status in VIF model
  * Correct network_model tests and __eq__ operator
  * Make network_cache more robust with neutron
  * Error out failed migrations
  * Fix BDM legacy usage with objects
  * Fix anti-affinity race condition on boot
  * Initial scheduler support for instance_groups
  * Add get_hosts to InstanceGroup object
  * Add instance to instance group in compute.api
  * Add add_members to InstanceGroup object
  * Remove run-time dependency on fixtures module by the nova baremetal
  * Make compute manager prune instance events on delete and migrate
  * Make compute manager's virtapi support waiting for events
  * Add os-server-external-events V3 API
  * Add os-server-external-events API
  * Add external_instance_event() method to compute manager
  * Move _poll_volume_usage periodic task to BDM objects
  * Move instance_resize code paths to BDM objects
* Fri Mar  7 2014 speilicke@suse.com
- Fix build requirements, drop python-coverate test requirement
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1072.g8aa5582:
  * Move detach_volume and remove_vol_connection to BDM objects
  * Move instance delete to new-world BDM objects
  * Fix development environment docs for redhat-based systems
  * VMware: create datastore utility functions
  * Address the comments of the merged image handler patch
  * VMware: refactor _get_volume_uuid
  * notifier middleware broken by oslo.messaging
  * Prevent thrashing when deploying many bm instances
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1058.g107acb3:
  * Ignore the image name when booting from volume
  * Fixing host_ip configuration help message
  * No longer call check_uptodate.sh in pep8
  * Adding image multiple location support
  * Add a missing space in a log message
  * Sync the latest DB code from oslo-incubator
  * VMware Driver update correct disk usage stat
  * Move vbd plug/unplug into session object
  * Move the metrics update to get_metrics
  * Fix incorrect kwargs 'reason' for HTTPBadRequest
  * changed quantum to neutron in vif-openstack
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1036.gf11071b:
  * regenerate the config file to support 1.3.0a9
  * Move all shelve code paths to BDM objects
  * Move rebuild to BDM objects
  * sync sslutils to not conflict with oslo.messaging
  * Refactor xenapi/host.py to new call_xenapi pattern
  * Updated from global requirements
  * Restore get_available_resource method in docker driver
  * Move xenapi/agent.py to new call_xenapi style
  * xenapi: changes the debug log formatting
  * xenapi: stop destroy_vdi errors masking real error
  * Sync latest config file generator from oslo-incubator
  * VMware: support instance objects
  * VMware: add instance detail to detach log message
  * Fixes the Hyper-V VolumeOpsTestCase base class
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1012.gfb6ac06:
  * Support configuring libvirt watchdog from flavors
  * Add watchdog device support to libvirt driver
  * Sync latest Guru Meditation Reports from Oslo
  * Adds get_console_connect_info API
  * When a claim is rejected, explain why
  * Refactor pool.py to remove calls to call_xenapi
  * xenapi: make session calls more discoverable
  * Remove and recreate interface if already exists
  * Prevent caller from specifying id during Aggregate.create()
  * Removing redundant validation for rebuild request
  * Ensure parent dir exists while injecting files
  * Fix upper bound checking for flavor create parameters
  * Explicity teardown on error in libguestfs setup()
  * Fix run_tests.sh lockutils when run with -d
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev984.g80e8555:
  * Fixes api samples for V2 os-assisted-volume-snapshots
  * Remove log_handler module from oslo-incubator sync
  * Remove deleted module flakes from openstack-common.conf
  * xenapi plugins: Make sure subprocesses finish executing
  * Downgrade the log level for floating IP associate
  * Adds create backup server extension for the V3 API
  * Add boolean convertor to "create multiple servers" API
  * Add comment/doc about utils.mkfs in rootwrap
  * Add mkfs to the baremetal-deploy-helper rootwrap
  * Add super call to db Base class
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev964.ge19b294:
  * Make compute manager use InstanceInfoCache object for deletes
  * Deprecate conductor instance_type_get() and remove from VirtAPI
  * Make restore_instance pass the Instance object to compute manager
  * Use uuid instead of name for lvm backend
  * Update Oslo wiki link in README
  * Make error notifications more consistent
  * Adds unit test for etc/nova/policy.json data
  * Make resource_tracker use Flavor object
  * Make compute manager use Flavor object
  * Make baremetal driver use Flavor object instead of VirtAPI
  * Add support for tenant_id based authentication with Neutron
  * Enable flake8 H404 checking
  * Imported Translations from Transifex
  * Use oslo-common's logging fixture
  * Re-Sync oslo-incubator fixtures
  * Updated from global requirements
  * Update pre_live_migration to take instance object
  * Remove unused method inject_file()
  * Remove db query from deallocate_fixed_ip
  * update deallocate_for_instance to take instance obj
  * Update server_diagnostics to use instance object
  * Remove trailing comma from sample JSON
  * Add pack_action_start/finish helper to InstanceAction object
  * libvirt: remove explicit /dev/random rng default
  * libvirt: setting a correct driver name for iscsi volumes
  * Catch HostBinaryNotFound exception when updating a service
  * VMware: fix datastore selection when token is returned
  * Introduce Guru Meditation Reports into Nova
  * Use image from the api in run_instance, if present
  * Cleanup v3 test_versions
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev885.gd3368a9:
  * Add a caching scheduler driver
  * libvirt: image property variable already defined
  * Remove blank space after print
  * libvirt: Enable custom video RAM setting
  * Rewrite InstanceActionEvent object testcase using mock
  * Clean up _make_*_list in object models to use base.obj_make_list
  * Document virt driver methods that take Instance objects
  * Make interface attach and detach use objects
  * Pass instance object to soft_delete() and get_info()
  * libvirt: host specific virtio-rng backend
  * VMware: remove unused parameter from _wait_for_task
  * Hyper-V log cleanups
  * Update ubuntu dev env instructions
  * Make webob.exc.HTTPForbidden return correct message
  * Remove unused variables in the xenapi.vmops module
  * Fix import order in log_handler
  * Emit message which merged user-supplied argument in log_handler
  * Typo in the name 'libvirt_snapshot_compression'
  * Fix InstanceNotFound error in _delete_instance_files
  * Remove unused methods
  * DB: logging exceptions should use save_and_reraise
  * Replace detail for explanation msgs on webob exceptions
  * Clean IMAGE_SNAPSHOT_PENDING state on compute manager start up
  * V2 Pause: treat case when driver does not implement the operation
  * Add missing translation support
  * Catch NotImplementedError in get_spice_console in v2/v3 API
  * Minor changes to make certificates test cases use HTTPRequestV3
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev831.gc3c21bd:
  * VMware: add a test for driver capabilities
  * VMware: ensure that datastore name exists prior to deleting disk
  * Move compute's _get_instance_volume_block_device_info to BDM objects
  * Use disk_bus and device_type in attaching volumes
  * Add device bus and type to virt attach_volume call
  * Make volume attach use objects
  * compute: invalid gettext message format
  * VMware: fix the VNC port allocation
  * vmware: driver races to create instance images
  * Revert "VMware: fix race for datastore directory existence"
  * Use instance object for delete
  * libvirt: adding a random number generator device to instances
  * Serialize the notification payload in json
  * Disable IGMP snooping on hybrid Linux bridge
  * VMware: improve unit test time
  * Objectify instance_action for cell scheduler
  * VMware: fix missing datastore regex with ESX driver
  * Make exception message more friendly
  * Fix unhandled InvalidServerState exceptions in server start/stop
  * Make nova/quota use keypair objects
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev795.g4ed6043:
  * Updated from global requirements
  * VMware: fix race for datastore directory existence
  * Add 'use_slave' to instance_get_all_by_filter in conductor
  * LibVirt: Disable hairpin when using Neutron
  * Add resource tracking to unshelve_instance()
  * libvirt-volume: improve unit test time
  * Move consoleauth_manager option into nova.service and fix imports
  * Rewrite InstanceAction object test cases using mock
  * Fix bad log formatting
  * Prevent caller from specifying id during Migration.create()
  * Prevent caller from specifying id during KeyPair.create()
  * Prevent caller from specifying id during Service.create()
  * Prevent caller from specifying id during ComputeNode.create()
  * Fixes Hyper-V VHDX snapshot bigger than instance
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev767.gef3b138:
  * Adds service request parameter filter for V3 API os-hosts request
  * Fix the indents of v3 API sample docs
  * Adds host_ip to hypervisor show API
* Sun Feb 23 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev761.g145017b:
  * stop throwing deprecation warnings on init
  * Add a new compute API method for deleting retired services
  * Fix instance_get_all_by_host to actually use slave
  * Periodic task poll_bandwidth_usage can use slave
  * Partially revert "XenAPI: Monitor the GC when coalescing"
  * Mark XML as deprecated in the v2 API
  * adjust version definition for v3 to be only json
  * Fix option indenting in compute manager
  * Sync log.py from oslo
  * Make floating_ips module use FloatingIP for associations
  * Remove __del__ usage in vmwareapi driver
  * VMware: optimize instance reference access
  * Fix assertEqual parameter order post V3 API admin-actions-split
  * Fix copyright messages after admin actions split for V3 API
  * Removes XML namespace from V3 API test_servers
  * Fixed a problem in iSCSI multipath
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev729.gcc665d9:
  * Fixed spelling errors in nova
  * Fixed check in image cache unit test
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev725.g6b29aca:
  * Refactor driver BDM attach() to cover all uses
  * Correct the assert() order in test_libvirt_blockinfo
  * Use disk_bus when guessing the device name for vol
  * libvirt: add virtio-scsi disk interface support
  * libvirt: configuration element for virtual controller
  * VMware: factor out management of controller keys and unit numbers
  * Remove XML support from schemas v3
  * VMware: prevent race for vmdk deletion
  * VMware: raise more specific exceptions
  * Refactor get_iscsi_initiator to a common location
  * Convert post_live_migration_at_destination to objects
  * Convert remove_fixed_ip_to_instance to objects
  * libvirt: improve unit test time
  * libvirt: Uses available method get_host_state
  * Add V3 api for pci support
  * Use six.moves.urllib.parse instead of urlparse
  * Make libvirt use Flavor object instead of using VirtAPI
  * Ensure that exception raised in neutron are handled correctly
  * Calculate default security group into quota usage
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev687.g96c9250:
  * Remove unused notifier and rpc modules from oslo sync
  * Imported Translations from Transifex
  * Treat port attachment failures correctly
  * Add experimental warning for Cells
  * libvirt: remove retval from libvirt _set_host_enabled()
  * MetricsWeigher: Added support of unavailable metrics
  * XenAPI: Add the mechanism to attach a pci device to a VM
  * XenAPI: Add the support for updating the status of the host
  * Convert add_fixed_ip_to_instance to objects
  * Make floating_ips module use FloatingIP for updates
  * Make floating_ips module use FloatingIP for (de-)allocations
  * Make floating_ips module use FloatingIP for all get queries
  * Group kvm image_meta tests for get_disk_bus
  * libvirt: configuration element for a random number generator device
  * Cells rebuild regression fix
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev657.g15d4f8a:
  * VMware: remove unused class
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Update the mailmap
  * Fix break in vm_vdi_cleaner after oslo changes
  * Support setting a machine type to enable ARMv7/AArch64 guests to boot
  * libvirt: making set_host_enabled to be a private methods
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev645.g304a9b4:
  * Fix compute_node_update() compatibility with older clients
  * Remove underscore for the STATE_MAP variable
  * Make is_neutron() thread-safe
  * Removes os-instance-usage-audit-log from the V3 API
* Mon Feb 17 2014 speilicke@suse.com
- Rebased patches:
  + 0001-Switch-over-to-oslosphinx.patch dropped (merged upstream)
- Update to version nova-2014.1.dev637.g3cd02fc:
  * libvirt: support configurable wipe methods for LVM backed instances
  * Imported Translations from Transifex
  * Make floating_ips module use Service object
  * Make floating_ips module use Instance object
  * Make floating_ips module use Network object
  * Make floating_ips module use FixedIP object
  * Count memory and disk slots once in cells state manager
  * compute: removes unnecessary condition
  * Replace oslo.sphinx with oslosphinx
  * Make nova_ipam_lib use Network, FixedIP, and FloatingIP objects
  * Make nova-network use FixedIP for timeouts
  * Make nova-network use FixedIP object for updates
  * Make nova-network use FixedIP object for disassociations
  * Add "body=" argument to v3 API unit tests
  * report port number for address already in use errors
  * VMware: fix exception when using multiple compute nodes
  * Update log message to support translations
  * XenAPI: Report the CPU details correctly
  * Corrected typo in metrics
  * Fixed incorrect test case of test_server_metadata.py
  * Add API schema for v3 rescue API
  * ec2 api should check 'max_count'&'min_count' para
  * fix ips to 'ips' in APIRouter
* Fri Feb 14 2014 dmueller@suse.com
- Update to version nova-2014.1.dev592.ga1fe8df:
  * Convert unrescue_instance to objects
  * Don't allow compute_node free_disk_gb to be None
  * Change assertTrue(isinstance()) by optimal assert
  * Adds migrate server extension for V3 API
  * Move policy check of start/stop to api layer
  * VMware: fix bug for exceptions thrown in _wait_for_task
  * Fix baremetal stats type
  * Correct host managers free disk calculation
  * Make image props filter handle old vm_modes
  * Set a sane default for state_path
* Thu Feb 13 2014 dmueller@suse.com
- remove log_file option
* Thu Feb 13 2014 dmueller@suse.com
- added patches:
  * 0001-Switch-over-to-oslosphinx.patch
* Wed Feb 12 2014 speilicke@suse.com
- Update to version nova-2014.1.dev572.g8bc9586:
  * Refactor stats to avoid bad join
  * Remove @author from copyright statements
  * Remove character filtering from V3 API console_output
  * Fix incorrect check in aggregate/az test
  * xenapi: set viridian=false for linux servers
  * Delete baremetal image files after deployment
  * Removes console output plugin from the core list
  * Using six.add_metaclass
  * Remove quota classes extension from the V3 API
  * Add a instance lookup helper to v3 plugins
  * Use raw string notation for regexes in hacking checks
  * Improve detection of imports in hacking check
  * Renumber some nova hacking checks
  * Docker cannot start a new instance because of an internal error
  * VMware: fix instance rescue bug
  * Adds tests to sqlachemy.api._retry_on_deadlock
  * Allow operators to customize max header size
  * Fix trivial typo in libvirt test comment
  * Remove tox locale overrides
  * libvirt: use to_xml() in post_live_migration_at_destination
  * VMware: update test name
  * VMware: improve unit test performance
  * Fix english grammar in the quota error messages
  * Removes os-simple-tenant-usage from the V3 API
  * Fix a couple of unit test typos
  * Add HEAD api response for test s3 server BucketHandler
  * Removes XML support from security_groups v3 API
  * Hyper-V driver RDP console access support
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Thu Feb  6 2014 dmueller@suse.com
- fix requires
- remove lockdir from init script
* Tue Feb  4 2014 cloud-devel@suse.de
- Rebased patches:
  + nova-network-filter-bnc777488.patch (only offset)
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (only offset)
  + 0001-Robustify-determination-of-root-directory.patch (only offset)
* Tue Feb  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev330.g2efd3fa+git.1391476696.2efd3fa:
  + Fix the test parameter order for v3 evacuate test
  + Sync unhandled exception logging change from Oslo
  + Fix string formatting of exception.NoUniqueMatch message
  + docstring fix
  + Remove vi modelines
* Mon Feb  3 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev320.g3e5a08e+git.1391419364.3e5a08e:
  + Remove unused variable
  + baremetal: set capabilites explicitly
  + Fixing availability-zone not take effect error
  + Port to oslo.messaging
  + libvirt: Configuration element for sVirt support
* Sun Feb  2 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev310.g2ab22ec+git.1391304038.2ab22ec:
  + Sync latest config file generator from oslo-incubator
  + Fixes errors on start/stop unittest
  + Adds pause server extension for V3 API
  + Adds suspend server extension for V3 API
  + Removes XML namespace definitions from V3 API plugins
  + Add FixedIP Object implementation
  + Add FloatingIP object implementation
  + Add FixedIP.floating_ips dynamic property
  + Make nova-network use FixedIP for get_by_address() queries
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev292.gddf8735+git.1391215393.ddf8735:
  + Failure during termination should always leave state as Error(Deleting)
  + Retry reservation commit and rollback on deadlock
  + Remove extra space in log message
  + Recommend the right call instead of datetime.now()
  + Remove XML support from migrations pci multiple_create v3 API plugins
  + Workers verification for WSGI service
  + Add 'icehouse-compat' to [upgrade_levels] compute=
  + Use objects internally in DriverBlockDevice class
  + Deal with old versions of libguestfs
  + vmwareapi:remove unused variables in volumeops
  + Allow deleting instances while uuid lock is held
  + PCI address should be uniform
* Fri Jan 31 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Robustify-determination-of-root-directory.patch (only offset)
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev268.g99f55d8+git.1391132626.99f55d8:
  + Hyper-V:Preserve config drive image after the instance is resized
  + Remove v3 xml API sample tests
  + Remove xml unit tests for v3 api plugins
  + Adds ephemeral_key_uuid field to instance
  + Adds dmcrypt utility module
  + Make service workers gracefully handle service creation race
  + Add Network object
  + Make obj_to_primitive() handle netaddr types
  + Make nova-network use Network to create networks
  + removing xml from servers.py
  + Add docker driver removal warning
  + Add quality warning for non-standard libvirt configurations
  + Compact pre-Icehouse database migrations <= 190.
  + Compact pre-Icehouse database migrations <= 200.
  + Compact pre-Icehouse database migrations <= 210.
  + Finish compacting pre-Icehouse database migrations
  + Docker Set Container name to Instance ID
  + Remove copyright from empty files in nova
  + Revert "Allow deleting instances while uuid lock is held"
  + VMware: Only include connected hosts in cluster stats
  + Ensure that headers are utf8, not unicode
  + Allow run_image_cache_manager_pass to hit db slave
  + Define "supported_instances" for fake compute
  + Remove V3 API XML entry points
  + Remove trace XML from unittests
  + Use block_device_info at post_live_migration_at_destination
  + Adds lock server extension for V3 API
  + Remove XML support from some server v3 API plugins
  + Remove XML support from flavor v3 API plugins
  + Remove XML support from quota and scheduler_hints v3 API plugins
  + Remove XML support from v3 API plugins
  + Remove XML support from some v3 API plugins(e.g. services)
  + Remove XML support from some v3 API plugins
  + Remove XML support from certificates v3 API
  + Remove XML support from some extension v3 API plugins
  + Remove XML support from admin_password V3 API plugin
  + XenAPI: Tidy calls to get_all_ref_and_rec
  + XenAPI: Speedup get_vhd_parent_uuid
  + Remove duplicated method in mock_key_mgr
  + Add block device mapping objects implementation
  + Move compute API is_volume_backed to BDM objects
  + Make volume_snapshot_{create,delete} use objects
  + Make snapshot_volume_backed use new-world objects
  + Shelve: The snapshot should be removed when delete instance.
  + Use utils method when getting instance metadata and system metadata
  + xenapi: clean up step decorator fake steps
  + libvirt: Review of the code to use module units
  + Make nova-network a "conductor-using service"
  + Make nova-network use Network object for get-all-by-host query
  + Make nova-network use NetworkList for remaining "all" queries
  + Make nova-network use Network object for remaining "get" queries
  + Make nova-network use Network object for updates
  + Make nova-network use Network object for set_host() operation
  + Make nova-network use Network for associations
  + Make nova-network use Network object for deleting networks
  + Refactor return value of fixed_ip_associate calls
  + Make fixed_ip_get_by_address() take columns_to_join
* Thu Jan 30 2014 dmueller@suse.com
- move lock_path to /var/run
* Thu Jan 30 2014 cloud-devel@suse.de
- Rebased patches:
  + nova-conf-defaults.patch (only offset)
* Thu Jan 30 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev154.gcbc11b0+git.1391043831.cbc11b0:
  + Use (# of CPUs) workers by default
  + libvirt: move unnecesary comment
  + Revert "Fix race conditions between imagebackend and imagecache"
* Wed Jan 29 2014 vuntz@suse.com
- Use correct group name for directory ownerships.
- Do not make /var/{cache,lock,run}/nova readable by others.
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev148.g14b6bc6+git.1390958969.14b6bc6:
  + hyperv: Retry after WMI query fails to find dev
  + Fix race conditions between imagebackend and imagecache
  + Add alias as prefix for flavor_rxtx v3
  + Allow deleting instances while uuid lock is held
  + disk/api.py: refactors extends and adds missing tests
* Tue Jan 28 2014 cloud-devel@suse.de
- Rebased patches:
  + nova-conf-defaults.patch (only offset)
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev138.g521989c+git.1390871490.521989c:
  + Remove unused configurations
  + disk/api.py: resize2fs fails silently + adds tests
  + Remove update_service_capabilities from nova
  + Update class/function name for test_extended_availability_zone.py
  + Allow _check_instance_build_time to hit db slave
  + support stevedore >= 0.14
  + Improve error message in services API
  + Increase the default retry for iscsi connects
* Mon Jan 27 2014 cloud-devel@suse.de
- Rebased patches:
  + nova-network-filter-bnc777488.patch (only offset)
* Mon Jan 27 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev122.g152a2b5+git.1390807829.152a2b5:
  + Fix docstring in libvirt.driver.LibvirtDriver.get_instance_disk_info()
  + XenAPI: get_info was very expensive
  + Move fake_network config option to linux_net
  + disable debug in eventlet.wsgi server
  + Remove unused method from network rpcapi
  + Remove get_vif_by_mac_address from network rpcapi
  + Add preserve_ephemeral option to rebuild
  + Show bm deploy how to preserve ephemeral content.
  + Support preserve_ephemeral in baremetal.
  + Allow delete when InstanceInfoCache entry is missing
  + libvirt: Fix root disk leak in live mig
  + Ignore duplicate delete requests
  + Cleanup 'deleting' instances on restart
  + Updated from global requirements
  + Add explicit discussion of dependencies to README.rst
  + remove redundant __init__() overwriting when getting ExtensionResources
  + Small edits on help strings
  + Additional check for qemu-nbd hang
  + Add API schema for v3 multinic API
  + Add API schema for v3 evacuate API
  + Imported Translations from Transifex
  + Enable compute_node_update to tolerate deadlocks
  + Revert "Whitelist external netaddr requirement"
  + Update network.manager to use VirtualInterface
  + Added a new scheduler filter for metrics
  + Add sort() method to ObjectListBase
  + Update nova_ipam_lib to use VirtualInterface
  + Fix bug for neutron network-name
  + Update linux_net to use VirtualInterface
  + Add db.dnsdomain_get_all() method
  + Add DNSDomain object
  + Remove some dead dnsdomain code
  + Update nova.network to use DNSDomain object
  + Remove get_network from nova.network.rpcapi
  + Remove get_all_networks from nova.network.rpcapi
  + Sync log.py from oslo-incubator
  + Update log message when remove pci device
  + libvirt: handle exception while get vcpu info
  + VMware: improve connection issue diagnostic
  + Take a vm out of SNAPSHOTTING after Glance error
  + Fix bug with not implemented virConnect.registerCloseCallback
  + Add error as not-in-progress migration status
* Sat Jan 25 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev38.g24e60ca+git.1390611438.24e60ca:
  + Create common method for MTU treatment
  + Add host and details column to instance_actions_events table
  + Hide VIR_CONNECT_BASELINE_CPU_EXPAND_FEATURES where needed
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev32.g414c900+git.1390570048.414c900:
  + Join pci_devices for servers API
  + Make availability_zone optional in create for aggregates
  + Ensure MTU is set when the OVS vif driver is used
  + Fix rbd backend not working for none admin ceph user
  + Sync request_id middleware for nova
  + Re-write sqlite BigInteger mapping test
  + Make test_poll_volume_usage_with_data more reliable
  + Add instance faults during live_migrate errors
  + Nova Docker driver must remove network namespace
  + Add VirtualInterface object
  + XenAPI: Allow use of clone_vdi on all SR types
  + Sync module units from oslo
  + Set objects indirection API in network service
  + Make test_different_fname_concurrency less racy
  + Make test_evacuate from compute API DRYer
  + Fix monkey_patch docstring bug
  + VMware: fix rescue with disks are not hot-addable
  + Sync processutils from oslo-incubator
  + Rename instance_type to flavor in vmware virt driver tests
  + Rename instance_type to flavor in libvirt virt driver tests
* Wed Jan 22 2014 dmueller@suse.com
- set a nova/release file (bnc#859670)
* Wed Jan 22 2014 dmueller@suse.com
- fix requires
* Wed Jan 22 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev548.g35ffc74+git.1390353610.35ffc74:
  + Use oslo.rootwrap library instead of local copy
  + VMware: bug fix for VM rescue when config drive is configured
* Tue Jan 21 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev544.g119e2a6+git.1390266461.119e2a6:
  + Remove unused copyright from nova.api.__init__
  + Extends V3 os-hypervisor api for pci support
  + Join pci_devices when getting all servers in API
* Mon Jan 20 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev539.g1e74b86+git.1390181361.1e74b86:
  + Set objects indirection API in metadata service
  + VMware: upload images to temporary directory
* Sun Jan 19 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Robustify-determination-of-root-directory.patch (only offset)
* Sun Jan 19 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev535.gd683cab+git.1390094593.d683cab:
  + Refactor CIDR field to use netaddr.IPNetwork
  + VMware: unnecessary session reconnection
  + xenapi: stop server destroy on live_migrate errors
  + Pass rbd_user id and conf path  as part of RBD URI for qemu-img
  + Set is_public to False by default for volume backed snapshots
  + Consolidate the blockdev related filters
  + libvirt: Fix confusing use of mox.StubOutWithMock
  + Change RPC post_live_migration_at_destination from call to cast
  + nova docker driver cannot find cgroup in /proc/mounts on RHEL
  + Remove unused dict BYTE_MULTIPLIERS
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev515.gc0d2730+git.1389920187.c0d2730:
  + baremetal: stop deployment if block devices are not available
  + Using staticmethod to mock LibvirtDriver._supports_direct_io
  + Adds user_data extension to nova.api.v3.extensions
  + Use the mangle checksum fill rule regardless to the multi_host
  + Fix updating device names when defaulting
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev505.ge584967+git.1389834175.e584967:
  + Enabled Libvirt driver to read 'os_command_line' from image properties.
  + Correct uses of :params in docstrings
  + Change log from ERROR to WARNING when instance absent
  + Rename instance_type to flavor in hyper-v virt driver
  + Make nova-network use Service object
  + Make nova-network use Instance objects
  + Optimize libvirt live migration workflow at source
* Wed Jan 15 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev491.gd14fe77+git.1389747945.d14fe77:
  + libvirt, fix test tpool_execute_calls_libvirt
  + Add finer granularity to host aggregate APIs
* Tue Jan 14 2014 dmueller@suse.com
- enable v3 api
* Tue Jan 14 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Robustify-determination-of-root-directory.patch (only offset)
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev488.gd5fa390+git.1389661144.d5fa390:
  + Fix docstring on SnapshotController
  + xenapi: refactor resize_up_root_vdi
  + xenapi: refactor generate_ephemeral
  + xenapi: resize up ephemeral disks
  + Allow some instance polling periodic tasks to hit db slave
  + The private method _text_node should be used as function
  + Adds new method nova.utils.get_hash_str
  + Fix image cache periodic task concurrent access bug
  + Handle UnicodeEncodeError in validate_integer
  + Ensure instance action event list in order
  + Fix lxc rootfs attached two devices in some action
  + VMware: update test file names
  + Catch InstanceIsLocked exception on server actions
  + Changed error message to match usage
  + Add boolean convertor to cells sync_instances API
  + libvirt: stop overwriting LibvirtConfigCPU in get_host_capabilities
  + Deprecate/remove scheduler select_hosts()
  + Spelling fix resouce=>resource
  + Remove deprecated instance_type alias from nova-manage
  + Avoid unnecessary use of rootwrap for some network commands
  + Remove unused import
  + Do not use contextlib.nested if only mock one function
  + Return policy error, not generic error
  + Add API schema for v3 keypairs API
  + Update openstack/common/lockutils
  + Define common API parameter types
  + Add API schema for v3 agents API
  + Cleanup the flake8 section of tox.ini
  + Add API schema for v3 extended_volumes API
  + Add API schema for v3 flavor_access API
  + Attribute snapshot not defined in libvirt/config.py
  + Update nova.conf.sample
  + libvirt: Fix infinite loop waiting for block job
* Fri Jan 10 2014 dmueller@suse.com
- set default keystone signing dir
* Fri Jan 10 2014 dmueller@suse.com
- add 0001-Remove-duplicate-blockdev-filter-line.patch
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev424.g89b7bdc+git.1389355788.89b7bdc:
  + Docker Driver doesn't respect CPU limit
  + Prevent Instance.refresh() from returning a new info cache
  + Translate the snapshot_pending state for old instances
  + Add API schema for v3 admin_password API
  + Change when exists notification is sent for rescue
  + Enforce permissions in snapshots temporary dir
  + Let drivers override default rebuild() behaviour
* Thu Jan  9 2014 dmueller@suse.com
- Update to version 2014.1.dev410.g5c74a93+git.1389271662.5c74a93:
  + Sync config generator from oslo-incubator
  + Remove unused code in nova/api/ec2/__init__.py
  + Remove unused variables in imagebackend.py
  + Rename instance_type to flavor in xenapi virt driver
  + Better exception handling for deletes during build
  + Don't deallocate/reallocate networks on reschedules
  + Whitelist external netaddr requirement
  + Delete iSCSI devices after volume detached
  + Cleanup object usage in the rebuild path
- Fix requires
* Wed Jan  8 2014 cloud-devel@suse.de
- Rebased patches:
  + nova-conf-defaults.patch (only offset)
* Wed Jan  8 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev392.g8b9f924+git.1389142764.8b9f924:
  + Aggregate: Hosts isolation based on image properties
* Tue Jan  7 2014 dmueller@suse.com
- fix requires
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev390.g3912d7a+git.1389055691.3912d7a:
  + Removes disk-config extension from v3 api
  + Remove redundant body validation for createBackup
* Mon Jan  6 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev386.g04bd320+git.1388968867.04bd320:
  + Make scheduler rpcapi use object serializer
  + Imported Translations from Transifex
* Sun Jan  5 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev382.g63152f9+git.1388884866.63152f9:
  + libvirt: Set "Disabled Reason" to None when enable nova compute
  + Delete instance faults when deleting instance
  + lxc: Fix a bug of baselineCPU parse failure
  + Remove uneeded dhcp_opts initialization
* Sat Jan  4 2014 cloud-devel@suse.de
- Rebased patches:
  + nova-conf-defaults.patch (only offset)
* Sat Jan  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev375.g620348f+git.1388797217.620348f:
  + VMware: clean up unnecessary help message of options
  + Revert change of default FS from ext3 to etx4
  + Compact pre-Icehouse database migrations <= 180.
  + xenapi: more info when assert_can_migrate fails
  + Fix interprocess locks for run_tests.sh
  + VMware: use session.call_method to invoke api's
  + xenapi: add support for vcpu_pin_set
  + Fix inconsistent "image" value on _get_image()
  + Add unit test for ListOfStrings field in object models
* Fri Jan  3 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev357.g998057e+git.1388712327.998057e:
  + Adds a PREPARED state after baremetal node power on.
  + Add boolean convertors for migrate_live API
  + Return client tokens in EC2 DescribeInstances
  + Remove unused import
  + Convert nova.compute.manager's _spawn to objects
* Thu Jan  2 2014 cloud-devel@suse.de
- Rebased patches:
  + nova-conf-defaults.patch (only offset)
* Thu Jan  2 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev347.g3fb94c3+git.1388689150.3fb94c3:
  + convert min_count and max_count to type int in nova v3 api
  + Remove middleware ratelimits from v3 api
  + Don't use deprecated module commands
  + platform independence for test_virt unit tests
  + Remove unused variables in test_conductor.py
  + Sync oslo db.sqlalchemy.utils to nova
  + Imagecache: fix docstring
  + Add apache2 license header to appropriate files for enabling H102
  + Fix for qemu-nbd hang
  + Fix typo'ed deprecated flag names in libvirt.imagebackend
  + Disable libguestfs' default atexit handlers.
  + Remove duplicated test
  + Add wsgiref to requirements.txt
  + Cleanup object usage in the delete path
* Thu Dec 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev320.g3d19edc+git.1388021466.3d19edc:
  + ValueError should use '%%' instead of ','
  + Fix incorrect exception on os-migrateLive
* Tue Dec 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev316.g2d90e78+git.1387847421.2d90e78:
  + Object-ify build_and_run_instance
  + Update openstack/common/periodic_task
  + pass the empty body into the controller
  + Setting the xen vm device id on vm record
  + Initialize iptables rules on initialization of MetadataManager
  + Change default ephemeral FS to ext4.
* Sun Dec 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev304.g2c85c48+git.1387672835.2c85c48:
  + sync oslo service to fix SIGHUP handling
  + remove vmwareapi.vmops.get_console_output()
  + List NotImplementedError as a client exception for vnc
  + Check Neutron port quota during validate_networks in API
  + Revert recent change to ComputeNode
  + Catch NotImplementedError for vnc in the api
  + Sync timeutils from oslo-incubator
  + Imported Translations from Transifex
* Sat Dec 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev288.ga80243b+git.1387587906.a80243b:
  + Fix parameter checking about quota update api
  + Fixes get_vm_storage_paths issue for Hyper-V V2 API
  + When inject admin password, no need to generate temp file
  + Fix interprocess locks when running unit-tests
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Rebased patches:
  + patches/nova-conf-defaults.patch (only offset)
  + patches/nova-network-filter-bnc777488.patch (only offset)
  + patches/0001-Always-set-model-netfront-for-xen-over-libvirt.patch (only offset)
  + patches/0001-Robustify-determination-of-root-directory.patch (only offset)
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (manually)
  + 0001-Robustify-determination-of-root-directory.patch (manually)
  + nova-conf-defaults.patch (manually)
  + nova-network-filter-bnc777488.patch (manually)
- Update to version 2014.1.dev280.g7d79f45+git.1387552401.7d79f45:
  + Raise better exception if duplicate security groups
  + Libvirt:Instance resize confirm issue against NFS
  + Sync middleware audit, base, and notifier from oslo
  + baremetal: volume driver refactoring and tests
  + Quota violations should not cause a stacktrace in the logs
  + Sync oslo lockutils for "fix lockutils.lock() to make it thread-safe"
  + Updated from global requirements
  + Hide injected_file related quotas for V3 API
  + Extends V3 servers api for pci support
  + libvirt: add a test to guard against set_host_enabled raising an error
  + Periodic task _heal_instance_info_cache can now use slave db
  + Remove the api_thread_pool option from libvirt driver
  + LOG.warn() and LOG.error() should support translation
  + Rename instance_type to flavor in baremetal virt driver
  + Libvirt: Making the video driver element configurable
  + Make obj_from_primitive() preserve version information
  + Ensure api_paste_conf is an absolute path
  + Add decorator expected_errors for flavors_extraspecs v3
  + Remove useless api sample template files for flavor-rxtx v3
  + Remove unused flag 'host_state_interval'
  + Move calls to os.path.exists() in libvirt imagebackend
  + Enforce metadata string type on key/value pairs
  + Add shutdown option to cleanup running periodic
  + Replaces call to lvs with blockdev.
  + Use a dictionary to eliminate the inner loop in _choose_host_filters()
  + XenAPI: Synchronize on all VBD plug/unplug per VM
  + Don't replace instance.info_cache on each save
  + Update Instance from database after destroy
  + Log exception in _heal_instance_info_cache
  + DB migration 209: Clean up child rows as well
  + Fix LibvirtGenericVIFDriver.get_config() for quota
  + Update vnc virt driver api to take Instance object
  + libvirt: Custom disk_bus setting is being lost on hard_reboot
  + Make Instance object compatible with older compute nodes
  + Require List objects to be able to backlevel their contents
  + Prevent spoofing instance_id from neutron to nova
  + Pass Instance object to compute vnc rpc api
  + Rename instance_type to flavor in test_utils and nova.tests.utils
  + Send Instance object to validate_console_port
  + Pass Instance object to console output virt driver api
  + Add IPAddress field type in object models
  + Remove unneeded call to conductor in network interface
  + Remove unused variables in neutron api interface and neutron tests
  + Add extra_resources field to compute_nodes table
  + Allow configuring the wsgi pool size
  + Get test_openAuth_can_refuse_None_uri to cleanup after itself
  + Stop, Rescue, and Delete should give guest a chance to shutdown
  + Normalize the weights instead of using raw values
  + VMware: fix bug when more than one datacenter exists
  + Make Serializer/Conductor able to backlevel objects
  + Make it possible to override test timeout value
  + Give migrations tests more time to run
  + Revert graceful shutdown patch
  + Fix race in unit tests, which can cause gate job to fail
  + api: handle NotImplementedError for console output
  + List NotImplementedError as client exception
  + hyperv: remove get_console_output method
  + vmwareapi: raise on get_console_output
  + Setup destination disk from virt_disk_size
  + Handle InstanceUserDataMalformed in create server v2 api
  + Add flavor access methods to Instance object
  + Move restore and rebuild operations to Flavor objects
  + Make ec2 use Flavor object
  + Rename instance_type to flavor in nova.network tree
  + Fixes ConfigDrive bug on Windows
  + Compact pre-Icehouse database migrations <= 170.
  + XenAPI: Speedup host_ref cannot change - get it once
  + Remove smoketests
  + Add configurable 120s timeout ovs-vsctl calls
  + Image cache: move all of the variables to a common place
  + Refactor time conversion helper function for objects in db api
  + VMWare: bug fix for Vim exception handling
  + Clarify rebuild_instance's recreate parameter.
  + Refactor PXE DHCP Option support.
  + Fix a lazy-load exception in security_group_update()
  + Enable remote debugging for nova
  + Make rebuild use Instance objects
  + Serialize instance object while building request_spec
  + Remove docker's unsupported capabilities
  + barematal: Cleanup the calls to assertEqual
  + use 'os_type' in ephemeral filename only if mkfs defined
  + Remove deprecated config aliases
  + Retry on deadlock in instance_metadata_update
  + Rename instance_type to flavor in nova.cloudpipe
  + Rename instance_type to flavor in nova.utils and nova.compute.utils
  + LXC: Image device should be reset in mount() and teardown()
  + libvirt: consider minimal I/O size when selecting cache type
* Fri Dec 20 2013 dmueller@suse.com
- remove non-upstream patches:
  0001-Handle-libvirt-s-error-code-in-case-of-LXC.patch
  sqlalchemy-08x.diff
* Tue Dec 10 2013 cloud-devel@suse.de
- Rebased patches:
  + patches/0001-Handle-libvirt-s-error-code-in-case-of-LXC.patch (only offset)
  + 0001-Handle-libvirt-s-error-code-in-case-of-LXC.patch (manually)
* Tue Dec 10 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev108.gb190c0c+git.1386638762.b190c0c:
  + Fix HTTP response code for network APIs and improve error message
  + fakevirt: return hypervisor_version as an int instead of a string
  + Sync rpc fix from oslo-incubator
  + Check if reboot request type is None
  + Fix logic in LibvirtConnTestCase._check_xml_and_uri
  + Remove duplicate setting of os_type in libvirt config builder
  + Use 201 instead of 200 for action create of flavor-manage v3
  + xenapi: stop hang during glance download
  + Fix UnboundLocalError in libvirt.driver._close_callback
  + Clean up unused variables
  + Remove the largely obsolete basepath helper
* Mon Dec  9 2013 speilicke@suse.com
- Only require dnsmasq-utils on 13.1 or later, 12.3 doesn't yet have
  the sub-package
* Mon Dec  9 2013 dmueller@suse.com
- add 0001-Handle-libvirt-s-error-code-in-case-of-LXC.patch
* Mon Dec  9 2013 iartarisi@suse.com
- Add dnsmasq-utils nova-network dependency for openSUSE (it provides
  dhcp_release). This package is not available for SLES yet.
* Sun Dec  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev86.gd83c9a6+git.1386464904.d83c9a6:
  + Fix sample parameter of agent API
  + Don't log stacktrace for UnexpectedTaskStateError
  + Imported Translations from Transifex
  + libvirt: remove unused imports from fake libvirt utils
  + Compact pre-Icehouse database migrations <= 150.
  + Compact pre-Icehouse database migrations <= 160.
  + Removes os-personalities extension from the V3 API
  + Remove traces of V3 personality extension from api samples
  + Configuration element for describing video drivers.
  + Libvirt: Adding video device to instances
  + Document when config options were deprecated
  + Fix changes-since filter for list-servers API
  + Added a new scheduler metrics weight plugin
* Sat Dec  7 2013 cloud-devel@suse.de
- Rebased patches:
  + patches/nova-conf-defaults.patch (only offset)
  + patches/0001-Robustify-determination-of-root-directory.patch (only offset)
  + 0001-Robustify-determination-of-root-directory.patch (manually)
  + nova-conf-defaults.patch (manually)
* Sat Dec  7 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev60.g2b2c938+git.1386379053.2b2c938:
  + Remove V3 API version of coverage extension
  + Remove V2 API version of coverage extensions
  + Recover from build state on compute manager start-up
  + docker: access system_metadata as a dict
  + Add flavor-access to core for V3 API
  + Add flavor-extra-specs to core for V3 API
  + Move flags in libvirt's volume to the libvirt group
  + baremetal: Make api validate mac address
  + Catch InstanceIsLocked exception on server actions
  + Ensure proper notifications are sent when build finishes
  + Remove duplicate FlavorNotFound exception handling in server create API
  + Fix trivial typo 'descirption'
  + Comply with new hacking 0.8 release
  + Removed unused instance object helper function
  + Remove _security_group_chain_name from nova/virt/firewall.py
  + Use of logging in native thread causes deadlock connecting to libvirtd
  + handle migration errors
  + Recover from IMAGE-* state on compute manager start-up
  + libvirt: host update disable/enable report HTTP 400
  + Add status mapping for shutoff instance when resize
  + Fix "in" comparisons with one element tuples
  + network_device_mtu should be IntOpt
  + VMware: add support for VM diagnostics
  + Compact pre-Icehouse database migrations <= 140.
  + Removes check CONF.dhcp_options_enabled from nova
  + There is no need to set VM status to ERROR on a failed migration
  + ComputeFilter shouldn't generate a warning for disabled hosts
  + Remove used_limits extension from the V3 API
  + xenapi: Update VM memory overhead estimation
  + VMware: fix disk extend bug when no space on datastore
  + Minor change for typo from patch 80b11279b
  + Change conductor live migrate task to use select_destinations()
  + Make compute support monitors and store metrics
  + Fix AttributeError(s) from get_v4/6_ips_by_interface
  + Add default arguments for Connection class
  + add hints to api_samples documentation
  + Sync log.py from Oslo-incubator
  + Use password masking utility provided in Oslo
  + Fix limits v3 follow API v3 rules
  + VMware: Always upload a snapshot as a preallocated disk
  + Clean up how test env variables are parsed
  + Let resource_tracker report right migration status
  + Use 400 instead of 422 for invalid input in v3 servers core
  + Fix empty selector XML bug
  + Change evacuate test hostnames to preferable ones
  + baremetal: Make volume driver use a correct source device
  + Misc typos in nova
  + Add atomic flavor access creation
  + Add Flavor object
  + Clean up test cases for compute.manager._check_instance_build_time
  + VMware: Fix unhandled session failure issues
  + Make flavor_access extension use Flavor object
  + Cells: check states on resize/rebuild updates
* Tue Dec  3 2013 cloud-devel@suse.de
- Rebased patches:
  + patches/nova-conf-defaults.patch (only offset)
  + nova-conf-defaults.patch (manually)
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev1019.g987c527+git.1386031317.987c527:
  + Fix Neutron Authentication for Metadata Service
  + Remove last of AssertEquals
  + VMware: enable driver to work with postgres database
  + Fix testcase config option imports
  + Update help for osapi_compute_listen_port
  + Add a driver method to toggle instance booting
  + Pass Instance object to spice compute rpc api
  + objects: declare some methods as static
  + Cleanup ec2/metadata/osapi address/port listen config option help
  + Correct network_device_mtu help string
  + Don't overwrite marker when checking if it exists
* Sat Nov 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev998.g271e218+git.1385773765.271e218:
  + Supplement 'os-migrateLive' in actions list
  + Remove duplicate BuildAbortException block
  + Fix missing format specifier in ImagePropertiesFilter log message
  + Bump to sqlalchemy-migrate 0.8.2
  + Change ConductorManager to self.db when record cold_migrate event
* Fri Nov 29 2013 dmueller@suse.com
- fix test requires
* Fri Nov 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev988.gb432f21+git.1385685631.b432f21:
  + Use model_query() instead of session.query in db.instance_destroy
  + Improved debug ability for log message of cold migration
  + Adjust the order of notification for shelve instance
  + Fix some i18n issue in nova/compute/manager.py
  + Make object compat work with more positional args
  + instance state will be stuck in unshelving when unshelve fails
  + Fix a tiny double quote matching in field obj model
* Thu Nov 28 2013 dmueller@suse.com
- update 0001-Always-set-model-netfront-for-xen-over-libvirt.patch:
  * libvirt_type doesn't exist anymore
* Thu Nov 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev975.g4a944ab+git.1385599897.4a944ab:
  + Pass Instance object to get_spice_console virt api
  + libvirt: Provide a port field for GlusterFS network disks
  + Make check more pythonic
  + Bad except clauses order causes wrong text in http response
  + Sync the DB2 communication error code change from olso
* Wed Nov 27 2013 dmueller@suse.com
- add sqlalchemy-08x.diff
* Wed Nov 27 2013 speilicke@suse.com
- Add post scriptlet for conductor sub-package
* Wed Nov 27 2013 opensuse-packaging@opensuse.org
- Rebased patches:
  + patches/0001-Always-set-model-netfront-for-xen-over-libvirt.patch (only offset)
  + patches/0001-Robustify-determination-of-root-directory.patch (only offset)
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (manually)
  + 0001-Robustify-determination-of-root-directory.patch (manually)
- Update to version 2014.1.dev956.g4932904+git.1385512750.4932904:
  + Extend LibvirtConfigGuest to parse guest cpu element info
  + Make baremetal_deploy_helper understand ephemeral disks
  + Enable non-ascii characters in flavor names
  + Ensure deleted instances' status is always DELETED
  + Rename _get_vm_state to _get_vm_status
  + Remove unused local variables in test case
  + Periodic task _poll_unconfirmed_resizes can now use slave db
  + xenapi: move session into new client module
  + Sync Log Levels from OSLO
  + handle empty network info in instance cache
  + Extend the scheduler HostState for metrics from compute_node
  + Fix power manager hangs while executing ipmitool
  + Address infinite loop in nova compute when getting network info
  + Make baremetal support metadata for ephemeral block-device-mapping
  + Remove nullable=True in models.py which is set by default
  + Added monitor (e.g. CPU) to monitor and collect data
  + Add v3 api samples for shelve
  + Remove "set()" from CoreAPIMissing exception
  + Wrong handling of Instance expected_task_state
  + Fix libvirt evacuate instance on shared storage fails
  + Add context as parameter for resume
  + Add context as parameter for two libvirt APIs
  + Remove console 1.X rpc api
  + Add V2 rpc api for cert
  + Remove cert 1.X rpc api
  + Fix log message format issue for api
  + XenAPI: Fix caching of images
  + Corrected typo in host_manager
  + Fix up spelling mistake
  + Users with admin role in Nova should not re-auth with Neutron
  + Do not hide exception in update_instance_cache_with_nw_info
  + Fix incorrect argument position in DbQuotaDriver
  + Don't gate on E125
  + Move flags in libvirt's imagebackend to the libvirt group
  + Move flag in libvirt's utils to the libvirt group
  + Move flag in libvirt's vif to the libvirt group
  + docker: return hypervisor_version as an int rather than a string
  + Add v3 of compute rpc API
  + Remove compute 2.x rpc api
  + Rename instance_type parameter in migrate_disk_and_power_off to flavor
  + Use 204 instead of 202 for delete of keypairs v3
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev874.g18d3a0b+git.1385429612.18d3a0b:
  + Add test for class InsertFromSelect
  + Check return code of command instead of checking stderr
  + Include name/level in unit test log messages
  + Fix performance of Server List with Neutron for Admins
* Mon Nov 25 2013 speilicke@suse.com
- Rebased patches:
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (only offset)
  + 0001-Robustify-determination-of-root-directory.patch (only offset)
- Update to version 2014.1.dev866.g43d1fd5+git.1385389698.43d1fd5:
  + libvirt: Allow delete to complete when a volume disconnect fails
  + Fixes RequestContext initialization failure.
  + Issue brctl/delif only if the bridge exists
* Mon Nov 25 2013 dmueller@suse.com
- switch to python-setuptools
* Mon Nov 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev860.gf567a11+git.1385376697.f567a11:
  + Sync local from oslo.
  + Move some libvirt specific flags into a group
  + Move base_dir_name option to somewhere more central
  + Move flags in libvirt's imagecache to the libvirt group
  + libvirt: pass instance to a log() call in the standard way
  + xenapi: kernel and ramdisk missing after live-migrate
  + Add missing argument max_size in libvirt driver
  + Conditionalise automatic enabling of disabled host
  + Fix cells instance_create extra kwarg
  + Refactor UnexpectedTaskStateError for handling of deleting instances
  + Make compute manager _init_instance use native objects
  + baremetal: refactor out powervm dependency
  + Rename InstanceType exceptions to Flavor
  + Add v3 api samples for scheduler-hints
  + Sync log from oslo
  + all_tenants=0 should not return instances from all tenants
  + Cache compute node info in Hypervisor api
  + Move get_all_tenants policy enforcement to API
  + Enforce compute:update policy in V3 API
  + Add V3 api samples for access_ips
  + Add v3 api samples for availability_zone
  + Clean BDM when snapshoting volume-backed instances
  + Process image BDM earlier to avoid duplicates
  + libvirt: Fix log message when disable/enable a host
  + Imported Translations from Transifex
  + xenapi: workaround vbd.plug race
  + xenapi: stop key_init timeout failing set password
  + Add V2 rpc api for console
  + Shrink the exception handling range
  + Fix for reading the xenapi_device_id from image metadata
  + Checking existence of index before dropping
  + Update quota-class-set/quota-set throw 500 error
  + Stylistic improvement of models.ComputeNodeStat
  + Catch exception while building due to instance being deleted
  + Add V3 API sample for server's actions
  + tenant_id implies all_tenants for servers list in V3 API
  + XenAPI: Fix config section usage
  + VMware: fix snapshot failure when host in maintenance mode
  + Include image block device maps in info
* Wed Nov 20 2013 speilicke@suse.com
- Rebased patches:
  + nova-network-filter-bnc777488.patch (only offset)
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (only offset)
- Dropped patches:
  + suse-cleanup-api-paste.diff (merged differently upstream)
- Update to version 2014.1.dev784.g84bddb0+git.1384937744.84bddb0:
  + Rename virtapi.instance_type_get to flavor_get
  + replace assertNotEquals with assertNotEqual
  + Cache Neutron Client for Admin Scenarios
  + Add flavor-manage to core for V3 API
  + More instance_type -> flavor renames in db.api
  + Raising exception for invalid floating_ip's ID
  + Nova-all: Replace basestring by six for python3 compatability
  + VMware: Detach volume should not delete vmdk
  + Drop auth_token configs for api-paste.ini.
  + Remove unused libvirt_ovs_bridge flag
  + Remove reduntant call to update_instance_info_cache
  + Adds XML namespace example for disk config extension
  + Fix type mismatch errors in NetworkTestCase
  + Reverse the quota reservation in revert_resize
  + Remove unused local variable in test_compute
* Thu Nov 14 2013 speilicke@suse.com
- Update to version 2014.1.dev754.g4dd46f7+git.1384441884.4dd46f7:
  + Add block device handling to build_and_run_instance
  + Hyper-v: Change the hyper-v error log for debug when resize failed
  + Add SecurityGroupRule object
  + Make InstanceInfoCache load base attributes
  + replaced e.message with unicode(e)
  + Disable nova-compute on libvirt connectivity exceptions
  + Claim IPv6 is unsupported if no interface with IPv6 configured
  + Fix tests to work with mysql+postgres concurrently
  + Remove unused expected_sub_attrs
  + Add V3 API sample for admin-password
  + baremetal: Add missing method to volume driver
  + Adding support for multiple hypervisor versions
  + Add nova.db.migration.db_initial_version()
  + Pass volume_api to get_encryption_metadata
  + Add ephemeral_mb record to bm_nodes
  + Add DeleteFromSelect to avoid database's limit
  + Utilizes assertIsNone and assertIsNotNone - tests/api
  + Fix bad typo in cloudpipe.py
  + Pass thru credentials to allow re-authentication
  + xenapi: workaround for failing vbd detach
  + Adds V3 API samples for user-data
  + Make virt/firewall use objects for Security Groups and Rules
  + Remove security_group-related methods from VirtAPI
  + clean up numeric expressions in tests
  + Refactor unit tests code for python3 compatability
  + Remove instance_type* proxy methods from nova.db.api
  + Fix all scripts to honor the enabled_ssl_apis flag
  + Pull system_metadata for notifications on instance.save()
  + Make metadata server use objects for Instance and Security Groups
  + Deprecate two security_group-related methods from conductor
  + Convert evacuation code to use objects
  + Make _get_instance_nw_info() use Instance object
  + Comments for db.api.compute_node_*() methods
  + xenapi: strip base_mirror after live-migrate
  + xenapi: refactor get_all_vdis_in_sr
  + Add a metadata type validation when creating vm
  + Utilizes assertIsNone and assertIsNotNone - tests/etc
  + Add network handling to build_and_run_instance
  + Add updates and notifications to build_and_run_instance
  + Use elevated context in resource_tracker.instance_claim
  + Make non-admin users can unshelve a server
  + Add V3 API samples for config-drive
  + Make unshelve use new style BDM
  + Replace assertEquals with assertEqual - tests/api
  + Utilizes assertIsNone and assertIsNotNone - tests/virt
  + ensure we don't boot oversized images
  + Add compatibility for InstanceMetadata and primitives
  + Remove superflous 'instances' joinedload
  + Add notification for host operation
  + Update schema_diff.py to use 'postgresql' URLs.
  + Move `diff_dict` to compute API
  + Add missing fields in DriverBlockDevice
  + Send delete.end with latest instance state
  + Correct exception handling
  + Remove duplicated test
  + Fixes the destroy() method for the Docker virt driver
  + Imported Translations from Transifex
  + Parted 'invalid option' in XenAPI driver
  + Imported Translations from Transifex
  + nit: fix indentation
  + Always pass context to compute driver destroy()
  + xenapi: converting XenAPIVolumeTestCase to NoDB
  + compute tests: replace assertEquals with assertEqual
  + Remove multipath mapping device descriptor
  + Fix `NoopQuotaDriver.get_(project|user)_quotas` format
  + Add auth_token settings to nova.conf.sample.
  + Remove useless variable from libvirt/driver.py
  + Use _get_server_admin_password()
  + fix a typo error in test_libvirt_vif.py
  + Remove live_snapshot plumbing
  + xenapi: check for IP address in live migration pre check
  + Replace assertEquals with assertEqual - tests/scheduler
  + Flavor name should not contain only white spaces
  + Fix the boto version comparison
  + db tests: replace assertEquals with assertEqual
  + Move docker specific options into a group.
  + Imported Translations from Transifex
  + Added tests for get_disk_bus_for_disk_dev function
  + Fix the ConsolesController class doc string
  + Make scheduler disk_filter take swap into account
  + Fix OLE error for HyperV
  + Remove fake_vm_ref from test_vmwareapi.py
  + baremetal: replace assertEquals with assertEqual
  + driver tests (loose ends): replace assertEquals with assertEqual
  + virt root tests: replace assertEquals with assertEqual
  + Make the vmware pause/unpause unit tests actually test something
  + image tests: replace assertEquals with assertEqual
  + xenapi: Move settings to their own config section
  + Moved quota headroom calculations into quota_reserve
  + Add log_handler to implement the publish_errors config option
  + Replace assertEquals with assertEqual - tests/etc
  + Fix migration 185 to work with old fkey names
  + Stored metrics into compute_nodes as a json dictionary
  + xenapi: Fix regression issue in agent update
  + Fix wrong description when updating quotas
  + xenapi: Fix agent update message format
  + Make v3 admin_password parameters consistent
  + Removed unused methods from db.api
  + Xenapi: Allow windows builds with xentools 6.1 and 6.2
  + Fix interface-attach removes existing interfaces from db
  + Remove dup of LibvirtISCSIVolumeDriver in LibvirtISERVolumeDriver
  + Remove unnecessary steps for cold snapshots
  + domainEventRegisterAny called too often
- Rebased patches:
  + nova-conf-defaults.patch (only offset)
  + 0001-Always-set-model-netfront-for-xen-over-libvirt.patch (only offset)
  + 0001-Robustify-determination-of-root-directory.patch (only offset)
  + 0001-Claim-IPv6-is-unsupported-if-no-interface-with-IPv6-.patch dropped (merged upstream)
* Wed Oct 30 2013 speilicke@suse.com
- Forward patch from aspiers
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev552.g2efcc9d+git.1383054035.2efcc9d:
  + Raise an error if module import fails.
  + Correct update extension point's check_func for v3 server's controller
  + network tests: replace assertEquals with assertEqual
  + xen tests: replace assertEquals with assertEqual
  + Sync lockutils from oslo
  + Enable extension access_ips for v3 API
  + clean up numeric expressions with byte constants
  + Imported Translations from Transifex
  + Make security_group_rule_get_by_security_group() honor columns
  + Add InstanceList.get_by_security_group()
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev532.g06c8dea+git.1383010783.06c8dea:
  + consoleauth: retain havana rpc client compat
  + Remove consoleauth 1.X rpc api
  + Adds upper bound checking for flavor create parameters
  + Allow _sync_power_states periodic task to hit slave DB
* Tue Oct 29 2013 aspiers@suse.com
- Fix incomplete patch for lp#1202199
  - The hunk adjusting the corresponding test_model_xen test
    was missing.
  - The hw_vif_model meta-data property was allowed to override
    the PV (netfront) driver choice, but that would have broken
    things.
* Mon Oct 28 2013 dmueller@suse.com
- add 0001-Robustify-determination-of-root-directory.patch
- add 0001-Claim-IPv6-is-unsupported-if-no-interface-with-IPv6-.patch
* Fri Oct 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a524.gb2ade54+git.1382744869.b2ade54:
  + Nova db/api.py docstring cleanups...
  + Remove xenapi rpm building code
  + Remove duplicates from exceptions list
  + Port server actions unittests to V3 API Part 2
  + Call baselineCPU for full feature list
  + Updates the documentation for nova unit tests
  + Update my mailmap
* Thu Oct 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a511.g6af8c79+git.1382658257.6af8c79:
  + Fix consoleauth check_token for rpcapi v2
  + Replace basestring by six for python3 compatability
  + Remove extra space in tox.ini
  + VMware: fix VM resize bug
  + Fix compute_api tests for migrate
  + Change testing of same flavor resize
  + Add tests for compute (child) cell
  + Fix migrate w/ cells
  + nova.exception does not have a ProcessExecutionError
  + make libvirt driver get_connection thread-safe
  + xenapi: Speeding up the easy cases of test_xenapi
  + migrate server doesn't raise correct exception
* Thu Oct 24 2013 dmueller@suse.com
- drop nova-rbd-use-local-devices.patch, we have a different
  solution now
* Thu Oct 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a488.g0c5ffc8+git.1382608835.0c5ffc8:
  + Uses oslo.imageutils
  + Validate parameters of agent API
  + Expose additional status in baremetal API extension
  + baremetal: Use network API to get fixed IPs
  + VMware: fix bug with booting from volumes
  + Add V2 rpc api for consoleauth
  + catch exception in start and stop server api
  + Merging two mkfs commands.
  + xenapi: ephemeral disk partition should fill disk
  + Fixes Invalid tag name error when using k:v tagname
  + Adds V3 API samples for console output
  + Remove deprecated libvirt VIF driver code
  + Apply six for metaclass
  + Add byte unit constants
  + Fixes unicode issue in the Hyper-V driver
  + Add missing ' to extra_specs debug message
  + Add testr concurrency option for run_tests.sh
  + Reply with a meaningful exception, when libvirt connection is broken.
  + Fix getting nwinfo for Instance obj
  + Fixing ephemeral disk creation.
  + Make security_group_get() more flexible about joins
  + Ensure migration 209 works with NULL fkey values
  + Fix tests for migration 227 to check sqlite
  + Fix setting backdoor port in service start
  + Fix error message of os-cells sync_instances api
  + Add obj_make_compatible()
  + Fix divergence in attach_interfaces extensions
  + xenapi: Speeding up more tests by switching to NoDB
  + VMware: fix bug for reporting instance UUID's
  + Drop RPC securemessage.py and crypto module.
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a429.gedc4c5c+git.1382484872.edc4c5c:
  + Add extension access_ips for v3 API
  + Change tab to blank space in hypervisors-detail-resp
  + Utilizes assertIn - tests/api/etc
  + Improve logging messages in libvirt driver
  + hyperv: Initialize target_iqn in attach_volume
  + Plug Vif into Midonet using Neutron port binding
  + Utilizes assertIn - tests/api/v3
  + Utilizes assertIn - tests/api/contrib
  + Replace incorrect Null checking to return correctly
  + Fix docstring related to create_backup API
  + Utilizes assertIn - tests/virt
  + Improve object instantiation syntax in some tests
  + Fix i18n issue for nova/compute/manager.py
  + Make Object FieldType take an object name instead of a class
  + Manage None value for the 'os_type' property
  + Utilizes assertIn - tests/etc
  + Make cells info_cache updates more tolerant
  + Fix status code of server's action confirm_resize for v3
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a394.g37e143c+git.1382400315.37e143c:
  + Updated from global requirements
  + Adds V3 API samples for the disk-config extension
  + Remove .pyc files before generating sample conf.
* Mon Oct 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a388.gb6aec56+git.1382365525.b6aec56:
  + Update timeutils.py from oslo
* Mon Oct 21 2013 dmueller@suse.com
- create openstack-xen-plugins subpackage and use it from -test
* Sat Oct 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a386.g7c68f0e+git.1382226168.7c68f0e:
  + Adding Read-Only volume attaching support to Nova
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a384.g2b9c147+git.1382139699.2b9c147:
  + xenapi: migrate multiple ephemeral disks
  + graceful-shutdown: add graceful shutdown into compute
  + Fail quickly if file injection for boot volume
* Fri Oct 18 2013 speilicke@suse.com
- Update to version 2014.1.a379.g1dca95a+git.1382085937.1dca95a:
  + Make XenAPI use Aggregate object
  + Remove aggregate metadata methods from conductor and virtapi
  + Adds V3 API samples for attach-interfaces
  + Fix i18n issue for nova/virt/baremetal/virtual_power_driver.py
  + Fixes datastore selection bug
  + Handle MarkerNotFound better in Flavor API
  + Sanitize passwords when logging payload in wsgi
  + Send notifications on keypair create/delete
  + Fix scheduler rpcapi deprecated method comment
  + Fix DB API mismatch with sqlalchemy API
  + Make SecurityGroup receive context
  + Fix the image name of a shelved server
  + xenapi: speedup test_wait_for_instance_to_start
  + xenapi: Speedup vm_util and vmops tests
  + Updates OpenStack Style Commandments link
  + Remove compute_api_class config option
  + Add CIDR field type
  + Cells: Fix instance deletes
  + Check for None when cleaning PCI dev usage
  + A nicer calling convention for object instantiation
  + xenapi: test_driver should use NoDBTestCase
  + Updated from global requirements
  + xenapi: stop agent errors stopping build
  + Remove duplicated test cases
  + powervm tests: replace assertEquals with assertEqual
  + Fix incorrect root partition size and compatible volume name
  + remove unused network module from certificates api extension
  + Sync fixture module from oslo
  + fix missing host when unshelving
  + Use `versionutils.is_compatible` for Dom0 plugin
  + Fixes Hyper-V snapshot spawning issue
  + VMware: Fix ValueError unsupported format character in log message
  + Make cells 'flavorid' for resizes
  + Updated from global requirements
  + Update version aliases for rpc version control
- Refreshed nova-conf-defaults.patch
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a310.g11219e5+git.1381881804.11219e5:
  + xenapi: stop using get_all_vdis_in_sr in spawn
  + VMware: remove deprecated configuration variable
  + libvirt tests: replace assertEquals with assertEqual
  + Add missing key attribute to AggregateList.get_by_host()
  + Use print function rather than print statement
  + Remove unnecessary "LOG.error()" statement
  + Add a get_root_bdm utility function
  + Move is_volume_backed_instance to new style BDM
  + cleanup after boto 2.14 fix
  + Make aggregate methods use new-world objects
  + Fixes Hyper-V issue with VHD file format
  + Fix root disk not be detached after deleting lxc container
  + libvirt: add missing i18n support
  + Use `versionutils.is_compatible` for Nova Objects
  + populate local-ipv4 address in config drive
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a280.ge6d1349+git.1381794148.e6d1349:
  + Fix NovaObject versioning attribute usage
  + Fix typos in nova/api code
  + Move exception definitions out of db api
  + Remove unused method _get_res_pool_ref from VMware
  + xenapi: removes sleep after final upload retry
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a270.g9f8c83c+git.1381767290.9f8c83c:
  + xenapi: simplify _migrate_disk_resizing_up
  + Use the oslo fixture module
  + Harden version checking for boto
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a265.gfd24923+git.1381752690.fd24923:
  + Utilize assertIsInstance
  + Libvirt: default device bus for floppy block devs
  + Fixes typos in nova/compute files
  + Correct use of ConfigFilesNotFoundError
  + Fix test_shadow_tables() on PostgreSQL/MySQL
  + Fix FK violation errors in InstanceActionTestCase
  + Fix incorrect exception raised during evacuate
  + Sync three-part RPC versions support from Oslo
  + Remove duplicated method in test_compute_api.py
  + Add boto special casing for param changes in 2.14
  + Remove obsolete redhat-eventlet.patch
  + Fix conductor's object change detection
  + Libvirt: add boot_index to block device info dicts
  + Libvirt: make boot dev a list in GuestConfig
  + Add Field model and tests
  + Adds V3 API specific urlmap tests
  + xenapi: refactor: move UpdateGlanceImage to common
  + Make field object support transitional call-based interface
  + Migrate Aggregate object to Fields
  + Migrate KeyPair object to Fields
  + Libvirt: allow more than one boot device
  + Fix nova DB 215 migration script logic error
  + xenapi: Resize operations could be faster
  + Migrate Migration object to Fields
  + Migrate SecurityGroup object to Fields
  + Fix "resource" length in project_user_quotas table
  + Migrate InstanceAction and InstanceActionEvent objects to Fields
  + Migrate InstanceGroup object to Fields
  + Migrate Quotas object to Fields
  + Migrate ComputeNode object to Fields
  + xenapi: simplify PV vs HVM selection logic
  + Libvirt: disallow live-mig for volume-backed with local disk
  + Fixes error on live-migration of volume-backed vm
  + Remove whitespace from cfg options
  + xeanpi: pass network_info to generate_configdrive
  + Make quota sets update type handling a bit safer
  + Migrate Service object to Fields
  + Migrate InstanceFault object to Fields
  + Migrate InstanceInfoCache object to Fields
  + Migrate PciDevice object to Fields
  + Add variable to expand for format string
  + Utilizes assertNotIn
  + Don't change the default attach-method
  + Migrate Instance object to Fields
  + Migrate NovaPersistentObject and ObjectListBase to Fields
  + Migrate some tests that were using callable fields
  + Make the base object infrastructure use Fields
  + Remove transitional callable field interface
  + Avoid caching quota.QUOTAS in Quotas object
  + Make a note about Object deepcopy helper
  + Update log message for add_host_to_aggregate
  + Fix a typo of tabstop
  + Remove unused scheduler rpcapi from compute api
  + Add test_instance_get_active_by_window_joined
  + Imported Translations from Transifex
  + VMware: fix regression attaching iscsi cinder volumes
  + compute api should throw exception if soft reboot invalid state VM
  + Fix vmwareapi driver get_diagnostics calls
  + Fixes inconsistency in flavors list with marker
  + hyperv tests: replace assertEquals with assertEqual
  + Fixes typo in ListTargets CLI in hyperv driver
  + Log which filter failed when on log level INFO
  + Move `utils.hash_file` -> `imagecache._hash_file`
  + Fixes typos in nova/db code
  + Fixes typos in the files in the nova folder
  + Xenapi: set hostname when performing a network reset
  + Remove instance_info_cache_update() from conductor
  + VMware tests: replace assertEquals with assertEqual
  + xenapi: make _migrate_disk_resizing_up use @step
  + xenapi: revert on _migrate_disk_resizing_up error
* Thu Oct 10 2013 dmueller@suse.com
- add init script for baremetal deploy helper
* Wed Oct  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a135.g0ef896e+git.1381309562.0ef896e:
  + VMware: Network fallback in case specified one not found
  + Replace decprecated method aliases in tests
  + Remove `utils.total_seconds`
  + Ensure that the netaddr import is in the 3rd party section
  + Drop unused BM start_console/stop_console methods.
  + Add a custom iboot power driver for nova bm.
  + Always filter out multicast from reflection
  + Update default for running_deleted_instance_action
  + Add notification on deleting instance without host
  + Make `update_test` compatible with nose
  + Fixes typos in virt files
  + fallocate image only when user has write access
  + Fix DB API tests depending on the order of rows
  + Fix PCI devices DB API tests
  + Adds missing entry in setup.cfg for V3 API shelve plugin
  + Imported Translations from Transifex
* Tue Oct  8 2013 dmueller@suse.com
- run db migration as nova user
- add suse-cleanup-api-paste.diff
* Tue Oct  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a104.g3ea8bbd+git.1381237785.3ea8bbd:
  + Open Icehouse development
  + Avoid spamming conductor logs with object exceptions
  + Make Instance.refresh() extra careful about recursive loads
  + Remove `utils.last_octet`
  + Prefix `utils.get_root_helper` with underscore
  + Remove unecessary `get_boolean` function
  + Replace OpenStack LLC with OpenStack Foundation
  + Updated from global requirements
  + XenAPI: Add versioning for plugins
  + Avoid mutable default args in _test_populate_filter_props
  + Remove `utils.debug`
  + Reserve 10 migrations for backports
  + Log if a quota_usages sync updates usage information
  + Fix libvirt test on systems with real iSCSI devices
  + Remove unused dict functions from utils
  + Add Docstring to some scheduler/driver.py methods
  + Replace assert_ with assertTrue
  + VMware: Handle cases when there are no hosts in cluster
  + Fix type is overwritten when UPDATE cell without type specified
  + Ensure image property not set to None in build_request_spec()
  + Make LiveMigrateTask use build_request_spec()
  + Resource limits check sometimes enforced for forced scheduling
  + Make rbd.libvirt_info parent class compatible
  + Fixes several misc typos in scheduler code
  + Fix the wrong params of attach/detach interface for compute driver
  + Fix races in cells extension tests
  + Fixes the usage of PowerVMFileTransferFailed class
  + plug_vif raise NotImplementedError instead of pass
  + VMware: Check for the propSet attribute's existence before using
  + Code change for regex filter matching
  + Host aggregate configuration throws exception
  + Catch volume errors during local delete
  + Add V3 API samples for consoles
  + Fix filter_properties of unshelve API
  + Remove `utils.get_from_path`
  + Fixes rescue doesn't honor enable password conf for v3
  + fix the an Unexpected API Error issue in flavor API
  + Update allowvssprovider in xenstore_data
  + Return a NetworkInfo object instead of a list
  + Fix HTTP response for PortNotFound during boot (v3 API)
  + baremetal: Fix misuse of "instance" parameter of attach/detach_volume
  + Move call to _default_block_device_names() inside try block
  + Adds V3 API samples for srvcs, tenant usage, server_diagnostics
  + Adds v3 API samples for hide server addresses and keypairs
  + Fix V3 API flavor returning empty string for attributes
  + Add flag to make baremetal.pxe file injection optional
  + Remove `utils.timefunc` function
  + Fix races in v3 cells extension tests
  + Baremetal: Be more patient with IPMI and BMC
  + Forced scheduling should be logged as Audit not Debug
  + Fix docstring for disk_cachemodes
  + Fix v3 server rebuild deserializer checking with wrong access_ip key
  + Avoid clobbering {system_,}metadata dicts passed to instance update
  + Create flavor-access for the tenant when creating a private flavor
- remove unlock-six.diff
* Sat Oct  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.rc1+git.1380965826.96d828f:
  + Use system locale for default request language
  + xenapi: reduce impact of errors during SR.scan
  + VMWare: Disabling linked clone doesn't cache images
  + Disable lazy gettext
  + Imported Translations from Transifex
  + Remove `utils.parse_mailmap`
  + Skip test if sqlite3 not installed
* Tue Oct  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a501.gc81369c+git.1380671363.c81369c:
  + Full sync of quota_usages
  + Policy check for forced_host should be before the instance is created
  + Add notification for pause/unpause instance
  + VMware: Fix volume detach failure
  + Fix indentation in virt.libvirt.blockinfo module
  + Add tests for pre_live_migration
  + Refactor test cases related to instance object
  + Fix loading instance fault in servers view
  + Update attach interface api to use new network model
  + get_all_flavors uses id as key to be unique
  + VMware: fix bug for invalid data access
  + Update jsonutils.py from oslo
  + Make Exception.format_message aware of Messages
* Tue Oct  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a475.ga6bc12c+git.1380587665.a6bc12c:
  + Fix console db can't load attribute pool
  + Get image metadata in to_xml for generating xml
  + Remove deprecated task states
  + Removes pre_live_migration need for Fixed IPs
  + Fix stopping instance in sync_power_states
  + Check instance exists or not when evacuate
  + xenapi: set vcpu cap to ensure weight is applied
  + VMware: Fix bug for root disk size
  + Don't wrap Glance exceptions in NovaExceptions
  + Fix processutils.execute errors on windows
* Sun Sep 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a455.g63c9d87+git.1380413051.63c9d87:
  + Fix log format error in lazy-load message
  + Correct lock path for storage-registry-lock
* Fri Sep 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a451.gc5c5ad9+git.1380326203.c5c5ad9:
  + Update rootwrap with code from oslo
  + Add flavor name validation when create flavor
  + Ensure we don't end up with invalid exceptions again
  + xenapi: ignore 500 errors from agent resetnetwork
  + Change service id to compute for compute/api.py
  + xenapi: enforce filters after live-migration
  + Fix unicode string values missing in previous patch
  + VMware: Fix SwitchNotFound error when network exists
  + Make sure periodic task sync_power_states continues on error
  + Windows instances require the timezone to be "localtime"
* Fri Sep 27 2013 dmueller@suse.com
- switch to crudini
* Fri Sep 27 2013 dmueller@suse.com
- Update to version 2013.2.a431.g7452bc6+git.1380263703.7452bc6:
  + Update sample config generator script
  + VMware: enable VNC access without user having to enter password
  + Remove _get_compute_info from filter_scheduler.py
  + Add V3 API samples for security-groups
  + Require oslo.config 1.2.0 final
  + VMware: fix bug for incorrect cluster access
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a419.g01f09bb+git.1380199495.01f09bb:
  + Force textmode consoles on baremetal
  + fix typo & grammer in comment 363-364
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a415.g97da685+git.1380189973.97da685:
  + Moved registration of lifcycle events handler in init_host()
  + Add linked clone related unit tests for VMware Hyper
  + Rebuilding stopped instance should not set terminated_at
  + Correct deleted_at value in notification messages
  + send the good binding to neutron after live-migration
  + v3 API samples for servers
  + Remove unused _instance_update() method in compute api
  + Log object lazy-loads
  + Fixes assertion bug in test_cells_weights.py
* Wed Sep 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a397.g09bafda+git.1380068132.09bafda:
  + xenapi: fix pep8 violations in nova plugins
  + Object cleanups
  + xenapi: Cleanup pluginlib_nova
  + Don't lose exception info
  + Fixes misuse of assertTrue in virt test scripts
  + Only update PCI stats if they are reported from the host
  + Ensure get_all_flavors returns deleted items
  + Don't use ModelBase.save() inside of transaction
  + Adds V3 API samples for remote consoles, deferred delete
  + Allow for nested object fields that cannot be None
  + Ensure anti affinity scheduling works
  + Fixes unexpected exception message in PciConfigInvalidWhitelist
  + VMware: Fix ensure_vlan_bridge to work properly with existing DVS
  + Imported Translations from Transifex
  + Don't allow pci_devices/security_groups to be None
  + Instance object incorrectly handles None info_cache
  + Fix Instance object assumptions about joins
  + Adds v3 API samples for hosts extension
  + Fixes file mode bits of compute/manager.py
  + Bring up interface when enslaving to a bridge
  + Fix several flake8 issues in the plugins/xenserver code
  + Fix SecurityGroupsOutputTest v3 security group tests
  + VMware: fix bug with booting from volume
  + Added 'page_size' param to image list
  + Fix V3 API server metadata XML serialization
  + Adds v3 API samples for ips and server_metadata extensions
  + VMwareVCDriver Fix sparse disk copy error on spawn
  + Convert TestCases to NoDBTestCase
  + Convert TestCases to NoDBTestCase
  + Convert TestCases to NoDBTestCase
  + disable direct mounting of qcow2 images by default
  + Add v3 API samples for rescue
  + libvirt: add test case for _hard_reboot
  + Adds v3 API samples for limits and simple tenant usage
  + Enable test_create_multiple_servers test for V3 API
  + disassociate_address response should match ec2
  + Add debugging to ComputeCapabilitiesFilter
  + Remove exceptions.Duplicate
* Mon Sep 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a321.g345d067+git.1379980546.345d067:
  + Remove two unused config options in baremetal
  + Fixes race cond between delete and confirm resize
  + Improve "keypair data is invalid" error message
  + Revert "Importing correlation_id middleware from oslo-incubator"
  + Code change for nova support glance ipv6 address
  + Adds V3 API samples for evacuate,ext-az,ext-serv-attrs
  + Fix network info injection in pure IPv6 environment
  + [VMware] Fix problem transferring files with ipv6 host
  + Syncs install_venv_common.py from oslo-incubator
  + Fixes test scripts with wrong bitmode
  + VMware: bug fix for instance deletion with attached volume
  + Fix create's response is different with requested for sec-grps V3
  + VMware: ensure that resource exists prior to accessing
  + Fixes host stats for VMWareVCDriver
  + Fix migration 201 tests to actually test changes
  + XenAPI raise InstanceNotFound in _get_vm_opaque_ref
  + Fixes unexpected exception message in ProjectUserQuotaNotFound
  + Adds API samples and unitests for os-server-usage V3 extension
  + Port server actions unittests to V3 API Part 1
  + Remove cached console auth token after migration
  + Remove unused exceptions
  + Clean up check for migration 213
  + Adds V3 API samples for cells and multinic
  + Add V3 API samples for ext-status,hypervisor,admin-actions
  + Add Neutron port check for the creation of multiple instances
  + Fixes modules with wrong file mode bits in virt package
  + Fixes modules with wrong file mode bits
  + Fix logging of failed baremetal commands.
  + Fix V3 API server extension point exception propagation
  + Don't fail if volume has no image metadata
  + Libvirt: volume driver set correct device type
  + xenapi: fix where root_gb=0 causes problems
  + Add filter for soft-deleted instances to periodic cleanup task
* Mon Sep 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a255.g97c49e1+git.1379894975.97c49e1:
  + VMware: datastore regex not honoured
  + Add v3 API samples for os-extended-volumes
  + Add V3 API samples for quota-sets/class-sets,inst-usage-audit-log
  + Add V3 API samples for flavor-manage,flavor-extra-specs
  + VMware: handle exceptions from RetrievePropertiesEx correctly
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a245.g3db4372+git.1379721554.3db4372:
  + pci passthrough bug fix:hasattr dones not work for dict
  + xenapi: ensure pool based migrate is live
  + xenapi: add tests for finish_migration and spawn
  + xenapi: stop injecting the hostname during resize
  + xenapi: regroup spawn steps for better progress
  + xenapi: ensure finish_migration cleans on errors
  + Fix for os-availability-zone/detail returning 500
  + Fix snapshot failure with VMwareVCDriver
  + Actually fix info_cache healing lazy load
  + libvirt: ignore false exception due to slow NFS on resize-revert
  + xenapi: Make rescue safer
  + Fix problem with starting Windows 7 instances using VMware Driver
  + Catch more accuracy exception for _lookup_by_name
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a219.g69bae42+git.1379636507.69bae42:
  + Edits for nova.conf.sample
  + Remove print statement from test_quotas that fails H233 check
  + Prune node stats at compute node delete time
  + Retry on deadlock in instance_metadata_delete
  + Send notification for any updates to instance objects
  + Wrong arguments when calling safe_utils.getcallargs()
  + Enable fake driver can live migration
  + MultiprocessWSGITest wait for workers to die bug
  + Typo: certicates=>certificates in nova.conf
  + Convert TestCases to NoDBTestCase
  + xenapi: move kernel/ramdisk methods to vm_utils
  + xenapi: tidy ups to some spawn related methods
  + Remove _assert_compute_node_has_enough_memory from filter_scheduler.py
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a194.gded3bd1+git.1379550189.ded3bd1:
  + Make Instance.Name() not lazy-load things
  + Better help for generate config
  + Add alias as prefix to request params for config_drive v3
  + Fix non-unicode string values on objects
  + Remove extra 'console' key for index in extensions consoles v3
  + Add test cases for resume_state_on_host_boot
  + Increase volume created checking retries to 60
  + Fix use of bare list/dict types in instance_group object
  + Add new-world Quota object
  + Fix quota direct DB access in compute
  + Add instance_flavor_id to the notification message
  + Add missing get_available_nodes() refresh arg
  + Fixes misuse of assertTrue in test scripts
  + Should finish allocating network before VM reaches ACTIVE
  + xenapi: Fix rescue
* Tue Sep 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a164.gfb8b08d+git.1379461474.fb8b08d:
  + Remove duplicate test from V3 version of test_hosts
  + Make v3 API  versions extensions core
  + update .mailmap
  + Only return requested network ID's
  + xenapi: Fix download_handler fallback
  + Remove duplication in disk checks
  + Make virt drivers use a consistent hostname
  + Use test.TestingException where possible
  + Make Instance.save() log missing save handlers
  + Fix changes_since for V3 API
  + delete a non existent flavor extra spec returns 204
  + VMware: nova-compute crashes if VC not available
  + Add V3 API samples for instance-actions,extenions
  + Fix migration 211 to downgrade with MySQL
  + Fix the order of query output for postgres
  + Fix console api pass tuple as topic to console rpc api
  + Change the duplicate class name TestDictMatches in test_matches.py
  + Remove unused and duplicate code
  + Add V3 API samples for flavors,flavor-rxtx,flavor-access
  + Fix hyper-v vhd real size bigger than flavor issue
* Tue Sep 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a124.g8e6dcc2+git.1379376222.8e6dcc2:
  + Don't generate notifications when reaping running_deleted instances
  + xenapi: Add per-instance memory overhead values
  + Move required keymgr classes out of nova/tests
  + Drop unused logger from keymgr/__init__.py
  + Remove unused method in scheduler driver
  + Wire in ConfKeyManager._generate_hex_key!
  + Translate more REST API error messages
  + Don't use sudo to discover ipv4 address.
  + Add missing indexes back in from 152
  + Fix rename q_exc to n_exc (from quantum to neutron)
* Sat Sep 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a104.g6a02770+git.1379117008.6a02770:
  + Update requirements not to boto 2.13.0
  + Get image properties instead of the whole image
  + VMware: fix driver support for hypervisor uptime
  + pci passthrough fails while trying to decode extra_info
  + Need to allow quota values to be set to zero
  + Ignore H803 from Hacking.
  + Update mailmap for jhesketh
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a91.g2f6022f+git.1379030945.2f6022f:
  + Fix live-migrate when source image deleted
  + Fix v3 swap volume with wrong signature
  + Add expected_errors for extension aggregates v3
  + Fixes misuse of assertTrue in compute test scripts
  + Remove unused and wrong code in test_compute.py
  + Fix regression issues with cells target filter
  + Fixes misuse of assertTrue in Cells test scripts
  + Add REUSE_EXT in _swap_volume call to blockRebase
  + VMware image clone strategy settings and overrides
  + Add missing notifications for rescue/unrescue
* Thu Sep 12 2013 dmueller@suse.com
- Update to version 2013.2.a71.g4e842e3+git.1378966799.4e842e3:
  + Remove out of date list of jenkins jobs
  + Don't return query from db API
  + Reduce DB load caused by heal instance info cache
  + Fix compute_node_get_all() for Nova Baremetal
  + Makes v3 API keypairs extension core
  + Remove cases of 'except Exception' in tests.image
  + MultiprocessWSGITest wait for workers to die bug
  + Make v3 API console-output extension core
  + Clean up duplicated change-building code in objects
  + Add key manager implementation with static key
  + Add encryption support for volumes to libvirt
  + Clean up object comparison routines in tests
  + Remove docstrings in tests
  + Fix asymmetric view of object fields
* Wed Sep 11 2013 dmueller@suse.com
- remove remove-babel-runtime-dep.diff
- add unlock-six.diff
- fix requires
* Tue Sep 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a49.ge784491+git.1378856526.e784491:
  + Fix compute_node_get_all() for Nova Baremetal
  + Makes v3 API keypairs extension core
  + Update fedora dev env instructions
  + Removed duplicated class in exception.py
* Mon Sep  9 2013 bwiedemann@suse.com
- Refresh nova-conf-defaults.patch
- Update to version 2013.2.a41.gec73243+git.1378771181.ec73243:
  + Don't stacktrace on ImageNotFound in image_snapshot
  + Limit instance fault messages to 255 characters
  + Revert baremetal v3 API extension
  + Sync filetuils from oslo-incubator
  + Fix inconsistent usages for network resources
  + Fix failure to emit notification on Instance.save()
  + Remove unused _decompress_image_file from powervm operator class
  + Synchronize the key manager interface with Cinder
  + Fix PCIDevice ignoring missing DB attributes
  + Fix a typo in test_migrations for migration 209
  + enhance description of share_dhcp_address option
  + Fix the bootfile_name method call in baremetal
  + maint: remove redundant disk_cachemode validation entry
* Sat Sep  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a16.gb037993+git.1378540077.b037993:
  + Add methods to get image metadata from instance
  + Avoid errors on some actions when image not usable
  + add conf for number of conductor workers
  + Revert "Call safe_encode() instead of str()"
* Fri Sep  6 2013 speilicke@suse.com
- Update to version 2013.2.a3442.g42efb50+git.1378473196.42efb50:
  + Fix AggregateDBApiTestCase on PostreSQL and MySQL
  + Adds Hyper-V dynamic memory support
  + Adds Hyper-V VHDX support
  + Adds ephemeral storage support for Hyper-V
  + vm_state and task_state not updated during instance delete
  + update neutronclient to 2.3.0 minimum
  + Use utils.execute instead of subprocess
  + VlanManager creates superfluous quota reservations
  + Fix to disallow server name with all blank spaces (v3 API)
  + Interpret BDM None size field as 0 on compute side
  + Remove _report_driver_status from compute/manager.py
  + VMware: Nova boot from cinder volume
  + Generalize the _make_list() function for objects
  + Add missing Aggregate object tests
  + Safe db.api.compute_node_get_all() performance improvement
  + Ensure old style images can be resized
  + Change finish_resize paths to use objects
  + Change finish_revert_resize paths to use objects
  + Add nova.utils.get_root_helper()
  + Add columns_to_join to instance_update_and_get_original
  + PCI passthrough Libvirt vm config
  + Fix ArchiveTestCase on PostgreSQL
  + Port to oslo.messaging.Notifier API
  + Fix the multi-instance quota message
  + XenAPI: Allow 10GB overhead on VHD file check size
  + Deprecate conductor migration_get()
  + Remove indirect dependency from requirements.txt
  + Fix typo and indent error in isolated_hosts_filter.py
  + Allow block devices without device_name
  + Refresh network info cache for secgroups
  + xenapi: through-dev raw-tgz image upload to glance
  + xenapi: refactor - extract image_utils
  + xenapi: support raw tgz image download
  + VMware: Multiple cluster support using single compute service
  + Adding VIF Driver to support Mellanox Plugin
  + Enable libvirt driver to use the new BDM format
  + Handle port over-quota when allocating network for instance
  + Port "Make flavors is_public option .." to v3 tree
  + xenapi: Add efficient impl of instance_exists()
  + Create mixin class for common DB fields
  + fix conversion type missing
  + Updated from global requirements
- Refreshed nova-conf-defaults.patch, remove-babel-runtime-dep.diff
* Thu Sep  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a3358.g17933ce+git.1378339864.17933ce:
  + Add os-assisted-volume-snapshots extension
  + Guest-assisted-snaps libvirt implementation
  + Remove a couple of unused stubs
  + Improve EC2 API error responses
  + Have tox install via setup.py develop
  + Powervm driver now logs ssh stderr to warning
  + VMware: clean up get_network_with_the_name
  + Port all rpcapi modules to oslo.messaging interface
  + Adds metrics collection support in Hyper-V
  + Inherit base image properties on instance creation
  + Port flavormanage extension to v3 API Part 2
  + Fix virtual power driver fails silently
  + Libvirt: call capabilites before getVersion()
  + Add support for API message localization
  + Make compute_api use Aggregate objects
  + Fix a gross duplication of context code in objects tests
  + Nova support for vmware cinder driver
  + Remove versioning from IOVisor APIs PATH
  + Port Cheetah templates to Jinja2
  + Change resize_instance paths to use objects
* Tue Sep  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a3318.g79ef562+git.1378251610.79ef562:
  + Improves Hyper-V vmutils module for subclassing
  + Adds 'instance_type' param to build_request_spec
  + Check ephemeral and swap size in the API
  + Add os-block-device-mapping to v3 API
  + Scheduler rpcapi 2.9 is not backwards compatible
  + Add scheduler support for PCI passthrough
  + Adds support for Hyper-V WMI V2 namespace
  + Make compute_api use Service and ComputeNode objects
  + compute rpcapi 2.29 is not backwards compatible
  + xenapi: add support for auto_disk_config=disabled
  + On snapshot errors delete the image
  + Introduce AuthFailure EC2 error code
  + Introduce IncorrectState EC2 error code
  + Introduce SecurityGroupLimitExceeded EC2 error code
  + Introduce UnsupportedOperation EC2 error code
  + Introduce InternalError EC2 error code
  + Remove EC2 postfix from InvalidInstanceIDMalformedEC2
  + Add dict and list utility functions for object typing
  + Add Aggregate object model
  + VMware: remove conditional suds validation
* Mon Sep  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a3279.g8b5f0c9+git.1378165045.8b5f0c9:
  + Adds API version discovery support for V3
  + Delete expired instance console auth tokens
  + Fix unicode key of azcache can't be stored to memcache
  + Add an exception when doesn't have permissions to operate vm on hyper-v
  + Don't inject files while resizing instance
  + Clean destroy for project quota
  + Fix FK violation in ConsoleTestCase
  + Port flavormanage extension to v3 API part 1
  + Fix VMware fakes
  + Added new hypervisor to support Docker containers
  + handle auto assigned flag on allocate floating ip
  + Remove unused fake run_instance() method
  + Add flag to make IsolatedHostsFilter less restrictive
  + DRY up use of @wrap_exception() decorator
  + Adds V3 API samples for migrations
* Mon Sep  2 2013 dmueller@suse.com
- also install v3 api_samples
* Mon Sep  2 2013 dmueller@suse.com
- Update to version 2013.2.a3249.g7c9e6a8+git.1378109053.7c9e6a8:
  + Adds V3 API samples for agents, aggregates and certificates
  + VMware: Config Drive Support
  + Fix warning log message typo in resource_tracker.instance_claim
  + Fix wrong method call in baremetal
  + Fix one port can be attached to more devices
  + xenapi: skip metadata updates when VM not found
  + powervm: actually remove files after migration
  + Fixes missing host in Hyper-V get_volume_connector
  + Call safe_encode() instead of str()
  + compute rpcapi 2.37 is not backwards compatible
  + Use ExceptionHelper to bypass @client_exceptions
  + Add block_device_mapping_get_all_by_instance to virtapi
  + Introduce InvalidPermission.Duplicate EC2 error code
  + Sync rpc from oslo-incubator
  + Remove dis/associate actions from security_groups v3
  + Improve db_sqlalchemy_api test coverage
  + Tenant id filter test is not correct
  + Disable retry filter with force_hosts or force_nodes
  + VMware: use VM uuid for volume attach and detach
  + xenapi: Improve test_xenapi unit testing performance
  + Fix network creation in Vlan mode
  + baremetal: Log IPMI power on/off timeouts
  + Disconnect from iSCSI volume sessions after live migration
  + emit warning while running flake8 without virtual env
  + Add alias as prefix to request params for user_data v3
  + Correct default ratelimits for v3
  + Fix V3 API quota_set tests using V3 url and request
* Sat Aug 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a3195.g04eee47+git.1377908214.04eee47:
  + Fix usage of classmethod in various places
  + xenapi: agent not inject ssh-key if cloud-init
  + XenAPI: Generic Fake.get_all_records_where implementation
  + XenAPI: SR location should default to location stored in PBD
  + Fix and gate on H302 (import only modules)
  + XenAPI: make_partition fixes for Dom0
  + XenAPI: More operations with LVM-based SRs
  + Make compute_capabilities_filter use information from DB not RPC
  + Make image_props_filter use information from DB not RPC
  + Disable compute fanout to scheduler
  + Unimplemented suspend/resume should not change vm state
  + Make resource_tracker record host_ip
  + Adds Instance UUID to rsync debug logging
  + PCI devices resource tracker
  + Add PCI device tracker to compute resource tracker
* Fri Aug 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a3165.gdd839df+git.1377874636.dd839df:
  + powervm: Use FixedIntervalLoopingCall for polling LPAR status
  + powervm: revert driver to pass for plug_vifs
  + powervm: make start_lpar timeout
* Thu Aug 29 2013 bwiedemann@suse.com
- drop obsolete websockify-05.diff
- Update to version 2013.2.a3159.gced24c9+git.1377819324.ced24c9:
  + Adds missing V3 API scheduler hints testcase
  + Pass the destination file name to download modules
  + Fix migrations index
  + Enable no_parent and file_only security
  + libvirt: allow passing 'os_type' property to glance
  + Libvirt: fix KeyError in set_vif_bandwidth_config
  + Remove deprecated legacy network info model in Hypervisor drivers
  + Removes V3 API images and image_metadata extensions
  + EC2-API: Fix ambiguous ipAddress/dnsName issue
  + VMware: provide a coherent message to user when viewing console log
  + Stylistic improvement of compute.api.API.update()
  + Move live-migration control flow from scheduler to conductor
  + Make nbd reservation thread-safe
  + Pci Device DB support
  + Add PCI device object support
  + Fix v3 extensions inherit from wrong controller
  + Link Service.compute_node with ComputeNode object
  + Imported Translations from Transifex
  + use 'exc_info=True' instead of import traceback
  + Update availability_zone on time if it was changed
  + VMware: remove redundant default=None for config options
  + Remove unused nova.common module
  + Make xenapi capabilities['enabled'] use service enabled
  + Add PCI stats
  + PCI alias support
  + Add env to make_subprocess
  + Fix Instance object issues
  + fix volume swap exception cases
  + Add DocStrings for function allocate_for_instance
  + Object support for instance groups
  + Fix untranslated log messages in libvirt driver
  + Raises masked AssertionError in _test_network_api
  + Port multiple_create extension to V3 API
  + Improve parameter related EC2 error codes
  + Don't need to init testr in run_tests.sh
  + Added qemu guest agent support for qemu/kvm
  + Fix race when running initialize_gateway_device()
  + Fix typo in baremetal docs
  + Store CONF.baremetal.instance_type_extra_specs in DB
  + Make compute_api migrate/resize paths use instance objects
  + Make compute_api confirm/revert resize use objects
  + Mock out action event calls in build instance test
  + Stub out instance_update() in build instance tests
  + Raise timeout in fake RPC if no consumers found
  + Filter network by project id
  + Convert _poll_unconfirmed_resizes to use Migration object
  + Fix aggregate creation/update with null or too long name
  + Fix error messages in v3 aggregate API
  + Added test case in test_migrations for migration 208
  + Correct the status code to 201 for create v3
  + Fix the message of coverage directory error
  + Implement front end rate-limiting for Cinder volume
  + Adds Flavor ID validations
  + Use implicit nullable=True in sqlalchemy model
  + Pass objects for revert and confirm resizes
  + Make compute_api use objects for lock/unlock
  + Convert reset_network to use instance object
  + Make inject_network_info use objects
  + Make backup and snapshot use objects
  + Deprecate conductor migration_create()
  + Change prep_resize paths to use objects
  + Add volume snapshot APIs to driver interface
  + Add db.block_device_mapping_get_by_id
  + Introduce Invalid* EC2 error codes
  + Fix HTTP response for PortInUse during boot (v3 API)
  + Avoid swallowing exceptions in network manager
  + Removes fixed ips extension from V3 API
  + Add RBD supporting to libvirt for creating local volume
  + Add mock to test-requirements
  + Adds support for security_groups for V3 API server create
  + Sets policy settings so V3 API extensions are discoverable
  + fix bad usage of exc_info=True
  + Assisted snapshots compute API plumbing
  + Add volume snapshot delete API test case
  + Add context information to download plugins
  + Remove capabilities.enabled from test_host_filters
  + Revert task state when terminate_instance fails
  + Add PCI device filters support
  + PCI device auto discover
* Mon Aug 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a3007.gb7c16d6+git.1377561553.b7c16d6:
  + Add expected_errors for migrations v3
  + Add resource tracking to build_and_run_instance
  + xenapi: Added iPXE ISO boot support
  + Add KeyPair object
  + Make compute_api use KeyPair objects
  + Add Service object implementation
  + [v3] Show detail of an quota in API os-quota-sets
  + Removed code duplication in test_get_server_*_by_id
  + Add ComputeNode object implementation
  + Allow Cinder to specify file format for NFS/GlusterFS
  + Fix various cells issues due to object changes
* Mon Aug 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2985.g08d6932+git.1377506885.08d6932:
  + VMware: fix rescue/unrescue instance
  + Upgrade to Hacking 0.7
  + Document CONF.default_flavor is for EC2 only
  + VMware: Added check for datastore state before selection
  + Add alias as prefix to request params for availability_zone v3
  + Fix ratelimiting
* Sat Aug 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2973.g9174401+git.1377387584.9174401:
  + Fixes sync issue for user level resources
  + Fix Fibre Channel attach for single WWN
* Fri Aug 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2969.g0f543df+git.1377300893.0f543df:
  + Implement hard reboot for powervm driver
  + Fix message for server name with whitespace
  + Update mailmap
  + Remove duplicate variable _host_state
  + Remove trivial cases of unused variables
  + Fix remove_fixed_ip test with CastAsCall
  + Stub out attach_volume() in test_api_samples
  + Enable CastAsCall for test_api_samples
  + Stub out more net API methods floating IP DNS test
  + xenapi: refactor - extract get_virtual_size
  + Handle InstanceInvalidState of soft_delete
  + Set VM back to its original state if cold migration failed
  + Refactor integrated tests to support V2 and V3 API testing Part 2
  + Port integrated tests for V3 API
  + Adds infra for v3 API sample creation
  + Fix instance metadata access in xenapi
  + Stub out net API sooner in servers API test
  + Stubout deallocate_for_instance() in compute tests
  + Stubout reserve_block_device_name() in test
  + Updates tools/config/README
  + Fix get_diagnostics() test for no compute consumer
  + Fix live migration test for no scheduler running
  + Add new compute method for building an instance
  + Remove unsafe XML parsing
  + Stub out setup_networks_on_host() in compute tests
  + Fix rpc calls on pre/post live migration tests
  + Fix confirm_resize() mock in compute tests
  + Stub out instance_fault_create() in compute tests
  + Stub out get_console_topic() in test_create_console
  + Fix network manager tests to use correct network host
  + Fix spice/vnc console api samples tests
  + Correct the authorizer for extended-volumes v3
  + nova.conf configurable gzip compression level
  + PCI utils
  + Fix instance_group_delete() DB API method
  + Fix ReservationTestCase on PostgreSQL
  + Allow swap_volume to be called by Cinder
  + Fix exception handling in V3 API coverage extension
  + Remove "N309 Python 3.x incompatible construct"
  + Revert "Make compute_capabilities_filter use ..."
  + Stub out entry points in LookupTorrentURLTestCase
  + XenAPI: Support local connections
  + XenAPI: Return platform_version if no product_version
  + Downgrade MySQL to the same state it used to be
  + Remove the indexes on downgrade to work with MySQL
  + Fix migration downgrade 146 with mysql
* Thu Aug 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2877.ga19f59d+git.1377215228.a19f59d:
  + Port volumes swap to the new API-v3
  + Support EC2 API wildcards for DescribeTags filters
  + Fixes auto confirm invalid error
  + Fix EC2 API Fault wrapper
  + Remove redundant _create_instance method from test_compute
  + Fix scheduler prep_resize deprecated comments
  + libvirt: fix {attach,detach}_interface()
  + Remove legacy network model in tests and compute manager
  + quantum pxeboot-port support for baremetal
  + Remove use of fake_rabbit in Nova
  + Remove unused fake run_instance() method
  + Remove unused nova.tests.image.fake code
  + Add jsonschema to Nova requirements.txt
  + Add task_state filter for nova list
  + Fix prep_resize() stale system_metadata issue
  + Put fault message in the correct field
  + Fix fake image_service import in v3 test_disk_config
  + Remove unused variables in test_compute_cells
  + Remove instance exists check from rebuild_instance
  + Don't initialize neutronv2 state at module import
  + Pop extra keys from context in from_dict()
  + Add unique constraint to AggregateMetadata
  + Use the common function is_neutron in servers.py
  + xenapi: test functions for _stream_disk
  + Clean up some unused wrap_exception() stuff
  + Allow more than one ephemeral device in the DB
  + Use new BDM syntax when determining boot metadata
  + Fix logic in add_host_to_aggregate()
  + correct the name style issue of ExtendedServerAttributes in v3 api
  + Use ExceptionHelper to bypass @client_exceptions
  + Disable periodic tasks during integration tests
  + Enable consoleauth service during ec2 tests
  + Add CastAsCall fixture
  + Fix api samples image service stub
  + Fix IVS vif to correctly delete interfaces on unplug
  + Log exception details setting vm_state to error
  + Add add_aggregate_to_host() to FakeDriver
  + xenapi: refactor - extract get_stream_funct_for
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2801.g0ee03b0+git.1377129292.0ee03b0:
  + Support networks without gateway
  + VMware: Ensure Neutron networking works with VMware drivers
  + Enforce flavor access during instance boot
  + Adding support for iSER transport protocol
  + Search filters for get_all_system_metadata should use lists
  + Fix migration 210 tests for PostgreSQL
  + Make InvalidInstanceIDMalformed an EC2 exception
  + Refactor how BDMs are handled when booting
  + Removed the duplicated _host_state = None in libvirt driver
  + Clear out service disabled reason on enable for V3 API
  + Virt driver flag for different BDM formats
  + Boot from image destination - volume
* Tue Aug 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2777.gfbc2fbe+git.1377042408.fbc2fbe:
  + Personality files can be injected during server rebuild
  + Add Migration object
  + Don't pass RPC connection to pre_start_hook
  + Set the image_meta for the instance booted from a volume
  + Offer a paginated version of flavor_get_all
  + Port disk_config API to v3 Part 2
  + Demote personalities from core of API v3 as extensions os-personality
  + fix libguestfs mount order when inspecting
  + Make API part of instance boot use new BDM format
  + Change RPC to use new BDM format for instance boot
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2757.g6875dee+git.1376956371.6875dee:
  + Add passing a logging level to processutils.execute
  + Handle NeutronClientException in secgroup create
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2753.gd0d0c52+git.1376905582.d0d0c52:
  + Remove deprecated CONF.fixed_range
  + Set launch_index to right value
  + Fix cells manager RPC version
  + Sync gettextutils from oslo-incubator
  + Enforce compute:update policy in API
  + Unit-ify the compute API resize tests
  + Convert admin_actions ext tests to unit tests
  + Add scheduler utils unit tests
  + Fixup some non-unity-ness to conductor tests
  + Improve performance of driver's get_available_nodes
  + Add migration with missing fkeys
  + Refactor integrated tests to support V2 and V3 API testing
  + Fix project_user_quotas_user_id_deleted_idx index
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2732.gfa575b5+git.1376611933.fa575b5:
  + libvirt: sync get_available_resources and get_host_stats
  + Fix bad check for openstack versions (vendor_data/config drive)
  + Add supported_instances to get_available_resource to all virt drivers
  + db: Add host_ip and supported_instances to compute_nodes
  + Make affinity_filters use host_ip from DB not RPC
  + Make compute_capabilities_filter use information from DB not RPC
  + Fix typo in exception message
  + Remove old legacy network info model in libvirt driver
  + Clean up unimplemented methods in the powervm driver
* Thu Aug 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2714.gf953e20+git.1376525132.f953e20:
  + Switch to Oslo-Incubator's EnvFilter rootwrap
  + remove _action_change_password the attribute in V3 server API
* Wed Aug 14 2013 speilicke@suse.com
- Update to version 2013.2.a2711.gdfde37b+git.1376465112.dfde37b:
  + Fix H501: Do not use locals() for string formatting
  + Cleanup exception handling on evacuate
  + Port "Accept is_public=None .." to v3 tree
  + Remove clear_rabbit_queues script
  + Removed code for modular exponentiation, pow() already does this
  + Moves compute.rpcapi.prep_resize call to conductor
- No need for -O1, we don't ship *.pyo files
- No need for --skip-build, this is implicit
- Refreshed nova-conf-defaults.patch: I was close to dropping it but
  python-iniparse doesn't yet sort the [DEFAULT] section, so those
  conf-defaults are still present
* Tue Aug 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2699.g7b77052+git.1376398756.7b77052:
  + Fix get_available_resource docstrings
  + Add expected_errors for extension quota_classes v3
  + Fix migration downgrade 147 with mysql
  + Format CIDR strings as per storage
  + Fixes typo in __doc__ of /libvirt/blockinfo.py
  + Fix leaking of image BDMs
  + Moved tests for server.delete
  + Enforce authenticated connections to libvirt
  + Sync models with migrations
  + maint: remove redundant default=None for config options
  + Add option for QEMU Gluster libgfapi support
* Mon Aug 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2677.g0699531+git.1376351754.0699531:
  + Fix capitalization, it's OpenStack
  + Merge from oslo-incubator for notifier
  + Add test cases to validate neutron ports
  + Fix VMwareVCDriver to support multi-datastore
  + Fix to allow ipv6 in host_ip for ESX/vSphere driver
  + Change swap_volume volume_api calls to use ID
  + Merged flavorsextraspecs extension into core API
  + Merged flavor_disabled extension into V3 core api
  + User quota update should not exceed project quota
  + Fix spelling in image_props_filter
  + powervm: add test case for get_available_resource
  + Wrong unique key name in 200 migration
* Mon Aug 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2655.g8fb450f+git.1376299012.8fb450f:
  + Check host exists before evacuate
  + Fix typo with network manager service_name
  + xenapi: send identity headers from glance plugin
  + Adds factory methods to load Hyper-V utils classes
  + Port server_usage API to v3 part 1
  + Port server_usage API to v3 part 2
  + Support setting block size for block devices
  + Fix formatting on scheduler documentation
  + Removed scheduler doc costs section
  + Fix simultaneous timeout with smart iptables usage
  + Imported Translations from Transifex
  + MinDisk size based on the flavor's Disk size
  + Imported Translations from Transifex
  + Make compute_api use Instance.create()
  + Add Instance.destroy()
  + Make compute_api use Instance.destroy()
  + Add delete() operation to InstanceInfoCache
  + Add basic InstanceAction object
  + Make compute_api use InstanceAction object
  + Deprecate conductor's compute_stop() interface
  + Deprecate conductor's compute_reboot() interface
  + Add note why E712 is ignored
  + Remove unused variable
  + Add expected_errors for extension certificates v3
* Fri Aug  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2610.ga943f14+git.1376037425.a943f14:
  + Fix instance actions testing
  + xenapi: Adding BitTorrent download handler
  + Raise 404 when instance not found in admin_actions API
  + remove improper usage of 'assert'
  + Add expected_errors for extension Console v3
  + Make fake_instance handle security groups
  + Pull out instance object handling for use by create also
  + Fix Instance objects with empty security groups
  + Move tests test_update_* to separate class
  + Code dedup in test_update_*
  + Add Instance.create()
  + Remove unsafe XML parsing
  + Remove dead capabilities code
  + xenapi: no image upload retry on certain errors
  + Update BareMetal driver to current nova.network.model
  + xenapi: remove propagate xenapi_use_agent key
  + Fix typo in compute.rpcapi comments
  + Catch ldap ImportError
  + Fix instance_usage_audit_log v3 follow REST principles
  + Spelling correction in test_glance.py
  + Enhance object inheritance
  + Fix deferred delete use of objects
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2566.g3af7e1a+git.1375919608.3af7e1a:
  + Clean up db.sqla.api.instance_* methods
  + Clean up session in db.sqla.api.get_ec2 methods
  + Clean up session in db.sqla.api.network_* and sec_groups_* methods
  + Clean up session in db.sqla.api.migration_* methods
  + Finish DB session cleanup
  + Do not use context in db.sqla.api private methods
  + Make NovaObject.get() avoid lazy-load when defaulting
  + xenapi: remove dup code in make_step_decorator
  + Convert CamelCase attribute naming to camel_case for servers V3 API
  + Add expected_errors for extension baremetal v3
  + Add expected_errors for extensions simple_tenant_usage v3
  + xenapi: remove pv detection
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2542.g431de91+git.1375864654.431de91:
  + Allow user and admin lock of an instance
  + maint: remove unused exceptions
  + Convert camelCase attribute naming to camel_case
  + xenapi: retry when plugin killed by signal
  + Avoid extra glance v2 locations call!
  + Imported Translations from Transifex
  + Retry failed instance file deletes
* Tue Aug  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2529.g7df1c91+git.1375770041.7df1c91:
  + Convert pause/unpause to use objects
  + Fix change detection logic in conductor
  + Add ObjectActionFailed exception and make Instance use it
  + Add obj_attr_is_set() method to NovaObject
  + Add plug-in modules for direct downloads of glance locations
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2519.g71dbfd1+git.1375736436.71dbfd1:
  + Fix some Instance object class usage errors
  + Fix and Gate on H303 (no wildcard imports)
  + Sync config.generator from Oslo
  + Performs hard reboot if libvirt soft reboot raises libvirtError
  + powervm: pass on unimplemented aggregate operations
  + Add expected_errors for extension keypair and availablity_zone
  + Add expected_errors for extensions quota_sets and hypervisors
  + Add expected_errors for extension console_output v3
  + xenapi: Moving Glance fetch code into image/glance:download_vhd
  + xenapi: allow non rsa key injection
  + db: Remove deprecated assert_unicode attribute
  + Update mailmap
* Sat Aug  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2495.g2d86932+git.1375573899.2d86932:
  + Make delete/soft_delete use objects
  + Cleanup copy/paste in test_quota_sets
  + Refactor EC2 API error handling code
  + Code dedup in class QuotaReserveSqlAlchemyTestCase
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2487.g8dda68a+git.1375486983.8dda68a:
  + Refactor compute API's delete to properly do local soft_deletes
  + xenapi: Rename imageupload image
  + Fix multi availability zone issue part 1
* Fri Aug  2 2013 dmueller@suse.com
- rediff patches
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2481.ge685a72+git.1375462885.e685a72:
  + Remove generic exception catching for admin_actions API v3
  + Use cached nwinfo for secgroup rules
  + Add error checking around host service checking
  + Moves compute.rpcapi.prep_resize call to scheduler.manager
  + xenapi: Reduce code duplication in vmops
  + Remove unreachable code
  + Add support for Neutron https endpoint
  + Fixes for v3 API servers tests
  + Adds NoAuthMiddleware for V3
  + Add index to reservations.uuid column
  + vendor-data minor format / style cleanups
  + Port ips-extended to API-v3 ips core API Part 1
  + Port ips-extended to API-v3 ips core API Part 2
  + Demote admin-passwd from core of API v3 as extensions os-admin-password
  + Fix extension hosts follow API v3 rules
  + Add identity headers while calling glanceclient
  + Make EvacuateTest DRYer
* Thu Aug  1 2013 speilicke@suse.com
- Update to version 2013.2.a2447.g9ce78a9+git.1375365895.9ce78a9:
  + Fix 2 pep8 errors in tests
  + Change EC2 client tokens to use system_metadata
  + Enabled hacking check for Python3 compatible print (H233)
  + Fix HTTP response for PortNotFound during boot
  + Use valid IP addresses values in tests
  + XenAPI: Refactor Fake to create pools, SRs and VIFs automatically
  + Set VM back to its original state if cold migration failed
  + Update references with new Mailing List location
  + Use RetrievePropertiesEx instead of RetrieveProperties
  + Fix extension rescue follow API v3 rules
  + Fix flavor v3 follow API v3 rules
  + Raise exception if both port and fixed-ip are in requested networks.
  + Fix race between aggregate list and delete
  + Fix timing issue in SimpleTenantUsageSample test
  + Logging virtual size of the QCOW2
  + [xenapi] Unshadow an important test case class
  + Add expected_errors for extensions services and server_password v3
  + Add expected_errors for extension evacuate v3
  + Moves scheduler.rpcapi.prep_resize call on compute.api to conductor
  + Add expected_errors for extension instance_actions v3
  + Fix extension server_meta follow API v3 rules
  + Add expected_errors for extension cells V3
  + XenAPI: Change the default SR to be the pool default
  + Disable per-user rate limiting by default
  + Make ServerXMLSerializationTest DRYer
  + Merged flavorextradata extension (ephemeral disk size) into core API
  + Fix extensions agent follow API v3 rules
  + Add expected_errors for extension_info V3
  + Config drive attached as cdrom
  + Implements host uptime API call for cell setup.
  + Fix flavor_access extension follow API V3 rules
  + Fix v3 hypervisor extension servers action follow REST principles
  + Correct status code and response for quota_sets API v3
  + Add expected_errors for extension server_diagnostics V3
  + Add expected_errors for extension shelve v3
  + add vendor_data to the md service and config drive
  + Speed up test BareMetalPduTestCase.test_exec_pdutool
  + Remove sleep from service group db and mc tests
  + return 429 on API rate limiting occur
  + Code dedup in class InstanceTypeExtraSpecsTestCase
  + Revert "Add requests requirement capped <1.2.1."
  + Add notification for live migration call
  + Remove * import from xenserver plugins
  + Move tests test_verify_checksum_* to separate class
  + Code dedup in virt.libvirt.test_imagecache.test_verify_checksum_*
- Rebase remove-babel-runtime-dep.diff and websockify-05.diff
* Tue Jul 30 2013 bwiedemann@suse.de
- refresh nova-conf-defaults.patch - now with
  sql_connection=sqlite:///$state_path/baremetal_$sqlite_db
* Mon Jul 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2357.gfd7f885+git.1375141314.fd7f885:
  + Servers API for the new BDM format
  + Remove the monkey patching of _ into the builtins
  + xenapi: Fix console rotate script
  + Add basic BDM format validation in the API layer
  + Add latest oslo DB support
  + Don't pass empty image to filter on live migration
  + Bypass queries which cause a contradiction
  + Set lock_path in tests
  + Fix postgresql failures related to Data type to API-v3 fixed-ip
  + Sync lockutils from Oslo
  + Fixes Hyper-V issues on versions prior to 2012
  + Clarify instance_type vs flavor in nova-manage
  + Use project quota as default user quota
  + Enabled the hacking warning for Py3 compatible octal literals (H232)
  + Remove fping plugin from V3 API
* Sat Jul 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2327.g1b62c43+git.1374883562.1b62c43:
  + Add rpcapi tests for shelving calls
  + Fix policy failure on image_metadata calls
  + Add expected_errors for extension extended_volumes v3
  + Per-project-user-quotas for more granularity
  + port baremetal_nodes API into v3 part1
  + port BaremetalNodes API into v3 part2
  + Ensure that uuid is returned with mocked instance
* Fri Jul 26 2013 bwiedemann@suse.com
- refresh websockify-05.diff nova-conf-defaults.patch
* Thu Jul 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2313.g73397e7+git.1374796139.73397e7:
  + Add unique constraint to InstanceTypeExtraSpecs.
  + Allow exceptions to propagate through stevedore map
  + Code dedup in test_libvirt_volume
  + Code dedup in class ImageXMLSerializationTest
  + Fixes wrong action comment 'lock' to 'unlock'
  + Create vmware section
  + Port migrations extension to v3 API part 1
  + Port migrations extension to v3 API part 2
  + Sync some of Instance* models with migrations
  + Change force_dhcp_release default to True
  + Imported Translations from Transifex
  + Fixed tests for flavor swap extension after merging in core API
  + Deduplicate data in TestAddressesXMLSerialization
  + Fix mig 186 downgrade when using sqlalchemy >= 0.8
  + Fix up trivial license mismatches
  + Add validation of available_zone during instance create
  + Make ServersViewBuilderTest DRYer.
  + Code dedup in class ServersControllerCreateTest
  + Add support for volume swap
  + Sync latest rpc changes from oslo-incubator
  + Remove hostname param from XenApi after first boot
  + Fixing dnsdomain_get call in nova.network.manager
  + Sync models for AgentBuild, Aggregates, AggregateHost tables.
  + Fix the is_volume_backed_instance check
  + Start using hacking 0.6
  + Update oslo.config.generator
  + xenapi: ensure vcpu_weight configured correctly
  + Sync eventlet_backdoor from oslo-incubator
  + Fix iptables rules when metadata_host=127.0.0.1
  + xenapi: Pass string arguments to popen
  + Fix leaky network tests
  + Fix failing network manager unit tests
* Wed Jul 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2252.g08dd7f0+git.1374624120.08dd7f0:
  + Check instance on dest once during block migration
  + Sync sample config file generator with Oslo
  + Fix inconsistency between Nova-Net and Neutron
  + Missed message -> msg_fmt conversion
  + Add indexes to sqlite
  + Sync gettextutils from oslo
  + Cell Scheduler support for hypervisor versions
  + Remove project_id from alternate image link path
  + Remove instance_metadata_get_all* from db api
  + Fix DB access when refreshing the network cache.
  + Clarify flavorid vs instance_type_id in db
  + Sync 10 DB models and migrations.
  + Sync db.models.Security* and db.models.Volume*.
* Mon Jul 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2229.g9e2d4ac+git.1374536887.9e2d4ac:
  + Add ability to factor in per-instance overheads
  + ec2-api: Disable describing of instances using deleted tags as filter.
  + Correct the action name for admin_actions API v3
  + Add expected_errors for extension deferred_delete v3
  + Sync db.models.Instance* with migrations.
  + Make admin API state resets use Instance.save()
  + Make shelve pass old-world instance object to conductor
  + Make InfoCache.network_info be the network model
  + Use timeutils.utcnow() throughout the code
  + Convert network API to use InfoCache object
  + Unit-ify compute_api delete tests
  + Moved tests for server._action_rebuild
  + Code dedup in tests for server._action_rebuild
  + Move _validate_int_value controller func to utils
* Mon Jul 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2201.gbd4eb52+git.1374451335.bd4eb52:
  + Add missing tests for console_* methods.
* Sat Jul 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2199.g2706f81+git.1374332173.2706f81:
  + Raise exceptions when Spice/VNC are unavailable
  + Convert suspend/resume to use objects
  + Make Instance.save() handle cells DB updates
  + Make servers::update() use Instance.save() to do the work
  + Handle instance being deleted while in filter scheduler
  + Send updated aggregate to compute on add/rm host
  + Remove locals() from various places.
  + Ensure dates are dates, not strings
  + Handle instance objects in conductor compute_stop
* Fri Jul 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2181.g5ada7de+git.1374225558.5ada7de:
  + Fix duplicate osapi_hide_server_address_states config option
  + Port used limits extension to v3 API Part 1
  + Port used limits extension to v3 API Part 2
  + Create key manager interface
  + Remove unnecessary comments for instance rebuild tests.
  + xenapi: no glance upload retry on 401 error
  + Disable ssl layer compression for glance requests.
  + Check that the configuration file sample is up to date
  + Make compute_api.reboot() use objects
  + Sync v2/v3 console_output API extensions
  + port disk_config API into v3 part1
  + Remove redundant if statements in cells.state
  + Refresh network cache when reassigning a floating IP in Neutron
  + Fix IPAddress and CIDR type decorators
  + Fix HTTP response for PortInUse during boot
  + Fix parse_transport_url when url has query string
  + Code dedup in test_libvirt_vif
  + Unimplemented pause should not change vm state on PowerVM
  + Fix aggregate_get_by_host host filtering
  + Fix filtering aggregate metadata by key
* Thu Jul 18 2013 tpaszkowski@novell.com
- Fix for bug: https://bugs.launchpad.net/nova/+bug/1202199 (broken network
  for xen hvm over libvirt).
  Patch openstack-nova-force-xen-libvirt-netfront.patch backported from
  https://review.openstack.org/#/c/37477/.
* Thu Jul 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2142.g04c2458+git.1374106205.04c2458:
  + Assert backing_file should exist before attempting to create it
  + Fix extensions os-remote-consoles to follow API v3 rules
  + Force reopening eventlet's hub after fork
  + Add a VIF driver for IOVisor engine
  + Move resource usage sync functions to db backend
  + Fix blocking issue when powervm calculate checksum
  + Fix accessing to '/' of metadata server without any checks to work
  + Prompt error message when creating aggregate without aggregate name
  + Remove duplicate cells_rpcapi test.
  + Update instance.node on evacuate
  + Make Instance object properly update *metadata
  + Fix Instance object handling of implied fields
  + Fix shelve's use of system_metadata
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2117.g096b751+git.1374055394.096b751:
  + Makes _PATH_CELL_SEP a public global variable
  + Passing volume ID as id to InvalidBDMVolume exception
  + xenapi: enable attach volumes to non-running VM
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2111.g64867c4+git.1374052777.64867c4:
  + Remove locals() from virt directory
  + Imported Translations from Transifex
  + Port service API to v3 Part 2
  + Port admin-actions API into v3 part2
  + port AvailabilityZone API into v3 part1
  + Port AvailabilityZone API to v3 Part 2
  + port instance_actions API into v3 part1
  + Port instance_actions API to v3 Part 2
  + Port user_data API to v3 Part 2
  + Changes select_destinations to return dicts instead of objects
  + Add legacy flag to get_instance_bdms
  + remove python-glanceclient cap
  + Don't attach to multiple Quantum networks by default
  + Porting limits core api to API v3 Part 1
  + Complete deletion when compute manager start-up.
  + Remove notify_on_any_change option
  + Sync harmless changes from oslo-incubator
  + Remove references to deprecated DnsMasqFilter
  + Hypervisor uptime fails if service is disabled
  + Fix compatibility with older confirm_resize() calls
  + Move special cells logic for start/stop
  + Fix nic order not correct after reboot
  + Port attach and detach of volume-attachment into os-extended-volume v3
  + xenapi: Only coalesce VHDs if needed
  + Check system_metadata type in _populate_instance_for_create
  + Exceptions raised by quantum validate_networks result in 500 error
  + Allow filters to only run once per request if their data is static
  + Sync notifier change from oslo-incubator
  + Port limits core API to API-v3 Part 2
  + Porting server metadata core api to API v3 Part 1
  + Porting server metadata core API to API v3 Part 2
  + Porting os-aggregates extensions to API v3 Part 1
  + Porting os-aggregates extensions to API v3 Part 2
  + Port flavor_rxtx extension to v3 API Part 1
  + Port flavor_rxtx extension to v3 API Part 2
  + Fix status code for coverage API v3
  + Port AttachInterfaces API to v3 Part 2
  + Port deferredDelete API to v3 Part 2
  + Fix issue with pip installing oslo.config-1.2.0
  + Don't ignore 'capabilities' flavor extra_spec
  + Load cell data from a configuration file
  + Add missing tests for db.api.instance_* methods
  + Remove duplicated key_pair* tests from test_db_api.
  + Move dnsdomain_* tests in test_db_api to own test case.
  + xenapi:populating hypervisor version in host state
  + xenapi: Add disk config value to xenstore.
  + Fix EC2 DescribeTags filter
  + Fix malformed format string.
  + Add API-v3 merged core API into core API list
  + Code dedup in class ImagesControllerTest
  + Avoid shadowing Exception 'message' attribute
  + Avoid deleting user-provided Neutron ports if VM spawn fails
  + Code dedup in class TestServerActionRequestXMLDeserializer
  + xenapi: Stub out _add_torrent_url for Vhd tests
  + Shelve/unshelve an instance
  + Use db.flavor_ instead of db.instance_type_
  + Periodic task for offloading shelved instances
  + Fix power_state lookup in confirm_resize
  + Move bw_usage_* tests in test_db_api to own test case.
  + Move test_security_group_update to SecurityGroupTestCase.
  + Move *_ec2_* tests in test_db_api to own test case.
  + Add a new GroupAffinityFilter
  + Move test_stringified_ips to InstanceTestCase.
  + Move a migration test to MigrationTestCase.
  + Reassign MAC address for vm  when resize_revert
  + Fix duplicate fping_path config option
  + Validate volume_size in block_device_mapping
  + Support scoped keys in aggregate extra specs filter
  + Don't ignore 'capabilities' flavor extra_spec
  + Fix debug message for GroupAntiAffinityFilter
  + Fix aggregate update.
  + API for shelving
  + Replace get_instance_metadata call in api.ec2.cloud._format_instances
  + Sort output for unit tests in test_describe_tags before compare
  + Remove unused recreate-db options from run_test.sh
  + Unify duplicate code for powering on an instance
  + Allow ::/0 for IPv6 security group rules
  + Change get_all_instance_metadata to use _get_instances_by_filters
  + Support Client Token for EC2 RunInstances
* Mon Jul 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1957.ge3041fa+git.1373873058.e3041fa:
  + Change db.api.instance_type_ to db.api.flavor_
  + Port server password extension to v3 API Part 2
  + Port os-console-output extension to API v3 Part 2
  + update Quantum usage to Neutron
  + Port extended status extension to v3 API Part 2
  + Merge extension server-start-stop into servers core API v3
  + Port hide srvr addresses extension to v3 API Pt2
  + Document rate limiting is per process
  + Better start/stop handling for cells
  + Imported Translations from Transifex
  + Clear out service disabled reason on enable
  + Handle ImageNotAuthorized exception
* Mon Jul 15 2013 dmueller@suse.com
- remove 0001-update-Quantum-usage-to-Neutron.patch
* Sat Jul 13 2013 dmueller@suse.com
- fix config after quantum rename
- add remove-babel-runtime-dep.diff
- fix setting of lock_dir
- fix permissions of policy file
- fix compute driver setting default
- run db migrations on startup
* Sat Jul 13 2013 dmueller@suse.com
- add 0001-update-Quantum-usage-to-Neutron.patch
* Sat Jul 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1933.ga5a0f09+git.1373674095.a5a0f09:
  + Remove doc references to distribute.
  + Properly pin pbr and d2to1 in setup.py
  + Add -U to the command line for pip
  + Add unique constraints to AggregateHost.
  + port Host API into v3 part2
  + Port extended-availability-zone API into v3 part2
  + xenapi: support ephemeral disks bigger than 2TB
  + Cells: Make bandwidth_update_interval configurable
  + Fix formatting errors in documentation
  + Add support for live_snapshot in compute
  + Convert cells to use a transport URL
  + Imported Translations from Transifex
  + Fix object_compat decorator for non-kwargs
  + Make db/api strip timezones for datetimes
  + Fix default argument values on get_all_by_filters()
  + Make notifications properly string-convert instance datetimes
  + Port images metadata functionality to v3 API Part 2
  + Port hide srvr addresses extension to v3 API Pt1
* Fri Jul 12 2013 dmueller@suse.com
- add dependency on rsync and openssh to compute package
- add websockify-05.diff
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1898.gce503c5+git.1373588185.ce503c5:
  + Port consoles extension API into v3 part1
  + Port consoles extension API into v3 part2
  + hyperv: Fix vmops.get_info raises InstanceNotFound KeyError
  + test_xmlutil.py covers more code in xmlutil.py
  + Add missing matchmaker_ring
  + Sync latest rpc changes from oslo-incubator
  + Misc fixes for v3 evacuate API extension
  + port Deferred_delete API into v3 part1
  + Port quota classes extension to v3 API Part 2
  + Fix v3 hypervisor extension search action follow REST principles
  + Fix info_cache and bw_usage update race
  + Port images metadata functionality to v3 API Part 1
  + Port fping extension to v3 API Part 2
  + Add unique constraint to AgentBuild.
  + Port user_data API to v3 Part 1
  + Add missing help messages for nova-manage command
  + Add "ExtendedVolumes" API extension
  + Port multinic extension to v3 API Part 2
  + Fix misc issues with os-multinic v3 API extension
  + Adding action based authorization for keypairs.
  + Ports image_size extension to v3 API
  + Sync install_venv_common from oslo
  + PowerVM resize and migrate test cases
  + Port security groups extension to v3 API Part 1
  + Port security groups extension to v3 API Part 2
  + Add notifiers to both attach and detach volumes
  + Select disk driver for libvirt+Xen according to the Xen version
  + xenapi: glance plugin should close connections
  + Fix cells manager rpc api version
  + Add Instance.get_by_id() query method
  + Enable core API-v3 to be optional when unit testing
  + Make compute_api.get() use objects natively
  + Add unique constraint to ConsolePool.
  + Revert "Sync latest rpc changes from oslo-incubator"
  + Make sure periodic instance reclaims continues on error
  + Update v3 servers API with objects changes
  + Add _set_instance_obj_error_state() to compute manager
* Wed Jul 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1824.g161de55+git.1373415423.161de55:
  + libvirt fix resize/migrates with swap or ephemeral
  + port Service API into v3 part1
  + Xenapi shutdown should return True if vm is shutdown
  + Disassociate fixed IPs not known to dnsmasq
  + Ensure flake8 tests run on all api code
  + Port extended-server-attributes API into v3 part2
  + xenapi: Tidy up Popen calls to avoid command injection attacks
  + Port admin-actions API into v3 part1
  + List migrations through Admin API
  + Update openstack.common.config
  + Make sure periodic cleanup of instances continues on error
  + Sync models.Console* with migrations.
  + Export just the volume metadata for the database to be populated
  + Imported Translations from Transifex
* Tue Jul  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1797.g3987004+git.1373365637.3987004:
  + Port extended-availability-zone API into v3 part1
  + Preserve network order when using ConfigDrive
* Tue Jul  9 2013 bwiedemann@suse.com
- add BuildRequires:  python-oslo.sphinx
- Update to version 2013.2.a1793.gba70576+git.1373359125.ba70576:
  + Add unique constraints to Service.
  + Fix to integer cast of length in console output extension
  + Port os-console-output extension to API v3 Part 1
  + Port coverage API into v3 part2
  + Standardize use of nova.db
  + Add troubleshoot to baremetal PXE template.
  + Revert "fixes nova resize bug when force_config_drive is set."
  + Update pyparsing to 1.5.7
  + Remove conductor usage from consoleauth service
  + Port agent API to v3 Part 2
  + Fix and gate on E125
  + Moves populate retry logic to the scheduler utils
  + Changes ComputeTaskManager class to inherit base.Base
  + Add inst_type parameter
  + Imported Translations from Transifex
  + Baremetal ensures node is off before powering on
  + Port scheduler hints extension to v3 API Part 2
  + Enforce sqlite-specific flow in drop_unique_constraint
  + Don't deallocate network if destroy time out
  + Notification support for host aggregate related operation
  + port Instance_usage_audit_log  API into v3 part1
  + port Instance_usage_audit_log API into v3 part2
  + Use oslo.sphinx and remove local copy of doc theme
  + Avoid redefining host to none in get_instance_nw_info(...)
  + Imported Translations from Transifex
* Mon Jul  8 2013 vuntz@suse.com
- Stop shipping wsgi files and SSL certificates for apache setup,
  as nova can handle SSL directly now:
  + Drop openstack-nova-api.wsgi.
  + Remove apache2 BuildRequires, and apache2-utils and openssl
    Requires(post).
  + Do not generate certificates in %%post.
* Mon Jul  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1743.gab69350+git.1373242510.ab69350:
  + Add cinder cleanup to migrations.
  + Fixed columns list in indexes.
  + Add unique constraint to FixedIp.
* Sun Jul  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1737.g09ebe78+git.1373155854.09ebe78:
  + Pass instance host-id to Quantum using port bindings extension.
* Sat Jul  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1735.g923b24f+git.1373069398.923b24f:
  + Add unique constraints to Quota.
  + Change unique constraint in VirtualInterface.
  + xenapi: Stub out entry points for BitTorrent tests
  + Make flavors is_public option actually work
  + Make instance show and index use objects
  + Make EC2 API request objects instead of converting them.
* Fri Jul  5 2013 dmueller@suse.com
- quantum -> neutron
* Fri Jul  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1723.g6dc9cca+git.1372982985.6dc9cca:
  + Add tests for `db.console_pool_*()` functions.
  + Fix resize ordering for COW VHD
  + libvirt: Fix spurious backing file existence check.
* Thu Jul  4 2013 dmueller@suse.com
- use a fixed nova uid for being able to use shared storage
* Thu Jul  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1717.ga108871+git.1372926627.a108871:
  + Fix compute_api object handling code in cells messaging
  + Make api_samples reboot test use a plausible scenario
  + Add fill_faults() batch operation to InstanceList
  + Refactors select_destinations to return HostState objects
  + Store volume metadata as key/value pairs.
  + Add cells get_cell_type() method
  + Add object (de)serialization support to cells
  + Exeption message of 'live migration' is not appropriate
  + Sane rest API rate limit defaults
* Thu Jul  4 2013 vuntz@suse.com
- Do not use sysconfig to setup SSL for novncproxy, as nova.conf
  can now contain the relevant settings:
  + Remove sysconfig.openstack-nova-novncproxy.
  + Update openstack-nova-novncproxy.init accordingly.
- Synchronize openstack-nova-novncproxy.init with
  openstack-nova.init as the init script had some issues.
- Do not pass --web=/usr/share/novnc/ to nova-novncproxy: this is
  the default value already, and this can be configured in
  nova.conf if needed.
* Thu Jul  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1702.g446def5+git.1372897330.446def5:
  + Fix vol_usage_update() DB API tests.
  + Fix metadata for create in child cell
  + Fixes a typo on AggregateCoreFilter documentation
  + update xen/vmware virt drivers not to hit db directly
  + powervm: make get_host_uptime output consistent with other virt drivers
  + Fix grizzly compat issue in conducor rpc api
  + Clarify the compute API is_volume_backed_instance method
  + Sync rpc from oslo-incubator.
  + xenapi: Add configurable BitTorrent URL fetcher
  + Added functionality for nova hooks pass functions
  + Imported Translations from Transifex
  + Remove locals() from compute directory
  + Fix binding of SQL query params in DB utils.
  + Refactor compute_api reboot tests to be unit-y
  + Make instance_update() string-convert IP addresses
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1672.gaaa871c+git.1372842300.aaa871c:
  + port Host API into v3 part1
  + Imported Translations from Transifex
  + Port coverage API into v3 part1
  + Port fping extension to v3 API Part 1
  + Port hypervisor API into v3 part1
  + Port config drive API to v3 Part 1
  + Port config_drive API to v3 Part 2
  + Port scheduler hints extension to v3 API Part 1
  + port Simple_tenant_usage  API into v3 part1
  + Port Simple_tenant_usage API to v3 Part 2
  + Port extended status extension to v3 API Part 1
  + Port extended-server-attributes into v3 part1
  + Port hypervisor API into v3 part2
  + Port multinic extension to v3 API Part 1
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1644.gba58d77+git.1372810773.ba58d77:
  + Clean up and make HACKING.rst DRYer
  + xenapi: Remove vestigial `compile_metrics` code
  + Break out compute API unit tests
  + Break out Compute Manager unit tests
  + Fixes for quota_sets v3 extension
  + Fix the filtered characters list from console-log
  + Make test_deferred_delete() be deterministic
  + Remove junk file when ftp transfer failure
  + Refactor ServerStatusTest class
  + Remove usage of locals() from powervm virt package
  + Add HACKING check for db session param
  + port Attach_interface API into v3 part1
  + Remove locals() from virt/vmwareapi package
  + Reduce nesting in instance_usage_audit
  + Port server password extension to v3 API Part 1
  + Add unique constraint for security groups
  + Make db.fakes stub out API not sqlalchemy
* Tue Jul  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1610.g3a1fcb6+git.1372723413.3a1fcb6:
  + Fix for failure of periodic instance cleanup
  + remove locals() from virt/hyperv package
  + Implement get_host_uptime for powervm driver
  + Update instance properties values in child cells to create instance.
  + Move tests db.api.instance_* to own class
  + New select_destinations scheduler call
  + Fix typo for instance_get_all_by_filters() function.
  + Sync db.models with migrations.
  + Add resume state on host boot function to vmware Hyper.
  + Imported Translations from Transifex
  + Handle UnexpectedTaskState and InstanceNotFound exceptions
  + Skip security group code when there is no network.
  + Session cleanup for db.security_group_* methods
* Mon Jul  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1585.gddc1468+git.1372662109.ddc1468:
  + Imported Translations from Transifex
  + Merged flavor_swap extension into core API
  + fix invalid logging
  + Port cells extension to v3 API Part 2
  + Port server_diagnostics extension to v3 API Part2
  + Port images functionality to v3 API Part 2
  + Fix types in test_ec2_ids_not_found_are_printable
  + Sync db.models and migrations.
* Sat Jun 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1569.g4961cab+git.1372464130.4961cab:
  + Fix resizes with attached file-based volumes
  + No support for double nested 64 bit guest using VCDriver
  + Better default for my_ip if 8.8.8.8 is unreachable
  + Ignore lifecycle events for non-existent instances
  + Moves scheduler.manager._set_vm_state_and_notify to scheduler.utils
  + Add AggregateCoreFilter
  + Add AggregateRamFilter
  + Port images functionality to v3 API Part 1
  + db.compute_node_update: ignore values['update_at']
  + Allow retrying network allocations separately
  + Port server_diagnostics extension to v3 API Part1
  + Port cells extension to v3 API Part 1
  + VNC console does not work with VCDriver
  + Port flavor_disabled extension to v3 API Part 1
  + Port flavor_disabled extension to v3 API Part 2
  + Fix sqlalchemy utils.
  + Report the az based on the value in the instance table.
* Fri Jun 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1535.g8dc7ff6+git.1372377621.8dc7ff6:
  + Stop creating folders in virt unit tests
  + Add obj_to_primitive() to recursively primitiveize objects
  + Add update() method to NovaObject for dict compatibility
  + Check the instance ID before creating it
  + Add tests for libvirt's reboot functionality
  + Port flavor_access extension to v3 API Part 1
  + xenapi: Improve cross-device linking error message.
  + xenapi: Make BitTorrent url more flexible
  + Sync to_primitive() IPAddress support from Oslo
  + Port flavor_access extension to v3 API Part 2
  + Log xml in libvirt _create_domain failures
  + Sync db.models.Quota* with migrations.
  + Organize limits units and per-units constants
  + Baremetal_deploy_helper error message formatting.
  + Fix metadata access in prep for instance objects
  + Remove trivial cases of unused variables (3)
  + Fix a couple typos in the nova.exception module
  + Remove broken config_drive image_href support.
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1500.g73eaa61+git.1372290890.73eaa61:
  + Refactor db.security_group_get() instance join behavior
  + Add basic InstanceFault model
  + Add Instance.fault
  + Make NovaObject support the 'in' operator
  + Fix instance object's use of a db query method parameter
  + Make info_cache handle when network_info is None
  + Change resource links when url has no project id
  + Port flavors core API to v3 tree
  + Prepare fake instance stubs for objects
  + Make fake_network tolerant of objects
  + Imported Translations from Transifex
  + Cells: Add support for global cinder
  + Retry quota_reserve on DBDeadlock
  + Cells: Pass object for start/stop
  + Port quota classes extension to v3 API Part 1
  + Adds support for the Indigo Virtual Switch (IVS)
  + Accept is_public=None when listing all flavors
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1466.g7696c3c+git.1372257083.7696c3c:
  + Refresh volume connections when starting instances
  + Add basic SecurityGroup model
  + Add Instance.security_groups
  + Make InstanceList filter non-column extra attributes
  + Adds v3 API extension discovery filtering
  + port agent API into v3 part1
  + Port quota API into v3 part2
* Wed Jun 26 2013 iartarisi@suse.com
- Changed permissions on config files which can contain passwords:
  nova.conf and api-paste.ini
* Tue Jun 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1453.g33a4943+git.1372204655.33a4943:
  + Revert XenApi virt driver should throw exception
  + Extract live-migration scheduler logic from the scheduler driver
  + Allow scheduler manager NoValidHost exception to pass over RPC
  + Imported Translations from Transifex
  + Clean up scheduler tests
  + Fix the ServerPasswordController class doc string
  + Fix trivial mismatch of license header
  + Port quota API into v3 part1
* Mon Jun 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1437.g771254b+git.1372118249.771254b:
  + Quantumapi returns an empty network list
  + Fix xenstore-rm race condition
  + Do not raise NEW exceptions
  + Port evacuate API to v3 Part 1
  + Port evacuate API to v3 Part 2
  + Cleanup overshadowing in test_evacuate.py
  + Port rescue API to v3 Part 1
  + Port rescue API to v3 Part 2
  + refactor security group api not to raise http exceptions
  + Modify _assertEqualListsOfObjects() function.
  + Perform additional check before live snapshotting
  + Add invalid number checking in flavor creation api
  + Adds expected_errors decorator for API v3
  + XenApi virt driver should throw exception on failure
  + Handle NoMoreFixedIps in _shutdown_instance.
  + Imported Translations from Transifex
  + Fix orphaned instance from get_by_uuid() and _from_db_object()
  + Fix serialization of iterable types
* Sat Jun 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1401.gcefb051+git.1371945373.cefb051:
  + Port missing bits from httplib2 to requests
  + Fix sys_meta access in prep for instance object
* Fri Jun 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1397.g1b46e58+git.1371858904.1b46e58:
  + Revert "Add oslo-config-1.2.0a2 and pbr>=0.5.16 to requirements."
  + Port certificates API to v3 Part 1
  + Remove the unused plugins framework
  + Make sure instance_type has extra_specs
  + Make _poll_unconfirmed_resizes() use objects
  + Fix importing InstanceInfoCache during register_all()
  + Setting static ip= for baremetal PXE boot.
  + Allow reboot or rebuild from vm_state=Error
  + Port certificates API to v3 Part 2
  + Cleanup certificate API extension
  + Remove locals() from nova/virt/libvirt package
  + Fix quota logging on exceptions
  + Fix KeyError exception when scheduling to child cell.
* Fri Jun 21 2013 dmueller@suse.com
- update requires
* Thu Jun 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1373.g6e0db0d+git.1371772481.6e0db0d:
  + Converts scheduler.utils.build_request_spec return to json primitive
  + Remove usage of locals() for formatting from nova.scheduler.*
  + Drop `bm_pxe_ips` table from baremetal database.
  + Imported Translations from Transifex
  + Add old display name to update notification
  + Sync oslo-incubator gettextutils
  + Add err_msg param to baremetal_deploy_helper.
  + Adding fixed_ip in create.end notification
  + Initial scheduler support for instance_groups
  + xenapi: revisit error handling around calls to agent
  + fixes nova resize bug when force_config_drive is set.
  + Remove straggling use of all-kwarg object methods
  + Use InstanceList for _heal_instance_info_cache()
  + Remove a layer of nesting in _poll_unconfirmed_resizes()
  + Revert "Initial scheduler support for instance_groups"
  + Remove db session hack from conductor's vol_usage_update()
* Wed Jun 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1341.g616d7d7+git.1371686049.616d7d7:
  + Add missing tests for certificate_* methods
  + Don't advertise mute cells capabilities upwards
  + Replace utils.to_bytes() with strutils.to_bytes()
  + Check libvirt version earlier
  + Drop unused _virtual_power_settings global.
  + Add missing tests for nova.db.api.instance_system_metadata_*
  + Added unit tests for vmware cluster driver
  + xenapi: script to rotate the guest logs
  + Fill context on objects in lists
  + Libvirt driver: normalize variable names (part1)
  + Retry the sfdisk command up to 3 times.
  + Add oslo-config-1.2.0a2 and pbr>=0.5.16 to requirements.
* Tue Jun 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1318.g65d609d+git.1371599465.65d609d:
  + Add missing tests for cell_* methods
  + Remove redundant architecture property update in powervm snapshot
  + xenapi: ensure agent check respects image flags
  + Add missing tests for nova.db.api.instance_metadata_*
  + Fix overzealous conductor test for vol_usage_update
  + Fix instance obj refresh()
  + Imported Translations from Transifex
  + Add unique constraints to Cell.
  + Remove bin lookup in conf sample generator
  + Make NovaObject support extra attributes in items()
  + Allow confirm_resize if instance is in 'deleting' status
  + Remove _is_precooked pre-cells Zones hacks
  + Add rpc client side version control.
  + Remove trivial cases of unused variables (1)
  + Add tests for nova.db.api.security_group_rule_* methods.
  + Session cleanup for db.security_group_rule_* methods
  + Raise max header size to accommodate large tokens.
  + Remove unused cert db method.
  + Remove unused arg from make_class_properties.getter method
  + Fix flavor extra_specs filter doesn't work for number
  + Revert "Delegate authentication to quantumclient"
  + Updates nova.conf.sample
  + Improved tests for instance_actions_*
  + Update to the latest stevedore
* Sun Jun 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1271.gd147af2+git.1371427007.d147af2:
  + Imported Translations from Transifex
  + Remove unused db api call.
* Sat Jun 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1267.g093c2aa+git.1371340668.093c2aa:
  + Fix quota checks while resizing up by admin
  + Removed session from reservation_create()
  + hardcode pbr and d2to1 versions
  + Don't snat all traffic when force_snat_range set
  + translates empty remote_ip_prefix to valid cidr for nova
  + Refactor conf sample generator script
  + Remove explicit distribute depend.
  + Fix VMwareVCdriver reporting incorrect stats
  + update_dns() method optimization.
  + Fix to disallow server name with all blank spaces
  + Refactors qemu image info parsing logic
  + Don't make nova-compute depend on iSCSI
  + Fix bad vm_state change in reboot_instance()
  + Quantum API _get_floating_ip_by_address mismatch with Nova-Net
  + Some libvirt driver lookups lacks proper exception handling
  + Replace functions in utils with oslo.fileutils
* Sat Jun 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1235.gd23ef2a+git.1371254420.d23ef2a:
  + Make sync_power_state routines use InstanceList
  + Fix the wrong reference by CONF
  + Fix _drop_unique_constraint_in_sqlite() function.
  + Register libvirt driver with closed connection callback
  + Refactor libvirt driver exception handling
  + Enhance the validation of the quotas update
  + Refactored tests for instance_actions_*
  + Fix VMware Hyper can't honor hw_vif_model image property.
  + Naming instance directory by uuid in VMware Hyper.
  + Add missing tests for provider_fw_rule_* methods
* Thu Jun 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1215.g0882a15+git.1371167786.0882a15:
  + Fix race conditions with xenstore
  + Remove unused method in VMware driver.
  + Fix msg version type sent to cells RPC API
  + Enhance unit test code coverage for availability zone
  + Put VM UUID to live migration error notification
  + Refactored tests for instance_fault_*
  + Remove usage of locals() from manager.py
  + Skip ipv6 tests on system without ipv6 support
  + Make xenapi/host use instance objects for _uuid_find
  + Make xenapi use Instance object for host_maintenance_mode()
  + Remove unused methods from VirtAPI
  + Add notes about how doc generation works.
  + Fix and enable H403 tests
  + xenapi: remove auto_disk_config check during resize
  + Improve the performance of migration 186
  + Use an inner join on aggregate_hosts in aggregate_get_by_host
  + Revert "Fix local variable 'root_uuid' ref before assign"
  + Sync can_send_version() helper from oslo-incubator.
  + Remove use of locals() in db migrations.
  + Add missing tests for compute_node_* methods
  + Add yolanda to the mailmap.
  + Sending volume IO usage broken
  + Remove usage of locals() from xenapi package
  + Backup and restore object registry for tests
  + Fix obj_load() in NovaObject base class
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1166.g28e6bc7+git.1371081447.28e6bc7:
  + Silence exceptions from qpid connection.close() (from oslo)
  + Fix db.models.ComputeNode description
  + Fix db.models.ComputeNodeStats description
  + Fix db.models.Certificate description
  + Fix db.models.Instance description
  + Fix local variable 'root_uuid' ref before assign
  + xenapi: implement get_console_output for XCP/XenServer
  + Give a way to save why a service has been disabled.
  + add xml api sample tests to os-tenant-network
  + Use Instance Objects for Start/Stop
  + Add missing tests for nova.db.api.network_*.
  + Fix nova-compute fails to start if quantum is down
  + Add Instance.info_cache
  + Use InstanceList object for init_host
  + Fix a race where a soft deleted instance might be removed by mistake
  + Add missing exception to cell_update()
  + Fixes test_config_drive unittest
  + Use Python 3.x compatible octal literals
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1130.g32fca6a+git.1371030243.32fca6a:
  + Handle security group quota exceeded gracefully
  + Nova instance group DB support
  + xenapi: ensure instance metadata always injected into xenstore
  + Rename functions in nova.compute.flavors from instance_type
  + Return Customer's Quota Usage through Admin API
  + correctly set iface-id in vmware driver
  + Imported Translations from Transifex
  + Add deleted flag to NovaObject base
  + Refactors get_instance_security_groups to only use instance_uuid
  + Fix assumed port has port_security_enabled
  + Add base mixin class for object lists
  + Removing misleading error message
  + libvirt: improve the specification of network disks
  + Add lists of instance objects
* Tue Jun 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1102.g6c79b75+git.1370947325.6c79b75:
  + Normalize path for finding api_samples dir
* Tue Jun 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1100.ga79eea0+git.1370946652.a79eea0:
  + Export volume metadata to new instances.
  + Update analyze_opts to work with new nova.conf sample format
  + Fix Keypair exception messages
  + Improve Keypair error messages in osapi
  + More KeypairAPI cleanups
  + Speeding up scheduler tests
  + Added verbose error message in tests helper mixin
  + Regenerate missing resized backing files
  + Adds check that the core V3 API is loaded
  + BDM class and transformation functions
  + Converts 'image' to json primitive on compute.rpcapi.prep_resize
  + Add missing conversion specifier to ServiceGroupUnavailable
  + Enhance group handling in extract_opts
  + Removed code duplication in conductor.api
  + Fix dangling LUN issue under load with multipath
  + Fix db.models.Service description
  + Refactors scheduler.chance.select_hosts to raise NoValidHost
  + DB migration to the new BDM data format
  + Create an image BDM for every instance
  + Cleanup nova exception message conversion
  + Imported Translations from Transifex
  + Add missing tests for s3_image_* methods
* Tue Jun 11 2013 dmueller@suse.com
- remove 0001-Normalize-path-for-finding-api_samples-dir.patch
* Sun Jun  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1056.ge0142d0+git.1370736199.e0142d0:
  + Call virt.driver.destroy before deallocating network.
* Sat Jun  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1054.g08d6c1d+git.1370649735.08d6c1d:
  + Keypair API test cleanup
  + Allocate networks in the background
  + Replace openstack-common with oslo in HACKING.rst
  + Rename unique constraints due to new convention.
* Fri Jun  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1047.g7d423d3+git.1370563414.7d423d3:
  + Moving `test_misc` tests to better locations
  + More detailed log in failing aggregate extra filter.
  + Deprecate compute_api_class option in the config
  + Handle instance directories correctly for migrates.
  + Import osapi_v3/enabled option in nova/test
  + Alphabetize v3 API extension entry point list
  + Add x-compute-request-id header when no response body
  + Moving more tests to appropriate locations
* Thu Jun  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1031.gfc5137d+git.1370477012.fc5137d:
  + IPMI driver sets bootdev option persistently.
  + Enhance multipath parsing
  + Add fake_instance.py
  + Make instance object tolerate isotime strings
  + Fix bug where consoleauth depended on remote conductor service
  + Launch_at and terminated_at on server(s) response
  + _s3_create handles image being deleted
  + Make object actions pass positional arguments
  + Don't log warn if v3 API is disabled.
  + Improve Python 3.x compatibility
  + xenapi: Added logging for sparse copy
  + Delete unused bin directory
  + Update rpc/impl_qpid.py from oslo
  + Clean up vmwareapi.network_util.get_network_with_the_name
  + Fix EC2 RegisterImage ImageLocation starts with /
  + Make the datetime utility function coerce to UTC
  + API to get the Cell Capacity
* Wed Jun  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a997.g7f050f7+git.1370390412.7f050f7:
  + Stop libvirt errors from outputting to strerr
  + Avoiding multiple code loops in filter scheduler
  + Link to explanation of --checksum-full rule.
  + Ports consoles API to v3 API
  + Remove unused launch_time from instance
  + Fix postgresql failures related to Data type
  + Call scheduler for run_instance from conductor
* Tue Jun  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a983.g150051d+git.1370333407.150051d:
  + Moved sample network creation out of unittest base class constructor.
  + Add Davanum to the mailmap.
  + Imported Translations from Transifex
  + Adds ability to black/whitelist v3 API extensions
  + python3: Add py33 to tox.ini
* Mon Jun  3 2013 dmueller@suse.com
- update package requires list
* Mon Jun  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a973.g0afcc05+git.1370249913.0afcc05:
  + Fixed two minor docs niggles.
  + Adds v3 API disable config option
  + Only update cell capabilites once
  + Cosmetic fix to parameter name in DB API
  + Imported Translations from Transifex
  + In utils.tempdir, pass CONF.tempdir as an argument.
* Sun Jun  2 2013 dmueller@suse.com
- install api_samples reference data for tests
- add conflicts with pyxml
- add 0001-Normalize-path-for-finding-api_samples-dir.patch
* Sat Jun  1 2013 dmueller@suse.com
- remove dependency on nose
* Fri May 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a961.g9ca2673+git.1370044415.9ca2673:
  + Add power_on flag to virt driver finish/revert migration methods
  + Set resized instance back to original vm_state
  + Ports ips api to v3 API
* Thu May 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a955.g6c8706b+git.1369957953.6c8706b:
  + Delegate authentication to quantumclient
  + Add base object model
  + No relevant message when stop a stopped VM
  + Fix colorizier thowing exception when a test fails
  + Add node as instance attribute for notification
  + Add instance object
  + compute.api call conductor ComputeTaskManager for live-migrate
  + Don't update DB records for unchanged stats.
  + Make pylint ignore nova/objects/
  + Raise exception instances not exception classes
  + Remove tempest hack for create/rebuild checks
  + Fix error in instance_get_all_by_filters() use of soft_deleted filter
* Wed May 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a931.g013bff3+git.1369871714.013bff3:
  + Fix log message.
  + Fix and enable flake8 F812
  + Cell weighing class to handle mute child cells
  + Fix and enable flake8 F823
  + Enumerate Flake8 E12x ignores
  + Add posargs support to flake8 call
  + Test for remote directory creation before shutting down instance
  + Add update method of security group name and description
  + Remove path_exists from NFS/GlusterFS drivers
  + Raise exception instances, not exception classes.
  + Fixes encoding issues for nova api req body.
  + Verify that CONF.compute_driver is defined
  + Clean up failed image transfers in instance spawn
  + Make testr preserve existing OS_* env vars values
  + API Extensions framework for v3 API Part 2
  + Using unicode() to handle image's properties
  + Add missing os.path.abspath around csrfile.
  + Fix volume IO usage notifications been sent too often.
  + Add tests for some db.security_group_* methods
  + Don't delete sys_meta on instance delete
  + Rename policy auth for V3 os-fixed-ips
  + Sync shadow table for 156 migration
  + Sync shadow table for 157 migration
  + Sync shadow table for 159 migration
  + Add db test that checks that shadow tables are up-to-date
  + Add missing tests for nova.db.api.quota_* methods
  + Fix internationalization for some LOG messages
  + Imported Translations from Transifex
  + Add missing tests for nova.db.api.agent_build_* methods
  + Raise AgentBuildNotFound on updating/destroying deleted object
  + Support Cinder mount options for NFS/GlusterFS
  + Fix config drive code logical error.
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Tue May 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a868.gcd48e39+git.1369785315.cd48e39:
  + vmwareapi: Move tests under tests/virt/vmwareapi/
  + Delete a quota through admin api.
  + Enable flake8 E721
  + Enumerate Flake8 Fxxx ignores
  + update mailmap
  + Pull binary name from sys.argv[0]
  + Add missing tests for db.api.reservation_*
  + xenapi: make the xenapi agent optional per image
  + Optimize SecurityGroupsOutputController by len(servers)
  + Fix missing argument to logging warning call
  + Imported Translations from Transifex
  + Cells: Add filtering and weight support
  + fix a misleading docstring
* Mon May 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a843.ge06ab58+git.1369698702.e06ab58:
  + Removed superflous eval usage.
  + removes project_id/tenant_id from v3 api urls
  + get_instance_security_groups() fails if no name on security group
* Mon May 27 2013 dmueller@suse.com
- add python-pbr dependency
* Sat May 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a837.ge1528ee+git.1369525869.e1528ee:
  + Remove locals() usage from nova.virt.libvirt.utils.
* Fri May 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a835.g0952675+git.1369439549.0952675:
  + hyperv: Move tests under nova/tests/virt/hyperv
  + Reset task_state when resetting vm_state to ACTIVE
  + Disallow resize if image not available
  + Importing correlation_id middleware from oslo-incubator
  + Add missing tests for nova.db.api.quota_class_*
  + Set up 'compute_task' conductor namespace.
  + Fix tests for sqlalchemy utils
  + Change db `deleted` column type utils
  + Sync shadow table for 175 and 176 migration
  + Remove copy paste from 179 migration
  + Sync shadow table for 179 migration
* Thu May 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a815.g55659b1+git.1369353052.55659b1:
  + Removed session from fixed_ip_*() functions.
  + Remove locals() from scheduler filters
  + Added validation for networks parameter value
  + Rename requires files to standard names.
  + Share checks between create and rebuild
  + Remove locals() usage from nova.virt.libvirt.volume.
  + Move ImageTooLarge check to Compute API
  + Remove ImageTooLarge exception
  + xenapi: Disable VDI size check when root_gb=0
  + xenapi: Moving tests under tests/virt/xenapi/
  + Fix UnboundLocalError in powervm lvm cleanup code
  + Imported Translations from Transifex
  + Better error message on malformed request url
  + virt: Move generic virt tests to nova/tests/virt/
  + Make a few places tolerant of sys_meta being a dict
* Thu May 23 2013 tpaszkowski@novell.com
- set default value for signing_dir to /var/lib/nova/keystone-signing. This
  prevents problems on SLE11 where init script is called by the user (eg. root)
  and os.path.expanduser prefers HOME enviroment variable insted of passwd
  file.
* Wed May 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a786.gcc8db77+git.1369266774.cc8db77:
  + Use prettyxml output
  + libvirt: Moving tests under tests/virt/libvirt
  + baremetal: Move tests under tests/virt/baremetal
  + Fix resize when instance has no image
  + Adds live migration support to cells API
  + Don't update API cell on get_nwinfo
  + set ERROR state when scheduler hits max attempts
  + Catch InstanceNotFound in instance_actions GET
  + powervm: Move tests under tests/virt/powervm
  + Make it easier to add namespaced rpc APIs.
  + Make nova-api use servicegroup.API.service_is_up().
  + Imported Translations from Transifex
* Tue May 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a762.gf23a4bf+git.1369180590.f23a4bf:
  + Add requests requirement capped <1.2.1.
  + Add notification for live migration
  + Sync latest RPC changes from oslo
  + Sync RPC serializer changes from Oslo
  + Convert Nova to use Oslo service infrastructure.
  + Add ImageNotActive check for instance rebuild
  + Adding tests for rebuild image checks
  + Add memorycache import into the oslo config.
* Mon May 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a747.geebcd6f+git.1369094168.eebcd6f:
  + Update run_tests.sh to run flake8 too.
  + The vm_state should not be modified until the task is complete.
  + baremetal: drop 'prov_mac_address' column
  + Fix require_context() decorators.
  + 'm1.tiny' now has root_gb=1
  + Sync service and threadgroup modules from oslo
  + Added attribute 'ip' to server search options.
  + Editable default quota support
* Sun May 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a732.g7063896+git.1369007834.7063896:
  + Strip exec_dirs prefix from rootwrap filters
  + Optimize instance queries in compute manager
  + Remove locals() from nova/cells/*
  + Improve unit tests for DB archiving.
* Sat May 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a724.ge4f05ba+git.1368921434.e4f05ba:
  + Use strict=True instead of `is_valid_boolstr`
  + Remove unnecessary parens in test_volumes
  + Don't raise unnecessary stack traces in EC2 API
  + Update mailmap
  + Clean up test_api_samples a bit
  + Fix whitespace issue in indent
  + Imported Translations from Transifex
* Sat May 18 2013 dmueller@suse.com
- update requires from pip-requires
* Fri May 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a713.g55ccdbc+git.1368835080.55ccdbc:
  + Cast `size` to int before comparison
  + Remove locals() from messages in virt/disk/api.py
  + Fix flake8 errors in anticipation of flake8.
  + Switch to flake8+hacking.
  + Remove usage of locals() for formatting from nova.api.*
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a704.g1d5d58c+git.1368748693.1d5d58c:
  + Detach volume fails when using multipath iscsi
  + Fix for missing multipath device name
  + Architecture property updated in snapshot libvirt
  + Copy the RHEL6 eventlet workaround from Oslo
  + Reverse compare arguments in filters tests
  + libvirt: Catch VIR_ERR_NO_DOMAIN in list_instances
  + Mox should cleanup before stubs
  + Fix header issue for baremetal_deploy_helper.py
  + Don't inject settings for dynamic network
  + Add ca cert file support to cinder client requests
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a684.g56f5172+git.1368709315.56f5172:
  + Sync rpc from oslo.
  + Revert "Include list of attached volumes with instance info"
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a681.g3eee243+git.1368662616.3eee243:
  + Remove "#!/usr/bin/env python" from .py files under nova/cmd
  + Use Oslo's `bool_from_string`
  + Optimize db.instance_floating_address_get_all method
  + Refactored tests for db.key_pair_*() functions.
  + Add missing unique constraint to KeyPair model.
  + Pass the proper admin context to update_dhcp
  + Handle IPMI transient failures better.
  + xenapi: ensure vdi is not too big when resizing down
  + Include list of attached volumes with instance info
  + Extract getting instance's AZ into a helper module.
  + Refactor nova.volume.cinder.API to reduce roundtrips with Cinder
  + Cells: Don't allow active -> build
  + Fix quantum security group driver to accept none for from/to_port
  + Reverse path SNAT for DNAT floating-ip.
  + Add missing tests for db.fixed_ip_*(). functions.
  + Remove openstack.common.version.
* Wed May 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a649.gf124d50+git.1368609238.f124d50:
  + Remove duplicate gettext.install() calls
  + Import new additions to oslo's processutils.
  + Convert to using newly imported processutils.
  + Show the cause of virt driver error
  + Move get_table() from test_migrations to sqlalchemy.utils
  + Imported Translations from Transifex
  + Fix format error in claims.
  + Fix run_tests.sh usage of tools/colorizer.py.
  + Make sure that hypervisor nodename is set correctly in FakeDriver
  + Adds useful debug logging to filter_scheduler
  + Improve message and logging for corrupt VHD footers
  + Raise InstanceInvalidState for double hard reboot
  + Pass None to image if booted from volume in live migration
  + Catch volume create exception
  + Hide lock_prefix argument using synchronized_with_prefix()
  + Fix response from snapshot create stub
  + Cleanup create flavor tests
  + Cleanups for create-flavor
* Mon May 13 2013 dmueller@suse.com
- update buildrequires
* Mon May 13 2013 dmueller@suse.com
- Update to version 2013.2.a613.gda1d739+git.1368432283.da1d739:
  + Delete InstanceSystemMetadata on instance deletion
  + Sync oslo-incubator print statement changes
  + Imported Translations from Transifex
  + Remove random print statements
  + Remove security_group_handler
  + Nova evacuate failed when VM is in SHUTOFF status
  + Imported Translations from Transifex
  + Add an index to compute_node_stats
  + libvirt: ignore NOSTATE in resume_state_on_host_boot() method.
  + Transition from openstack.common.setup to pbr.
  + Fixes mock calls in Hyper-V test method
  + Rename nova.compute.instance_types to flavors
  + Remove insecure default for signing_dir option.
  + Session cleanup for db.floating_ip_* methods
  + Removes duplicate assertEqual
  + Removes unnecessary check for admin context in evacuate.
  + Fix variable referenced before assginment in vmwareapi code.
  + Fixes typo in server-evacuate-req.xml
  + Change type of cells.deleted from boolean to integer.
  + Add pointer to compute driver matrix wiki page.
  + xenapi: cleanup vdi when disk too big exception raised
  + Imported Translations from Transifex
  + Record smoketest dependency on gFlags
  + Fixes KeyError bug with network api associate
  + Fix zookeeper import and tests
  + Enable live block migration when using iSCSI volumes
  + Adds instance root disk size checks during resize
  + fix non reporting of failures with floating IP assignment
  + Remove invalid block_device_mapping volume_size of ''
  + Make resize/migrated shared storage aware
  + Allow a floating IP to be associated to a specific fixed IP
  + Add unitests for VMware vif, and fix code logical error.
  + Show exception details for failed deploys.
  + Allow different paths for deploy-helper helpers.
  + Check QCOW2 image size during root disk creation
  + Check cached SSH connection in PowerVM driver
  + Cleanup for test_create_server_with_deleted_image
  + Imported Translations from Transifex
  + Update rootwrap with code from oslo.
  + Add sqlalchemy migration utils.check_shadow_table method
  + Add sqlalchemy migration utils.create_shadow_table method
  + Add cpuset attr to vcpu conf in libvirt xml
  + API extensions framework for v3 API
* Mon May  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a530.g7be2809+git.1367884117.7be2809:
  + Fix stub_instance() to include missing attributes
  + Convert to using oslo's execute() method.
  + xenapi: Always set other_config for VDIs
  + Remove referances to LegacyFormatter in example logging.conf.
* Sun May  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a523.g7bd267d+git.1367797651.7bd267d:
  + vmwareapi: Add supported_instances to host state
  + Make nova-network support requested nic ordering
  + Import latest log module from oslo
* Sat May  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a517.g685dc48+git.1367711250.685dc48:
  + Fix EC2 instance bdm response
  + Being more defensive around the use_ipv6 config option
  + Update hypervisor_hostname after live migration
* Fri May  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a511.gf0da346+git.1367624898.f0da346:
  + Deprecate show_host_resources() in scheduler manager
  + Add force_nodes to filter properties
  + Fix key error when create lpar instance failed
  + Add missing tests for db.floating_ip_* methods
  + Remove race condition (in FloatingIps)
  + nova coverage creates lots of empty folders
  + fix broken WSDL logic
  + Update oslo-incubator import.
  + Update our import of oslo's processutils.
  + Adds --addn-hosts to the dnsmasq arg list
* Thu May  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a491.g8bb1cc2+git.1367538518.8bb1cc2:
  + Rename _check_image_size to _get_and_check_image_metadata
  + Call format_message on InstanceTypeNotFound exception
  + Volume IO usage gets reset to 0 after a reboot / crash
  + Fix building quantumapi network model with network list
  + Make _build_network_info_model testable
  + Move db.fixed_ip_* tests from DbApiTestCase to FixedIpTestCase
  + Checks if volume can be attached
  + Prevent rescuing a VM with a partially mounted volume.
* Wed May  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a475.gb6aac98+git.1367452089.b6aac98:
  + Add delete_net_interface function
  + import and install gettext in vm_vdi_cleaner.py
  + Import oslo periodic tasks support.
  + Catch glance image create exceptions
  + Convert the cache key from unicode to a string.
  + Fix baremetal get_available_nodes
  + Update to using oslo periodic tasks implementation.
  + Sync jsonutils from oslo
  + Sync small and safe changes from oslo
  + Reset migrating task state for MigrationError exceptions
  + xenapi: Don't swallow missing SR exception
* Tue Apr 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a454.gdccbcc8+git.1367365708.dccbcc8:
  + Update NovaBase model per changes on oslo.db.sqlalchemy
  + Create instance with deleting image
  + Performance optimization for contrib.flavorextraspecs
  + Remove local variable only used in logging.
  + Kill off usage of locals() in the filter_scheduler.
  + Small whitespace tweak.
  + Add the availability_zone to the volume.usage notifications
  + Fix attach when running as root without sysfsutils
* Tue Apr 30 2013 dmueller@suse.com
- accept also python-suds >= 0.4
* Mon Apr 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a438.gfeb1b03+git.1367279297.feb1b03:
  + Fix flakey TestS3ImageService bug
  + Add missing snapshot image properties for VMware Hyper.
  + Support FlatDHCP network for VMware Hyper.
  + Fix missing kernel output via VNC/Spice on boot
  + Fixes race condition of deleting floating ip
  + Fix up regression tester
  + Adds tests for isolated_hosts_filter
  + Fix ec2 CreateVolumes/DescribeVolumes status
  + ec2 CreateVolumes/DescribeVolumes status mapping
  + Fix VMware Hyper console url parameter error.
  + Destroy conntrack table on source host during migration
  + Refactor work with db.instance_type_* methods
* Mon Apr 29 2013 bwiedemann@suse.com
- update nova-network-filter-bnc777488.patch to fix unittests
* Sun Apr 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a415.g25541a5+git.1367192862.25541a5:
  + Imported Translations from Transifex
  + Map internal S3 image state to EC2 API values
  + Completes the power_state mapping from compute driver and manager
* Fri Apr 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a410.gf025fc9+git.1367020014.f025fc9:
  + Allow listing fixed_ips for a given compute host.
  + Imported Translations from Transifex
  + Wrong proxy port in nova.conf for Spice proxy
  + Fix fixed_ip_count_by_project in DB API
  + Refactor _run_instance() to unify control flow
  + Send a instance create error notification
  + set bdm['volume_id'] to None rather than delete it
* Thu Apr 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a396.g13c085b+git.1366933331.13c085b:
  + Translate NoMoreFloatingIps exception
  + Fix powervm driver resize instance error
  + Add an rpc API common to all services.
  + Deprecate conductor ping method.
  + Move get_backdoor_port to base rpc API.
  + Fix bug in db.instance_type_destroy
* Thu Apr 25 2013 dmueller@suse.com
- add dependency to python-python-gflags
* Wed Apr 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a384.g68579d2+git.1366846902.68579d2:
  + Imported Translations from Transifex
  + Make os.services.update work with cells
  + Remove unnecessary full resource audits at the end of resizes
  + Add missing test for db.instance_type_destroy method
  + Move db.instance_type_extra_specs_* to db.instance_type_* methods
  + Add unit tests for /db/api.py#fixed_ip_*
  + Import and convert to oslo loopingcall.
* Tue Apr 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a371.g5a604b5+git.1366753620.5a604b5:
  + Add option to exclude joins from instance_get_by_uuid
  + Update the log module from oslo-incubator
  + Deprecate old vif drivers.
  + hypervisor tests more accurate db
  + Translate cinder NotFound exception
  + Correct disk's over committed size computing error
  + Encode consoleauth token in utf-8 to make it a str
  + If rescue fails don't error the instance
* Tue Apr 23 2013 tpaszkowski@novell.com
- fix polkit rules installtion for libvirt
- add quantum defaults for metadata proxy and quantum security groups
* Mon Apr 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a355.gbfc3a3c+git.1366674059.bfc3a3c:
  + Improve Python 3.x compatibility
  + Remove unnecessary method argument.
  + baremetal: VirtualPowerDriver uses mac addresses in bm_interfaces
  + Raise correct exception for duplicate networks
  + baremetal: Change input for sfdisk
  + Delete extra space to api/volumes message
  + Cleanup and test volume usage on volume detach
  + Stop vm_state reset on reboot of rescued vm
  + Adds tests to xenapi.vm_utils's 'lookup' method
  + Allows xenapi 'lookup' to look for rescue mode VMs
  + Can now reboot rescued instances in xenapi
  + Fix hyperv copy file error logged incorrect
* Sat Apr 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a332.g18d9a8b+git.1366499464.18d9a8b:
  + Imported Translations from Transifex
  + Sync rpc from oslo-incubator.
* Fri Apr 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a329.g7c2b662+git.1366413077.7c2b662:
  + Imported Translations from Transifex
  + Don't swallow PolicyNotAuthorized for resize/reboot actions
* Thu Apr 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a326.g4cee584+git.1366326675.4cee584:
  + Imported Translations from Transifex
  + Remove unused exception and variable from scheduler.
* Wed Apr 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a324.g3572a07+git.1366240360.3572a07:
  + Fix bug in os-availability-zone extension.
  + Added comments to quantum api client
  + Remove orphaned db method instance_test_and_set
  + removing unused variable from a test
* Tue Apr 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a316.g964df95+git.1366153870.964df95:
  + xenapi: Make _connect_volume exc handler eventlet safe
* Tue Apr 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a314.g36b1038+git.1366128798.36b1038:
  + Add SecurityGroups API sample tests
  + Only call getLogger after configuring logging.
  + Allow describe_instances to use tags for searches
  + Correct network uuid field for os-network extension
  + Cannot boot vm if quantum plugin does not support L3 api
  + Imported Translations from Transifex
  + Remove race condition (in InstanceTypeProjects)
  + Add missing tests for instance_type_extra_specs_* methods
  + nova-consoleauth start failed by consoleauth_manager option missing
  + Add an extension to show the network id of a virtual interface
  + Add reset function to nova coverage.
  + libvirt: Get driver type from base image type.
  + Security groups may be unavailable
  + Fix a bad tearDown method in test_quantumv2.py.
  + Evacuated instance disk not deleted
  + Import eventlet in __init__.py
  + Catch NoValidHost exception during live-migration
  + Add tenant/ user id to volume usage notifications
  + Simplify random host choice.
  + Remove unnecessary parens.
  + Clarify volume related exception message
  + Remove unnecessary LOG initialisation
  + Cleanup trailing whitespace in api samples.
  + Fix typo: libvir => libvirt
  + Imported Translations from Transifex
  + Fix error message in pre_live_migration.
  + baremetal: Integrate provisioning and non-provisioning interfaces
  + set timeout for paramiko ssh connection
  + Replace metadata joins with another query
  + Change DB API instance functions for selective metadata fetching
  + Optimize some of the periodic task database queries in n-cpu
  + Don't hide stacktraces for unexpected errors in rescue
  + Optimize some of compute/manager's periodic tasks' DB queries
  + Don't join metadata twice in instance_get_all()
  + Imported Translations from Transifex
  + Fix issues with check_instance_shared_storage.
  + Remove "undefined name" pyflake errors
  + baremetal: Change node api related to prov_mac_address
  + Remove multi scheduler.
  + Remove unnecessary db call in scheduler driver live-migration code
  + Imported Translations from Transifex
  + Cleans up orphan compute_nodes not cleaned up by compute manager
  + Allow for the power state interval to be configured.
  + Define LOG globally in baremetal_deploy_helper
  + Add an extension to show the mac address of a ip in server(s)
  + Imported Translations from Transifex
  + Make compute/manager use conductor for unrescue()
  + Make sure confirm_resize finishes before setting vm_state to ACTIVE
  + Add NOVA_LOCALEDIR env variable
  + Imported Translations from Transifex
* Thu Apr  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a223.gaa81b75+git.1365117246.aa81b75:
  + Simplify and correct the bm partition sizes.
  + Guard against content being None
  + Imported Translations from Transifex
  + After migrate, catch and remove deleted instances
  + Fix legacy_net_info guard
  + Fallback to conductor if types are not stashed.
  + Remove deprecated Grizzly code.
  + Optimize resource tracker queries for instances
  + Move console scripts to entrypoints.
  + Add CRUD methods for tags to the EC2 API.
  + Modify _verify_response to validate response codes.
  + Fix SecurityGroups XML sample tests
  + Resolve conflicting mac address in resize
* Wed Apr  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a198.gf3d6e5c+git.1365030843.f3d6e5c:
  + Fix _error_out_instance exception handler
  + Limit the checks for block device becoming available.
  + Update latest oslo.setup.
  + Explain why the give methods are whitelisted.
  + Grab instance for migration before updating usage
  + Fix a typo in attach_interface error path
* Tue Apr  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a186.g4810b5a+git.1364944454.4810b5a:
  + Remove print statements
  + Prevent nova services' coverage data from combining into nova-api's
  + Add unit tests for nova.volume.cinder.API
  + baremetal: Drop unused columns in bm_nodes
  + Raise rather than generating millions of IPs.
* Tue Apr  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a176.g4b6fa4a+git.1364894767.4b6fa4a:
  + Reset ec2 image cache between S3 tests.
  + disable colorizer as it swallows fails
  + Imported Translations from Transifex
  + Don't log traceback on rpc timeout.
  + Sync rpc from oslo-incubator.
  + Sync everything from oslo-incubator.
  + xenapi: fix console for rescued instance
  + Pass project id in quantum driver secgroup list
  + Update instance network info cache to include vif_type.
  + xenapi: Retrieve VM uuid from xenstore.
  + Fixes Nova API /os-hosts missing element "zone"
  + Avoid using whitespace in test_safe_parse_xml.
  + Do not test foreign keys with SQLite version < 3.7
  + Remove unnecessary checks in api.py
  + Reformat openstack-common.conf
  + Add missing info to docstring.
  + Include Co-authored-by entries in AUTHORS
  + Remove unnecessary DB call to find EC2 AZs.
  + Imported Translations from Transifex
  + List InstanceNotFound as a client exception
  + NoneType exception thrown if driver live-migration check returns None
  + Adds return-type in two functions' docstrings
  + Fix Hyper V instance conflicts
  + xenapi: rpmbuild fixes
  + Fixes argument order of quantumv2.api.get_instance_nw_info
  + set up FakeLogger for root logger.
  + Make more readable error msg on quantum client authentication failure
  + Fix /servers/<instance-id>os-security-groups using quantum
  + Imported Translations from Transifex
  + Adds Tilera back-end for baremetal
  + Always store old instance_type during a migration
  + List AZs fails if there are disabled services
  + Bring back colorizer again with error results.
  + Add missing tests for db.instance_type_* methods
  + Add a format_message method to the Exceptions
  + Use format_message on exceptions instead of str()
  + Adding netmask to dnsmasq argument --dhcp-range
  + Rework time handling in periodic tasks.
  + Make iptables drop action configurable.
  + Make tenant_usage fall back to instance_type_id
  + Fix quantum nic allocation when only portid is specified
  + Imported Translations from Transifex
  + always quote dhcp-domain, otherwise dnsmasq can fail to start
  + Remove race condition (in InstanceTypes)
  + Add missing tests for db.instance_type_access_* methods
  + Fix typo in the XML serialization os-services API.
  + xenapi: fix support for iso boot
  + Fix missing punctuation in docstring
  + sync oslo db/sqlalchemy module
  + Imported Translations from Transifex
  + 'injected_files' should be base 64 encoded.
  + Set default fixed_ip quota to unlimited.
  + get context from req rather than getting a new admin context
  + Fix automatic confirmation of resizes for no-db-compute
  + quantum security group driver nova list shows same group
  + Sync in matchmaker and qpid Conf changes from oslo
  + improve handling of an empty dnsmasq --domain
  + Delete tests.baremetal.util.new_bm_deployment()
  + Query quantum once for instance's security groups
  + Show quota 'in_use' and 'reserved' info
  + Sync latest gettextutils from oslo-incubator
  + Switch nova-baremetal-deploy-helper to use sfdisk.
  + Fix migrating instance to the same host.
  + Convert host value from unicode to a string.
  + Add missing unit tests for FlavorActionController
  + Better iptables DROP removal.
  + Ensure only pickle-able objects live in metadata
  + Return proper error message when network conflicts
  + Remove gettext.install() from nova/__init__.py
  + Use Cluster reference to reduce SDK calls
  + Accepts aws-sdk-java timestamp format
  + Return 409 on creating/importing same name keypair
  + Fix the python version comparison.
  + Imported Translations from Transifex
* Tue Mar 26 2013 berendt@b1-systems.de
- fixed openstack-nova-vncproxy.init
* Sun Mar 24 2013 cloud-devel@suse.de
- Update to version 2013.2.a35.g4fedcd7+git.1364085899.4fedcd7:
  + Change type of ssh_port option from Str to Int
  + nova-manage vm list fails looking 'instance_type'
  + Add caching for ec2 mapping ids.
  + Make nova.virt.fake.FakeDriver useable in integration testing
  + Change arguments to volume_detach()
  + Fixes passing arbitrary conductor_api argument
  + translate cinder BadRequest exception
  + Initialize compute manager before loading driver.
  + py2.6 doesn't support TextTestRunner resultclass
  + Add a comment to placeholder migrations.
  + Make _downsize_quota_delta() use stashed instance types
  + Remove outdated try except block in ec2 code
* Wed Mar 20 2013 speilicke@suse.com
- python-discover is only a test-dependency on platforms with Python < 2.7
  (SLE_11_SP2 in other words)
* Tue Mar 19 2013 berendt@b1-systems.de
- added missing requirement novnc for package
  openstack-nova-novncproxy
* Mon Mar 18 2013 berendt@b1-systems.de
- added missing init scripts for following services
  + consoleauth
  + spicehtml5proxy
- moved consoleauth into separate subpackage
* Mon Mar 18 2013 berendt@b1-systems.de
- fixed sysconfig file of openstack-nova-novncproxy
- added missing requirements of openstack-nova-novncproxy
* Mon Mar 18 2013 speilicke@suse.com
- Update to version 2013.1.a5126.ged1d6f2:
  + Make ssh key injection work with xenapi agent
  + Update migration 153 for efficiency.
  + rstrip() strips characters, not strings
  + Store project_id for instance actions
  + Fix use of libvirt_disk_prefix
  + Revert "Remove the usage of instance['extra_specs'
  + Add standard methods to the Limits API
  + Imported Translations from Transifex
  + Check keypair destroy result operation
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Mon Mar 18 2013 berendt@b1-systems.de
- mark /etc/nova/api-paste.ini as noreplace
* Sun Mar 17 2013 dmueller@suse.com
- Update to version 2013.1.a5108.g9ee8c94+git.1363519794.9ee8c94:
  + xenapi: Fix reboot with hung volumes
  + Fix: Managers that incorrectly derive from SchedulerDependentManager
  + Delete instance metadata when delete VM
  + Pin SQLAlchemy to 0.7.x
  + Fix nova-manage --version
  + Switch to final 1.1.0 oslo.config release
  + Sync rpc from oslo-incubator.
  + Fix reconnecting to libvirt.
  + Lazy load CONF.quota_driver.
  + Skip deleted fixed ip address for os-fixed-ips extension
  + Prepare services index method for use with cells
  + Fix behaviour of split_cell_and_item
  + Update to Quantum Client 2.2.0
  + Add missing tests for db.block_device_mapping_* methods
  + List ComputeHostNotFound as a client exception
  + Virtual Power Driver list running vms quoting error
  + Make run_instance() bail quietly if instance has been deleted
  + Fix use of potentially-stale instance_type in tenant_usage
  + Refactor work with session in db.block_device_mapping_* methods
  + Don't load system_metadata when it isn't joined.
  + Fix: Nova aggregate API throws an uncaught exception on invalid host
  + List ConsoleTypeInvalid as a client exception.
  + Force nova to use keystone v2.0 for auth_token
  + Remove sqlalchemy calling back to DB API
  + Fix cells instance deletion
  + Resize/Migrate refactoring fixes and test cases
  + Generalize console error handling during build.
  + Don't log traceback on expected console error.
  + Fix copyright - from LLC to Foundation
  + Read instance resource quota info from "quota" namespace.
  + Makes safe xml data calls raise 400 http error instead of 500
  + Do not accept invalid keys in quota-update
  + Fixes an iSCSI connector issue in the Hyper-V driver.
  + Add the serial to connection info for boot volumes
  + Don't include traceback when wrapping exceptions
  + Fix system_metadata "None" and created_at values
  + Do cleaning up resource before rescheduling.
  + Add quotas for fixed ips.
  + Fixes Hyper-V live migration with attached volumes
  + Imported Translations from Transifex
  + Fix exception message in Networks API extension
  + Add missing API doc for networks-post-req.
  + Fixes instance task_state being left as migrating
  + Fix OS-DCF:diskconfig XML handling
  + Drop gzip flag from tar command for OVF archives
  + Fix: improve API error responses from os-hosts extension
  + Make conductor's quota methods pass project_id properly
  + Make os-services API extensions consistent.
  + Fix db archiving bug with foreign key constraints.
  + Revert 1154253 causes XenServer image compat issue
  + Remove the usage of instance['extra_specs'].
- remove sqlalchemy-update.diff:
  + merged upstream
* Fri Mar 15 2013 iartarisi@suse.com
- change ownership of /var/cache/nova dir to the openstack-nova user
* Thu Mar 14 2013 iartarisi@suse.com
- fix cache directory and change it in the config file, too
* Thu Mar 14 2013 iartarisi@suse.com
- add /var/cache/nova/api dir for authentication cache
* Thu Mar 14 2013 berendt@b1-systems.de
- added missing dependency python-pyasn1 to python-nova
* Wed Mar 13 2013 cloud-devel@suse.de
- Update to version 2013.1.a5007.g071719a+git.1363133918.071719a:
  + Add numerous fixes to test_api_samples
  + Pass migration_ref when when auto-confirming
  + Handle vcpu counting failures gracefully
  + Return XML message with objectserver 404.
  + Rename LLC to Foundation
  + Deprecate CONF.fixed_range, do dynamic setup
  + Remove instance['instance_type'] relationship from db api
  + Force resource updates to update updated_at
  + Fixes nbd device can't be released error
  + websockify 0.4 is busted
  + Compile BigInteger to INTEGER for sqlite
  + Fix quota issues with instance deletes.
  + Fix: nova-manage throws uncaught exception on invalid host/service
* Tue Mar 12 2013 cloud-devel@suse.de
- Update to version 2013.1.a4981.g2d7b7a1+git.1363046563.2d7b7a1:
  + Rewrap two lines.
  + Correct exception args in vfs/guestfs.
  + Simple syntax fix up.
  + Server create will only process "networks" if os-networks is loaded.
  + delete deleted image 500 bug
  + Add ability to control max utilization of a cell
  + Refactor db tests to ensure that notdb driver is used.
  + Libvirt driver create images even without meta
  + Extended server attributes can show wrong hypervisor_hostname
  + Fixes instance action exception in "evacuate" API.
  + clear up method parameters for _modify_rules
  + Check if flavor id is an empty string
  + Fixes volume attach on Hyper-V with IPv6
  + Revert changing to FQDN for hostnames.
* Mon Mar 11 2013 dmueller@suse.com
- add sqlalchemy-update.diff:
  * fix sqlalchemy dependency
- change requires from pyton-oslo-config to python-oslo.config
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a4954.g8c96d09+git.1362996039.8c96d09:
  + Switch to oslo.config.
  + Remove parameters containing passwords from Notifications.
  + Updating powervm driver snapshot with update_task_state flow
  + Fix issues with re-raising exceptions.
  + Don't traceback in the API on invalid keypair.
  + Fix instance_system_metadata deleted columns
  + Tiny typo
  + Remove unnecessary setUp() and tearDown() methods
  + Remove duplicate API logging.
  + Remove uses of instance['instance_type'] from xenapi driver.
  + Update tox.ini to support RHEL 6.x.
  + Read baremetal images from extra_specs namespace.
  + Add missing action_start if deleting resized inst.
  + Fix access_ip_* race
  + Fixed image filter support for vmware
  + Make nova-manage db archive_deleted_rows more explicit
  + Rework instance actions to work with cells
  + Add conductor to nova-all.
  + Fix instance type cleanup when doing a same-id migration
  + Remove uses of instance['instance_type'] from powervm driver.
  + Remove uses of instance['instance_type'] from libvirt driver.
  + Remove uses of instance['instance_type'] from nova/compute
  + Remove uses of instance['instance_type'] from nova/network
  + Remove uses of instance['instance_type'] from nova/api
  + Remove uses of instance['instance_type'] from nova/scheduler
  + Fix for delete error in Hyper-V - missing CONF imports
  + Make 'os-hosts/node1' case sensitivity defer to DB
  + Fix Network object encoding issue when using qpid
  + Fix ephemeral devices on LVM don't get mkfs'd
  + Prevent rescue for volume-backed instances
  + Correct substring matching of baremetal VPD node names
  + Nova network needs to take care of existing alias
  + Fix instance evacuate with shared storage
  + Fix Wrong syntax for set:tag in dnsmasq startup option
  + add .idea folder to .gitignore pycharm creates this folder
  + Add MultipleCreate template and fix conflict with other templates
  + Imported Translations from Transifex
  + Remove uses of instance['instance_type'] from nova/notifications
  + Make bm model's deleted column match database
  + Check CONF values *after* command line args are parsed
  + Imported Translations from Transifex
  + Imported Translations from Transifex
* Fri Mar  8 2013 saschpe@suse.de
- Don't set "network_manager=nova.network.quantum.manager.QuantumManager",
  it's not part of the Grizzly codebase anymore. Use FlatDHCPManager instead
  which should work for the majority of "devstack"-like use cases.
* Thu Mar  7 2013 vuntz@suse.com
- Install polkit rules file in /usr/share/polkit-1/rules.d/ since
  it's not a configuration file, and use 10 instead of 50 as
  priority to make sure it is taken into account.
* Wed Mar  6 2013 iartarisi@suse.cz
- Update to version 2013.1.a4875.g6ac76af+git.1362562394.6ac76af:
  + Clean unused kernels and ramdisks from image cache
  + Imported Translations from Transifex
  + Readd run_tests.sh --debug option.
  + Fix broken baremetal migration tests
  + Fix incorrect zookeeper group name
  + Change nova-dhcpbridge FLAGFILE to a list of files
  + Enable VM DHCP request to reach DHCP agent
  + Fix hacking.py to handle 'cannot import x'
  + if reset fails, display the command that failed
  + Minor code optimization in _compute_topic
  + Allow zk driver be imported without zookeeper
  + Additional tests for safe parsing with minidom
  + Sync nova with oslo DB exception cleanup.
  + Add missing import to fakelibvirt.
  + Unpin Cheetah dependency version
  + Unpin suds dependency version
  + Fix hacking.py to handle parenthesise in from import as
  + Fix redefinition of function test_get_host_uptime
  + Use a fake coverage module instead of real one.
  + Retry floating_ip_fixed_ip_associate on deadlock.
  + Update OpenStack LLC to Foundation
  + Revert IP Address column length to 39
  + Remove un-needed methods.
  + Bump python-quantumclient version to 2.1.2
  + Makes sure required powervm config options are set
  + Add API Sample tests for Snapshots extension.
  + Migration 147: Prevent duplicate aggregate_hosts
  + Migration 148: Fix drop table dependency order
  + Actually run baremetal migration tests.
  + BM Migration 004: Actually drop column
  + Imported Translations from Transifex
  + Fix `with_data` handling in test-migrations.
  + Don't blindly skip first migration.
  + Prevent hacking.py from crashing on unexpected import exception
  + Suppress retries on UnexpectedTaskStateErrors
  + Remove old commented out code in sqlalchemy models
  + Run libguestfs API calls in a thread pool
  + ec2 _format_security_group() accesses db when using quantum_driver
  + Shrink size of aggregate_metadata_get_by_host sql query
  + Remove duplicate options(joinedload) from aggregates db code
  + Adds API Sample tests for Volume Attachments
  + Fix crash in quantumapi if no network or port id is specified
  + Imported Translations from Transifex
  + Fixes a Hyper-V live migration issue
  + Fixes the Hyper-V driver's method signature
  + Add a 'hw_' namespace to glance hardware config properties
  + Add os-volumes extension to api samples
  + don't stack trace if long ints are passed to db
  + Use min_ram of original image for snapshot, even with VHD
  + Add instance_type_get() to virt api
  + Tone down logging while waiting for conductor.
  + Fix IBM copyright strings
  + sync oslo log updates
  + Make sure no duplicate forward rules can exist.
  + Unpin routes dependency version
  + Unpin PasteDeploy dependency version
  + Regenerate nova.conf.sample
  + Remove pylint errors for undefined GroupException members
  + Fix deprecated network api
  + Improve hackings docstring detection
  + Make compute manager revert crashed migrations on init_host()
  + Make allocate_for_instance() return only info about ports allocated
  + Remove unused nova.db.api:instance_get_all_by_reservation
  + Improve output msgs for _compare_result
  + Sync timeutils and memorycache from oslo.
  + instance_info_cache_update creates wrongly
  + validate security_groups on server create
  + Don't use instance['instance_type'] for scheduler filters in migration
  + Pep8/pyflakes cleanup of deprecated_api
  + Switch to using memorycache from oslo.
  + Implement rules_exist method for quantum security group driver
  + Set vm_state to ERROR on net deallocate failure.
  + Imported Translations from Transifex
  + Fix target host variable from being overwritten
  + Refactor compute manager _get_instances_by_driver
  + Make ComputeManager _running_deleted_instances query by uuid
  + Add ssh port and key based auth to VPD.
  + Don't LOG.error on max_depth (by default).
  + Imported Translations from Transifex
  + Adds retry on upload_vhd for xapi glance plugin
  + Fallback coverage backdoor telnet connection to lo
  + Compute manager should remove dead resources
  + Fixes oslo-config update for deprecated_group
  + Remove unused db calls from nova.db.api
  + Push 'Error' result from event to instance action.
  + Standardize the coverage initializations.
  + fix postgresql drop race
  + docs should indicate proper git commit limit
  + quantum security_group driver queries db regression
  + Remove completed FIXME.
  + Return proper error messages while disassociating floating IP
  + Fixes live migration with attached volumes issue
  + Catching InstanceNotFound exception during reboot instance
  + Bump instance updated_at on network change.
  + Put options in a list.
  + Prevent reboot of rescued instance.
  + Imported Translations from Transifex
  + Fix an error in compute api snapshot_volume_backed bdm code
  + Standarize ip validation along the code
  + Rename VMWare to VMware
  + Baremetal deploy helper sets ODIRECT.
  + Ensure that FORWARD rule also supports DHCP
  + Fix 'to integer' conversion of max and min count values
  + Imporove db.sqlalchemy.api._validate_unique_server_name method
  + Fixes disk size issue during image boot on Hyper-V
  + Moves Hyper-V options to the hyperv section
  + Rename source_(group_id/ip_prefix) to remote_(group_id/ip_prefix)
  + Adjusts reclaim instance interval of deferred delete tests
* Fri Mar  1 2013 iartarisi@suse.com
- Rename the openstack-nova-consoleauth service to
  openstack-nova-console to match the package name
* Wed Feb 27 2013 iartarisi@suse.com
- Split off nova-console sub-package
- Change sub-package groups to System/Management
* Mon Feb 25 2013 dmueller@suse.com
- Add missing requires to python-pyasn1
* Mon Feb 25 2013 vuntz@suse.com
- Add openstack-nova-polkit.rules: polkit rules for the new polkit
  that uses javascript. On openSUSE 12.3 and later, we install this
  file in /etc/polkit-1/rules.d/ instead of installing the pkla
  file which is of no use with the new polkit.
* Mon Feb 25 2013 dmueller@suse.com
- Update to version 2013.1.a4665.g42d058b+git.1361805164.42d058b:
  + Ensure 'subunit2pyunit' is run in venv from run_tests.sh
  + support reloctable venv roots in testing framework
  + Implement ZooKeeper driver for ServiceGroup API.
  + Fix boto capabilities check
  + lxc: virDomainGetVcpus is not supported by driver
  + Fix check instance host for instance action
  + Update .coveragerc
  + Fixes a bug in attaching volumes on Hyper-V
  + Adds _(prerun|check)_134 functions to test_migrations
  + Update to simplified common oslo version code.
  + More conductor support for resizes
  + replace ssh-keygen -m with a python equivalent
  + Clean up extended server output samples
  + Fix unconsumed column name warning in test_migrations.
  + Support for scheduler hints for VM groups
  + Allow generic rules in context_is_admin rule in policy.
  + Adds API Sample tests for FloatingIPDNS extension.
  + Don't call 'vif.plug' twice during VM startup
  + Add generic UC dropper
  + Use ServiceGroup API to show node liveness
  + Disallow setting /0 for network other than 0.0.0.0
  + Fix nova-compute use of missing DBError
  + Ensure that only one IP address is allocated.
  + Update docs about testing.
  + test_(dis)associate_by_non_existing_security_group_name missing stub
  + Changes GA code for tracking cross-domain.
  + Ensure that LB VIF drivers creates the bridge if necessary
  + Implements resize / cold migration on Hyper-V
  + Adding support for AoE block storage SANs.
  + make vmwareapi driver pass quantum port-id to ESX
  + xenapi: Remove unecessary exception handling
  + Sync jsonutils from openstack-common
  + Make the metadata paths use conductor
  + Add an extension to show the type of an ip.
  + Simplify and optimize az server output extension.
  + Refine PowerVM MAC address generation algorithm
  + Remove locking declarator in ServiceGroup __new__()
  + Properly write non-raw LVM images on creation
  + Libvirt: Implement snapshots for LVM-backed roots
  + Move allowvssprovider=false to vm-data field
  + Forces flavorRef to be string in servers resize api
  + Fix update quota with invalid value
  + Handle compute node not available for live migration
  + Allow VIF model to be chosen per image
  + Imported Translations from Transifex
  + Make compute manager use conductor for stopping instances
  + Add API sample tests to Services extension
  + Check the length of flavor name in "flavor-create"
  + VMWare driver to use current nova.network.model
  + Add GlusterFS libvirt volume connector
  + Correct misspelling in PowerVM comment
  + Module import style checking changes
  + Resize/Migrate functions for PowerVM driver
  + API extension for accessing instance_actions
  + Use a more specific error reporting invalid disk hardware
  + Fix passing conductor to get_instance_nw_info()
  + Fix regression in non-admin simple_usage:show.
  + maint: remove unused imports from bin/nova-*
  + Return dest_check_data as expected by the Scheduler
  + Add "is not" test to hacking.py
  + Allow multiple dns servers when starting dnsmasq
  + Allow aggregate create to have None as the az
  + Canonizes IPv6 before insert it into the db
  + Remove a log message in test code.
  + Use joinedload for system_metadata in db
  + add config drive to api_samples
  + [xenapi] Cooperatively yield during sparse copy
  + Add an update option to run_tests.sh
  + filter_scheduler: Select from a subset of hosts.
  + Make scheduler remove dead nodes from its cache.
  + VirtualPowerDriver catches ProcessExecutionError.
  + Allow archiving deleted rows to shadow tables, for performance.
  + use nova-conductor for live-migration
  + Don't modify injected_files inside PXE driver
  + Harmonize PEP8 checking between tox and run_tests.sh
  + preserve order of pre-existing iptables chains
  + relocatable roots doesn't handle testr args/opts
  + Add option to allow cross AZ attach configurable
  + Update tools/regression_tester
  + Synchronize code from oslo
  + Fix add-fixed-ip and remove-fixed-ip.
  + Only dhcp the first ip for each mac address.
  + Add migration with data test for migration 151
  + Remove dead variable assignment in compute manager
  + Split out body of loop in _sync_power_states in compute manager
  + Adds API Sample tests for FlavorAccess extension.
  + Use connection_info on resize
  + Stop unit test for prompting for a sudo password.
  + Speedup the revert_state test
  + Ensure start time is earlier than end time in simple_tenant_usage
  + Ensure there is only one instance of LibvirtDriver
  + Rename 'connection' to 'driver' in libvirt HostState
  + Make pep8 tests run inside virtualenv
  + Remove tests for non-existing SimpleScheduler
  + Correct spelling of quantum
  + clean up missing whitespace after ':'
  + Fix typo/bug in generic UC dropper
  + Add generic dropper for duplicate rows
  + Remove race condition (in TaskLog)
  + Imported Translations from Transifex
  + Fix script argument parsing.
  + Enable multipath for libvirt iSCSI Volume Driver
  + remove intermediate libvirt downloaded images
  + Add libvirt XML schema support for resource tuning parameters
  + Add image to request_spec during resize
  + Add and check data functions for test_migrations 141
  + Fix hacking tests on osx
  + Fixes a race condition on updating security group rules
  + Small spelling fix in sqlalchemy utils.
  + Do not use abbreviated config group names (zookeeper)
  + Add select_hosts to scheduler manager rpc
  + Live migration with an auto selection of dest
  + Add support for instance vif traffic control.
  + create new cidr type for data storage
  + Fix a typo in two comments.  networksa -> networks
  + Remove unused db calls
  + Remove unused db calls from nova.db.sqlalchemy.api
  + Fix _get_instance_volume_block_device_info call parameter
  + Remove unused nova.db.api:network_get_by_instance
  + Delete baremetal interfaces when their parent node is deleted
  + Add a safe_minidom_parse_string function.
  + Assign unique names with os-multiple-create.
  + Stub additional FloatingIP methods in FlatManager
  + Provide way to pass rxtx factor to quantum
  + Change CIDR column size on migration version 149
  + Remove unused nova.db.api:network_get_by_bridge
  + fix incorrectly defined ints as strs
  + Default SG rules for the Security Group "Default"
  + Support running periodic tasks immediately at startup
  + Ensure rpc result is primitive types.
  + Fix key check in instance actions formatter.
  + Fibre channel block storage support (nova changes)
  + Fix XML config tests for disk/net/cpu tuning
  + Fix XMLMatcher error reporting
  + libvirt: Fix LXC container creation
  + Allow fixed to float ping with external gateway.
  + Change all instances of the non-word "inteface" to "interface"
  + Added a service heartbeat driver using Memcached.
  + libvirt: Use uuid for instance directory name
  + PowerVMDiskAdapter detach/cleanup refactoring
  + Add support for network adapter hotplug.
  + Add support for instance disk IO control.
  + Add support for instance CPU consumption control.
  + support preallocated VM images
  + Add basic infrastructure for compute driver async events
  + Add support for lifecycle events in the libvirt driver
  + Handle lifecycle events in the compute manager
  + Multi-tenancy isolation with aggregates
  + Use oslo-config-2013.1b4
  + Fix hacking test to handle namespace packages.
  + Documentation cleanups for nova devref
  + Fix network list and show with quantum.
  + Fix inaccuracies in the development environment doc.
  + Make  ComputeTestCase.test_state_revert faster
  + Fix leak of loop/nbd devices in injection using localfs
  + Enhance IPAdresses migration tests
  + Log lifecycle events to log INFO (not ERROR)
  + Fix broken logging imports.
  + Sync latest install_venv_common.py
  + Allow exit code 21 for 'iscsiadm -m session'.
  + Sync rpc from oslo-incubator.
  + Add API Sample tests for Hypervisors extension.
  + Prevent the unexpected with nova-manage network modify.
  + Fix handling of source_groups with no-db-compute.
  + Add better status to baremetal deployments.
  + Add a volume driver in Nova for Scality SOFS
  + cfg should be imported from oslo.config
  + Refactor nwfilter parameters
  + Make nova security groups more pluggable
  + Add Nova quantum security group proxy
  + Wait for baremetal deploy inside driver.spawn
  + Better error handling in baremetal spawn & destroy
  + Improve performance of baremetal list_instances.
  + Identify baremetal nodes by UUID.
  + Baremetal driver returns accurate list of instance
  + Remove race condition (in Networks)
  + Removed duplicate spawn code in PowerVM driver
  + libvirt: fix volume walk of /dev/disk/by-path
  + ensure we run db tests in CI
  + More gracefully handle TimeoutException in test
  + Fix pep8 issues with test_manager.py
  + Move some context checking code from sqlalchemy
  + Fix message envelope keys.
  + Retry bw_usage_update() on innodb Deadlock
  + Add an extension to show image size.
  + Make add-fixed-ip update nwfilter wth in libvirt
  + Move DB thread pooling to DB API.
  + Fix instance directory path for lxc
  + Improve I/O performance for periodic tasks
  + Fix instance can not be deleted after soft reboot
  + Add snapshot methods to fakes.py
  + Spelling: compatable=>compatible
  + Sync rpc from oslo-incubator.
  + Sync eventlet_backdoor from oslo-incubator.
  + Fix ComputeAPI.get_host_uptime
  + Flush tokens on instance delete
  + Remove function redefinitions
  + Add missing ec2 security group quantum mixin
  + Fix baremetal migration skipping.
  + Migration 135: Fix drop_column statement
  + import base_dir_name config option into vmwareapi
  + Fix launching libvirt instances with swap
  + Migration 144: Fix drop index statement
  + BM Migrations 2 & 3: Fix drop_column statements
  + Fix migration snake-walk.
  + Add `post_downgrade` hook for migration tests.
  + Migration 146: Execute delete call.
  + Remove Print Statement
  + Fix exception handling in baremetal API.
  + Remove compat cfg wrapper
  + Add module prefix to exception types
  + Don't set filter name if we use Noop driver
  + Imported Translations from Transifex
  + Add missing import_opt for flat_injected
  + Make LibvirtDriver.uri() a staticmethod.
  + Make guestfs use same libvirt URI as Nova.
  + Removes unnecessary qemu-img dependency on powervm driver
  + Prevent default security group deletion.
  + Ensure macs can be serialized.
  + libvirt: lxml behavior breaks version check.
  + Updates to OSAPI sizelimit middleware.
  + Adding ability to specify the libvirt cache mode for disk devices
  + Add processutils from oslo.
* Mon Feb 25 2013 saschpe@suse.de
- Drop sysconfig from init scripts
- Rebase openstack-nova-network-init-bnc777488.patch
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-common-macros
* Thu Feb 21 2013 iartarisi@suse.com
- Add oslo-config requirement
* Mon Feb 18 2013 saschpe@suse.de
- Init script cleanup:
  + Drop useless shell variables
  + Don't depend on $network facility, we already have $remote_fs
    (comes after $network)
  + Source /etc/sysconfig/openstack-nova (if available), orthogonal
    to the other init scripts we provide. We're not using this feature
    ATM though
- Default configuration cleanup:
  + Use openstack-utils to set as much default values in the package
    as possible (instead of patch/sed/...). Some may be overwritting
    later on by, .e.g., crowbar
- More useful lograte configuration:
  + Compress
  + Make sure to keep log files for at least 90 days (i.e. rotate 15
    + weekly = 15 weeks).
  + Add size=1M to avoid getting DoS'ed by wild daemons
  + Use copytruncate instead of create+postrotate+sharedscripts to
    avoid a daemon restart
- Rebase openstack-nova-network-init-bnc777488.patch
* Thu Feb 14 2013 dmueller@suse.com
- Exchange handwritten nova.conf with a patch on the sampe
  config file
- Configure Quantum / Linuxbridge backend by default
- Require openstack-quantum-server
* Mon Feb 11 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1360595266.f262c43:
  + Merge QuantumLinuxBridgeVIFDriver into LibvirtGenericVIFDriver
  + Merge LibvirtOpenVswitchDriver class into LibvirtGenericVIFDriver
  + Adds evacuate method to compute.api
  + Record instance actions and events
  + VMware VC Compute Driver
  + Fix incorrect device name being raised.
  + Fix up instance types in sys meta for resizes
  + Teach resource tracker about stashed instance types
  + Make cells_api fetch stashed instance_type info
  + Remove remaining instance_types query from compute/manager
  + Make get_dev_name_for_instance() use stashed instance_type info
  + Allow for specifying nfs mount options
  + Fix import for install_venv.py
  + Add REST API to show availability_zone of instance.
  + Refactor server password metadata to avoid direct db usage
  + Added Postgres CI opportunistic test case
  + Move libvirt NFS volume driver impl into volume.py
  + Move libvirt volume driver tests to separate test case
  + Refactor instance usage notifications for compute manager
  + Remove unused methods.
  + Add API sample tests to os-network
  + Refactor code for setting up libvirt disk mappings
  + Allow disk driver to be chosen per image
  + Cells: Add support for compute HostAPI()
  + Adds original copyright notice to refactored files
  + Add support for memory overcommit in live-migration
  + separate libvirt injection and configdrive config variables
  + Default value of monkey_patch_modules is broken
  + Remove hardcoded topic strings in network manager
  + lxc: Clean up namespace mounts
  + Remove strcmp_const_time.
  + Use oslo database code
  + Sync latest install_venv_common from oslo.
  + Update en_US message translations.
  + Imported Translations from Transifex
  + Change forward_bridge_interface to MultiStrOpt
  + Move security_groups refreshes to conductor
  + Access DB as dict not as attributes part 5
  + Cells: Add cells support to instance_usage_audit_log api extension
  + Cells: Add cells support to hypervisors extension
  + Merge Libvirt....VirtualPortDriver class into LibvirtGenericVIFDriver
  + Fix inject_files for storing binary file.
  + hypervisor-supplied-nics support in PowerVM
  + Ban database access in nova-compute
  + Support hypervisor supplied macs in nova-network
  + Return to skipping filters when using force_hosts.
  + Fix lazy load 'system_metadata' failed problem.
  + Access DB as dict not as attributes part 5
  + Add regression testing tool
  + Recache or rebuild missing images on hard_reboot
  + Default the last parameter (state) in task_log_get to None
  + Move floating ip db access to calling side.
  + Optimize rpc handling for allocate and deallocate
  + Added the build directory to the tox.ini list pep8 ignores.
  + Regenerate nova.conf.sample
  + Fixed FlavorAccess serializer
  + Extension for rebuild-for-ha
  + Update modules from common required for rpc with lock detection.
  + Add a virtual PowerDriver for Baremetal testing
  + Remove nova.db call from baremetal PXE driver
  + Fix missing key error in libvirt.driver
  + allow disabling file injection completely
  + ensure zeros are written out when clearing volumes
  + Use joined version of db.api calls
  + Update nova/compute/api to handle instance as dict
  + Update jsonutils from oslo-incubator
  + l3.py,add_floating_ip: setup NAT before binding
  + Sync latest db and importutils from oslo
  + Simplify libvirt snapshot code path
  + fix VM power state to be NOSTATE when instance not found
  + Merge LibvirtHybridOVSBridgeDriver into LibvirtGenericVIFDriver
  + Introduce support for 802.1qbg and 802.1qbh to Nova VIF model
  + Add api-samples to multinic extension
  + Change to support custom nw filters.
  + Flavor Extra Specs should require admin privileges
  + Allow connecting to self-signed quantum endpoints
  + xenapi: Cleanup detach_volume code
  + Parse testr output through subunit2pyunit.
  + Add control-M to list of characters to strip out
  + Fix spelling in comment
  + Imported Translations from Transifex
* Mon Feb  4 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1359988640.47bbf12:
  + Mark password config options with secret
  + Update HACKING.rst per recent changes
  + Optimize floating ip list to make one db query
* Mon Feb  4 2013 dmueller@suse.com
- Update to version 2013.1+git.1359979191.7d585b2:
  + Fix incorrect logs in network
  + Make NFS mount hashes consistent with Cinder
  + Imported Translations from Transifex
  + Reimplement is_valid_ipv4().
  + Tweakify is_valid_boolstr().
  + Make system_metadata update in place
  + Postgres does not like empty strings for type inet
  + Add 'not in' test to tools/hacking.py
  + Split floating ip functionality into new file.
  + Optimize network calls by moving them to api
  + Fixes unhandled exception in detach_volume
  + Fixes FloatingIPDNS extension 'show' method.
  + import tools/flakes from oslo
  + Use conductor for instance_info_cache_update.
  + Quantum metadata handler now uses X-Forwarded-For
  + instance.update notifications don't always identify the service
  + Fixes 'not in' operator usage
  + Fixes "is not" usage
  + Make scheduler modules pass conductor to add_instance_fault
  + Condense multiple authorizers into a single one.
  + Extend extension_authorizer to enable cleaner code.
  + Remove unnecessary deserializer test
  + Added sample tests to FlavorExtraSpecs API
  + Fix rebuild with volumes attached
  + DRYing up volume_in_mapping code.
  + Use _prep_block_device in rebuild.
  + xenapi: Ax unecessary `block_device_info` params
  + Code cleanup for rebuild block device mapping
  + Fix eventlet/mysql db pooling code
  + Add support for compressing qcow2 snapshots
  + Remove deprecation notice in LibvirtBridgeDriver
  + Add api samples to fping extension
  + Fix SQL Error with fixed ips under devstack/postgresql
  + Pass testropts in to setup.py in run_tests.sh
  + Nova Hyper-V driver refactoring
  + Fixed grammar problems and typos in doc strings
  + Add option to control where bridges forward
  + xenapi: Add support for different image upload drivers
  + Removed print stmts in test cases
  + Fix get and update in FlavorExtraSpecs
  + Libvirt: Add support for live snapshots
  + Move task_log functions to conductor
  + erase outdated comment
  + Keep flavor information in system_metadata
  + Add instance_fault_create() to conductor
  + Adds API Sample tests for os-instance_usage_audit_log extension.
  + validate specified volumes to boot from at the API layer
  + Refactor libvirt volume driver classes to reduce duplication
  + Change ''' to """ in bin/nova-{novncproxy,spicehtml5proxy}
  + Pass parameter 'filter' back to model layer
  + Fix boot with image not active
  + refactored data upgrade tests in test_migrations
  + Fix authorized_keys file permissions
  + Finer access control in os-volume_attachments
  + Stop including full service catalog in each RPC msg
  + Make sure there are no unused import
  + Fix missing wrap_db_error for Session.execute() method
  + Use install_venv_common.py from oslo.
  + Add Region name to quantum client
  + Removes retry of set_admin_password
  + fix nova-baremetal-manage version printing
  + Refactoring/cleanup of compute and db apis
  + Fix an error in affinity filters
  + Fix a typo of log message in _poll_unconfirmed_resizes
  + Allow users to specify a tmp location via config
  + Avoid hard dependency on python-coverage.
  + iptables-restore error when table not loaded.
  + Don't warn up front about libvirt loading issues in NWFilterFirewall
  + Relax API restrictions around the use of reboot
* Tue Jan 29 2013 iartarisi@suse.com
- add /var/lib/nova/instances|images|keys|networks|tmp dirs to the
  %%install section
* Mon Jan 28 2013 dmueller@suse.com
- Update to version 2013.1+git.1359364603.e1ce387:
  + Add system_metadata to db.instance_get_active_by_window_joined
  + Enable N302: Import modules only
  + clean up api_samples documentation
  + Fix bad imports that cause nova-novncproxy to fail
  + Support optional 4 arg for nova-dhcpbridge
  + Increase maximum URI size for EC2 API to 16k
  + Refactored run_command for better naming
  + Fix hacking N302 import only modules
  + Avoid db lookup in info_from_instance().
  + Fixes task_log_get and task_log_get_all signatures
  + Make failures in the periodic tests more detailed.
  + Clearer debug when test_terminate_sigterm fails.
  + Skip backup files when running pep8.
  + Added sample tests to floating-ip-pools API.
  + Don't pass the entire list of instances to compute
  + VMware Compute Driver Volume Management
  + Bump the base rpc version of the network api to 1.7.
  + Remove compute api from scheduler driver
  + Remove network manager from compute manager.
  + Adds SSL support for API server.
  + Provide creating real unique constraints for columns
* Fri Jan 25 2013 saschpe@suse.de
- Ship sudoers configuration for nova-rootwrap instead of relying on
  openstack-quickstart or Crowbar to set it up correctly. Depends on
  openstack-common-sudo
- Don't own /var/lib/nova/wsgi twice
* Wed Jan 23 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1358959067.a8a0826:
  + Adds conductor support for instance_get_active_by_window_joined
  + Make compare_result show the difference in lists
  + Don't limit SSH keys generation to 1024 bits
  + Drop volume API
  + Fix for typo in xml API doc sample in nova
  + List servers having non-existent flavor should return empty list
  + Replace use of mkdtemp with fixtures.TempDir
* Wed Jan 23 2013 saschpe@suse.de
- Remove /nova/rootwrap.d/baremetal-compute-pxe.filters from filelist
- Clean up %%config(noreplace), only logrotate config and nova.conf
  should be noreplace
* Tue Jan 22 2013 dmueller@suse.com
- Update to version 2013.1+git.1358859912.fab8af5:
  + Add trust level cache to trusted_filter
  + Avoid testtools 0.9.25
  + Refactor compute_utils to avoid db lookup
  + fix service_ref undefined problem.
* Mon Jan 21 2013 dmueller@suse.com
- Add openstack-nova-conductor subpackage:
  New Nova service needed by Grizzly Nova API
- Add openstack-nova-cells subpackage:
  New
* Mon Jan 21 2013 dmueller@suse.com
- Update to version 2013.1+git.1358761955.cd4093e:
  + Use conductor in the servicegroup db driver.
  + Add service_update to conductor.
  + Remove some db calls from db servicegroup driver.
  + Cells: Fix for relaying instance info_cache updates
  + Fix wrong quota reservation when deleting resizing instance
  + Add host to instance_faults table.
  + Remove obsolete baremetal override of MAC addresses.
  + Fix multi line docstring tests in hacking.py
* Thu Jan 17 2013 saschpe@suse.de
- Update to version 2013.1+git.1358429478.f966e0f:
  + Better instance fault message when rescheduling.
  + Fix fallback when Quantum doesn't provide a 'vif_type'
  + Add encryption method using an ssh public key.
  + Make resource tracker use conductor for listing instances
  + Make resource tracker use conductor for listing compute nodes
  + Updates prerequisite packages for fedora
  + Expose a get_spice_console RPC API method
  + Add a get_spice_console method to nova.virt.ComputeDriver API
  + Add nova-spicehtml5proxy helper
  + Pull NovaWebSocketProxy class out of nova-novncproxy binary
  + Add support for configuring SPICE graphics with libvirt
  + Add support for setting up <channel> elements in libvirt config
  + Add common config options for SPICE graphics
  + Override floating interface on callee side
  + Reject user ports that have MACs the hypervisor cannot use.
  + Remove unused import.
  + Move migration_get_..._by_host_and_node to conductor
  + Make resource tracker use conductor for migration updates
  + minor improvements to nova/tests/test_metadata.py
  + Cells: Add some cells support to admin_actions extension
  + Populate service list with availability zone and correct unit test
  + Correct misspelling of fake_service_get_all
  + Add 'devname' to nova.network.model.VIF class
  + Use testrepository setuptools support.
- Update requirements
* Tue Jan 15 2013 dmueller@suse.com
- add addition requires for test subpackage
* Tue Jan 15 2013 saschpe@suse.de
- Update to version 2013.1+git.1358252885.8fddd6a:
  + Export the MAC addresses of nodes for bare-metal.
  + Break out a helper function for working with bare metal nodes.
  + Define a hypervisor driver method for getting MAC addresses.
  + Revert "Use testr setuptools commands."
  + Revert "Populate service list with availability zone"
  + Fix typos in docstring
  + Adds support for Quantum networking in Hyper-V
  + Fix addition of CPU features when running against legacy libvirt
  + Fix uses of service_get_all_compute_by_host
  + VMware Compute Driver Rename
  + Extract validation and provision code to separate method
  + Keep self and context out of error notification payload.
  + Populate service list with availability zone
- Move back to "git_tarballs" source service
* Tue Jan 15 2013 vuntz@suse.com
- Drop nova-migration-config.patch: the patch is not used anymore,
  as we don't need it anymore with the _service we're using now.
* Mon Jan 14 2013 dmueller@suse.com
- Update to version 2013.1+git.1358177986.ca4b130:
  + Remove the global DATA
  + livbirt: have a single source of console log file naming.
  + NovaBase.delete() rename to NovaBase.soft_delete()
  + Imported Translations from Transifex
  + config_drive is missing in xml deserializer
  + Handle compute node records with no timestamp.
  + Provide a PXE NodeDriver for the Baremetal driver
  + Check admin context in bm_interface_get_all()
  + Make WebOb version specification more flexible
  + Upgrade WebOb to 1.2.3
  + Invert test stream capture logic for debugging.
  + Get instances from conductor in init_host.
  + Convert short doc strings to be on one line
  + Changed 'OpenStack, LLC' message to 'OpenStack Foundation'
  + Added sample tests to QuotaClasses API.
  + PXE bare-metal provisioning helper server
  + Sync rpc and notifier from oslo-incubator.
  + Support cinderclient http retries.
  + Conductor instance_get_all replaces _by_filters
  + Add NoopQuotaDriver
  + Add exception handler for previous deleted flavor.
  + powervm: Implement snapshot for local volumes
  + Add api extension to get and reset password
  + fix N401 errors, stop ignoring all N4* errors
  + attach/detach_volume() take instance as a parameter
  + Remove unused osapi_path option
  + Move global glance opts into nova.image.glance
  + Move global s3 opts into nova.image.s3
  + Move cert_topic into nova.cert.rpcapi
  + Move network_topic into nova.network.rpcapi
  + Move console_topic into nova.console.rpcapi
  + Move scheduler_topic into nova.scheduler.rpcapi
  + CLI for bare-metal database sync.
  + Adds a new tenant-centric network extension
  + Fix baremetal VIFDriver
  + xenapi: Remove dead code, moves, tests
  + Refresh instance metadata in-place
  + Added sample tests to FlavorRxtx API.
  + Fix serialization in impl_zmq.
  + add to driver option to keep disks when instance destroyed
  + Add to libvirt driver instance_on_disk method
  + Adds to manager init_host validation for instances location
  + Fix lintstack check for multi-patch reviews
  + Clarify the DBApi object in cells fakes
  + Sync log from oslo-incubator
  + Enable Aggregate based availability zones
  + Remove availability_zones from service table
  + Import latest timeutils from oslo-incubator
  + Cope better with out of sync bm data.
  + New instance_actions and events table, model, and api
  + Fix N402 for nova/api
  + Fix N402 for nova/virt
  + fix N402 for nova/tests
  + fix N402 for nova/scheduler
  + fix N402 for nova/network
  + Move compute_topic into nova.compute.rpcapi
  + Move manager options into nova.service
  + Move api_class options to where they are used
  + Move osapi_compute_unique_server_name_scope to db
  + Move default_instance_type into nova.compute
  + Move common virt driver options to virt.driver
  + Move enabled_apis option into nova.service
  + Move vpn_image_id to pipelib
  + Adds option to rebuild instance with existing disk
  + Fix pyflakes issues in integrated tests
  + Enhance wsgi to listen on ipv6 address
  + Fixed typos in doc strings.
  + fix N402 for nova/db
  + fix N402 for nova/c*
  + fix N402 for rest of nova
  + fix N402 for nova-manage
  + fix N402 on tools/
  + Move vpn_key_suffix into pipelib
  + Move service_down_time to nova.service
  + Move memcached_servers opt into common.memorycache
  + Move global service networking opts to new module
  + Remove unused opt import in scheduler.driver
  + Remove unused baremetal PXE options
  + Added sample tests to FlavorSwap API.
  + Fixed comment typo
  + Fix test cases in integrated.test_multiprocess_api
  + Fix init_host checking moved instances
  + Update instance's cell_name in API cell.
  + Fix bash syntax error in run_tests.sh
  + Remove bogus 'unplug' calls from libvirt VIF test
  + Move libvirt VIF XML config into designer.py
  + Add some constants to the network model for drivers to use
  + Make nova network manager fill in vif_type
  + Make Quantum plugin fill in the 'bridge' name
  + Regenerate nova.conf.sample
  + Try out a new nova.conf.sample format
  + Add host name to log message for _local_delete
  + fix new N402 errors
  + make runtests -p act more like tox
  + Add user/tenant shim to RequestContext
  + Cleanup pyflakes in nova-manage
  + Change ComputerDriver.legacy_nwinfo to raise by default.
  + Move update_instance_info_cache to conductor.
  + Create a directory for servicegroup drivers.
  + Move logic from os-api-host into compute
  + Access instance as dict, not object in xenapi
  + Make it clearer that network.api.API is nova-network specific.
  + Fix libvirt resume function call to get_domain_xml
  + Adding configdrive to xenapi.
  + Correct the calculating of disk size when using lvm disk backend.
  + Fix quota updating when admin deletes common user's instance
  + Remove more unused opts from nova.scheduler.driver
  + Skip domains on libvirt errors in get_vcpu_used()
  + Fix error in NovaBase.save() method
  + Handle directory conflicts with html output.
  + Fix some conductor manager return values.
  + Make pinging conductor a part of conductor API.
  + Allow forcing local conductor.
  + Handle waiting for conductor in nova.service.
  + Add service_create to conductor.
  + Make nova.service get service through conductor.
  + Add service_destroy to conductor.
  + Fix use of stale instance data in compute manager
  + Move migration_create() to conductor
  + Use testr setuptools commands.
  + Convert ConfigDriveHelper to being a context manager itself.
- drop subpackage openstack-nova-volume, is now renamed to
  openstack-cinder to ease migration
- nova-rbd-use-local-devices.patch: Commented out, needs rediffed
  and adapted to Grizzly
* Thu Jan  3 2013 iartarisi@suse.de
- Switch to github_tarballs source service
- Update to version 2012.2.3+git.1357215468.451003e:
  + Fix a crash when launching qcow2 images containing snapshots
* Wed Dec 19 2012 saschpe@suse.de
- Use macro %%openstack_sphinx_build_manpages_only
* Wed Dec 19 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
  + Drop %%majorversion macro
- Fix testsuite requirements
* Wed Dec 19 2012 bwiedemann@suse.com
- update init scripts and nova.conf for Folsom
* Tue Dec 11 2012 saschpe@suse.de
- Use new git_tarballs source service
- Update to version 2012.2.3+git.1355243803.9e62846:
  + Bump version to 2012.2.3
  + Final versioning for 2012.2.2
  + Don't leak info from libvirt LVM backed instances
* Mon Dec 10 2012 iartarisi@suse.com
- Update to latest git (670b388):
  + Fix rpc control_exchange regression.
* Thu Dec  6 2012 iartarisi@suse.com
- Set the version to seconds from epoch
* Thu Dec  6 2012 iartarisi@suse.com
- Use upstream tarballs instead of the git repository
* Wed Dec  5 2012 saschpe@suse.de
- Use @PARENT_TAG@ in _service file to automate versioning
* Mon Dec  3 2012 iartarisi@suse.com
- Add sqlalchemy-migrate config to the python package
* Thu Nov 15 2012 saschpe@suse.de
- Use openstack-macros
* Fri Nov  9 2012 saschpe@suse.de
- Add more test requirements for which we have packages now:
  + Requires: python-nosehtmloutput
* Thu Nov  8 2012 saschpe@suse.de
- Drop from_vcs build flag
* Tue Oct 30 2012 saschpe@suse.de
- Drop temporary fixes for file permissions and attributes in %%post
  section. They were necessary only to migrate from pre-1.0 packages.
* Wed Oct 17 2012 saschpe@suse.de
- Drop "%%fdupes doc/build/html", HTML documentaion is build in seperate
  spec file
* Tue Oct  9 2012 vuntz@suse.com
- Update to version 2012.2 (Folsom):
  + See https://github.com/openstack/nova/commits/folsom-3
- Drop the following upstreamed patches:
  + jsonutils-fix-new-anyjson.patch
  + nova-glance-ssl.patch
  + nova-volume-list-all_tenants.patch
- Buildrequire python-base instead of python-devel:
  + Sufficient for Python-only modules (containing no C/C++ code)
- Migration of /etc/sysconfig/openstack-novncproxy to
  openstack-nova-novncproxy
- Move some Requires from base package to python-nova
* Mon Oct  1 2012 jenkins@suse.de
- Update to latest git (d1d5d6d):
  + Use bare container format by default
  + fix cleanup_file_locks with restricted permissions
  + make ensure_default_security_group() call sgh
  + fix unmounting of LXC containers in the presence of symlinks
* Wed Sep 26 2012 vuntz@suse.com
- Add nova-volume-list-all_tenants.patch: do not list volumes from
  all tenants by default for admins. Fixes several issues,
  including a crash in horizon. Fix bnc#782289.
* Wed Sep 26 2012 bwiedemann@suse.com
- rename nova-filter-FORWARD-sitelocal firewall rule
  to remain below the 28 character limit (bnc#781800)
- make init script wait for postgresql (bnc#781798)
* Tue Sep 25 2012 jenkins@suse.de
- Update to latest git (47dabb3):
  + Yield to another greenthread when some time-consuming task finished.
* Thu Sep 20 2012 bwiedemann@suse.com
- add polkit-1 rule to allow libvirt access by nova-compute
* Sun Sep 16 2012 jenkins@suse.de
- Update to latest git (2e75689):
  + Make flavorextradata ignore deleted flavors.
  + Ensure hairpin_mode is set whenever vifs is added to bridge.
  + Fix simple_tenant_usage's handing of future end times
  + Redefine the domain's XML on volume attach/detach
* Wed Sep 12 2012 vuntz@suse.com
- Do not use a sed to modify /usr/bin/gensslcert in %%post: this
  file belongs to another package, and we actually don't do any
  change with the sed... Fix bnc#779747.
* Wed Aug 29 2012 bwiedemann@suse.com
- fix nova-network init script patch (bnc#777488)
* Tue Aug 28 2012 bwiedemann@suse.com
- add firewall rules to reject traffic
  to the admin and storage networks (bnc#777488)
* Tue Aug 28 2012 jenkins@suse.de
- Update to latest git (4d2a4af):
  + Makes sure instance deletion ok with deleted data
  + Add error log for live migration.
* Thu Aug 23 2012 jenkins@suse.de
- Update to latest git (86fb736):
  + Fix exception handling in libvirt attach_volume()
* Thu Aug 23 2012 vuntz@suse.com
- Add nova-glance-ssl.patch: make nova work with ssl-enabled
  glance. Part of bnc#776909.
* Tue Aug 21 2012 jenkins@suse.de
- Update to latest git (272b98d):
  + Restore libvirt block storage connections on reboot.
  + fix unmounting of LXC containers
* Tue Aug 21 2012 jdsn@suse.de
- let nova compute init script depend on libvirtd (bnc#776763)
* Fri Aug 10 2012 jenkins@suse.de
- Update to latest git (63dd6be):
  + Final versioning for 2012.1.2
  + Bump version to 2012.1.3
* Wed Aug  8 2012 jfehlig@suse.com
- Upstream has standardized on vm_mode values, see commit eb074328.
  Update nova-xen.patch to conform to the standard.
* Wed Aug  8 2012 jenkins@suse.de
- Update to latest git (d4c7f6f):
  + fix the qpid_heartbeat option so that it's effective
  + Drop AES functions and pycrypto dependency
* Tue Aug  7 2012 jenkins@suse.de
- Update to latest git (d9577ce):
  + Prohibit file injection writing to host filesystem
* Wed Aug  1 2012 vuntz@suse.com
- Split nova-cert service in openstack-nova-cert subpackage. Needed
  for bnc#773188.
* Tue Jul 31 2012 jenkins@suse.de
- Update to latest git (6c05f43):
  + Adding networking rules to vm's on compute service startup
  + use boto's HTTPResponse class for versions of boto >=2.5.2
  + Convert remaining network API casts to calls
  + Moving where the fixed ip deallocation happens.
  + ensure libguestfs mounts are cleaned up
* Tue Jul 31 2012 iartarisi@suse.cz
- remove nova-boto-httpresponse.patch which has been merged upstream:
  https://review.openstack.org/#/c/10209/
* Tue Jul 31 2012 saschpe@suse.de
- Provide nova-api WSGI skeleton
* Mon Jul 30 2012 saschpe@suse.de
- Provide self-signed SSL certificates to be used for non-production setups
  (like openstack-quickstart)
* Mon Jul 30 2012 saschpe@suse.de
- Drop useless BuildRequires: bpython
* Sat Jul 28 2012 jenkins@suse.de
- Update to latest git (b68e9c6):
  + Handle local & remote exceptions consistently.
  + Fix wrong regex in cleanup_file_locks.
* Sat Jul 28 2012 cthiel@suse.com
- remove rpc-exceptions-9b3e0b6d.patch which has been merged upstream:
  https://review.openstack.org/#/c/9534/
- refresh all patches, to apply without fuzz
* Wed Jul 25 2012 cthiel@suse.com
- add 5b85997e-power_state.patch, based on
  https://review.openstack.org/#/c/10266/, to clean up power state handling in
  nova
* Tue Jul 24 2012 jenkins@suse.de
- Update to latest git (bb89acc):
  + Backport tox settings to unbreak jenkins jobs.
  + Fixes affinity filters when hints is None
  + Backport fix for API listing of os-hosts.
  + Conditionally allow queries for deleted flavours
* Tue Jul 24 2012 cthiel@suse.com
- fix nova-xen.patch, to make tests pass again
* Tue Jul 24 2012 cthiel@suse.com
- add nova-xen.patch, fixes xen support for both hvm and pv (bnc#772601)
* Tue Jul 24 2012 jenkins@suse.de
- Update to latest git (5e6795a):
  + Avoid lazy-loading errors on instance_type
  + Avoid casts in network manager to prevent races
* Mon Jul 23 2012 iartarisi@suse.cz
- fix tests for newer version of python-boto
* Mon Jul 23 2012 cthiel@suse.com
- update via service run
  - remove nova-rootwrapper-sles-paths.patch, which has been merged upstream
  - libvirt: fix qcow2 size on live block migration (lp#977007)
* Fri Jul 20 2012 cthiel@suse.com
- update rpc-exceptions-9b3e0b6d.patch based on
  https://review.openstack.org/#/c/9534/
* Fri Jul 20 2012 cthiel@suse.com
- update via service run, to drop de5cb27e-qcow2-cluster-size.patch and
  over-quota-413-80733aa4.patch, that have been merged upstream
* Thu Jul 19 2012 vuntz@suse.com
- Update to 2012.1+git.1342649938.1f842a4:
  + Fixes ram_allocation_ratio based over subscription (lp#1016273)
  + Distinguish over-quota for volume size and number (lp#1020634)
  + Expose over-quota exceptions via native API (lp#1021373)
  + Fix libvirt get_memory_mb_total() with xen (lp#1004298)
- Drop 78352b98-libvirt-xen-mem.patch and
  over-quota-exceptions-4c49df74.patch: merged upstream.
* Tue Jul 17 2012 vuntz@suse.com
- Add over-quota-exceptions-4c49df74.patch,
  over-quota-413-80733aa4.patch, rpc-exceptions-9b3e0b6d.patch: a
  series of patches to correctly expose various exceptions in the
  API, instead of hiding them and producing a backtrace. Fix
  bnc#770124.
* Mon Jul 16 2012 cthiel@suse.com
- add 78352b98-libvirt-xen-mem.patch to fix xen support (bnc#770681)
* Thu Jul 12 2012 jdsn@suse.com
- remove patch for bug bnc#769399 as upstream now contains it
* Mon Jul  9 2012 saschpe@suse.de
- (Re-)add proposed patch for bnc#769399
* Wed Jul  4 2012 rhafer@suse.de
- Added patch: nova-rbd-use-local-devices.patch adds support for
  local rbd devices to nova-compute
* Wed Jul  4 2012 saschpe@suse.de
- Update to version 2012.1+git.1341325932.b0feaff:
  + Increased nova.virt.disk test coverage
  + Safety-check for injected file paths
* Fri Jun 29 2012 saschpe@suse.de
- Mark /etc/nova/api-paste.ini as %%config(noreplace) so that a modified
  version won't be replaced by an updated one.
* Wed Jun 27 2012 saschpe@suse.de
- Change versioning scheme to $release+git.$AUTHORDATE.$COMMITREV
- Simplify from_vcs macros
* Wed Jun 27 2012 vuntz@suse.com
- Add jsonutils-fix-new-anyjson.patch: fix nova.utils to be
  compatibly with the version of python-anyjson we use
  (lp#1017765).
* Tue Jun 26 2012 saschpe@suse.de
- Consistent package summaries
- Use upstream description
- Macro cleanup:
  + Package is noarch except for SLE-11
  + No need to redefine %%_initddir, SLE-11 works correctly
  + No need for 'with_doc', no documentation package is built
* Mon Jun 25 2012 saschpe@suse.de
- Split out doc package to reduce build time and dependencies
* Fri Jun 22 2012 jfehlig@suse.com
- Revert upstream commits introducing a set of config classes in
  the libvirt driver.  The patches were causing problems with
  upstream backports to the stable/essex branch, which contains
  the old Cheetah template-based infrastructure in the libvirt
  driver.
* Fri Jun 22 2012 bwiedemann@suse.com
- add config entries needed to run nova-network as non-root
* Thu Jun 21 2012 rhafer@suse.de
- Included fix to make nova-rootwrap work on SLES (lp#1013147)
- Remove special case to run -compute, -nova and -volume as root
  from the init script(s).
* Mon Jun 18 2012 saschpe@suse.de
- Silence some more rpmlint warnings for the -test package, it's
  horrible anyway ;-)
- Fix bnc#750137 also for /etc/nova/nova.conf
* Tue Jun 12 2012 saschpe@suse.de
- Use 'openstack-nova' system user instead of 'nova'
* Wed Jun  6 2012 saschpe@suse.de
- Moved %%restart_on_update to %%post section (see
  http://en.opensuse.org/openSUSE:Packaging_init_scripts#Installation)
- Added %%stop_on_removal and %%insserv_cleanup for
  openstack-nova-cert and openstack-nova-consoleauth services
- Fix several rpmlint warnings
- Added rpmlintrc for non-issues
- Add Should-Stop: lines to init scripts (LBS compliance)
* Mon Jun  4 2012 SPeilicke@suse.com
- Removed 'Requires: python-tornado' from python-nova package. Upstream
  code contains no reference to it (others than copied/inspired code)
* Thu May 24 2012 jfehlig@suse.com
- Add 'Requires: python >= 2.6.8' to openstack-nova and
  python-nova subpackage
* Tue May 22 2012 bwiedemann@suse.com
- run vncproxy as non-root
* Tue May 22 2012 bwiedemann@suse.com
- make /etc/nova/api-paste.ini private
  to not show the admin_token to everyone (bnc#750137)
* Thu May 17 2012 jfehlig@suse.com
- Add upstream commits that introduce a set of config classes in
  the libvirt driver.  The config classes provide a canonical
  representation of the instance configuration, vs the error-prone
  Cheetah template-based approach.
- Add upstream commit de5cb27e.  Use qcow2 default cluster size of
  64k when creating cow images.
* Fri Apr 20 2012 bwiedemann@suse.com
- add bash completion for nova-manage
* Tue Feb 21 2012 jdsn@suse.de
- run some nova services as nova user
* Thu Feb  9 2012 bwiedemann@suse.com
- ignore 169.254.169.254/32 RTNETLINK answers: File exists
* Wed Feb  8 2012 rhafer@suse.de
- Fixed try-restart command in init script only restart if the
  service was running before
- Don't enable service automatically during install
* Mon Feb  6 2012 iartarisi@suse.cz
- added a disable-intersphinx.patch, which disables internet
  documentation lookup
- run the provided generate_autodoc_index.sh script
* Tue Jan 31 2012 rhafer@suse.de
- Fixed BuildRequires
* Tue Jan 31 2012 bwiedemann@suse.com
- use upstream api-paste.ini
* Thu Jan 26 2012 bwiedemann@suse.com
- don't require aoetools. AOEDriver is Deprecated.
  This driver will be removed in Essex.
* Tue Jan 24 2012 aspiers@suse.com
- updated to recent git snapshot
- removed stable/diablo patches
- added some BuildRequires
- fixed file lists and other issues which prevented build completing
- changed from .tar.gz to .tar.bz2
* Mon Jan 16 2012 prusnak@opensuse.org
- fix initscript scriptlets
* Wed Jan 11 2012 bwiedemann@suse.com
- add patch for authentication bug (bnc#740183)
* Tue Jan 10 2012 bwiedemann@suse.com
- use spdx.org License name Apache-2.0
* Mon Jan  9 2012 bwiedemann@suse.com
- update upstream stable/diablo patches
  omitting 0075-Sanitize-EC2-manifests-and-image-tarballs.patch
  because it contains binary, which is not supported by patch
* Wed Jan  4 2012 bwiedemann@suse.com
- add 'Required-Start: $network' to avoid failure to connect
  to remote mysql when booting with systemd
* Fri Dec 23 2011 bwiedemann@suse.com
- require bridge-utils for nova-compute
* Tue Dec 20 2011 bwiedemann@suse.com
- add noVNC
* Tue Dec 13 2011 vuntz@opensuse.org
- Merge changes to enable build from git:
  + Add from_vcs and no_from_vcs bconds, that can be used in
    addition to the BUILD_FROM_VCS macro to decide what to build.
  + Add some warning to summary of packages is building from VCS.
  + Add python-novaclient BuildRequires: new dependency in git.
  + Do not apply patches for the git package.
  + Package files that are new in git.
* Tue Dec  6 2011 bwiedemann@suse.com
- Recommend python-mysql on openstack-nova as it is needed
  for compute nodes which do not have openstack-nova-api
* Tue Nov 29 2011 prusnak@opensuse.org
- create rc symlinks for services
- add missing postun sections
- package /var/run/nova as ghost
* Tue Nov 29 2011 idoenmez@suse.de
- Cleanup some rpmlint warnings
* Tue Nov 29 2011 hvogel@suse.com
- Package lock dir and make sure to create it if it doesn't exist
* Mon Nov 28 2011 prusnak@opensuse.org
- disable doc build on 12.1+ for now (sphinx segfault)
- add missing dependencies
- subpackages require the main package now
* Fri Sep 23 2011 bwiedemann@suse.com
- update to 2011.3 (Diablo)
* Wed Sep 21 2011 bwiedemann@suse.com
- require python-xml instead of missing PyXML
* Mon Sep 19 2011 bwiedemann@suse.com
- avoid rotating backups of backups filling disk with millions of files
* Tue Jun 21 2011 naehring@b1-systems.de
- update to bzr rev 1200
  - This patch adds support for working with instances by UUID in addition to integer IDs.
  - The Zone Scheduler routing mechanics were changed slightly so that when an UUID is passed in, it checks to see whether the item is available locally.
  - If it isn't it re-routes to a child zone.
  - If it is available locally, it substitutes the UUID with the integer ID and calls the wrapped function. This is the 'trick' allows us to not change any of the virt-layer code-- everything still uses integer IDs locally.
  - Check that server exists when interacting with /v1.1/servers/<id>/meta resource
  - Implements a portion of ec2 ebs boot.
  - What's implemented
  * block_device_mapping option for run instance with volume(ephemeral device and no device isn't supported yet)
  * stop/start instance
  - Make EC2 update_instance() only update updatable_fields, rather than all fields. Patch courtesy of Vladimir Popovski.
  - Fixes two minor bugs (lp795123 and lp795126) in the extension mechanism.  The first bug is that each extension has _check_extension() called twice on it; this is a minor cosmetic problem, but the second is that extensions which flunk _check_extension() are still added.  The proposed fix is to make _check_extensions() return True or False, then make _add_extension() call it from the top and return immediately if _check_extensions() returns False.
  - Fixes a bug where a misleading error message is outputted when there's a sqlalchemy-migrate version conflict.
  - Fix the volumes extension resource to have a proper prefix - /os-volumes
  - Fixes lp797017, which is broken as a result of a fragile method in the xenapi drivers that assumed there would only ever be one VBD attached to an instance.
  - Removes nova/image/local.py (LocalImageService)
  - Increased error message readability for the OpenStack API.
  - Updated "get_all_across_zones" in nova/compute/api.py to have "context = context.elevated()", allowing it to be run by non-admin users
  - Update xenapi/vm_utils.py so that it calls find_sr instead of get_sr.
  - Remove the old get_sr function which by default looked for an SR named 'slices'.
  - Make $my_ip Glance's default host, not localhost.
  - Fixes a bug where a unit test sometimes fails due to a race condition.
  - Adds 'joinedload' statements where they need to be to prevent access of a 'detached' object.
  - novaclient changed to support projectID in authentication. Caused some minor issues with distributed scheduler. This fixes them up.
  - The Xen driver supports running instances in PV or HVM modes, but the method it uses to determine which to use is complicated and doesn't work in all cases. The result is that images that need to use HVM mode (such as FreeBSD 64-bit) end up setting a property named 'os' set to 'windows'.
  - This branch adds checks for a new property called 'vm_mode'. This can be set to 'pv' or 'hvm' and select the appropriate mode. If the property doesn't exist, the existing logic is still used to determine which mode to use.
  - Adds code to run_tests.py which:
  * Prints the time taken to run each test
  * Prints the 5 slowest tests at the end of the test-run
  * Adds --hide-elapsed option to suppress elapsed time output
  - Updated so that we use a 'tmp' subdirectory under the Xen SR when staging migrations. Fixes an issue where you would get a 'File exists' error because the directory under 'images' already existed (created via the rsync copy).
  - Changed requests with malformed bodies to return a HTTP 400 Bad Request instead of a HTTP 500 error.
  - Phew ... ok, this is the last dist-scheduler merge before we get into serious testing and minor tweaks. The heavy lifting is largely done.
  - This branch adds an OS API POST /zone/boot command which returns a reservation ID (unlike POST /servers which returns a single instance_id).
  - This branch requires v2.5 of python-novaclient
  - Additionally GET /servers can now take an optional reservation_id parameter, which will return all the instances with that reservation ID across all zones.
  - Changed requests with malformed bodies to return a HTTP 400 Bad Request instead of a HTTP 500 error.
  - Cleaned up pep8 errors using the current version of pep8 located in pip-requires. This is to remove the cluttered output when using the virtualenv to run pep8 (as you should). This will make development easier until the virtualenv requires the latest version of pep8 (see bug 721867).
  - Fixed bug 796619
  - Illustrations now added to Distributed Scheduler documentation (and fixed up some formatting)
  - Removed clocksource=jiffies from PV_args.
  - fixes bug that prevented custom wsgi serialization
  - This fixes the server_metadata create and update functions that were returning req.body (as a string) instead of body (deserialized body dictionary object).  It also adds checks where appropriate to make sure that body is not empty (and return 400 if it is).  Tests updated/added where appropriate.
  - ec2 api method allocate_address ; raises exception.NoFloatingIpsDefined instead of UnknownError when there aren't any floating ips available.
  - in XML Serialization of output, the toprettyxml() call would sometimes return a str() and sometimes unicode(), I've forced encoding to utf-8 to ensure that we always get str().  This fixes the related bug.
  - A recent commit added a couple of directories that don't belong in version control. Remove them again.
  - Allows Nova to talk to multiple Glance APIs (without the need for an external load-balancer). Chooses a random Glance API for each request.
  - Now forwards create instance requests to child zones.
  - Refactored nova.compute.api.create() to support deferred db entry creation.
  - NOTE: created instances using the ZoneAwareScheduler result in two db entries: one in the parent zone, one in the child zone. This will be fixed in the next branch which will deal with reservation ID's and a new POST /zone/server OS API command. All the other schedulers work as advertised.
  - MySQL database tables are currently using the MyISAM engine. Created migration script nova/db/sqlalchemy/migrate_repo/versions/021_set_engine_mysql_innodb.py to change all current tables to InnoDB.
  - Support for header "X-Auth-Project-Id" in osapi.
  - Cleaned up some pylint errors
  - Fix for bug#794239 to allow pep8 in run_tests.sh to use the virtual environment
  - adding Authorizer key for ImportPublicKey
  - Cleaned up some of the larger pylint errors. Set to ignore some lines that pylint just couldn't understand.
  - DRY up the image_state logic. Fix an issue where glance style images (which aren't required to have an 'image_state' property) couldn't be used to run instances on the EC2 controller.
  - Add the option to specify a default IPv6 gateway.
  - Make libvirt snapshotting work with images that don't have an 'architecture' property.
  - run_instances will check image for 'available' status before attempting to create a new instance
  - Use True/False instead of 1/0 when setting updating 'deleted' column attributes. Fixes casting issues when running nova with Postgres.
  - This branch allows marker and limit parameters to be used on image listing (index and detail) requests.  It parses the parameters from the request, and passes it along to the glance_client, which can now handle these parameters.  Essentially all of the logic for the pagination is handled in glance, we just pass along the correct parameters and do some error checking.
  - Update the OSAPI images controller to use 'serverRef' for image create requests.
  - Changed the error raise to not be AdminRequired when admin is not, in fact, required.
  - Cleaned up some documentation while I was there.
  - This branch removes nwfilter rules when instances are terminated to prevent resource leakage and serious eventual performance degradation.  Without this patch, launching instances and restarting nova-compute eventually become very slow.
  - Added 'config list' to nova-manage. This function will output all of the flags and their values.
  - Distributed Scheduler developer docs.
  - Updated to use the '/v1/images' URL when uploading images to glance in the Xen glance plugin. Fixes the issue where snapshots fail to upload correctly.
  - Removed "double requirement" from tools/pip-requires file.
  - paramiko is not installed into the venv, but is required by smoketests/base.py.  Added paramiko to tools/pip-requires.
  - Changes all uses of utcnow to use the version in utils.  This is a simple wrapper for datetime.datetime.utcnow that allows us to use fake values for tests.
  - There are still a few places in the Zone code that is using datetime.now(), I'd prefer to move this to utils.utcnow() as well but I want to chat with sandy first to make sure that there won't be any issues.
  - LDAP optimization and fix for one small bug caused huge performance leak.
  - Dashboard's benchmarks showed overall x22 boost in page request completion time.
  - Adds LeastCostScheduler which uses a series of cost functions and associated weights to determine which host to provision to.
  - This change set adds the ability to create new servers with an href that points to a server image on any glance server (not only the default one configured).  This means you can create a server with imageRef = http://glance1:9292/images/3  and then also create one with imageRef = http://glance2:9292/images/1.  Using the old way of passing in an image_id still works as well, and will use the default configured glance server (imageRef = 3 for instance).
  - We have tested pretty thoroughly with libvirt and xen.
  - All tests pass, and we have done full end-to-end testing manually to verify that server creation/deletion is working.
  - Tests that all exceptions can be raised properly, and fix the couple of instances where they couldn't be constructed due to typos.
  - Fix error with %% as replacement string.
  - Makes novarc work properly on a mac and also for zsh in addition to bash. Other shells are not guaranteed to work.
  - This adds the ability to publish nova errors to an error queue.
  - Sudo chown the vbd device to the nova user before streaming data to it. This resolves an issue where nova-compute required 'root' privs to successfully create nodes with connection_type=xenapi.
  - Bugfix #780784. KeyError when creating custom image.
  - Fixes nova-manage bug.  When a nova-network host has allocated floating ips *AND* some associated, the nova-manage floating list <host> would throw exception because was expecting hash with 'ec2_id' key , however, the obj returned is a sqlalchemy obj and the attr we need is 'hostname'.
  - Implement the v1.1 style resize action with support for flavorRef.
  - Updates to the 018_rename_server_management_url migration to avoid adding and dropping a column. Just simply rename the column.
  - Support SSL AMQP connections.
  - This just fixes a bunch of pep8 issues that have been lingering around for a while and bothering me :)
  - move osapi-specific wsgi code from nova/wsgi.py to nova/api/openstack/wsgi.py
  - refactor wsgi modules to use more object-oriented approach to wsgi request handling:
  - Resource object steps up to original Controller position
  - Resource coordinates deserialization, dispatch to controller, serialization
  - serialization and deserialization broken down to be more testable/flexible
  - this will definitely help fixing current serialization-related bugs
  - this paves the way for schema validation to be implemented elegantly
  - Cleanup instances_path in the test_libvirt test_spawn_with_network_info test. Fixes issue where the nova/tests/instance-00000001/ is left in the nova source tree when running run_test.sh -N.
* Wed Jun  1 2011 berendt@b1-systems.de
- update to bzr rev 1131
- fixed version
- fixed source0
* Thu May 19 2011 berendt@b1-systems.de
- update to bzr rev 1087
* Mon May  2 2011 berendt@b1-systems.de
- update to bzr rev 1039
  - Expose AuthManager.list_projects user filter to nova-manage.
  - Final cleanup of nova/exceptions.py in my series of refactoring branches
  - Uses memcached to cache roles so that ldap is actually usable.
  - added nova version to usage output of bin/nova-manage for easy identification of installed codebase
  - converted 1/0 comparison in db to True/False for Postgres cast compatibility
  - Added more unit-test for multi-nic-nova libvirt
  - Make the import of distutils.extra non-mandatory in setup.py. Just print a warning that i18n commands are not available...
  - Refactoring usage of nova.exception.NotFound
  - Refactoring the usage of nova.exception.Duplicate
  - Add a test checking spawn() works when network_info is set, which currently doesn't.
* Fri Apr 22 2011 berendt@b1-systems.de
- update to bzr rev 1029
  - Refactoring nova.exception.Invalid usage
  - Use runtime XML instead of VM creation time XML for createXML() call in order to ensure volumes are attached after RebootInstances as a workaround, and fix bug #747922.
  - clarifies error when trying to add duplicate instance_type names or flavorids via nova-manage instance_type
  - Abstracted libvirt's lookupByName method into _lookup_by_name.
  - Provide option of auto assigning floating ip to each instance. Depend on auto_assign_floating_ip boolean flag value. False by default.
  - Restore volume state on migration failure to fix lp742256.
  - Fixes cloudpipe to get the proper ip address.
  - Fix bug with content-type and small OpenStack API actions refactor
  - Fixed indent for _get_ip_version
  - Added LoopingCall to destroy
  - Standardized all LoopingCall uses to include useful logging and better error handling
  - Create a dictionary of instance_types before executing SQL updates in the instance_type_id migration (014). This should resolve a "cannot commit transaction - SQL statements in progress" error with some versions of sqlite.
  - Adapt DescribeInstances to EC2 API spec.
  - Change response of the EC2 API CreateVolume method to match the API docs for EC2.
* Thu Apr 21 2011 berendt@b1-systems.de
- update to bzr rev 1017
  - fix logging in reboot OpenStack API
  - Fixed network_info creation in libvirt driver. Now creating same dict as in xenapi driver.
  - attempts to make the docstring rules clearer
  - Docstring cleanup and formatting (nova/image dir). Minor style fixes as well.
  - Docstring cleanup and formatting (nova/db dir). Minor style fixes as well.
  - Docstring cleanup and formatting (nova dir). Minor style fixes as well.
  - Docstring cleanup and formatting (console). Minor style fixes as well.
  - Docstring cleanup and formatting (compute). Minor style fixes as well.
  - Makes metadata correctly display kernel-id and ramdisk-id. References from the Database don't support "in".
  - Another small round of pylint clean-up.
  - Added an option to run_tests.sh so you can run just pep8.
* Tue Apr 19 2011 berendt@b1-systems.de
- cleanup of requirements
- added new package for nova-vncproxy
* Tue Apr 19 2011 berendt@b1-systems.de
- update to bzr rev 1005
  - Implement quotas for the new v1.1 server metadata controller.
  - cleanup of pylint issues
* Tue Apr 19 2011 berendt@b1-systems.de
- update to bzr rev 1003
  - Only poll for instance states that compute should care about.
  - Removed the unused self.interfaces_xml variable.
  - Add additional logging for WSGI and OpenStack API authentication.
  - Fix parameter mismatch calling to_xml() from spawn() in libvirt_conn.py
  - The change to utils.execute's call style missed this call somehow, this should get libvirt snapshots working again.
  - Fixes nova-manage image convert when the source directory is the same one that local image service uses.
  - Change '== None' to 'is None'
  - Support admin password when specified in server create requests.
  - Fix loggin in creation server in OpenStack API 1.0
  - use 'is not None' instead of '!= None'
  - Remove zope.interface from the requires file since it is not used anywhere.
  - Adding projectname username to the nova-manage project commands to fix a doc bug, plus some edits and elimination of a few doc todos.
* Fri Apr 15 2011 berendt@b1-systems.de
- update to bzr rev 990
  - Diablo versioning.
  - Final versioning for Cactus
- updated version to 2011.2
* Thu Apr 14 2011 berendt@b1-systems.de
- update to bzr rev 987
* Tue Apr 12 2011 berendt@b1-systems.de
- update to bzr rev 980
* Wed Apr  6 2011 berendt@b1-systems.de
- added new binary /usr/bin/nova-vncproxy into package compute
* Wed Apr  6 2011 berendt@b1-systems.de
- update to bzr rev 945
  - Separate CA/ dir into code and state.
  - This branch contains the fix for lp:749973. VNC is assumed that
    is default for all in libvirt which LXC does not support yet.
  - Moved 'name' from <imageId> to <imageLocation>, corrected
    <imageType> and fixes bug # 750482.
* Tue Apr  5 2011 berendt@b1-systems.de
- update to bzr rev 943
  - Only define 'VIMMessagePlugin' class if suds can be loaded.
  - fixes incorrect case of OpenStack API status response
  - Attempt to circumvent errors in the API from improper/malformed responses from image service.
  - Fixes bug 741246.  Ed Leafe's inject_file method for the agent plugin was mistakenly never committed after having to fix commits under wrong email address.  vmops makes calls to this (previously) missing method.
  - Declares the flag for vncproxy_topic in compute.api
  - Don't prefix adminPass with the first 4 chars of the instance name.
  - Removed adminclient.py and added reference to the new nova-adminclient project in tools/pip-requires.
  - Network injection check fixed in libvirt driver.
  - fix bug lp:682888 - DescribeImages has no unit tests.
- added missing dependecy python-suds
* Mon Apr  4 2011 berendt@b1-systems.de
- update to bzr rev 933
  - Make euca-get-ajax-console work with Euca2ools 1.3
  - Add checking if the floating_ip is allocated or not before
    appending to result array in DescribeAddresses.
  - Added synchronize_session parameter to a query in
    fixed_ip_disassociate_all_by_timeout() and fix #735974.
* Fri Apr  1 2011 naehring@b1-systems.de
- update to bzr rev 930
- Add a change password action to /servers in openstack api v1.1, and
  associated tests.
- Removes excessive logging message in the event of a rabbitmq failure.
- Add obviously-missing method that prevents an Hyper-V compute node
  from even starting up
- Avoid any hard dependencies in nova.virt.vmwareapi.vim.
- Handles situation where Connection._instances doesn't exist (ie.
  production)
- OpenStack API faults have been changed to now return the appropriated
  Content-Type header.
- Key was converted through str() even if None, resulting in "None"
  being
- added to authorized_keys when no key was specified.
- Moving server update adminPass support to be v1.0-specific
- OS API servers update tests actually assert and pass now
- Enforcing server name being a string of length > 0
- Adding Content-Type code to openstack.api.versions.Versions
  wsgi.Application
- Fixes metadata for ec2_api to specify owner_id so that it filters
  properly.
- Makes the image decryption code use the per-project private key to
  decrpyt uploaded images if use_project_ca is set.  This allows the
  decryption code to work properly when we are using a different ca per
  project.
- TopicAdapterConsumer uses a different callback model than
  TopicConsumer.  This patch updates the console proxy to use this
  pattern.
- Without this patch, nova-ajax-console proxy will generate an error
  every time an auth token is cast to it, and hence it won't work.
- Uses the proc filesystem to check the volume size in volume
  smoketests so that it works with a very limited busybox image.
- The VNC Proxy is an OpenStack component that allows users of Nova to
  access their instances through a websocket enabled browser (like
  Google Chrome).
- A VNC Connection works like so:
  * User connects over an api and gets a url like
  http://ip:port/?token=xyz
  * User pastes url in browser
  * Browser connects to VNC Proxy though a websocket enabled client
  like noVNC
  * VNC Proxy authorizes users token, maps the token to a host and port
  of an instance's VNC server
  * VNC Proxy initiates connection to VNC server, and continues
  proxying until the session ends
- Support for volumes in the OpenStack API
- Two new endpoints: /volumes and /servers/<id>/volume_attachments
- Make dnsmasq_interface configurable.
- Stop nova-manage from reporting an error every time.  Apparently
  except: catches sys.exit(0).
- Now checking that exists at least one network marked injected
  (libvirt and xenapi)
- This branch adds support for linux containers (LXC) to nova. It uses
  the libvirt LXC driver to start and stop the instance.
- Glance used to return None when a date field wasn't set, now it
  returns ''.
- Glance used to return dates in format "%%Y-%%m-%%dT%%H:%%M:%%S", now it
  returns "%%Y-%%m-%%dT%%H:%%M:%%S.%%f".
- Fixed to allow for all cases.
- Adds support for versioned requests on /images through the OpenStack
  API.
- Added VLAN networking support for XenAPI
- Displays an error message to the user if an exception is raised.
  This is vital because if logfile is set, the exception shows up in
  the log and the user has no idea something went wrong.
- Moving shared_ip_groups controller to APIRouterV10
- Replacing all shared_ip_groups contoller code with HTTPNotImplemented
- Adding shared_ip_groups testing
- Toss an __init__ in the test extensions dir. This gets it included in
  the tarball.
- Make extensions code ignore modules whose name starts with '_'.
- Warn if an extension doesn't define a class or factory by the right
  name.
- This fixes EC2 API so that it returns image displayName and
  description properly.
- Moving backup_schedule route out of base router to OS API v1.0
- All controller methods return HTTPNotImplemented to prevent further
  confusion
- Correcting tests that referred to incorrect url
- Fixed DescribeUser in the ec2 admin client to return None instead of
  an empty UserInfo object.
- Adds support for snapshotting (to a new image) in the libvirt code.
- Changed TopicConsumer to TopicAdapterConsumer in
  bin/nova-ajax-console-proxy to allow it to start up once again.
- Assume that if we don't find a VM for an instance in the DB, and the
  DB state is NOSTATE, that the db instance is in the process of being
  spawned, and don't mark it SHUTOFF.
- Fix for bug#744056
- Mixins for tests confuse pylint no end, and aren't necessary... you
  can stop the base-class from being run as a test by prefixing the
  class name with an underscore
- Merged the two periodic_tasks functions, that snuck in due to
  parallel merges in compute.manager
- use_ipv6 now passing to interfaces.template as first level variable
  in libvirt_conn
- Updates to the newest version of nova.sh, which includes:
   * Installing new python dependencies
   * Allows for use of interfaces other than eth0
   * Adds a run_detached mode for automated testing
- Adding links container to openstack api v1.1 servers entities.
- disk_format is now an ImageService property. Adds tests to prevent
  regression.
- add a "links" container to versions entities for Openstack API v1.1
- add testing for the openstack api versions resource and create a view
  builder
- This is basic network injection for XenServer, and includes:
  * Modification of the /etc/network/interfaces file within the image
  using code taken from and now shared with libvirt_conn.  This is for
  compatibility with legacy Linux images without a guest agent.
  * Setting of xenstore keys before instance boot, intended for the
  XenServer Windows agent.  The agent will use these to configure the
  network at boot-time.
- It does include template code to detect the presence of agents and
  avoid modifying the filesystem if they are injection-capable.
- Implement image metadata controller for the v1.1 OS API.
- Uses image 'properties' to store and retrieve image metadata.
- Add a "links" container to flavors entities for Openstack API v1.1.
- Implement metadata resource for Openstack API v1.1. Includes:
  - GET /servers/id/meta
  - POST /servers/id/meta
  - GET /servers/id/meta/key
  - PUT /servers/id/meta/key
  - DELETE /servers/id/meta/key
- Support for markers for pagination as defined in the 1.1 spec.
- Ports the Tornado version of an S3 server to eventlet and wsgi, first
  step in deprecating the twistd-based objectstore.
- This is a trivial implementation, never meant for production, it
  exists to provide an s3-look-alike objectstore for use when
  developing/testing things related to the amazon APIs (eucatools,
  etc), any production deployment would be expected to use Swift + an
  S3 interface.
- Fix lp741415 by splitting arguments of _execute in the iSCSI driver.
- Support for markers for pagination as defined in the 1.1 spec.
- Adds support for hypervisor vmware ESX/ESXi server in OpenStack
  (Nova).
- Key features included are,
  1) Support for FLAT and VLAN networking model
  2) Support for Guest console access through VMware vmrc
  3) Integrated with Glance service for image storage and retrival
- Documentation: A readme file at "doc/source/vmwareapi_readme.rst"
  encapsulates configuration/installation instructions required to use
  this module/feature.
- Adds serverId to OpenStack API image detail per related_image
  blueprint
- Fix for bug #740947
- Executing parted with sudo in _write_partition (vm_utils.py)
- Implement API extensions for the Openstack API. Based on the
  Openstack 1.1 API the following types of extensions are supported:
  * Top level resources (extension)
  * Action extensions (add an extra action to a core nova controller)
  * Response extensions (inject data into response from core nova
  controllers)
- To add an extension simply drop an extension file into the configured
  osapi_extensions_path (which defaults to /var/lib/nova/extensions).
- Adds unit test coverage for XenAPI Rescue & Unrescue.
- libvirt driver multi_nic support. In this phase libvirt can work with
  and without multi_nic support, as in multi_nic support for xenapi:
  https://code.launchpad.net/~tr3buchet/nova/xs_multi_nic/+merge/53458
- Additions to the Direct API:
  * Add an example of a versioned api
  * Add some more docs to direct.py
  * Add Limited, an API limiting/versioning wrapper
  * Improve the formatting of the stack tool
  * Add support for volume and network services to the direct api
- In this branch we are forwarding incoming requests to child zones
  when the requested resource is not found in the current zone. NOTE:
  This currently only works with OpenStack API requests and routing
  checks are only being done against Compute/instance_id checks.
  Specifically:
  * 
  servers.get/pause/unpause/diagnostics/suspend/resume/rescue/unrescue/delete
  * servers.create is pending for distributed scheduler
  * servers.get_all will get added early in Diablo.
- Fixes a bug that was causing tests to fail on OS X by ensuring that
  greenthread sleep is called during retry loops.
- Fix some errors that pylint found in nova/api/openstack/servers.py
- This was meant more as a test that pylint is actually being helpful
  now (it is), but these are real errors.
- Fix api logging to show proper path and controller:action.
- Pylint 'Undefined variable' E0602 error fixes.
- Made service_get_all()'s disabled parameter default to None. Pass
  False for enabled services; True for disabled services. Calls to this
  method have been updated to remain consistent.
- Don't try to parse the empty string as a datetime
- Detect if user is running the default Lucid version of libvirt, and
  give a nicer error message
- Fix lp741514 by declaring libvirt_type in nova-manage.
- Aggregates capabilities from Compute, Network, Volume to the
  ZoneManager in Scheduler.
- Fixes lp740322: cannot run test_localization in isolation
- Pass a fake timing source to live_migration_pre in every test that
  expectes it to fail, shaving off a whole minute of test run time.
- Poll instance states periodically, so that we can detect when
  something changes 'behind the scenes'.
- Added a mechanism for versioned controllers for openstack api
  versions 1.0/1.1.
- Create servers in the 1.1 api now supports imageRef/flavorRef instead
  of imageId/flavorId.
- better logging of exceptions
- Fix issues with certificate updating & whitespace removal
- Offers the ability to run a periodic_task that sweeps through rescued
  instances older than 24 hours and forcibly unrescues them.
- Flag added: rescue_timeout (default is 0 - disabled)
- boto_v6 module is imported if the flag "use_ipv6" is set to True
- Move all types of locking into utils.synchronize decorator.
- Convert all uses of semaphores to use this decorator.
- Updates the previously merged xs_migration functionality to allow
  upsizing of the RAM and disk quotas for a XenServer instance.
- Fix lp735636 by standardizing the format of image timestamp
  properties as datetime objects.
- So far, only glance supports returning image create, update, and
  delete timestamps. And only the openstack api reports those dates.
  Thus, the fixes were confined to those two modules.
- This branch contains the fix for bug #740929
- It makes sure cidr_v6 is not null before building the 'ip6s' key in
  the network info dictionary.
- This way utils.to_global_ipv6 does not fail because of cidr==None.
- We update update_ra method to synchronize, in order to prevent crash
  when we request multiple instance at once.
- Fix for #740742 - format describe_instance_output correctly to
  prevent errors in dashboard.
- Without this change, it is not possible to properly select instance
  types when launching instances with the OS dashboard.
- Enable flat manager support for ipv6.
- Adding a talk bubble to the nova.openstack.org site that points
  readers to the 2011.1 site and the docs.openstack.org site - similar
  to the swift.openstack.org site. I believe it helps people see more
  sites are available, plus they can get to the Bexar site if they want
  to. Going forward it'll be nice to use this talk bubble to point
  people to the trunk site from released sites.
- Correctly imports greenthread in libvirt_conn.py.  It is used by
  live_migrate().
- Test the login behavior of the OpenStack API.  Uncovered bug732866
- Fix the describe_vpns admin api call.
- Firstly, use the correct mechanism for mapping ec2 ids from instance
  ids.
- Secondly, if a vpn doesn't have an ip/port assignment from the
  project, don't try utils.vpn_ping, as it will raise an exception.
- Fix for LP Bug #704300
- Fix a typo in the ec2 admin api.
- xenapi support for multi_nic. This is a phase of multi_nic which
  allows xenapi to work as is and with multi_nic. The other virt
  driver(s) need to be updated with the same support.
- Wrap update_dhcp in utils.synchronized.
- wrap and log errors getting image ids from local image store
- Provide more useful exception messages when unable to load the
  virtual driver.
- Openstack api 1.0 flavors resource now implemented to match the spec
- Changed fixed_range (CIDR) to be required in the nova-manage command;
  changed default num_networks to 1.
- fixes nova-manage instance_type compatibility with postgres db
- Tell PyLint not to complain about the "_" function
- Make smoketests' exit code reveal whether they were succesful.
- Adjust volume tests to check the exact size of the block device,
  instead of a rounded-off size of the resulting filesystem.
- Make proxy.sh work with both variants of netcat.
- Added run_instances method to the connection.py of the
  contrib/boto_v6/ec2 which would return ReservationV6 object instead
  of Reservation in order to access attribute dns_name_v6 of an
  instance.
- Cleanup of FakeAuthManager
- Replaced all pylint "disable-msg=" with "disable=" and "enable-msg="
  with "enable=".
- Change cloud.id_to_ec2_id to ec2utils.id_to_ec2_id. Fixes EC2 API
  error handling when invalid instances and volume names are specified.
- Re-implementation (or just implementation in many cases) of Limits in
  the OpenStack API. Limits is now available through /limits and the
  concept of a limit has been extended to include arbitrary regex /
  http verb combinations along with correct XML/JSON serialization.
  Tests included.
- Mark instance metadata as deleted when we delete the instance
- Make "ApiError" the default error code for ApiError instances, rather
  than "Unknown."
* Tue Mar 22 2011 berendt@b1-systems.de
- update to bzr rev 843
  - Mark instance metadata as deleted when we delete the instance
  - Re-implementation (or just implementation in many cases) of
    Limits in the OpenStack API.
  - Change cloud.id_to_ec2_id to ec2utils.id_to_ec2_id. Fixes EC2 API
    error handling when invalid instances and volume names are specified
  - Replaced all pylint "disable-msg=" with "disable=" and "enable-msg="
    with "enable=".
  - Tell PyLint not to complain about the "_" function
  - fixes nova-manage instance_type compatibility with postgres db
  - Changed fixed_range (CIDR) to be required in the nova-manage command;
    changed default num_networks to 1.
  - Openstack api 1.0 flavors resource now implemented to match the spec
  - Provide more useful exception messages when unable to load the virtual
    driver
  - wrap and log errors getting image ids from local image store
  - Wrap update_dhcp in utils.synchronized
  - xenapi support for multi_nic.
* Fri Mar 18 2011 berendt@b1-systems.de
- update to bzr rev 828
  - Fixes lp736343 - Incorrect mapping of instance type id to flavor
    id in Openstack API
  - Add support for network QoS (ratelimiting) for XenServer.
  - Backfix of bugfix of issue blocking creating servers with metadata
  - general approach for openstack api versioning
  - added imageRef and flavorRef to os api v1.1 servers
  - modified addresses container structure in os api v1.1 servers
  - openstack api version now preserved in request context
  - Make utils.execute not overwrite std{in,out,err} args to Popen on
    retries.
  - Make utils.execute reject unknown kwargs.
  - Fix a number of place in the volume driver where the argv hadn't
    been fully split
  - When changing the project manager, if the new manager is not yet
    a project member, be sure to make them be a project member.
  - Make "ApiError" the default error code for ApiError instances,
    rather than "Unknown."
* Thu Mar 17 2011 berendt@b1-systems.de
- update to bzr rev 815
  - new funtions in nova-manage
  - Fixes euca-get-ajax-console returning Unknown Error
  - Don't generate insecure passwords where it's easy to use
    urandom instead
  - Keypairs are not required in the OpenStack API; don't require them!
  - Add missing fallback chain for ipv6.
  - fixes bug 735298: start of nova-compute not possible because of
    wrong xml paths to the //host/cpu section in "virsh capabilities",
    used in nova/virt/libvirt_conn.py
  - adds support for personality files to the openstack api. It
    leverages previous work which added this functionality to the
    compute api, compute manager, and xen api. (detail)
  - Log the use of utils.synchronized.
* Wed Mar 16 2011 berendt@b1-systems.de
- changed used archive format from tar.bz2 to tar.gz
- update to bzr rev 807
  - fixed OpenStack API authentication information leakage (lp732866)
* Tue Mar 15 2011 berendt@b1-systems.de
- added new requirement python-novaclient for openstack-nova-scheduler
* Tue Mar 15 2011 berendt@b1-systems.de
- update to bzr rev 802
  - Fix instructions for setting up the initial database.
  - Make nova-dhcpbridge output lease information in dnsmasq's
    leasesfile format.
  - Only include kernel and ramdisk ID in meta-data output if they
    are actually set.
  - NTT's live-migration branch, merged with trunk, conflicts resolved,
    and migrate file renamed.
  - Include cpuinfo.xml.template
  - Fix capitalization of ApiError
  - Implements basic OpenStack API client, ready to support API tests
* Mon Mar 14 2011 berendt@b1-systems.de
- changed requirement pyxml to python-xml
  - see novell bug #656779
* Sat Mar 12 2011 berendt@b1-systems.de
- update to bzr rev 794
  - Make linux_net ensure_bridge commands that add and remove ip addr's from
    devices/bridges work with with the latest utils.execute method (execvp).
  - Adds in multi-tenant support to openstack api.
  - Changes the output of status in describe_volumes from showing the user as
    the owner of the volume to showing the project as the owner.
  - Passes net variable as value of keyword argument process_input.
  - adds the ability to boot Windows and Linux instances in XenServer using
    different sets of vm-params.
  - Remove race condition when refreshing security groups and destroying
    instances at the same time
  - Replace raw SQL calls through session.execute() with SQLAlchemy code.
  - Use a consistent naming scheme for XenAPI variables.
* Fri Mar 11 2011 berendt@b1-systems.de
- python-glance (or openstack-glance now) is no dependency
* Fri Mar 11 2011 berendt@b1-systems.de
- update to bzr rev 786
  - initializing instance power state on launch to 0
  - added a new IptablesManager that takes care of all uses of iptables.
* Thu Mar 10 2011 berendt@b1-systems.de
- update to bzr rev 784
  - Introduces the ZoneManager to the Scheduler which polls the child
    zones and caches their availability and capabilities
  - fixed fallout from the execvp introduction
* Thu Mar 10 2011 berendt@b1-systems.de
- nova-api.conf was replaced with api-paste.ini
- removed deprecated cc_host flag from nova.conf
- removed old tarball
* Thu Mar 10 2011 berendt@b1-systems.de
- update to bzr rev 781
  - Adding new nova-api flag --paste_config, the value of which is
    used in place of the hard-coded "nova-api.conf"
  - Defaulting the new --paste_config to "api-paste.ini"
  - Inhibit inclusion of stack traces in the logs UNLESS --verbose
    has been specified.
  - Adds SignatureVersion checking for Amazon EC2 API requests.
  - Use disk_format and container_format in place of image type.
  - mangled instance creation in virt drivers due to improper merge
    conflict resolution
  - replaced ConnectionFailed with Exception in tools/euca-get-ajax-console
  - Invalid values for offset and limit params in http requests now
    return a 400 response with a useful message in the body
  - Add a decorator that lets you synchronise actions across multiple binaries
  - ability to delete networks with nova-manage
  - nova-manage does now check if a network exists before creating it
  - Fixes a race condition where multiple greenthreads were attempting to
    resize a file at the same time.
  - Fixes nova.sh to run properly the first time.
  - Modifies S3ImageService to wrap LocalImageService or GlanceImageService.
* Mon Mar  7 2011 berendt@b1-systems.de
- update to bzr rev 762
  - tag contained in the DescribeKeyPairs changed from <keypairsSet>
    to <keySet>
  - Use %%s for instance-delete logging in case instance_id comes
    through as a string
  - Fix renaming of instance fields using update_instance api method
  - Implementation for XenServer migrations
* Thu Mar  3 2011 berendt@b1-systems.de
- update to bzr rev 758
  - introduced new flag "max_nbd_devices" to set the number of possible
    NBD devices
  - Adds VHD build support for XenServer driver
  - Wrapped the instance_types comparison with an int
  - Openstack API support for hostId
  - Enable IPv6 injection for XenServer instances
  - Provide the ability to rescue and unrescue a XenServer instance
  - Fixes Bug #715424: nova-manage : create network crashes when subnet
    range provided is not enough , if the network range cannot fit the
    parameters passed, a ValueError is raised
  - checking for < 0 values in "limit" and "offset" GET parameters. If
    either are negative, raise a HTTPBadRequest exception.
  - dynamic instance types
  - Fix regression in the way libvirt_conn gets its instance_types
* Sat Feb 26 2011 berendt@b1-systems.de
- added missing directory for nova-instancemonitor in /var/lib/nova
* Sat Feb 26 2011 berendt@b1-systems.de
- added new package openstack-nova-ajax-console-proxy
- added insertion/deletion of service openstack-nova-instancemonitor
- added insertion/deletion of service openstack-nova-ajax-console-proxy
- included tools/ajaxterm in package openstacn-nova-compute
* Sat Feb 26 2011 berendt@b1-systems.de
- update to bzr rev 747
  - consolidating install instructions and pointing to the
    docs.openstack.org site for admin docs
  - 743. Fixes FlatDHCP by making it inherit from NetworkManager
    and moving some methods around. (detail)
  - check if QUERY_STRING is empty or not before building the
    request URL in bin/nova-ajax-console-proxy
  - No reason to dump a stack trace just because the AMQP server
    is unreachable; an error notification should be sufficient.
  - Makes nova-api correctly load the default flagfile
  - show disable services with "nova-manage service list"
* Fri Feb 25 2011 seife+obs@b1-systems.com
- add ajaxterm subpackage
* Fri Feb 25 2011 berendt@b1-systems.de
- removed patch openstack-nova-2011.1-python26-no-processname-log.diff
  upstream included it
* Fri Feb 25 2011 berendt@b1-systems.de
- added init script for nova-ajax-console-proxy and
  nova-instancemonitor
- update to bzr rev 740
  - Easy and effective fix for getting the DNS value from flag file,
    when working in FlatNetworking mode
  - Don't require metadata (hotfix for bug 724143)
  - Add some methods to the ec2 admin api to work with VPNs.
    Also implements and properly documents the get_hosts method.
  - Removes processName from debug output since we aren't using
    multiprocessing and it doesn't exist in python 2.6.1
  - adds live network injection/reconfiguration. Some refactoring
  - Cleanup db method names for dealing with auth_tokens to follow
    standard naming pattern.
* Thu Feb 24 2011 berendt@b1-systems.de
- update to bzr rev 732
  - Globally exclude *.pyc files from generated tarballs
  - This fix checks whether the boot/guest directory exists on the
    hypervisor. If that is not the case, it creates it.
  - Support HP/LeftHand SANs.
  - Some first steps towards resolving some of the issues brought
    up on the mailing list related to documenting flags.
* Thu Feb 24 2011 berendt@b1-systems.de
- update to bzr rev 728:
  - Change missed reference to run_tests.err.log
  - Revert commit 709. This fixes issues with the Openstack API
    causing 'No user for access key admin' errors.
  - Adds colors to output of tests and cleans up run_tests.py
  - sets working directory for nose to nose/tests for faster load
  - moves db into nova/tests/test.sqlite
  - deletes the db in run_tests.py instead of run_tests.sh before
    running tests
  - Prevent logging.setup() from generating a syslog handler if we
    didn't request one (breaks on mac)
  - Helper function that supports XPath style selectors to traverse
    an object tree
  - Fixes the describe_availability_zones to use an elevated
    context when getting services and the db calls to pass
    parameters correctly so is_admin check works.
  - fix smoketests and split out sysadmin tests from netadmin tests
  - sets use_ipv6 = False by default
  - switches to ami-tty for tests
  - generally improves error handling
  - Fixes and optimizes filtering for describe_security_groups
  - The proposed branch prevents FlatManager from executing network
    initialisation tasks contained in linux_net.init_host(), which
    are unnecessary when flat networking is used.
  - The kernel_id and the ramdisk_id are optional, yet the OpenStack
    API was requiring them.
  - Initial support for per-instance metadata
  - Fixes lots of errors in the unit tests.
* Wed Feb 23 2011 seife+obs@b1-systems.com
- update to bzr rev 715:
  - --pidfile fixes in contrib/puppet
  - DescribeRegion answer fixes
  - remove nova-combined binary
* Tue Feb 22 2011 seife+obs@b1-systems.com
- update to bzr rev 713:
  - updated translations
  - various logging related fixes
  - python-nova api related fixes
- fix python-daemon versioned buildrequires
* Mon Feb 21 2011 seife+obs@b1-systems.com
- update to bzr rev 706:
  * user lookup optimizations
  * improve error message if no keypairs are registered
  * fix vpn images
  * various other fixes, see ChangeLog
* Fri Feb 18 2011 seife+obs@b1-systems.com
- update to bzr rev 700:
  - lots of fixes, mostly in networking area, see ChangeLog
* Wed Feb 16 2011 seife+obs@b1-systems.com
- update to bzr rev 684:
  - lots of fixes in all areas, see changelog
* Mon Feb 14 2011 seife+obs@b1-systems.com
- update to bzr rev 669:
  * fixes for EC2 DescribeImages to work against Glance
  * various fixes in networking and database handling
  * fixes in RunInstances
* Fri Feb 11 2011 seife+obs@b1-systems.com
- add tunctl dependency to nova-network
* Thu Feb 10 2011 seife+obs@b1-systems.com
- update to bzr rev 658:
  * fix iptables issue with floating ips
  * fix timestamp comparison problem in the db layer
  * add support for 'SAN' style volumes. A SAN's big difference is
    that the iSCSI target usually won't run on the same host as the
    volume service.
* Wed Feb  9 2011 seife+obs@b1-systems.com
- remove rabbitmq-server dependency: this can run on another host
* Tue Feb  8 2011 seife+obs@b1-systems.com
- update to bzr rev 655
  * improve FlatDHCP setup
- symlink /var/lib/nova/CA to python-sitelib to workaround code bug
* Tue Feb  8 2011 seife+obs@b1-systems.com
- continue with tracking devel releases:
- update to bzr rev 654, changes (among others)
  - use ip instead of ifconfig
  - new parameter --dhcp_domain to set the domain used by dnsmasq
- remove obsolete openstack-nova-2011.1-fix-build.diff
* Fri Feb  4 2011 seife+obs@b1-systems.com
- use /etc/nova/nova.conf as default e.g. for nova-manage
- fix sudoers file, not yet used
* Fri Feb  4 2011 seife+obs@b1-systems.com
- really fix start and stop in the init scripts
- fail in init script if service cannot be started
- fix logfile location
- redirect output to /dev/null
- fix url example syntax in nova.conf
- fix netmask in example nova.conf
* Thu Feb  3 2011 seife+obs@b1-systems.com
- use startproc to get services into the background on start
* Thu Feb  3 2011 seife+obs@b1-systems.com
- fix stop routine in init scripts
* Thu Feb  3 2011 seife+obs@b1-systems.com
- official bexar release:
  * rename to nova-2011.1
  * bznew the tarball to save space
* Wed Feb  2 2011 seife+obs@b1-systems.com
- update to release candidate (bzr rev 645)
  * fix launchpad bug 709057
  * fix launchpad bug 709510
* Tue Feb  1 2011 seife+obs@b1-systems.com
- add ebtables dependency to python-nova
* Tue Feb  1 2011 seife+obs@b1-systems.com
- update to bzr rev 642
  * log uncaught exceptions instead of printing to stderr
  * enabled modification of projects using the EC2 admin API
- packaging
  * add logrotate dependency
* Mon Jan 31 2011 seife+obs@b1-systems.com
- we need libvirt >= 0.8.1 (http://libvirt.org/formatnwfilter.html)
- openstack-nova-network needs python-netifaces
* Mon Jan 31 2011 seife+obs@b1-systems.com
- update to bzr rev 640 (jftr: 638 was gamma1)
- add dependencies / recommends to python-mysql, python-sqlite2
  python-glance
* Fri Jan 28 2011 seife+obs@b1-systems.com
- update to bzr rev 638
* Fri Jan 28 2011 seife+obs@b1-systems.com
- update to bzr rev 635
* Thu Jan 27 2011 seife+obs@b1-systems.com
- nova-api requires redis and rabbitmq-server
- Update to todays snapshot (nova-2011.1~bzr627)
- fix some documentation build warnings by adding more BuildReqires
* Wed Jan 26 2011 seife+obs@b1-systems.com
- Update to todays snapshot (nova-2011.1~bzr621)
* Wed Jan 26 2011 seife+obs@b1-systems.com
- patch a problem with python 2.6
  (openstack-nova-2011.1-python26-no-processname-log.diff)
- openstack-nova depends on euca2ools
- python-nova depends on python-cheetah
* Tue Jan 25 2011 seife+obs@b1-systems.com
- remove obsolete configfiles, add nova.conf template
  (thanks to Andre Naehring for mentioning this)
- require python-sqlalchemy-migrate and python-netaddr
* Tue Jan 25 2011 seife+obs@b1-systems.com
- do not phone home during build - breaks OBS build
  openstack-nova-2011.1-fix-build.diff
* Tue Jan 25 2011 seife+obs@b1-systems.com
- Update to the latest snapshot (nova-2011.1~bzr606)
* Thu Nov  4 2010 silas@sewell.ch
- Fix various issues (init, permissions, config, etc..)
* Thu Oct 21 2010 silas@sewell.ch
- Initial build
